#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 4154
#define LARGE_STATE_COUNT 2442
#define SYMBOL_COUNT 479
#define ALIAS_COUNT 10
#define TOKEN_COUNT 291
#define EXTERNAL_TOKEN_COUNT 39
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 152

enum ts_symbol_identifiers {
  sym__identifier = 1,
  anon_sym_LBRACE = 2,
  anon_sym_RBRACE = 3,
  anon_sym_COLON = 4,
  anon_sym_SEMI = 5,
  anon_sym_package = 6,
  anon_sym_class = 7,
  anon_sym_role = 8,
  anon_sym_BUILD = 9,
  anon_sym_ADJUST = 10,
  anon_sym_DOLLAR = 11,
  anon_sym_EQ = 12,
  anon_sym_PIPE_PIPE_EQ = 13,
  anon_sym_SLASH_SLASH_EQ = 14,
  anon_sym_AT = 15,
  anon_sym_COMMA = 16,
  anon_sym_RPAREN = 17,
  anon_sym_my = 18,
  anon_sym_extended = 19,
  anon_sym_async = 20,
  anon_sym_sub = 21,
  anon_sym_method = 22,
  anon_sym_LPAREN = 23,
  anon_sym_continue = 24,
  anon_sym_state = 25,
  anon_sym_our = 26,
  anon_sym_try = 27,
  anon_sym_catch = 28,
  anon_sym_finally = 29,
  anon_sym_defer = 30,
  anon_sym_DOT_DOT_DOT = 31,
  anon_sym_else = 32,
  anon_sym_elsif = 33,
  anon_sym_and = 34,
  anon_sym_or = 35,
  anon_sym_xor = 36,
  anon_sym_DASH_GT = 37,
  anon_sym_STAR = 38,
  anon_sym_LBRACK = 39,
  anon_sym_RBRACK = 40,
  anon_sym_PERCENT = 41,
  anon_sym_GT = 42,
  anon_sym_LT_LT = 43,
  anon_sym_GT_GT = 44,
  anon_sym_STAR_STAR_EQ = 45,
  anon_sym_PLUS_EQ = 46,
  anon_sym_DASH_EQ = 47,
  anon_sym_DOT_EQ = 48,
  anon_sym_STAR_EQ = 49,
  anon_sym_SLASH_EQ = 50,
  anon_sym_PERCENT_EQ = 51,
  anon_sym_x_EQ = 52,
  anon_sym_AMP_EQ = 53,
  anon_sym_PIPE_EQ = 54,
  anon_sym_CARET_EQ = 55,
  anon_sym_LT_LT_EQ = 56,
  anon_sym_GT_GT_EQ = 57,
  anon_sym_AMP_AMP_EQ = 58,
  anon_sym_DOT_DOT = 59,
  anon_sym_STAR_STAR = 60,
  anon_sym_PIPE_PIPE = 61,
  anon_sym_SLASH_SLASH = 62,
  anon_sym_CARET_CARET = 63,
  anon_sym_AMP_AMP = 64,
  anon_sym_PIPE = 65,
  anon_sym_CARET = 66,
  anon_sym_AMP = 67,
  anon_sym_GT_GT2 = 68,
  anon_sym_PLUS = 69,
  anon_sym_DASH = 70,
  anon_sym_DOT = 71,
  anon_sym_SLASH = 72,
  anon_sym_x = 73,
  anon_sym_EQ_TILDE = 74,
  anon_sym_BANG_TILDE = 75,
  anon_sym_EQ_EQ = 76,
  anon_sym_BANG_EQ = 77,
  anon_sym_eq = 78,
  anon_sym_EQ_EQ_EQ = 79,
  anon_sym_equ = 80,
  anon_sym_eqr = 81,
  anon_sym_ne = 82,
  anon_sym_LT_EQ_GT = 83,
  anon_sym_cmp = 84,
  anon_sym_TILDE_TILDE = 85,
  anon_sym_LT = 86,
  anon_sym_LT_EQ = 87,
  anon_sym_GT_EQ = 88,
  anon_sym_lt = 89,
  anon_sym_le = 90,
  anon_sym_ge = 91,
  anon_sym_gt = 92,
  anon_sym_isa = 93,
  anon_sym_TILDE = 94,
  anon_sym_BANG = 95,
  anon_sym_PLUS_PLUS = 96,
  anon_sym_DASH_DASH = 97,
  anon_sym_QMARK = 98,
  anon_sym_BSLASH = 99,
  anon_sym_do = 100,
  anon_sym_eval = 101,
  anon_sym_await = 102,
  anon_sym_field = 103,
  anon_sym_local = 104,
  anon_sym_dynamically = 105,
  anon_sym_DOLLAR_POUND = 106,
  anon_sym_require = 107,
  anon_sym_map = 108,
  anon_sym_grep = 109,
  anon_sym_sort = 110,
  anon_sym_goto = 111,
  anon_sym_return = 112,
  anon_sym_undef = 113,
  anon_sym_PERCENT2 = 114,
  anon_sym_AMP2 = 115,
  anon_sym_STAR2 = 116,
  aux_sym__var_indirob_autoquote_token1 = 117,
  anon_sym_EQ_GT = 118,
  anon_sym_use = 119,
  anon_sym_no = 120,
  anon_sym_for = 121,
  anon_sym_foreach = 122,
  anon_sym_last = 123,
  anon_sym_next = 124,
  anon_sym_redo = 125,
  anon_sym_BEGIN = 126,
  anon_sym_INIT = 127,
  anon_sym_CHECK = 128,
  anon_sym_UNITCHECK = 129,
  anon_sym_END = 130,
  anon_sym___FILE__ = 131,
  anon_sym___LINE__ = 132,
  anon_sym___PACKAGE__ = 133,
  anon_sym___SUB__ = 134,
  anon_sym_break = 135,
  anon_sym_fork = 136,
  anon_sym_getppid = 137,
  anon_sym_time = 138,
  anon_sym_times = 139,
  anon_sym_wait = 140,
  anon_sym_wantarray = 141,
  anon_sym_abs = 142,
  anon_sym_alarm = 143,
  anon_sym_chop = 144,
  anon_sym_chdir = 145,
  anon_sym_close = 146,
  anon_sym_closedir = 147,
  anon_sym_caller = 148,
  anon_sym_chomp = 149,
  anon_sym_chr = 150,
  anon_sym_cos = 151,
  anon_sym_chroot = 152,
  anon_sym_defined = 153,
  anon_sym_delete = 154,
  anon_sym_dbmclose = 155,
  anon_sym_exists = 156,
  anon_sym_exit = 157,
  anon_sym_eof = 158,
  anon_sym_exp = 159,
  anon_sym_each = 160,
  anon_sym_fc = 161,
  anon_sym_fileno = 162,
  anon_sym_gmtime = 163,
  anon_sym_getc = 164,
  anon_sym_getpgrp = 165,
  anon_sym_getprotobyname = 166,
  anon_sym_getpwname = 167,
  anon_sym_getpwuid = 168,
  anon_sym_getpeername = 169,
  anon_sym_getnetbyname = 170,
  anon_sym_getsockname = 171,
  anon_sym_getgrnam = 172,
  anon_sym_getgrgid = 173,
  anon_sym_hex = 174,
  anon_sym_int = 175,
  anon_sym_keys = 176,
  anon_sym_lc = 177,
  anon_sym_lcfirst = 178,
  anon_sym_length = 179,
  anon_sym_localtime = 180,
  anon_sym_log = 181,
  anon_sym_lock = 182,
  anon_sym_lstat = 183,
  anon_sym_oct = 184,
  anon_sym_ord = 185,
  anon_sym_prototype = 186,
  anon_sym_pop = 187,
  anon_sym_pos = 188,
  anon_sym_quotemeta = 189,
  anon_sym_reset = 190,
  anon_sym_rand = 191,
  anon_sym_rmdir = 192,
  anon_sym_readdir = 193,
  anon_sym_readline = 194,
  anon_sym_readpipe = 195,
  anon_sym_rewinddir = 196,
  anon_sym_readlink = 197,
  anon_sym_ref = 198,
  anon_sym_scalar = 199,
  anon_sym_shift = 200,
  anon_sym_sin = 201,
  anon_sym_sleep = 202,
  anon_sym_sqrt = 203,
  anon_sym_srand = 204,
  anon_sym_stat = 205,
  anon_sym_study = 206,
  anon_sym_tell = 207,
  anon_sym_telldir = 208,
  anon_sym_tied = 209,
  anon_sym_uc = 210,
  anon_sym_ucfirst = 211,
  anon_sym_untie = 212,
  anon_sym_umask = 213,
  anon_sym_values = 214,
  anon_sym_write = 215,
  sym_comment = 216,
  anon_sym___DATA__ = 217,
  anon_sym___END__ = 218,
  aux_sym___DATA___token1 = 219,
  anon_sym_EOT = 220,
  anon_sym_q = 221,
  anon_sym_qq = 222,
  anon_sym_DASH_GT2 = 223,
  anon_sym_LBRACK2 = 224,
  anon_sym_LBRACE2 = 225,
  anon_sym_DOLLAR_STAR = 226,
  anon_sym_AT_STAR = 227,
  aux_sym__interpolation_fallbacks_token1 = 228,
  aux_sym__interpolation_fallbacks_token2 = 229,
  anon_sym_qw = 230,
  anon_sym_qx = 231,
  anon_sym_qr = 232,
  anon_sym_m = 233,
  anon_sym_s = 234,
  sym_quoted_regexp_modifiers = 235,
  sym_match_regexp_modifiers = 236,
  sym_substitution_regexp_modifiers = 237,
  sym_transliteration_modifiers = 238,
  aux_sym__interpolated_transliteration_content_token1 = 239,
  anon_sym_tr = 240,
  anon_sym_y = 241,
  sym_version = 242,
  anon_sym_if = 243,
  anon_sym_unless = 244,
  anon_sym_while = 245,
  anon_sym_until = 246,
  aux_sym__ident_special_token1 = 247,
  aux_sym__bareword_token1 = 248,
  sym_number = 249,
  anon_sym_true = 250,
  anon_sym_false = 251,
  sym__single_quote = 252,
  sym__double_quote = 253,
  sym__backtick_quote = 254,
  sym__search_slash_quote = 255,
  sym__no_search_slash_plz = 256,
  sym__open_readline_bracket = 257,
  sym__open_fileglob_bracket = 258,
  sym__PERLY_SEMICOLON = 259,
  sym__PERLY_HEREDOC = 260,
  sym__ctrl_z_hack = 261,
  sym__quotelike_begin_quote = 262,
  sym__quotelike_middle_close_quote = 263,
  sym__quotelike_middle_skip = 264,
  sym__quotelike_end_zw = 265,
  sym__quotelike_end_quote = 266,
  sym__q_string_content = 267,
  sym__qq_string_content = 268,
  sym_escape_sequence = 269,
  sym_escaped_delimiter = 270,
  sym__dollar_in_regexp = 271,
  sym_pod = 272,
  sym__gobbled_content = 273,
  sym__attribute_value_begin = 274,
  sym_attribute_value = 275,
  sym_prototype = 276,
  sym__signature_start = 277,
  sym__heredoc_delimiter = 278,
  sym__command_heredoc_delimiter = 279,
  sym__heredoc_start = 280,
  sym__heredoc_middle = 281,
  sym_heredoc_end = 282,
  sym__fat_comma_autoquoted = 283,
  sym__filetest = 284,
  sym__brace_autoquoted_token = 285,
  sym__brace_end_zw = 286,
  sym__dollar_ident_zw = 287,
  sym__no_interp_whitespace_zw = 288,
  sym__NONASSOC = 289,
  sym__ERROR = 290,
  sym_source_file = 291,
  sym__PERLY_BRACE_OPEN = 292,
  sym_block = 293,
  sym__fullstmt = 294,
  sym_statement_label = 295,
  sym__semicolon = 296,
  sym__barestmt = 297,
  sym_package_statement = 298,
  sym_class_statement = 299,
  sym_role_statement = 300,
  sym_class_phaser_statement = 301,
  sym_use_version_statement = 302,
  sym_use_statement = 303,
  sym_mandatory_parameter = 304,
  sym_optional_parameter = 305,
  sym_named_parameter = 306,
  sym_slurpy_parameter = 307,
  sym__signature_vars = 308,
  sym_signature = 309,
  sym_subroutine_declaration_statement = 310,
  sym_method_declaration_statement = 311,
  sym_phaser_statement = 312,
  sym_conditional_statement = 313,
  sym__loop_body = 314,
  sym_loop_statement = 315,
  sym_cstyle_for_statement = 316,
  sym__for_initializer = 317,
  sym_for_statement = 318,
  sym_try_statement = 319,
  sym_defer_statement = 320,
  sym_expression_statement = 321,
  sym__postfix_expressions = 322,
  sym_postfix_conditional_expression = 323,
  sym_postfix_loop_expression = 324,
  sym_postfix_for_expression = 325,
  sym_yadayada = 326,
  sym__else = 327,
  sym_else = 328,
  sym_elsif = 329,
  sym__expr = 330,
  sym_lowprec_logical_expression = 331,
  sym__listexpr = 332,
  sym__term_rightward = 333,
  sym_list_expression = 334,
  sym_subscripted = 335,
  sym_container_variable = 336,
  sym_glob_slot_expression = 337,
  sym_array_element_expression = 338,
  sym__hash_key = 339,
  sym_hash_element_expression = 340,
  sym_coderef_call_expression = 341,
  sym_anonymous_slice_expression = 342,
  sym_slices = 343,
  sym_slice_container_variable = 344,
  sym_slice_expression = 345,
  sym_keyval_container_variable = 346,
  sym_keyval_expression = 347,
  sym__term = 348,
  sym_readline_expression = 349,
  sym_fileglob_expression = 350,
  sym_assignment_expression = 351,
  sym_binary_expression = 352,
  sym_equality_expression = 353,
  sym_relational_expression = 354,
  sym_unary_expression = 355,
  sym_preinc_expression = 356,
  sym_postinc_expression = 357,
  sym_conditional_expression = 358,
  sym_refgen_expression = 359,
  sym_anonymous_array_expression = 360,
  sym__tricky_list = 361,
  sym_anonymous_hash_expression = 362,
  sym_anonymous_subroutine_expression = 363,
  sym_anonymous_method_expression = 364,
  sym_do_expression = 365,
  sym_eval_expression = 366,
  sym_await_expression = 367,
  sym__declared_vars = 368,
  sym_variable_declaration = 369,
  sym__decl_variable_list = 370,
  sym_localization_expression = 371,
  sym_stub_expression = 372,
  sym_postfix_deref = 373,
  sym_scalar_deref_expression = 374,
  sym_array_deref_expression = 375,
  sym_arraylen_deref_expression = 376,
  sym_hash_deref_expression = 377,
  sym_amper_deref_expression = 378,
  sym_glob_deref_expression = 379,
  sym_require_expression = 380,
  sym_require_version_expression = 381,
  sym_func0op_call_expression = 382,
  sym_func1op_call_expression = 383,
  sym_map_grep_expression = 384,
  sym__sort_routine = 385,
  sym_sort_expression = 386,
  sym__label_arg = 387,
  sym_loopex_expression = 388,
  sym_goto_expression = 389,
  sym_return_expression = 390,
  sym_undef_expression = 391,
  sym__listop = 392,
  sym_indirect_object = 393,
  sym_function_call_expression = 394,
  sym__tricky_indirob_hashref = 395,
  sym_ambiguous_function_call_expression = 396,
  sym_function = 397,
  sym_method_call_expression = 398,
  sym_method = 399,
  sym__variables = 400,
  sym__signature_varname = 401,
  sym_scalar = 402,
  sym__declare_scalar = 403,
  sym__signature_scalar = 404,
  sym_array = 405,
  sym__declare_array = 406,
  sym__signature_array = 407,
  sym__SUB_AMPER = 408,
  sym__GLOB_STAR = 409,
  sym_hash = 410,
  sym__declare_hash = 411,
  sym__signature_hash = 412,
  sym_arraylen = 413,
  sym_glob = 414,
  sym_amper_sub = 415,
  sym__indirob = 416,
  sym_varname = 417,
  sym__var_indirob_autoquote = 418,
  sym__var_indirob = 419,
  sym_attrlist = 420,
  sym_attribute = 421,
  sym_attribute_name = 422,
  sym___DATA__ = 423,
  sym__literal = 424,
  sym__apostrophe = 425,
  sym__quotation_mark = 426,
  sym__backtick = 427,
  sym__search_slash = 428,
  sym__quotelike_begin = 429,
  sym__quotelike_middle_close = 430,
  sym__quotelike_end = 431,
  sym__quotelike_middle = 432,
  sym_string_literal = 433,
  sym_interpolated_string_literal = 434,
  sym__subscripted_interpolations = 435,
  sym__braced_scalar = 436,
  sym__braced_array = 437,
  sym__interp_arrow = 438,
  sym__array_element_interpolation = 439,
  sym__hash_element_interpolation = 440,
  sym__slice_expression_interpolation = 441,
  sym__scalar_deref_interpolation = 442,
  sym__array_deref_interpolation = 443,
  sym__interpolations = 444,
  aux_sym__noninterpolated_string_content = 445,
  sym__interpolation_fallbacks = 446,
  sym__nonvar_interpolation_fallbacks = 447,
  aux_sym__interpolated_string_content = 448,
  sym_quoted_word_list = 449,
  sym_command_string = 450,
  sym_quoted_regexp = 451,
  sym_match_regexp = 452,
  sym_substitution_regexp = 453,
  aux_sym__interpolated_regexp_content = 454,
  aux_sym__interpolated_transliteration_content = 455,
  sym_transliteration_expression = 456,
  sym_heredoc_token = 457,
  sym_command_heredoc_token = 458,
  sym_heredoc_content = 459,
  sym_package = 460,
  sym__version = 461,
  sym__conditionals = 462,
  sym__loops = 463,
  sym_autoquoted_bareword = 464,
  sym__brace_autoquoted = 465,
  sym_identifier = 466,
  sym__ident_special = 467,
  sym_bareword = 468,
  sym_primitive = 469,
  sym_boolean = 470,
  aux_sym_source_file_repeat1 = 471,
  aux_sym_signature_repeat1 = 472,
  aux_sym_subroutine_declaration_statement_repeat1 = 473,
  aux_sym__for_initializer_repeat1 = 474,
  aux_sym__term_rightward_repeat1 = 475,
  aux_sym__decl_variable_list_repeat1 = 476,
  aux_sym_attrlist_repeat1 = 477,
  aux_sym_heredoc_content_repeat1 = 478,
  alias_sym_block_statement = 479,
  alias_sym_data_section = 480,
  alias_sym_filehandle = 481,
  alias_sym_filename = 482,
  alias_sym_label = 483,
  anon_alias_sym_not_DASHinterpolated = 484,
  alias_sym_regexp_content = 485,
  alias_sym_replacement = 486,
  alias_sym_string_content = 487,
  alias_sym_transliteration_content = 488,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym_package] = "package",
  [anon_sym_class] = "class",
  [anon_sym_role] = "role",
  [anon_sym_BUILD] = "BUILD",
  [anon_sym_ADJUST] = "ADJUST",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_EQ] = "=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_AT] = "@",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [anon_sym_my] = "my",
  [anon_sym_extended] = "extended",
  [anon_sym_async] = "async",
  [anon_sym_sub] = "sub",
  [anon_sym_method] = "method",
  [anon_sym_LPAREN] = "(",
  [anon_sym_continue] = "continue",
  [anon_sym_state] = "state",
  [anon_sym_our] = "our",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_defer] = "defer",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_else] = "else",
  [anon_sym_elsif] = "elsif",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_xor] = "xor",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_PERCENT] = "%",
  [anon_sym_GT] = ">",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_x_EQ] = "x=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_CARET_CARET] = "^^",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_GT_GT2] = ">>",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_DOT] = ".",
  [anon_sym_SLASH] = "/",
  [anon_sym_x] = "x",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_BANG_TILDE] = "!~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_eq] = "eq",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_equ] = "equ",
  [anon_sym_eqr] = "eqr",
  [anon_sym_ne] = "ne",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_cmp] = "cmp",
  [anon_sym_TILDE_TILDE] = "~~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_lt] = "lt",
  [anon_sym_le] = "le",
  [anon_sym_ge] = "ge",
  [anon_sym_gt] = "gt",
  [anon_sym_isa] = "isa",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_QMARK] = "\?",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_do] = "do",
  [anon_sym_eval] = "eval",
  [anon_sym_await] = "await",
  [anon_sym_field] = "field",
  [anon_sym_local] = "local",
  [anon_sym_dynamically] = "dynamically",
  [anon_sym_DOLLAR_POUND] = "$#",
  [anon_sym_require] = "require",
  [anon_sym_map] = "map",
  [anon_sym_grep] = "grep",
  [anon_sym_sort] = "sort",
  [anon_sym_goto] = "goto",
  [anon_sym_return] = "return",
  [anon_sym_undef] = "undef",
  [anon_sym_PERCENT2] = "%",
  [anon_sym_AMP2] = "&",
  [anon_sym_STAR2] = "*",
  [aux_sym__var_indirob_autoquote_token1] = "varname",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_use] = "use",
  [anon_sym_no] = "no",
  [anon_sym_for] = "for",
  [anon_sym_foreach] = "foreach",
  [anon_sym_last] = "last",
  [anon_sym_next] = "next",
  [anon_sym_redo] = "redo",
  [anon_sym_BEGIN] = "BEGIN",
  [anon_sym_INIT] = "INIT",
  [anon_sym_CHECK] = "CHECK",
  [anon_sym_UNITCHECK] = "UNITCHECK",
  [anon_sym_END] = "END",
  [anon_sym___FILE__] = "__FILE__",
  [anon_sym___LINE__] = "__LINE__",
  [anon_sym___PACKAGE__] = "__PACKAGE__",
  [anon_sym___SUB__] = "__SUB__",
  [anon_sym_break] = "break",
  [anon_sym_fork] = "fork",
  [anon_sym_getppid] = "getppid",
  [anon_sym_time] = "time",
  [anon_sym_times] = "times",
  [anon_sym_wait] = "wait",
  [anon_sym_wantarray] = "wantarray",
  [anon_sym_abs] = "abs",
  [anon_sym_alarm] = "alarm",
  [anon_sym_chop] = "chop",
  [anon_sym_chdir] = "chdir",
  [anon_sym_close] = "close",
  [anon_sym_closedir] = "closedir",
  [anon_sym_caller] = "caller",
  [anon_sym_chomp] = "chomp",
  [anon_sym_chr] = "chr",
  [anon_sym_cos] = "cos",
  [anon_sym_chroot] = "chroot",
  [anon_sym_defined] = "defined",
  [anon_sym_delete] = "delete",
  [anon_sym_dbmclose] = "dbmclose",
  [anon_sym_exists] = "exists",
  [anon_sym_exit] = "exit",
  [anon_sym_eof] = "eof",
  [anon_sym_exp] = "exp",
  [anon_sym_each] = "each",
  [anon_sym_fc] = "fc",
  [anon_sym_fileno] = "fileno",
  [anon_sym_gmtime] = "gmtime",
  [anon_sym_getc] = "getc",
  [anon_sym_getpgrp] = "getpgrp",
  [anon_sym_getprotobyname] = "getprotobyname",
  [anon_sym_getpwname] = "getpwname",
  [anon_sym_getpwuid] = "getpwuid",
  [anon_sym_getpeername] = "getpeername",
  [anon_sym_getnetbyname] = "getnetbyname",
  [anon_sym_getsockname] = "getsockname",
  [anon_sym_getgrnam] = "getgrnam",
  [anon_sym_getgrgid] = "getgrgid",
  [anon_sym_hex] = "hex",
  [anon_sym_int] = "int",
  [anon_sym_keys] = "keys",
  [anon_sym_lc] = "lc",
  [anon_sym_lcfirst] = "lcfirst",
  [anon_sym_length] = "length",
  [anon_sym_localtime] = "localtime",
  [anon_sym_log] = "log",
  [anon_sym_lock] = "lock",
  [anon_sym_lstat] = "lstat",
  [anon_sym_oct] = "oct",
  [anon_sym_ord] = "ord",
  [anon_sym_prototype] = "prototype",
  [anon_sym_pop] = "pop",
  [anon_sym_pos] = "pos",
  [anon_sym_quotemeta] = "quotemeta",
  [anon_sym_reset] = "reset",
  [anon_sym_rand] = "rand",
  [anon_sym_rmdir] = "rmdir",
  [anon_sym_readdir] = "readdir",
  [anon_sym_readline] = "readline",
  [anon_sym_readpipe] = "readpipe",
  [anon_sym_rewinddir] = "rewinddir",
  [anon_sym_readlink] = "readlink",
  [anon_sym_ref] = "ref",
  [anon_sym_scalar] = "scalar",
  [anon_sym_shift] = "shift",
  [anon_sym_sin] = "sin",
  [anon_sym_sleep] = "sleep",
  [anon_sym_sqrt] = "sqrt",
  [anon_sym_srand] = "srand",
  [anon_sym_stat] = "stat",
  [anon_sym_study] = "study",
  [anon_sym_tell] = "tell",
  [anon_sym_telldir] = "telldir",
  [anon_sym_tied] = "tied",
  [anon_sym_uc] = "uc",
  [anon_sym_ucfirst] = "ucfirst",
  [anon_sym_untie] = "untie",
  [anon_sym_umask] = "umask",
  [anon_sym_values] = "values",
  [anon_sym_write] = "write",
  [sym_comment] = "comment",
  [anon_sym___DATA__] = "eof_marker",
  [anon_sym___END__] = "eof_marker",
  [aux_sym___DATA___token1] = "__DATA___token1",
  [anon_sym_EOT] = "eof_marker",
  [anon_sym_q] = "q",
  [anon_sym_qq] = "qq",
  [anon_sym_DASH_GT2] = "->",
  [anon_sym_LBRACK2] = "[",
  [anon_sym_LBRACE2] = "{",
  [anon_sym_DOLLAR_STAR] = "$*",
  [anon_sym_AT_STAR] = "@*",
  [aux_sym__interpolation_fallbacks_token1] = "_interpolation_fallbacks_token1",
  [aux_sym__interpolation_fallbacks_token2] = "_interpolation_fallbacks_token2",
  [anon_sym_qw] = "qw",
  [anon_sym_qx] = "qx",
  [anon_sym_qr] = "qr",
  [anon_sym_m] = "m",
  [anon_sym_s] = "s",
  [sym_quoted_regexp_modifiers] = "quoted_regexp_modifiers",
  [sym_match_regexp_modifiers] = "match_regexp_modifiers",
  [sym_substitution_regexp_modifiers] = "substitution_regexp_modifiers",
  [sym_transliteration_modifiers] = "transliteration_modifiers",
  [aux_sym__interpolated_transliteration_content_token1] = "_interpolated_transliteration_content_token1",
  [anon_sym_tr] = "tr",
  [anon_sym_y] = "y",
  [sym_version] = "version",
  [anon_sym_if] = "if",
  [anon_sym_unless] = "unless",
  [anon_sym_while] = "while",
  [anon_sym_until] = "until",
  [aux_sym__ident_special_token1] = "_ident_special_token1",
  [aux_sym__bareword_token1] = "_bareword_token1",
  [sym_number] = "number",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym__single_quote] = "'",
  [sym__double_quote] = "'",
  [sym__backtick_quote] = "'",
  [sym__search_slash_quote] = "'",
  [sym__no_search_slash_plz] = "_no_search_slash_plz",
  [sym__open_readline_bracket] = "<",
  [sym__open_fileglob_bracket] = "<",
  [sym__PERLY_SEMICOLON] = "_PERLY_SEMICOLON",
  [sym__PERLY_HEREDOC] = "_PERLY_HEREDOC",
  [sym__ctrl_z_hack] = "eof_marker",
  [sym__quotelike_begin_quote] = "'",
  [sym__quotelike_middle_close_quote] = "'",
  [sym__quotelike_middle_skip] = "_quotelike_middle_skip",
  [sym__quotelike_end_zw] = "_quotelike_end_zw",
  [sym__quotelike_end_quote] = "'",
  [sym__q_string_content] = "_q_string_content",
  [sym__qq_string_content] = "_qq_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_escaped_delimiter] = "escaped_delimiter",
  [sym__dollar_in_regexp] = "_dollar_in_regexp",
  [sym_pod] = "pod",
  [sym__gobbled_content] = "_gobbled_content",
  [sym__attribute_value_begin] = "_attribute_value_begin",
  [sym_attribute_value] = "attribute_value",
  [sym_prototype] = "prototype",
  [sym__signature_start] = "(",
  [sym__heredoc_delimiter] = "_heredoc_delimiter",
  [sym__command_heredoc_delimiter] = "_command_heredoc_delimiter",
  [sym__heredoc_start] = "_heredoc_start",
  [sym__heredoc_middle] = "_heredoc_middle",
  [sym_heredoc_end] = "heredoc_end",
  [sym__fat_comma_autoquoted] = "_fat_comma_autoquoted",
  [sym__filetest] = "-x",
  [sym__brace_autoquoted_token] = "varname",
  [sym__brace_end_zw] = "_brace_end_zw",
  [sym__dollar_ident_zw] = "_dollar_ident_zw",
  [sym__no_interp_whitespace_zw] = "_no_interp_whitespace_zw",
  [sym__NONASSOC] = "_NONASSOC",
  [sym__ERROR] = "_ERROR",
  [sym_source_file] = "source_file",
  [sym__PERLY_BRACE_OPEN] = "_PERLY_BRACE_OPEN",
  [sym_block] = "block",
  [sym__fullstmt] = "_fullstmt",
  [sym_statement_label] = "statement_label",
  [sym__semicolon] = "_semicolon",
  [sym__barestmt] = "_barestmt",
  [sym_package_statement] = "package_statement",
  [sym_class_statement] = "class_statement",
  [sym_role_statement] = "role_statement",
  [sym_class_phaser_statement] = "class_phaser_statement",
  [sym_use_version_statement] = "use_version_statement",
  [sym_use_statement] = "use_statement",
  [sym_mandatory_parameter] = "mandatory_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym_named_parameter] = "named_parameter",
  [sym_slurpy_parameter] = "slurpy_parameter",
  [sym__signature_vars] = "_signature_vars",
  [sym_signature] = "signature",
  [sym_subroutine_declaration_statement] = "subroutine_declaration_statement",
  [sym_method_declaration_statement] = "method_declaration_statement",
  [sym_phaser_statement] = "phaser_statement",
  [sym_conditional_statement] = "conditional_statement",
  [sym__loop_body] = "_loop_body",
  [sym_loop_statement] = "loop_statement",
  [sym_cstyle_for_statement] = "cstyle_for_statement",
  [sym__for_initializer] = "_for_initializer",
  [sym_for_statement] = "for_statement",
  [sym_try_statement] = "try_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_expression_statement] = "expression_statement",
  [sym__postfix_expressions] = "_postfix_expressions",
  [sym_postfix_conditional_expression] = "postfix_conditional_expression",
  [sym_postfix_loop_expression] = "postfix_loop_expression",
  [sym_postfix_for_expression] = "postfix_for_expression",
  [sym_yadayada] = "yadayada",
  [sym__else] = "_else",
  [sym_else] = "else",
  [sym_elsif] = "elsif",
  [sym__expr] = "_expr",
  [sym_lowprec_logical_expression] = "lowprec_logical_expression",
  [sym__listexpr] = "_listexpr",
  [sym__term_rightward] = "_term_rightward",
  [sym_list_expression] = "list_expression",
  [sym_subscripted] = "subscripted",
  [sym_container_variable] = "container_variable",
  [sym_glob_slot_expression] = "glob_slot_expression",
  [sym_array_element_expression] = "array_element_expression",
  [sym__hash_key] = "_hash_key",
  [sym_hash_element_expression] = "hash_element_expression",
  [sym_coderef_call_expression] = "coderef_call_expression",
  [sym_anonymous_slice_expression] = "anonymous_slice_expression",
  [sym_slices] = "slices",
  [sym_slice_container_variable] = "slice_container_variable",
  [sym_slice_expression] = "slice_expression",
  [sym_keyval_container_variable] = "keyval_container_variable",
  [sym_keyval_expression] = "keyval_expression",
  [sym__term] = "_term",
  [sym_readline_expression] = "readline_expression",
  [sym_fileglob_expression] = "fileglob_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_equality_expression] = "equality_expression",
  [sym_relational_expression] = "relational_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_preinc_expression] = "preinc_expression",
  [sym_postinc_expression] = "postinc_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_refgen_expression] = "refgen_expression",
  [sym_anonymous_array_expression] = "anonymous_array_expression",
  [sym__tricky_list] = "list_expression",
  [sym_anonymous_hash_expression] = "anonymous_hash_expression",
  [sym_anonymous_subroutine_expression] = "anonymous_subroutine_expression",
  [sym_anonymous_method_expression] = "anonymous_method_expression",
  [sym_do_expression] = "do_expression",
  [sym_eval_expression] = "eval_expression",
  [sym_await_expression] = "await_expression",
  [sym__declared_vars] = "_declared_vars",
  [sym_variable_declaration] = "variable_declaration",
  [sym__decl_variable_list] = "_decl_variable_list",
  [sym_localization_expression] = "localization_expression",
  [sym_stub_expression] = "stub_expression",
  [sym_postfix_deref] = "postfix_deref",
  [sym_scalar_deref_expression] = "scalar_deref_expression",
  [sym_array_deref_expression] = "array_deref_expression",
  [sym_arraylen_deref_expression] = "arraylen_deref_expression",
  [sym_hash_deref_expression] = "hash_deref_expression",
  [sym_amper_deref_expression] = "amper_deref_expression",
  [sym_glob_deref_expression] = "glob_deref_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_version_expression] = "require_version_expression",
  [sym_func0op_call_expression] = "func0op_call_expression",
  [sym_func1op_call_expression] = "func1op_call_expression",
  [sym_map_grep_expression] = "map_grep_expression",
  [sym__sort_routine] = "_sort_routine",
  [sym_sort_expression] = "sort_expression",
  [sym__label_arg] = "_label_arg",
  [sym_loopex_expression] = "loopex_expression",
  [sym_goto_expression] = "goto_expression",
  [sym_return_expression] = "return_expression",
  [sym_undef_expression] = "undef_expression",
  [sym__listop] = "_listop",
  [sym_indirect_object] = "indirect_object",
  [sym_function_call_expression] = "function_call_expression",
  [sym__tricky_indirob_hashref] = "anonymous_hash_expression",
  [sym_ambiguous_function_call_expression] = "ambiguous_function_call_expression",
  [sym_function] = "function",
  [sym_method_call_expression] = "method_call_expression",
  [sym_method] = "method",
  [sym__variables] = "_variables",
  [sym__signature_varname] = "_signature_varname",
  [sym_scalar] = "scalar",
  [sym__declare_scalar] = "scalar",
  [sym__signature_scalar] = "scalar",
  [sym_array] = "array",
  [sym__declare_array] = "array",
  [sym__signature_array] = "array",
  [sym__SUB_AMPER] = "_SUB_AMPER",
  [sym__GLOB_STAR] = "_GLOB_STAR",
  [sym_hash] = "hash",
  [sym__declare_hash] = "hash",
  [sym__signature_hash] = "hash",
  [sym_arraylen] = "arraylen",
  [sym_glob] = "glob",
  [sym_amper_sub] = "function",
  [sym__indirob] = "varname",
  [sym_varname] = "varname",
  [sym__var_indirob_autoquote] = "_var_indirob_autoquote",
  [sym__var_indirob] = "_var_indirob",
  [sym_attrlist] = "attrlist",
  [sym_attribute] = "attribute",
  [sym_attribute_name] = "attribute_name",
  [sym___DATA__] = "__DATA__",
  [sym__literal] = "_literal",
  [sym__apostrophe] = "_apostrophe",
  [sym__quotation_mark] = "_quotation_mark",
  [sym__backtick] = "_backtick",
  [sym__search_slash] = "_search_slash",
  [sym__quotelike_begin] = "_quotelike_begin",
  [sym__quotelike_middle_close] = "_quotelike_middle_close",
  [sym__quotelike_end] = "_quotelike_end",
  [sym__quotelike_middle] = "_quotelike_middle",
  [sym_string_literal] = "string_literal",
  [sym_interpolated_string_literal] = "interpolated_string_literal",
  [sym__subscripted_interpolations] = "_subscripted_interpolations",
  [sym__braced_scalar] = "scalar",
  [sym__braced_array] = "array",
  [sym__interp_arrow] = "_interp_arrow",
  [sym__array_element_interpolation] = "array_element_expression",
  [sym__hash_element_interpolation] = "hash_element_expression",
  [sym__slice_expression_interpolation] = "slice_expression",
  [sym__scalar_deref_interpolation] = "scalar_deref_expression",
  [sym__array_deref_interpolation] = "array_deref_expression",
  [sym__interpolations] = "_interpolations",
  [aux_sym__noninterpolated_string_content] = "_noninterpolated_string_content",
  [sym__interpolation_fallbacks] = "_interpolation_fallbacks",
  [sym__nonvar_interpolation_fallbacks] = "_nonvar_interpolation_fallbacks",
  [aux_sym__interpolated_string_content] = "_interpolated_string_content",
  [sym_quoted_word_list] = "quoted_word_list",
  [sym_command_string] = "command_string",
  [sym_quoted_regexp] = "quoted_regexp",
  [sym_match_regexp] = "match_regexp",
  [sym_substitution_regexp] = "substitution_regexp",
  [aux_sym__interpolated_regexp_content] = "_interpolated_regexp_content",
  [aux_sym__interpolated_transliteration_content] = "_interpolated_transliteration_content",
  [sym_transliteration_expression] = "transliteration_expression",
  [sym_heredoc_token] = "heredoc_token",
  [sym_command_heredoc_token] = "command_heredoc_token",
  [sym_heredoc_content] = "heredoc_content",
  [sym_package] = "package",
  [sym__version] = "_version",
  [sym__conditionals] = "_conditionals",
  [sym__loops] = "_loops",
  [sym_autoquoted_bareword] = "autoquoted_bareword",
  [sym__brace_autoquoted] = "_brace_autoquoted",
  [sym_identifier] = "identifier",
  [sym__ident_special] = "_ident_special",
  [sym_bareword] = "bareword",
  [sym_primitive] = "primitive",
  [sym_boolean] = "boolean",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_signature_repeat1] = "signature_repeat1",
  [aux_sym_subroutine_declaration_statement_repeat1] = "subroutine_declaration_statement_repeat1",
  [aux_sym__for_initializer_repeat1] = "_for_initializer_repeat1",
  [aux_sym__term_rightward_repeat1] = "_term_rightward_repeat1",
  [aux_sym__decl_variable_list_repeat1] = "_decl_variable_list_repeat1",
  [aux_sym_attrlist_repeat1] = "attrlist_repeat1",
  [aux_sym_heredoc_content_repeat1] = "heredoc_content_repeat1",
  [alias_sym_block_statement] = "block_statement",
  [alias_sym_data_section] = "data_section",
  [alias_sym_filehandle] = "filehandle",
  [alias_sym_filename] = "filename",
  [alias_sym_label] = "label",
  [anon_alias_sym_not_DASHinterpolated] = "not-interpolated",
  [alias_sym_regexp_content] = "regexp_content",
  [alias_sym_replacement] = "replacement",
  [alias_sym_string_content] = "string_content",
  [alias_sym_transliteration_content] = "transliteration_content",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_role] = anon_sym_role,
  [anon_sym_BUILD] = anon_sym_BUILD,
  [anon_sym_ADJUST] = anon_sym_ADJUST,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_my] = anon_sym_my,
  [anon_sym_extended] = anon_sym_extended,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_sub] = anon_sym_sub,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_state] = anon_sym_state,
  [anon_sym_our] = anon_sym_our,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_elsif] = anon_sym_elsif,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_x_EQ] = anon_sym_x_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_CARET_CARET] = anon_sym_CARET_CARET,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_GT_GT2] = anon_sym_GT_GT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_x] = anon_sym_x,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_BANG_TILDE] = anon_sym_BANG_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_eq] = anon_sym_eq,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_equ] = anon_sym_equ,
  [anon_sym_eqr] = anon_sym_eqr,
  [anon_sym_ne] = anon_sym_ne,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_cmp] = anon_sym_cmp,
  [anon_sym_TILDE_TILDE] = anon_sym_TILDE_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_lt] = anon_sym_lt,
  [anon_sym_le] = anon_sym_le,
  [anon_sym_ge] = anon_sym_ge,
  [anon_sym_gt] = anon_sym_gt,
  [anon_sym_isa] = anon_sym_isa,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_eval] = anon_sym_eval,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_field] = anon_sym_field,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_dynamically] = anon_sym_dynamically,
  [anon_sym_DOLLAR_POUND] = anon_sym_DOLLAR_POUND,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_grep] = anon_sym_grep,
  [anon_sym_sort] = anon_sym_sort,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_undef] = anon_sym_undef,
  [anon_sym_PERCENT2] = anon_sym_PERCENT,
  [anon_sym_AMP2] = anon_sym_AMP,
  [anon_sym_STAR2] = anon_sym_STAR,
  [aux_sym__var_indirob_autoquote_token1] = sym_varname,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_use] = anon_sym_use,
  [anon_sym_no] = anon_sym_no,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_foreach] = anon_sym_foreach,
  [anon_sym_last] = anon_sym_last,
  [anon_sym_next] = anon_sym_next,
  [anon_sym_redo] = anon_sym_redo,
  [anon_sym_BEGIN] = anon_sym_BEGIN,
  [anon_sym_INIT] = anon_sym_INIT,
  [anon_sym_CHECK] = anon_sym_CHECK,
  [anon_sym_UNITCHECK] = anon_sym_UNITCHECK,
  [anon_sym_END] = anon_sym_END,
  [anon_sym___FILE__] = anon_sym___FILE__,
  [anon_sym___LINE__] = anon_sym___LINE__,
  [anon_sym___PACKAGE__] = anon_sym___PACKAGE__,
  [anon_sym___SUB__] = anon_sym___SUB__,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_fork] = anon_sym_fork,
  [anon_sym_getppid] = anon_sym_getppid,
  [anon_sym_time] = anon_sym_time,
  [anon_sym_times] = anon_sym_times,
  [anon_sym_wait] = anon_sym_wait,
  [anon_sym_wantarray] = anon_sym_wantarray,
  [anon_sym_abs] = anon_sym_abs,
  [anon_sym_alarm] = anon_sym_alarm,
  [anon_sym_chop] = anon_sym_chop,
  [anon_sym_chdir] = anon_sym_chdir,
  [anon_sym_close] = anon_sym_close,
  [anon_sym_closedir] = anon_sym_closedir,
  [anon_sym_caller] = anon_sym_caller,
  [anon_sym_chomp] = anon_sym_chomp,
  [anon_sym_chr] = anon_sym_chr,
  [anon_sym_cos] = anon_sym_cos,
  [anon_sym_chroot] = anon_sym_chroot,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_dbmclose] = anon_sym_dbmclose,
  [anon_sym_exists] = anon_sym_exists,
  [anon_sym_exit] = anon_sym_exit,
  [anon_sym_eof] = anon_sym_eof,
  [anon_sym_exp] = anon_sym_exp,
  [anon_sym_each] = anon_sym_each,
  [anon_sym_fc] = anon_sym_fc,
  [anon_sym_fileno] = anon_sym_fileno,
  [anon_sym_gmtime] = anon_sym_gmtime,
  [anon_sym_getc] = anon_sym_getc,
  [anon_sym_getpgrp] = anon_sym_getpgrp,
  [anon_sym_getprotobyname] = anon_sym_getprotobyname,
  [anon_sym_getpwname] = anon_sym_getpwname,
  [anon_sym_getpwuid] = anon_sym_getpwuid,
  [anon_sym_getpeername] = anon_sym_getpeername,
  [anon_sym_getnetbyname] = anon_sym_getnetbyname,
  [anon_sym_getsockname] = anon_sym_getsockname,
  [anon_sym_getgrnam] = anon_sym_getgrnam,
  [anon_sym_getgrgid] = anon_sym_getgrgid,
  [anon_sym_hex] = anon_sym_hex,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_keys] = anon_sym_keys,
  [anon_sym_lc] = anon_sym_lc,
  [anon_sym_lcfirst] = anon_sym_lcfirst,
  [anon_sym_length] = anon_sym_length,
  [anon_sym_localtime] = anon_sym_localtime,
  [anon_sym_log] = anon_sym_log,
  [anon_sym_lock] = anon_sym_lock,
  [anon_sym_lstat] = anon_sym_lstat,
  [anon_sym_oct] = anon_sym_oct,
  [anon_sym_ord] = anon_sym_ord,
  [anon_sym_prototype] = anon_sym_prototype,
  [anon_sym_pop] = anon_sym_pop,
  [anon_sym_pos] = anon_sym_pos,
  [anon_sym_quotemeta] = anon_sym_quotemeta,
  [anon_sym_reset] = anon_sym_reset,
  [anon_sym_rand] = anon_sym_rand,
  [anon_sym_rmdir] = anon_sym_rmdir,
  [anon_sym_readdir] = anon_sym_readdir,
  [anon_sym_readline] = anon_sym_readline,
  [anon_sym_readpipe] = anon_sym_readpipe,
  [anon_sym_rewinddir] = anon_sym_rewinddir,
  [anon_sym_readlink] = anon_sym_readlink,
  [anon_sym_ref] = anon_sym_ref,
  [anon_sym_scalar] = anon_sym_scalar,
  [anon_sym_shift] = anon_sym_shift,
  [anon_sym_sin] = anon_sym_sin,
  [anon_sym_sleep] = anon_sym_sleep,
  [anon_sym_sqrt] = anon_sym_sqrt,
  [anon_sym_srand] = anon_sym_srand,
  [anon_sym_stat] = anon_sym_stat,
  [anon_sym_study] = anon_sym_study,
  [anon_sym_tell] = anon_sym_tell,
  [anon_sym_telldir] = anon_sym_telldir,
  [anon_sym_tied] = anon_sym_tied,
  [anon_sym_uc] = anon_sym_uc,
  [anon_sym_ucfirst] = anon_sym_ucfirst,
  [anon_sym_untie] = anon_sym_untie,
  [anon_sym_umask] = anon_sym_umask,
  [anon_sym_values] = anon_sym_values,
  [anon_sym_write] = anon_sym_write,
  [sym_comment] = sym_comment,
  [anon_sym___DATA__] = sym__ctrl_z_hack,
  [anon_sym___END__] = sym__ctrl_z_hack,
  [aux_sym___DATA___token1] = aux_sym___DATA___token1,
  [anon_sym_EOT] = sym__ctrl_z_hack,
  [anon_sym_q] = anon_sym_q,
  [anon_sym_qq] = anon_sym_qq,
  [anon_sym_DASH_GT2] = anon_sym_DASH_GT,
  [anon_sym_LBRACK2] = anon_sym_LBRACK,
  [anon_sym_LBRACE2] = anon_sym_LBRACE,
  [anon_sym_DOLLAR_STAR] = anon_sym_DOLLAR_STAR,
  [anon_sym_AT_STAR] = anon_sym_AT_STAR,
  [aux_sym__interpolation_fallbacks_token1] = aux_sym__interpolation_fallbacks_token1,
  [aux_sym__interpolation_fallbacks_token2] = aux_sym__interpolation_fallbacks_token2,
  [anon_sym_qw] = anon_sym_qw,
  [anon_sym_qx] = anon_sym_qx,
  [anon_sym_qr] = anon_sym_qr,
  [anon_sym_m] = anon_sym_m,
  [anon_sym_s] = anon_sym_s,
  [sym_quoted_regexp_modifiers] = sym_quoted_regexp_modifiers,
  [sym_match_regexp_modifiers] = sym_match_regexp_modifiers,
  [sym_substitution_regexp_modifiers] = sym_substitution_regexp_modifiers,
  [sym_transliteration_modifiers] = sym_transliteration_modifiers,
  [aux_sym__interpolated_transliteration_content_token1] = aux_sym__interpolated_transliteration_content_token1,
  [anon_sym_tr] = anon_sym_tr,
  [anon_sym_y] = anon_sym_y,
  [sym_version] = sym_version,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_unless] = anon_sym_unless,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_until] = anon_sym_until,
  [aux_sym__ident_special_token1] = aux_sym__ident_special_token1,
  [aux_sym__bareword_token1] = aux_sym__bareword_token1,
  [sym_number] = sym_number,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym__single_quote] = sym__single_quote,
  [sym__double_quote] = sym__single_quote,
  [sym__backtick_quote] = sym__single_quote,
  [sym__search_slash_quote] = sym__single_quote,
  [sym__no_search_slash_plz] = sym__no_search_slash_plz,
  [sym__open_readline_bracket] = anon_sym_LT,
  [sym__open_fileglob_bracket] = anon_sym_LT,
  [sym__PERLY_SEMICOLON] = sym__PERLY_SEMICOLON,
  [sym__PERLY_HEREDOC] = sym__PERLY_HEREDOC,
  [sym__ctrl_z_hack] = sym__ctrl_z_hack,
  [sym__quotelike_begin_quote] = sym__single_quote,
  [sym__quotelike_middle_close_quote] = sym__single_quote,
  [sym__quotelike_middle_skip] = sym__quotelike_middle_skip,
  [sym__quotelike_end_zw] = sym__quotelike_end_zw,
  [sym__quotelike_end_quote] = sym__single_quote,
  [sym__q_string_content] = sym__q_string_content,
  [sym__qq_string_content] = sym__qq_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_escaped_delimiter] = sym_escaped_delimiter,
  [sym__dollar_in_regexp] = sym__dollar_in_regexp,
  [sym_pod] = sym_pod,
  [sym__gobbled_content] = sym__gobbled_content,
  [sym__attribute_value_begin] = sym__attribute_value_begin,
  [sym_attribute_value] = sym_attribute_value,
  [sym_prototype] = sym_prototype,
  [sym__signature_start] = anon_sym_LPAREN,
  [sym__heredoc_delimiter] = sym__heredoc_delimiter,
  [sym__command_heredoc_delimiter] = sym__command_heredoc_delimiter,
  [sym__heredoc_start] = sym__heredoc_start,
  [sym__heredoc_middle] = sym__heredoc_middle,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym__fat_comma_autoquoted] = sym__fat_comma_autoquoted,
  [sym__filetest] = sym__filetest,
  [sym__brace_autoquoted_token] = sym_varname,
  [sym__brace_end_zw] = sym__brace_end_zw,
  [sym__dollar_ident_zw] = sym__dollar_ident_zw,
  [sym__no_interp_whitespace_zw] = sym__no_interp_whitespace_zw,
  [sym__NONASSOC] = sym__NONASSOC,
  [sym__ERROR] = sym__ERROR,
  [sym_source_file] = sym_source_file,
  [sym__PERLY_BRACE_OPEN] = sym__PERLY_BRACE_OPEN,
  [sym_block] = sym_block,
  [sym__fullstmt] = sym__fullstmt,
  [sym_statement_label] = sym_statement_label,
  [sym__semicolon] = sym__semicolon,
  [sym__barestmt] = sym__barestmt,
  [sym_package_statement] = sym_package_statement,
  [sym_class_statement] = sym_class_statement,
  [sym_role_statement] = sym_role_statement,
  [sym_class_phaser_statement] = sym_class_phaser_statement,
  [sym_use_version_statement] = sym_use_version_statement,
  [sym_use_statement] = sym_use_statement,
  [sym_mandatory_parameter] = sym_mandatory_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym_named_parameter] = sym_named_parameter,
  [sym_slurpy_parameter] = sym_slurpy_parameter,
  [sym__signature_vars] = sym__signature_vars,
  [sym_signature] = sym_signature,
  [sym_subroutine_declaration_statement] = sym_subroutine_declaration_statement,
  [sym_method_declaration_statement] = sym_method_declaration_statement,
  [sym_phaser_statement] = sym_phaser_statement,
  [sym_conditional_statement] = sym_conditional_statement,
  [sym__loop_body] = sym__loop_body,
  [sym_loop_statement] = sym_loop_statement,
  [sym_cstyle_for_statement] = sym_cstyle_for_statement,
  [sym__for_initializer] = sym__for_initializer,
  [sym_for_statement] = sym_for_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym__postfix_expressions] = sym__postfix_expressions,
  [sym_postfix_conditional_expression] = sym_postfix_conditional_expression,
  [sym_postfix_loop_expression] = sym_postfix_loop_expression,
  [sym_postfix_for_expression] = sym_postfix_for_expression,
  [sym_yadayada] = sym_yadayada,
  [sym__else] = sym__else,
  [sym_else] = sym_else,
  [sym_elsif] = sym_elsif,
  [sym__expr] = sym__expr,
  [sym_lowprec_logical_expression] = sym_lowprec_logical_expression,
  [sym__listexpr] = sym__listexpr,
  [sym__term_rightward] = sym__term_rightward,
  [sym_list_expression] = sym_list_expression,
  [sym_subscripted] = sym_subscripted,
  [sym_container_variable] = sym_container_variable,
  [sym_glob_slot_expression] = sym_glob_slot_expression,
  [sym_array_element_expression] = sym_array_element_expression,
  [sym__hash_key] = sym__hash_key,
  [sym_hash_element_expression] = sym_hash_element_expression,
  [sym_coderef_call_expression] = sym_coderef_call_expression,
  [sym_anonymous_slice_expression] = sym_anonymous_slice_expression,
  [sym_slices] = sym_slices,
  [sym_slice_container_variable] = sym_slice_container_variable,
  [sym_slice_expression] = sym_slice_expression,
  [sym_keyval_container_variable] = sym_keyval_container_variable,
  [sym_keyval_expression] = sym_keyval_expression,
  [sym__term] = sym__term,
  [sym_readline_expression] = sym_readline_expression,
  [sym_fileglob_expression] = sym_fileglob_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_equality_expression] = sym_equality_expression,
  [sym_relational_expression] = sym_relational_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_preinc_expression] = sym_preinc_expression,
  [sym_postinc_expression] = sym_postinc_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_refgen_expression] = sym_refgen_expression,
  [sym_anonymous_array_expression] = sym_anonymous_array_expression,
  [sym__tricky_list] = sym_list_expression,
  [sym_anonymous_hash_expression] = sym_anonymous_hash_expression,
  [sym_anonymous_subroutine_expression] = sym_anonymous_subroutine_expression,
  [sym_anonymous_method_expression] = sym_anonymous_method_expression,
  [sym_do_expression] = sym_do_expression,
  [sym_eval_expression] = sym_eval_expression,
  [sym_await_expression] = sym_await_expression,
  [sym__declared_vars] = sym__declared_vars,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym__decl_variable_list] = sym__decl_variable_list,
  [sym_localization_expression] = sym_localization_expression,
  [sym_stub_expression] = sym_stub_expression,
  [sym_postfix_deref] = sym_postfix_deref,
  [sym_scalar_deref_expression] = sym_scalar_deref_expression,
  [sym_array_deref_expression] = sym_array_deref_expression,
  [sym_arraylen_deref_expression] = sym_arraylen_deref_expression,
  [sym_hash_deref_expression] = sym_hash_deref_expression,
  [sym_amper_deref_expression] = sym_amper_deref_expression,
  [sym_glob_deref_expression] = sym_glob_deref_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_version_expression] = sym_require_version_expression,
  [sym_func0op_call_expression] = sym_func0op_call_expression,
  [sym_func1op_call_expression] = sym_func1op_call_expression,
  [sym_map_grep_expression] = sym_map_grep_expression,
  [sym__sort_routine] = sym__sort_routine,
  [sym_sort_expression] = sym_sort_expression,
  [sym__label_arg] = sym__label_arg,
  [sym_loopex_expression] = sym_loopex_expression,
  [sym_goto_expression] = sym_goto_expression,
  [sym_return_expression] = sym_return_expression,
  [sym_undef_expression] = sym_undef_expression,
  [sym__listop] = sym__listop,
  [sym_indirect_object] = sym_indirect_object,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym__tricky_indirob_hashref] = sym_anonymous_hash_expression,
  [sym_ambiguous_function_call_expression] = sym_ambiguous_function_call_expression,
  [sym_function] = sym_function,
  [sym_method_call_expression] = sym_method_call_expression,
  [sym_method] = sym_method,
  [sym__variables] = sym__variables,
  [sym__signature_varname] = sym__signature_varname,
  [sym_scalar] = sym_scalar,
  [sym__declare_scalar] = sym_scalar,
  [sym__signature_scalar] = sym_scalar,
  [sym_array] = sym_array,
  [sym__declare_array] = sym_array,
  [sym__signature_array] = sym_array,
  [sym__SUB_AMPER] = sym__SUB_AMPER,
  [sym__GLOB_STAR] = sym__GLOB_STAR,
  [sym_hash] = sym_hash,
  [sym__declare_hash] = sym_hash,
  [sym__signature_hash] = sym_hash,
  [sym_arraylen] = sym_arraylen,
  [sym_glob] = sym_glob,
  [sym_amper_sub] = sym_function,
  [sym__indirob] = sym_varname,
  [sym_varname] = sym_varname,
  [sym__var_indirob_autoquote] = sym__var_indirob_autoquote,
  [sym__var_indirob] = sym__var_indirob,
  [sym_attrlist] = sym_attrlist,
  [sym_attribute] = sym_attribute,
  [sym_attribute_name] = sym_attribute_name,
  [sym___DATA__] = sym___DATA__,
  [sym__literal] = sym__literal,
  [sym__apostrophe] = sym__apostrophe,
  [sym__quotation_mark] = sym__quotation_mark,
  [sym__backtick] = sym__backtick,
  [sym__search_slash] = sym__search_slash,
  [sym__quotelike_begin] = sym__quotelike_begin,
  [sym__quotelike_middle_close] = sym__quotelike_middle_close,
  [sym__quotelike_end] = sym__quotelike_end,
  [sym__quotelike_middle] = sym__quotelike_middle,
  [sym_string_literal] = sym_string_literal,
  [sym_interpolated_string_literal] = sym_interpolated_string_literal,
  [sym__subscripted_interpolations] = sym__subscripted_interpolations,
  [sym__braced_scalar] = sym_scalar,
  [sym__braced_array] = sym_array,
  [sym__interp_arrow] = sym__interp_arrow,
  [sym__array_element_interpolation] = sym_array_element_expression,
  [sym__hash_element_interpolation] = sym_hash_element_expression,
  [sym__slice_expression_interpolation] = sym_slice_expression,
  [sym__scalar_deref_interpolation] = sym_scalar_deref_expression,
  [sym__array_deref_interpolation] = sym_array_deref_expression,
  [sym__interpolations] = sym__interpolations,
  [aux_sym__noninterpolated_string_content] = aux_sym__noninterpolated_string_content,
  [sym__interpolation_fallbacks] = sym__interpolation_fallbacks,
  [sym__nonvar_interpolation_fallbacks] = sym__nonvar_interpolation_fallbacks,
  [aux_sym__interpolated_string_content] = aux_sym__interpolated_string_content,
  [sym_quoted_word_list] = sym_quoted_word_list,
  [sym_command_string] = sym_command_string,
  [sym_quoted_regexp] = sym_quoted_regexp,
  [sym_match_regexp] = sym_match_regexp,
  [sym_substitution_regexp] = sym_substitution_regexp,
  [aux_sym__interpolated_regexp_content] = aux_sym__interpolated_regexp_content,
  [aux_sym__interpolated_transliteration_content] = aux_sym__interpolated_transliteration_content,
  [sym_transliteration_expression] = sym_transliteration_expression,
  [sym_heredoc_token] = sym_heredoc_token,
  [sym_command_heredoc_token] = sym_command_heredoc_token,
  [sym_heredoc_content] = sym_heredoc_content,
  [sym_package] = sym_package,
  [sym__version] = sym__version,
  [sym__conditionals] = sym__conditionals,
  [sym__loops] = sym__loops,
  [sym_autoquoted_bareword] = sym_autoquoted_bareword,
  [sym__brace_autoquoted] = sym__brace_autoquoted,
  [sym_identifier] = sym_identifier,
  [sym__ident_special] = sym__ident_special,
  [sym_bareword] = sym_bareword,
  [sym_primitive] = sym_primitive,
  [sym_boolean] = sym_boolean,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_signature_repeat1] = aux_sym_signature_repeat1,
  [aux_sym_subroutine_declaration_statement_repeat1] = aux_sym_subroutine_declaration_statement_repeat1,
  [aux_sym__for_initializer_repeat1] = aux_sym__for_initializer_repeat1,
  [aux_sym__term_rightward_repeat1] = aux_sym__term_rightward_repeat1,
  [aux_sym__decl_variable_list_repeat1] = aux_sym__decl_variable_list_repeat1,
  [aux_sym_attrlist_repeat1] = aux_sym_attrlist_repeat1,
  [aux_sym_heredoc_content_repeat1] = aux_sym_heredoc_content_repeat1,
  [alias_sym_block_statement] = alias_sym_block_statement,
  [alias_sym_data_section] = alias_sym_data_section,
  [alias_sym_filehandle] = alias_sym_filehandle,
  [alias_sym_filename] = alias_sym_filename,
  [alias_sym_label] = alias_sym_label,
  [anon_alias_sym_not_DASHinterpolated] = anon_alias_sym_not_DASHinterpolated,
  [alias_sym_regexp_content] = alias_sym_regexp_content,
  [alias_sym_replacement] = alias_sym_replacement,
  [alias_sym_string_content] = alias_sym_string_content,
  [alias_sym_transliteration_content] = alias_sym_transliteration_content,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_role] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BUILD] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ADJUST] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_my] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extended] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_state] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_our] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elsif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_x_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_x] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_equ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eqr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ne] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cmp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_le] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ge] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_isa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eval] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_field] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamically] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_grep] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_undef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__var_indirob_autoquote_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_use] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_no] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreach] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_last] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_next] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_redo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BEGIN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_INIT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CHECK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UNITCHECK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_END] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___FILE__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___LINE__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___PACKAGE__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___SUB__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fork] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getppid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_time] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_times] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_wait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_wantarray] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alarm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chdir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_close] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_closedir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_caller] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chomp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cos] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_chroot] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dbmclose] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exists] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_eof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_each] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fileno] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_gmtime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpgrp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getprotobyname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpwname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpwuid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getpeername] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getnetbyname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getsockname] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getgrnam] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_getgrgid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keys] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lcfirst] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_length] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_localtime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_log] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lstat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_oct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ord] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prototype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pos] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_quotemeta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_reset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rmdir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readdir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readpipe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rewinddir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readlink] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_scalar] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shift] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sleep] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sqrt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_srand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_study] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tell] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_telldir] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tied] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ucfirst] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_untie] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_umask] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_values] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_write] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym___DATA__] = {
    .visible = true,
    .named = true,
  },
  [anon_sym___END__] = {
    .visible = true,
    .named = true,
  },
  [aux_sym___DATA___token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_EOT] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_q] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__interpolation_fallbacks_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolation_fallbacks_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_qw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qx] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_m] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_s] = {
    .visible = true,
    .named = false,
  },
  [sym_quoted_regexp_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_match_regexp_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_substitution_regexp_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_transliteration_modifiers] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_transliteration_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_tr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_y] = {
    .visible = true,
    .named = false,
  },
  [sym_version] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unless] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_until] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__ident_special_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__bareword_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym__single_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__double_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__backtick_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__search_slash_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__no_search_slash_plz] = {
    .visible = false,
    .named = true,
  },
  [sym__open_readline_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__open_fileglob_bracket] = {
    .visible = true,
    .named = false,
  },
  [sym__PERLY_SEMICOLON] = {
    .visible = false,
    .named = true,
  },
  [sym__PERLY_HEREDOC] = {
    .visible = false,
    .named = true,
  },
  [sym__ctrl_z_hack] = {
    .visible = true,
    .named = true,
  },
  [sym__quotelike_begin_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__quotelike_middle_close_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__quotelike_middle_skip] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_end_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_end_quote] = {
    .visible = true,
    .named = false,
  },
  [sym__q_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__qq_string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_escaped_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym__dollar_in_regexp] = {
    .visible = false,
    .named = true,
  },
  [sym_pod] = {
    .visible = true,
    .named = true,
  },
  [sym__gobbled_content] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute_value_begin] = {
    .visible = false,
    .named = true,
  },
  [sym_attribute_value] = {
    .visible = true,
    .named = true,
  },
  [sym_prototype] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_start] = {
    .visible = true,
    .named = false,
  },
  [sym__heredoc_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__command_heredoc_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_start] = {
    .visible = false,
    .named = true,
  },
  [sym__heredoc_middle] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym__fat_comma_autoquoted] = {
    .visible = false,
    .named = true,
  },
  [sym__filetest] = {
    .visible = true,
    .named = false,
  },
  [sym__brace_autoquoted_token] = {
    .visible = true,
    .named = true,
  },
  [sym__brace_end_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__dollar_ident_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__no_interp_whitespace_zw] = {
    .visible = false,
    .named = true,
  },
  [sym__NONASSOC] = {
    .visible = false,
    .named = true,
  },
  [sym__ERROR] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__PERLY_BRACE_OPEN] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__fullstmt] = {
    .visible = false,
    .named = true,
  },
  [sym_statement_label] = {
    .visible = true,
    .named = true,
  },
  [sym__semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__barestmt] = {
    .visible = false,
    .named = true,
  },
  [sym_package_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_role_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_phaser_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_use_version_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_use_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_mandatory_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_named_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_slurpy_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_vars] = {
    .visible = false,
    .named = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_subroutine_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_phaser_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_loop_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_cstyle_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_initializer] = {
    .visible = false,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__postfix_expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_postfix_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_yadayada] = {
    .visible = true,
    .named = true,
  },
  [sym__else] = {
    .visible = false,
    .named = true,
  },
  [sym_else] = {
    .visible = true,
    .named = true,
  },
  [sym_elsif] = {
    .visible = true,
    .named = true,
  },
  [sym__expr] = {
    .visible = false,
    .named = true,
  },
  [sym_lowprec_logical_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__listexpr] = {
    .visible = false,
    .named = true,
  },
  [sym__term_rightward] = {
    .visible = false,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscripted] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_container_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_glob_slot_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_key] = {
    .visible = false,
    .named = true,
  },
  [sym_hash_element_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coderef_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slices] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_slice_container_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_keyval_container_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyval_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__term] = {
    .visible = false,
    .named = true,
  },
  [sym_readline_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fileglob_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_equality_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preinc_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postinc_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_refgen_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__tricky_list] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_subroutine_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_method_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_eval_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__declared_vars] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__decl_variable_list] = {
    .visible = false,
    .named = true,
  },
  [sym_localization_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_stub_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_deref] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_scalar_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arraylen_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_amper_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_glob_deref_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_version_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_func0op_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_func1op_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_map_grep_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__sort_routine] = {
    .visible = false,
    .named = true,
  },
  [sym_sort_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__label_arg] = {
    .visible = false,
    .named = true,
  },
  [sym_loopex_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_undef_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__listop] = {
    .visible = false,
    .named = true,
  },
  [sym_indirect_object] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__tricky_indirob_hashref] = {
    .visible = true,
    .named = true,
  },
  [sym_ambiguous_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_method_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method] = {
    .visible = true,
    .named = true,
  },
  [sym__variables] = {
    .visible = false,
    .named = true,
  },
  [sym__signature_varname] = {
    .visible = false,
    .named = true,
  },
  [sym_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym__declare_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym__declare_array] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_array] = {
    .visible = true,
    .named = true,
  },
  [sym__SUB_AMPER] = {
    .visible = false,
    .named = true,
  },
  [sym__GLOB_STAR] = {
    .visible = false,
    .named = true,
  },
  [sym_hash] = {
    .visible = true,
    .named = true,
  },
  [sym__declare_hash] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_arraylen] = {
    .visible = true,
    .named = true,
  },
  [sym_glob] = {
    .visible = true,
    .named = true,
  },
  [sym_amper_sub] = {
    .visible = true,
    .named = true,
  },
  [sym__indirob] = {
    .visible = true,
    .named = true,
  },
  [sym_varname] = {
    .visible = true,
    .named = true,
  },
  [sym__var_indirob_autoquote] = {
    .visible = false,
    .named = true,
  },
  [sym__var_indirob] = {
    .visible = false,
    .named = true,
  },
  [sym_attrlist] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_name] = {
    .visible = true,
    .named = true,
  },
  [sym___DATA__] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym__apostrophe] = {
    .visible = false,
    .named = true,
  },
  [sym__quotation_mark] = {
    .visible = false,
    .named = true,
  },
  [sym__backtick] = {
    .visible = false,
    .named = true,
  },
  [sym__search_slash] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_begin] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_middle_close] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_end] = {
    .visible = false,
    .named = true,
  },
  [sym__quotelike_middle] = {
    .visible = false,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolated_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__subscripted_interpolations] = {
    .visible = false,
    .named = true,
  },
  [sym__braced_scalar] = {
    .visible = true,
    .named = true,
  },
  [sym__braced_array] = {
    .visible = true,
    .named = true,
  },
  [sym__interp_arrow] = {
    .visible = false,
    .named = true,
  },
  [sym__array_element_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__hash_element_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__slice_expression_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__scalar_deref_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__array_deref_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__interpolations] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__noninterpolated_string_content] = {
    .visible = false,
    .named = false,
  },
  [sym__interpolation_fallbacks] = {
    .visible = false,
    .named = true,
  },
  [sym__nonvar_interpolation_fallbacks] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__interpolated_string_content] = {
    .visible = false,
    .named = false,
  },
  [sym_quoted_word_list] = {
    .visible = true,
    .named = true,
  },
  [sym_command_string] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_regexp] = {
    .visible = true,
    .named = true,
  },
  [sym_match_regexp] = {
    .visible = true,
    .named = true,
  },
  [sym_substitution_regexp] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__interpolated_regexp_content] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__interpolated_transliteration_content] = {
    .visible = false,
    .named = false,
  },
  [sym_transliteration_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_token] = {
    .visible = true,
    .named = true,
  },
  [sym_command_heredoc_token] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_content] = {
    .visible = true,
    .named = true,
  },
  [sym_package] = {
    .visible = true,
    .named = true,
  },
  [sym__version] = {
    .visible = false,
    .named = true,
  },
  [sym__conditionals] = {
    .visible = false,
    .named = true,
  },
  [sym__loops] = {
    .visible = false,
    .named = true,
  },
  [sym_autoquoted_bareword] = {
    .visible = true,
    .named = true,
  },
  [sym__brace_autoquoted] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__ident_special] = {
    .visible = false,
    .named = true,
  },
  [sym_bareword] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subroutine_declaration_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__term_rightward_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__decl_variable_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attrlist_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_block_statement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_data_section] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_filehandle] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_filename] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label] = {
    .visible = true,
    .named = true,
  },
  [anon_alias_sym_not_DASHinterpolated] = {
    .visible = true,
    .named = false,
  },
  [alias_sym_regexp_content] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_replacement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_transliteration_content] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_array = 3,
  field_arrayref = 4,
  field_attributes = 5,
  field_block = 6,
  field_body = 7,
  field_callback = 8,
  field_catch_block = 9,
  field_catch_expr = 10,
  field_condition = 11,
  field_consequent = 12,
  field_content = 13,
  field_continue = 14,
  field_default = 15,
  field_finally_block = 16,
  field_function = 17,
  field_hash = 18,
  field_hashref = 19,
  field_index = 20,
  field_initialiser = 21,
  field_invocant = 22,
  field_iterator = 23,
  field_key = 24,
  field_label = 25,
  field_left = 26,
  field_lexical = 27,
  field_list = 28,
  field_loopex = 29,
  field_method = 30,
  field_modifiers = 31,
  field_module = 32,
  field_name = 33,
  field_operand = 34,
  field_operator = 35,
  field_phase = 36,
  field_right = 37,
  field_statement = 38,
  field_try_block = 39,
  field_value = 40,
  field_variable = 41,
  field_variables = 42,
  field_version = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_array] = "array",
  [field_arrayref] = "arrayref",
  [field_attributes] = "attributes",
  [field_block] = "block",
  [field_body] = "body",
  [field_callback] = "callback",
  [field_catch_block] = "catch_block",
  [field_catch_expr] = "catch_expr",
  [field_condition] = "condition",
  [field_consequent] = "consequent",
  [field_content] = "content",
  [field_continue] = "continue",
  [field_default] = "default",
  [field_finally_block] = "finally_block",
  [field_function] = "function",
  [field_hash] = "hash",
  [field_hashref] = "hashref",
  [field_index] = "index",
  [field_initialiser] = "initialiser",
  [field_invocant] = "invocant",
  [field_iterator] = "iterator",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_lexical] = "lexical",
  [field_list] = "list",
  [field_loopex] = "loopex",
  [field_method] = "method",
  [field_modifiers] = "modifiers",
  [field_module] = "module",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_phase] = "phase",
  [field_right] = "right",
  [field_statement] = "statement",
  [field_try_block] = "try_block",
  [field_value] = "value",
  [field_variable] = "variable",
  [field_variables] = "variables",
  [field_version] = "version",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 2},
  [6] = {.index = 4, .length = 2},
  [7] = {.index = 6, .length = 4},
  [8] = {.index = 10, .length = 1},
  [9] = {.index = 11, .length = 2},
  [10] = {.index = 13, .length = 1},
  [11] = {.index = 14, .length = 1},
  [12] = {.index = 15, .length = 1},
  [13] = {.index = 16, .length = 1},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 1},
  [17] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 0, .length = 1},
  [26] = {.index = 27, .length = 2},
  [27] = {.index = 29, .length = 2},
  [28] = {.index = 31, .length = 3},
  [29] = {.index = 34, .length = 1},
  [33] = {.index = 35, .length = 1},
  [34] = {.index = 36, .length = 1},
  [35] = {.index = 37, .length = 2},
  [36] = {.index = 39, .length = 2},
  [37] = {.index = 41, .length = 1},
  [39] = {.index = 42, .length = 1},
  [40] = {.index = 43, .length = 3},
  [41] = {.index = 46, .length = 1},
  [42] = {.index = 47, .length = 1},
  [44] = {.index = 48, .length = 2},
  [45] = {.index = 50, .length = 2},
  [46] = {.index = 52, .length = 1},
  [47] = {.index = 53, .length = 1},
  [48] = {.index = 52, .length = 1},
  [49] = {.index = 54, .length = 2},
  [51] = {.index = 56, .length = 1},
  [52] = {.index = 57, .length = 2},
  [54] = {.index = 59, .length = 2},
  [55] = {.index = 61, .length = 3},
  [56] = {.index = 64, .length = 2},
  [57] = {.index = 66, .length = 2},
  [58] = {.index = 68, .length = 1},
  [59] = {.index = 69, .length = 2},
  [60] = {.index = 71, .length = 2},
  [61] = {.index = 73, .length = 2},
  [62] = {.index = 75, .length = 2},
  [63] = {.index = 77, .length = 2},
  [64] = {.index = 79, .length = 2},
  [65] = {.index = 81, .length = 2},
  [66] = {.index = 83, .length = 1},
  [67] = {.index = 84, .length = 1},
  [68] = {.index = 83, .length = 1},
  [69] = {.index = 85, .length = 2},
  [70] = {.index = 87, .length = 2},
  [71] = {.index = 0, .length = 1},
  [72] = {.index = 89, .length = 1},
  [73] = {.index = 90, .length = 1},
  [74] = {.index = 91, .length = 1},
  [75] = {.index = 92, .length = 2},
  [76] = {.index = 94, .length = 2},
  [77] = {.index = 96, .length = 1},
  [78] = {.index = 97, .length = 1},
  [79] = {.index = 98, .length = 2},
  [80] = {.index = 100, .length = 3},
  [81] = {.index = 103, .length = 2},
  [82] = {.index = 105, .length = 1},
  [83] = {.index = 106, .length = 2},
  [84] = {.index = 94, .length = 2},
  [85] = {.index = 92, .length = 2},
  [86] = {.index = 97, .length = 1},
  [87] = {.index = 96, .length = 1},
  [88] = {.index = 108, .length = 2},
  [89] = {.index = 110, .length = 1},
  [91] = {.index = 111, .length = 3},
  [92] = {.index = 114, .length = 3},
  [93] = {.index = 117, .length = 2},
  [94] = {.index = 119, .length = 2},
  [95] = {.index = 121, .length = 3},
  [96] = {.index = 124, .length = 1},
  [97] = {.index = 125, .length = 3},
  [98] = {.index = 128, .length = 1},
  [99] = {.index = 129, .length = 3},
  [100] = {.index = 132, .length = 2},
  [101] = {.index = 134, .length = 3},
  [102] = {.index = 137, .length = 2},
  [103] = {.index = 42, .length = 1},
  [104] = {.index = 87, .length = 2},
  [105] = {.index = 139, .length = 2},
  [106] = {.index = 141, .length = 1},
  [107] = {.index = 142, .length = 1},
  [108] = {.index = 143, .length = 1},
  [109] = {.index = 144, .length = 3},
  [110] = {.index = 147, .length = 2},
  [111] = {.index = 149, .length = 3},
  [112] = {.index = 152, .length = 1},
  [113] = {.index = 153, .length = 2},
  [114] = {.index = 155, .length = 2},
  [115] = {.index = 157, .length = 3},
  [116] = {.index = 160, .length = 1},
  [117] = {.index = 161, .length = 3},
  [118] = {.index = 164, .length = 4},
  [119] = {.index = 168, .length = 3},
  [120] = {.index = 171, .length = 3},
  [121] = {.index = 174, .length = 3},
  [122] = {.index = 177, .length = 2},
  [123] = {.index = 179, .length = 4},
  [124] = {.index = 183, .length = 4},
  [125] = {.index = 187, .length = 5},
  [126] = {.index = 192, .length = 2},
  [127] = {.index = 194, .length = 3},
  [128] = {.index = 87, .length = 2},
  [129] = {.index = 194, .length = 3},
  [130] = {.index = 87, .length = 2},
  [131] = {.index = 197, .length = 2},
  [132] = {.index = 199, .length = 4},
  [133] = {.index = 203, .length = 1},
  [134] = {.index = 204, .length = 3},
  [135] = {.index = 207, .length = 2},
  [136] = {.index = 209, .length = 2},
  [137] = {.index = 211, .length = 3},
  [138] = {.index = 214, .length = 2},
  [139] = {.index = 216, .length = 4},
  [140] = {.index = 220, .length = 3},
  [141] = {.index = 223, .length = 4},
  [142] = {.index = 227, .length = 3},
  [143] = {.index = 230, .length = 2},
  [144] = {.index = 232, .length = 5},
  [145] = {.index = 237, .length = 2},
  [146] = {.index = 239, .length = 3},
  [147] = {.index = 239, .length = 3},
  [148] = {.index = 242, .length = 3},
  [149] = {.index = 245, .length = 3},
  [150] = {.index = 248, .length = 4},
  [151] = {.index = 252, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_function, 0},
  [1] =
    {field_loopex, 0},
  [2] =
    {field_array, 0, .inherited = true},
    {field_index, 0, .inherited = true},
  [4] =
    {field_hash, 0, .inherited = true},
    {field_key, 0, .inherited = true},
  [6] =
    {field_array, 0, .inherited = true},
    {field_arrayref, 0, .inherited = true},
    {field_hash, 0, .inherited = true},
    {field_hashref, 0, .inherited = true},
  [10] =
    {field_arrayref, 0, .inherited = true},
  [11] =
    {field_operator, 0},
    {field_operator, 1},
  [13] =
    {field_phase, 0},
  [14] =
    {field_variable, 1},
  [15] =
    {field_variables, 1},
  [16] =
    {field_body, 1},
  [17] =
    {field_try_block, 1},
  [18] =
    {field_block, 1},
  [19] =
    {field_modifiers, 1},
  [20] =
    {field_operand, 1},
    {field_operator, 0},
  [22] =
    {field_version, 1},
  [23] =
    {field_list, 1},
  [24] =
    {field_variable, 0},
  [25] =
    {field_operand, 0},
    {field_operator, 1},
  [27] =
    {field_arguments, 1},
    {field_function, 0},
  [29] =
    {field_operator, 0},
    {field_operator, 2},
  [31] =
    {field_content, 1},
    {field_operator, 0},
    {field_operator, 2},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0},
  [36] =
    {field_body, 2},
  [37] =
    {field_body, 2},
    {field_name, 1},
  [39] =
    {field_callback, 1},
    {field_list, 2},
  [41] =
    {field_module, 1},
  [42] =
    {field_operator, 0},
  [43] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [46] =
    {field_list, 2},
  [47] =
    {field_condition, 2},
  [48] =
    {field_invocant, 0},
    {field_method, 2},
  [50] =
    {field_arguments, 2},
    {field_function, 0},
  [52] =
    {field_content, 1},
  [53] =
    {field_modifiers, 2},
  [54] =
    {field_label, 0},
    {field_statement, 2},
  [56] =
    {field_arrayref, 0},
  [57] =
    {field_name, 1},
    {field_version, 2},
  [59] =
    {field_attributes, 2},
    {field_phase, 0},
  [61] =
    {field_body, 3},
    {field_lexical, 0},
    {field_name, 2},
  [64] =
    {field_attributes, 3},
    {field_variable, 1},
  [66] =
    {field_attributes, 3},
    {field_variables, 1},
  [68] =
    {field_body, 3},
  [69] =
    {field_attributes, 2},
    {field_body, 3},
  [71] =
    {field_body, 3},
    {field_name, 1},
  [73] =
    {field_catch_block, 3},
    {field_try_block, 1},
  [75] =
    {field_finally_block, 3},
    {field_try_block, 1},
  [77] =
    {field_callback, 1},
    {field_list, 3},
  [79] =
    {field_module, 1},
    {field_version, 2},
  [81] =
    {field_variables, 1},
    {field_variables, 2},
  [83] =
    {field_content, 2},
  [84] =
    {field_modifiers, 3},
  [85] =
    {field_modifiers, 3},
    {field_operator, 0},
  [87] =
    {field_content, 2},
    {field_operator, 0},
  [89] =
    {field_key, 2},
  [90] =
    {field_arguments, 2},
  [91] =
    {field_index, 2},
  [92] =
    {field_hash, 0},
    {field_key, 2},
  [94] =
    {field_array, 0},
    {field_index, 2},
  [96] =
    {field_hash, 0},
  [97] =
    {field_array, 0},
  [98] =
    {field_invocant, 0},
    {field_method, 3},
  [100] =
    {field_arguments, 1},
    {field_arguments, 3},
    {field_function, 0},
  [103] =
    {field_content, 1},
    {field_modifiers, 3},
  [105] =
    {field_list, 0},
  [106] =
    {field_body, 3},
    {field_name, 2},
  [108] =
    {field_attributes, 3},
    {field_name, 1},
  [110] =
    {field_default, 2},
  [111] =
    {field_body, 4},
    {field_lexical, 0},
    {field_name, 2},
  [114] =
    {field_body, 4},
    {field_lexical, 0},
    {field_name, 3},
  [117] =
    {field_attributes, 2},
    {field_body, 4},
  [119] =
    {field_body, 4},
    {field_name, 1},
  [121] =
    {field_attributes, 3},
    {field_body, 4},
    {field_name, 1},
  [124] =
    {field_list, 3},
  [125] =
    {field_variables, 1},
    {field_variables, 2},
    {field_variables, 3},
  [128] =
    {field_block, 0},
  [129] =
    {field_block, 4, .inherited = true},
    {field_continue, 4, .inherited = true},
    {field_list, 2},
  [132] =
    {field_content, 2},
    {field_modifiers, 4},
  [134] =
    {field_content, 2},
    {field_modifiers, 4},
    {field_operator, 0},
  [137] =
    {field_modifiers, 4},
    {field_operator, 0},
  [139] =
    {field_arguments, 3},
    {field_function, 0},
  [141] =
    {field_key, 3},
  [142] =
    {field_arguments, 3},
  [143] =
    {field_index, 3},
  [144] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequent, 2},
  [147] =
    {field_block, 4},
    {field_condition, 2},
  [149] =
    {field_block, 4, .inherited = true},
    {field_condition, 2},
    {field_continue, 4, .inherited = true},
  [152] =
    {field_body, 4},
  [153] =
    {field_attributes, 3},
    {field_body, 4},
  [155] =
    {field_body, 4},
    {field_name, 2},
  [157] =
    {field_attributes, 4},
    {field_name, 1},
    {field_version, 2},
  [160] =
    {field_default, 3},
  [161] =
    {field_body, 5},
    {field_lexical, 0},
    {field_name, 2},
  [164] =
    {field_attributes, 4},
    {field_body, 5},
    {field_lexical, 0},
    {field_name, 2},
  [168] =
    {field_body, 5},
    {field_lexical, 0},
    {field_name, 3},
  [171] =
    {field_attributes, 3},
    {field_body, 5},
    {field_name, 1},
  [174] =
    {field_catch_block, 3},
    {field_finally_block, 5},
    {field_try_block, 1},
  [177] =
    {field_callback, 3},
    {field_list, 4},
  [179] =
    {field_variables, 1},
    {field_variables, 2},
    {field_variables, 3},
    {field_variables, 4},
  [183] =
    {field_block, 5, .inherited = true},
    {field_condition, 3},
    {field_continue, 5, .inherited = true},
    {field_initialiser, 2},
  [187] =
    {field_block, 5, .inherited = true},
    {field_continue, 5, .inherited = true},
    {field_list, 3},
    {field_variable, 1, .inherited = true},
    {field_variables, 1, .inherited = true},
  [192] =
    {field_modifiers, 5},
    {field_operator, 0},
  [194] =
    {field_content, 2},
    {field_modifiers, 5},
    {field_operator, 0},
  [197] =
    {field_arguments, 4},
    {field_function, 0},
  [199] =
    {field_left, 0},
    {field_operator, 1},
    {field_operator, 3},
    {field_right, 2},
  [203] =
    {field_hashref, 0},
  [204] =
    {field_arguments, 4},
    {field_invocant, 0},
    {field_method, 2},
  [207] =
    {field_attributes, 3},
    {field_body, 5},
  [209] =
    {field_body, 5},
    {field_name, 2},
  [211] =
    {field_attributes, 4},
    {field_body, 5},
    {field_name, 2},
  [214] =
    {field_name, 0},
    {field_value, 3},
  [216] =
    {field_attributes, 4},
    {field_body, 6},
    {field_lexical, 0},
    {field_name, 2},
  [220] =
    {field_body, 6},
    {field_lexical, 0},
    {field_name, 3},
  [223] =
    {field_attributes, 5},
    {field_body, 6},
    {field_lexical, 0},
    {field_name, 3},
  [227] =
    {field_catch_block, 6},
    {field_catch_expr, 4},
    {field_try_block, 1},
  [230] =
    {field_callback, 3},
    {field_list, 5},
  [232] =
    {field_block, 6, .inherited = true},
    {field_condition, 3},
    {field_continue, 6, .inherited = true},
    {field_initialiser, 2},
    {field_iterator, 4},
  [237] =
    {field_block, 0},
    {field_continue, 2},
  [239] =
    {field_content, 2},
    {field_modifiers, 6},
    {field_operator, 0},
  [242] =
    {field_arguments, 5},
    {field_invocant, 0},
    {field_method, 3},
  [245] =
    {field_attributes, 4},
    {field_body, 6},
    {field_name, 2},
  [248] =
    {field_attributes, 5},
    {field_body, 7},
    {field_lexical, 0},
    {field_name, 3},
  [252] =
    {field_catch_block, 6},
    {field_catch_expr, 4},
    {field_finally_block, 8},
    {field_try_block, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [3] = {
    [0] = alias_sym_block_statement,
  },
  [4] = {
    [0] = anon_alias_sym_not_DASHinterpolated,
  },
  [18] = {
    [1] = alias_sym_filename,
  },
  [20] = {
    [0] = sym_function,
  },
  [22] = {
    [0] = alias_sym_label,
  },
  [25] = {
    [1] = sym_indirect_object,
  },
  [27] = {
    [1] = alias_sym_filehandle,
  },
  [28] = {
    [1] = alias_sym_string_content,
    [2] = anon_sym_GT,
  },
  [30] = {
    [0] = sym_scalar,
  },
  [31] = {
    [0] = sym_array,
  },
  [32] = {
    [0] = sym_hash,
  },
  [38] = {
    [2] = alias_sym_data_section,
  },
  [43] = {
    [0] = sym_autoquoted_bareword,
  },
  [46] = {
    [1] = alias_sym_string_content,
  },
  [48] = {
    [1] = alias_sym_regexp_content,
  },
  [50] = {
    [1] = anon_alias_sym_not_DASHinterpolated,
  },
  [53] = {
    [0] = sym_varname,
  },
  [66] = {
    [2] = alias_sym_string_content,
  },
  [68] = {
    [2] = alias_sym_regexp_content,
  },
  [70] = {
    [2] = alias_sym_regexp_content,
  },
  [71] = {
    [0] = sym_function,
  },
  [81] = {
    [1] = alias_sym_regexp_content,
  },
  [84] = {
    [0] = sym_container_variable,
  },
  [85] = {
    [0] = sym_container_variable,
  },
  [86] = {
    [0] = sym_slice_container_variable,
  },
  [87] = {
    [0] = sym_slice_container_variable,
  },
  [89] = {
    [0] = sym_scalar,
  },
  [90] = {
    [1] = sym_varname,
  },
  [100] = {
    [2] = alias_sym_regexp_content,
  },
  [101] = {
    [2] = alias_sym_regexp_content,
  },
  [103] = {
    [3] = alias_sym_replacement,
  },
  [104] = {
    [2] = alias_sym_transliteration_content,
  },
  [105] = {
    [0] = sym_function,
  },
  [126] = {
    [3] = alias_sym_replacement,
  },
  [127] = {
    [2] = alias_sym_regexp_content,
  },
  [128] = {
    [2] = alias_sym_regexp_content,
    [4] = alias_sym_replacement,
  },
  [129] = {
    [2] = alias_sym_transliteration_content,
  },
  [130] = {
    [2] = alias_sym_transliteration_content,
    [4] = alias_sym_replacement,
  },
  [131] = {
    [0] = sym_function,
  },
  [146] = {
    [2] = alias_sym_regexp_content,
    [4] = alias_sym_replacement,
  },
  [147] = {
    [2] = alias_sym_transliteration_content,
    [4] = alias_sym_replacement,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_block, 3,
    sym_block,
    alias_sym_block_statement,
    sym_indirect_object,
  sym__term, 2,
    sym__term,
    alias_sym_filename,
  sym_scalar, 3,
    sym_scalar,
    alias_sym_filehandle,
    sym_container_variable,
  sym_array, 2,
    sym_array,
    sym_slice_container_variable,
  sym__quotelike_end, 2,
    sym__quotelike_end,
    anon_sym_GT,
  aux_sym__noninterpolated_string_content, 5,
    aux_sym__noninterpolated_string_content,
    alias_sym_regexp_content,
    alias_sym_replacement,
    alias_sym_string_content,
    alias_sym_transliteration_content,
  aux_sym__interpolated_string_content, 3,
    aux_sym__interpolated_string_content,
    alias_sym_replacement,
    alias_sym_string_content,
  aux_sym__interpolated_regexp_content, 2,
    aux_sym__interpolated_regexp_content,
    alias_sym_regexp_content,
  aux_sym__interpolated_transliteration_content, 3,
    aux_sym__interpolated_transliteration_content,
    alias_sym_replacement,
    alias_sym_transliteration_content,
  sym_identifier, 2,
    sym_identifier,
    alias_sym_label,
  sym__ident_special, 2,
    sym__ident_special,
    sym_varname,
  sym_bareword, 2,
    sym_bareword,
    alias_sym_filehandle,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 2,
  [8] = 3,
  [9] = 6,
  [10] = 4,
  [11] = 5,
  [12] = 2,
  [13] = 3,
  [14] = 5,
  [15] = 4,
  [16] = 6,
  [17] = 17,
  [18] = 18,
  [19] = 2,
  [20] = 20,
  [21] = 2,
  [22] = 2,
  [23] = 18,
  [24] = 18,
  [25] = 18,
  [26] = 18,
  [27] = 18,
  [28] = 18,
  [29] = 18,
  [30] = 18,
  [31] = 18,
  [32] = 18,
  [33] = 18,
  [34] = 18,
  [35] = 18,
  [36] = 18,
  [37] = 18,
  [38] = 18,
  [39] = 18,
  [40] = 18,
  [41] = 18,
  [42] = 18,
  [43] = 18,
  [44] = 18,
  [45] = 18,
  [46] = 18,
  [47] = 18,
  [48] = 18,
  [49] = 18,
  [50] = 3,
  [51] = 3,
  [52] = 3,
  [53] = 2,
  [54] = 5,
  [55] = 3,
  [56] = 6,
  [57] = 5,
  [58] = 6,
  [59] = 6,
  [60] = 5,
  [61] = 4,
  [62] = 4,
  [63] = 4,
  [64] = 5,
  [65] = 65,
  [66] = 65,
  [67] = 67,
  [68] = 65,
  [69] = 65,
  [70] = 67,
  [71] = 65,
  [72] = 67,
  [73] = 67,
  [74] = 65,
  [75] = 65,
  [76] = 67,
  [77] = 65,
  [78] = 65,
  [79] = 67,
  [80] = 65,
  [81] = 65,
  [82] = 65,
  [83] = 65,
  [84] = 65,
  [85] = 4,
  [86] = 65,
  [87] = 6,
  [88] = 88,
  [89] = 89,
  [90] = 88,
  [91] = 89,
  [92] = 88,
  [93] = 89,
  [94] = 88,
  [95] = 20,
  [96] = 89,
  [97] = 88,
  [98] = 89,
  [99] = 88,
  [100] = 89,
  [101] = 88,
  [102] = 89,
  [103] = 88,
  [104] = 89,
  [105] = 88,
  [106] = 89,
  [107] = 88,
  [108] = 89,
  [109] = 88,
  [110] = 89,
  [111] = 89,
  [112] = 88,
  [113] = 89,
  [114] = 88,
  [115] = 89,
  [116] = 88,
  [117] = 89,
  [118] = 88,
  [119] = 89,
  [120] = 88,
  [121] = 88,
  [122] = 88,
  [123] = 88,
  [124] = 88,
  [125] = 88,
  [126] = 88,
  [127] = 88,
  [128] = 88,
  [129] = 88,
  [130] = 88,
  [131] = 88,
  [132] = 88,
  [133] = 88,
  [134] = 88,
  [135] = 88,
  [136] = 88,
  [137] = 88,
  [138] = 88,
  [139] = 88,
  [140] = 88,
  [141] = 88,
  [142] = 88,
  [143] = 89,
  [144] = 88,
  [145] = 88,
  [146] = 146,
  [147] = 146,
  [148] = 148,
  [149] = 148,
  [150] = 150,
  [151] = 150,
  [152] = 148,
  [153] = 150,
  [154] = 6,
  [155] = 6,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 160,
  [164] = 164,
  [165] = 6,
  [166] = 166,
  [167] = 167,
  [168] = 160,
  [169] = 169,
  [170] = 170,
  [171] = 160,
  [172] = 159,
  [173] = 156,
  [174] = 174,
  [175] = 156,
  [176] = 174,
  [177] = 177,
  [178] = 157,
  [179] = 179,
  [180] = 158,
  [181] = 161,
  [182] = 162,
  [183] = 164,
  [184] = 167,
  [185] = 169,
  [186] = 170,
  [187] = 187,
  [188] = 166,
  [189] = 160,
  [190] = 187,
  [191] = 159,
  [192] = 156,
  [193] = 174,
  [194] = 177,
  [195] = 157,
  [196] = 179,
  [197] = 158,
  [198] = 161,
  [199] = 162,
  [200] = 164,
  [201] = 167,
  [202] = 169,
  [203] = 170,
  [204] = 187,
  [205] = 166,
  [206] = 156,
  [207] = 174,
  [208] = 177,
  [209] = 157,
  [210] = 179,
  [211] = 158,
  [212] = 161,
  [213] = 162,
  [214] = 164,
  [215] = 167,
  [216] = 169,
  [217] = 170,
  [218] = 187,
  [219] = 166,
  [220] = 174,
  [221] = 177,
  [222] = 157,
  [223] = 179,
  [224] = 164,
  [225] = 169,
  [226] = 170,
  [227] = 187,
  [228] = 177,
  [229] = 179,
  [230] = 230,
  [231] = 231,
  [232] = 231,
  [233] = 233,
  [234] = 231,
  [235] = 233,
  [236] = 233,
  [237] = 233,
  [238] = 230,
  [239] = 231,
  [240] = 233,
  [241] = 231,
  [242] = 230,
  [243] = 230,
  [244] = 230,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 245,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 247,
  [254] = 246,
  [255] = 249,
  [256] = 247,
  [257] = 257,
  [258] = 251,
  [259] = 257,
  [260] = 257,
  [261] = 252,
  [262] = 247,
  [263] = 251,
  [264] = 249,
  [265] = 250,
  [266] = 257,
  [267] = 267,
  [268] = 250,
  [269] = 246,
  [270] = 267,
  [271] = 250,
  [272] = 247,
  [273] = 252,
  [274] = 246,
  [275] = 249,
  [276] = 245,
  [277] = 251,
  [278] = 246,
  [279] = 267,
  [280] = 249,
  [281] = 251,
  [282] = 257,
  [283] = 267,
  [284] = 250,
  [285] = 267,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 287,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 286,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 302,
  [313] = 303,
  [314] = 314,
  [315] = 315,
  [316] = 302,
  [317] = 303,
  [318] = 310,
  [319] = 311,
  [320] = 314,
  [321] = 315,
  [322] = 288,
  [323] = 291,
  [324] = 292,
  [325] = 293,
  [326] = 294,
  [327] = 296,
  [328] = 297,
  [329] = 298,
  [330] = 300,
  [331] = 301,
  [332] = 309,
  [333] = 307,
  [334] = 310,
  [335] = 311,
  [336] = 314,
  [337] = 315,
  [338] = 288,
  [339] = 291,
  [340] = 292,
  [341] = 293,
  [342] = 294,
  [343] = 296,
  [344] = 297,
  [345] = 298,
  [346] = 300,
  [347] = 301,
  [348] = 286,
  [349] = 307,
  [350] = 310,
  [351] = 311,
  [352] = 314,
  [353] = 315,
  [354] = 288,
  [355] = 291,
  [356] = 292,
  [357] = 293,
  [358] = 294,
  [359] = 296,
  [360] = 297,
  [361] = 298,
  [362] = 300,
  [363] = 301,
  [364] = 307,
  [365] = 310,
  [366] = 311,
  [367] = 314,
  [368] = 315,
  [369] = 288,
  [370] = 294,
  [371] = 296,
  [372] = 298,
  [373] = 300,
  [374] = 301,
  [375] = 286,
  [376] = 289,
  [377] = 290,
  [378] = 295,
  [379] = 287,
  [380] = 309,
  [381] = 289,
  [382] = 290,
  [383] = 295,
  [384] = 286,
  [385] = 385,
  [386] = 385,
  [387] = 385,
  [388] = 6,
  [389] = 6,
  [390] = 385,
  [391] = 385,
  [392] = 385,
  [393] = 385,
  [394] = 394,
  [395] = 394,
  [396] = 396,
  [397] = 394,
  [398] = 398,
  [399] = 394,
  [400] = 396,
  [401] = 394,
  [402] = 396,
  [403] = 403,
  [404] = 396,
  [405] = 394,
  [406] = 396,
  [407] = 394,
  [408] = 408,
  [409] = 409,
  [410] = 409,
  [411] = 4,
  [412] = 408,
  [413] = 409,
  [414] = 408,
  [415] = 408,
  [416] = 408,
  [417] = 409,
  [418] = 409,
  [419] = 408,
  [420] = 409,
  [421] = 408,
  [422] = 409,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 426,
  [431] = 429,
  [432] = 432,
  [433] = 433,
  [434] = 423,
  [435] = 435,
  [436] = 436,
  [437] = 428,
  [438] = 426,
  [439] = 439,
  [440] = 432,
  [441] = 441,
  [442] = 429,
  [443] = 443,
  [444] = 424,
  [445] = 398,
  [446] = 439,
  [447] = 441,
  [448] = 424,
  [449] = 439,
  [450] = 436,
  [451] = 428,
  [452] = 439,
  [453] = 439,
  [454] = 425,
  [455] = 427,
  [456] = 439,
  [457] = 429,
  [458] = 433,
  [459] = 432,
  [460] = 443,
  [461] = 429,
  [462] = 435,
  [463] = 433,
  [464] = 433,
  [465] = 465,
  [466] = 423,
  [467] = 423,
  [468] = 424,
  [469] = 435,
  [470] = 433,
  [471] = 436,
  [472] = 435,
  [473] = 428,
  [474] = 436,
  [475] = 423,
  [476] = 426,
  [477] = 426,
  [478] = 441,
  [479] = 424,
  [480] = 425,
  [481] = 427,
  [482] = 426,
  [483] = 423,
  [484] = 436,
  [485] = 443,
  [486] = 441,
  [487] = 441,
  [488] = 424,
  [489] = 429,
  [490] = 429,
  [491] = 432,
  [492] = 428,
  [493] = 432,
  [494] = 494,
  [495] = 433,
  [496] = 423,
  [497] = 435,
  [498] = 436,
  [499] = 425,
  [500] = 427,
  [501] = 428,
  [502] = 443,
  [503] = 426,
  [504] = 439,
  [505] = 443,
  [506] = 441,
  [507] = 432,
  [508] = 465,
  [509] = 435,
  [510] = 435,
  [511] = 436,
  [512] = 432,
  [513] = 441,
  [514] = 433,
  [515] = 465,
  [516] = 424,
  [517] = 425,
  [518] = 427,
  [519] = 465,
  [520] = 465,
  [521] = 428,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 523,
  [529] = 525,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 522,
  [538] = 538,
  [539] = 539,
  [540] = 530,
  [541] = 541,
  [542] = 531,
  [543] = 543,
  [544] = 544,
  [545] = 533,
  [546] = 546,
  [547] = 547,
  [548] = 532,
  [549] = 549,
  [550] = 549,
  [551] = 551,
  [552] = 551,
  [553] = 553,
  [554] = 534,
  [555] = 535,
  [556] = 536,
  [557] = 549,
  [558] = 532,
  [559] = 522,
  [560] = 538,
  [561] = 553,
  [562] = 543,
  [563] = 544,
  [564] = 546,
  [565] = 547,
  [566] = 539,
  [567] = 549,
  [568] = 551,
  [569] = 524,
  [570] = 524,
  [571] = 526,
  [572] = 543,
  [573] = 527,
  [574] = 523,
  [575] = 575,
  [576] = 524,
  [577] = 526,
  [578] = 527,
  [579] = 523,
  [580] = 525,
  [581] = 530,
  [582] = 531,
  [583] = 532,
  [584] = 553,
  [585] = 534,
  [586] = 535,
  [587] = 536,
  [588] = 522,
  [589] = 538,
  [590] = 539,
  [591] = 525,
  [592] = 530,
  [593] = 531,
  [594] = 532,
  [595] = 553,
  [596] = 534,
  [597] = 541,
  [598] = 534,
  [599] = 535,
  [600] = 544,
  [601] = 536,
  [602] = 524,
  [603] = 538,
  [604] = 535,
  [605] = 539,
  [606] = 533,
  [607] = 526,
  [608] = 526,
  [609] = 527,
  [610] = 527,
  [611] = 523,
  [612] = 523,
  [613] = 525,
  [614] = 541,
  [615] = 525,
  [616] = 530,
  [617] = 530,
  [618] = 531,
  [619] = 619,
  [620] = 541,
  [621] = 541,
  [622] = 532,
  [623] = 553,
  [624] = 546,
  [625] = 534,
  [626] = 535,
  [627] = 543,
  [628] = 536,
  [629] = 544,
  [630] = 546,
  [631] = 522,
  [632] = 547,
  [633] = 538,
  [634] = 539,
  [635] = 549,
  [636] = 551,
  [637] = 533,
  [638] = 543,
  [639] = 544,
  [640] = 541,
  [641] = 551,
  [642] = 524,
  [643] = 547,
  [644] = 526,
  [645] = 536,
  [646] = 527,
  [647] = 543,
  [648] = 544,
  [649] = 546,
  [650] = 547,
  [651] = 523,
  [652] = 525,
  [653] = 530,
  [654] = 531,
  [655] = 532,
  [656] = 553,
  [657] = 549,
  [658] = 534,
  [659] = 551,
  [660] = 535,
  [661] = 533,
  [662] = 536,
  [663] = 522,
  [664] = 538,
  [665] = 539,
  [666] = 546,
  [667] = 522,
  [668] = 538,
  [669] = 547,
  [670] = 533,
  [671] = 533,
  [672] = 539,
  [673] = 541,
  [674] = 524,
  [675] = 543,
  [676] = 544,
  [677] = 546,
  [678] = 547,
  [679] = 549,
  [680] = 551,
  [681] = 531,
  [682] = 526,
  [683] = 527,
  [684] = 553,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 695,
  [697] = 695,
  [698] = 698,
  [699] = 398,
  [700] = 688,
  [701] = 695,
  [702] = 695,
  [703] = 695,
  [704] = 695,
  [705] = 695,
  [706] = 695,
  [707] = 695,
  [708] = 708,
  [709] = 695,
  [710] = 695,
  [711] = 695,
  [712] = 695,
  [713] = 695,
  [714] = 695,
  [715] = 715,
  [716] = 695,
  [717] = 695,
  [718] = 695,
  [719] = 695,
  [720] = 695,
  [721] = 695,
  [722] = 695,
  [723] = 695,
  [724] = 695,
  [725] = 725,
  [726] = 685,
  [727] = 694,
  [728] = 693,
  [729] = 729,
  [730] = 695,
  [731] = 731,
  [732] = 691,
  [733] = 687,
  [734] = 692,
  [735] = 689,
  [736] = 690,
  [737] = 715,
  [738] = 695,
  [739] = 695,
  [740] = 740,
  [741] = 398,
  [742] = 740,
  [743] = 740,
  [744] = 740,
  [745] = 740,
  [746] = 740,
  [747] = 740,
  [748] = 740,
  [749] = 740,
  [750] = 740,
  [751] = 740,
  [752] = 740,
  [753] = 740,
  [754] = 740,
  [755] = 740,
  [756] = 740,
  [757] = 740,
  [758] = 740,
  [759] = 740,
  [760] = 740,
  [761] = 740,
  [762] = 740,
  [763] = 740,
  [764] = 740,
  [765] = 740,
  [766] = 740,
  [767] = 740,
  [768] = 740,
  [769] = 693,
  [770] = 685,
  [771] = 689,
  [772] = 691,
  [773] = 687,
  [774] = 690,
  [775] = 694,
  [776] = 692,
  [777] = 688,
  [778] = 686,
  [779] = 698,
  [780] = 688,
  [781] = 398,
  [782] = 689,
  [783] = 691,
  [784] = 693,
  [785] = 708,
  [786] = 725,
  [787] = 692,
  [788] = 685,
  [789] = 694,
  [790] = 690,
  [791] = 729,
  [792] = 715,
  [793] = 731,
  [794] = 687,
  [795] = 693,
  [796] = 685,
  [797] = 690,
  [798] = 687,
  [799] = 689,
  [800] = 686,
  [801] = 694,
  [802] = 688,
  [803] = 692,
  [804] = 691,
  [805] = 398,
  [806] = 692,
  [807] = 708,
  [808] = 698,
  [809] = 731,
  [810] = 725,
  [811] = 715,
  [812] = 694,
  [813] = 693,
  [814] = 685,
  [815] = 690,
  [816] = 689,
  [817] = 688,
  [818] = 687,
  [819] = 691,
  [820] = 729,
  [821] = 688,
  [822] = 686,
  [823] = 694,
  [824] = 693,
  [825] = 685,
  [826] = 690,
  [827] = 689,
  [828] = 687,
  [829] = 691,
  [830] = 692,
  [831] = 698,
  [832] = 725,
  [833] = 729,
  [834] = 686,
  [835] = 690,
  [836] = 686,
  [837] = 398,
  [838] = 689,
  [839] = 688,
  [840] = 694,
  [841] = 715,
  [842] = 687,
  [843] = 691,
  [844] = 708,
  [845] = 693,
  [846] = 731,
  [847] = 693,
  [848] = 685,
  [849] = 692,
  [850] = 690,
  [851] = 691,
  [852] = 685,
  [853] = 689,
  [854] = 694,
  [855] = 687,
  [856] = 692,
  [857] = 688,
  [858] = 687,
  [859] = 725,
  [860] = 715,
  [861] = 708,
  [862] = 729,
  [863] = 398,
  [864] = 693,
  [865] = 685,
  [866] = 694,
  [867] = 690,
  [868] = 729,
  [869] = 869,
  [870] = 689,
  [871] = 698,
  [872] = 731,
  [873] = 725,
  [874] = 398,
  [875] = 715,
  [876] = 688,
  [877] = 692,
  [878] = 708,
  [879] = 691,
  [880] = 880,
  [881] = 881,
  [882] = 692,
  [883] = 688,
  [884] = 884,
  [885] = 688,
  [886] = 692,
  [887] = 887,
  [888] = 881,
  [889] = 688,
  [890] = 692,
  [891] = 880,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 692,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 688,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 692,
  [986] = 692,
  [987] = 688,
  [988] = 884,
  [989] = 688,
  [990] = 692,
  [991] = 892,
  [992] = 688,
  [993] = 887,
  [994] = 940,
  [995] = 917,
  [996] = 980,
  [997] = 981,
  [998] = 974,
  [999] = 925,
  [1000] = 926,
  [1001] = 928,
  [1002] = 937,
  [1003] = 938,
  [1004] = 939,
  [1005] = 927,
  [1006] = 942,
  [1007] = 943,
  [1008] = 944,
  [1009] = 982,
  [1010] = 945,
  [1011] = 946,
  [1012] = 983,
  [1013] = 947,
  [1014] = 948,
  [1015] = 949,
  [1016] = 950,
  [1017] = 951,
  [1018] = 952,
  [1019] = 953,
  [1020] = 911,
  [1021] = 954,
  [1022] = 955,
  [1023] = 956,
  [1024] = 957,
  [1025] = 958,
  [1026] = 959,
  [1027] = 960,
  [1028] = 961,
  [1029] = 962,
  [1030] = 902,
  [1031] = 963,
  [1032] = 964,
  [1033] = 965,
  [1034] = 966,
  [1035] = 967,
  [1036] = 968,
  [1037] = 969,
  [1038] = 935,
  [1039] = 904,
  [1040] = 915,
  [1041] = 970,
  [1042] = 971,
  [1043] = 936,
  [1044] = 920,
  [1045] = 930,
  [1046] = 931,
  [1047] = 932,
  [1048] = 934,
  [1049] = 894,
  [1050] = 895,
  [1051] = 896,
  [1052] = 898,
  [1053] = 899,
  [1054] = 900,
  [1055] = 972,
  [1056] = 984,
  [1057] = 901,
  [1058] = 893,
  [1059] = 918,
  [1060] = 903,
  [1061] = 975,
  [1062] = 905,
  [1063] = 906,
  [1064] = 688,
  [1065] = 921,
  [1066] = 922,
  [1067] = 923,
  [1068] = 907,
  [1069] = 909,
  [1070] = 910,
  [1071] = 912,
  [1072] = 933,
  [1073] = 913,
  [1074] = 914,
  [1075] = 973,
  [1076] = 976,
  [1077] = 897,
  [1078] = 919,
  [1079] = 977,
  [1080] = 978,
  [1081] = 692,
  [1082] = 908,
  [1083] = 916,
  [1084] = 979,
  [1085] = 924,
  [1086] = 880,
  [1087] = 881,
  [1088] = 688,
  [1089] = 884,
  [1090] = 1090,
  [1091] = 692,
  [1092] = 688,
  [1093] = 692,
  [1094] = 887,
  [1095] = 892,
  [1096] = 692,
  [1097] = 688,
  [1098] = 1098,
  [1099] = 927,
  [1100] = 894,
  [1101] = 895,
  [1102] = 896,
  [1103] = 898,
  [1104] = 899,
  [1105] = 900,
  [1106] = 901,
  [1107] = 934,
  [1108] = 903,
  [1109] = 905,
  [1110] = 906,
  [1111] = 907,
  [1112] = 909,
  [1113] = 910,
  [1114] = 912,
  [1115] = 913,
  [1116] = 914,
  [1117] = 919,
  [1118] = 984,
  [1119] = 936,
  [1120] = 688,
  [1121] = 918,
  [1122] = 921,
  [1123] = 933,
  [1124] = 897,
  [1125] = 908,
  [1126] = 916,
  [1127] = 917,
  [1128] = 924,
  [1129] = 925,
  [1130] = 926,
  [1131] = 928,
  [1132] = 692,
  [1133] = 937,
  [1134] = 938,
  [1135] = 939,
  [1136] = 940,
  [1137] = 943,
  [1138] = 944,
  [1139] = 945,
  [1140] = 946,
  [1141] = 947,
  [1142] = 948,
  [1143] = 949,
  [1144] = 932,
  [1145] = 950,
  [1146] = 951,
  [1147] = 952,
  [1148] = 953,
  [1149] = 954,
  [1150] = 955,
  [1151] = 956,
  [1152] = 957,
  [1153] = 958,
  [1154] = 959,
  [1155] = 960,
  [1156] = 961,
  [1157] = 962,
  [1158] = 963,
  [1159] = 964,
  [1160] = 965,
  [1161] = 966,
  [1162] = 967,
  [1163] = 968,
  [1164] = 969,
  [1165] = 970,
  [1166] = 971,
  [1167] = 972,
  [1168] = 973,
  [1169] = 974,
  [1170] = 975,
  [1171] = 976,
  [1172] = 977,
  [1173] = 978,
  [1174] = 979,
  [1175] = 980,
  [1176] = 981,
  [1177] = 982,
  [1178] = 983,
  [1179] = 911,
  [1180] = 902,
  [1181] = 935,
  [1182] = 904,
  [1183] = 915,
  [1184] = 920,
  [1185] = 930,
  [1186] = 931,
  [1187] = 893,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 690,
  [1199] = 1199,
  [1200] = 689,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 693,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 685,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 691,
  [1218] = 687,
  [1219] = 692,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 688,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 694,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1228,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1228,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1228,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 398,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1098,
  [1376] = 869,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1195,
  [1426] = 1194,
  [1427] = 1193,
  [1428] = 1196,
  [1429] = 1197,
  [1430] = 1201,
  [1431] = 1199,
  [1432] = 1194,
  [1433] = 1225,
  [1434] = 1226,
  [1435] = 1227,
  [1436] = 1195,
  [1437] = 1193,
  [1438] = 1197,
  [1439] = 1196,
  [1440] = 1194,
  [1441] = 1259,
  [1442] = 1199,
  [1443] = 1201,
  [1444] = 690,
  [1445] = 689,
  [1446] = 1260,
  [1447] = 1193,
  [1448] = 1258,
  [1449] = 1195,
  [1450] = 1272,
  [1451] = 1246,
  [1452] = 1247,
  [1453] = 693,
  [1454] = 1280,
  [1455] = 1297,
  [1456] = 1298,
  [1457] = 1299,
  [1458] = 1300,
  [1459] = 1301,
  [1460] = 1302,
  [1461] = 1303,
  [1462] = 1304,
  [1463] = 1305,
  [1464] = 1306,
  [1465] = 1307,
  [1466] = 1308,
  [1467] = 1309,
  [1468] = 1225,
  [1469] = 1226,
  [1470] = 687,
  [1471] = 1407,
  [1472] = 1227,
  [1473] = 691,
  [1474] = 685,
  [1475] = 692,
  [1476] = 1206,
  [1477] = 1211,
  [1478] = 1210,
  [1479] = 1202,
  [1480] = 1215,
  [1481] = 1213,
  [1482] = 1207,
  [1483] = 1209,
  [1484] = 688,
  [1485] = 1203,
  [1486] = 1214,
  [1487] = 1220,
  [1488] = 1221,
  [1489] = 1222,
  [1490] = 1223,
  [1491] = 1342,
  [1492] = 1291,
  [1493] = 1321,
  [1494] = 1327,
  [1495] = 1335,
  [1496] = 1346,
  [1497] = 1357,
  [1498] = 1358,
  [1499] = 1377,
  [1500] = 1292,
  [1501] = 1381,
  [1502] = 1391,
  [1503] = 1339,
  [1504] = 1216,
  [1505] = 1204,
  [1506] = 1212,
  [1507] = 692,
  [1508] = 1228,
  [1509] = 1207,
  [1510] = 1204,
  [1511] = 1202,
  [1512] = 1229,
  [1513] = 693,
  [1514] = 685,
  [1515] = 690,
  [1516] = 691,
  [1517] = 689,
  [1518] = 1212,
  [1519] = 1193,
  [1520] = 687,
  [1521] = 1213,
  [1522] = 1210,
  [1523] = 1216,
  [1524] = 694,
  [1525] = 1230,
  [1526] = 1209,
  [1527] = 1195,
  [1528] = 1215,
  [1529] = 1194,
  [1530] = 1193,
  [1531] = 1203,
  [1532] = 1195,
  [1533] = 1194,
  [1534] = 1214,
  [1535] = 1206,
  [1536] = 1211,
  [1537] = 1220,
  [1538] = 1221,
  [1539] = 1199,
  [1540] = 1201,
  [1541] = 1222,
  [1542] = 1223,
  [1543] = 688,
  [1544] = 1275,
  [1545] = 1256,
  [1546] = 1254,
  [1547] = 1278,
  [1548] = 1268,
  [1549] = 1238,
  [1550] = 1228,
  [1551] = 1237,
  [1552] = 1242,
  [1553] = 1260,
  [1554] = 694,
  [1555] = 1228,
  [1556] = 1251,
  [1557] = 1267,
  [1558] = 1228,
  [1559] = 1262,
  [1560] = 1263,
  [1561] = 1196,
  [1562] = 1255,
  [1563] = 1264,
  [1564] = 1265,
  [1565] = 1252,
  [1566] = 1197,
  [1567] = 1270,
  [1568] = 1271,
  [1569] = 1273,
  [1570] = 1228,
  [1571] = 1258,
  [1572] = 1269,
  [1573] = 1196,
  [1574] = 1197,
  [1575] = 1266,
  [1576] = 1274,
  [1577] = 1246,
  [1578] = 1234,
  [1579] = 1257,
  [1580] = 1230,
  [1581] = 1233,
  [1582] = 1236,
  [1583] = 1229,
  [1584] = 1272,
  [1585] = 1245,
  [1586] = 1240,
  [1587] = 1244,
  [1588] = 1248,
  [1589] = 1232,
  [1590] = 1225,
  [1591] = 1247,
  [1592] = 1250,
  [1593] = 1226,
  [1594] = 1276,
  [1595] = 1227,
  [1596] = 1235,
  [1597] = 1241,
  [1598] = 1243,
  [1599] = 1253,
  [1600] = 1259,
  [1601] = 1279,
  [1602] = 1277,
  [1603] = 1262,
  [1604] = 1259,
  [1605] = 1387,
  [1606] = 398,
  [1607] = 1288,
  [1608] = 1206,
  [1609] = 1331,
  [1610] = 1332,
  [1611] = 1269,
  [1612] = 1278,
  [1613] = 1211,
  [1614] = 1266,
  [1615] = 1257,
  [1616] = 1210,
  [1617] = 1333,
  [1618] = 1202,
  [1619] = 1334,
  [1620] = 1404,
  [1621] = 1232,
  [1622] = 1243,
  [1623] = 1279,
  [1624] = 1254,
  [1625] = 1336,
  [1626] = 1212,
  [1627] = 1213,
  [1628] = 1203,
  [1629] = 1268,
  [1630] = 1242,
  [1631] = 1214,
  [1632] = 1421,
  [1633] = 1351,
  [1634] = 1220,
  [1635] = 1374,
  [1636] = 1356,
  [1637] = 1267,
  [1638] = 1277,
  [1639] = 1337,
  [1640] = 1270,
  [1641] = 1271,
  [1642] = 1273,
  [1643] = 1274,
  [1644] = 1275,
  [1645] = 1221,
  [1646] = 1222,
  [1647] = 1223,
  [1648] = 1393,
  [1649] = 1398,
  [1650] = 1403,
  [1651] = 1238,
  [1652] = 1420,
  [1653] = 1311,
  [1654] = 1319,
  [1655] = 1418,
  [1656] = 1286,
  [1657] = 1287,
  [1658] = 1216,
  [1659] = 1263,
  [1660] = 1264,
  [1661] = 1265,
  [1662] = 1339,
  [1663] = 1289,
  [1664] = 1204,
  [1665] = 1235,
  [1666] = 1241,
  [1667] = 1317,
  [1668] = 1328,
  [1669] = 1285,
  [1670] = 1341,
  [1671] = 1290,
  [1672] = 693,
  [1673] = 1291,
  [1674] = 685,
  [1675] = 1344,
  [1676] = 1345,
  [1677] = 1292,
  [1678] = 1347,
  [1679] = 1348,
  [1680] = 1280,
  [1681] = 1350,
  [1682] = 1297,
  [1683] = 1199,
  [1684] = 1298,
  [1685] = 1201,
  [1686] = 1299,
  [1687] = 1300,
  [1688] = 1301,
  [1689] = 687,
  [1690] = 1302,
  [1691] = 1303,
  [1692] = 690,
  [1693] = 691,
  [1694] = 1199,
  [1695] = 1304,
  [1696] = 1201,
  [1697] = 689,
  [1698] = 1305,
  [1699] = 692,
  [1700] = 1354,
  [1701] = 1306,
  [1702] = 1307,
  [1703] = 1308,
  [1704] = 1309,
  [1705] = 1359,
  [1706] = 1360,
  [1707] = 1361,
  [1708] = 1362,
  [1709] = 1324,
  [1710] = 1193,
  [1711] = 1310,
  [1712] = 1363,
  [1713] = 1312,
  [1714] = 1195,
  [1715] = 1313,
  [1716] = 1314,
  [1717] = 1364,
  [1718] = 1315,
  [1719] = 1098,
  [1720] = 1215,
  [1721] = 1367,
  [1722] = 1368,
  [1723] = 1369,
  [1724] = 1260,
  [1725] = 1258,
  [1726] = 1370,
  [1727] = 1371,
  [1728] = 688,
  [1729] = 690,
  [1730] = 689,
  [1731] = 1355,
  [1732] = 1383,
  [1733] = 1293,
  [1734] = 1386,
  [1735] = 1294,
  [1736] = 1390,
  [1737] = 1342,
  [1738] = 1394,
  [1739] = 1228,
  [1740] = 1395,
  [1741] = 1396,
  [1742] = 1399,
  [1743] = 1228,
  [1744] = 1228,
  [1745] = 1234,
  [1746] = 1256,
  [1747] = 1402,
  [1748] = 1389,
  [1749] = 1401,
  [1750] = 1406,
  [1751] = 1407,
  [1752] = 1408,
  [1753] = 1410,
  [1754] = 1411,
  [1755] = 1413,
  [1756] = 1414,
  [1757] = 1255,
  [1758] = 1252,
  [1759] = 1237,
  [1760] = 1353,
  [1761] = 1409,
  [1762] = 1276,
  [1763] = 1392,
  [1764] = 1400,
  [1765] = 1405,
  [1766] = 1352,
  [1767] = 1318,
  [1768] = 1316,
  [1769] = 1330,
  [1770] = 1349,
  [1771] = 1373,
  [1772] = 1397,
  [1773] = 1415,
  [1774] = 1416,
  [1775] = 1417,
  [1776] = 1253,
  [1777] = 1283,
  [1778] = 1412,
  [1779] = 1281,
  [1780] = 1322,
  [1781] = 1340,
  [1782] = 1343,
  [1783] = 1320,
  [1784] = 1321,
  [1785] = 1379,
  [1786] = 1323,
  [1787] = 1325,
  [1788] = 1326,
  [1789] = 1327,
  [1790] = 1329,
  [1791] = 1335,
  [1792] = 1338,
  [1793] = 1346,
  [1794] = 1357,
  [1795] = 1358,
  [1796] = 1419,
  [1797] = 1365,
  [1798] = 1284,
  [1799] = 1295,
  [1800] = 1372,
  [1801] = 869,
  [1802] = 1377,
  [1803] = 1378,
  [1804] = 1380,
  [1805] = 1381,
  [1806] = 1382,
  [1807] = 1384,
  [1808] = 1385,
  [1809] = 1391,
  [1810] = 1388,
  [1811] = 1296,
  [1812] = 1207,
  [1813] = 1209,
  [1814] = 1366,
  [1815] = 1209,
  [1816] = 1297,
  [1817] = 1298,
  [1818] = 1299,
  [1819] = 1300,
  [1820] = 1301,
  [1821] = 1302,
  [1822] = 1303,
  [1823] = 1304,
  [1824] = 1305,
  [1825] = 1306,
  [1826] = 1307,
  [1827] = 1308,
  [1828] = 1309,
  [1829] = 1225,
  [1830] = 1315,
  [1831] = 1226,
  [1832] = 1384,
  [1833] = 1409,
  [1834] = 1407,
  [1835] = 1227,
  [1836] = 1385,
  [1837] = 1245,
  [1838] = 1228,
  [1839] = 1331,
  [1840] = 1332,
  [1841] = 1333,
  [1842] = 1334,
  [1843] = 1207,
  [1844] = 1336,
  [1845] = 1225,
  [1846] = 1229,
  [1847] = 1226,
  [1848] = 1337,
  [1849] = 1227,
  [1850] = 1341,
  [1851] = 1344,
  [1852] = 1345,
  [1853] = 1347,
  [1854] = 1348,
  [1855] = 1388,
  [1856] = 1350,
  [1857] = 1233,
  [1858] = 1236,
  [1859] = 1240,
  [1860] = 1354,
  [1861] = 1244,
  [1862] = 1248,
  [1863] = 1377,
  [1864] = 1378,
  [1865] = 1351,
  [1866] = 1359,
  [1867] = 1360,
  [1868] = 1361,
  [1869] = 1362,
  [1870] = 1363,
  [1871] = 1364,
  [1872] = 1215,
  [1873] = 1374,
  [1874] = 398,
  [1875] = 1366,
  [1876] = 1367,
  [1877] = 1206,
  [1878] = 1211,
  [1879] = 1368,
  [1880] = 1210,
  [1881] = 1369,
  [1882] = 1202,
  [1883] = 1370,
  [1884] = 693,
  [1885] = 685,
  [1886] = 1393,
  [1887] = 1212,
  [1888] = 1371,
  [1889] = 687,
  [1890] = 1213,
  [1891] = 691,
  [1892] = 1203,
  [1893] = 1398,
  [1894] = 1403,
  [1895] = 1420,
  [1896] = 1286,
  [1897] = 1251,
  [1898] = 1214,
  [1899] = 1383,
  [1900] = 1386,
  [1901] = 1287,
  [1902] = 1390,
  [1903] = 692,
  [1904] = 1394,
  [1905] = 1395,
  [1906] = 1220,
  [1907] = 1221,
  [1908] = 688,
  [1909] = 1396,
  [1910] = 1222,
  [1911] = 1223,
  [1912] = 1216,
  [1913] = 1204,
  [1914] = 1296,
  [1915] = 1289,
  [1916] = 1399,
  [1917] = 1380,
  [1918] = 1358,
  [1919] = 1311,
  [1920] = 1319,
  [1921] = 1402,
  [1922] = 1290,
  [1923] = 1357,
  [1924] = 1406,
  [1925] = 1408,
  [1926] = 1410,
  [1927] = 1411,
  [1928] = 1387,
  [1929] = 1288,
  [1930] = 1404,
  [1931] = 1418,
  [1932] = 1285,
  [1933] = 1413,
  [1934] = 1414,
  [1935] = 1324,
  [1936] = 1328,
  [1937] = 1355,
  [1938] = 1293,
  [1939] = 1294,
  [1940] = 1342,
  [1941] = 1405,
  [1942] = 1352,
  [1943] = 1250,
  [1944] = 1392,
  [1945] = 1400,
  [1946] = 1316,
  [1947] = 1318,
  [1948] = 1320,
  [1949] = 1330,
  [1950] = 1339,
  [1951] = 1321,
  [1952] = 1323,
  [1953] = 1349,
  [1954] = 1373,
  [1955] = 1397,
  [1956] = 1415,
  [1957] = 1326,
  [1958] = 1416,
  [1959] = 1417,
  [1960] = 1327,
  [1961] = 1283,
  [1962] = 1412,
  [1963] = 1281,
  [1964] = 1322,
  [1965] = 1340,
  [1966] = 1343,
  [1967] = 1379,
  [1968] = 1325,
  [1969] = 1365,
  [1970] = 1419,
  [1971] = 1284,
  [1972] = 1295,
  [1973] = 1372,
  [1974] = 1381,
  [1975] = 1353,
  [1976] = 1329,
  [1977] = 1246,
  [1978] = 1247,
  [1979] = 1421,
  [1980] = 1098,
  [1981] = 869,
  [1982] = 1356,
  [1983] = 1391,
  [1984] = 1382,
  [1985] = 1389,
  [1986] = 1401,
  [1987] = 1335,
  [1988] = 1310,
  [1989] = 1312,
  [1990] = 1338,
  [1991] = 1313,
  [1992] = 1314,
  [1993] = 1291,
  [1994] = 1292,
  [1995] = 694,
  [1996] = 1230,
  [1997] = 1346,
  [1998] = 1280,
  [1999] = 1317,
  [2000] = 1243,
  [2001] = 1266,
  [2002] = 1257,
  [2003] = 1228,
  [2004] = 1235,
  [2005] = 1267,
  [2006] = 1241,
  [2007] = 1273,
  [2008] = 1098,
  [2009] = 1270,
  [2010] = 1228,
  [2011] = 694,
  [2012] = 1271,
  [2013] = 1265,
  [2014] = 1262,
  [2015] = 1263,
  [2016] = 1277,
  [2017] = 1234,
  [2018] = 1256,
  [2019] = 1254,
  [2020] = 1278,
  [2021] = 1264,
  [2022] = 1229,
  [2023] = 1274,
  [2024] = 1228,
  [2025] = 1268,
  [2026] = 1422,
  [2027] = 1424,
  [2028] = 1423,
  [2029] = 1275,
  [2030] = 1242,
  [2031] = 1230,
  [2032] = 1255,
  [2033] = 1252,
  [2034] = 1237,
  [2035] = 2035,
  [2036] = 1238,
  [2037] = 1228,
  [2038] = 1276,
  [2039] = 1269,
  [2040] = 1253,
  [2041] = 1232,
  [2042] = 2042,
  [2043] = 1279,
  [2044] = 1388,
  [2045] = 1378,
  [2046] = 1325,
  [2047] = 1419,
  [2048] = 1284,
  [2049] = 1295,
  [2050] = 1372,
  [2051] = 1234,
  [2052] = 1379,
  [2053] = 1310,
  [2054] = 1258,
  [2055] = 1312,
  [2056] = 1313,
  [2057] = 1314,
  [2058] = 1315,
  [2059] = 1255,
  [2060] = 1252,
  [2061] = 1237,
  [2062] = 1356,
  [2063] = 1382,
  [2064] = 1246,
  [2065] = 1247,
  [2066] = 1250,
  [2067] = 1276,
  [2068] = 1253,
  [2069] = 1098,
  [2070] = 1259,
  [2071] = 1245,
  [2072] = 1331,
  [2073] = 1269,
  [2074] = 1278,
  [2075] = 1266,
  [2076] = 1332,
  [2077] = 1257,
  [2078] = 1233,
  [2079] = 1236,
  [2080] = 1240,
  [2081] = 1244,
  [2082] = 1248,
  [2083] = 1333,
  [2084] = 1334,
  [2085] = 1232,
  [2086] = 1243,
  [2087] = 1279,
  [2088] = 1254,
  [2089] = 1336,
  [2090] = 1268,
  [2091] = 1242,
  [2092] = 1337,
  [2093] = 1267,
  [2094] = 1277,
  [2095] = 1245,
  [2096] = 398,
  [2097] = 1270,
  [2098] = 1271,
  [2099] = 1273,
  [2100] = 1274,
  [2101] = 1275,
  [2102] = 1341,
  [2103] = 1344,
  [2104] = 1345,
  [2105] = 1260,
  [2106] = 1347,
  [2107] = 1258,
  [2108] = 1238,
  [2109] = 1348,
  [2110] = 1350,
  [2111] = 1251,
  [2112] = 1389,
  [2113] = 1262,
  [2114] = 1263,
  [2115] = 1264,
  [2116] = 1265,
  [2117] = 1401,
  [2118] = 1228,
  [2119] = 1354,
  [2120] = 1228,
  [2121] = 1409,
  [2122] = 1235,
  [2123] = 1241,
  [2124] = 1228,
  [2125] = 1384,
  [2126] = 1359,
  [2127] = 1360,
  [2128] = 1361,
  [2129] = 1362,
  [2130] = 1363,
  [2131] = 1364,
  [2132] = 1385,
  [2133] = 1366,
  [2134] = 1367,
  [2135] = 1368,
  [2136] = 1369,
  [2137] = 1370,
  [2138] = 1233,
  [2139] = 1371,
  [2140] = 1236,
  [2141] = 1240,
  [2142] = 1244,
  [2143] = 1259,
  [2144] = 1248,
  [2145] = 1251,
  [2146] = 1383,
  [2147] = 1386,
  [2148] = 1351,
  [2149] = 1317,
  [2150] = 1390,
  [2151] = 1374,
  [2152] = 1394,
  [2153] = 1395,
  [2154] = 1396,
  [2155] = 1328,
  [2156] = 1393,
  [2157] = 1399,
  [2158] = 1398,
  [2159] = 1403,
  [2160] = 1402,
  [2161] = 1420,
  [2162] = 1406,
  [2163] = 1408,
  [2164] = 1286,
  [2165] = 1287,
  [2166] = 1410,
  [2167] = 1411,
  [2168] = 1380,
  [2169] = 1413,
  [2170] = 1414,
  [2171] = 1260,
  [2172] = 1289,
  [2173] = 1296,
  [2174] = 1290,
  [2175] = 1405,
  [2176] = 1352,
  [2177] = 1316,
  [2178] = 1330,
  [2179] = 1353,
  [2180] = 1349,
  [2181] = 1311,
  [2182] = 1319,
  [2183] = 1373,
  [2184] = 1421,
  [2185] = 1387,
  [2186] = 1288,
  [2187] = 1272,
  [2188] = 1404,
  [2189] = 1418,
  [2190] = 1285,
  [2191] = 1397,
  [2192] = 1415,
  [2193] = 1324,
  [2194] = 1416,
  [2195] = 1417,
  [2196] = 1355,
  [2197] = 1293,
  [2198] = 1294,
  [2199] = 1283,
  [2200] = 1246,
  [2201] = 1247,
  [2202] = 1250,
  [2203] = 1392,
  [2204] = 1400,
  [2205] = 1412,
  [2206] = 1281,
  [2207] = 1318,
  [2208] = 1320,
  [2209] = 1323,
  [2210] = 1326,
  [2211] = 1322,
  [2212] = 1329,
  [2213] = 1338,
  [2214] = 1259,
  [2215] = 1365,
  [2216] = 1340,
  [2217] = 1343,
  [2218] = 869,
  [2219] = 1256,
  [2220] = 1280,
  [2221] = 1377,
  [2222] = 1371,
  [2223] = 1378,
  [2224] = 1380,
  [2225] = 1383,
  [2226] = 1386,
  [2227] = 1319,
  [2228] = 1390,
  [2229] = 1394,
  [2230] = 1395,
  [2231] = 1396,
  [2232] = 1381,
  [2233] = 1382,
  [2234] = 1399,
  [2235] = 1384,
  [2236] = 1385,
  [2237] = 1402,
  [2238] = 1388,
  [2239] = 1317,
  [2240] = 1305,
  [2241] = 1406,
  [2242] = 1407,
  [2243] = 1408,
  [2244] = 1410,
  [2245] = 1411,
  [2246] = 1413,
  [2247] = 1414,
  [2248] = 1328,
  [2249] = 1339,
  [2250] = 1405,
  [2251] = 1352,
  [2252] = 1316,
  [2253] = 1330,
  [2254] = 1306,
  [2255] = 1349,
  [2256] = 1373,
  [2257] = 1387,
  [2258] = 1397,
  [2259] = 1415,
  [2260] = 1416,
  [2261] = 1417,
  [2262] = 1288,
  [2263] = 1353,
  [2264] = 1283,
  [2265] = 1412,
  [2266] = 1281,
  [2267] = 1322,
  [2268] = 1340,
  [2269] = 1343,
  [2270] = 1379,
  [2271] = 1325,
  [2272] = 1419,
  [2273] = 1284,
  [2274] = 1295,
  [2275] = 1372,
  [2276] = 1421,
  [2277] = 1356,
  [2278] = 1404,
  [2279] = 1418,
  [2280] = 1389,
  [2281] = 1401,
  [2282] = 1285,
  [2283] = 1409,
  [2284] = 1307,
  [2285] = 1308,
  [2286] = 1324,
  [2287] = 1309,
  [2288] = 1355,
  [2289] = 1293,
  [2290] = 1294,
  [2291] = 1351,
  [2292] = 1374,
  [2293] = 1296,
  [2294] = 1393,
  [2295] = 1398,
  [2296] = 1391,
  [2297] = 1381,
  [2298] = 1403,
  [2299] = 1420,
  [2300] = 1286,
  [2301] = 1287,
  [2302] = 1342,
  [2303] = 1289,
  [2304] = 1302,
  [2305] = 1303,
  [2306] = 1290,
  [2307] = 869,
  [2308] = 1300,
  [2309] = 1291,
  [2310] = 1292,
  [2311] = 1298,
  [2312] = 1370,
  [2313] = 1392,
  [2314] = 1297,
  [2315] = 1298,
  [2316] = 1407,
  [2317] = 1391,
  [2318] = 1299,
  [2319] = 1300,
  [2320] = 1301,
  [2321] = 1302,
  [2322] = 1303,
  [2323] = 1304,
  [2324] = 1305,
  [2325] = 1306,
  [2326] = 1307,
  [2327] = 1308,
  [2328] = 1339,
  [2329] = 1309,
  [2330] = 1400,
  [2331] = 1291,
  [2332] = 1292,
  [2333] = 1310,
  [2334] = 1312,
  [2335] = 1280,
  [2336] = 1260,
  [2337] = 1258,
  [2338] = 1313,
  [2339] = 1314,
  [2340] = 1315,
  [2341] = 1299,
  [2342] = 1318,
  [2343] = 1320,
  [2344] = 1331,
  [2345] = 1321,
  [2346] = 1332,
  [2347] = 1333,
  [2348] = 1334,
  [2349] = 1336,
  [2350] = 1337,
  [2351] = 1341,
  [2352] = 1344,
  [2353] = 1345,
  [2354] = 1323,
  [2355] = 1347,
  [2356] = 1348,
  [2357] = 1326,
  [2358] = 398,
  [2359] = 1350,
  [2360] = 1342,
  [2361] = 1297,
  [2362] = 1327,
  [2363] = 1304,
  [2364] = 1329,
  [2365] = 1354,
  [2366] = 1335,
  [2367] = 1338,
  [2368] = 1346,
  [2369] = 1359,
  [2370] = 1360,
  [2371] = 1357,
  [2372] = 1321,
  [2373] = 1361,
  [2374] = 1362,
  [2375] = 1327,
  [2376] = 1363,
  [2377] = 1364,
  [2378] = 1335,
  [2379] = 1358,
  [2380] = 1346,
  [2381] = 1357,
  [2382] = 1358,
  [2383] = 1259,
  [2384] = 1365,
  [2385] = 1366,
  [2386] = 1367,
  [2387] = 1368,
  [2388] = 1311,
  [2389] = 1377,
  [2390] = 1369,
  [2391] = 1301,
  [2392] = 1381,
  [2393] = 1339,
  [2394] = 1246,
  [2395] = 1247,
  [2396] = 1291,
  [2397] = 1292,
  [2398] = 1280,
  [2399] = 1297,
  [2400] = 1298,
  [2401] = 1299,
  [2402] = 1300,
  [2403] = 1301,
  [2404] = 1302,
  [2405] = 1303,
  [2406] = 1304,
  [2407] = 1305,
  [2408] = 1306,
  [2409] = 1307,
  [2410] = 1308,
  [2411] = 1309,
  [2412] = 1407,
  [2413] = 1342,
  [2414] = 1321,
  [2415] = 1327,
  [2416] = 1335,
  [2417] = 1346,
  [2418] = 1357,
  [2419] = 1358,
  [2420] = 1377,
  [2421] = 1391,
  [2422] = 2422,
  [2423] = 2422,
  [2424] = 2424,
  [2425] = 2424,
  [2426] = 2424,
  [2427] = 2424,
  [2428] = 2422,
  [2429] = 2424,
  [2430] = 2424,
  [2431] = 1391,
  [2432] = 2422,
  [2433] = 2424,
  [2434] = 2422,
  [2435] = 2435,
  [2436] = 2435,
  [2437] = 2435,
  [2438] = 2435,
  [2439] = 2435,
  [2440] = 2435,
  [2441] = 2435,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2442,
  [2445] = 2443,
  [2446] = 2443,
  [2447] = 2442,
  [2448] = 2442,
  [2449] = 2443,
  [2450] = 2443,
  [2451] = 2442,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2454,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2454,
  [2458] = 2458,
  [2459] = 2452,
  [2460] = 2458,
  [2461] = 2454,
  [2462] = 2453,
  [2463] = 2452,
  [2464] = 2455,
  [2465] = 2455,
  [2466] = 2455,
  [2467] = 2456,
  [2468] = 2456,
  [2469] = 2454,
  [2470] = 2453,
  [2471] = 2458,
  [2472] = 2453,
  [2473] = 2452,
  [2474] = 2456,
  [2475] = 2452,
  [2476] = 2455,
  [2477] = 2456,
  [2478] = 2454,
  [2479] = 2458,
  [2480] = 2458,
  [2481] = 2453,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2482,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2486,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2492,
  [2493] = 2483,
  [2494] = 2482,
  [2495] = 2482,
  [2496] = 2485,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2487,
  [2502] = 2488,
  [2503] = 2485,
  [2504] = 2490,
  [2505] = 2505,
  [2506] = 2498,
  [2507] = 2491,
  [2508] = 2505,
  [2509] = 2486,
  [2510] = 2492,
  [2511] = 2485,
  [2512] = 2490,
  [2513] = 2491,
  [2514] = 2488,
  [2515] = 2483,
  [2516] = 2499,
  [2517] = 2500,
  [2518] = 2498,
  [2519] = 2490,
  [2520] = 2491,
  [2521] = 2497,
  [2522] = 2497,
  [2523] = 2499,
  [2524] = 2500,
  [2525] = 2487,
  [2526] = 2486,
  [2527] = 2492,
  [2528] = 2483,
  [2529] = 2482,
  [2530] = 2485,
  [2531] = 2498,
  [2532] = 2488,
  [2533] = 2488,
  [2534] = 2492,
  [2535] = 2490,
  [2536] = 2491,
  [2537] = 2487,
  [2538] = 2497,
  [2539] = 2483,
  [2540] = 2499,
  [2541] = 2497,
  [2542] = 2500,
  [2543] = 2499,
  [2544] = 2500,
  [2545] = 2487,
  [2546] = 2486,
  [2547] = 2492,
  [2548] = 2498,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2550,
  [2554] = 2554,
  [2555] = 2550,
  [2556] = 2550,
  [2557] = 2550,
  [2558] = 1260,
  [2559] = 1258,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2561,
  [2563] = 2561,
  [2564] = 2564,
  [2565] = 2560,
  [2566] = 2564,
  [2567] = 2564,
  [2568] = 2561,
  [2569] = 2561,
  [2570] = 2560,
  [2571] = 2564,
  [2572] = 2564,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2574,
  [2580] = 2574,
  [2581] = 2581,
  [2582] = 2574,
  [2583] = 687,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2584,
  [2587] = 2587,
  [2588] = 688,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2587,
  [2592] = 2592,
  [2593] = 2585,
  [2594] = 2594,
  [2595] = 2590,
  [2596] = 692,
  [2597] = 687,
  [2598] = 2590,
  [2599] = 688,
  [2600] = 692,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 688,
  [2605] = 2605,
  [2606] = 2603,
  [2607] = 2607,
  [2608] = 690,
  [2609] = 2609,
  [2610] = 688,
  [2611] = 2611,
  [2612] = 689,
  [2613] = 2603,
  [2614] = 2605,
  [2615] = 2605,
  [2616] = 2605,
  [2617] = 2605,
  [2618] = 687,
  [2619] = 2605,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2605,
  [2623] = 692,
  [2624] = 2605,
  [2625] = 2584,
  [2626] = 2605,
  [2627] = 2605,
  [2628] = 2587,
  [2629] = 2603,
  [2630] = 2605,
  [2631] = 2605,
  [2632] = 2607,
  [2633] = 2605,
  [2634] = 2605,
  [2635] = 2605,
  [2636] = 2605,
  [2637] = 2605,
  [2638] = 2602,
  [2639] = 2605,
  [2640] = 2605,
  [2641] = 2605,
  [2642] = 2605,
  [2643] = 2605,
  [2644] = 2585,
  [2645] = 2645,
  [2646] = 2607,
  [2647] = 2609,
  [2648] = 2648,
  [2649] = 691,
  [2650] = 2611,
  [2651] = 688,
  [2652] = 691,
  [2653] = 2602,
  [2654] = 2607,
  [2655] = 2609,
  [2656] = 693,
  [2657] = 2603,
  [2658] = 685,
  [2659] = 690,
  [2660] = 689,
  [2661] = 2611,
  [2662] = 2648,
  [2663] = 687,
  [2664] = 2605,
  [2665] = 2605,
  [2666] = 685,
  [2667] = 2611,
  [2668] = 2609,
  [2669] = 2607,
  [2670] = 692,
  [2671] = 2609,
  [2672] = 2602,
  [2673] = 687,
  [2674] = 2611,
  [2675] = 692,
  [2676] = 2621,
  [2677] = 693,
  [2678] = 2620,
  [2679] = 687,
  [2680] = 2680,
  [2681] = 2680,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 2682,
  [2687] = 2683,
  [2688] = 2688,
  [2689] = 2688,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2682,
  [2693] = 2690,
  [2694] = 2680,
  [2695] = 2695,
  [2696] = 2695,
  [2697] = 2697,
  [2698] = 2683,
  [2699] = 2685,
  [2700] = 692,
  [2701] = 2688,
  [2702] = 2682,
  [2703] = 2691,
  [2704] = 2704,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 2695,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2587,
  [2712] = 2710,
  [2713] = 2713,
  [2714] = 2682,
  [2715] = 2715,
  [2716] = 2584,
  [2717] = 2682,
  [2718] = 2709,
  [2719] = 2719,
  [2720] = 2680,
  [2721] = 2706,
  [2722] = 2713,
  [2723] = 2723,
  [2724] = 2724,
  [2725] = 2715,
  [2726] = 2682,
  [2727] = 2723,
  [2728] = 2723,
  [2729] = 2724,
  [2730] = 2697,
  [2731] = 2682,
  [2732] = 2709,
  [2733] = 692,
  [2734] = 2719,
  [2735] = 2695,
  [2736] = 2736,
  [2737] = 2680,
  [2738] = 690,
  [2739] = 2709,
  [2740] = 2683,
  [2741] = 2585,
  [2742] = 2682,
  [2743] = 2715,
  [2744] = 2688,
  [2745] = 689,
  [2746] = 1260,
  [2747] = 2690,
  [2748] = 2724,
  [2749] = 2683,
  [2750] = 2706,
  [2751] = 2715,
  [2752] = 688,
  [2753] = 2695,
  [2754] = 2723,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2690,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2705,
  [2761] = 2707,
  [2762] = 2684,
  [2763] = 2620,
  [2764] = 2682,
  [2765] = 2709,
  [2766] = 2755,
  [2767] = 2756,
  [2768] = 688,
  [2769] = 1258,
  [2770] = 2758,
  [2771] = 2759,
  [2772] = 2697,
  [2773] = 2621,
  [2774] = 2688,
  [2775] = 687,
  [2776] = 2695,
  [2777] = 2690,
  [2778] = 2723,
  [2779] = 2724,
  [2780] = 2724,
  [2781] = 2697,
  [2782] = 685,
  [2783] = 691,
  [2784] = 2682,
  [2785] = 693,
  [2786] = 2719,
  [2787] = 2697,
  [2788] = 2706,
  [2789] = 2682,
  [2790] = 2719,
  [2791] = 2682,
  [2792] = 2682,
  [2793] = 2706,
  [2794] = 2719,
  [2795] = 2682,
  [2796] = 2736,
  [2797] = 2715,
  [2798] = 2798,
  [2799] = 688,
  [2800] = 691,
  [2801] = 689,
  [2802] = 2620,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2705,
  [2809] = 2707,
  [2810] = 692,
  [2811] = 2811,
  [2812] = 2812,
  [2813] = 685,
  [2814] = 2807,
  [2815] = 2815,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2685,
  [2821] = 2821,
  [2822] = 2803,
  [2823] = 2805,
  [2824] = 2818,
  [2825] = 2819,
  [2826] = 2691,
  [2827] = 687,
  [2828] = 2828,
  [2829] = 2811,
  [2830] = 2812,
  [2831] = 2811,
  [2832] = 2821,
  [2833] = 2806,
  [2834] = 2812,
  [2835] = 2835,
  [2836] = 2836,
  [2837] = 2837,
  [2838] = 2819,
  [2839] = 2798,
  [2840] = 2815,
  [2841] = 2806,
  [2842] = 2816,
  [2843] = 2710,
  [2844] = 2684,
  [2845] = 2835,
  [2846] = 2836,
  [2847] = 690,
  [2848] = 2817,
  [2849] = 2621,
  [2850] = 2835,
  [2851] = 2759,
  [2852] = 2835,
  [2853] = 2807,
  [2854] = 2821,
  [2855] = 2811,
  [2856] = 2835,
  [2857] = 2812,
  [2858] = 2713,
  [2859] = 2798,
  [2860] = 2815,
  [2861] = 2816,
  [2862] = 2837,
  [2863] = 693,
  [2864] = 2755,
  [2865] = 2804,
  [2866] = 2811,
  [2867] = 2806,
  [2868] = 2812,
  [2869] = 2806,
  [2870] = 2756,
  [2871] = 2837,
  [2872] = 2817,
  [2873] = 2803,
  [2874] = 2805,
  [2875] = 2804,
  [2876] = 2818,
  [2877] = 2758,
  [2878] = 2878,
  [2879] = 2879,
  [2880] = 2880,
  [2881] = 2881,
  [2882] = 2882,
  [2883] = 1228,
  [2884] = 691,
  [2885] = 2885,
  [2886] = 691,
  [2887] = 693,
  [2888] = 685,
  [2889] = 690,
  [2890] = 2890,
  [2891] = 689,
  [2892] = 693,
  [2893] = 685,
  [2894] = 690,
  [2895] = 689,
  [2896] = 687,
  [2897] = 687,
  [2898] = 2898,
  [2899] = 2899,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 692,
  [2903] = 688,
  [2904] = 692,
  [2905] = 688,
  [2906] = 2906,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2909,
  [2910] = 2898,
  [2911] = 2900,
  [2912] = 2901,
  [2913] = 2913,
  [2914] = 2914,
  [2915] = 2915,
  [2916] = 2916,
  [2917] = 2878,
  [2918] = 2918,
  [2919] = 2919,
  [2920] = 2920,
  [2921] = 2890,
  [2922] = 2922,
  [2923] = 2899,
  [2924] = 2909,
  [2925] = 2925,
  [2926] = 2926,
  [2927] = 2914,
  [2928] = 2925,
  [2929] = 1228,
  [2930] = 2930,
  [2931] = 2909,
  [2932] = 2925,
  [2933] = 2933,
  [2934] = 2908,
  [2935] = 2914,
  [2936] = 2915,
  [2937] = 2755,
  [2938] = 2756,
  [2939] = 2758,
  [2940] = 2759,
  [2941] = 2685,
  [2942] = 2691,
  [2943] = 2710,
  [2944] = 2713,
  [2945] = 2906,
  [2946] = 2913,
  [2947] = 2885,
  [2948] = 2918,
  [2949] = 2919,
  [2950] = 2920,
  [2951] = 2922,
  [2952] = 2926,
  [2953] = 2879,
  [2954] = 2880,
  [2955] = 2881,
  [2956] = 2882,
  [2957] = 2930,
  [2958] = 2705,
  [2959] = 2915,
  [2960] = 2916,
  [2961] = 2878,
  [2962] = 2684,
  [2963] = 2933,
  [2964] = 2707,
  [2965] = 2916,
  [2966] = 2908,
  [2967] = 2967,
  [2968] = 2906,
  [2969] = 2969,
  [2970] = 2970,
  [2971] = 2971,
  [2972] = 2918,
  [2973] = 2885,
  [2974] = 2930,
  [2975] = 1195,
  [2976] = 1194,
  [2977] = 2933,
  [2978] = 2882,
  [2979] = 1195,
  [2980] = 2980,
  [2981] = 2981,
  [2982] = 2879,
  [2983] = 693,
  [2984] = 2984,
  [2985] = 2971,
  [2986] = 1228,
  [2987] = 2987,
  [2988] = 2984,
  [2989] = 2984,
  [2990] = 2990,
  [2991] = 2991,
  [2992] = 2880,
  [2993] = 685,
  [2994] = 692,
  [2995] = 2919,
  [2996] = 2885,
  [2997] = 2997,
  [2998] = 688,
  [2999] = 2999,
  [3000] = 3000,
  [3001] = 1193,
  [3002] = 690,
  [3003] = 2999,
  [3004] = 2984,
  [3005] = 2920,
  [3006] = 2913,
  [3007] = 689,
  [3008] = 3008,
  [3009] = 1194,
  [3010] = 1258,
  [3011] = 1193,
  [3012] = 2984,
  [3013] = 2984,
  [3014] = 3014,
  [3015] = 2984,
  [3016] = 1260,
  [3017] = 687,
  [3018] = 2906,
  [3019] = 2899,
  [3020] = 691,
  [3021] = 2577,
  [3022] = 2898,
  [3023] = 2990,
  [3024] = 2926,
  [3025] = 2900,
  [3026] = 2901,
  [3027] = 3027,
  [3028] = 2971,
  [3029] = 2991,
  [3030] = 2990,
  [3031] = 2971,
  [3032] = 2881,
  [3033] = 2930,
  [3034] = 2879,
  [3035] = 2906,
  [3036] = 3036,
  [3037] = 687,
  [3038] = 690,
  [3039] = 691,
  [3040] = 2880,
  [3041] = 2881,
  [3042] = 1195,
  [3043] = 2913,
  [3044] = 1228,
  [3045] = 3045,
  [3046] = 3045,
  [3047] = 2882,
  [3048] = 1193,
  [3049] = 3045,
  [3050] = 3050,
  [3051] = 2899,
  [3052] = 692,
  [3053] = 2933,
  [3054] = 2918,
  [3055] = 2919,
  [3056] = 693,
  [3057] = 3057,
  [3058] = 685,
  [3059] = 2900,
  [3060] = 2901,
  [3061] = 689,
  [3062] = 2926,
  [3063] = 688,
  [3064] = 2920,
  [3065] = 1194,
  [3066] = 2898,
  [3067] = 3067,
  [3068] = 3068,
  [3069] = 3069,
  [3070] = 3070,
  [3071] = 3071,
  [3072] = 3072,
  [3073] = 3073,
  [3074] = 3074,
  [3075] = 3075,
  [3076] = 3073,
  [3077] = 3074,
  [3078] = 3078,
  [3079] = 3079,
  [3080] = 3080,
  [3081] = 3081,
  [3082] = 1201,
  [3083] = 3078,
  [3084] = 3071,
  [3085] = 3072,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 3088,
  [3089] = 3089,
  [3090] = 3090,
  [3091] = 3072,
  [3092] = 3088,
  [3093] = 3075,
  [3094] = 3075,
  [3095] = 3067,
  [3096] = 3073,
  [3097] = 3074,
  [3098] = 3079,
  [3099] = 3068,
  [3100] = 3073,
  [3101] = 3074,
  [3102] = 3079,
  [3103] = 3081,
  [3104] = 3104,
  [3105] = 3067,
  [3106] = 3069,
  [3107] = 3080,
  [3108] = 3078,
  [3109] = 3078,
  [3110] = 1199,
  [3111] = 3104,
  [3112] = 3088,
  [3113] = 3089,
  [3114] = 3090,
  [3115] = 3081,
  [3116] = 3069,
  [3117] = 3070,
  [3118] = 3104,
  [3119] = 3071,
  [3120] = 3068,
  [3121] = 3072,
  [3122] = 1199,
  [3123] = 3067,
  [3124] = 3068,
  [3125] = 3075,
  [3126] = 3067,
  [3127] = 3068,
  [3128] = 1201,
  [3129] = 3075,
  [3130] = 3073,
  [3131] = 3087,
  [3132] = 3074,
  [3133] = 3089,
  [3134] = 3078,
  [3135] = 3071,
  [3136] = 3072,
  [3137] = 3071,
  [3138] = 3090,
  [3139] = 3086,
  [3140] = 3087,
  [3141] = 3086,
  [3142] = 3080,
  [3143] = 3070,
  [3144] = 3144,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 3147,
  [3148] = 3148,
  [3149] = 3148,
  [3150] = 3150,
  [3151] = 1199,
  [3152] = 3144,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3155,
  [3156] = 3156,
  [3157] = 3157,
  [3158] = 3150,
  [3159] = 3159,
  [3160] = 3160,
  [3161] = 3161,
  [3162] = 3162,
  [3163] = 3163,
  [3164] = 3164,
  [3165] = 3165,
  [3166] = 3148,
  [3167] = 3150,
  [3168] = 3159,
  [3169] = 3169,
  [3170] = 3170,
  [3171] = 3171,
  [3172] = 1090,
  [3173] = 3173,
  [3174] = 3159,
  [3175] = 3160,
  [3176] = 3173,
  [3177] = 3177,
  [3178] = 3178,
  [3179] = 3179,
  [3180] = 1201,
  [3181] = 3181,
  [3182] = 3182,
  [3183] = 3183,
  [3184] = 3184,
  [3185] = 3185,
  [3186] = 3186,
  [3187] = 3179,
  [3188] = 3144,
  [3189] = 1226,
  [3190] = 3190,
  [3191] = 1225,
  [3192] = 3157,
  [3193] = 3155,
  [3194] = 3194,
  [3195] = 2575,
  [3196] = 3146,
  [3197] = 3197,
  [3198] = 3198,
  [3199] = 3199,
  [3200] = 3185,
  [3201] = 3201,
  [3202] = 3145,
  [3203] = 3153,
  [3204] = 3185,
  [3205] = 3181,
  [3206] = 1227,
  [3207] = 3165,
  [3208] = 1225,
  [3209] = 3182,
  [3210] = 3169,
  [3211] = 3190,
  [3212] = 3190,
  [3213] = 3213,
  [3214] = 3214,
  [3215] = 3215,
  [3216] = 3155,
  [3217] = 3170,
  [3218] = 3194,
  [3219] = 3154,
  [3220] = 3220,
  [3221] = 3156,
  [3222] = 3146,
  [3223] = 3147,
  [3224] = 3157,
  [3225] = 3147,
  [3226] = 3226,
  [3227] = 3181,
  [3228] = 3184,
  [3229] = 3144,
  [3230] = 3182,
  [3231] = 3153,
  [3232] = 3163,
  [3233] = 3213,
  [3234] = 3154,
  [3235] = 3235,
  [3236] = 3236,
  [3237] = 3156,
  [3238] = 3169,
  [3239] = 3239,
  [3240] = 3194,
  [3241] = 3157,
  [3242] = 3242,
  [3243] = 3164,
  [3244] = 3170,
  [3245] = 3173,
  [3246] = 3163,
  [3247] = 3170,
  [3248] = 3160,
  [3249] = 3190,
  [3250] = 3181,
  [3251] = 3182,
  [3252] = 3236,
  [3253] = 3213,
  [3254] = 3239,
  [3255] = 3255,
  [3256] = 3146,
  [3257] = 3236,
  [3258] = 3239,
  [3259] = 3163,
  [3260] = 3164,
  [3261] = 3155,
  [3262] = 3173,
  [3263] = 3220,
  [3264] = 3148,
  [3265] = 3265,
  [3266] = 3186,
  [3267] = 3150,
  [3268] = 1227,
  [3269] = 3161,
  [3270] = 3162,
  [3271] = 3153,
  [3272] = 3197,
  [3273] = 3159,
  [3274] = 3197,
  [3275] = 2576,
  [3276] = 3177,
  [3277] = 3178,
  [3278] = 3163,
  [3279] = 3148,
  [3280] = 3183,
  [3281] = 3184,
  [3282] = 3150,
  [3283] = 3198,
  [3284] = 3199,
  [3285] = 3198,
  [3286] = 3201,
  [3287] = 3145,
  [3288] = 3199,
  [3289] = 3179,
  [3290] = 3185,
  [3291] = 3185,
  [3292] = 3186,
  [3293] = 3201,
  [3294] = 2581,
  [3295] = 2577,
  [3296] = 3190,
  [3297] = 3160,
  [3298] = 3155,
  [3299] = 3161,
  [3300] = 3194,
  [3301] = 3162,
  [3302] = 3146,
  [3303] = 3303,
  [3304] = 3183,
  [3305] = 3220,
  [3306] = 3181,
  [3307] = 3182,
  [3308] = 3213,
  [3309] = 3164,
  [3310] = 3170,
  [3311] = 3171,
  [3312] = 3312,
  [3313] = 3194,
  [3314] = 3159,
  [3315] = 3315,
  [3316] = 3144,
  [3317] = 3213,
  [3318] = 3153,
  [3319] = 3154,
  [3320] = 3154,
  [3321] = 3156,
  [3322] = 3173,
  [3323] = 3157,
  [3324] = 1226,
  [3325] = 3177,
  [3326] = 3197,
  [3327] = 3178,
  [3328] = 3198,
  [3329] = 3156,
  [3330] = 3160,
  [3331] = 3171,
  [3332] = 3145,
  [3333] = 3199,
  [3334] = 3334,
  [3335] = 3201,
  [3336] = 2578,
  [3337] = 3197,
  [3338] = 3198,
  [3339] = 3199,
  [3340] = 3201,
  [3341] = 3165,
  [3342] = 3145,
  [3343] = 3164,
  [3344] = 3344,
  [3345] = 3345,
  [3346] = 1260,
  [3347] = 1227,
  [3348] = 3348,
  [3349] = 3349,
  [3350] = 3350,
  [3351] = 3351,
  [3352] = 3352,
  [3353] = 3353,
  [3354] = 1258,
  [3355] = 3348,
  [3356] = 3356,
  [3357] = 1258,
  [3358] = 3344,
  [3359] = 3348,
  [3360] = 1260,
  [3361] = 3356,
  [3362] = 3344,
  [3363] = 3356,
  [3364] = 3348,
  [3365] = 3349,
  [3366] = 3349,
  [3367] = 3367,
  [3368] = 3344,
  [3369] = 3353,
  [3370] = 3344,
  [3371] = 3348,
  [3372] = 3349,
  [3373] = 3344,
  [3374] = 3374,
  [3375] = 3375,
  [3376] = 3376,
  [3377] = 1226,
  [3378] = 3356,
  [3379] = 3349,
  [3380] = 3380,
  [3381] = 3367,
  [3382] = 3367,
  [3383] = 3383,
  [3384] = 3356,
  [3385] = 3367,
  [3386] = 1225,
  [3387] = 3387,
  [3388] = 3351,
  [3389] = 3352,
  [3390] = 3374,
  [3391] = 3374,
  [3392] = 3349,
  [3393] = 3351,
  [3394] = 3352,
  [3395] = 3348,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 3398,
  [3399] = 3399,
  [3400] = 3400,
  [3401] = 3400,
  [3402] = 3402,
  [3403] = 3403,
  [3404] = 3404,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 2885,
  [3408] = 3408,
  [3409] = 3405,
  [3410] = 3399,
  [3411] = 3411,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 3400,
  [3415] = 3415,
  [3416] = 3416,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 3419,
  [3420] = 3403,
  [3421] = 3421,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3419,
  [3426] = 3426,
  [3427] = 3427,
  [3428] = 3421,
  [3429] = 3402,
  [3430] = 3408,
  [3431] = 3405,
  [3432] = 3404,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 687,
  [3437] = 3437,
  [3438] = 3438,
  [3439] = 3397,
  [3440] = 3440,
  [3441] = 3421,
  [3442] = 3424,
  [3443] = 3426,
  [3444] = 3444,
  [3445] = 3445,
  [3446] = 3427,
  [3447] = 3447,
  [3448] = 3434,
  [3449] = 3449,
  [3450] = 3434,
  [3451] = 3451,
  [3452] = 3452,
  [3453] = 3406,
  [3454] = 3454,
  [3455] = 3415,
  [3456] = 3456,
  [3457] = 3399,
  [3458] = 3411,
  [3459] = 3412,
  [3460] = 3413,
  [3461] = 3419,
  [3462] = 3437,
  [3463] = 3463,
  [3464] = 3440,
  [3465] = 3465,
  [3466] = 3445,
  [3467] = 3447,
  [3468] = 3416,
  [3469] = 3451,
  [3470] = 3470,
  [3471] = 3433,
  [3472] = 3472,
  [3473] = 3014,
  [3474] = 3396,
  [3475] = 3422,
  [3476] = 3437,
  [3477] = 3396,
  [3478] = 3449,
  [3479] = 3470,
  [3480] = 3456,
  [3481] = 3402,
  [3482] = 3472,
  [3483] = 3452,
  [3484] = 3440,
  [3485] = 3463,
  [3486] = 3447,
  [3487] = 3404,
  [3488] = 3435,
  [3489] = 3444,
  [3490] = 3445,
  [3491] = 3404,
  [3492] = 3451,
  [3493] = 3412,
  [3494] = 3465,
  [3495] = 3451,
  [3496] = 3496,
  [3497] = 3399,
  [3498] = 3411,
  [3499] = 3412,
  [3500] = 3413,
  [3501] = 3501,
  [3502] = 3437,
  [3503] = 3472,
  [3504] = 3417,
  [3505] = 3421,
  [3506] = 3411,
  [3507] = 692,
  [3508] = 3427,
  [3509] = 688,
  [3510] = 3501,
  [3511] = 691,
  [3512] = 3417,
  [3513] = 3440,
  [3514] = 3424,
  [3515] = 3515,
  [3516] = 3426,
  [3517] = 3415,
  [3518] = 3465,
  [3519] = 689,
  [3520] = 3424,
  [3521] = 3405,
  [3522] = 3452,
  [3523] = 3399,
  [3524] = 693,
  [3525] = 690,
  [3526] = 3454,
  [3527] = 3433,
  [3528] = 3454,
  [3529] = 685,
  [3530] = 3400,
  [3531] = 3435,
  [3532] = 3411,
  [3533] = 3412,
  [3534] = 3413,
  [3535] = 3444,
  [3536] = 3449,
  [3537] = 3465,
  [3538] = 3408,
  [3539] = 3413,
  [3540] = 3470,
  [3541] = 3417,
  [3542] = 3465,
  [3543] = 3408,
  [3544] = 3421,
  [3545] = 3472,
  [3546] = 3424,
  [3547] = 3444,
  [3548] = 3423,
  [3549] = 3426,
  [3550] = 3408,
  [3551] = 3422,
  [3552] = 3434,
  [3553] = 3515,
  [3554] = 3434,
  [3555] = 3418,
  [3556] = 3445,
  [3557] = 3408,
  [3558] = 3501,
  [3559] = 3402,
  [3560] = 3496,
  [3561] = 3405,
  [3562] = 3419,
  [3563] = 3447,
  [3564] = 3456,
  [3565] = 3400,
  [3566] = 3419,
  [3567] = 3408,
  [3568] = 3437,
  [3569] = 3440,
  [3570] = 3447,
  [3571] = 3396,
  [3572] = 3406,
  [3573] = 3456,
  [3574] = 3463,
  [3575] = 3501,
  [3576] = 3501,
  [3577] = 3426,
  [3578] = 3578,
  [3579] = 3417,
  [3580] = 3422,
  [3581] = 3444,
  [3582] = 3445,
  [3583] = 3496,
  [3584] = 3456,
  [3585] = 3403,
  [3586] = 3463,
  [3587] = 3408,
  [3588] = 3396,
  [3589] = 3404,
  [3590] = 3438,
  [3591] = 3438,
  [3592] = 3397,
  [3593] = 3496,
  [3594] = 3449,
  [3595] = 3496,
  [3596] = 3515,
  [3597] = 3408,
  [3598] = 3402,
  [3599] = 3416,
  [3600] = 3451,
  [3601] = 3470,
  [3602] = 3602,
  [3603] = 3603,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3607,
  [3608] = 3608,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 3616,
  [3617] = 3613,
  [3618] = 3614,
  [3619] = 3619,
  [3620] = 3615,
  [3621] = 3611,
  [3622] = 3622,
  [3623] = 3613,
  [3624] = 3615,
  [3625] = 3613,
  [3626] = 3626,
  [3627] = 3627,
  [3628] = 3615,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3633,
  [3634] = 3619,
  [3635] = 3635,
  [3636] = 3622,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3631,
  [3641] = 3637,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3642,
  [3645] = 3608,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 3648,
  [3649] = 3649,
  [3650] = 3626,
  [3651] = 3609,
  [3652] = 3627,
  [3653] = 3610,
  [3654] = 3630,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3607,
  [3658] = 3658,
  [3659] = 3629,
  [3660] = 3619,
  [3661] = 3661,
  [3662] = 3633,
  [3663] = 3633,
  [3664] = 3635,
  [3665] = 3638,
  [3666] = 3643,
  [3667] = 3638,
  [3668] = 3668,
  [3669] = 3639,
  [3670] = 3622,
  [3671] = 3671,
  [3672] = 3632,
  [3673] = 3673,
  [3674] = 3674,
  [3675] = 3661,
  [3676] = 3676,
  [3677] = 3614,
  [3678] = 3678,
  [3679] = 3673,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 3685,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3603,
  [3689] = 3609,
  [3690] = 3690,
  [3691] = 3610,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 3648,
  [3695] = 3674,
  [3696] = 3631,
  [3697] = 3637,
  [3698] = 3642,
  [3699] = 3648,
  [3700] = 3649,
  [3701] = 3626,
  [3702] = 3627,
  [3703] = 3630,
  [3704] = 3605,
  [3705] = 3633,
  [3706] = 3635,
  [3707] = 3649,
  [3708] = 3638,
  [3709] = 3656,
  [3710] = 3607,
  [3711] = 3639,
  [3712] = 3712,
  [3713] = 3615,
  [3714] = 3613,
  [3715] = 3685,
  [3716] = 3716,
  [3717] = 3693,
  [3718] = 3686,
  [3719] = 3719,
  [3720] = 3604,
  [3721] = 3721,
  [3722] = 3658,
  [3723] = 3661,
  [3724] = 3724,
  [3725] = 3671,
  [3726] = 3726,
  [3727] = 3673,
  [3728] = 3616,
  [3729] = 3680,
  [3730] = 3730,
  [3731] = 3661,
  [3732] = 3682,
  [3733] = 3671,
  [3734] = 3673,
  [3735] = 3619,
  [3736] = 3680,
  [3737] = 3683,
  [3738] = 3622,
  [3739] = 3681,
  [3740] = 3684,
  [3741] = 3687,
  [3742] = 3603,
  [3743] = 3690,
  [3744] = 3744,
  [3745] = 3692,
  [3746] = 3604,
  [3747] = 3646,
  [3748] = 3647,
  [3749] = 3749,
  [3750] = 3609,
  [3751] = 3606,
  [3752] = 3610,
  [3753] = 3682,
  [3754] = 3721,
  [3755] = 3633,
  [3756] = 3638,
  [3757] = 3612,
  [3758] = 3683,
  [3759] = 3668,
  [3760] = 3684,
  [3761] = 3687,
  [3762] = 3685,
  [3763] = 3716,
  [3764] = 3655,
  [3765] = 3686,
  [3766] = 3661,
  [3767] = 3719,
  [3768] = 3673,
  [3769] = 3611,
  [3770] = 3690,
  [3771] = 3692,
  [3772] = 3724,
  [3773] = 3773,
  [3774] = 3726,
  [3775] = 3616,
  [3776] = 3744,
  [3777] = 3730,
  [3778] = 3685,
  [3779] = 3686,
  [3780] = 3681,
  [3781] = 3744,
  [3782] = 3646,
  [3783] = 3609,
  [3784] = 3647,
  [3785] = 3749,
  [3786] = 3712,
  [3787] = 3606,
  [3788] = 3721,
  [3789] = 3610,
  [3790] = 3612,
  [3791] = 3685,
  [3792] = 3716,
  [3793] = 3668,
  [3794] = 3619,
  [3795] = 3643,
  [3796] = 3655,
  [3797] = 3686,
  [3798] = 3719,
  [3799] = 3622,
  [3800] = 3629,
  [3801] = 3632,
  [3802] = 3674,
  [3803] = 3749,
  [3804] = 3605,
  [3805] = 3656,
  [3806] = 3730,
  [3807] = 3712,
  [3808] = 3724,
  [3809] = 3693,
  [3810] = 3726,
  [3811] = 3658,
  [3812] = 3812,
  [3813] = 3813,
  [3814] = 2576,
  [3815] = 3815,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3816,
  [3819] = 3819,
  [3820] = 3820,
  [3821] = 3821,
  [3822] = 3816,
  [3823] = 3823,
  [3824] = 3824,
  [3825] = 3816,
  [3826] = 3821,
  [3827] = 3827,
  [3828] = 3828,
  [3829] = 3821,
  [3830] = 3830,
  [3831] = 3831,
  [3832] = 3821,
  [3833] = 3827,
  [3834] = 3834,
  [3835] = 3831,
  [3836] = 3836,
  [3837] = 3824,
  [3838] = 3827,
  [3839] = 3836,
  [3840] = 2575,
  [3841] = 3823,
  [3842] = 3828,
  [3843] = 3831,
  [3844] = 3836,
  [3845] = 3824,
  [3846] = 3817,
  [3847] = 3831,
  [3848] = 3836,
  [3849] = 3824,
  [3850] = 3821,
  [3851] = 3836,
  [3852] = 3824,
  [3853] = 3812,
  [3854] = 3827,
  [3855] = 3812,
  [3856] = 3834,
  [3857] = 3823,
  [3858] = 3831,
  [3859] = 3827,
  [3860] = 3817,
  [3861] = 3861,
  [3862] = 3828,
  [3863] = 3812,
  [3864] = 3834,
  [3865] = 3823,
  [3866] = 3828,
  [3867] = 3817,
  [3868] = 3816,
  [3869] = 3812,
  [3870] = 3834,
  [3871] = 3823,
  [3872] = 3828,
  [3873] = 3834,
  [3874] = 3874,
  [3875] = 3875,
  [3876] = 3876,
  [3877] = 3877,
  [3878] = 3878,
  [3879] = 3879,
  [3880] = 3880,
  [3881] = 3879,
  [3882] = 3875,
  [3883] = 3876,
  [3884] = 3884,
  [3885] = 3885,
  [3886] = 927,
  [3887] = 3887,
  [3888] = 3888,
  [3889] = 3889,
  [3890] = 3889,
  [3891] = 3877,
  [3892] = 3875,
  [3893] = 3893,
  [3894] = 3894,
  [3895] = 3895,
  [3896] = 3875,
  [3897] = 3894,
  [3898] = 3898,
  [3899] = 3899,
  [3900] = 3895,
  [3901] = 3901,
  [3902] = 3902,
  [3903] = 3903,
  [3904] = 3904,
  [3905] = 3905,
  [3906] = 3885,
  [3907] = 3907,
  [3908] = 3875,
  [3909] = 3877,
  [3910] = 3910,
  [3911] = 3911,
  [3912] = 3912,
  [3913] = 3913,
  [3914] = 3889,
  [3915] = 3876,
  [3916] = 3916,
  [3917] = 1190,
  [3918] = 3880,
  [3919] = 3899,
  [3920] = 3920,
  [3921] = 3901,
  [3922] = 3922,
  [3923] = 3912,
  [3924] = 3875,
  [3925] = 3925,
  [3926] = 3910,
  [3927] = 3875,
  [3928] = 3910,
  [3929] = 3876,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 3910,
  [3933] = 3933,
  [3934] = 3933,
  [3935] = 3935,
  [3936] = 3936,
  [3937] = 3936,
  [3938] = 3938,
  [3939] = 3939,
  [3940] = 3940,
  [3941] = 3941,
  [3942] = 3905,
  [3943] = 690,
  [3944] = 3944,
  [3945] = 3945,
  [3946] = 3935,
  [3947] = 3947,
  [3948] = 3944,
  [3949] = 3895,
  [3950] = 3884,
  [3951] = 3945,
  [3952] = 3895,
  [3953] = 3953,
  [3954] = 3907,
  [3955] = 3955,
  [3956] = 3935,
  [3957] = 3875,
  [3958] = 3958,
  [3959] = 3947,
  [3960] = 3953,
  [3961] = 3875,
  [3962] = 3878,
  [3963] = 3875,
  [3964] = 3875,
  [3965] = 3912,
  [3966] = 3887,
  [3967] = 3876,
  [3968] = 3930,
  [3969] = 3893,
  [3970] = 3970,
  [3971] = 3971,
  [3972] = 3925,
  [3973] = 3958,
  [3974] = 3878,
  [3975] = 3938,
  [3976] = 3938,
  [3977] = 3930,
  [3978] = 3885,
  [3979] = 3940,
  [3980] = 3912,
  [3981] = 3905,
  [3982] = 3889,
  [3983] = 3920,
  [3984] = 3940,
  [3985] = 3970,
  [3986] = 3899,
  [3987] = 3875,
  [3988] = 689,
  [3989] = 3887,
  [3990] = 3933,
  [3991] = 3936,
  [3992] = 3905,
  [3993] = 3933,
  [3994] = 1192,
  [3995] = 3895,
  [3996] = 3893,
  [3997] = 3936,
  [3998] = 3930,
  [3999] = 3885,
  [4000] = 3884,
  [4001] = 3895,
  [4002] = 4002,
  [4003] = 3930,
  [4004] = 3931,
  [4005] = 3944,
  [4006] = 3895,
  [4007] = 3930,
  [4008] = 3945,
  [4009] = 4009,
  [4010] = 3895,
  [4011] = 3930,
  [4012] = 3947,
  [4013] = 3953,
  [4014] = 3895,
  [4015] = 3930,
  [4016] = 3907,
  [4017] = 3933,
  [4018] = 3930,
  [4019] = 3936,
  [4020] = 3958,
  [4021] = 3930,
  [4022] = 3878,
  [4023] = 3875,
  [4024] = 3930,
  [4025] = 3874,
  [4026] = 3875,
  [4027] = 3930,
  [4028] = 3925,
  [4029] = 3880,
  [4030] = 3930,
  [4031] = 4031,
  [4032] = 3899,
  [4033] = 3930,
  [4034] = 3925,
  [4035] = 3970,
  [4036] = 3930,
  [4037] = 3970,
  [4038] = 3944,
  [4039] = 3930,
  [4040] = 3879,
  [4041] = 3945,
  [4042] = 3930,
  [4043] = 3970,
  [4044] = 3875,
  [4045] = 3930,
  [4046] = 3947,
  [4047] = 3875,
  [4048] = 3930,
  [4049] = 3953,
  [4050] = 3905,
  [4051] = 3930,
  [4052] = 4052,
  [4053] = 3901,
  [4054] = 3930,
  [4055] = 3875,
  [4056] = 3958,
  [4057] = 3930,
  [4058] = 3878,
  [4059] = 3894,
  [4060] = 3930,
  [4061] = 3944,
  [4062] = 3901,
  [4063] = 3930,
  [4064] = 3884,
  [4065] = 3938,
  [4066] = 3930,
  [4067] = 3907,
  [4068] = 3875,
  [4069] = 3930,
  [4070] = 3893,
  [4071] = 3935,
  [4072] = 3920,
  [4073] = 4073,
  [4074] = 3888,
  [4075] = 3945,
  [4076] = 936,
  [4077] = 3884,
  [4078] = 4078,
  [4079] = 3930,
  [4080] = 3931,
  [4081] = 3916,
  [4082] = 3875,
  [4083] = 3893,
  [4084] = 3912,
  [4085] = 4085,
  [4086] = 4009,
  [4087] = 4087,
  [4088] = 3875,
  [4089] = 3970,
  [4090] = 3889,
  [4091] = 4091,
  [4092] = 3911,
  [4093] = 3875,
  [4094] = 3893,
  [4095] = 3888,
  [4096] = 3899,
  [4097] = 3875,
  [4098] = 3947,
  [4099] = 3916,
  [4100] = 3877,
  [4101] = 3875,
  [4102] = 3893,
  [4103] = 3953,
  [4104] = 3875,
  [4105] = 3916,
  [4106] = 3874,
  [4107] = 3875,
  [4108] = 3887,
  [4109] = 3874,
  [4110] = 4110,
  [4111] = 4111,
  [4112] = 3875,
  [4113] = 3885,
  [4114] = 3398,
  [4115] = 4009,
  [4116] = 3893,
  [4117] = 3907,
  [4118] = 3879,
  [4119] = 3880,
  [4120] = 3894,
  [4121] = 3940,
  [4122] = 3930,
  [4123] = 3920,
  [4124] = 3938,
  [4125] = 4009,
  [4126] = 3880,
  [4127] = 3935,
  [4128] = 3931,
  [4129] = 3875,
  [4130] = 3925,
  [4131] = 3875,
  [4132] = 4009,
  [4133] = 4110,
  [4134] = 4009,
  [4135] = 4009,
  [4136] = 4009,
  [4137] = 4009,
  [4138] = 3888,
  [4139] = 3898,
  [4140] = 3903,
  [4141] = 3888,
  [4142] = 3904,
  [4143] = 3941,
  [4144] = 3898,
  [4145] = 3903,
  [4146] = 3940,
  [4147] = 3904,
  [4148] = 3941,
  [4149] = 3958,
  [4150] = 3916,
  [4151] = 3893,
  [4152] = 4152,
  [4153] = 4153,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0x85, 0x85}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200a}, {0x2028, 0x2029}, {0x202f, 0x202f},
  {0x205f, 0x205f}, {0x3000, 0x3000},
};

static TSCharacterRange aux_sym__interpolation_fallbacks_token1_character_set_1[] = {
  {0, '#'}, {'%', '&'}, {'(', '*'}, {',', ','}, {'.', '/'}, {';', '@'}, {'[', '^'}, {'`', '`'},
  {'{', 0x10ffff},
};

static TSCharacterRange sym_substitution_regexp_modifiers_character_set_1[] = {
  {'a', 'a'}, {'c', 'e'}, {'g', 'g'}, {'i', 'i'}, {'l', 'm'}, {'o', 'p'}, {'r', 's'}, {'u', 'u'},
  {'x', 'x'},
};

static TSCharacterRange sym__identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym__identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 224,
        '#', 260,
        '$', 126,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 197,
        '/', 198,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 134,
        '[', 266,
        '\\', 228,
        ']', 156,
        '^', 186,
        'a', 282,
        'c', 313,
        'd', 285,
        'e', 355,
        'g', 334,
        'i', 290,
        'l', 285,
        'm', 279,
        'n', 285,
        'o', 291,
        'p', 286,
        'r', 336,
        's', 281,
        'u', 289,
        'v', 396,
        'x', 285,
        '{', 267,
        '|', 185,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(109);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0x04, 264,
        '!', 224,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 197,
        '/', 198,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
        '[', 155,
        '\\', 228,
        ']', 156,
        '^', 186,
        'a', 352,
        'c', 315,
        'd', 364,
        'e', 395,
        'g', 334,
        'i', 392,
        'l', 324,
        'm', 276,
        'o', 378,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        'x', 199,
        '{', 117,
        '|', 185,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(1);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        0x04, 264,
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 190,
        ',', 135,
        '-', 193,
        '.', 105,
        '/', 85,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 88,
        '=', 92,
        '@', 133,
        '[', 155,
        '\\', 228,
        ']', 156,
        'a', 352,
        'c', 316,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'o', 378,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        'x', 368,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(2);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '$', 82,
        '%', 158,
        '&', 188,
        '(', 137,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 134,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(15);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        '(', 137,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(15);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(17);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(17);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(309);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(309);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(19);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(201);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(19);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'a') ADVANCE(308);
      if (lookahead == 'c') ADVANCE(303);
      if (lookahead == 'g') ADVANCE(302);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'o') ADVANCE(306);
      if (lookahead == 'x') ADVANCE(304);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          lookahead == 'e' ||
          lookahead == 'm' ||
          lookahead == 'p' ||
          lookahead == 'r' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(308);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(19);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'a') ADVANCE(296);
      if (lookahead == 'c') ADVANCE(295);
      if (lookahead == 'g') ADVANCE(300);
      if (lookahead == 'i') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(300);
      if (lookahead == 'o') ADVANCE(300);
      if (lookahead == 'x') ADVANCE(297);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(300);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(19);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'a') ADVANCE(283);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead == 'o') ADVANCE(292);
      if (lookahead == 'x') ADVANCE(285);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(292);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        0x04, 264,
        '#', 260,
        '$', 124,
        '%', 234,
        '(', 137,
        ')', 136,
        '*', 153,
        ',', 135,
        '-', 192,
        '/', 86,
        ':', 119,
        ';', 121,
        '=', 130,
        '>', 159,
        '@', 133,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(37);
      if (lookahead == 'a') ADVANCE(403);
      if (lookahead == 'o') ADVANCE(406);
      if (lookahead == 'x') ADVANCE(404);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(99);
      if (lookahead == '}') ADVANCE(118);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        0x04, 264,
        '#', 260,
        '$', 124,
        '%', 234,
        '(', 137,
        ')', 136,
        ',', 135,
        '-', 192,
        '/', 86,
        ':', 119,
        ';', 121,
        '=', 128,
        '@', 133,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(39);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(99);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        0x04, 264,
        '#', 260,
        '$', 124,
        '%', 234,
        '(', 137,
        ')', 136,
        ',', 135,
        '-', 195,
        '/', 86,
        ':', 119,
        ';', 121,
        '=', 128,
        '>', 93,
        '@', 133,
        '[', 266,
      );
      if (lookahead == '\\') SKIP(39);
      if (lookahead == '{') ADVANCE(267);
      if (lookahead == '|') ADVANCE(99);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(4);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(4);
      if (lookahead == '\r') SKIP(14);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(5);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(5);
      if (lookahead == '\r') SKIP(16);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(7);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(7);
      if (lookahead == '\r') SKIP(18);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(56);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(56);
      if (lookahead == '\r') SKIP(20);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(57);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(57);
      if (lookahead == '\r') SKIP(22);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(65);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(65);
      if (lookahead == '\r') SKIP(24);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(58);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(58);
      if (lookahead == '\r') SKIP(26);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(61);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(61);
      if (lookahead == '\r') SKIP(28);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(64);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(64);
      if (lookahead == '\r') SKIP(30);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(66);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '\r') SKIP(32);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(69);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(69);
      if (lookahead == '\r') SKIP(34);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(11);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(11);
      if (lookahead == '\r') SKIP(36);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(12);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(12);
      if (lookahead == '\r') SKIP(38);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(72);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(72);
      if (lookahead == '\r') SKIP(40);
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(80);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(80);
      if (lookahead == '\r') SKIP(42);
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(73);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(73);
      if (lookahead == '\r') SKIP(44);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(74);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(74);
      if (lookahead == '\r') SKIP(46);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(81);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(81);
      if (lookahead == '\r') SKIP(48);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(310);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(311);
      if (lookahead != 0) ADVANCE(310);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 224,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 197,
        '/', 198,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
        '[', 155,
        '\\', 228,
        '^', 186,
        'a', 353,
        'c', 315,
        'd', 364,
        'e', 395,
        'g', 334,
        'i', 392,
        'l', 324,
        'm', 276,
        'o', 388,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        'x', 200,
        '{', 117,
        '|', 185,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(51);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 190,
        ',', 135,
        '-', 193,
        '.', 105,
        '/', 85,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 88,
        '=', 92,
        '@', 133,
        '[', 155,
        '\\', 228,
        ']', 156,
        'a', 353,
        'c', 316,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'o', 388,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(52);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 190,
        '-', 193,
        '.', 105,
        '/', 85,
        '0', 430,
        ':', 87,
        '<', 88,
        '@', 133,
        '[', 155,
        '\\', 228,
        'a', 353,
        'c', 316,
        'd', 364,
        'e', 355,
        'g', 377,
        'l', 325,
        'm', 276,
        'o', 388,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        '{', 117,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(53);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 190,
        '-', 193,
        '.', 419,
        '/', 420,
        '0', 417,
        ':', 421,
        ';', 121,
        '<', 422,
        '@', 133,
        '[', 155,
        '\\', 228,
        '^', 425,
        'a', 353,
        'c', 314,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'n', 365,
        'o', 388,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(418);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(413);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0) ADVANCE(412);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 190,
        '-', 193,
        '.', 105,
        '/', 85,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 88,
        '@', 133,
        '[', 155,
        '\\', 228,
        'a', 353,
        'c', 316,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'o', 388,
        'p', 366,
        'r', 337,
        's', 277,
        'u', 327,
        'v', 396,
        '{', 117,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(55);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 188,
        '(', 137,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 120,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(21);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(360);
      if (lookahead == 'g') ADVANCE(335);
      if (lookahead == 'i') ADVANCE(392);
      if (lookahead == 'l') ADVANCE(338);
      if (lookahead == 'x') ADVANCE(200);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(56);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 188,
        '(', 137,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(23);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(57);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(27);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(58);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(27);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(309);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(309);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(58);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(29);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead == 'x') ADVANCE(292);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(292);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(61);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(29);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(61);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(29);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(303);
      if (lookahead == 'g') ADVANCE(302);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'x') ADVANCE(308);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'e' ||
          lookahead == 'm' ||
          lookahead == 'o' ||
          lookahead == 'p' ||
          lookahead == 'r' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(308);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(61);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 234,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
      );
      if (lookahead == '\\') SKIP(29);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(295);
      if (lookahead == 'g') ADVANCE(300);
      if (lookahead == 'i') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(300);
      if (lookahead == 'x') ADVANCE(300);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(300);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(61);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        '(', 137,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(31);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(64);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(25);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(360);
      if (lookahead == 'g') ADVANCE(335);
      if (lookahead == 'i') ADVANCE(392);
      if (lookahead == 'l') ADVANCE(338);
      if (lookahead == 'x') ADVANCE(200);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(65);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(33);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(66);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(33);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(309);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(309);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(66);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(35);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(290);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead == 'x') ADVANCE(292);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(292);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(69);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(35);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(402);
      if (lookahead == 'g') ADVANCE(400);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'l') ADVANCE(401);
      if (lookahead == 'x') ADVANCE(202);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(69);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(35);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(303);
      if (lookahead == 'g') ADVANCE(302);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'l') ADVANCE(302);
      if (lookahead == 'x') ADVANCE(308);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'e' ||
          lookahead == 'm' ||
          lookahead == 'o' ||
          lookahead == 'p' ||
          lookahead == 'r' ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(308);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(69);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 89,
        '#', 260,
        '%', 158,
        '&', 188,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 119,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
      );
      if (lookahead == '\\') SKIP(35);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'c') ADVANCE(295);
      if (lookahead == 'g') ADVANCE(300);
      if (lookahead == 'i') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(300);
      if (lookahead == 'x') ADVANCE(300);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u') ADVANCE(300);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(69);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '#', 260,
        '$', 125,
        '%', 157,
        '&', 187,
        '(', 137,
        '*', 153,
        ':', 120,
        ';', 121,
        '@', 133,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(41);
      if (lookahead == '{') ADVANCE(117);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(72);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 73:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '(') ADVANCE(137);
      if (lookahead == '\\') SKIP(45);
      if (lookahead == 'o') ADVANCE(410);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(73);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 74:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '>') ADVANCE(159);
      if (lookahead == '\\') SKIP(47);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(74);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 75:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead == ':') ADVANCE(421);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (lookahead == '{') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(414);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0) ADVANCE(412);
      END_STATE();
    case 76:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == ':') ADVANCE(421);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (lookahead == '{') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(415);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0) ADVANCE(412);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '#', 260,
        '$', 124,
        ':', 421,
        '\\', 270,
        '^', 272,
        '{', 117,
        '\'', 412,
        '+', 412,
        '-', 412,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(271);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(273);
      if (lookahead != 0) ADVANCE(270);
      END_STATE();
    case 78:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(416);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0) ADVANCE(412);
      END_STATE();
    case 79:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(127);
      if (lookahead == '@') ADVANCE(134);
      if (lookahead == '[') ADVANCE(155);
      if (lookahead == '\\') ADVANCE(274);
      if (lookahead == '{') ADVANCE(117);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(275);
      if (lookahead != 0) ADVANCE(274);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '#', 260,
        ')', 136,
        ',', 135,
        '.', 105,
        '0', 430,
        ':', 119,
        ';', 121,
        '=', 92,
      );
      if (lookahead == '\\') SKIP(43);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == 'a') ADVANCE(95);
      if (lookahead == 'o') ADVANCE(97);
      if (lookahead == 'v') ADVANCE(107);
      if (lookahead == 'x') ADVANCE(96);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '}') ADVANCE(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(80);
      END_STATE();
    case 81:
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '.') ADVANCE(105);
      if (lookahead == '0') ADVANCE(430);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '\\') SKIP(49);
      if (lookahead == 'v') ADVANCE(396);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(81);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 82:
      if (lookahead == '*') ADVANCE(268);
      END_STATE();
    case 83:
      if (lookahead == '.') ADVANCE(140);
      END_STATE();
    case 84:
      if (lookahead == '.') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 85:
      if (lookahead == '/') ADVANCE(181);
      END_STATE();
    case 86:
      if (lookahead == '/') ADVANCE(90);
      END_STATE();
    case 87:
      if (lookahead == ':') ADVANCE(429);
      END_STATE();
    case 88:
      if (lookahead == '<') ADVANCE(161);
      END_STATE();
    case 89:
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '~') ADVANCE(204);
      END_STATE();
    case 90:
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 91:
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 92:
      if (lookahead == '>') ADVANCE(238);
      END_STATE();
    case 93:
      if (lookahead == '>') ADVANCE(163);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(142);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 96:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 98:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 99:
      if (lookahead == '|') ADVANCE(91);
      END_STATE();
    case 100:
      if (lookahead == '~') ADVANCE(211);
      END_STATE();
    case 101:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(432);
      END_STATE();
    case 102:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(433);
      END_STATE();
    case 103:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(435);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(431);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(432);
      END_STATE();
    case 107:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(312);
      END_STATE();
    case 108:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(434);
      END_STATE();
    case 109:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 224,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 197,
        '/', 198,
        '0', 430,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
        '[', 155,
        '\\', 228,
        ']', 156,
        '^', 186,
        'a', 352,
        'c', 313,
        'd', 364,
        'e', 355,
        'g', 334,
        'i', 392,
        'l', 324,
        'm', 276,
        'n', 365,
        'o', 378,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        'v', 396,
        'x', 199,
        '{', 117,
        '|', 185,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(109);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 110:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 224,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        ')', 136,
        '*', 236,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 197,
        '/', 198,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '@', 133,
        '[', 155,
        '\\', 228,
        '^', 186,
        'a', 352,
        'c', 313,
        'd', 364,
        'e', 395,
        'g', 334,
        'i', 392,
        'l', 324,
        'm', 276,
        'n', 365,
        'o', 378,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        'x', 199,
        '{', 117,
        '|', 185,
        '}', 118,
        '~', 222,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(110);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 111:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 190,
        '-', 193,
        '.', 84,
        '/', 85,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 88,
        '@', 133,
        '[', 155,
        '\\', 228,
        'a', 353,
        'c', 314,
        'd', 364,
        'e', 355,
        'g', 377,
        'l', 325,
        'm', 276,
        'n', 365,
        'o', 388,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(111);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 112:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 190,
        '-', 193,
        '.', 84,
        '/', 85,
        '0', 430,
        ':', 87,
        ';', 121,
        '<', 88,
        '@', 133,
        '[', 155,
        '\\', 228,
        'a', 353,
        'c', 314,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'n', 365,
        'o', 388,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(431);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(112);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 113:
      if (eof) ADVANCE(116);
      ADVANCE_MAP(
        0x04, 264,
        '!', 89,
        '#', 260,
        '$', 124,
        '%', 158,
        '&', 188,
        '(', 137,
        ')', 136,
        '*', 154,
        '+', 191,
        ',', 135,
        '-', 194,
        '.', 196,
        '/', 198,
        ':', 120,
        ';', 121,
        '<', 212,
        '=', 129,
        '>', 160,
        '?', 227,
        '[', 155,
      );
      if (lookahead == '\\') SKIP(115);
      if (lookahead == ']') ADVANCE(156);
      if (lookahead == '^') ADVANCE(186);
      if (lookahead == 'a') ADVANCE(363);
      if (lookahead == 'c') ADVANCE(360);
      if (lookahead == 'g') ADVANCE(335);
      if (lookahead == 'i') ADVANCE(392);
      if (lookahead == 'l') ADVANCE(338);
      if (lookahead == 'o') ADVANCE(387);
      if (lookahead == 'x') ADVANCE(199);
      if (lookahead == '{') ADVANCE(117);
      if (lookahead == '|') ADVANCE(185);
      if (lookahead == '}') ADVANCE(118);
      if (lookahead == '~') ADVANCE(100);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(113);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      END_STATE();
    case 114:
      if (eof) ADVANCE(116);
      if (lookahead == '\n') SKIP(113);
      END_STATE();
    case 115:
      if (eof) ADVANCE(116);
      if (lookahead == '\n') SKIP(113);
      if (lookahead == '\r') SKIP(114);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(429);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_class);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_role);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '#') ADVANCE(231);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '*') ADVANCE(268);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '*') ADVANCE(268);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(205);
      if (lookahead == '>') ADVANCE(238);
      if (lookahead == '~') ADVANCE(203);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(238);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '*') ADVANCE(269);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_our);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_our);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_or);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_xor);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_xor);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(179);
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(170);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(214);
      if (lookahead == '>') ADVANCE(189);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(175);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_x_EQ);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(140);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(164);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_CARET_CARET);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(177);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == '|') ADVANCE(180);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '^') ADVANCE(183);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(184);
      if (lookahead == '=') ADVANCE(172);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_GT_GT2);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(225);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(225);
      if (lookahead == '=') ADVANCE(165);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(226);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(226);
      if (lookahead == '=') ADVANCE(166);
      if (lookahead == '>') ADVANCE(152);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(265);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(178);
      if (lookahead == '=') ADVANCE(167);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(178);
      if (lookahead == '=') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(182);
      if (lookahead == '=') ADVANCE(169);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == 'o') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == '=') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == 'o') ADVANCE(407);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_x);
      if (lookahead == '=') ADVANCE(171);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_BANG_TILDE);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_cmp);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_cmp);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_TILDE_TILDE);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(162);
      if (lookahead == '=') ADVANCE(213);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(208);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_le);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_le);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_ge);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_ge);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_isa);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_isa);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '~') ADVANCE(211);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(206);
      if (lookahead == '~') ADVANCE(204);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_local);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_DOLLAR_POUND);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_map);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_grep);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PERCENT2);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_AMP2);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_STAR2);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(aux_sym__var_indirob_autoquote_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(237);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_use);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_no);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_redo);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_alarm);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_close);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(351);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_closedir);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_caller);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_cos);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_exp);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_lc);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_log);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_ord);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_pop);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_pos);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_rmdir);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_readdir);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_readpipe);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_scalar);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_sin);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_sleep);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_uc);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(260);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(aux_sym___DATA___token1);
      if (lookahead == '\r') ADVANCE(263);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(263);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(aux_sym___DATA___token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(261);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(262);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(263);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(aux_sym___DATA___token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(263);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_EOT);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_DASH_GT2);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_LBRACK2);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_LBRACE2);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_DOLLAR_STAR);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_AT_STAR);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(270);
      if (lookahead == '^') ADVANCE(272);
      if (lookahead == '{') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(271);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(271);
      if ((set_contains(sym__identifier_character_set_1, 668, lookahead)) &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          lookahead != '_' &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(273);
      if ((!eof && set_contains(aux_sym__interpolation_fallbacks_token1_character_set_1, 9, lookahead))) ADVANCE(270);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '^' ||
          lookahead == '_' ||
          lookahead == '|') ADVANCE(412);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token1);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token2);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym__interpolation_fallbacks_token2);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(274);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(275);
      if (lookahead != 0 &&
          lookahead != '#' &&
          lookahead != '$' &&
          lookahead != '@' &&
          lookahead != '[' &&
          lookahead != '\\' &&
          lookahead != '{') ADVANCE(274);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_m);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(373);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_s);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(319);
      if (lookahead == 'i') ADVANCE(362);
      if (lookahead == 'l') ADVANCE(347);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(292);
      if (lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(288);
      if (lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'd') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'i') ADVANCE(284);
      if (lookahead == 'l') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          ('m' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'l', 278,
        'n', 280,
        'a', 292,
        'd', 292,
        'i', 292,
        'm', 292,
        'o', 292,
        'p', 292,
        's', 292,
        'u', 292,
        'x', 292,
      );
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'n', 280,
        'a', 292,
        'd', 292,
        'i', 292,
        'l', 292,
        'm', 292,
        'o', 292,
        'p', 292,
        's', 292,
        'u', 292,
        'x', 292,
      );
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      ADVANCE_MAP(
        'n', 292,
        'a', 292,
        'd', 292,
        'i', 292,
        'l', 292,
        'm', 292,
        'o', 292,
        'p', 292,
        's', 292,
        'u', 292,
        'x', 292,
      );
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'o') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'o') ADVANCE(287);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(292);
      if (lookahead == 's') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'o') ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'o') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 's') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 's') ADVANCE(278);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_quoted_regexp_modifiers);
      if (lookahead == 'a' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(292);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(300);
      if (lookahead == 'c' ||
          lookahead == 'd' ||
          lookahead == 'g' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 's' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(300);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'd') ADVANCE(300);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'd' &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'm') ADVANCE(298);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      ADVANCE_MAP(
        'n', 294,
        'a', 300,
        'c', 300,
        'd', 300,
        'g', 300,
        'i', 300,
        'l', 300,
        'm', 300,
        'o', 300,
        'p', 300,
        's', 300,
        'u', 300,
        'x', 300,
      );
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'o') ADVANCE(300);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(300);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if (lookahead == 's') ADVANCE(293);
      if (lookahead == 'a' ||
          lookahead == 'c' ||
          lookahead == 'd' ||
          lookahead == 'g' ||
          lookahead == 'i' ||
          ('l' <= lookahead && lookahead <= 'p') ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(300);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_match_regexp_modifiers);
      if ((set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead) ||
          lookahead == 'n') &&
          lookahead != 'e' &&
          lookahead != 'r') ADVANCE(300);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'a') ADVANCE(308);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      ADVANCE_MAP(
        'e', 308,
        'a', 308,
        'c', 308,
        'd', 308,
        'g', 308,
        'i', 308,
        'l', 308,
        'm', 308,
        'o', 308,
        'p', 308,
        'r', 308,
        's', 308,
        'u', 308,
        'x', 308,
      );
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'm') ADVANCE(305);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'o') ADVANCE(306);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'p') ADVANCE(308);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 'r') ADVANCE(308);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (lookahead == 's') ADVANCE(301);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_substitution_regexp_modifiers);
      if (set_contains(sym_substitution_regexp_modifiers_character_set_1, 9, lookahead)) ADVANCE(308);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_transliteration_modifiers);
      if (lookahead == 'c' ||
          lookahead == 'd' ||
          lookahead == 'r' ||
          lookahead == 's') ADVANCE(309);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(aux_sym__interpolated_transliteration_content_token1);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(aux_sym__interpolated_transliteration_content_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '\\') ADVANCE(310);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(311);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(310);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_version);
      if (lookahead == '.') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(312);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'l') ADVANCE(321);
      if (lookahead == 'm') ADVANCE(370);
      if (lookahead == 'o') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'l') ADVANCE(321);
      if (lookahead == 'o') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'l') ADVANCE(369);
      if (lookahead == 'm') ADVANCE(370);
      if (lookahead == 'o') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(359);
      if (lookahead == 'l') ADVANCE(369);
      if (lookahead == 'o') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(330);
      if (lookahead == 'd') ADVANCE(367);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(354);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(393);
      if (lookahead == 'o') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'a') ADVANCE(385);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(248);
      if (lookahead == 'e') ADVANCE(215);
      if (lookahead == 'o') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(248);
      if (lookahead == 'o') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(259);
      if (lookahead == 's') ADVANCE(341);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'c') ADVANCE(320);
      if (lookahead == 'g') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(348);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(333);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(250);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'd') ADVANCE(350);
      if (lookahead == 'p') ADVANCE(349);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(217);
      if (lookahead == 'r') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(318);
      if (lookahead == 'm') ADVANCE(329);
      if (lookahead == 'o') ADVANCE(356);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(318);
      if (lookahead == 'm') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(141);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(239);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(243);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(255);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(372);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(375);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(383);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(345);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(381);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(376);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(384);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(386);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(322);
      if (lookahead == 'n') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(230);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(391);
      if (lookahead == 'x') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(340);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(346);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'm') ADVANCE(370);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'm') ADVANCE(242);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'n') ADVANCE(257);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'n') ADVANCE(331);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(229);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(240);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(374);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(241);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(380);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'o') ADVANCE(394);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(247);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(233);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(232);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(251);
      if (lookahead == 's') ADVANCE(252);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(258);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'p') ADVANCE(343);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(344);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(146);
      if (lookahead == 'u') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(253);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(361);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(245);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(254);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(256);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(244);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(147);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(332);
      if (lookahead == 'u') ADVANCE(379);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(246);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(339);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(317);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(390);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 's') ADVANCE(342);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (lookahead == 'x') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(312);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(397);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'a') ADVANCE(220);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'd') ADVANCE(144);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(218);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'e') ADVANCE(216);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'm') ADVANCE(405);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'n') ADVANCE(399);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'o') ADVANCE(407);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'p') ADVANCE(210);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(148);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(151);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'r') ADVANCE(139);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 's') ADVANCE(398);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == 'u') ADVANCE(408);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(sym__identifier);
      if (set_contains(sym__identifier_character_set_2, 776, lookahead)) ADVANCE(411);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      ADVANCE_MAP(
        '!', 223,
        '#', 260,
        '$', 125,
        '%', 234,
        '&', 235,
        '(', 137,
        '*', 236,
        '+', 190,
        '-', 193,
        '.', 419,
        '/', 420,
        '0', 417,
        ':', 421,
        ';', 121,
        '<', 422,
        '@', 133,
        '[', 155,
        '\\', 228,
        '^', 425,
        'a', 353,
        'c', 314,
        'd', 364,
        'e', 395,
        'g', 377,
        'l', 325,
        'm', 276,
        'n', 365,
        'o', 388,
        'p', 366,
        'r', 336,
        's', 277,
        'u', 326,
        '{', 117,
        '}', 118,
        '~', 221,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(418);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(413);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          lookahead != '!') ADVANCE(412);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '*') ADVANCE(153);
      if (lookahead == ':') ADVANCE(421);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (lookahead == '{') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(414);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(412);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == ':') ADVANCE(421);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (lookahead == '{') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(415);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(397);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(412);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '#') ADVANCE(260);
      if (lookahead == '$') ADVANCE(124);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '^') ADVANCE(427);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(416);
      if (set_contains(sym__identifier_character_set_1, 668, lookahead)) ADVANCE(411);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ') ADVANCE(412);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      ADVANCE_MAP(
        '.', 437,
        '_', 106,
        'B', 102,
        'b', 102,
        'E', 101,
        'e', 101,
        'X', 108,
        'x', 108,
        '8', 423,
        '9', 423,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(424);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '.') ADVANCE(437);
      if (lookahead == '_') ADVANCE(104);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(418);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '.') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '/') ADVANCE(181);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == ':') ADVANCE(429);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '<') ADVANCE(161);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '_') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(423);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '_') ADVANCE(103);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(423);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(424);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '?' ||
          lookahead == '^' ||
          lookahead == '|') ADVANCE(412);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(237);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(426);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(aux_sym__ident_special_token1);
      if (lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '^' ||
          lookahead == '_' ||
          lookahead == '|') ADVANCE(412);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(aux_sym__bareword_token1);
      if (lookahead == ':') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(428);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(428);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym__bareword_token1);
      if (lookahead == ':') ADVANCE(87);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(428);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 437,
        '_', 106,
        'B', 102,
        'b', 102,
        'E', 101,
        'e', 101,
        'X', 108,
        'x', 108,
        '8', 432,
        '9', 432,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(435);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(437);
      if (lookahead == '_') ADVANCE(104);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(431);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(432);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(102);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(433);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(108);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(434);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(103);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(432);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(435);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(105);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(436);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'C') ADVANCE(3);
      if (lookahead == 'E') ADVANCE(4);
      if (lookahead == 'I') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(6);
      if (lookahead == '\\') SKIP(7);
      if (lookahead == '_') ADVANCE(8);
      if (lookahead == 'a') ADVANCE(9);
      if (lookahead == 'b') ADVANCE(10);
      if (lookahead == 'c') ADVANCE(11);
      if (lookahead == 'd') ADVANCE(12);
      if (lookahead == 'e') ADVANCE(13);
      if (lookahead == 'f') ADVANCE(14);
      if (lookahead == 'g') ADVANCE(15);
      if (lookahead == 'h') ADVANCE(16);
      if (lookahead == 'i') ADVANCE(17);
      if (lookahead == 'k') ADVANCE(18);
      if (lookahead == 'l') ADVANCE(19);
      if (lookahead == 'm') ADVANCE(20);
      if (lookahead == 'n') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(22);
      if (lookahead == 'p') ADVANCE(23);
      if (lookahead == 'q') ADVANCE(24);
      if (lookahead == 'r') ADVANCE(25);
      if (lookahead == 's') ADVANCE(26);
      if (lookahead == 't') ADVANCE(27);
      if (lookahead == 'u') ADVANCE(28);
      if (lookahead == 'v') ADVANCE(29);
      if (lookahead == 'w') ADVANCE(30);
      if (lookahead == 'y') ADVANCE(31);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'D') ADVANCE(32);
      END_STATE();
    case 2:
      if (lookahead == 'E') ADVANCE(33);
      if (lookahead == 'U') ADVANCE(34);
      END_STATE();
    case 3:
      if (lookahead == 'H') ADVANCE(35);
      END_STATE();
    case 4:
      if (lookahead == 'N') ADVANCE(36);
      END_STATE();
    case 5:
      if (lookahead == 'N') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'N') ADVANCE(38);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 8:
      if (lookahead == '_') ADVANCE(40);
      END_STATE();
    case 9:
      if (lookahead == 'b') ADVANCE(41);
      if (lookahead == 's') ADVANCE(42);
      if (lookahead == 'w') ADVANCE(43);
      END_STATE();
    case 10:
      if (lookahead == 'r') ADVANCE(44);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(45);
      if (lookahead == 'h') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      END_STATE();
    case 12:
      if (lookahead == 'b') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(51);
      if (lookahead == 'l') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      if (lookahead == 'q') ADVANCE(54);
      if (lookahead == 'v') ADVANCE(55);
      if (lookahead == 'x') ADVANCE(56);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(57);
      if (lookahead == 'c') ADVANCE(58);
      if (lookahead == 'i') ADVANCE(59);
      if (lookahead == 'o') ADVANCE(60);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == 'm') ADVANCE(62);
      if (lookahead == 'o') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(66);
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(69);
      if (lookahead == 'c') ADVANCE(70);
      if (lookahead == 'e') ADVANCE(71);
      if (lookahead == 'o') ADVANCE(72);
      if (lookahead == 's') ADVANCE(73);
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(75);
      if (lookahead == 'y') ADVANCE(76);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 22:
      if (lookahead == 'c') ADVANCE(78);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(79);
      if (lookahead == 'r') ADVANCE(80);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_q);
      if (lookahead == 'q') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 'u') ADVANCE(83);
      if (lookahead == 'w') ADVANCE(84);
      if (lookahead == 'x') ADVANCE(85);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(86);
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 26:
      if (lookahead == 'h') ADVANCE(88);
      if (lookahead == 'o') ADVANCE(89);
      if (lookahead == 'q') ADVANCE(90);
      if (lookahead == 'r') ADVANCE(91);
      if (lookahead == 't') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(93);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(94);
      if (lookahead == 'i') ADVANCE(95);
      if (lookahead == 'r') ADVANCE(96);
      END_STATE();
    case 28:
      if (lookahead == 'c') ADVANCE(97);
      if (lookahead == 'm') ADVANCE(98);
      if (lookahead == 'n') ADVANCE(99);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(101);
      if (lookahead == 'h') ADVANCE(102);
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_y);
      END_STATE();
    case 32:
      if (lookahead == 'J') ADVANCE(104);
      END_STATE();
    case 33:
      if (lookahead == 'G') ADVANCE(105);
      END_STATE();
    case 34:
      if (lookahead == 'I') ADVANCE(106);
      END_STATE();
    case 35:
      if (lookahead == 'E') ADVANCE(107);
      END_STATE();
    case 36:
      if (lookahead == 'D') ADVANCE(108);
      END_STATE();
    case 37:
      if (lookahead == 'I') ADVANCE(109);
      END_STATE();
    case 38:
      if (lookahead == 'I') ADVANCE(110);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 40:
      if (lookahead == 'D') ADVANCE(111);
      if (lookahead == 'E') ADVANCE(112);
      if (lookahead == 'F') ADVANCE(113);
      if (lookahead == 'L') ADVANCE(114);
      if (lookahead == 'P') ADVANCE(115);
      if (lookahead == 'S') ADVANCE(116);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 42:
      if (lookahead == 'y') ADVANCE(118);
      END_STATE();
    case 43:
      if (lookahead == 'a') ADVANCE(119);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(120);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 46:
      if (lookahead == 'd') ADVANCE(122);
      if (lookahead == 'o') ADVANCE(123);
      if (lookahead == 'r') ADVANCE(124);
      END_STATE();
    case 47:
      if (lookahead == 'n') ADVANCE(125);
      END_STATE();
    case 48:
      if (lookahead == 'm') ADVANCE(126);
      END_STATE();
    case 49:
      if (lookahead == 'f') ADVANCE(127);
      if (lookahead == 'l') ADVANCE(128);
      END_STATE();
    case 50:
      if (lookahead == 'n') ADVANCE(129);
      END_STATE();
    case 51:
      if (lookahead == 'c') ADVANCE(130);
      END_STATE();
    case 52:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 53:
      if (lookahead == 'f') ADVANCE(132);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_eq);
      if (lookahead == 'r') ADVANCE(133);
      if (lookahead == 'u') ADVANCE(134);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(135);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(138);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_fc);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(139);
      if (lookahead == 'l') ADVANCE(140);
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 60:
      if (lookahead == 'r') ADVANCE(142);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_gt);
      END_STATE();
    case 65:
      if (lookahead == 'x') ADVANCE(146);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 68:
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(149);
      END_STATE();
    case 70:
      if (lookahead == 'f') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_lt);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_my);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_ne);
      if (lookahead == 'x') ADVANCE(155);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(156);
      END_STATE();
    case 79:
      if (lookahead == 'c') ADVANCE(157);
      END_STATE();
    case 80:
      if (lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_qq);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_qr);
      END_STATE();
    case 83:
      if (lookahead == 'o') ADVANCE(159);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_qw);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_qx);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(161);
      if (lookahead == 'f') ADVANCE(162);
      if (lookahead == 'q') ADVANCE(163);
      if (lookahead == 's') ADVANCE(164);
      if (lookahead == 't') ADVANCE(165);
      if (lookahead == 'w') ADVANCE(166);
      END_STATE();
    case 88:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 89:
      if (lookahead == 'r') ADVANCE(168);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(169);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(170);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(171);
      if (lookahead == 'u') ADVANCE(172);
      END_STATE();
    case 93:
      if (lookahead == 'b') ADVANCE(173);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(175);
      if (lookahead == 'm') ADVANCE(176);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_tr);
      if (lookahead == 'u') ADVANCE(177);
      if (lookahead == 'y') ADVANCE(178);
      END_STATE();
    case 97:
      if (lookahead == 'f') ADVANCE(179);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(180);
      END_STATE();
    case 99:
      if (lookahead == 'd') ADVANCE(181);
      if (lookahead == 'l') ADVANCE(182);
      if (lookahead == 't') ADVANCE(183);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(184);
      END_STATE();
    case 101:
      if (lookahead == 'i') ADVANCE(185);
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(187);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(188);
      END_STATE();
    case 104:
      if (lookahead == 'U') ADVANCE(189);
      END_STATE();
    case 105:
      if (lookahead == 'I') ADVANCE(190);
      END_STATE();
    case 106:
      if (lookahead == 'L') ADVANCE(191);
      END_STATE();
    case 107:
      if (lookahead == 'C') ADVANCE(192);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_END);
      END_STATE();
    case 109:
      if (lookahead == 'T') ADVANCE(193);
      END_STATE();
    case 110:
      if (lookahead == 'T') ADVANCE(194);
      END_STATE();
    case 111:
      if (lookahead == 'A') ADVANCE(195);
      END_STATE();
    case 112:
      if (lookahead == 'N') ADVANCE(196);
      END_STATE();
    case 113:
      if (lookahead == 'I') ADVANCE(197);
      END_STATE();
    case 114:
      if (lookahead == 'I') ADVANCE(198);
      END_STATE();
    case 115:
      if (lookahead == 'A') ADVANCE(199);
      END_STATE();
    case 116:
      if (lookahead == 'U') ADVANCE(200);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_abs);
      END_STATE();
    case 118:
      if (lookahead == 'n') ADVANCE(201);
      END_STATE();
    case 119:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 120:
      if (lookahead == 'a') ADVANCE(203);
      END_STATE();
    case 121:
      if (lookahead == 'c') ADVANCE(204);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 123:
      if (lookahead == 'm') ADVANCE(206);
      if (lookahead == 'p') ADVANCE(207);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_chr);
      if (lookahead == 'o') ADVANCE(208);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 126:
      if (lookahead == 'c') ADVANCE(210);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(211);
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 129:
      if (lookahead == 'a') ADVANCE(214);
      END_STATE();
    case 130:
      if (lookahead == 'h') ADVANCE(215);
      END_STATE();
    case 131:
      if (lookahead == 'i') ADVANCE(216);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_eof);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_eqr);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_equ);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 136:
      if (lookahead == 's') ADVANCE(218);
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 138:
      if (lookahead == 's') ADVANCE(221);
      END_STATE();
    case 139:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 141:
      if (lookahead == 'a') ADVANCE(224);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == 'e') ADVANCE(225);
      if (lookahead == 'k') ADVANCE(226);
      END_STATE();
    case 143:
      if (lookahead == 'c') ADVANCE(227);
      if (lookahead == 'g') ADVANCE(228);
      if (lookahead == 'n') ADVANCE(229);
      if (lookahead == 'p') ADVANCE(230);
      if (lookahead == 's') ADVANCE(231);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(232);
      END_STATE();
    case 145:
      if (lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_hex);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_int);
      END_STATE();
    case 148:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 149:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 150:
      if (lookahead == 'i') ADVANCE(236);
      END_STATE();
    case 151:
      if (lookahead == 'g') ADVANCE(237);
      END_STATE();
    case 152:
      if (lookahead == 'a') ADVANCE(238);
      if (lookahead == 'k') ADVANCE(239);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(240);
      END_STATE();
    case 154:
      if (lookahead == 'h') ADVANCE(241);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(242);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_oct);
      END_STATE();
    case 157:
      if (lookahead == 'k') ADVANCE(243);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(244);
      END_STATE();
    case 159:
      if (lookahead == 't') ADVANCE(245);
      END_STATE();
    case 160:
      if (lookahead == 'd') ADVANCE(246);
      END_STATE();
    case 161:
      if (lookahead == 'd') ADVANCE(247);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 163:
      if (lookahead == 'u') ADVANCE(248);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(249);
      END_STATE();
    case 165:
      if (lookahead == 'u') ADVANCE(250);
      END_STATE();
    case 166:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 167:
      if (lookahead == 'f') ADVANCE(252);
      END_STATE();
    case 168:
      if (lookahead == 't') ADVANCE(253);
      END_STATE();
    case 169:
      if (lookahead == 't') ADVANCE(254);
      END_STATE();
    case 170:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 172:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_sub);
      END_STATE();
    case 174:
      if (lookahead == 'l') ADVANCE(258);
      END_STATE();
    case 175:
      if (lookahead == 'd') ADVANCE(259);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(261);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(262);
      END_STATE();
    case 180:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 181:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 183:
      if (lookahead == 'i') ADVANCE(266);
      END_STATE();
    case 184:
      if (lookahead == 'u') ADVANCE(267);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 186:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(270);
      END_STATE();
    case 188:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 189:
      if (lookahead == 'S') ADVANCE(272);
      END_STATE();
    case 190:
      if (lookahead == 'N') ADVANCE(273);
      END_STATE();
    case 191:
      if (lookahead == 'D') ADVANCE(274);
      END_STATE();
    case 192:
      if (lookahead == 'K') ADVANCE(275);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_INIT);
      END_STATE();
    case 194:
      if (lookahead == 'C') ADVANCE(276);
      END_STATE();
    case 195:
      if (lookahead == 'T') ADVANCE(277);
      END_STATE();
    case 196:
      if (lookahead == 'D') ADVANCE(278);
      END_STATE();
    case 197:
      if (lookahead == 'L') ADVANCE(279);
      END_STATE();
    case 198:
      if (lookahead == 'N') ADVANCE(280);
      END_STATE();
    case 199:
      if (lookahead == 'C') ADVANCE(281);
      END_STATE();
    case 200:
      if (lookahead == 'B') ADVANCE(282);
      END_STATE();
    case 201:
      if (lookahead == 'c') ADVANCE(283);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(284);
      END_STATE();
    case 203:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 204:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 205:
      if (lookahead == 'r') ADVANCE(287);
      END_STATE();
    case 206:
      if (lookahead == 'p') ADVANCE(288);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_chop);
      END_STATE();
    case 208:
      if (lookahead == 'o') ADVANCE(289);
      END_STATE();
    case 209:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(292);
      END_STATE();
    case 212:
      if (lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 214:
      if (lookahead == 'm') ADVANCE(295);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_each);
      END_STATE();
    case 216:
      if (lookahead == 'f') ADVANCE(296);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_eval);
      END_STATE();
    case 218:
      if (lookahead == 't') ADVANCE(297);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_exit);
      END_STATE();
    case 220:
      if (lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 222:
      if (lookahead == 'd') ADVANCE(300);
      END_STATE();
    case 223:
      if (lookahead == 'n') ADVANCE(301);
      END_STATE();
    case 224:
      if (lookahead == 'l') ADVANCE(302);
      END_STATE();
    case 225:
      if (lookahead == 'a') ADVANCE(303);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_fork);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_getc);
      END_STATE();
    case 228:
      if (lookahead == 'r') ADVANCE(304);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 230:
      if (lookahead == 'e') ADVANCE(306);
      if (lookahead == 'g') ADVANCE(307);
      if (lookahead == 'p') ADVANCE(308);
      if (lookahead == 'r') ADVANCE(309);
      if (lookahead == 'w') ADVANCE(310);
      END_STATE();
    case 231:
      if (lookahead == 'o') ADVANCE(311);
      END_STATE();
    case 232:
      if (lookahead == 'm') ADVANCE(312);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_keys);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_last);
      END_STATE();
    case 236:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 237:
      if (lookahead == 't') ADVANCE(314);
      END_STATE();
    case 238:
      if (lookahead == 'l') ADVANCE(315);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_lock);
      END_STATE();
    case 240:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 241:
      if (lookahead == 'o') ADVANCE(317);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_next);
      END_STATE();
    case 243:
      if (lookahead == 'a') ADVANCE(318);
      END_STATE();
    case 244:
      if (lookahead == 'o') ADVANCE(319);
      END_STATE();
    case 245:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_rand);
      END_STATE();
    case 247:
      if (lookahead == 'l') ADVANCE(321);
      END_STATE();
    case 248:
      if (lookahead == 'i') ADVANCE(322);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(323);
      END_STATE();
    case 250:
      if (lookahead == 'r') ADVANCE(324);
      END_STATE();
    case 251:
      if (lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 252:
      if (lookahead == 't') ADVANCE(326);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_sort);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_sqrt);
      END_STATE();
    case 255:
      if (lookahead == 'd') ADVANCE(327);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_stat);
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 257:
      if (lookahead == 'y') ADVANCE(329);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_tell);
      if (lookahead == 'd') ADVANCE(330);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_tied);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_time);
      if (lookahead == 's') ADVANCE(331);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 262:
      if (lookahead == 'r') ADVANCE(332);
      END_STATE();
    case 263:
      if (lookahead == 'k') ADVANCE(333);
      END_STATE();
    case 264:
      if (lookahead == 'f') ADVANCE(334);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(336);
      if (lookahead == 'l') ADVANCE(337);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_wait);
      END_STATE();
    case 269:
      if (lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 272:
      if (lookahead == 'T') ADVANCE(342);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_BEGIN);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_BUILD);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_CHECK);
      END_STATE();
    case 276:
      if (lookahead == 'H') ADVANCE(343);
      END_STATE();
    case 277:
      if (lookahead == 'A') ADVANCE(344);
      END_STATE();
    case 278:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 279:
      if (lookahead == 'E') ADVANCE(346);
      END_STATE();
    case 280:
      if (lookahead == 'E') ADVANCE(347);
      END_STATE();
    case 281:
      if (lookahead == 'K') ADVANCE(348);
      END_STATE();
    case 282:
      if (lookahead == '_') ADVANCE(349);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_chdir);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_chomp);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 290:
      if (lookahead == 'n') ADVANCE(351);
      END_STATE();
    case 291:
      if (lookahead == 'o') ADVANCE(352);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(353);
      END_STATE();
    case 294:
      if (lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 295:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_elsif);
      END_STATE();
    case 297:
      if (lookahead == 's') ADVANCE(356);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(357);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_field);
      END_STATE();
    case 301:
      if (lookahead == 'o') ADVANCE(358);
      END_STATE();
    case 302:
      if (lookahead == 'l') ADVANCE(359);
      END_STATE();
    case 303:
      if (lookahead == 'c') ADVANCE(360);
      END_STATE();
    case 304:
      if (lookahead == 'g') ADVANCE(361);
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 305:
      if (lookahead == 't') ADVANCE(363);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(364);
      END_STATE();
    case 307:
      if (lookahead == 'r') ADVANCE(365);
      END_STATE();
    case 308:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 309:
      if (lookahead == 'o') ADVANCE(367);
      END_STATE();
    case 310:
      if (lookahead == 'n') ADVANCE(368);
      if (lookahead == 'u') ADVANCE(369);
      END_STATE();
    case 311:
      if (lookahead == 'c') ADVANCE(370);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 313:
      if (lookahead == 's') ADVANCE(372);
      END_STATE();
    case 314:
      if (lookahead == 'h') ADVANCE(373);
      END_STATE();
    case 315:
      if (lookahead == 't') ADVANCE(374);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_lstat);
      END_STATE();
    case 317:
      if (lookahead == 'd') ADVANCE(375);
      END_STATE();
    case 318:
      if (lookahead == 'g') ADVANCE(376);
      END_STATE();
    case 319:
      if (lookahead == 't') ADVANCE(377);
      END_STATE();
    case 320:
      if (lookahead == 'm') ADVANCE(378);
      END_STATE();
    case 321:
      if (lookahead == 'i') ADVANCE(379);
      END_STATE();
    case 322:
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_reset);
      END_STATE();
    case 324:
      if (lookahead == 'n') ADVANCE(381);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(382);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_shift);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_srand);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_state);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_study);
      END_STATE();
    case 330:
      if (lookahead == 'i') ADVANCE(383);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_times);
      END_STATE();
    case 332:
      if (lookahead == 's') ADVANCE(384);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_umask);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_undef);
      END_STATE();
    case 335:
      if (lookahead == 's') ADVANCE(385);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_untie);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_until);
      END_STATE();
    case 338:
      if (lookahead == 's') ADVANCE(386);
      END_STATE();
    case 339:
      if (lookahead == 'r') ADVANCE(387);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_write);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_ADJUST);
      END_STATE();
    case 343:
      if (lookahead == 'E') ADVANCE(388);
      END_STATE();
    case 344:
      if (lookahead == '_') ADVANCE(389);
      END_STATE();
    case 345:
      if (lookahead == '_') ADVANCE(390);
      END_STATE();
    case 346:
      if (lookahead == '_') ADVANCE(391);
      END_STATE();
    case 347:
      if (lookahead == '_') ADVANCE(392);
      END_STATE();
    case 348:
      if (lookahead == 'A') ADVANCE(393);
      END_STATE();
    case 349:
      if (lookahead == '_') ADVANCE(394);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_chroot);
      END_STATE();
    case 351:
      if (lookahead == 'u') ADVANCE(395);
      END_STATE();
    case 352:
      if (lookahead == 's') ADVANCE(396);
      END_STATE();
    case 353:
      if (lookahead == 'd') ADVANCE(397);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 355:
      if (lookahead == 'c') ADVANCE(398);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_exists);
      END_STATE();
    case 357:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_fileno);
      END_STATE();
    case 359:
      if (lookahead == 'y') ADVANCE(400);
      END_STATE();
    case 360:
      if (lookahead == 'h') ADVANCE(401);
      END_STATE();
    case 361:
      if (lookahead == 'i') ADVANCE(402);
      END_STATE();
    case 362:
      if (lookahead == 'a') ADVANCE(403);
      END_STATE();
    case 363:
      if (lookahead == 'b') ADVANCE(404);
      END_STATE();
    case 364:
      if (lookahead == 'r') ADVANCE(405);
      END_STATE();
    case 365:
      if (lookahead == 'p') ADVANCE(406);
      END_STATE();
    case 366:
      if (lookahead == 'd') ADVANCE(407);
      END_STATE();
    case 367:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 368:
      if (lookahead == 'a') ADVANCE(409);
      END_STATE();
    case 369:
      if (lookahead == 'i') ADVANCE(410);
      END_STATE();
    case 370:
      if (lookahead == 'k') ADVANCE(411);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_gmtime);
      END_STATE();
    case 372:
      if (lookahead == 't') ADVANCE(412);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_length);
      END_STATE();
    case 374:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 376:
      if (lookahead == 'e') ADVANCE(414);
      END_STATE();
    case 377:
      if (lookahead == 'y') ADVANCE(415);
      END_STATE();
    case 378:
      if (lookahead == 'e') ADVANCE(416);
      END_STATE();
    case 379:
      if (lookahead == 'n') ADVANCE(417);
      END_STATE();
    case 380:
      if (lookahead == 'e') ADVANCE(418);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 382:
      if (lookahead == 'd') ADVANCE(419);
      END_STATE();
    case 383:
      if (lookahead == 'r') ADVANCE(420);
      END_STATE();
    case 384:
      if (lookahead == 't') ADVANCE(421);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_unless);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_values);
      END_STATE();
    case 387:
      if (lookahead == 'r') ADVANCE(422);
      END_STATE();
    case 388:
      if (lookahead == 'C') ADVANCE(423);
      END_STATE();
    case 389:
      if (lookahead == '_') ADVANCE(424);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym___END__);
      END_STATE();
    case 391:
      if (lookahead == '_') ADVANCE(425);
      END_STATE();
    case 392:
      if (lookahead == '_') ADVANCE(426);
      END_STATE();
    case 393:
      if (lookahead == 'G') ADVANCE(427);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym___SUB__);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(428);
      END_STATE();
    case 396:
      if (lookahead == 'e') ADVANCE(429);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 398:
      if (lookahead == 'a') ADVANCE(430);
      END_STATE();
    case 399:
      if (lookahead == 'd') ADVANCE(431);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_foreach);
      END_STATE();
    case 402:
      if (lookahead == 'd') ADVANCE(432);
      END_STATE();
    case 403:
      if (lookahead == 'm') ADVANCE(433);
      END_STATE();
    case 404:
      if (lookahead == 'y') ADVANCE(434);
      END_STATE();
    case 405:
      if (lookahead == 'n') ADVANCE(435);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_getpgrp);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_getppid);
      END_STATE();
    case 408:
      if (lookahead == 'o') ADVANCE(436);
      END_STATE();
    case 409:
      if (lookahead == 'm') ADVANCE(437);
      END_STATE();
    case 410:
      if (lookahead == 'd') ADVANCE(438);
      END_STATE();
    case 411:
      if (lookahead == 'n') ADVANCE(439);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_lcfirst);
      END_STATE();
    case 413:
      if (lookahead == 'm') ADVANCE(440);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 415:
      if (lookahead == 'p') ADVANCE(441);
      END_STATE();
    case 416:
      if (lookahead == 't') ADVANCE(442);
      END_STATE();
    case 417:
      if (lookahead == 'e') ADVANCE(443);
      if (lookahead == 'k') ADVANCE(444);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 419:
      if (lookahead == 'i') ADVANCE(445);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_telldir);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_ucfirst);
      END_STATE();
    case 422:
      if (lookahead == 'a') ADVANCE(446);
      END_STATE();
    case 423:
      if (lookahead == 'K') ADVANCE(447);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym___DATA__);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___FILE__);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym___LINE__);
      END_STATE();
    case 427:
      if (lookahead == 'E') ADVANCE(448);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_dbmclose);
      END_STATE();
    case 430:
      if (lookahead == 'l') ADVANCE(449);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym_extended);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_getgrgid);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym_getgrnam);
      END_STATE();
    case 434:
      if (lookahead == 'n') ADVANCE(450);
      END_STATE();
    case 435:
      if (lookahead == 'a') ADVANCE(451);
      END_STATE();
    case 436:
      if (lookahead == 'b') ADVANCE(452);
      END_STATE();
    case 437:
      if (lookahead == 'e') ADVANCE(453);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_getpwuid);
      END_STATE();
    case 439:
      if (lookahead == 'a') ADVANCE(454);
      END_STATE();
    case 440:
      if (lookahead == 'e') ADVANCE(455);
      END_STATE();
    case 441:
      if (lookahead == 'e') ADVANCE(456);
      END_STATE();
    case 442:
      if (lookahead == 'a') ADVANCE(457);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_readline);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_readlink);
      END_STATE();
    case 445:
      if (lookahead == 'r') ADVANCE(458);
      END_STATE();
    case 446:
      if (lookahead == 'y') ADVANCE(459);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_UNITCHECK);
      END_STATE();
    case 448:
      if (lookahead == '_') ADVANCE(460);
      END_STATE();
    case 449:
      if (lookahead == 'l') ADVANCE(461);
      END_STATE();
    case 450:
      if (lookahead == 'a') ADVANCE(462);
      END_STATE();
    case 451:
      if (lookahead == 'm') ADVANCE(463);
      END_STATE();
    case 452:
      if (lookahead == 'y') ADVANCE(464);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_getpwname);
      END_STATE();
    case 454:
      if (lookahead == 'm') ADVANCE(465);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_localtime);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_prototype);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_quotemeta);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_rewinddir);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_wantarray);
      END_STATE();
    case 460:
      if (lookahead == '_') ADVANCE(466);
      END_STATE();
    case 461:
      if (lookahead == 'y') ADVANCE(467);
      END_STATE();
    case 462:
      if (lookahead == 'm') ADVANCE(468);
      END_STATE();
    case 463:
      if (lookahead == 'e') ADVANCE(469);
      END_STATE();
    case 464:
      if (lookahead == 'n') ADVANCE(470);
      END_STATE();
    case 465:
      if (lookahead == 'e') ADVANCE(471);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym___PACKAGE__);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_dynamically);
      END_STATE();
    case 468:
      if (lookahead == 'e') ADVANCE(472);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_getpeername);
      END_STATE();
    case 470:
      if (lookahead == 'a') ADVANCE(473);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_getsockname);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_getnetbyname);
      END_STATE();
    case 473:
      if (lookahead == 'm') ADVANCE(474);
      END_STATE();
    case 474:
      if (lookahead == 'e') ADVANCE(475);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_getprotobyname);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 112, .external_lex_state = 2},
  [2] = {.lex_state = 1, .external_lex_state = 3},
  [3] = {.lex_state = 1, .external_lex_state = 3},
  [4] = {.lex_state = 1, .external_lex_state = 3},
  [5] = {.lex_state = 1, .external_lex_state = 3},
  [6] = {.lex_state = 1, .external_lex_state = 3},
  [7] = {.lex_state = 1, .external_lex_state = 3},
  [8] = {.lex_state = 1, .external_lex_state = 3},
  [9] = {.lex_state = 1, .external_lex_state = 3},
  [10] = {.lex_state = 1, .external_lex_state = 3},
  [11] = {.lex_state = 1, .external_lex_state = 3},
  [12] = {.lex_state = 1, .external_lex_state = 4},
  [13] = {.lex_state = 1, .external_lex_state = 4},
  [14] = {.lex_state = 1, .external_lex_state = 4},
  [15] = {.lex_state = 1, .external_lex_state = 4},
  [16] = {.lex_state = 1, .external_lex_state = 4},
  [17] = {.lex_state = 112, .external_lex_state = 2},
  [18] = {.lex_state = 54, .external_lex_state = 5},
  [19] = {.lex_state = 51, .external_lex_state = 6},
  [20] = {.lex_state = 112, .external_lex_state = 2},
  [21] = {.lex_state = 51, .external_lex_state = 4},
  [22] = {.lex_state = 51, .external_lex_state = 4},
  [23] = {.lex_state = 54, .external_lex_state = 5},
  [24] = {.lex_state = 54, .external_lex_state = 5},
  [25] = {.lex_state = 54, .external_lex_state = 5},
  [26] = {.lex_state = 54, .external_lex_state = 5},
  [27] = {.lex_state = 54, .external_lex_state = 5},
  [28] = {.lex_state = 54, .external_lex_state = 5},
  [29] = {.lex_state = 54, .external_lex_state = 5},
  [30] = {.lex_state = 54, .external_lex_state = 5},
  [31] = {.lex_state = 54, .external_lex_state = 5},
  [32] = {.lex_state = 54, .external_lex_state = 5},
  [33] = {.lex_state = 54, .external_lex_state = 5},
  [34] = {.lex_state = 54, .external_lex_state = 5},
  [35] = {.lex_state = 54, .external_lex_state = 5},
  [36] = {.lex_state = 54, .external_lex_state = 5},
  [37] = {.lex_state = 54, .external_lex_state = 5},
  [38] = {.lex_state = 54, .external_lex_state = 5},
  [39] = {.lex_state = 54, .external_lex_state = 5},
  [40] = {.lex_state = 54, .external_lex_state = 5},
  [41] = {.lex_state = 54, .external_lex_state = 5},
  [42] = {.lex_state = 54, .external_lex_state = 5},
  [43] = {.lex_state = 54, .external_lex_state = 5},
  [44] = {.lex_state = 54, .external_lex_state = 5},
  [45] = {.lex_state = 54, .external_lex_state = 5},
  [46] = {.lex_state = 54, .external_lex_state = 5},
  [47] = {.lex_state = 54, .external_lex_state = 5},
  [48] = {.lex_state = 54, .external_lex_state = 5},
  [49] = {.lex_state = 54, .external_lex_state = 5},
  [50] = {.lex_state = 51, .external_lex_state = 6},
  [51] = {.lex_state = 51, .external_lex_state = 4},
  [52] = {.lex_state = 51, .external_lex_state = 4},
  [53] = {.lex_state = 51, .external_lex_state = 4},
  [54] = {.lex_state = 51, .external_lex_state = 6},
  [55] = {.lex_state = 51, .external_lex_state = 4},
  [56] = {.lex_state = 51, .external_lex_state = 6},
  [57] = {.lex_state = 51, .external_lex_state = 4},
  [58] = {.lex_state = 51, .external_lex_state = 4},
  [59] = {.lex_state = 51, .external_lex_state = 4},
  [60] = {.lex_state = 51, .external_lex_state = 4},
  [61] = {.lex_state = 51, .external_lex_state = 6},
  [62] = {.lex_state = 51, .external_lex_state = 4},
  [63] = {.lex_state = 51, .external_lex_state = 4},
  [64] = {.lex_state = 51, .external_lex_state = 4},
  [65] = {.lex_state = 112, .external_lex_state = 4},
  [66] = {.lex_state = 112, .external_lex_state = 4},
  [67] = {.lex_state = 112, .external_lex_state = 4},
  [68] = {.lex_state = 112, .external_lex_state = 4},
  [69] = {.lex_state = 112, .external_lex_state = 4},
  [70] = {.lex_state = 112, .external_lex_state = 4},
  [71] = {.lex_state = 112, .external_lex_state = 4},
  [72] = {.lex_state = 112, .external_lex_state = 4},
  [73] = {.lex_state = 112, .external_lex_state = 4},
  [74] = {.lex_state = 112, .external_lex_state = 4},
  [75] = {.lex_state = 112, .external_lex_state = 4},
  [76] = {.lex_state = 112, .external_lex_state = 4},
  [77] = {.lex_state = 112, .external_lex_state = 4},
  [78] = {.lex_state = 112, .external_lex_state = 4},
  [79] = {.lex_state = 112, .external_lex_state = 4},
  [80] = {.lex_state = 112, .external_lex_state = 4},
  [81] = {.lex_state = 112, .external_lex_state = 4},
  [82] = {.lex_state = 112, .external_lex_state = 4},
  [83] = {.lex_state = 112, .external_lex_state = 4},
  [84] = {.lex_state = 112, .external_lex_state = 4},
  [85] = {.lex_state = 51, .external_lex_state = 4},
  [86] = {.lex_state = 112, .external_lex_state = 4},
  [87] = {.lex_state = 51, .external_lex_state = 4},
  [88] = {.lex_state = 112, .external_lex_state = 4},
  [89] = {.lex_state = 112, .external_lex_state = 4},
  [90] = {.lex_state = 112, .external_lex_state = 4},
  [91] = {.lex_state = 112, .external_lex_state = 4},
  [92] = {.lex_state = 112, .external_lex_state = 4},
  [93] = {.lex_state = 112, .external_lex_state = 4},
  [94] = {.lex_state = 112, .external_lex_state = 4},
  [95] = {.lex_state = 112, .external_lex_state = 4},
  [96] = {.lex_state = 112, .external_lex_state = 4},
  [97] = {.lex_state = 112, .external_lex_state = 4},
  [98] = {.lex_state = 112, .external_lex_state = 4},
  [99] = {.lex_state = 112, .external_lex_state = 4},
  [100] = {.lex_state = 112, .external_lex_state = 4},
  [101] = {.lex_state = 112, .external_lex_state = 4},
  [102] = {.lex_state = 112, .external_lex_state = 4},
  [103] = {.lex_state = 112, .external_lex_state = 4},
  [104] = {.lex_state = 112, .external_lex_state = 4},
  [105] = {.lex_state = 112, .external_lex_state = 4},
  [106] = {.lex_state = 112, .external_lex_state = 4},
  [107] = {.lex_state = 112, .external_lex_state = 4},
  [108] = {.lex_state = 112, .external_lex_state = 4},
  [109] = {.lex_state = 112, .external_lex_state = 4},
  [110] = {.lex_state = 112, .external_lex_state = 4},
  [111] = {.lex_state = 112, .external_lex_state = 4},
  [112] = {.lex_state = 112, .external_lex_state = 4},
  [113] = {.lex_state = 112, .external_lex_state = 4},
  [114] = {.lex_state = 112, .external_lex_state = 4},
  [115] = {.lex_state = 112, .external_lex_state = 4},
  [116] = {.lex_state = 112, .external_lex_state = 4},
  [117] = {.lex_state = 112, .external_lex_state = 4},
  [118] = {.lex_state = 112, .external_lex_state = 4},
  [119] = {.lex_state = 112, .external_lex_state = 4},
  [120] = {.lex_state = 112, .external_lex_state = 4},
  [121] = {.lex_state = 112, .external_lex_state = 4},
  [122] = {.lex_state = 112, .external_lex_state = 4},
  [123] = {.lex_state = 112, .external_lex_state = 4},
  [124] = {.lex_state = 112, .external_lex_state = 4},
  [125] = {.lex_state = 112, .external_lex_state = 4},
  [126] = {.lex_state = 112, .external_lex_state = 4},
  [127] = {.lex_state = 112, .external_lex_state = 4},
  [128] = {.lex_state = 112, .external_lex_state = 4},
  [129] = {.lex_state = 112, .external_lex_state = 4},
  [130] = {.lex_state = 112, .external_lex_state = 4},
  [131] = {.lex_state = 112, .external_lex_state = 4},
  [132] = {.lex_state = 112, .external_lex_state = 4},
  [133] = {.lex_state = 112, .external_lex_state = 4},
  [134] = {.lex_state = 112, .external_lex_state = 4},
  [135] = {.lex_state = 112, .external_lex_state = 4},
  [136] = {.lex_state = 112, .external_lex_state = 4},
  [137] = {.lex_state = 112, .external_lex_state = 4},
  [138] = {.lex_state = 112, .external_lex_state = 4},
  [139] = {.lex_state = 112, .external_lex_state = 4},
  [140] = {.lex_state = 112, .external_lex_state = 4},
  [141] = {.lex_state = 112, .external_lex_state = 4},
  [142] = {.lex_state = 112, .external_lex_state = 4},
  [143] = {.lex_state = 112, .external_lex_state = 4},
  [144] = {.lex_state = 112, .external_lex_state = 4},
  [145] = {.lex_state = 112, .external_lex_state = 4},
  [146] = {.lex_state = 112, .external_lex_state = 4},
  [147] = {.lex_state = 112, .external_lex_state = 4},
  [148] = {.lex_state = 112, .external_lex_state = 4},
  [149] = {.lex_state = 112, .external_lex_state = 4},
  [150] = {.lex_state = 112, .external_lex_state = 4},
  [151] = {.lex_state = 112, .external_lex_state = 4},
  [152] = {.lex_state = 112, .external_lex_state = 4},
  [153] = {.lex_state = 112, .external_lex_state = 4},
  [154] = {.lex_state = 2, .external_lex_state = 3},
  [155] = {.lex_state = 2, .external_lex_state = 3},
  [156] = {.lex_state = 52, .external_lex_state = 5},
  [157] = {.lex_state = 52, .external_lex_state = 5},
  [158] = {.lex_state = 52, .external_lex_state = 5},
  [159] = {.lex_state = 55, .external_lex_state = 6},
  [160] = {.lex_state = 52, .external_lex_state = 4},
  [161] = {.lex_state = 52, .external_lex_state = 5},
  [162] = {.lex_state = 52, .external_lex_state = 5},
  [163] = {.lex_state = 52, .external_lex_state = 4},
  [164] = {.lex_state = 52, .external_lex_state = 5},
  [165] = {.lex_state = 2, .external_lex_state = 4},
  [166] = {.lex_state = 52, .external_lex_state = 5},
  [167] = {.lex_state = 52, .external_lex_state = 5},
  [168] = {.lex_state = 52, .external_lex_state = 4},
  [169] = {.lex_state = 52, .external_lex_state = 5},
  [170] = {.lex_state = 52, .external_lex_state = 5},
  [171] = {.lex_state = 52, .external_lex_state = 4},
  [172] = {.lex_state = 55, .external_lex_state = 6},
  [173] = {.lex_state = 52, .external_lex_state = 5},
  [174] = {.lex_state = 52, .external_lex_state = 5},
  [175] = {.lex_state = 52, .external_lex_state = 5},
  [176] = {.lex_state = 52, .external_lex_state = 5},
  [177] = {.lex_state = 52, .external_lex_state = 5},
  [178] = {.lex_state = 52, .external_lex_state = 5},
  [179] = {.lex_state = 52, .external_lex_state = 5},
  [180] = {.lex_state = 52, .external_lex_state = 5},
  [181] = {.lex_state = 52, .external_lex_state = 5},
  [182] = {.lex_state = 52, .external_lex_state = 5},
  [183] = {.lex_state = 52, .external_lex_state = 5},
  [184] = {.lex_state = 52, .external_lex_state = 5},
  [185] = {.lex_state = 52, .external_lex_state = 5},
  [186] = {.lex_state = 52, .external_lex_state = 5},
  [187] = {.lex_state = 52, .external_lex_state = 5},
  [188] = {.lex_state = 52, .external_lex_state = 5},
  [189] = {.lex_state = 52, .external_lex_state = 4},
  [190] = {.lex_state = 52, .external_lex_state = 5},
  [191] = {.lex_state = 55, .external_lex_state = 6},
  [192] = {.lex_state = 52, .external_lex_state = 5},
  [193] = {.lex_state = 52, .external_lex_state = 5},
  [194] = {.lex_state = 52, .external_lex_state = 5},
  [195] = {.lex_state = 52, .external_lex_state = 5},
  [196] = {.lex_state = 52, .external_lex_state = 5},
  [197] = {.lex_state = 52, .external_lex_state = 5},
  [198] = {.lex_state = 52, .external_lex_state = 5},
  [199] = {.lex_state = 52, .external_lex_state = 5},
  [200] = {.lex_state = 52, .external_lex_state = 5},
  [201] = {.lex_state = 52, .external_lex_state = 5},
  [202] = {.lex_state = 52, .external_lex_state = 5},
  [203] = {.lex_state = 52, .external_lex_state = 5},
  [204] = {.lex_state = 52, .external_lex_state = 5},
  [205] = {.lex_state = 52, .external_lex_state = 5},
  [206] = {.lex_state = 52, .external_lex_state = 5},
  [207] = {.lex_state = 52, .external_lex_state = 5},
  [208] = {.lex_state = 52, .external_lex_state = 5},
  [209] = {.lex_state = 52, .external_lex_state = 5},
  [210] = {.lex_state = 52, .external_lex_state = 5},
  [211] = {.lex_state = 52, .external_lex_state = 5},
  [212] = {.lex_state = 52, .external_lex_state = 5},
  [213] = {.lex_state = 52, .external_lex_state = 5},
  [214] = {.lex_state = 52, .external_lex_state = 5},
  [215] = {.lex_state = 52, .external_lex_state = 5},
  [216] = {.lex_state = 52, .external_lex_state = 5},
  [217] = {.lex_state = 52, .external_lex_state = 5},
  [218] = {.lex_state = 52, .external_lex_state = 5},
  [219] = {.lex_state = 52, .external_lex_state = 5},
  [220] = {.lex_state = 52, .external_lex_state = 5},
  [221] = {.lex_state = 52, .external_lex_state = 5},
  [222] = {.lex_state = 52, .external_lex_state = 5},
  [223] = {.lex_state = 52, .external_lex_state = 5},
  [224] = {.lex_state = 52, .external_lex_state = 5},
  [225] = {.lex_state = 52, .external_lex_state = 5},
  [226] = {.lex_state = 52, .external_lex_state = 5},
  [227] = {.lex_state = 52, .external_lex_state = 5},
  [228] = {.lex_state = 52, .external_lex_state = 5},
  [229] = {.lex_state = 52, .external_lex_state = 5},
  [230] = {.lex_state = 52, .external_lex_state = 7},
  [231] = {.lex_state = 52, .external_lex_state = 4},
  [232] = {.lex_state = 52, .external_lex_state = 4},
  [233] = {.lex_state = 52, .external_lex_state = 7},
  [234] = {.lex_state = 52, .external_lex_state = 4},
  [235] = {.lex_state = 52, .external_lex_state = 7},
  [236] = {.lex_state = 52, .external_lex_state = 7},
  [237] = {.lex_state = 52, .external_lex_state = 7},
  [238] = {.lex_state = 52, .external_lex_state = 7},
  [239] = {.lex_state = 52, .external_lex_state = 4},
  [240] = {.lex_state = 52, .external_lex_state = 7},
  [241] = {.lex_state = 52, .external_lex_state = 4},
  [242] = {.lex_state = 52, .external_lex_state = 7},
  [243] = {.lex_state = 52, .external_lex_state = 7},
  [244] = {.lex_state = 52, .external_lex_state = 7},
  [245] = {.lex_state = 52, .external_lex_state = 4},
  [246] = {.lex_state = 52, .external_lex_state = 4},
  [247] = {.lex_state = 52, .external_lex_state = 4},
  [248] = {.lex_state = 52, .external_lex_state = 4},
  [249] = {.lex_state = 52, .external_lex_state = 4},
  [250] = {.lex_state = 52, .external_lex_state = 4},
  [251] = {.lex_state = 52, .external_lex_state = 4},
  [252] = {.lex_state = 52, .external_lex_state = 6},
  [253] = {.lex_state = 52, .external_lex_state = 4},
  [254] = {.lex_state = 52, .external_lex_state = 4},
  [255] = {.lex_state = 52, .external_lex_state = 4},
  [256] = {.lex_state = 52, .external_lex_state = 4},
  [257] = {.lex_state = 52, .external_lex_state = 4},
  [258] = {.lex_state = 52, .external_lex_state = 4},
  [259] = {.lex_state = 52, .external_lex_state = 4},
  [260] = {.lex_state = 52, .external_lex_state = 4},
  [261] = {.lex_state = 52, .external_lex_state = 6},
  [262] = {.lex_state = 52, .external_lex_state = 4},
  [263] = {.lex_state = 52, .external_lex_state = 4},
  [264] = {.lex_state = 52, .external_lex_state = 4},
  [265] = {.lex_state = 52, .external_lex_state = 4},
  [266] = {.lex_state = 52, .external_lex_state = 4},
  [267] = {.lex_state = 52, .external_lex_state = 4},
  [268] = {.lex_state = 52, .external_lex_state = 4},
  [269] = {.lex_state = 52, .external_lex_state = 4},
  [270] = {.lex_state = 52, .external_lex_state = 4},
  [271] = {.lex_state = 52, .external_lex_state = 4},
  [272] = {.lex_state = 52, .external_lex_state = 4},
  [273] = {.lex_state = 52, .external_lex_state = 6},
  [274] = {.lex_state = 52, .external_lex_state = 4},
  [275] = {.lex_state = 52, .external_lex_state = 4},
  [276] = {.lex_state = 52, .external_lex_state = 4},
  [277] = {.lex_state = 52, .external_lex_state = 4},
  [278] = {.lex_state = 52, .external_lex_state = 4},
  [279] = {.lex_state = 52, .external_lex_state = 4},
  [280] = {.lex_state = 52, .external_lex_state = 4},
  [281] = {.lex_state = 52, .external_lex_state = 4},
  [282] = {.lex_state = 52, .external_lex_state = 4},
  [283] = {.lex_state = 52, .external_lex_state = 4},
  [284] = {.lex_state = 52, .external_lex_state = 4},
  [285] = {.lex_state = 52, .external_lex_state = 4},
  [286] = {.lex_state = 52, .external_lex_state = 4},
  [287] = {.lex_state = 52, .external_lex_state = 4},
  [288] = {.lex_state = 52, .external_lex_state = 4},
  [289] = {.lex_state = 52, .external_lex_state = 4},
  [290] = {.lex_state = 52, .external_lex_state = 4},
  [291] = {.lex_state = 52, .external_lex_state = 4},
  [292] = {.lex_state = 52, .external_lex_state = 4},
  [293] = {.lex_state = 52, .external_lex_state = 4},
  [294] = {.lex_state = 52, .external_lex_state = 4},
  [295] = {.lex_state = 52, .external_lex_state = 4},
  [296] = {.lex_state = 52, .external_lex_state = 4},
  [297] = {.lex_state = 52, .external_lex_state = 4},
  [298] = {.lex_state = 52, .external_lex_state = 4},
  [299] = {.lex_state = 52, .external_lex_state = 4},
  [300] = {.lex_state = 52, .external_lex_state = 4},
  [301] = {.lex_state = 52, .external_lex_state = 4},
  [302] = {.lex_state = 52, .external_lex_state = 4},
  [303] = {.lex_state = 52, .external_lex_state = 4},
  [304] = {.lex_state = 52, .external_lex_state = 4},
  [305] = {.lex_state = 52, .external_lex_state = 4},
  [306] = {.lex_state = 52, .external_lex_state = 4},
  [307] = {.lex_state = 52, .external_lex_state = 4},
  [308] = {.lex_state = 52, .external_lex_state = 4},
  [309] = {.lex_state = 52, .external_lex_state = 4},
  [310] = {.lex_state = 52, .external_lex_state = 4},
  [311] = {.lex_state = 52, .external_lex_state = 4},
  [312] = {.lex_state = 52, .external_lex_state = 4},
  [313] = {.lex_state = 52, .external_lex_state = 4},
  [314] = {.lex_state = 52, .external_lex_state = 4},
  [315] = {.lex_state = 52, .external_lex_state = 4},
  [316] = {.lex_state = 52, .external_lex_state = 4},
  [317] = {.lex_state = 52, .external_lex_state = 4},
  [318] = {.lex_state = 52, .external_lex_state = 4},
  [319] = {.lex_state = 52, .external_lex_state = 4},
  [320] = {.lex_state = 52, .external_lex_state = 4},
  [321] = {.lex_state = 52, .external_lex_state = 4},
  [322] = {.lex_state = 52, .external_lex_state = 4},
  [323] = {.lex_state = 52, .external_lex_state = 4},
  [324] = {.lex_state = 52, .external_lex_state = 4},
  [325] = {.lex_state = 52, .external_lex_state = 4},
  [326] = {.lex_state = 52, .external_lex_state = 4},
  [327] = {.lex_state = 52, .external_lex_state = 4},
  [328] = {.lex_state = 52, .external_lex_state = 4},
  [329] = {.lex_state = 52, .external_lex_state = 4},
  [330] = {.lex_state = 52, .external_lex_state = 4},
  [331] = {.lex_state = 52, .external_lex_state = 4},
  [332] = {.lex_state = 52, .external_lex_state = 4},
  [333] = {.lex_state = 52, .external_lex_state = 4},
  [334] = {.lex_state = 52, .external_lex_state = 4},
  [335] = {.lex_state = 52, .external_lex_state = 4},
  [336] = {.lex_state = 52, .external_lex_state = 4},
  [337] = {.lex_state = 52, .external_lex_state = 4},
  [338] = {.lex_state = 52, .external_lex_state = 4},
  [339] = {.lex_state = 52, .external_lex_state = 4},
  [340] = {.lex_state = 52, .external_lex_state = 4},
  [341] = {.lex_state = 52, .external_lex_state = 4},
  [342] = {.lex_state = 52, .external_lex_state = 4},
  [343] = {.lex_state = 52, .external_lex_state = 4},
  [344] = {.lex_state = 52, .external_lex_state = 4},
  [345] = {.lex_state = 52, .external_lex_state = 4},
  [346] = {.lex_state = 52, .external_lex_state = 4},
  [347] = {.lex_state = 52, .external_lex_state = 4},
  [348] = {.lex_state = 52, .external_lex_state = 4},
  [349] = {.lex_state = 52, .external_lex_state = 4},
  [350] = {.lex_state = 52, .external_lex_state = 4},
  [351] = {.lex_state = 52, .external_lex_state = 4},
  [352] = {.lex_state = 52, .external_lex_state = 4},
  [353] = {.lex_state = 52, .external_lex_state = 4},
  [354] = {.lex_state = 52, .external_lex_state = 4},
  [355] = {.lex_state = 52, .external_lex_state = 4},
  [356] = {.lex_state = 52, .external_lex_state = 4},
  [357] = {.lex_state = 52, .external_lex_state = 4},
  [358] = {.lex_state = 52, .external_lex_state = 4},
  [359] = {.lex_state = 52, .external_lex_state = 4},
  [360] = {.lex_state = 52, .external_lex_state = 4},
  [361] = {.lex_state = 52, .external_lex_state = 4},
  [362] = {.lex_state = 52, .external_lex_state = 4},
  [363] = {.lex_state = 52, .external_lex_state = 4},
  [364] = {.lex_state = 52, .external_lex_state = 4},
  [365] = {.lex_state = 52, .external_lex_state = 4},
  [366] = {.lex_state = 52, .external_lex_state = 4},
  [367] = {.lex_state = 52, .external_lex_state = 4},
  [368] = {.lex_state = 52, .external_lex_state = 4},
  [369] = {.lex_state = 52, .external_lex_state = 4},
  [370] = {.lex_state = 52, .external_lex_state = 4},
  [371] = {.lex_state = 52, .external_lex_state = 4},
  [372] = {.lex_state = 52, .external_lex_state = 4},
  [373] = {.lex_state = 52, .external_lex_state = 4},
  [374] = {.lex_state = 52, .external_lex_state = 4},
  [375] = {.lex_state = 52, .external_lex_state = 4},
  [376] = {.lex_state = 52, .external_lex_state = 4},
  [377] = {.lex_state = 52, .external_lex_state = 4},
  [378] = {.lex_state = 52, .external_lex_state = 4},
  [379] = {.lex_state = 52, .external_lex_state = 4},
  [380] = {.lex_state = 52, .external_lex_state = 4},
  [381] = {.lex_state = 52, .external_lex_state = 4},
  [382] = {.lex_state = 52, .external_lex_state = 4},
  [383] = {.lex_state = 52, .external_lex_state = 4},
  [384] = {.lex_state = 52, .external_lex_state = 4},
  [385] = {.lex_state = 52, .external_lex_state = 4},
  [386] = {.lex_state = 52, .external_lex_state = 4},
  [387] = {.lex_state = 52, .external_lex_state = 4},
  [388] = {.lex_state = 52, .external_lex_state = 6},
  [389] = {.lex_state = 52, .external_lex_state = 4},
  [390] = {.lex_state = 52, .external_lex_state = 4},
  [391] = {.lex_state = 52, .external_lex_state = 4},
  [392] = {.lex_state = 52, .external_lex_state = 4},
  [393] = {.lex_state = 52, .external_lex_state = 4},
  [394] = {.lex_state = 52, .external_lex_state = 4},
  [395] = {.lex_state = 52, .external_lex_state = 4},
  [396] = {.lex_state = 52, .external_lex_state = 4},
  [397] = {.lex_state = 52, .external_lex_state = 4},
  [398] = {.lex_state = 110, .external_lex_state = 3},
  [399] = {.lex_state = 52, .external_lex_state = 4},
  [400] = {.lex_state = 52, .external_lex_state = 4},
  [401] = {.lex_state = 52, .external_lex_state = 4},
  [402] = {.lex_state = 52, .external_lex_state = 4},
  [403] = {.lex_state = 52, .external_lex_state = 4},
  [404] = {.lex_state = 52, .external_lex_state = 4},
  [405] = {.lex_state = 52, .external_lex_state = 4},
  [406] = {.lex_state = 52, .external_lex_state = 4},
  [407] = {.lex_state = 52, .external_lex_state = 4},
  [408] = {.lex_state = 55, .external_lex_state = 4},
  [409] = {.lex_state = 52, .external_lex_state = 4},
  [410] = {.lex_state = 52, .external_lex_state = 4},
  [411] = {.lex_state = 52, .external_lex_state = 4},
  [412] = {.lex_state = 55, .external_lex_state = 4},
  [413] = {.lex_state = 52, .external_lex_state = 4},
  [414] = {.lex_state = 55, .external_lex_state = 4},
  [415] = {.lex_state = 55, .external_lex_state = 4},
  [416] = {.lex_state = 55, .external_lex_state = 4},
  [417] = {.lex_state = 52, .external_lex_state = 4},
  [418] = {.lex_state = 52, .external_lex_state = 4},
  [419] = {.lex_state = 55, .external_lex_state = 4},
  [420] = {.lex_state = 52, .external_lex_state = 4},
  [421] = {.lex_state = 55, .external_lex_state = 4},
  [422] = {.lex_state = 52, .external_lex_state = 4},
  [423] = {.lex_state = 52, .external_lex_state = 4},
  [424] = {.lex_state = 52, .external_lex_state = 4},
  [425] = {.lex_state = 52, .external_lex_state = 4},
  [426] = {.lex_state = 52, .external_lex_state = 7},
  [427] = {.lex_state = 52, .external_lex_state = 4},
  [428] = {.lex_state = 52, .external_lex_state = 7},
  [429] = {.lex_state = 52, .external_lex_state = 4},
  [430] = {.lex_state = 52, .external_lex_state = 7},
  [431] = {.lex_state = 52, .external_lex_state = 4},
  [432] = {.lex_state = 52, .external_lex_state = 4},
  [433] = {.lex_state = 52, .external_lex_state = 4},
  [434] = {.lex_state = 52, .external_lex_state = 4},
  [435] = {.lex_state = 52, .external_lex_state = 4},
  [436] = {.lex_state = 52, .external_lex_state = 7},
  [437] = {.lex_state = 52, .external_lex_state = 7},
  [438] = {.lex_state = 52, .external_lex_state = 7},
  [439] = {.lex_state = 52, .external_lex_state = 4},
  [440] = {.lex_state = 52, .external_lex_state = 4},
  [441] = {.lex_state = 52, .external_lex_state = 4},
  [442] = {.lex_state = 52, .external_lex_state = 4},
  [443] = {.lex_state = 52, .external_lex_state = 4},
  [444] = {.lex_state = 52, .external_lex_state = 4},
  [445] = {.lex_state = 110, .external_lex_state = 3},
  [446] = {.lex_state = 52, .external_lex_state = 4},
  [447] = {.lex_state = 52, .external_lex_state = 4},
  [448] = {.lex_state = 52, .external_lex_state = 4},
  [449] = {.lex_state = 52, .external_lex_state = 4},
  [450] = {.lex_state = 52, .external_lex_state = 7},
  [451] = {.lex_state = 52, .external_lex_state = 7},
  [452] = {.lex_state = 52, .external_lex_state = 4},
  [453] = {.lex_state = 52, .external_lex_state = 4},
  [454] = {.lex_state = 52, .external_lex_state = 4},
  [455] = {.lex_state = 52, .external_lex_state = 4},
  [456] = {.lex_state = 52, .external_lex_state = 4},
  [457] = {.lex_state = 52, .external_lex_state = 4},
  [458] = {.lex_state = 52, .external_lex_state = 4},
  [459] = {.lex_state = 52, .external_lex_state = 4},
  [460] = {.lex_state = 52, .external_lex_state = 4},
  [461] = {.lex_state = 52, .external_lex_state = 4},
  [462] = {.lex_state = 52, .external_lex_state = 4},
  [463] = {.lex_state = 52, .external_lex_state = 4},
  [464] = {.lex_state = 52, .external_lex_state = 4},
  [465] = {.lex_state = 52, .external_lex_state = 4},
  [466] = {.lex_state = 52, .external_lex_state = 4},
  [467] = {.lex_state = 52, .external_lex_state = 4},
  [468] = {.lex_state = 52, .external_lex_state = 4},
  [469] = {.lex_state = 52, .external_lex_state = 4},
  [470] = {.lex_state = 52, .external_lex_state = 4},
  [471] = {.lex_state = 52, .external_lex_state = 7},
  [472] = {.lex_state = 52, .external_lex_state = 4},
  [473] = {.lex_state = 52, .external_lex_state = 7},
  [474] = {.lex_state = 52, .external_lex_state = 7},
  [475] = {.lex_state = 52, .external_lex_state = 4},
  [476] = {.lex_state = 52, .external_lex_state = 7},
  [477] = {.lex_state = 52, .external_lex_state = 7},
  [478] = {.lex_state = 52, .external_lex_state = 4},
  [479] = {.lex_state = 52, .external_lex_state = 4},
  [480] = {.lex_state = 52, .external_lex_state = 4},
  [481] = {.lex_state = 52, .external_lex_state = 4},
  [482] = {.lex_state = 52, .external_lex_state = 7},
  [483] = {.lex_state = 52, .external_lex_state = 4},
  [484] = {.lex_state = 52, .external_lex_state = 7},
  [485] = {.lex_state = 52, .external_lex_state = 4},
  [486] = {.lex_state = 52, .external_lex_state = 4},
  [487] = {.lex_state = 52, .external_lex_state = 4},
  [488] = {.lex_state = 52, .external_lex_state = 4},
  [489] = {.lex_state = 52, .external_lex_state = 4},
  [490] = {.lex_state = 52, .external_lex_state = 4},
  [491] = {.lex_state = 52, .external_lex_state = 4},
  [492] = {.lex_state = 52, .external_lex_state = 7},
  [493] = {.lex_state = 52, .external_lex_state = 4},
  [494] = {.lex_state = 52, .external_lex_state = 4},
  [495] = {.lex_state = 52, .external_lex_state = 4},
  [496] = {.lex_state = 52, .external_lex_state = 4},
  [497] = {.lex_state = 52, .external_lex_state = 4},
  [498] = {.lex_state = 52, .external_lex_state = 7},
  [499] = {.lex_state = 52, .external_lex_state = 4},
  [500] = {.lex_state = 52, .external_lex_state = 4},
  [501] = {.lex_state = 52, .external_lex_state = 7},
  [502] = {.lex_state = 52, .external_lex_state = 4},
  [503] = {.lex_state = 52, .external_lex_state = 7},
  [504] = {.lex_state = 52, .external_lex_state = 4},
  [505] = {.lex_state = 52, .external_lex_state = 4},
  [506] = {.lex_state = 52, .external_lex_state = 4},
  [507] = {.lex_state = 52, .external_lex_state = 4},
  [508] = {.lex_state = 52, .external_lex_state = 4},
  [509] = {.lex_state = 52, .external_lex_state = 4},
  [510] = {.lex_state = 52, .external_lex_state = 4},
  [511] = {.lex_state = 52, .external_lex_state = 7},
  [512] = {.lex_state = 52, .external_lex_state = 4},
  [513] = {.lex_state = 52, .external_lex_state = 4},
  [514] = {.lex_state = 52, .external_lex_state = 4},
  [515] = {.lex_state = 52, .external_lex_state = 4},
  [516] = {.lex_state = 52, .external_lex_state = 4},
  [517] = {.lex_state = 52, .external_lex_state = 4},
  [518] = {.lex_state = 52, .external_lex_state = 4},
  [519] = {.lex_state = 52, .external_lex_state = 4},
  [520] = {.lex_state = 52, .external_lex_state = 4},
  [521] = {.lex_state = 52, .external_lex_state = 7},
  [522] = {.lex_state = 52, .external_lex_state = 4},
  [523] = {.lex_state = 52, .external_lex_state = 4},
  [524] = {.lex_state = 52, .external_lex_state = 4},
  [525] = {.lex_state = 52, .external_lex_state = 4},
  [526] = {.lex_state = 52, .external_lex_state = 4},
  [527] = {.lex_state = 52, .external_lex_state = 4},
  [528] = {.lex_state = 52, .external_lex_state = 4},
  [529] = {.lex_state = 52, .external_lex_state = 4},
  [530] = {.lex_state = 52, .external_lex_state = 4},
  [531] = {.lex_state = 52, .external_lex_state = 4},
  [532] = {.lex_state = 52, .external_lex_state = 4},
  [533] = {.lex_state = 52, .external_lex_state = 4},
  [534] = {.lex_state = 52, .external_lex_state = 4},
  [535] = {.lex_state = 52, .external_lex_state = 4},
  [536] = {.lex_state = 52, .external_lex_state = 4},
  [537] = {.lex_state = 52, .external_lex_state = 4},
  [538] = {.lex_state = 52, .external_lex_state = 4},
  [539] = {.lex_state = 52, .external_lex_state = 4},
  [540] = {.lex_state = 52, .external_lex_state = 4},
  [541] = {.lex_state = 52, .external_lex_state = 4},
  [542] = {.lex_state = 52, .external_lex_state = 4},
  [543] = {.lex_state = 52, .external_lex_state = 4},
  [544] = {.lex_state = 52, .external_lex_state = 4},
  [545] = {.lex_state = 52, .external_lex_state = 4},
  [546] = {.lex_state = 52, .external_lex_state = 4},
  [547] = {.lex_state = 52, .external_lex_state = 4},
  [548] = {.lex_state = 52, .external_lex_state = 4},
  [549] = {.lex_state = 52, .external_lex_state = 4},
  [550] = {.lex_state = 52, .external_lex_state = 4},
  [551] = {.lex_state = 52, .external_lex_state = 4},
  [552] = {.lex_state = 52, .external_lex_state = 4},
  [553] = {.lex_state = 52, .external_lex_state = 4},
  [554] = {.lex_state = 52, .external_lex_state = 4},
  [555] = {.lex_state = 52, .external_lex_state = 4},
  [556] = {.lex_state = 52, .external_lex_state = 4},
  [557] = {.lex_state = 52, .external_lex_state = 4},
  [558] = {.lex_state = 52, .external_lex_state = 4},
  [559] = {.lex_state = 52, .external_lex_state = 4},
  [560] = {.lex_state = 52, .external_lex_state = 4},
  [561] = {.lex_state = 52, .external_lex_state = 4},
  [562] = {.lex_state = 52, .external_lex_state = 4},
  [563] = {.lex_state = 52, .external_lex_state = 4},
  [564] = {.lex_state = 52, .external_lex_state = 4},
  [565] = {.lex_state = 52, .external_lex_state = 4},
  [566] = {.lex_state = 52, .external_lex_state = 4},
  [567] = {.lex_state = 52, .external_lex_state = 4},
  [568] = {.lex_state = 52, .external_lex_state = 4},
  [569] = {.lex_state = 52, .external_lex_state = 4},
  [570] = {.lex_state = 52, .external_lex_state = 4},
  [571] = {.lex_state = 52, .external_lex_state = 4},
  [572] = {.lex_state = 52, .external_lex_state = 4},
  [573] = {.lex_state = 52, .external_lex_state = 4},
  [574] = {.lex_state = 52, .external_lex_state = 4},
  [575] = {.lex_state = 52, .external_lex_state = 4},
  [576] = {.lex_state = 52, .external_lex_state = 4},
  [577] = {.lex_state = 52, .external_lex_state = 4},
  [578] = {.lex_state = 52, .external_lex_state = 4},
  [579] = {.lex_state = 52, .external_lex_state = 4},
  [580] = {.lex_state = 52, .external_lex_state = 4},
  [581] = {.lex_state = 52, .external_lex_state = 4},
  [582] = {.lex_state = 52, .external_lex_state = 4},
  [583] = {.lex_state = 52, .external_lex_state = 4},
  [584] = {.lex_state = 52, .external_lex_state = 4},
  [585] = {.lex_state = 52, .external_lex_state = 4},
  [586] = {.lex_state = 52, .external_lex_state = 4},
  [587] = {.lex_state = 52, .external_lex_state = 4},
  [588] = {.lex_state = 52, .external_lex_state = 4},
  [589] = {.lex_state = 52, .external_lex_state = 4},
  [590] = {.lex_state = 52, .external_lex_state = 4},
  [591] = {.lex_state = 52, .external_lex_state = 4},
  [592] = {.lex_state = 52, .external_lex_state = 4},
  [593] = {.lex_state = 52, .external_lex_state = 4},
  [594] = {.lex_state = 52, .external_lex_state = 4},
  [595] = {.lex_state = 52, .external_lex_state = 4},
  [596] = {.lex_state = 52, .external_lex_state = 4},
  [597] = {.lex_state = 52, .external_lex_state = 4},
  [598] = {.lex_state = 52, .external_lex_state = 4},
  [599] = {.lex_state = 52, .external_lex_state = 4},
  [600] = {.lex_state = 52, .external_lex_state = 4},
  [601] = {.lex_state = 52, .external_lex_state = 4},
  [602] = {.lex_state = 52, .external_lex_state = 4},
  [603] = {.lex_state = 52, .external_lex_state = 4},
  [604] = {.lex_state = 52, .external_lex_state = 4},
  [605] = {.lex_state = 52, .external_lex_state = 4},
  [606] = {.lex_state = 52, .external_lex_state = 4},
  [607] = {.lex_state = 52, .external_lex_state = 4},
  [608] = {.lex_state = 52, .external_lex_state = 4},
  [609] = {.lex_state = 52, .external_lex_state = 4},
  [610] = {.lex_state = 52, .external_lex_state = 4},
  [611] = {.lex_state = 52, .external_lex_state = 4},
  [612] = {.lex_state = 52, .external_lex_state = 4},
  [613] = {.lex_state = 52, .external_lex_state = 4},
  [614] = {.lex_state = 52, .external_lex_state = 4},
  [615] = {.lex_state = 52, .external_lex_state = 4},
  [616] = {.lex_state = 52, .external_lex_state = 4},
  [617] = {.lex_state = 52, .external_lex_state = 4},
  [618] = {.lex_state = 52, .external_lex_state = 4},
  [619] = {.lex_state = 52, .external_lex_state = 4},
  [620] = {.lex_state = 52, .external_lex_state = 4},
  [621] = {.lex_state = 52, .external_lex_state = 4},
  [622] = {.lex_state = 52, .external_lex_state = 4},
  [623] = {.lex_state = 52, .external_lex_state = 4},
  [624] = {.lex_state = 52, .external_lex_state = 4},
  [625] = {.lex_state = 52, .external_lex_state = 4},
  [626] = {.lex_state = 52, .external_lex_state = 4},
  [627] = {.lex_state = 52, .external_lex_state = 4},
  [628] = {.lex_state = 52, .external_lex_state = 4},
  [629] = {.lex_state = 52, .external_lex_state = 4},
  [630] = {.lex_state = 52, .external_lex_state = 4},
  [631] = {.lex_state = 52, .external_lex_state = 4},
  [632] = {.lex_state = 52, .external_lex_state = 4},
  [633] = {.lex_state = 52, .external_lex_state = 4},
  [634] = {.lex_state = 52, .external_lex_state = 4},
  [635] = {.lex_state = 52, .external_lex_state = 4},
  [636] = {.lex_state = 52, .external_lex_state = 4},
  [637] = {.lex_state = 52, .external_lex_state = 4},
  [638] = {.lex_state = 52, .external_lex_state = 4},
  [639] = {.lex_state = 52, .external_lex_state = 4},
  [640] = {.lex_state = 52, .external_lex_state = 4},
  [641] = {.lex_state = 52, .external_lex_state = 4},
  [642] = {.lex_state = 52, .external_lex_state = 4},
  [643] = {.lex_state = 52, .external_lex_state = 4},
  [644] = {.lex_state = 52, .external_lex_state = 4},
  [645] = {.lex_state = 52, .external_lex_state = 4},
  [646] = {.lex_state = 52, .external_lex_state = 4},
  [647] = {.lex_state = 52, .external_lex_state = 4},
  [648] = {.lex_state = 52, .external_lex_state = 4},
  [649] = {.lex_state = 52, .external_lex_state = 4},
  [650] = {.lex_state = 52, .external_lex_state = 4},
  [651] = {.lex_state = 52, .external_lex_state = 4},
  [652] = {.lex_state = 52, .external_lex_state = 4},
  [653] = {.lex_state = 52, .external_lex_state = 4},
  [654] = {.lex_state = 52, .external_lex_state = 4},
  [655] = {.lex_state = 52, .external_lex_state = 4},
  [656] = {.lex_state = 52, .external_lex_state = 4},
  [657] = {.lex_state = 52, .external_lex_state = 4},
  [658] = {.lex_state = 52, .external_lex_state = 4},
  [659] = {.lex_state = 52, .external_lex_state = 4},
  [660] = {.lex_state = 52, .external_lex_state = 4},
  [661] = {.lex_state = 52, .external_lex_state = 4},
  [662] = {.lex_state = 52, .external_lex_state = 4},
  [663] = {.lex_state = 52, .external_lex_state = 4},
  [664] = {.lex_state = 52, .external_lex_state = 4},
  [665] = {.lex_state = 52, .external_lex_state = 4},
  [666] = {.lex_state = 52, .external_lex_state = 4},
  [667] = {.lex_state = 52, .external_lex_state = 4},
  [668] = {.lex_state = 52, .external_lex_state = 4},
  [669] = {.lex_state = 52, .external_lex_state = 4},
  [670] = {.lex_state = 52, .external_lex_state = 4},
  [671] = {.lex_state = 52, .external_lex_state = 4},
  [672] = {.lex_state = 52, .external_lex_state = 4},
  [673] = {.lex_state = 52, .external_lex_state = 4},
  [674] = {.lex_state = 52, .external_lex_state = 4},
  [675] = {.lex_state = 52, .external_lex_state = 4},
  [676] = {.lex_state = 52, .external_lex_state = 4},
  [677] = {.lex_state = 52, .external_lex_state = 4},
  [678] = {.lex_state = 52, .external_lex_state = 4},
  [679] = {.lex_state = 52, .external_lex_state = 4},
  [680] = {.lex_state = 52, .external_lex_state = 4},
  [681] = {.lex_state = 52, .external_lex_state = 4},
  [682] = {.lex_state = 52, .external_lex_state = 4},
  [683] = {.lex_state = 52, .external_lex_state = 4},
  [684] = {.lex_state = 52, .external_lex_state = 4},
  [685] = {.lex_state = 1, .external_lex_state = 8},
  [686] = {.lex_state = 1, .external_lex_state = 8},
  [687] = {.lex_state = 1, .external_lex_state = 8},
  [688] = {.lex_state = 1, .external_lex_state = 8},
  [689] = {.lex_state = 1, .external_lex_state = 8},
  [690] = {.lex_state = 1, .external_lex_state = 8},
  [691] = {.lex_state = 1, .external_lex_state = 8},
  [692] = {.lex_state = 1, .external_lex_state = 8},
  [693] = {.lex_state = 1, .external_lex_state = 8},
  [694] = {.lex_state = 1, .external_lex_state = 8},
  [695] = {.lex_state = 1, .external_lex_state = 9},
  [696] = {.lex_state = 1, .external_lex_state = 9},
  [697] = {.lex_state = 1, .external_lex_state = 9},
  [698] = {.lex_state = 1, .external_lex_state = 3},
  [699] = {.lex_state = 1, .external_lex_state = 3},
  [700] = {.lex_state = 1, .external_lex_state = 3},
  [701] = {.lex_state = 1, .external_lex_state = 9},
  [702] = {.lex_state = 1, .external_lex_state = 9},
  [703] = {.lex_state = 1, .external_lex_state = 9},
  [704] = {.lex_state = 1, .external_lex_state = 9},
  [705] = {.lex_state = 1, .external_lex_state = 9},
  [706] = {.lex_state = 1, .external_lex_state = 9},
  [707] = {.lex_state = 1, .external_lex_state = 9},
  [708] = {.lex_state = 1, .external_lex_state = 3},
  [709] = {.lex_state = 1, .external_lex_state = 9},
  [710] = {.lex_state = 1, .external_lex_state = 9},
  [711] = {.lex_state = 1, .external_lex_state = 9},
  [712] = {.lex_state = 1, .external_lex_state = 9},
  [713] = {.lex_state = 1, .external_lex_state = 9},
  [714] = {.lex_state = 1, .external_lex_state = 9},
  [715] = {.lex_state = 1, .external_lex_state = 3},
  [716] = {.lex_state = 1, .external_lex_state = 9},
  [717] = {.lex_state = 1, .external_lex_state = 9},
  [718] = {.lex_state = 1, .external_lex_state = 9},
  [719] = {.lex_state = 1, .external_lex_state = 9},
  [720] = {.lex_state = 1, .external_lex_state = 9},
  [721] = {.lex_state = 1, .external_lex_state = 9},
  [722] = {.lex_state = 1, .external_lex_state = 9},
  [723] = {.lex_state = 1, .external_lex_state = 9},
  [724] = {.lex_state = 1, .external_lex_state = 9},
  [725] = {.lex_state = 1, .external_lex_state = 3},
  [726] = {.lex_state = 1, .external_lex_state = 3},
  [727] = {.lex_state = 1, .external_lex_state = 3},
  [728] = {.lex_state = 1, .external_lex_state = 3},
  [729] = {.lex_state = 1, .external_lex_state = 3},
  [730] = {.lex_state = 1, .external_lex_state = 9},
  [731] = {.lex_state = 1, .external_lex_state = 3},
  [732] = {.lex_state = 1, .external_lex_state = 3},
  [733] = {.lex_state = 1, .external_lex_state = 3},
  [734] = {.lex_state = 1, .external_lex_state = 3},
  [735] = {.lex_state = 1, .external_lex_state = 3},
  [736] = {.lex_state = 1, .external_lex_state = 3},
  [737] = {.lex_state = 1, .external_lex_state = 3},
  [738] = {.lex_state = 1, .external_lex_state = 9},
  [739] = {.lex_state = 1, .external_lex_state = 9},
  [740] = {.lex_state = 1, .external_lex_state = 9},
  [741] = {.lex_state = 1, .external_lex_state = 3},
  [742] = {.lex_state = 1, .external_lex_state = 9},
  [743] = {.lex_state = 1, .external_lex_state = 9},
  [744] = {.lex_state = 1, .external_lex_state = 9},
  [745] = {.lex_state = 1, .external_lex_state = 9},
  [746] = {.lex_state = 1, .external_lex_state = 9},
  [747] = {.lex_state = 1, .external_lex_state = 9},
  [748] = {.lex_state = 1, .external_lex_state = 9},
  [749] = {.lex_state = 1, .external_lex_state = 9},
  [750] = {.lex_state = 1, .external_lex_state = 9},
  [751] = {.lex_state = 1, .external_lex_state = 9},
  [752] = {.lex_state = 1, .external_lex_state = 9},
  [753] = {.lex_state = 1, .external_lex_state = 9},
  [754] = {.lex_state = 1, .external_lex_state = 9},
  [755] = {.lex_state = 1, .external_lex_state = 9},
  [756] = {.lex_state = 1, .external_lex_state = 9},
  [757] = {.lex_state = 1, .external_lex_state = 9},
  [758] = {.lex_state = 1, .external_lex_state = 9},
  [759] = {.lex_state = 1, .external_lex_state = 9},
  [760] = {.lex_state = 1, .external_lex_state = 9},
  [761] = {.lex_state = 1, .external_lex_state = 9},
  [762] = {.lex_state = 1, .external_lex_state = 9},
  [763] = {.lex_state = 1, .external_lex_state = 9},
  [764] = {.lex_state = 1, .external_lex_state = 9},
  [765] = {.lex_state = 1, .external_lex_state = 9},
  [766] = {.lex_state = 1, .external_lex_state = 9},
  [767] = {.lex_state = 1, .external_lex_state = 9},
  [768] = {.lex_state = 1, .external_lex_state = 9},
  [769] = {.lex_state = 1, .external_lex_state = 8},
  [770] = {.lex_state = 1, .external_lex_state = 8},
  [771] = {.lex_state = 1, .external_lex_state = 8},
  [772] = {.lex_state = 1, .external_lex_state = 8},
  [773] = {.lex_state = 1, .external_lex_state = 8},
  [774] = {.lex_state = 1, .external_lex_state = 8},
  [775] = {.lex_state = 1, .external_lex_state = 8},
  [776] = {.lex_state = 1, .external_lex_state = 8},
  [777] = {.lex_state = 1, .external_lex_state = 8},
  [778] = {.lex_state = 1, .external_lex_state = 8},
  [779] = {.lex_state = 1, .external_lex_state = 3},
  [780] = {.lex_state = 1, .external_lex_state = 3},
  [781] = {.lex_state = 1, .external_lex_state = 3},
  [782] = {.lex_state = 1, .external_lex_state = 3},
  [783] = {.lex_state = 1, .external_lex_state = 3},
  [784] = {.lex_state = 1, .external_lex_state = 3},
  [785] = {.lex_state = 1, .external_lex_state = 3},
  [786] = {.lex_state = 1, .external_lex_state = 3},
  [787] = {.lex_state = 1, .external_lex_state = 3},
  [788] = {.lex_state = 1, .external_lex_state = 3},
  [789] = {.lex_state = 1, .external_lex_state = 3},
  [790] = {.lex_state = 1, .external_lex_state = 3},
  [791] = {.lex_state = 1, .external_lex_state = 3},
  [792] = {.lex_state = 1, .external_lex_state = 3},
  [793] = {.lex_state = 1, .external_lex_state = 3},
  [794] = {.lex_state = 1, .external_lex_state = 3},
  [795] = {.lex_state = 1, .external_lex_state = 10},
  [796] = {.lex_state = 1, .external_lex_state = 10},
  [797] = {.lex_state = 1, .external_lex_state = 10},
  [798] = {.lex_state = 1, .external_lex_state = 10},
  [799] = {.lex_state = 1, .external_lex_state = 10},
  [800] = {.lex_state = 1, .external_lex_state = 10},
  [801] = {.lex_state = 1, .external_lex_state = 10},
  [802] = {.lex_state = 1, .external_lex_state = 10},
  [803] = {.lex_state = 1, .external_lex_state = 10},
  [804] = {.lex_state = 1, .external_lex_state = 10},
  [805] = {.lex_state = 1, .external_lex_state = 4},
  [806] = {.lex_state = 1, .external_lex_state = 4},
  [807] = {.lex_state = 1, .external_lex_state = 4},
  [808] = {.lex_state = 1, .external_lex_state = 4},
  [809] = {.lex_state = 1, .external_lex_state = 4},
  [810] = {.lex_state = 1, .external_lex_state = 4},
  [811] = {.lex_state = 1, .external_lex_state = 4},
  [812] = {.lex_state = 1, .external_lex_state = 4},
  [813] = {.lex_state = 1, .external_lex_state = 4},
  [814] = {.lex_state = 1, .external_lex_state = 4},
  [815] = {.lex_state = 1, .external_lex_state = 4},
  [816] = {.lex_state = 1, .external_lex_state = 4},
  [817] = {.lex_state = 1, .external_lex_state = 4},
  [818] = {.lex_state = 1, .external_lex_state = 4},
  [819] = {.lex_state = 1, .external_lex_state = 4},
  [820] = {.lex_state = 1, .external_lex_state = 4},
  [821] = {.lex_state = 51, .external_lex_state = 10},
  [822] = {.lex_state = 51, .external_lex_state = 10},
  [823] = {.lex_state = 51, .external_lex_state = 10},
  [824] = {.lex_state = 51, .external_lex_state = 10},
  [825] = {.lex_state = 51, .external_lex_state = 10},
  [826] = {.lex_state = 51, .external_lex_state = 10},
  [827] = {.lex_state = 51, .external_lex_state = 10},
  [828] = {.lex_state = 51, .external_lex_state = 10},
  [829] = {.lex_state = 51, .external_lex_state = 10},
  [830] = {.lex_state = 51, .external_lex_state = 10},
  [831] = {.lex_state = 51, .external_lex_state = 4},
  [832] = {.lex_state = 51, .external_lex_state = 4},
  [833] = {.lex_state = 51, .external_lex_state = 4},
  [834] = {.lex_state = 51, .external_lex_state = 11},
  [835] = {.lex_state = 51, .external_lex_state = 4},
  [836] = {.lex_state = 51, .external_lex_state = 10},
  [837] = {.lex_state = 51, .external_lex_state = 4},
  [838] = {.lex_state = 51, .external_lex_state = 4},
  [839] = {.lex_state = 51, .external_lex_state = 4},
  [840] = {.lex_state = 51, .external_lex_state = 4},
  [841] = {.lex_state = 51, .external_lex_state = 4},
  [842] = {.lex_state = 51, .external_lex_state = 4},
  [843] = {.lex_state = 51, .external_lex_state = 4},
  [844] = {.lex_state = 51, .external_lex_state = 4},
  [845] = {.lex_state = 51, .external_lex_state = 4},
  [846] = {.lex_state = 51, .external_lex_state = 4},
  [847] = {.lex_state = 51, .external_lex_state = 11},
  [848] = {.lex_state = 51, .external_lex_state = 11},
  [849] = {.lex_state = 51, .external_lex_state = 4},
  [850] = {.lex_state = 51, .external_lex_state = 11},
  [851] = {.lex_state = 51, .external_lex_state = 11},
  [852] = {.lex_state = 51, .external_lex_state = 4},
  [853] = {.lex_state = 51, .external_lex_state = 11},
  [854] = {.lex_state = 51, .external_lex_state = 11},
  [855] = {.lex_state = 51, .external_lex_state = 11},
  [856] = {.lex_state = 51, .external_lex_state = 11},
  [857] = {.lex_state = 51, .external_lex_state = 11},
  [858] = {.lex_state = 51, .external_lex_state = 6},
  [859] = {.lex_state = 51, .external_lex_state = 4},
  [860] = {.lex_state = 51, .external_lex_state = 4},
  [861] = {.lex_state = 51, .external_lex_state = 6},
  [862] = {.lex_state = 51, .external_lex_state = 6},
  [863] = {.lex_state = 51, .external_lex_state = 6},
  [864] = {.lex_state = 51, .external_lex_state = 6},
  [865] = {.lex_state = 51, .external_lex_state = 6},
  [866] = {.lex_state = 51, .external_lex_state = 6},
  [867] = {.lex_state = 51, .external_lex_state = 6},
  [868] = {.lex_state = 51, .external_lex_state = 4},
  [869] = {.lex_state = 51, .external_lex_state = 6},
  [870] = {.lex_state = 51, .external_lex_state = 6},
  [871] = {.lex_state = 51, .external_lex_state = 6},
  [872] = {.lex_state = 51, .external_lex_state = 6},
  [873] = {.lex_state = 51, .external_lex_state = 6},
  [874] = {.lex_state = 51, .external_lex_state = 4},
  [875] = {.lex_state = 51, .external_lex_state = 6},
  [876] = {.lex_state = 51, .external_lex_state = 6},
  [877] = {.lex_state = 51, .external_lex_state = 6},
  [878] = {.lex_state = 51, .external_lex_state = 4},
  [879] = {.lex_state = 51, .external_lex_state = 6},
  [880] = {.lex_state = 111, .external_lex_state = 2},
  [881] = {.lex_state = 111, .external_lex_state = 2},
  [882] = {.lex_state = 112, .external_lex_state = 2},
  [883] = {.lex_state = 112, .external_lex_state = 2},
  [884] = {.lex_state = 112, .external_lex_state = 2},
  [885] = {.lex_state = 111, .external_lex_state = 2},
  [886] = {.lex_state = 111, .external_lex_state = 2},
  [887] = {.lex_state = 112, .external_lex_state = 2},
  [888] = {.lex_state = 111, .external_lex_state = 4},
  [889] = {.lex_state = 112, .external_lex_state = 2},
  [890] = {.lex_state = 112, .external_lex_state = 2},
  [891] = {.lex_state = 111, .external_lex_state = 4},
  [892] = {.lex_state = 112, .external_lex_state = 2},
  [893] = {.lex_state = 112, .external_lex_state = 2},
  [894] = {.lex_state = 112, .external_lex_state = 2},
  [895] = {.lex_state = 112, .external_lex_state = 2},
  [896] = {.lex_state = 112, .external_lex_state = 2},
  [897] = {.lex_state = 112, .external_lex_state = 2},
  [898] = {.lex_state = 112, .external_lex_state = 2},
  [899] = {.lex_state = 112, .external_lex_state = 2},
  [900] = {.lex_state = 112, .external_lex_state = 2},
  [901] = {.lex_state = 112, .external_lex_state = 2},
  [902] = {.lex_state = 112, .external_lex_state = 2},
  [903] = {.lex_state = 112, .external_lex_state = 2},
  [904] = {.lex_state = 112, .external_lex_state = 2},
  [905] = {.lex_state = 112, .external_lex_state = 2},
  [906] = {.lex_state = 112, .external_lex_state = 2},
  [907] = {.lex_state = 112, .external_lex_state = 2},
  [908] = {.lex_state = 112, .external_lex_state = 2},
  [909] = {.lex_state = 112, .external_lex_state = 2},
  [910] = {.lex_state = 112, .external_lex_state = 2},
  [911] = {.lex_state = 112, .external_lex_state = 2},
  [912] = {.lex_state = 112, .external_lex_state = 2},
  [913] = {.lex_state = 112, .external_lex_state = 2},
  [914] = {.lex_state = 112, .external_lex_state = 2},
  [915] = {.lex_state = 112, .external_lex_state = 2},
  [916] = {.lex_state = 112, .external_lex_state = 2},
  [917] = {.lex_state = 112, .external_lex_state = 2},
  [918] = {.lex_state = 112, .external_lex_state = 2},
  [919] = {.lex_state = 112, .external_lex_state = 2},
  [920] = {.lex_state = 112, .external_lex_state = 2},
  [921] = {.lex_state = 112, .external_lex_state = 2},
  [922] = {.lex_state = 112, .external_lex_state = 2},
  [923] = {.lex_state = 112, .external_lex_state = 2},
  [924] = {.lex_state = 112, .external_lex_state = 2},
  [925] = {.lex_state = 112, .external_lex_state = 2},
  [926] = {.lex_state = 112, .external_lex_state = 2},
  [927] = {.lex_state = 112, .external_lex_state = 2},
  [928] = {.lex_state = 112, .external_lex_state = 2},
  [929] = {.lex_state = 112, .external_lex_state = 2},
  [930] = {.lex_state = 112, .external_lex_state = 2},
  [931] = {.lex_state = 112, .external_lex_state = 2},
  [932] = {.lex_state = 112, .external_lex_state = 2},
  [933] = {.lex_state = 112, .external_lex_state = 2},
  [934] = {.lex_state = 112, .external_lex_state = 2},
  [935] = {.lex_state = 112, .external_lex_state = 2},
  [936] = {.lex_state = 112, .external_lex_state = 2},
  [937] = {.lex_state = 112, .external_lex_state = 2},
  [938] = {.lex_state = 112, .external_lex_state = 2},
  [939] = {.lex_state = 112, .external_lex_state = 2},
  [940] = {.lex_state = 112, .external_lex_state = 2},
  [941] = {.lex_state = 112, .external_lex_state = 2},
  [942] = {.lex_state = 112, .external_lex_state = 2},
  [943] = {.lex_state = 112, .external_lex_state = 2},
  [944] = {.lex_state = 112, .external_lex_state = 2},
  [945] = {.lex_state = 112, .external_lex_state = 2},
  [946] = {.lex_state = 112, .external_lex_state = 2},
  [947] = {.lex_state = 112, .external_lex_state = 2},
  [948] = {.lex_state = 112, .external_lex_state = 2},
  [949] = {.lex_state = 112, .external_lex_state = 2},
  [950] = {.lex_state = 112, .external_lex_state = 2},
  [951] = {.lex_state = 112, .external_lex_state = 2},
  [952] = {.lex_state = 112, .external_lex_state = 2},
  [953] = {.lex_state = 112, .external_lex_state = 2},
  [954] = {.lex_state = 112, .external_lex_state = 2},
  [955] = {.lex_state = 112, .external_lex_state = 2},
  [956] = {.lex_state = 112, .external_lex_state = 2},
  [957] = {.lex_state = 112, .external_lex_state = 2},
  [958] = {.lex_state = 112, .external_lex_state = 2},
  [959] = {.lex_state = 112, .external_lex_state = 2},
  [960] = {.lex_state = 112, .external_lex_state = 2},
  [961] = {.lex_state = 112, .external_lex_state = 2},
  [962] = {.lex_state = 112, .external_lex_state = 2},
  [963] = {.lex_state = 112, .external_lex_state = 2},
  [964] = {.lex_state = 112, .external_lex_state = 2},
  [965] = {.lex_state = 112, .external_lex_state = 2},
  [966] = {.lex_state = 112, .external_lex_state = 2},
  [967] = {.lex_state = 112, .external_lex_state = 2},
  [968] = {.lex_state = 112, .external_lex_state = 2},
  [969] = {.lex_state = 112, .external_lex_state = 2},
  [970] = {.lex_state = 112, .external_lex_state = 2},
  [971] = {.lex_state = 112, .external_lex_state = 2},
  [972] = {.lex_state = 112, .external_lex_state = 2},
  [973] = {.lex_state = 112, .external_lex_state = 2},
  [974] = {.lex_state = 112, .external_lex_state = 2},
  [975] = {.lex_state = 112, .external_lex_state = 2},
  [976] = {.lex_state = 112, .external_lex_state = 2},
  [977] = {.lex_state = 112, .external_lex_state = 2},
  [978] = {.lex_state = 112, .external_lex_state = 2},
  [979] = {.lex_state = 112, .external_lex_state = 2},
  [980] = {.lex_state = 112, .external_lex_state = 2},
  [981] = {.lex_state = 112, .external_lex_state = 2},
  [982] = {.lex_state = 112, .external_lex_state = 2},
  [983] = {.lex_state = 112, .external_lex_state = 2},
  [984] = {.lex_state = 54, .external_lex_state = 5},
  [985] = {.lex_state = 112, .external_lex_state = 4},
  [986] = {.lex_state = 111, .external_lex_state = 4},
  [987] = {.lex_state = 112, .external_lex_state = 4},
  [988] = {.lex_state = 112, .external_lex_state = 4},
  [989] = {.lex_state = 111, .external_lex_state = 4},
  [990] = {.lex_state = 112, .external_lex_state = 4},
  [991] = {.lex_state = 112, .external_lex_state = 4},
  [992] = {.lex_state = 112, .external_lex_state = 4},
  [993] = {.lex_state = 112, .external_lex_state = 4},
  [994] = {.lex_state = 112, .external_lex_state = 4},
  [995] = {.lex_state = 112, .external_lex_state = 4},
  [996] = {.lex_state = 112, .external_lex_state = 4},
  [997] = {.lex_state = 112, .external_lex_state = 4},
  [998] = {.lex_state = 112, .external_lex_state = 4},
  [999] = {.lex_state = 112, .external_lex_state = 4},
  [1000] = {.lex_state = 112, .external_lex_state = 4},
  [1001] = {.lex_state = 112, .external_lex_state = 4},
  [1002] = {.lex_state = 112, .external_lex_state = 4},
  [1003] = {.lex_state = 112, .external_lex_state = 4},
  [1004] = {.lex_state = 112, .external_lex_state = 4},
  [1005] = {.lex_state = 112, .external_lex_state = 4},
  [1006] = {.lex_state = 112, .external_lex_state = 4},
  [1007] = {.lex_state = 112, .external_lex_state = 4},
  [1008] = {.lex_state = 112, .external_lex_state = 4},
  [1009] = {.lex_state = 112, .external_lex_state = 4},
  [1010] = {.lex_state = 112, .external_lex_state = 4},
  [1011] = {.lex_state = 112, .external_lex_state = 4},
  [1012] = {.lex_state = 112, .external_lex_state = 4},
  [1013] = {.lex_state = 112, .external_lex_state = 4},
  [1014] = {.lex_state = 112, .external_lex_state = 4},
  [1015] = {.lex_state = 112, .external_lex_state = 4},
  [1016] = {.lex_state = 112, .external_lex_state = 4},
  [1017] = {.lex_state = 112, .external_lex_state = 4},
  [1018] = {.lex_state = 112, .external_lex_state = 4},
  [1019] = {.lex_state = 112, .external_lex_state = 4},
  [1020] = {.lex_state = 112, .external_lex_state = 4},
  [1021] = {.lex_state = 112, .external_lex_state = 4},
  [1022] = {.lex_state = 112, .external_lex_state = 4},
  [1023] = {.lex_state = 112, .external_lex_state = 4},
  [1024] = {.lex_state = 112, .external_lex_state = 4},
  [1025] = {.lex_state = 112, .external_lex_state = 4},
  [1026] = {.lex_state = 112, .external_lex_state = 4},
  [1027] = {.lex_state = 112, .external_lex_state = 4},
  [1028] = {.lex_state = 112, .external_lex_state = 4},
  [1029] = {.lex_state = 112, .external_lex_state = 4},
  [1030] = {.lex_state = 112, .external_lex_state = 4},
  [1031] = {.lex_state = 112, .external_lex_state = 4},
  [1032] = {.lex_state = 112, .external_lex_state = 4},
  [1033] = {.lex_state = 112, .external_lex_state = 4},
  [1034] = {.lex_state = 112, .external_lex_state = 4},
  [1035] = {.lex_state = 112, .external_lex_state = 4},
  [1036] = {.lex_state = 112, .external_lex_state = 4},
  [1037] = {.lex_state = 112, .external_lex_state = 4},
  [1038] = {.lex_state = 112, .external_lex_state = 4},
  [1039] = {.lex_state = 112, .external_lex_state = 4},
  [1040] = {.lex_state = 112, .external_lex_state = 4},
  [1041] = {.lex_state = 112, .external_lex_state = 4},
  [1042] = {.lex_state = 112, .external_lex_state = 4},
  [1043] = {.lex_state = 112, .external_lex_state = 4},
  [1044] = {.lex_state = 112, .external_lex_state = 4},
  [1045] = {.lex_state = 112, .external_lex_state = 4},
  [1046] = {.lex_state = 112, .external_lex_state = 4},
  [1047] = {.lex_state = 112, .external_lex_state = 4},
  [1048] = {.lex_state = 112, .external_lex_state = 4},
  [1049] = {.lex_state = 112, .external_lex_state = 4},
  [1050] = {.lex_state = 112, .external_lex_state = 4},
  [1051] = {.lex_state = 112, .external_lex_state = 4},
  [1052] = {.lex_state = 112, .external_lex_state = 4},
  [1053] = {.lex_state = 112, .external_lex_state = 4},
  [1054] = {.lex_state = 112, .external_lex_state = 4},
  [1055] = {.lex_state = 112, .external_lex_state = 4},
  [1056] = {.lex_state = 112, .external_lex_state = 4},
  [1057] = {.lex_state = 112, .external_lex_state = 4},
  [1058] = {.lex_state = 112, .external_lex_state = 4},
  [1059] = {.lex_state = 112, .external_lex_state = 4},
  [1060] = {.lex_state = 112, .external_lex_state = 4},
  [1061] = {.lex_state = 112, .external_lex_state = 4},
  [1062] = {.lex_state = 112, .external_lex_state = 4},
  [1063] = {.lex_state = 112, .external_lex_state = 4},
  [1064] = {.lex_state = 112, .external_lex_state = 4},
  [1065] = {.lex_state = 112, .external_lex_state = 4},
  [1066] = {.lex_state = 112, .external_lex_state = 4},
  [1067] = {.lex_state = 112, .external_lex_state = 4},
  [1068] = {.lex_state = 112, .external_lex_state = 4},
  [1069] = {.lex_state = 112, .external_lex_state = 4},
  [1070] = {.lex_state = 112, .external_lex_state = 4},
  [1071] = {.lex_state = 112, .external_lex_state = 4},
  [1072] = {.lex_state = 112, .external_lex_state = 4},
  [1073] = {.lex_state = 112, .external_lex_state = 4},
  [1074] = {.lex_state = 112, .external_lex_state = 4},
  [1075] = {.lex_state = 112, .external_lex_state = 4},
  [1076] = {.lex_state = 112, .external_lex_state = 4},
  [1077] = {.lex_state = 112, .external_lex_state = 4},
  [1078] = {.lex_state = 112, .external_lex_state = 4},
  [1079] = {.lex_state = 112, .external_lex_state = 4},
  [1080] = {.lex_state = 112, .external_lex_state = 4},
  [1081] = {.lex_state = 112, .external_lex_state = 4},
  [1082] = {.lex_state = 112, .external_lex_state = 4},
  [1083] = {.lex_state = 112, .external_lex_state = 4},
  [1084] = {.lex_state = 112, .external_lex_state = 4},
  [1085] = {.lex_state = 112, .external_lex_state = 4},
  [1086] = {.lex_state = 53, .external_lex_state = 4},
  [1087] = {.lex_state = 53, .external_lex_state = 4},
  [1088] = {.lex_state = 53, .external_lex_state = 4},
  [1089] = {.lex_state = 52, .external_lex_state = 4},
  [1090] = {.lex_state = 55, .external_lex_state = 6},
  [1091] = {.lex_state = 53, .external_lex_state = 4},
  [1092] = {.lex_state = 52, .external_lex_state = 4},
  [1093] = {.lex_state = 52, .external_lex_state = 4},
  [1094] = {.lex_state = 52, .external_lex_state = 4},
  [1095] = {.lex_state = 52, .external_lex_state = 4},
  [1096] = {.lex_state = 52, .external_lex_state = 4},
  [1097] = {.lex_state = 52, .external_lex_state = 4},
  [1098] = {.lex_state = 52, .external_lex_state = 6},
  [1099] = {.lex_state = 52, .external_lex_state = 4},
  [1100] = {.lex_state = 52, .external_lex_state = 4},
  [1101] = {.lex_state = 52, .external_lex_state = 4},
  [1102] = {.lex_state = 52, .external_lex_state = 4},
  [1103] = {.lex_state = 52, .external_lex_state = 4},
  [1104] = {.lex_state = 52, .external_lex_state = 4},
  [1105] = {.lex_state = 52, .external_lex_state = 4},
  [1106] = {.lex_state = 52, .external_lex_state = 4},
  [1107] = {.lex_state = 52, .external_lex_state = 4},
  [1108] = {.lex_state = 52, .external_lex_state = 4},
  [1109] = {.lex_state = 52, .external_lex_state = 4},
  [1110] = {.lex_state = 52, .external_lex_state = 4},
  [1111] = {.lex_state = 52, .external_lex_state = 4},
  [1112] = {.lex_state = 52, .external_lex_state = 4},
  [1113] = {.lex_state = 52, .external_lex_state = 4},
  [1114] = {.lex_state = 52, .external_lex_state = 4},
  [1115] = {.lex_state = 52, .external_lex_state = 4},
  [1116] = {.lex_state = 52, .external_lex_state = 4},
  [1117] = {.lex_state = 52, .external_lex_state = 4},
  [1118] = {.lex_state = 52, .external_lex_state = 4},
  [1119] = {.lex_state = 52, .external_lex_state = 4},
  [1120] = {.lex_state = 52, .external_lex_state = 4},
  [1121] = {.lex_state = 52, .external_lex_state = 4},
  [1122] = {.lex_state = 52, .external_lex_state = 4},
  [1123] = {.lex_state = 52, .external_lex_state = 4},
  [1124] = {.lex_state = 52, .external_lex_state = 4},
  [1125] = {.lex_state = 52, .external_lex_state = 4},
  [1126] = {.lex_state = 52, .external_lex_state = 4},
  [1127] = {.lex_state = 52, .external_lex_state = 4},
  [1128] = {.lex_state = 52, .external_lex_state = 4},
  [1129] = {.lex_state = 52, .external_lex_state = 4},
  [1130] = {.lex_state = 52, .external_lex_state = 4},
  [1131] = {.lex_state = 52, .external_lex_state = 4},
  [1132] = {.lex_state = 52, .external_lex_state = 4},
  [1133] = {.lex_state = 52, .external_lex_state = 4},
  [1134] = {.lex_state = 52, .external_lex_state = 4},
  [1135] = {.lex_state = 52, .external_lex_state = 4},
  [1136] = {.lex_state = 52, .external_lex_state = 4},
  [1137] = {.lex_state = 52, .external_lex_state = 4},
  [1138] = {.lex_state = 52, .external_lex_state = 4},
  [1139] = {.lex_state = 52, .external_lex_state = 4},
  [1140] = {.lex_state = 52, .external_lex_state = 4},
  [1141] = {.lex_state = 52, .external_lex_state = 4},
  [1142] = {.lex_state = 52, .external_lex_state = 4},
  [1143] = {.lex_state = 52, .external_lex_state = 4},
  [1144] = {.lex_state = 52, .external_lex_state = 4},
  [1145] = {.lex_state = 52, .external_lex_state = 4},
  [1146] = {.lex_state = 52, .external_lex_state = 4},
  [1147] = {.lex_state = 52, .external_lex_state = 4},
  [1148] = {.lex_state = 52, .external_lex_state = 4},
  [1149] = {.lex_state = 52, .external_lex_state = 4},
  [1150] = {.lex_state = 52, .external_lex_state = 4},
  [1151] = {.lex_state = 52, .external_lex_state = 4},
  [1152] = {.lex_state = 52, .external_lex_state = 4},
  [1153] = {.lex_state = 52, .external_lex_state = 4},
  [1154] = {.lex_state = 52, .external_lex_state = 4},
  [1155] = {.lex_state = 52, .external_lex_state = 4},
  [1156] = {.lex_state = 52, .external_lex_state = 4},
  [1157] = {.lex_state = 52, .external_lex_state = 4},
  [1158] = {.lex_state = 52, .external_lex_state = 4},
  [1159] = {.lex_state = 52, .external_lex_state = 4},
  [1160] = {.lex_state = 52, .external_lex_state = 4},
  [1161] = {.lex_state = 52, .external_lex_state = 4},
  [1162] = {.lex_state = 52, .external_lex_state = 4},
  [1163] = {.lex_state = 52, .external_lex_state = 4},
  [1164] = {.lex_state = 52, .external_lex_state = 4},
  [1165] = {.lex_state = 52, .external_lex_state = 4},
  [1166] = {.lex_state = 52, .external_lex_state = 4},
  [1167] = {.lex_state = 52, .external_lex_state = 4},
  [1168] = {.lex_state = 52, .external_lex_state = 4},
  [1169] = {.lex_state = 52, .external_lex_state = 4},
  [1170] = {.lex_state = 52, .external_lex_state = 4},
  [1171] = {.lex_state = 52, .external_lex_state = 4},
  [1172] = {.lex_state = 52, .external_lex_state = 4},
  [1173] = {.lex_state = 52, .external_lex_state = 4},
  [1174] = {.lex_state = 52, .external_lex_state = 4},
  [1175] = {.lex_state = 52, .external_lex_state = 4},
  [1176] = {.lex_state = 52, .external_lex_state = 4},
  [1177] = {.lex_state = 52, .external_lex_state = 4},
  [1178] = {.lex_state = 52, .external_lex_state = 4},
  [1179] = {.lex_state = 52, .external_lex_state = 4},
  [1180] = {.lex_state = 52, .external_lex_state = 4},
  [1181] = {.lex_state = 52, .external_lex_state = 4},
  [1182] = {.lex_state = 52, .external_lex_state = 4},
  [1183] = {.lex_state = 52, .external_lex_state = 4},
  [1184] = {.lex_state = 52, .external_lex_state = 4},
  [1185] = {.lex_state = 52, .external_lex_state = 4},
  [1186] = {.lex_state = 52, .external_lex_state = 4},
  [1187] = {.lex_state = 52, .external_lex_state = 4},
  [1188] = {.lex_state = 52, .external_lex_state = 4},
  [1189] = {.lex_state = 52, .external_lex_state = 4},
  [1190] = {.lex_state = 52, .external_lex_state = 4},
  [1191] = {.lex_state = 52, .external_lex_state = 4},
  [1192] = {.lex_state = 52, .external_lex_state = 4},
  [1193] = {.lex_state = 113, .external_lex_state = 12},
  [1194] = {.lex_state = 113, .external_lex_state = 12},
  [1195] = {.lex_state = 113, .external_lex_state = 12},
  [1196] = {.lex_state = 113, .external_lex_state = 12},
  [1197] = {.lex_state = 113, .external_lex_state = 12},
  [1198] = {.lex_state = 3, .external_lex_state = 12},
  [1199] = {.lex_state = 113, .external_lex_state = 13},
  [1200] = {.lex_state = 3, .external_lex_state = 12},
  [1201] = {.lex_state = 113, .external_lex_state = 13},
  [1202] = {.lex_state = 3, .external_lex_state = 12},
  [1203] = {.lex_state = 3, .external_lex_state = 12},
  [1204] = {.lex_state = 3, .external_lex_state = 12},
  [1205] = {.lex_state = 3, .external_lex_state = 12},
  [1206] = {.lex_state = 3, .external_lex_state = 12},
  [1207] = {.lex_state = 3, .external_lex_state = 12},
  [1208] = {.lex_state = 3, .external_lex_state = 12},
  [1209] = {.lex_state = 3, .external_lex_state = 12},
  [1210] = {.lex_state = 3, .external_lex_state = 12},
  [1211] = {.lex_state = 3, .external_lex_state = 12},
  [1212] = {.lex_state = 3, .external_lex_state = 12},
  [1213] = {.lex_state = 3, .external_lex_state = 12},
  [1214] = {.lex_state = 3, .external_lex_state = 12},
  [1215] = {.lex_state = 3, .external_lex_state = 12},
  [1216] = {.lex_state = 3, .external_lex_state = 12},
  [1217] = {.lex_state = 3, .external_lex_state = 12},
  [1218] = {.lex_state = 3, .external_lex_state = 12},
  [1219] = {.lex_state = 3, .external_lex_state = 12},
  [1220] = {.lex_state = 3, .external_lex_state = 12},
  [1221] = {.lex_state = 3, .external_lex_state = 12},
  [1222] = {.lex_state = 3, .external_lex_state = 12},
  [1223] = {.lex_state = 3, .external_lex_state = 12},
  [1224] = {.lex_state = 3, .external_lex_state = 12},
  [1225] = {.lex_state = 113, .external_lex_state = 12},
  [1226] = {.lex_state = 113, .external_lex_state = 12},
  [1227] = {.lex_state = 113, .external_lex_state = 12},
  [1228] = {.lex_state = 6, .external_lex_state = 12},
  [1229] = {.lex_state = 3, .external_lex_state = 12},
  [1230] = {.lex_state = 3, .external_lex_state = 12},
  [1231] = {.lex_state = 3, .external_lex_state = 12},
  [1232] = {.lex_state = 3, .external_lex_state = 12},
  [1233] = {.lex_state = 3, .external_lex_state = 12},
  [1234] = {.lex_state = 3, .external_lex_state = 12},
  [1235] = {.lex_state = 8, .external_lex_state = 12},
  [1236] = {.lex_state = 3, .external_lex_state = 12},
  [1237] = {.lex_state = 3, .external_lex_state = 12},
  [1238] = {.lex_state = 3, .external_lex_state = 12},
  [1239] = {.lex_state = 10, .external_lex_state = 12},
  [1240] = {.lex_state = 3, .external_lex_state = 12},
  [1241] = {.lex_state = 6, .external_lex_state = 12},
  [1242] = {.lex_state = 3, .external_lex_state = 12},
  [1243] = {.lex_state = 3, .external_lex_state = 12},
  [1244] = {.lex_state = 3, .external_lex_state = 12},
  [1245] = {.lex_state = 3, .external_lex_state = 12},
  [1246] = {.lex_state = 3, .external_lex_state = 12},
  [1247] = {.lex_state = 3, .external_lex_state = 12},
  [1248] = {.lex_state = 3, .external_lex_state = 12},
  [1249] = {.lex_state = 8, .external_lex_state = 12},
  [1250] = {.lex_state = 3, .external_lex_state = 12},
  [1251] = {.lex_state = 3, .external_lex_state = 12},
  [1252] = {.lex_state = 3, .external_lex_state = 12},
  [1253] = {.lex_state = 3, .external_lex_state = 12},
  [1254] = {.lex_state = 9, .external_lex_state = 12},
  [1255] = {.lex_state = 3, .external_lex_state = 12},
  [1256] = {.lex_state = 9, .external_lex_state = 12},
  [1257] = {.lex_state = 3, .external_lex_state = 12},
  [1258] = {.lex_state = 3, .external_lex_state = 12},
  [1259] = {.lex_state = 3, .external_lex_state = 12},
  [1260] = {.lex_state = 3, .external_lex_state = 12},
  [1261] = {.lex_state = 9, .external_lex_state = 12},
  [1262] = {.lex_state = 8, .external_lex_state = 12},
  [1263] = {.lex_state = 8, .external_lex_state = 12},
  [1264] = {.lex_state = 6, .external_lex_state = 12},
  [1265] = {.lex_state = 6, .external_lex_state = 12},
  [1266] = {.lex_state = 9, .external_lex_state = 12},
  [1267] = {.lex_state = 9, .external_lex_state = 12},
  [1268] = {.lex_state = 3, .external_lex_state = 12},
  [1269] = {.lex_state = 3, .external_lex_state = 12},
  [1270] = {.lex_state = 3, .external_lex_state = 12},
  [1271] = {.lex_state = 10, .external_lex_state = 12},
  [1272] = {.lex_state = 3, .external_lex_state = 12},
  [1273] = {.lex_state = 9, .external_lex_state = 12},
  [1274] = {.lex_state = 8, .external_lex_state = 12},
  [1275] = {.lex_state = 6, .external_lex_state = 12},
  [1276] = {.lex_state = 3, .external_lex_state = 12},
  [1277] = {.lex_state = 3, .external_lex_state = 12},
  [1278] = {.lex_state = 3, .external_lex_state = 12},
  [1279] = {.lex_state = 10, .external_lex_state = 12},
  [1280] = {.lex_state = 3, .external_lex_state = 12},
  [1281] = {.lex_state = 3, .external_lex_state = 12},
  [1282] = {.lex_state = 3, .external_lex_state = 12},
  [1283] = {.lex_state = 3, .external_lex_state = 12},
  [1284] = {.lex_state = 3, .external_lex_state = 12},
  [1285] = {.lex_state = 3, .external_lex_state = 12},
  [1286] = {.lex_state = 3, .external_lex_state = 12},
  [1287] = {.lex_state = 3, .external_lex_state = 12},
  [1288] = {.lex_state = 3, .external_lex_state = 12},
  [1289] = {.lex_state = 3, .external_lex_state = 12},
  [1290] = {.lex_state = 3, .external_lex_state = 12},
  [1291] = {.lex_state = 3, .external_lex_state = 12},
  [1292] = {.lex_state = 3, .external_lex_state = 12},
  [1293] = {.lex_state = 3, .external_lex_state = 12},
  [1294] = {.lex_state = 3, .external_lex_state = 12},
  [1295] = {.lex_state = 3, .external_lex_state = 12},
  [1296] = {.lex_state = 3, .external_lex_state = 12},
  [1297] = {.lex_state = 3, .external_lex_state = 12},
  [1298] = {.lex_state = 3, .external_lex_state = 12},
  [1299] = {.lex_state = 3, .external_lex_state = 12},
  [1300] = {.lex_state = 3, .external_lex_state = 12},
  [1301] = {.lex_state = 3, .external_lex_state = 12},
  [1302] = {.lex_state = 3, .external_lex_state = 12},
  [1303] = {.lex_state = 3, .external_lex_state = 12},
  [1304] = {.lex_state = 3, .external_lex_state = 12},
  [1305] = {.lex_state = 3, .external_lex_state = 12},
  [1306] = {.lex_state = 3, .external_lex_state = 12},
  [1307] = {.lex_state = 3, .external_lex_state = 12},
  [1308] = {.lex_state = 3, .external_lex_state = 12},
  [1309] = {.lex_state = 3, .external_lex_state = 12},
  [1310] = {.lex_state = 3, .external_lex_state = 12},
  [1311] = {.lex_state = 3, .external_lex_state = 12},
  [1312] = {.lex_state = 3, .external_lex_state = 12},
  [1313] = {.lex_state = 3, .external_lex_state = 12},
  [1314] = {.lex_state = 3, .external_lex_state = 12},
  [1315] = {.lex_state = 3, .external_lex_state = 12},
  [1316] = {.lex_state = 3, .external_lex_state = 12},
  [1317] = {.lex_state = 3, .external_lex_state = 12},
  [1318] = {.lex_state = 3, .external_lex_state = 12},
  [1319] = {.lex_state = 3, .external_lex_state = 12},
  [1320] = {.lex_state = 3, .external_lex_state = 12},
  [1321] = {.lex_state = 3, .external_lex_state = 12},
  [1322] = {.lex_state = 3, .external_lex_state = 12},
  [1323] = {.lex_state = 3, .external_lex_state = 12},
  [1324] = {.lex_state = 3, .external_lex_state = 12},
  [1325] = {.lex_state = 3, .external_lex_state = 12},
  [1326] = {.lex_state = 3, .external_lex_state = 12},
  [1327] = {.lex_state = 3, .external_lex_state = 12},
  [1328] = {.lex_state = 3, .external_lex_state = 12},
  [1329] = {.lex_state = 3, .external_lex_state = 12},
  [1330] = {.lex_state = 3, .external_lex_state = 12},
  [1331] = {.lex_state = 3, .external_lex_state = 12},
  [1332] = {.lex_state = 3, .external_lex_state = 12},
  [1333] = {.lex_state = 3, .external_lex_state = 12},
  [1334] = {.lex_state = 3, .external_lex_state = 12},
  [1335] = {.lex_state = 3, .external_lex_state = 12},
  [1336] = {.lex_state = 3, .external_lex_state = 12},
  [1337] = {.lex_state = 3, .external_lex_state = 12},
  [1338] = {.lex_state = 3, .external_lex_state = 12},
  [1339] = {.lex_state = 3, .external_lex_state = 12},
  [1340] = {.lex_state = 3, .external_lex_state = 12},
  [1341] = {.lex_state = 3, .external_lex_state = 12},
  [1342] = {.lex_state = 3, .external_lex_state = 12},
  [1343] = {.lex_state = 3, .external_lex_state = 12},
  [1344] = {.lex_state = 3, .external_lex_state = 12},
  [1345] = {.lex_state = 3, .external_lex_state = 12},
  [1346] = {.lex_state = 3, .external_lex_state = 12},
  [1347] = {.lex_state = 3, .external_lex_state = 12},
  [1348] = {.lex_state = 3, .external_lex_state = 12},
  [1349] = {.lex_state = 3, .external_lex_state = 12},
  [1350] = {.lex_state = 3, .external_lex_state = 12},
  [1351] = {.lex_state = 3, .external_lex_state = 12},
  [1352] = {.lex_state = 3, .external_lex_state = 12},
  [1353] = {.lex_state = 3, .external_lex_state = 12},
  [1354] = {.lex_state = 3, .external_lex_state = 12},
  [1355] = {.lex_state = 3, .external_lex_state = 12},
  [1356] = {.lex_state = 3, .external_lex_state = 12},
  [1357] = {.lex_state = 3, .external_lex_state = 12},
  [1358] = {.lex_state = 3, .external_lex_state = 12},
  [1359] = {.lex_state = 3, .external_lex_state = 12},
  [1360] = {.lex_state = 3, .external_lex_state = 12},
  [1361] = {.lex_state = 3, .external_lex_state = 12},
  [1362] = {.lex_state = 3, .external_lex_state = 12},
  [1363] = {.lex_state = 3, .external_lex_state = 12},
  [1364] = {.lex_state = 3, .external_lex_state = 12},
  [1365] = {.lex_state = 3, .external_lex_state = 12},
  [1366] = {.lex_state = 3, .external_lex_state = 12},
  [1367] = {.lex_state = 3, .external_lex_state = 12},
  [1368] = {.lex_state = 3, .external_lex_state = 12},
  [1369] = {.lex_state = 3, .external_lex_state = 12},
  [1370] = {.lex_state = 3, .external_lex_state = 12},
  [1371] = {.lex_state = 3, .external_lex_state = 12},
  [1372] = {.lex_state = 3, .external_lex_state = 12},
  [1373] = {.lex_state = 3, .external_lex_state = 12},
  [1374] = {.lex_state = 3, .external_lex_state = 12},
  [1375] = {.lex_state = 3, .external_lex_state = 12},
  [1376] = {.lex_state = 3, .external_lex_state = 12},
  [1377] = {.lex_state = 3, .external_lex_state = 12},
  [1378] = {.lex_state = 3, .external_lex_state = 12},
  [1379] = {.lex_state = 3, .external_lex_state = 12},
  [1380] = {.lex_state = 3, .external_lex_state = 12},
  [1381] = {.lex_state = 3, .external_lex_state = 12},
  [1382] = {.lex_state = 3, .external_lex_state = 12},
  [1383] = {.lex_state = 3, .external_lex_state = 12},
  [1384] = {.lex_state = 3, .external_lex_state = 12},
  [1385] = {.lex_state = 3, .external_lex_state = 12},
  [1386] = {.lex_state = 3, .external_lex_state = 12},
  [1387] = {.lex_state = 3, .external_lex_state = 12},
  [1388] = {.lex_state = 3, .external_lex_state = 12},
  [1389] = {.lex_state = 3, .external_lex_state = 12},
  [1390] = {.lex_state = 3, .external_lex_state = 12},
  [1391] = {.lex_state = 3, .external_lex_state = 12},
  [1392] = {.lex_state = 3, .external_lex_state = 12},
  [1393] = {.lex_state = 3, .external_lex_state = 12},
  [1394] = {.lex_state = 3, .external_lex_state = 12},
  [1395] = {.lex_state = 3, .external_lex_state = 12},
  [1396] = {.lex_state = 3, .external_lex_state = 12},
  [1397] = {.lex_state = 3, .external_lex_state = 12},
  [1398] = {.lex_state = 3, .external_lex_state = 12},
  [1399] = {.lex_state = 3, .external_lex_state = 12},
  [1400] = {.lex_state = 3, .external_lex_state = 12},
  [1401] = {.lex_state = 3, .external_lex_state = 12},
  [1402] = {.lex_state = 3, .external_lex_state = 12},
  [1403] = {.lex_state = 3, .external_lex_state = 12},
  [1404] = {.lex_state = 3, .external_lex_state = 12},
  [1405] = {.lex_state = 3, .external_lex_state = 12},
  [1406] = {.lex_state = 3, .external_lex_state = 12},
  [1407] = {.lex_state = 3, .external_lex_state = 12},
  [1408] = {.lex_state = 3, .external_lex_state = 12},
  [1409] = {.lex_state = 3, .external_lex_state = 12},
  [1410] = {.lex_state = 3, .external_lex_state = 12},
  [1411] = {.lex_state = 3, .external_lex_state = 12},
  [1412] = {.lex_state = 3, .external_lex_state = 12},
  [1413] = {.lex_state = 3, .external_lex_state = 12},
  [1414] = {.lex_state = 3, .external_lex_state = 12},
  [1415] = {.lex_state = 3, .external_lex_state = 12},
  [1416] = {.lex_state = 3, .external_lex_state = 12},
  [1417] = {.lex_state = 3, .external_lex_state = 12},
  [1418] = {.lex_state = 3, .external_lex_state = 12},
  [1419] = {.lex_state = 3, .external_lex_state = 12},
  [1420] = {.lex_state = 3, .external_lex_state = 12},
  [1421] = {.lex_state = 3, .external_lex_state = 12},
  [1422] = {.lex_state = 3, .external_lex_state = 12},
  [1423] = {.lex_state = 3, .external_lex_state = 12},
  [1424] = {.lex_state = 3, .external_lex_state = 12},
  [1425] = {.lex_state = 113, .external_lex_state = 12},
  [1426] = {.lex_state = 113, .external_lex_state = 12},
  [1427] = {.lex_state = 113, .external_lex_state = 12},
  [1428] = {.lex_state = 113, .external_lex_state = 12},
  [1429] = {.lex_state = 113, .external_lex_state = 12},
  [1430] = {.lex_state = 113, .external_lex_state = 13},
  [1431] = {.lex_state = 113, .external_lex_state = 13},
  [1432] = {.lex_state = 113, .external_lex_state = 14},
  [1433] = {.lex_state = 113, .external_lex_state = 12},
  [1434] = {.lex_state = 113, .external_lex_state = 12},
  [1435] = {.lex_state = 113, .external_lex_state = 12},
  [1436] = {.lex_state = 113, .external_lex_state = 14},
  [1437] = {.lex_state = 113, .external_lex_state = 14},
  [1438] = {.lex_state = 113, .external_lex_state = 14},
  [1439] = {.lex_state = 113, .external_lex_state = 14},
  [1440] = {.lex_state = 56, .external_lex_state = 14},
  [1441] = {.lex_state = 3, .external_lex_state = 12},
  [1442] = {.lex_state = 113, .external_lex_state = 15},
  [1443] = {.lex_state = 113, .external_lex_state = 15},
  [1444] = {.lex_state = 3, .external_lex_state = 14},
  [1445] = {.lex_state = 3, .external_lex_state = 14},
  [1446] = {.lex_state = 3, .external_lex_state = 12},
  [1447] = {.lex_state = 56, .external_lex_state = 14},
  [1448] = {.lex_state = 3, .external_lex_state = 12},
  [1449] = {.lex_state = 56, .external_lex_state = 14},
  [1450] = {.lex_state = 3, .external_lex_state = 12},
  [1451] = {.lex_state = 3, .external_lex_state = 12},
  [1452] = {.lex_state = 3, .external_lex_state = 12},
  [1453] = {.lex_state = 3, .external_lex_state = 14},
  [1454] = {.lex_state = 3, .external_lex_state = 12},
  [1455] = {.lex_state = 3, .external_lex_state = 12},
  [1456] = {.lex_state = 3, .external_lex_state = 12},
  [1457] = {.lex_state = 3, .external_lex_state = 12},
  [1458] = {.lex_state = 3, .external_lex_state = 12},
  [1459] = {.lex_state = 3, .external_lex_state = 12},
  [1460] = {.lex_state = 3, .external_lex_state = 12},
  [1461] = {.lex_state = 3, .external_lex_state = 12},
  [1462] = {.lex_state = 3, .external_lex_state = 12},
  [1463] = {.lex_state = 3, .external_lex_state = 12},
  [1464] = {.lex_state = 3, .external_lex_state = 12},
  [1465] = {.lex_state = 3, .external_lex_state = 12},
  [1466] = {.lex_state = 3, .external_lex_state = 12},
  [1467] = {.lex_state = 3, .external_lex_state = 12},
  [1468] = {.lex_state = 113, .external_lex_state = 14},
  [1469] = {.lex_state = 113, .external_lex_state = 14},
  [1470] = {.lex_state = 3, .external_lex_state = 14},
  [1471] = {.lex_state = 3, .external_lex_state = 12},
  [1472] = {.lex_state = 113, .external_lex_state = 14},
  [1473] = {.lex_state = 3, .external_lex_state = 14},
  [1474] = {.lex_state = 3, .external_lex_state = 14},
  [1475] = {.lex_state = 3, .external_lex_state = 14},
  [1476] = {.lex_state = 3, .external_lex_state = 14},
  [1477] = {.lex_state = 3, .external_lex_state = 14},
  [1478] = {.lex_state = 3, .external_lex_state = 14},
  [1479] = {.lex_state = 3, .external_lex_state = 14},
  [1480] = {.lex_state = 3, .external_lex_state = 14},
  [1481] = {.lex_state = 3, .external_lex_state = 14},
  [1482] = {.lex_state = 3, .external_lex_state = 14},
  [1483] = {.lex_state = 3, .external_lex_state = 14},
  [1484] = {.lex_state = 3, .external_lex_state = 14},
  [1485] = {.lex_state = 3, .external_lex_state = 14},
  [1486] = {.lex_state = 3, .external_lex_state = 14},
  [1487] = {.lex_state = 3, .external_lex_state = 14},
  [1488] = {.lex_state = 3, .external_lex_state = 14},
  [1489] = {.lex_state = 3, .external_lex_state = 14},
  [1490] = {.lex_state = 3, .external_lex_state = 14},
  [1491] = {.lex_state = 3, .external_lex_state = 12},
  [1492] = {.lex_state = 3, .external_lex_state = 12},
  [1493] = {.lex_state = 3, .external_lex_state = 12},
  [1494] = {.lex_state = 3, .external_lex_state = 12},
  [1495] = {.lex_state = 3, .external_lex_state = 12},
  [1496] = {.lex_state = 3, .external_lex_state = 12},
  [1497] = {.lex_state = 3, .external_lex_state = 12},
  [1498] = {.lex_state = 3, .external_lex_state = 12},
  [1499] = {.lex_state = 3, .external_lex_state = 12},
  [1500] = {.lex_state = 3, .external_lex_state = 12},
  [1501] = {.lex_state = 3, .external_lex_state = 12},
  [1502] = {.lex_state = 3, .external_lex_state = 12},
  [1503] = {.lex_state = 3, .external_lex_state = 12},
  [1504] = {.lex_state = 3, .external_lex_state = 14},
  [1505] = {.lex_state = 3, .external_lex_state = 14},
  [1506] = {.lex_state = 3, .external_lex_state = 14},
  [1507] = {.lex_state = 57, .external_lex_state = 14},
  [1508] = {.lex_state = 6, .external_lex_state = 14},
  [1509] = {.lex_state = 57, .external_lex_state = 14},
  [1510] = {.lex_state = 57, .external_lex_state = 14},
  [1511] = {.lex_state = 57, .external_lex_state = 14},
  [1512] = {.lex_state = 3, .external_lex_state = 14},
  [1513] = {.lex_state = 57, .external_lex_state = 14},
  [1514] = {.lex_state = 57, .external_lex_state = 14},
  [1515] = {.lex_state = 57, .external_lex_state = 14},
  [1516] = {.lex_state = 57, .external_lex_state = 14},
  [1517] = {.lex_state = 57, .external_lex_state = 14},
  [1518] = {.lex_state = 57, .external_lex_state = 14},
  [1519] = {.lex_state = 65, .external_lex_state = 14},
  [1520] = {.lex_state = 57, .external_lex_state = 14},
  [1521] = {.lex_state = 57, .external_lex_state = 14},
  [1522] = {.lex_state = 57, .external_lex_state = 14},
  [1523] = {.lex_state = 57, .external_lex_state = 14},
  [1524] = {.lex_state = 3, .external_lex_state = 14},
  [1525] = {.lex_state = 3, .external_lex_state = 14},
  [1526] = {.lex_state = 57, .external_lex_state = 14},
  [1527] = {.lex_state = 65, .external_lex_state = 14},
  [1528] = {.lex_state = 57, .external_lex_state = 14},
  [1529] = {.lex_state = 65, .external_lex_state = 14},
  [1530] = {.lex_state = 65, .external_lex_state = 16},
  [1531] = {.lex_state = 57, .external_lex_state = 14},
  [1532] = {.lex_state = 65, .external_lex_state = 16},
  [1533] = {.lex_state = 65, .external_lex_state = 16},
  [1534] = {.lex_state = 57, .external_lex_state = 14},
  [1535] = {.lex_state = 57, .external_lex_state = 14},
  [1536] = {.lex_state = 57, .external_lex_state = 14},
  [1537] = {.lex_state = 57, .external_lex_state = 14},
  [1538] = {.lex_state = 57, .external_lex_state = 14},
  [1539] = {.lex_state = 56, .external_lex_state = 15},
  [1540] = {.lex_state = 56, .external_lex_state = 15},
  [1541] = {.lex_state = 57, .external_lex_state = 14},
  [1542] = {.lex_state = 57, .external_lex_state = 14},
  [1543] = {.lex_state = 57, .external_lex_state = 14},
  [1544] = {.lex_state = 6, .external_lex_state = 14},
  [1545] = {.lex_state = 9, .external_lex_state = 14},
  [1546] = {.lex_state = 9, .external_lex_state = 14},
  [1547] = {.lex_state = 3, .external_lex_state = 14},
  [1548] = {.lex_state = 3, .external_lex_state = 14},
  [1549] = {.lex_state = 3, .external_lex_state = 14},
  [1550] = {.lex_state = 10, .external_lex_state = 14},
  [1551] = {.lex_state = 3, .external_lex_state = 14},
  [1552] = {.lex_state = 3, .external_lex_state = 14},
  [1553] = {.lex_state = 3, .external_lex_state = 14},
  [1554] = {.lex_state = 57, .external_lex_state = 14},
  [1555] = {.lex_state = 8, .external_lex_state = 14},
  [1556] = {.lex_state = 3, .external_lex_state = 14},
  [1557] = {.lex_state = 9, .external_lex_state = 14},
  [1558] = {.lex_state = 59, .external_lex_state = 14},
  [1559] = {.lex_state = 8, .external_lex_state = 14},
  [1560] = {.lex_state = 8, .external_lex_state = 14},
  [1561] = {.lex_state = 65, .external_lex_state = 16},
  [1562] = {.lex_state = 3, .external_lex_state = 14},
  [1563] = {.lex_state = 6, .external_lex_state = 14},
  [1564] = {.lex_state = 6, .external_lex_state = 14},
  [1565] = {.lex_state = 3, .external_lex_state = 14},
  [1566] = {.lex_state = 65, .external_lex_state = 16},
  [1567] = {.lex_state = 3, .external_lex_state = 14},
  [1568] = {.lex_state = 10, .external_lex_state = 14},
  [1569] = {.lex_state = 9, .external_lex_state = 14},
  [1570] = {.lex_state = 9, .external_lex_state = 14},
  [1571] = {.lex_state = 3, .external_lex_state = 14},
  [1572] = {.lex_state = 3, .external_lex_state = 14},
  [1573] = {.lex_state = 65, .external_lex_state = 14},
  [1574] = {.lex_state = 65, .external_lex_state = 14},
  [1575] = {.lex_state = 9, .external_lex_state = 14},
  [1576] = {.lex_state = 8, .external_lex_state = 14},
  [1577] = {.lex_state = 3, .external_lex_state = 14},
  [1578] = {.lex_state = 3, .external_lex_state = 14},
  [1579] = {.lex_state = 3, .external_lex_state = 14},
  [1580] = {.lex_state = 57, .external_lex_state = 14},
  [1581] = {.lex_state = 3, .external_lex_state = 14},
  [1582] = {.lex_state = 3, .external_lex_state = 14},
  [1583] = {.lex_state = 57, .external_lex_state = 14},
  [1584] = {.lex_state = 3, .external_lex_state = 14},
  [1585] = {.lex_state = 3, .external_lex_state = 14},
  [1586] = {.lex_state = 3, .external_lex_state = 14},
  [1587] = {.lex_state = 3, .external_lex_state = 14},
  [1588] = {.lex_state = 3, .external_lex_state = 14},
  [1589] = {.lex_state = 3, .external_lex_state = 14},
  [1590] = {.lex_state = 56, .external_lex_state = 14},
  [1591] = {.lex_state = 3, .external_lex_state = 14},
  [1592] = {.lex_state = 3, .external_lex_state = 14},
  [1593] = {.lex_state = 56, .external_lex_state = 14},
  [1594] = {.lex_state = 3, .external_lex_state = 14},
  [1595] = {.lex_state = 56, .external_lex_state = 14},
  [1596] = {.lex_state = 8, .external_lex_state = 14},
  [1597] = {.lex_state = 6, .external_lex_state = 14},
  [1598] = {.lex_state = 3, .external_lex_state = 14},
  [1599] = {.lex_state = 3, .external_lex_state = 14},
  [1600] = {.lex_state = 3, .external_lex_state = 14},
  [1601] = {.lex_state = 10, .external_lex_state = 14},
  [1602] = {.lex_state = 3, .external_lex_state = 14},
  [1603] = {.lex_state = 62, .external_lex_state = 14},
  [1604] = {.lex_state = 57, .external_lex_state = 14},
  [1605] = {.lex_state = 3, .external_lex_state = 14},
  [1606] = {.lex_state = 3, .external_lex_state = 14},
  [1607] = {.lex_state = 3, .external_lex_state = 14},
  [1608] = {.lex_state = 64, .external_lex_state = 14},
  [1609] = {.lex_state = 3, .external_lex_state = 14},
  [1610] = {.lex_state = 3, .external_lex_state = 14},
  [1611] = {.lex_state = 57, .external_lex_state = 14},
  [1612] = {.lex_state = 57, .external_lex_state = 14},
  [1613] = {.lex_state = 64, .external_lex_state = 14},
  [1614] = {.lex_state = 63, .external_lex_state = 14},
  [1615] = {.lex_state = 57, .external_lex_state = 14},
  [1616] = {.lex_state = 64, .external_lex_state = 14},
  [1617] = {.lex_state = 3, .external_lex_state = 14},
  [1618] = {.lex_state = 64, .external_lex_state = 14},
  [1619] = {.lex_state = 3, .external_lex_state = 14},
  [1620] = {.lex_state = 3, .external_lex_state = 14},
  [1621] = {.lex_state = 57, .external_lex_state = 14},
  [1622] = {.lex_state = 57, .external_lex_state = 14},
  [1623] = {.lex_state = 60, .external_lex_state = 14},
  [1624] = {.lex_state = 63, .external_lex_state = 14},
  [1625] = {.lex_state = 3, .external_lex_state = 14},
  [1626] = {.lex_state = 64, .external_lex_state = 14},
  [1627] = {.lex_state = 64, .external_lex_state = 14},
  [1628] = {.lex_state = 64, .external_lex_state = 14},
  [1629] = {.lex_state = 57, .external_lex_state = 14},
  [1630] = {.lex_state = 57, .external_lex_state = 14},
  [1631] = {.lex_state = 64, .external_lex_state = 14},
  [1632] = {.lex_state = 3, .external_lex_state = 14},
  [1633] = {.lex_state = 3, .external_lex_state = 14},
  [1634] = {.lex_state = 64, .external_lex_state = 14},
  [1635] = {.lex_state = 3, .external_lex_state = 14},
  [1636] = {.lex_state = 3, .external_lex_state = 14},
  [1637] = {.lex_state = 63, .external_lex_state = 14},
  [1638] = {.lex_state = 57, .external_lex_state = 14},
  [1639] = {.lex_state = 3, .external_lex_state = 14},
  [1640] = {.lex_state = 57, .external_lex_state = 14},
  [1641] = {.lex_state = 60, .external_lex_state = 14},
  [1642] = {.lex_state = 63, .external_lex_state = 14},
  [1643] = {.lex_state = 62, .external_lex_state = 14},
  [1644] = {.lex_state = 59, .external_lex_state = 14},
  [1645] = {.lex_state = 64, .external_lex_state = 14},
  [1646] = {.lex_state = 64, .external_lex_state = 14},
  [1647] = {.lex_state = 64, .external_lex_state = 14},
  [1648] = {.lex_state = 3, .external_lex_state = 14},
  [1649] = {.lex_state = 3, .external_lex_state = 14},
  [1650] = {.lex_state = 3, .external_lex_state = 14},
  [1651] = {.lex_state = 57, .external_lex_state = 14},
  [1652] = {.lex_state = 3, .external_lex_state = 14},
  [1653] = {.lex_state = 3, .external_lex_state = 14},
  [1654] = {.lex_state = 3, .external_lex_state = 14},
  [1655] = {.lex_state = 3, .external_lex_state = 14},
  [1656] = {.lex_state = 3, .external_lex_state = 14},
  [1657] = {.lex_state = 3, .external_lex_state = 14},
  [1658] = {.lex_state = 64, .external_lex_state = 14},
  [1659] = {.lex_state = 62, .external_lex_state = 14},
  [1660] = {.lex_state = 59, .external_lex_state = 14},
  [1661] = {.lex_state = 59, .external_lex_state = 14},
  [1662] = {.lex_state = 3, .external_lex_state = 14},
  [1663] = {.lex_state = 3, .external_lex_state = 14},
  [1664] = {.lex_state = 64, .external_lex_state = 14},
  [1665] = {.lex_state = 62, .external_lex_state = 14},
  [1666] = {.lex_state = 59, .external_lex_state = 14},
  [1667] = {.lex_state = 3, .external_lex_state = 14},
  [1668] = {.lex_state = 3, .external_lex_state = 14},
  [1669] = {.lex_state = 3, .external_lex_state = 14},
  [1670] = {.lex_state = 3, .external_lex_state = 14},
  [1671] = {.lex_state = 3, .external_lex_state = 14},
  [1672] = {.lex_state = 64, .external_lex_state = 14},
  [1673] = {.lex_state = 3, .external_lex_state = 14},
  [1674] = {.lex_state = 64, .external_lex_state = 14},
  [1675] = {.lex_state = 3, .external_lex_state = 14},
  [1676] = {.lex_state = 3, .external_lex_state = 14},
  [1677] = {.lex_state = 3, .external_lex_state = 14},
  [1678] = {.lex_state = 3, .external_lex_state = 14},
  [1679] = {.lex_state = 3, .external_lex_state = 14},
  [1680] = {.lex_state = 3, .external_lex_state = 14},
  [1681] = {.lex_state = 3, .external_lex_state = 14},
  [1682] = {.lex_state = 3, .external_lex_state = 14},
  [1683] = {.lex_state = 65, .external_lex_state = 15},
  [1684] = {.lex_state = 3, .external_lex_state = 14},
  [1685] = {.lex_state = 65, .external_lex_state = 15},
  [1686] = {.lex_state = 3, .external_lex_state = 14},
  [1687] = {.lex_state = 3, .external_lex_state = 14},
  [1688] = {.lex_state = 3, .external_lex_state = 14},
  [1689] = {.lex_state = 64, .external_lex_state = 14},
  [1690] = {.lex_state = 3, .external_lex_state = 14},
  [1691] = {.lex_state = 3, .external_lex_state = 14},
  [1692] = {.lex_state = 64, .external_lex_state = 14},
  [1693] = {.lex_state = 64, .external_lex_state = 14},
  [1694] = {.lex_state = 65, .external_lex_state = 17},
  [1695] = {.lex_state = 3, .external_lex_state = 14},
  [1696] = {.lex_state = 65, .external_lex_state = 17},
  [1697] = {.lex_state = 64, .external_lex_state = 14},
  [1698] = {.lex_state = 3, .external_lex_state = 14},
  [1699] = {.lex_state = 64, .external_lex_state = 14},
  [1700] = {.lex_state = 3, .external_lex_state = 14},
  [1701] = {.lex_state = 3, .external_lex_state = 14},
  [1702] = {.lex_state = 3, .external_lex_state = 14},
  [1703] = {.lex_state = 3, .external_lex_state = 14},
  [1704] = {.lex_state = 3, .external_lex_state = 14},
  [1705] = {.lex_state = 3, .external_lex_state = 14},
  [1706] = {.lex_state = 3, .external_lex_state = 14},
  [1707] = {.lex_state = 3, .external_lex_state = 14},
  [1708] = {.lex_state = 3, .external_lex_state = 14},
  [1709] = {.lex_state = 3, .external_lex_state = 14},
  [1710] = {.lex_state = 65, .external_lex_state = 14},
  [1711] = {.lex_state = 3, .external_lex_state = 14},
  [1712] = {.lex_state = 3, .external_lex_state = 14},
  [1713] = {.lex_state = 3, .external_lex_state = 14},
  [1714] = {.lex_state = 65, .external_lex_state = 14},
  [1715] = {.lex_state = 3, .external_lex_state = 14},
  [1716] = {.lex_state = 3, .external_lex_state = 14},
  [1717] = {.lex_state = 3, .external_lex_state = 14},
  [1718] = {.lex_state = 3, .external_lex_state = 14},
  [1719] = {.lex_state = 3, .external_lex_state = 14},
  [1720] = {.lex_state = 64, .external_lex_state = 14},
  [1721] = {.lex_state = 3, .external_lex_state = 14},
  [1722] = {.lex_state = 3, .external_lex_state = 14},
  [1723] = {.lex_state = 3, .external_lex_state = 14},
  [1724] = {.lex_state = 57, .external_lex_state = 14},
  [1725] = {.lex_state = 57, .external_lex_state = 14},
  [1726] = {.lex_state = 3, .external_lex_state = 14},
  [1727] = {.lex_state = 3, .external_lex_state = 14},
  [1728] = {.lex_state = 64, .external_lex_state = 14},
  [1729] = {.lex_state = 64, .external_lex_state = 16},
  [1730] = {.lex_state = 64, .external_lex_state = 16},
  [1731] = {.lex_state = 3, .external_lex_state = 14},
  [1732] = {.lex_state = 3, .external_lex_state = 14},
  [1733] = {.lex_state = 3, .external_lex_state = 14},
  [1734] = {.lex_state = 3, .external_lex_state = 14},
  [1735] = {.lex_state = 3, .external_lex_state = 14},
  [1736] = {.lex_state = 3, .external_lex_state = 14},
  [1737] = {.lex_state = 3, .external_lex_state = 14},
  [1738] = {.lex_state = 3, .external_lex_state = 14},
  [1739] = {.lex_state = 63, .external_lex_state = 14},
  [1740] = {.lex_state = 3, .external_lex_state = 14},
  [1741] = {.lex_state = 3, .external_lex_state = 14},
  [1742] = {.lex_state = 3, .external_lex_state = 14},
  [1743] = {.lex_state = 60, .external_lex_state = 14},
  [1744] = {.lex_state = 62, .external_lex_state = 14},
  [1745] = {.lex_state = 57, .external_lex_state = 14},
  [1746] = {.lex_state = 63, .external_lex_state = 14},
  [1747] = {.lex_state = 3, .external_lex_state = 14},
  [1748] = {.lex_state = 3, .external_lex_state = 14},
  [1749] = {.lex_state = 3, .external_lex_state = 14},
  [1750] = {.lex_state = 3, .external_lex_state = 14},
  [1751] = {.lex_state = 3, .external_lex_state = 14},
  [1752] = {.lex_state = 3, .external_lex_state = 14},
  [1753] = {.lex_state = 3, .external_lex_state = 14},
  [1754] = {.lex_state = 3, .external_lex_state = 14},
  [1755] = {.lex_state = 3, .external_lex_state = 14},
  [1756] = {.lex_state = 3, .external_lex_state = 14},
  [1757] = {.lex_state = 57, .external_lex_state = 14},
  [1758] = {.lex_state = 57, .external_lex_state = 14},
  [1759] = {.lex_state = 57, .external_lex_state = 14},
  [1760] = {.lex_state = 3, .external_lex_state = 14},
  [1761] = {.lex_state = 3, .external_lex_state = 14},
  [1762] = {.lex_state = 57, .external_lex_state = 14},
  [1763] = {.lex_state = 3, .external_lex_state = 14},
  [1764] = {.lex_state = 3, .external_lex_state = 14},
  [1765] = {.lex_state = 3, .external_lex_state = 14},
  [1766] = {.lex_state = 3, .external_lex_state = 14},
  [1767] = {.lex_state = 3, .external_lex_state = 14},
  [1768] = {.lex_state = 3, .external_lex_state = 14},
  [1769] = {.lex_state = 3, .external_lex_state = 14},
  [1770] = {.lex_state = 3, .external_lex_state = 14},
  [1771] = {.lex_state = 3, .external_lex_state = 14},
  [1772] = {.lex_state = 3, .external_lex_state = 14},
  [1773] = {.lex_state = 3, .external_lex_state = 14},
  [1774] = {.lex_state = 3, .external_lex_state = 14},
  [1775] = {.lex_state = 3, .external_lex_state = 14},
  [1776] = {.lex_state = 57, .external_lex_state = 14},
  [1777] = {.lex_state = 3, .external_lex_state = 14},
  [1778] = {.lex_state = 3, .external_lex_state = 14},
  [1779] = {.lex_state = 3, .external_lex_state = 14},
  [1780] = {.lex_state = 3, .external_lex_state = 14},
  [1781] = {.lex_state = 3, .external_lex_state = 14},
  [1782] = {.lex_state = 3, .external_lex_state = 14},
  [1783] = {.lex_state = 3, .external_lex_state = 14},
  [1784] = {.lex_state = 3, .external_lex_state = 14},
  [1785] = {.lex_state = 3, .external_lex_state = 14},
  [1786] = {.lex_state = 3, .external_lex_state = 14},
  [1787] = {.lex_state = 3, .external_lex_state = 14},
  [1788] = {.lex_state = 3, .external_lex_state = 14},
  [1789] = {.lex_state = 3, .external_lex_state = 14},
  [1790] = {.lex_state = 3, .external_lex_state = 14},
  [1791] = {.lex_state = 3, .external_lex_state = 14},
  [1792] = {.lex_state = 3, .external_lex_state = 14},
  [1793] = {.lex_state = 3, .external_lex_state = 14},
  [1794] = {.lex_state = 3, .external_lex_state = 14},
  [1795] = {.lex_state = 3, .external_lex_state = 14},
  [1796] = {.lex_state = 3, .external_lex_state = 14},
  [1797] = {.lex_state = 3, .external_lex_state = 14},
  [1798] = {.lex_state = 3, .external_lex_state = 14},
  [1799] = {.lex_state = 3, .external_lex_state = 14},
  [1800] = {.lex_state = 3, .external_lex_state = 14},
  [1801] = {.lex_state = 3, .external_lex_state = 14},
  [1802] = {.lex_state = 3, .external_lex_state = 14},
  [1803] = {.lex_state = 3, .external_lex_state = 14},
  [1804] = {.lex_state = 3, .external_lex_state = 14},
  [1805] = {.lex_state = 3, .external_lex_state = 14},
  [1806] = {.lex_state = 3, .external_lex_state = 14},
  [1807] = {.lex_state = 3, .external_lex_state = 14},
  [1808] = {.lex_state = 3, .external_lex_state = 14},
  [1809] = {.lex_state = 3, .external_lex_state = 14},
  [1810] = {.lex_state = 3, .external_lex_state = 14},
  [1811] = {.lex_state = 3, .external_lex_state = 14},
  [1812] = {.lex_state = 64, .external_lex_state = 14},
  [1813] = {.lex_state = 64, .external_lex_state = 14},
  [1814] = {.lex_state = 3, .external_lex_state = 14},
  [1815] = {.lex_state = 64, .external_lex_state = 16},
  [1816] = {.lex_state = 57, .external_lex_state = 14},
  [1817] = {.lex_state = 57, .external_lex_state = 14},
  [1818] = {.lex_state = 57, .external_lex_state = 14},
  [1819] = {.lex_state = 57, .external_lex_state = 14},
  [1820] = {.lex_state = 57, .external_lex_state = 14},
  [1821] = {.lex_state = 57, .external_lex_state = 14},
  [1822] = {.lex_state = 57, .external_lex_state = 14},
  [1823] = {.lex_state = 57, .external_lex_state = 14},
  [1824] = {.lex_state = 57, .external_lex_state = 14},
  [1825] = {.lex_state = 57, .external_lex_state = 14},
  [1826] = {.lex_state = 57, .external_lex_state = 14},
  [1827] = {.lex_state = 57, .external_lex_state = 14},
  [1828] = {.lex_state = 57, .external_lex_state = 14},
  [1829] = {.lex_state = 65, .external_lex_state = 14},
  [1830] = {.lex_state = 57, .external_lex_state = 14},
  [1831] = {.lex_state = 65, .external_lex_state = 14},
  [1832] = {.lex_state = 57, .external_lex_state = 14},
  [1833] = {.lex_state = 57, .external_lex_state = 14},
  [1834] = {.lex_state = 57, .external_lex_state = 14},
  [1835] = {.lex_state = 65, .external_lex_state = 14},
  [1836] = {.lex_state = 57, .external_lex_state = 14},
  [1837] = {.lex_state = 57, .external_lex_state = 14},
  [1838] = {.lex_state = 67, .external_lex_state = 14},
  [1839] = {.lex_state = 57, .external_lex_state = 14},
  [1840] = {.lex_state = 57, .external_lex_state = 14},
  [1841] = {.lex_state = 57, .external_lex_state = 14},
  [1842] = {.lex_state = 57, .external_lex_state = 14},
  [1843] = {.lex_state = 64, .external_lex_state = 16},
  [1844] = {.lex_state = 57, .external_lex_state = 14},
  [1845] = {.lex_state = 65, .external_lex_state = 16},
  [1846] = {.lex_state = 64, .external_lex_state = 14},
  [1847] = {.lex_state = 65, .external_lex_state = 16},
  [1848] = {.lex_state = 57, .external_lex_state = 14},
  [1849] = {.lex_state = 65, .external_lex_state = 16},
  [1850] = {.lex_state = 57, .external_lex_state = 14},
  [1851] = {.lex_state = 57, .external_lex_state = 14},
  [1852] = {.lex_state = 57, .external_lex_state = 14},
  [1853] = {.lex_state = 57, .external_lex_state = 14},
  [1854] = {.lex_state = 57, .external_lex_state = 14},
  [1855] = {.lex_state = 57, .external_lex_state = 14},
  [1856] = {.lex_state = 57, .external_lex_state = 14},
  [1857] = {.lex_state = 57, .external_lex_state = 14},
  [1858] = {.lex_state = 57, .external_lex_state = 14},
  [1859] = {.lex_state = 57, .external_lex_state = 14},
  [1860] = {.lex_state = 57, .external_lex_state = 14},
  [1861] = {.lex_state = 57, .external_lex_state = 14},
  [1862] = {.lex_state = 57, .external_lex_state = 14},
  [1863] = {.lex_state = 57, .external_lex_state = 14},
  [1864] = {.lex_state = 57, .external_lex_state = 14},
  [1865] = {.lex_state = 57, .external_lex_state = 14},
  [1866] = {.lex_state = 57, .external_lex_state = 14},
  [1867] = {.lex_state = 57, .external_lex_state = 14},
  [1868] = {.lex_state = 57, .external_lex_state = 14},
  [1869] = {.lex_state = 57, .external_lex_state = 14},
  [1870] = {.lex_state = 57, .external_lex_state = 14},
  [1871] = {.lex_state = 57, .external_lex_state = 14},
  [1872] = {.lex_state = 64, .external_lex_state = 16},
  [1873] = {.lex_state = 57, .external_lex_state = 14},
  [1874] = {.lex_state = 57, .external_lex_state = 14},
  [1875] = {.lex_state = 57, .external_lex_state = 14},
  [1876] = {.lex_state = 57, .external_lex_state = 14},
  [1877] = {.lex_state = 64, .external_lex_state = 16},
  [1878] = {.lex_state = 64, .external_lex_state = 16},
  [1879] = {.lex_state = 57, .external_lex_state = 14},
  [1880] = {.lex_state = 64, .external_lex_state = 16},
  [1881] = {.lex_state = 57, .external_lex_state = 14},
  [1882] = {.lex_state = 64, .external_lex_state = 16},
  [1883] = {.lex_state = 57, .external_lex_state = 14},
  [1884] = {.lex_state = 64, .external_lex_state = 16},
  [1885] = {.lex_state = 64, .external_lex_state = 16},
  [1886] = {.lex_state = 57, .external_lex_state = 14},
  [1887] = {.lex_state = 64, .external_lex_state = 16},
  [1888] = {.lex_state = 57, .external_lex_state = 14},
  [1889] = {.lex_state = 64, .external_lex_state = 16},
  [1890] = {.lex_state = 64, .external_lex_state = 16},
  [1891] = {.lex_state = 64, .external_lex_state = 16},
  [1892] = {.lex_state = 64, .external_lex_state = 16},
  [1893] = {.lex_state = 57, .external_lex_state = 14},
  [1894] = {.lex_state = 57, .external_lex_state = 14},
  [1895] = {.lex_state = 57, .external_lex_state = 14},
  [1896] = {.lex_state = 57, .external_lex_state = 14},
  [1897] = {.lex_state = 57, .external_lex_state = 14},
  [1898] = {.lex_state = 64, .external_lex_state = 16},
  [1899] = {.lex_state = 57, .external_lex_state = 14},
  [1900] = {.lex_state = 57, .external_lex_state = 14},
  [1901] = {.lex_state = 57, .external_lex_state = 14},
  [1902] = {.lex_state = 57, .external_lex_state = 14},
  [1903] = {.lex_state = 64, .external_lex_state = 16},
  [1904] = {.lex_state = 57, .external_lex_state = 14},
  [1905] = {.lex_state = 57, .external_lex_state = 14},
  [1906] = {.lex_state = 64, .external_lex_state = 16},
  [1907] = {.lex_state = 64, .external_lex_state = 16},
  [1908] = {.lex_state = 64, .external_lex_state = 16},
  [1909] = {.lex_state = 57, .external_lex_state = 14},
  [1910] = {.lex_state = 64, .external_lex_state = 16},
  [1911] = {.lex_state = 64, .external_lex_state = 16},
  [1912] = {.lex_state = 64, .external_lex_state = 16},
  [1913] = {.lex_state = 64, .external_lex_state = 16},
  [1914] = {.lex_state = 57, .external_lex_state = 14},
  [1915] = {.lex_state = 57, .external_lex_state = 14},
  [1916] = {.lex_state = 57, .external_lex_state = 14},
  [1917] = {.lex_state = 57, .external_lex_state = 14},
  [1918] = {.lex_state = 57, .external_lex_state = 14},
  [1919] = {.lex_state = 57, .external_lex_state = 14},
  [1920] = {.lex_state = 57, .external_lex_state = 14},
  [1921] = {.lex_state = 57, .external_lex_state = 14},
  [1922] = {.lex_state = 57, .external_lex_state = 14},
  [1923] = {.lex_state = 57, .external_lex_state = 14},
  [1924] = {.lex_state = 57, .external_lex_state = 14},
  [1925] = {.lex_state = 57, .external_lex_state = 14},
  [1926] = {.lex_state = 57, .external_lex_state = 14},
  [1927] = {.lex_state = 57, .external_lex_state = 14},
  [1928] = {.lex_state = 57, .external_lex_state = 14},
  [1929] = {.lex_state = 57, .external_lex_state = 14},
  [1930] = {.lex_state = 57, .external_lex_state = 14},
  [1931] = {.lex_state = 57, .external_lex_state = 14},
  [1932] = {.lex_state = 57, .external_lex_state = 14},
  [1933] = {.lex_state = 57, .external_lex_state = 14},
  [1934] = {.lex_state = 57, .external_lex_state = 14},
  [1935] = {.lex_state = 57, .external_lex_state = 14},
  [1936] = {.lex_state = 57, .external_lex_state = 14},
  [1937] = {.lex_state = 57, .external_lex_state = 14},
  [1938] = {.lex_state = 57, .external_lex_state = 14},
  [1939] = {.lex_state = 57, .external_lex_state = 14},
  [1940] = {.lex_state = 57, .external_lex_state = 14},
  [1941] = {.lex_state = 57, .external_lex_state = 14},
  [1942] = {.lex_state = 57, .external_lex_state = 14},
  [1943] = {.lex_state = 57, .external_lex_state = 14},
  [1944] = {.lex_state = 57, .external_lex_state = 14},
  [1945] = {.lex_state = 57, .external_lex_state = 14},
  [1946] = {.lex_state = 57, .external_lex_state = 14},
  [1947] = {.lex_state = 57, .external_lex_state = 14},
  [1948] = {.lex_state = 57, .external_lex_state = 14},
  [1949] = {.lex_state = 57, .external_lex_state = 14},
  [1950] = {.lex_state = 57, .external_lex_state = 14},
  [1951] = {.lex_state = 57, .external_lex_state = 14},
  [1952] = {.lex_state = 57, .external_lex_state = 14},
  [1953] = {.lex_state = 57, .external_lex_state = 14},
  [1954] = {.lex_state = 57, .external_lex_state = 14},
  [1955] = {.lex_state = 57, .external_lex_state = 14},
  [1956] = {.lex_state = 57, .external_lex_state = 14},
  [1957] = {.lex_state = 57, .external_lex_state = 14},
  [1958] = {.lex_state = 57, .external_lex_state = 14},
  [1959] = {.lex_state = 57, .external_lex_state = 14},
  [1960] = {.lex_state = 57, .external_lex_state = 14},
  [1961] = {.lex_state = 57, .external_lex_state = 14},
  [1962] = {.lex_state = 57, .external_lex_state = 14},
  [1963] = {.lex_state = 57, .external_lex_state = 14},
  [1964] = {.lex_state = 57, .external_lex_state = 14},
  [1965] = {.lex_state = 57, .external_lex_state = 14},
  [1966] = {.lex_state = 57, .external_lex_state = 14},
  [1967] = {.lex_state = 57, .external_lex_state = 14},
  [1968] = {.lex_state = 57, .external_lex_state = 14},
  [1969] = {.lex_state = 57, .external_lex_state = 14},
  [1970] = {.lex_state = 57, .external_lex_state = 14},
  [1971] = {.lex_state = 57, .external_lex_state = 14},
  [1972] = {.lex_state = 57, .external_lex_state = 14},
  [1973] = {.lex_state = 57, .external_lex_state = 14},
  [1974] = {.lex_state = 57, .external_lex_state = 14},
  [1975] = {.lex_state = 57, .external_lex_state = 14},
  [1976] = {.lex_state = 57, .external_lex_state = 14},
  [1977] = {.lex_state = 57, .external_lex_state = 14},
  [1978] = {.lex_state = 57, .external_lex_state = 14},
  [1979] = {.lex_state = 57, .external_lex_state = 14},
  [1980] = {.lex_state = 57, .external_lex_state = 14},
  [1981] = {.lex_state = 57, .external_lex_state = 14},
  [1982] = {.lex_state = 57, .external_lex_state = 14},
  [1983] = {.lex_state = 57, .external_lex_state = 14},
  [1984] = {.lex_state = 57, .external_lex_state = 14},
  [1985] = {.lex_state = 57, .external_lex_state = 14},
  [1986] = {.lex_state = 57, .external_lex_state = 14},
  [1987] = {.lex_state = 57, .external_lex_state = 14},
  [1988] = {.lex_state = 57, .external_lex_state = 14},
  [1989] = {.lex_state = 57, .external_lex_state = 14},
  [1990] = {.lex_state = 57, .external_lex_state = 14},
  [1991] = {.lex_state = 57, .external_lex_state = 14},
  [1992] = {.lex_state = 57, .external_lex_state = 14},
  [1993] = {.lex_state = 57, .external_lex_state = 14},
  [1994] = {.lex_state = 57, .external_lex_state = 14},
  [1995] = {.lex_state = 64, .external_lex_state = 14},
  [1996] = {.lex_state = 64, .external_lex_state = 14},
  [1997] = {.lex_state = 57, .external_lex_state = 14},
  [1998] = {.lex_state = 57, .external_lex_state = 14},
  [1999] = {.lex_state = 57, .external_lex_state = 14},
  [2000] = {.lex_state = 64, .external_lex_state = 14},
  [2001] = {.lex_state = 71, .external_lex_state = 14},
  [2002] = {.lex_state = 64, .external_lex_state = 14},
  [2003] = {.lex_state = 68, .external_lex_state = 14},
  [2004] = {.lex_state = 70, .external_lex_state = 14},
  [2005] = {.lex_state = 71, .external_lex_state = 14},
  [2006] = {.lex_state = 67, .external_lex_state = 14},
  [2007] = {.lex_state = 71, .external_lex_state = 14},
  [2008] = {.lex_state = 64, .external_lex_state = 16},
  [2009] = {.lex_state = 64, .external_lex_state = 14},
  [2010] = {.lex_state = 67, .external_lex_state = 16},
  [2011] = {.lex_state = 64, .external_lex_state = 16},
  [2012] = {.lex_state = 68, .external_lex_state = 14},
  [2013] = {.lex_state = 67, .external_lex_state = 14},
  [2014] = {.lex_state = 70, .external_lex_state = 14},
  [2015] = {.lex_state = 70, .external_lex_state = 14},
  [2016] = {.lex_state = 64, .external_lex_state = 14},
  [2017] = {.lex_state = 64, .external_lex_state = 14},
  [2018] = {.lex_state = 71, .external_lex_state = 14},
  [2019] = {.lex_state = 71, .external_lex_state = 14},
  [2020] = {.lex_state = 64, .external_lex_state = 14},
  [2021] = {.lex_state = 67, .external_lex_state = 14},
  [2022] = {.lex_state = 64, .external_lex_state = 16},
  [2023] = {.lex_state = 70, .external_lex_state = 14},
  [2024] = {.lex_state = 71, .external_lex_state = 14},
  [2025] = {.lex_state = 64, .external_lex_state = 14},
  [2026] = {.lex_state = 3, .external_lex_state = 14},
  [2027] = {.lex_state = 3, .external_lex_state = 14},
  [2028] = {.lex_state = 3, .external_lex_state = 14},
  [2029] = {.lex_state = 67, .external_lex_state = 14},
  [2030] = {.lex_state = 64, .external_lex_state = 14},
  [2031] = {.lex_state = 64, .external_lex_state = 16},
  [2032] = {.lex_state = 64, .external_lex_state = 14},
  [2033] = {.lex_state = 64, .external_lex_state = 14},
  [2034] = {.lex_state = 64, .external_lex_state = 14},
  [2035] = {.lex_state = 57, .external_lex_state = 14},
  [2036] = {.lex_state = 64, .external_lex_state = 14},
  [2037] = {.lex_state = 70, .external_lex_state = 14},
  [2038] = {.lex_state = 64, .external_lex_state = 14},
  [2039] = {.lex_state = 64, .external_lex_state = 14},
  [2040] = {.lex_state = 64, .external_lex_state = 14},
  [2041] = {.lex_state = 64, .external_lex_state = 14},
  [2042] = {.lex_state = 57, .external_lex_state = 14},
  [2043] = {.lex_state = 68, .external_lex_state = 14},
  [2044] = {.lex_state = 64, .external_lex_state = 14},
  [2045] = {.lex_state = 64, .external_lex_state = 14},
  [2046] = {.lex_state = 64, .external_lex_state = 14},
  [2047] = {.lex_state = 64, .external_lex_state = 14},
  [2048] = {.lex_state = 64, .external_lex_state = 14},
  [2049] = {.lex_state = 64, .external_lex_state = 14},
  [2050] = {.lex_state = 64, .external_lex_state = 14},
  [2051] = {.lex_state = 64, .external_lex_state = 16},
  [2052] = {.lex_state = 64, .external_lex_state = 14},
  [2053] = {.lex_state = 64, .external_lex_state = 14},
  [2054] = {.lex_state = 64, .external_lex_state = 14},
  [2055] = {.lex_state = 64, .external_lex_state = 14},
  [2056] = {.lex_state = 64, .external_lex_state = 14},
  [2057] = {.lex_state = 64, .external_lex_state = 14},
  [2058] = {.lex_state = 64, .external_lex_state = 14},
  [2059] = {.lex_state = 64, .external_lex_state = 16},
  [2060] = {.lex_state = 64, .external_lex_state = 16},
  [2061] = {.lex_state = 64, .external_lex_state = 16},
  [2062] = {.lex_state = 64, .external_lex_state = 14},
  [2063] = {.lex_state = 64, .external_lex_state = 14},
  [2064] = {.lex_state = 64, .external_lex_state = 16},
  [2065] = {.lex_state = 64, .external_lex_state = 16},
  [2066] = {.lex_state = 64, .external_lex_state = 14},
  [2067] = {.lex_state = 64, .external_lex_state = 16},
  [2068] = {.lex_state = 64, .external_lex_state = 16},
  [2069] = {.lex_state = 64, .external_lex_state = 14},
  [2070] = {.lex_state = 64, .external_lex_state = 16},
  [2071] = {.lex_state = 64, .external_lex_state = 14},
  [2072] = {.lex_state = 64, .external_lex_state = 14},
  [2073] = {.lex_state = 64, .external_lex_state = 16},
  [2074] = {.lex_state = 64, .external_lex_state = 16},
  [2075] = {.lex_state = 71, .external_lex_state = 16},
  [2076] = {.lex_state = 64, .external_lex_state = 14},
  [2077] = {.lex_state = 64, .external_lex_state = 16},
  [2078] = {.lex_state = 64, .external_lex_state = 14},
  [2079] = {.lex_state = 64, .external_lex_state = 14},
  [2080] = {.lex_state = 64, .external_lex_state = 14},
  [2081] = {.lex_state = 64, .external_lex_state = 16},
  [2082] = {.lex_state = 64, .external_lex_state = 14},
  [2083] = {.lex_state = 64, .external_lex_state = 14},
  [2084] = {.lex_state = 64, .external_lex_state = 14},
  [2085] = {.lex_state = 64, .external_lex_state = 16},
  [2086] = {.lex_state = 64, .external_lex_state = 16},
  [2087] = {.lex_state = 68, .external_lex_state = 16},
  [2088] = {.lex_state = 71, .external_lex_state = 16},
  [2089] = {.lex_state = 64, .external_lex_state = 14},
  [2090] = {.lex_state = 64, .external_lex_state = 16},
  [2091] = {.lex_state = 64, .external_lex_state = 16},
  [2092] = {.lex_state = 64, .external_lex_state = 14},
  [2093] = {.lex_state = 71, .external_lex_state = 16},
  [2094] = {.lex_state = 64, .external_lex_state = 16},
  [2095] = {.lex_state = 64, .external_lex_state = 16},
  [2096] = {.lex_state = 64, .external_lex_state = 14},
  [2097] = {.lex_state = 64, .external_lex_state = 16},
  [2098] = {.lex_state = 68, .external_lex_state = 16},
  [2099] = {.lex_state = 71, .external_lex_state = 16},
  [2100] = {.lex_state = 70, .external_lex_state = 16},
  [2101] = {.lex_state = 67, .external_lex_state = 16},
  [2102] = {.lex_state = 64, .external_lex_state = 14},
  [2103] = {.lex_state = 64, .external_lex_state = 14},
  [2104] = {.lex_state = 64, .external_lex_state = 14},
  [2105] = {.lex_state = 64, .external_lex_state = 16},
  [2106] = {.lex_state = 64, .external_lex_state = 14},
  [2107] = {.lex_state = 64, .external_lex_state = 16},
  [2108] = {.lex_state = 64, .external_lex_state = 16},
  [2109] = {.lex_state = 64, .external_lex_state = 14},
  [2110] = {.lex_state = 64, .external_lex_state = 14},
  [2111] = {.lex_state = 64, .external_lex_state = 16},
  [2112] = {.lex_state = 64, .external_lex_state = 14},
  [2113] = {.lex_state = 70, .external_lex_state = 16},
  [2114] = {.lex_state = 70, .external_lex_state = 16},
  [2115] = {.lex_state = 67, .external_lex_state = 16},
  [2116] = {.lex_state = 67, .external_lex_state = 16},
  [2117] = {.lex_state = 64, .external_lex_state = 14},
  [2118] = {.lex_state = 71, .external_lex_state = 16},
  [2119] = {.lex_state = 64, .external_lex_state = 14},
  [2120] = {.lex_state = 68, .external_lex_state = 16},
  [2121] = {.lex_state = 64, .external_lex_state = 14},
  [2122] = {.lex_state = 70, .external_lex_state = 16},
  [2123] = {.lex_state = 67, .external_lex_state = 16},
  [2124] = {.lex_state = 70, .external_lex_state = 16},
  [2125] = {.lex_state = 64, .external_lex_state = 14},
  [2126] = {.lex_state = 64, .external_lex_state = 14},
  [2127] = {.lex_state = 64, .external_lex_state = 14},
  [2128] = {.lex_state = 64, .external_lex_state = 14},
  [2129] = {.lex_state = 64, .external_lex_state = 14},
  [2130] = {.lex_state = 64, .external_lex_state = 14},
  [2131] = {.lex_state = 64, .external_lex_state = 14},
  [2132] = {.lex_state = 64, .external_lex_state = 14},
  [2133] = {.lex_state = 64, .external_lex_state = 14},
  [2134] = {.lex_state = 64, .external_lex_state = 14},
  [2135] = {.lex_state = 64, .external_lex_state = 14},
  [2136] = {.lex_state = 64, .external_lex_state = 14},
  [2137] = {.lex_state = 64, .external_lex_state = 14},
  [2138] = {.lex_state = 64, .external_lex_state = 16},
  [2139] = {.lex_state = 64, .external_lex_state = 14},
  [2140] = {.lex_state = 64, .external_lex_state = 16},
  [2141] = {.lex_state = 64, .external_lex_state = 16},
  [2142] = {.lex_state = 64, .external_lex_state = 14},
  [2143] = {.lex_state = 64, .external_lex_state = 14},
  [2144] = {.lex_state = 64, .external_lex_state = 16},
  [2145] = {.lex_state = 64, .external_lex_state = 14},
  [2146] = {.lex_state = 64, .external_lex_state = 14},
  [2147] = {.lex_state = 64, .external_lex_state = 14},
  [2148] = {.lex_state = 64, .external_lex_state = 14},
  [2149] = {.lex_state = 64, .external_lex_state = 14},
  [2150] = {.lex_state = 64, .external_lex_state = 14},
  [2151] = {.lex_state = 64, .external_lex_state = 14},
  [2152] = {.lex_state = 64, .external_lex_state = 14},
  [2153] = {.lex_state = 64, .external_lex_state = 14},
  [2154] = {.lex_state = 64, .external_lex_state = 14},
  [2155] = {.lex_state = 64, .external_lex_state = 14},
  [2156] = {.lex_state = 64, .external_lex_state = 14},
  [2157] = {.lex_state = 64, .external_lex_state = 14},
  [2158] = {.lex_state = 64, .external_lex_state = 14},
  [2159] = {.lex_state = 64, .external_lex_state = 14},
  [2160] = {.lex_state = 64, .external_lex_state = 14},
  [2161] = {.lex_state = 64, .external_lex_state = 14},
  [2162] = {.lex_state = 64, .external_lex_state = 14},
  [2163] = {.lex_state = 64, .external_lex_state = 14},
  [2164] = {.lex_state = 64, .external_lex_state = 14},
  [2165] = {.lex_state = 64, .external_lex_state = 14},
  [2166] = {.lex_state = 64, .external_lex_state = 14},
  [2167] = {.lex_state = 64, .external_lex_state = 14},
  [2168] = {.lex_state = 64, .external_lex_state = 14},
  [2169] = {.lex_state = 64, .external_lex_state = 14},
  [2170] = {.lex_state = 64, .external_lex_state = 14},
  [2171] = {.lex_state = 64, .external_lex_state = 14},
  [2172] = {.lex_state = 64, .external_lex_state = 14},
  [2173] = {.lex_state = 64, .external_lex_state = 14},
  [2174] = {.lex_state = 64, .external_lex_state = 14},
  [2175] = {.lex_state = 64, .external_lex_state = 14},
  [2176] = {.lex_state = 64, .external_lex_state = 14},
  [2177] = {.lex_state = 64, .external_lex_state = 14},
  [2178] = {.lex_state = 64, .external_lex_state = 14},
  [2179] = {.lex_state = 64, .external_lex_state = 14},
  [2180] = {.lex_state = 64, .external_lex_state = 14},
  [2181] = {.lex_state = 64, .external_lex_state = 14},
  [2182] = {.lex_state = 64, .external_lex_state = 14},
  [2183] = {.lex_state = 64, .external_lex_state = 14},
  [2184] = {.lex_state = 64, .external_lex_state = 14},
  [2185] = {.lex_state = 64, .external_lex_state = 14},
  [2186] = {.lex_state = 64, .external_lex_state = 14},
  [2187] = {.lex_state = 64, .external_lex_state = 16},
  [2188] = {.lex_state = 64, .external_lex_state = 14},
  [2189] = {.lex_state = 64, .external_lex_state = 14},
  [2190] = {.lex_state = 64, .external_lex_state = 14},
  [2191] = {.lex_state = 64, .external_lex_state = 14},
  [2192] = {.lex_state = 64, .external_lex_state = 14},
  [2193] = {.lex_state = 64, .external_lex_state = 14},
  [2194] = {.lex_state = 64, .external_lex_state = 14},
  [2195] = {.lex_state = 64, .external_lex_state = 14},
  [2196] = {.lex_state = 64, .external_lex_state = 14},
  [2197] = {.lex_state = 64, .external_lex_state = 14},
  [2198] = {.lex_state = 64, .external_lex_state = 14},
  [2199] = {.lex_state = 64, .external_lex_state = 14},
  [2200] = {.lex_state = 64, .external_lex_state = 14},
  [2201] = {.lex_state = 64, .external_lex_state = 14},
  [2202] = {.lex_state = 64, .external_lex_state = 16},
  [2203] = {.lex_state = 64, .external_lex_state = 14},
  [2204] = {.lex_state = 64, .external_lex_state = 14},
  [2205] = {.lex_state = 64, .external_lex_state = 14},
  [2206] = {.lex_state = 64, .external_lex_state = 14},
  [2207] = {.lex_state = 64, .external_lex_state = 14},
  [2208] = {.lex_state = 64, .external_lex_state = 14},
  [2209] = {.lex_state = 64, .external_lex_state = 14},
  [2210] = {.lex_state = 64, .external_lex_state = 14},
  [2211] = {.lex_state = 64, .external_lex_state = 14},
  [2212] = {.lex_state = 64, .external_lex_state = 14},
  [2213] = {.lex_state = 64, .external_lex_state = 14},
  [2214] = {.lex_state = 64, .external_lex_state = 14},
  [2215] = {.lex_state = 64, .external_lex_state = 14},
  [2216] = {.lex_state = 64, .external_lex_state = 14},
  [2217] = {.lex_state = 64, .external_lex_state = 14},
  [2218] = {.lex_state = 64, .external_lex_state = 14},
  [2219] = {.lex_state = 71, .external_lex_state = 16},
  [2220] = {.lex_state = 64, .external_lex_state = 16},
  [2221] = {.lex_state = 64, .external_lex_state = 16},
  [2222] = {.lex_state = 64, .external_lex_state = 16},
  [2223] = {.lex_state = 64, .external_lex_state = 16},
  [2224] = {.lex_state = 64, .external_lex_state = 16},
  [2225] = {.lex_state = 64, .external_lex_state = 16},
  [2226] = {.lex_state = 64, .external_lex_state = 16},
  [2227] = {.lex_state = 64, .external_lex_state = 16},
  [2228] = {.lex_state = 64, .external_lex_state = 16},
  [2229] = {.lex_state = 64, .external_lex_state = 16},
  [2230] = {.lex_state = 64, .external_lex_state = 16},
  [2231] = {.lex_state = 64, .external_lex_state = 16},
  [2232] = {.lex_state = 64, .external_lex_state = 16},
  [2233] = {.lex_state = 64, .external_lex_state = 16},
  [2234] = {.lex_state = 64, .external_lex_state = 16},
  [2235] = {.lex_state = 64, .external_lex_state = 16},
  [2236] = {.lex_state = 64, .external_lex_state = 16},
  [2237] = {.lex_state = 64, .external_lex_state = 16},
  [2238] = {.lex_state = 64, .external_lex_state = 16},
  [2239] = {.lex_state = 64, .external_lex_state = 16},
  [2240] = {.lex_state = 64, .external_lex_state = 14},
  [2241] = {.lex_state = 64, .external_lex_state = 16},
  [2242] = {.lex_state = 64, .external_lex_state = 16},
  [2243] = {.lex_state = 64, .external_lex_state = 16},
  [2244] = {.lex_state = 64, .external_lex_state = 16},
  [2245] = {.lex_state = 64, .external_lex_state = 16},
  [2246] = {.lex_state = 64, .external_lex_state = 16},
  [2247] = {.lex_state = 64, .external_lex_state = 16},
  [2248] = {.lex_state = 64, .external_lex_state = 16},
  [2249] = {.lex_state = 64, .external_lex_state = 16},
  [2250] = {.lex_state = 64, .external_lex_state = 16},
  [2251] = {.lex_state = 64, .external_lex_state = 16},
  [2252] = {.lex_state = 64, .external_lex_state = 16},
  [2253] = {.lex_state = 64, .external_lex_state = 16},
  [2254] = {.lex_state = 64, .external_lex_state = 14},
  [2255] = {.lex_state = 64, .external_lex_state = 16},
  [2256] = {.lex_state = 64, .external_lex_state = 16},
  [2257] = {.lex_state = 64, .external_lex_state = 16},
  [2258] = {.lex_state = 64, .external_lex_state = 16},
  [2259] = {.lex_state = 64, .external_lex_state = 16},
  [2260] = {.lex_state = 64, .external_lex_state = 16},
  [2261] = {.lex_state = 64, .external_lex_state = 16},
  [2262] = {.lex_state = 64, .external_lex_state = 16},
  [2263] = {.lex_state = 64, .external_lex_state = 16},
  [2264] = {.lex_state = 64, .external_lex_state = 16},
  [2265] = {.lex_state = 64, .external_lex_state = 16},
  [2266] = {.lex_state = 64, .external_lex_state = 16},
  [2267] = {.lex_state = 64, .external_lex_state = 16},
  [2268] = {.lex_state = 64, .external_lex_state = 16},
  [2269] = {.lex_state = 64, .external_lex_state = 16},
  [2270] = {.lex_state = 64, .external_lex_state = 16},
  [2271] = {.lex_state = 64, .external_lex_state = 16},
  [2272] = {.lex_state = 64, .external_lex_state = 16},
  [2273] = {.lex_state = 64, .external_lex_state = 16},
  [2274] = {.lex_state = 64, .external_lex_state = 16},
  [2275] = {.lex_state = 64, .external_lex_state = 16},
  [2276] = {.lex_state = 64, .external_lex_state = 16},
  [2277] = {.lex_state = 64, .external_lex_state = 16},
  [2278] = {.lex_state = 64, .external_lex_state = 16},
  [2279] = {.lex_state = 64, .external_lex_state = 16},
  [2280] = {.lex_state = 64, .external_lex_state = 16},
  [2281] = {.lex_state = 64, .external_lex_state = 16},
  [2282] = {.lex_state = 64, .external_lex_state = 16},
  [2283] = {.lex_state = 64, .external_lex_state = 16},
  [2284] = {.lex_state = 64, .external_lex_state = 14},
  [2285] = {.lex_state = 64, .external_lex_state = 14},
  [2286] = {.lex_state = 64, .external_lex_state = 16},
  [2287] = {.lex_state = 64, .external_lex_state = 14},
  [2288] = {.lex_state = 64, .external_lex_state = 16},
  [2289] = {.lex_state = 64, .external_lex_state = 16},
  [2290] = {.lex_state = 64, .external_lex_state = 16},
  [2291] = {.lex_state = 64, .external_lex_state = 16},
  [2292] = {.lex_state = 64, .external_lex_state = 16},
  [2293] = {.lex_state = 64, .external_lex_state = 16},
  [2294] = {.lex_state = 64, .external_lex_state = 16},
  [2295] = {.lex_state = 64, .external_lex_state = 16},
  [2296] = {.lex_state = 64, .external_lex_state = 14},
  [2297] = {.lex_state = 64, .external_lex_state = 14},
  [2298] = {.lex_state = 64, .external_lex_state = 16},
  [2299] = {.lex_state = 64, .external_lex_state = 16},
  [2300] = {.lex_state = 64, .external_lex_state = 16},
  [2301] = {.lex_state = 64, .external_lex_state = 16},
  [2302] = {.lex_state = 64, .external_lex_state = 16},
  [2303] = {.lex_state = 64, .external_lex_state = 16},
  [2304] = {.lex_state = 64, .external_lex_state = 14},
  [2305] = {.lex_state = 64, .external_lex_state = 14},
  [2306] = {.lex_state = 64, .external_lex_state = 16},
  [2307] = {.lex_state = 64, .external_lex_state = 16},
  [2308] = {.lex_state = 64, .external_lex_state = 14},
  [2309] = {.lex_state = 64, .external_lex_state = 16},
  [2310] = {.lex_state = 64, .external_lex_state = 16},
  [2311] = {.lex_state = 64, .external_lex_state = 14},
  [2312] = {.lex_state = 64, .external_lex_state = 16},
  [2313] = {.lex_state = 64, .external_lex_state = 16},
  [2314] = {.lex_state = 64, .external_lex_state = 16},
  [2315] = {.lex_state = 64, .external_lex_state = 16},
  [2316] = {.lex_state = 64, .external_lex_state = 14},
  [2317] = {.lex_state = 64, .external_lex_state = 16},
  [2318] = {.lex_state = 64, .external_lex_state = 16},
  [2319] = {.lex_state = 64, .external_lex_state = 16},
  [2320] = {.lex_state = 64, .external_lex_state = 16},
  [2321] = {.lex_state = 64, .external_lex_state = 16},
  [2322] = {.lex_state = 64, .external_lex_state = 16},
  [2323] = {.lex_state = 64, .external_lex_state = 16},
  [2324] = {.lex_state = 64, .external_lex_state = 16},
  [2325] = {.lex_state = 64, .external_lex_state = 16},
  [2326] = {.lex_state = 64, .external_lex_state = 16},
  [2327] = {.lex_state = 64, .external_lex_state = 16},
  [2328] = {.lex_state = 64, .external_lex_state = 14},
  [2329] = {.lex_state = 64, .external_lex_state = 16},
  [2330] = {.lex_state = 64, .external_lex_state = 16},
  [2331] = {.lex_state = 64, .external_lex_state = 14},
  [2332] = {.lex_state = 64, .external_lex_state = 14},
  [2333] = {.lex_state = 64, .external_lex_state = 16},
  [2334] = {.lex_state = 64, .external_lex_state = 16},
  [2335] = {.lex_state = 64, .external_lex_state = 14},
  [2336] = {.lex_state = 64, .external_lex_state = 14},
  [2337] = {.lex_state = 64, .external_lex_state = 14},
  [2338] = {.lex_state = 64, .external_lex_state = 16},
  [2339] = {.lex_state = 64, .external_lex_state = 16},
  [2340] = {.lex_state = 64, .external_lex_state = 16},
  [2341] = {.lex_state = 64, .external_lex_state = 14},
  [2342] = {.lex_state = 64, .external_lex_state = 16},
  [2343] = {.lex_state = 64, .external_lex_state = 16},
  [2344] = {.lex_state = 64, .external_lex_state = 16},
  [2345] = {.lex_state = 64, .external_lex_state = 16},
  [2346] = {.lex_state = 64, .external_lex_state = 16},
  [2347] = {.lex_state = 64, .external_lex_state = 16},
  [2348] = {.lex_state = 64, .external_lex_state = 16},
  [2349] = {.lex_state = 64, .external_lex_state = 16},
  [2350] = {.lex_state = 64, .external_lex_state = 16},
  [2351] = {.lex_state = 64, .external_lex_state = 16},
  [2352] = {.lex_state = 64, .external_lex_state = 16},
  [2353] = {.lex_state = 64, .external_lex_state = 16},
  [2354] = {.lex_state = 64, .external_lex_state = 16},
  [2355] = {.lex_state = 64, .external_lex_state = 16},
  [2356] = {.lex_state = 64, .external_lex_state = 16},
  [2357] = {.lex_state = 64, .external_lex_state = 16},
  [2358] = {.lex_state = 64, .external_lex_state = 16},
  [2359] = {.lex_state = 64, .external_lex_state = 16},
  [2360] = {.lex_state = 64, .external_lex_state = 14},
  [2361] = {.lex_state = 64, .external_lex_state = 14},
  [2362] = {.lex_state = 64, .external_lex_state = 16},
  [2363] = {.lex_state = 64, .external_lex_state = 14},
  [2364] = {.lex_state = 64, .external_lex_state = 16},
  [2365] = {.lex_state = 64, .external_lex_state = 16},
  [2366] = {.lex_state = 64, .external_lex_state = 16},
  [2367] = {.lex_state = 64, .external_lex_state = 16},
  [2368] = {.lex_state = 64, .external_lex_state = 16},
  [2369] = {.lex_state = 64, .external_lex_state = 16},
  [2370] = {.lex_state = 64, .external_lex_state = 16},
  [2371] = {.lex_state = 64, .external_lex_state = 16},
  [2372] = {.lex_state = 64, .external_lex_state = 14},
  [2373] = {.lex_state = 64, .external_lex_state = 16},
  [2374] = {.lex_state = 64, .external_lex_state = 16},
  [2375] = {.lex_state = 64, .external_lex_state = 14},
  [2376] = {.lex_state = 64, .external_lex_state = 16},
  [2377] = {.lex_state = 64, .external_lex_state = 16},
  [2378] = {.lex_state = 64, .external_lex_state = 14},
  [2379] = {.lex_state = 64, .external_lex_state = 16},
  [2380] = {.lex_state = 64, .external_lex_state = 14},
  [2381] = {.lex_state = 64, .external_lex_state = 14},
  [2382] = {.lex_state = 64, .external_lex_state = 14},
  [2383] = {.lex_state = 64, .external_lex_state = 14},
  [2384] = {.lex_state = 64, .external_lex_state = 16},
  [2385] = {.lex_state = 64, .external_lex_state = 16},
  [2386] = {.lex_state = 64, .external_lex_state = 16},
  [2387] = {.lex_state = 64, .external_lex_state = 16},
  [2388] = {.lex_state = 64, .external_lex_state = 16},
  [2389] = {.lex_state = 64, .external_lex_state = 14},
  [2390] = {.lex_state = 64, .external_lex_state = 16},
  [2391] = {.lex_state = 64, .external_lex_state = 14},
  [2392] = {.lex_state = 64, .external_lex_state = 14},
  [2393] = {.lex_state = 64, .external_lex_state = 14},
  [2394] = {.lex_state = 64, .external_lex_state = 14},
  [2395] = {.lex_state = 64, .external_lex_state = 14},
  [2396] = {.lex_state = 64, .external_lex_state = 14},
  [2397] = {.lex_state = 64, .external_lex_state = 14},
  [2398] = {.lex_state = 64, .external_lex_state = 14},
  [2399] = {.lex_state = 64, .external_lex_state = 14},
  [2400] = {.lex_state = 64, .external_lex_state = 14},
  [2401] = {.lex_state = 64, .external_lex_state = 14},
  [2402] = {.lex_state = 64, .external_lex_state = 14},
  [2403] = {.lex_state = 64, .external_lex_state = 14},
  [2404] = {.lex_state = 64, .external_lex_state = 14},
  [2405] = {.lex_state = 64, .external_lex_state = 14},
  [2406] = {.lex_state = 64, .external_lex_state = 14},
  [2407] = {.lex_state = 64, .external_lex_state = 14},
  [2408] = {.lex_state = 64, .external_lex_state = 14},
  [2409] = {.lex_state = 64, .external_lex_state = 14},
  [2410] = {.lex_state = 64, .external_lex_state = 14},
  [2411] = {.lex_state = 64, .external_lex_state = 14},
  [2412] = {.lex_state = 64, .external_lex_state = 14},
  [2413] = {.lex_state = 64, .external_lex_state = 14},
  [2414] = {.lex_state = 64, .external_lex_state = 14},
  [2415] = {.lex_state = 64, .external_lex_state = 14},
  [2416] = {.lex_state = 64, .external_lex_state = 14},
  [2417] = {.lex_state = 64, .external_lex_state = 14},
  [2418] = {.lex_state = 64, .external_lex_state = 14},
  [2419] = {.lex_state = 64, .external_lex_state = 14},
  [2420] = {.lex_state = 64, .external_lex_state = 14},
  [2421] = {.lex_state = 64, .external_lex_state = 14},
  [2422] = {.lex_state = 64, .external_lex_state = 14},
  [2423] = {.lex_state = 64, .external_lex_state = 14},
  [2424] = {.lex_state = 64, .external_lex_state = 14},
  [2425] = {.lex_state = 64, .external_lex_state = 14},
  [2426] = {.lex_state = 64, .external_lex_state = 14},
  [2427] = {.lex_state = 64, .external_lex_state = 14},
  [2428] = {.lex_state = 64, .external_lex_state = 14},
  [2429] = {.lex_state = 64, .external_lex_state = 14},
  [2430] = {.lex_state = 64, .external_lex_state = 14},
  [2431] = {.lex_state = 64, .external_lex_state = 14},
  [2432] = {.lex_state = 64, .external_lex_state = 14},
  [2433] = {.lex_state = 64, .external_lex_state = 14},
  [2434] = {.lex_state = 64, .external_lex_state = 14},
  [2435] = {.lex_state = 64, .external_lex_state = 14},
  [2436] = {.lex_state = 64, .external_lex_state = 14},
  [2437] = {.lex_state = 64, .external_lex_state = 14},
  [2438] = {.lex_state = 64, .external_lex_state = 14},
  [2439] = {.lex_state = 64, .external_lex_state = 14},
  [2440] = {.lex_state = 64, .external_lex_state = 14},
  [2441] = {.lex_state = 64, .external_lex_state = 14},
  [2442] = {.lex_state = 11, .external_lex_state = 18},
  [2443] = {.lex_state = 11, .external_lex_state = 18},
  [2444] = {.lex_state = 11, .external_lex_state = 18},
  [2445] = {.lex_state = 11, .external_lex_state = 18},
  [2446] = {.lex_state = 11, .external_lex_state = 18},
  [2447] = {.lex_state = 11, .external_lex_state = 18},
  [2448] = {.lex_state = 11, .external_lex_state = 18},
  [2449] = {.lex_state = 11, .external_lex_state = 18},
  [2450] = {.lex_state = 11, .external_lex_state = 18},
  [2451] = {.lex_state = 11, .external_lex_state = 18},
  [2452] = {.lex_state = 11, .external_lex_state = 19},
  [2453] = {.lex_state = 11, .external_lex_state = 19},
  [2454] = {.lex_state = 11, .external_lex_state = 19},
  [2455] = {.lex_state = 11, .external_lex_state = 19},
  [2456] = {.lex_state = 11, .external_lex_state = 19},
  [2457] = {.lex_state = 11, .external_lex_state = 19},
  [2458] = {.lex_state = 11, .external_lex_state = 19},
  [2459] = {.lex_state = 11, .external_lex_state = 19},
  [2460] = {.lex_state = 11, .external_lex_state = 19},
  [2461] = {.lex_state = 11, .external_lex_state = 19},
  [2462] = {.lex_state = 11, .external_lex_state = 19},
  [2463] = {.lex_state = 11, .external_lex_state = 19},
  [2464] = {.lex_state = 11, .external_lex_state = 19},
  [2465] = {.lex_state = 11, .external_lex_state = 19},
  [2466] = {.lex_state = 11, .external_lex_state = 19},
  [2467] = {.lex_state = 11, .external_lex_state = 19},
  [2468] = {.lex_state = 11, .external_lex_state = 19},
  [2469] = {.lex_state = 11, .external_lex_state = 19},
  [2470] = {.lex_state = 11, .external_lex_state = 19},
  [2471] = {.lex_state = 11, .external_lex_state = 19},
  [2472] = {.lex_state = 11, .external_lex_state = 19},
  [2473] = {.lex_state = 11, .external_lex_state = 19},
  [2474] = {.lex_state = 11, .external_lex_state = 19},
  [2475] = {.lex_state = 11, .external_lex_state = 19},
  [2476] = {.lex_state = 11, .external_lex_state = 19},
  [2477] = {.lex_state = 11, .external_lex_state = 19},
  [2478] = {.lex_state = 11, .external_lex_state = 19},
  [2479] = {.lex_state = 11, .external_lex_state = 19},
  [2480] = {.lex_state = 11, .external_lex_state = 19},
  [2481] = {.lex_state = 11, .external_lex_state = 19},
  [2482] = {.lex_state = 11, .external_lex_state = 20},
  [2483] = {.lex_state = 11, .external_lex_state = 20},
  [2484] = {.lex_state = 11, .external_lex_state = 20},
  [2485] = {.lex_state = 11, .external_lex_state = 20},
  [2486] = {.lex_state = 11, .external_lex_state = 20},
  [2487] = {.lex_state = 11, .external_lex_state = 20},
  [2488] = {.lex_state = 11, .external_lex_state = 20},
  [2489] = {.lex_state = 11, .external_lex_state = 20},
  [2490] = {.lex_state = 11, .external_lex_state = 20},
  [2491] = {.lex_state = 11, .external_lex_state = 20},
  [2492] = {.lex_state = 11, .external_lex_state = 20},
  [2493] = {.lex_state = 11, .external_lex_state = 20},
  [2494] = {.lex_state = 11, .external_lex_state = 20},
  [2495] = {.lex_state = 11, .external_lex_state = 20},
  [2496] = {.lex_state = 11, .external_lex_state = 20},
  [2497] = {.lex_state = 11, .external_lex_state = 20},
  [2498] = {.lex_state = 11, .external_lex_state = 20},
  [2499] = {.lex_state = 11, .external_lex_state = 20},
  [2500] = {.lex_state = 11, .external_lex_state = 20},
  [2501] = {.lex_state = 11, .external_lex_state = 20},
  [2502] = {.lex_state = 11, .external_lex_state = 20},
  [2503] = {.lex_state = 11, .external_lex_state = 20},
  [2504] = {.lex_state = 11, .external_lex_state = 20},
  [2505] = {.lex_state = 11, .external_lex_state = 19},
  [2506] = {.lex_state = 11, .external_lex_state = 20},
  [2507] = {.lex_state = 11, .external_lex_state = 20},
  [2508] = {.lex_state = 11, .external_lex_state = 18},
  [2509] = {.lex_state = 11, .external_lex_state = 20},
  [2510] = {.lex_state = 11, .external_lex_state = 20},
  [2511] = {.lex_state = 11, .external_lex_state = 20},
  [2512] = {.lex_state = 11, .external_lex_state = 20},
  [2513] = {.lex_state = 11, .external_lex_state = 20},
  [2514] = {.lex_state = 11, .external_lex_state = 20},
  [2515] = {.lex_state = 11, .external_lex_state = 20},
  [2516] = {.lex_state = 11, .external_lex_state = 20},
  [2517] = {.lex_state = 11, .external_lex_state = 20},
  [2518] = {.lex_state = 11, .external_lex_state = 20},
  [2519] = {.lex_state = 11, .external_lex_state = 20},
  [2520] = {.lex_state = 11, .external_lex_state = 20},
  [2521] = {.lex_state = 11, .external_lex_state = 20},
  [2522] = {.lex_state = 11, .external_lex_state = 20},
  [2523] = {.lex_state = 11, .external_lex_state = 20},
  [2524] = {.lex_state = 11, .external_lex_state = 20},
  [2525] = {.lex_state = 11, .external_lex_state = 20},
  [2526] = {.lex_state = 11, .external_lex_state = 20},
  [2527] = {.lex_state = 11, .external_lex_state = 20},
  [2528] = {.lex_state = 11, .external_lex_state = 20},
  [2529] = {.lex_state = 11, .external_lex_state = 20},
  [2530] = {.lex_state = 11, .external_lex_state = 20},
  [2531] = {.lex_state = 11, .external_lex_state = 20},
  [2532] = {.lex_state = 11, .external_lex_state = 20},
  [2533] = {.lex_state = 11, .external_lex_state = 20},
  [2534] = {.lex_state = 11, .external_lex_state = 20},
  [2535] = {.lex_state = 11, .external_lex_state = 20},
  [2536] = {.lex_state = 11, .external_lex_state = 20},
  [2537] = {.lex_state = 11, .external_lex_state = 20},
  [2538] = {.lex_state = 11, .external_lex_state = 20},
  [2539] = {.lex_state = 11, .external_lex_state = 20},
  [2540] = {.lex_state = 11, .external_lex_state = 20},
  [2541] = {.lex_state = 11, .external_lex_state = 20},
  [2542] = {.lex_state = 11, .external_lex_state = 20},
  [2543] = {.lex_state = 11, .external_lex_state = 20},
  [2544] = {.lex_state = 11, .external_lex_state = 20},
  [2545] = {.lex_state = 11, .external_lex_state = 20},
  [2546] = {.lex_state = 11, .external_lex_state = 20},
  [2547] = {.lex_state = 11, .external_lex_state = 20},
  [2548] = {.lex_state = 11, .external_lex_state = 20},
  [2549] = {.lex_state = 11, .external_lex_state = 20},
  [2550] = {.lex_state = 11, .external_lex_state = 21},
  [2551] = {.lex_state = 11, .external_lex_state = 22},
  [2552] = {.lex_state = 11, .external_lex_state = 22},
  [2553] = {.lex_state = 11, .external_lex_state = 21},
  [2554] = {.lex_state = 11, .external_lex_state = 22},
  [2555] = {.lex_state = 11, .external_lex_state = 21},
  [2556] = {.lex_state = 11, .external_lex_state = 21},
  [2557] = {.lex_state = 11, .external_lex_state = 21},
  [2558] = {.lex_state = 11, .external_lex_state = 12},
  [2559] = {.lex_state = 11, .external_lex_state = 12},
  [2560] = {.lex_state = 11, .external_lex_state = 12},
  [2561] = {.lex_state = 11, .external_lex_state = 12},
  [2562] = {.lex_state = 11, .external_lex_state = 12},
  [2563] = {.lex_state = 11, .external_lex_state = 12},
  [2564] = {.lex_state = 11, .external_lex_state = 12},
  [2565] = {.lex_state = 11, .external_lex_state = 12},
  [2566] = {.lex_state = 11, .external_lex_state = 12},
  [2567] = {.lex_state = 11, .external_lex_state = 12},
  [2568] = {.lex_state = 11, .external_lex_state = 12},
  [2569] = {.lex_state = 11, .external_lex_state = 12},
  [2570] = {.lex_state = 11, .external_lex_state = 12},
  [2571] = {.lex_state = 11, .external_lex_state = 12},
  [2572] = {.lex_state = 11, .external_lex_state = 12},
  [2573] = {.lex_state = 11, .external_lex_state = 12},
  [2574] = {.lex_state = 77, .external_lex_state = 23},
  [2575] = {.lex_state = 11, .external_lex_state = 12},
  [2576] = {.lex_state = 11, .external_lex_state = 12},
  [2577] = {.lex_state = 11, .external_lex_state = 12},
  [2578] = {.lex_state = 11, .external_lex_state = 12},
  [2579] = {.lex_state = 77, .external_lex_state = 23},
  [2580] = {.lex_state = 77, .external_lex_state = 23},
  [2581] = {.lex_state = 11, .external_lex_state = 12},
  [2582] = {.lex_state = 77, .external_lex_state = 23},
  [2583] = {.lex_state = 13, .external_lex_state = 24},
  [2584] = {.lex_state = 13, .external_lex_state = 25},
  [2585] = {.lex_state = 13, .external_lex_state = 18},
  [2586] = {.lex_state = 13, .external_lex_state = 24},
  [2587] = {.lex_state = 13, .external_lex_state = 25},
  [2588] = {.lex_state = 13, .external_lex_state = 24},
  [2589] = {.lex_state = 57, .external_lex_state = 14},
  [2590] = {.lex_state = 13, .external_lex_state = 14},
  [2591] = {.lex_state = 13, .external_lex_state = 24},
  [2592] = {.lex_state = 57, .external_lex_state = 14},
  [2593] = {.lex_state = 13, .external_lex_state = 19},
  [2594] = {.lex_state = 57, .external_lex_state = 14},
  [2595] = {.lex_state = 13, .external_lex_state = 14},
  [2596] = {.lex_state = 13, .external_lex_state = 25},
  [2597] = {.lex_state = 13, .external_lex_state = 25},
  [2598] = {.lex_state = 13, .external_lex_state = 14},
  [2599] = {.lex_state = 13, .external_lex_state = 25},
  [2600] = {.lex_state = 13, .external_lex_state = 24},
  [2601] = {.lex_state = 76, .external_lex_state = 26},
  [2602] = {.lex_state = 76, .external_lex_state = 27},
  [2603] = {.lex_state = 75, .external_lex_state = 14},
  [2604] = {.lex_state = 13, .external_lex_state = 28},
  [2605] = {.lex_state = 76, .external_lex_state = 26},
  [2606] = {.lex_state = 75, .external_lex_state = 14},
  [2607] = {.lex_state = 11, .external_lex_state = 29},
  [2608] = {.lex_state = 13, .external_lex_state = 19},
  [2609] = {.lex_state = 72, .external_lex_state = 14},
  [2610] = {.lex_state = 13, .external_lex_state = 18},
  [2611] = {.lex_state = 11, .external_lex_state = 29},
  [2612] = {.lex_state = 13, .external_lex_state = 19},
  [2613] = {.lex_state = 75, .external_lex_state = 14},
  [2614] = {.lex_state = 76, .external_lex_state = 26},
  [2615] = {.lex_state = 76, .external_lex_state = 26},
  [2616] = {.lex_state = 76, .external_lex_state = 26},
  [2617] = {.lex_state = 76, .external_lex_state = 26},
  [2618] = {.lex_state = 13, .external_lex_state = 28},
  [2619] = {.lex_state = 76, .external_lex_state = 26},
  [2620] = {.lex_state = 13, .external_lex_state = 25},
  [2621] = {.lex_state = 13, .external_lex_state = 25},
  [2622] = {.lex_state = 76, .external_lex_state = 26},
  [2623] = {.lex_state = 13, .external_lex_state = 28},
  [2624] = {.lex_state = 76, .external_lex_state = 26},
  [2625] = {.lex_state = 13, .external_lex_state = 28},
  [2626] = {.lex_state = 76, .external_lex_state = 26},
  [2627] = {.lex_state = 76, .external_lex_state = 26},
  [2628] = {.lex_state = 13, .external_lex_state = 28},
  [2629] = {.lex_state = 75, .external_lex_state = 14},
  [2630] = {.lex_state = 76, .external_lex_state = 26},
  [2631] = {.lex_state = 76, .external_lex_state = 26},
  [2632] = {.lex_state = 11, .external_lex_state = 29},
  [2633] = {.lex_state = 76, .external_lex_state = 26},
  [2634] = {.lex_state = 76, .external_lex_state = 26},
  [2635] = {.lex_state = 76, .external_lex_state = 26},
  [2636] = {.lex_state = 76, .external_lex_state = 26},
  [2637] = {.lex_state = 76, .external_lex_state = 26},
  [2638] = {.lex_state = 76, .external_lex_state = 27},
  [2639] = {.lex_state = 76, .external_lex_state = 26},
  [2640] = {.lex_state = 76, .external_lex_state = 26},
  [2641] = {.lex_state = 76, .external_lex_state = 26},
  [2642] = {.lex_state = 76, .external_lex_state = 26},
  [2643] = {.lex_state = 76, .external_lex_state = 26},
  [2644] = {.lex_state = 13, .external_lex_state = 20},
  [2645] = {.lex_state = 57, .external_lex_state = 14},
  [2646] = {.lex_state = 11, .external_lex_state = 29},
  [2647] = {.lex_state = 72, .external_lex_state = 14},
  [2648] = {.lex_state = 76, .external_lex_state = 27},
  [2649] = {.lex_state = 13, .external_lex_state = 18},
  [2650] = {.lex_state = 11, .external_lex_state = 29},
  [2651] = {.lex_state = 13, .external_lex_state = 19},
  [2652] = {.lex_state = 13, .external_lex_state = 19},
  [2653] = {.lex_state = 76, .external_lex_state = 27},
  [2654] = {.lex_state = 11, .external_lex_state = 29},
  [2655] = {.lex_state = 72, .external_lex_state = 14},
  [2656] = {.lex_state = 13, .external_lex_state = 18},
  [2657] = {.lex_state = 75, .external_lex_state = 14},
  [2658] = {.lex_state = 13, .external_lex_state = 18},
  [2659] = {.lex_state = 13, .external_lex_state = 18},
  [2660] = {.lex_state = 13, .external_lex_state = 18},
  [2661] = {.lex_state = 11, .external_lex_state = 29},
  [2662] = {.lex_state = 76, .external_lex_state = 27},
  [2663] = {.lex_state = 13, .external_lex_state = 19},
  [2664] = {.lex_state = 76, .external_lex_state = 26},
  [2665] = {.lex_state = 76, .external_lex_state = 26},
  [2666] = {.lex_state = 13, .external_lex_state = 19},
  [2667] = {.lex_state = 11, .external_lex_state = 29},
  [2668] = {.lex_state = 72, .external_lex_state = 14},
  [2669] = {.lex_state = 11, .external_lex_state = 29},
  [2670] = {.lex_state = 13, .external_lex_state = 19},
  [2671] = {.lex_state = 72, .external_lex_state = 14},
  [2672] = {.lex_state = 76, .external_lex_state = 27},
  [2673] = {.lex_state = 13, .external_lex_state = 18},
  [2674] = {.lex_state = 11, .external_lex_state = 29},
  [2675] = {.lex_state = 13, .external_lex_state = 18},
  [2676] = {.lex_state = 13, .external_lex_state = 24},
  [2677] = {.lex_state = 13, .external_lex_state = 19},
  [2678] = {.lex_state = 13, .external_lex_state = 24},
  [2679] = {.lex_state = 13, .external_lex_state = 30},
  [2680] = {.lex_state = 76, .external_lex_state = 14},
  [2681] = {.lex_state = 76, .external_lex_state = 14},
  [2682] = {.lex_state = 76, .external_lex_state = 14},
  [2683] = {.lex_state = 76, .external_lex_state = 14},
  [2684] = {.lex_state = 13, .external_lex_state = 19},
  [2685] = {.lex_state = 13, .external_lex_state = 18},
  [2686] = {.lex_state = 76, .external_lex_state = 14},
  [2687] = {.lex_state = 76, .external_lex_state = 14},
  [2688] = {.lex_state = 76, .external_lex_state = 14},
  [2689] = {.lex_state = 76, .external_lex_state = 14},
  [2690] = {.lex_state = 76, .external_lex_state = 14},
  [2691] = {.lex_state = 13, .external_lex_state = 18},
  [2692] = {.lex_state = 76, .external_lex_state = 14},
  [2693] = {.lex_state = 76, .external_lex_state = 14},
  [2694] = {.lex_state = 76, .external_lex_state = 14},
  [2695] = {.lex_state = 76, .external_lex_state = 14},
  [2696] = {.lex_state = 76, .external_lex_state = 14},
  [2697] = {.lex_state = 11, .external_lex_state = 20},
  [2698] = {.lex_state = 76, .external_lex_state = 14},
  [2699] = {.lex_state = 13, .external_lex_state = 19},
  [2700] = {.lex_state = 13, .external_lex_state = 30},
  [2701] = {.lex_state = 76, .external_lex_state = 14},
  [2702] = {.lex_state = 76, .external_lex_state = 14},
  [2703] = {.lex_state = 13, .external_lex_state = 19},
  [2704] = {.lex_state = 13, .external_lex_state = 14},
  [2705] = {.lex_state = 13, .external_lex_state = 19},
  [2706] = {.lex_state = 13, .external_lex_state = 14},
  [2707] = {.lex_state = 13, .external_lex_state = 19},
  [2708] = {.lex_state = 76, .external_lex_state = 14},
  [2709] = {.lex_state = 13, .external_lex_state = 14},
  [2710] = {.lex_state = 13, .external_lex_state = 19},
  [2711] = {.lex_state = 13, .external_lex_state = 30},
  [2712] = {.lex_state = 13, .external_lex_state = 18},
  [2713] = {.lex_state = 13, .external_lex_state = 18},
  [2714] = {.lex_state = 76, .external_lex_state = 14},
  [2715] = {.lex_state = 11, .external_lex_state = 20},
  [2716] = {.lex_state = 13, .external_lex_state = 30},
  [2717] = {.lex_state = 76, .external_lex_state = 14},
  [2718] = {.lex_state = 13, .external_lex_state = 14},
  [2719] = {.lex_state = 76, .external_lex_state = 14},
  [2720] = {.lex_state = 76, .external_lex_state = 14},
  [2721] = {.lex_state = 13, .external_lex_state = 14},
  [2722] = {.lex_state = 13, .external_lex_state = 19},
  [2723] = {.lex_state = 11, .external_lex_state = 20},
  [2724] = {.lex_state = 11, .external_lex_state = 20},
  [2725] = {.lex_state = 11, .external_lex_state = 20},
  [2726] = {.lex_state = 76, .external_lex_state = 14},
  [2727] = {.lex_state = 11, .external_lex_state = 20},
  [2728] = {.lex_state = 11, .external_lex_state = 20},
  [2729] = {.lex_state = 11, .external_lex_state = 20},
  [2730] = {.lex_state = 11, .external_lex_state = 20},
  [2731] = {.lex_state = 76, .external_lex_state = 14},
  [2732] = {.lex_state = 13, .external_lex_state = 14},
  [2733] = {.lex_state = 13, .external_lex_state = 20},
  [2734] = {.lex_state = 76, .external_lex_state = 14},
  [2735] = {.lex_state = 76, .external_lex_state = 14},
  [2736] = {.lex_state = 76, .external_lex_state = 14},
  [2737] = {.lex_state = 76, .external_lex_state = 14},
  [2738] = {.lex_state = 13, .external_lex_state = 20},
  [2739] = {.lex_state = 13, .external_lex_state = 14},
  [2740] = {.lex_state = 76, .external_lex_state = 14},
  [2741] = {.lex_state = 13, .external_lex_state = 22},
  [2742] = {.lex_state = 76, .external_lex_state = 14},
  [2743] = {.lex_state = 11, .external_lex_state = 20},
  [2744] = {.lex_state = 76, .external_lex_state = 14},
  [2745] = {.lex_state = 13, .external_lex_state = 20},
  [2746] = {.lex_state = 11, .external_lex_state = 12},
  [2747] = {.lex_state = 76, .external_lex_state = 14},
  [2748] = {.lex_state = 11, .external_lex_state = 20},
  [2749] = {.lex_state = 76, .external_lex_state = 14},
  [2750] = {.lex_state = 13, .external_lex_state = 14},
  [2751] = {.lex_state = 11, .external_lex_state = 20},
  [2752] = {.lex_state = 13, .external_lex_state = 20},
  [2753] = {.lex_state = 76, .external_lex_state = 14},
  [2754] = {.lex_state = 11, .external_lex_state = 20},
  [2755] = {.lex_state = 13, .external_lex_state = 19},
  [2756] = {.lex_state = 13, .external_lex_state = 19},
  [2757] = {.lex_state = 76, .external_lex_state = 14},
  [2758] = {.lex_state = 13, .external_lex_state = 19},
  [2759] = {.lex_state = 13, .external_lex_state = 19},
  [2760] = {.lex_state = 13, .external_lex_state = 18},
  [2761] = {.lex_state = 13, .external_lex_state = 18},
  [2762] = {.lex_state = 13, .external_lex_state = 18},
  [2763] = {.lex_state = 13, .external_lex_state = 28},
  [2764] = {.lex_state = 76, .external_lex_state = 14},
  [2765] = {.lex_state = 13, .external_lex_state = 14},
  [2766] = {.lex_state = 13, .external_lex_state = 18},
  [2767] = {.lex_state = 13, .external_lex_state = 18},
  [2768] = {.lex_state = 13, .external_lex_state = 30},
  [2769] = {.lex_state = 11, .external_lex_state = 12},
  [2770] = {.lex_state = 13, .external_lex_state = 18},
  [2771] = {.lex_state = 13, .external_lex_state = 18},
  [2772] = {.lex_state = 11, .external_lex_state = 20},
  [2773] = {.lex_state = 13, .external_lex_state = 28},
  [2774] = {.lex_state = 76, .external_lex_state = 14},
  [2775] = {.lex_state = 13, .external_lex_state = 20},
  [2776] = {.lex_state = 76, .external_lex_state = 14},
  [2777] = {.lex_state = 76, .external_lex_state = 14},
  [2778] = {.lex_state = 11, .external_lex_state = 20},
  [2779] = {.lex_state = 11, .external_lex_state = 20},
  [2780] = {.lex_state = 11, .external_lex_state = 20},
  [2781] = {.lex_state = 11, .external_lex_state = 20},
  [2782] = {.lex_state = 13, .external_lex_state = 20},
  [2783] = {.lex_state = 13, .external_lex_state = 20},
  [2784] = {.lex_state = 76, .external_lex_state = 14},
  [2785] = {.lex_state = 13, .external_lex_state = 20},
  [2786] = {.lex_state = 76, .external_lex_state = 14},
  [2787] = {.lex_state = 11, .external_lex_state = 20},
  [2788] = {.lex_state = 13, .external_lex_state = 14},
  [2789] = {.lex_state = 76, .external_lex_state = 14},
  [2790] = {.lex_state = 76, .external_lex_state = 14},
  [2791] = {.lex_state = 76, .external_lex_state = 14},
  [2792] = {.lex_state = 76, .external_lex_state = 14},
  [2793] = {.lex_state = 13, .external_lex_state = 14},
  [2794] = {.lex_state = 76, .external_lex_state = 14},
  [2795] = {.lex_state = 76, .external_lex_state = 14},
  [2796] = {.lex_state = 76, .external_lex_state = 14},
  [2797] = {.lex_state = 11, .external_lex_state = 20},
  [2798] = {.lex_state = 72, .external_lex_state = 16},
  [2799] = {.lex_state = 13, .external_lex_state = 22},
  [2800] = {.lex_state = 13, .external_lex_state = 22},
  [2801] = {.lex_state = 13, .external_lex_state = 22},
  [2802] = {.lex_state = 13, .external_lex_state = 30},
  [2803] = {.lex_state = 72, .external_lex_state = 31},
  [2804] = {.lex_state = 72, .external_lex_state = 16},
  [2805] = {.lex_state = 72, .external_lex_state = 31},
  [2806] = {.lex_state = 72, .external_lex_state = 31},
  [2807] = {.lex_state = 72, .external_lex_state = 31},
  [2808] = {.lex_state = 13, .external_lex_state = 20},
  [2809] = {.lex_state = 13, .external_lex_state = 20},
  [2810] = {.lex_state = 13, .external_lex_state = 22},
  [2811] = {.lex_state = 72, .external_lex_state = 31},
  [2812] = {.lex_state = 72, .external_lex_state = 31},
  [2813] = {.lex_state = 13, .external_lex_state = 22},
  [2814] = {.lex_state = 72, .external_lex_state = 31},
  [2815] = {.lex_state = 72, .external_lex_state = 31},
  [2816] = {.lex_state = 72, .external_lex_state = 31},
  [2817] = {.lex_state = 72, .external_lex_state = 16},
  [2818] = {.lex_state = 72, .external_lex_state = 31},
  [2819] = {.lex_state = 72, .external_lex_state = 31},
  [2820] = {.lex_state = 13, .external_lex_state = 20},
  [2821] = {.lex_state = 72, .external_lex_state = 31},
  [2822] = {.lex_state = 72, .external_lex_state = 31},
  [2823] = {.lex_state = 72, .external_lex_state = 31},
  [2824] = {.lex_state = 72, .external_lex_state = 31},
  [2825] = {.lex_state = 72, .external_lex_state = 31},
  [2826] = {.lex_state = 13, .external_lex_state = 20},
  [2827] = {.lex_state = 13, .external_lex_state = 22},
  [2828] = {.lex_state = 13, .external_lex_state = 14},
  [2829] = {.lex_state = 72, .external_lex_state = 31},
  [2830] = {.lex_state = 72, .external_lex_state = 31},
  [2831] = {.lex_state = 72, .external_lex_state = 31},
  [2832] = {.lex_state = 72, .external_lex_state = 31},
  [2833] = {.lex_state = 72, .external_lex_state = 31},
  [2834] = {.lex_state = 72, .external_lex_state = 31},
  [2835] = {.lex_state = 72, .external_lex_state = 31},
  [2836] = {.lex_state = 11, .external_lex_state = 29},
  [2837] = {.lex_state = 72, .external_lex_state = 16},
  [2838] = {.lex_state = 72, .external_lex_state = 31},
  [2839] = {.lex_state = 72, .external_lex_state = 16},
  [2840] = {.lex_state = 72, .external_lex_state = 31},
  [2841] = {.lex_state = 72, .external_lex_state = 31},
  [2842] = {.lex_state = 72, .external_lex_state = 31},
  [2843] = {.lex_state = 13, .external_lex_state = 20},
  [2844] = {.lex_state = 13, .external_lex_state = 20},
  [2845] = {.lex_state = 72, .external_lex_state = 31},
  [2846] = {.lex_state = 11, .external_lex_state = 20},
  [2847] = {.lex_state = 13, .external_lex_state = 22},
  [2848] = {.lex_state = 72, .external_lex_state = 16},
  [2849] = {.lex_state = 13, .external_lex_state = 30},
  [2850] = {.lex_state = 72, .external_lex_state = 31},
  [2851] = {.lex_state = 13, .external_lex_state = 20},
  [2852] = {.lex_state = 72, .external_lex_state = 31},
  [2853] = {.lex_state = 72, .external_lex_state = 31},
  [2854] = {.lex_state = 72, .external_lex_state = 31},
  [2855] = {.lex_state = 72, .external_lex_state = 31},
  [2856] = {.lex_state = 72, .external_lex_state = 31},
  [2857] = {.lex_state = 72, .external_lex_state = 31},
  [2858] = {.lex_state = 13, .external_lex_state = 20},
  [2859] = {.lex_state = 72, .external_lex_state = 16},
  [2860] = {.lex_state = 72, .external_lex_state = 31},
  [2861] = {.lex_state = 72, .external_lex_state = 31},
  [2862] = {.lex_state = 72, .external_lex_state = 16},
  [2863] = {.lex_state = 13, .external_lex_state = 22},
  [2864] = {.lex_state = 13, .external_lex_state = 20},
  [2865] = {.lex_state = 72, .external_lex_state = 16},
  [2866] = {.lex_state = 72, .external_lex_state = 31},
  [2867] = {.lex_state = 72, .external_lex_state = 31},
  [2868] = {.lex_state = 72, .external_lex_state = 31},
  [2869] = {.lex_state = 72, .external_lex_state = 31},
  [2870] = {.lex_state = 13, .external_lex_state = 20},
  [2871] = {.lex_state = 72, .external_lex_state = 16},
  [2872] = {.lex_state = 72, .external_lex_state = 16},
  [2873] = {.lex_state = 72, .external_lex_state = 31},
  [2874] = {.lex_state = 72, .external_lex_state = 31},
  [2875] = {.lex_state = 72, .external_lex_state = 16},
  [2876] = {.lex_state = 72, .external_lex_state = 31},
  [2877] = {.lex_state = 13, .external_lex_state = 20},
  [2878] = {.lex_state = 72, .external_lex_state = 32},
  [2879] = {.lex_state = 11, .external_lex_state = 18},
  [2880] = {.lex_state = 11, .external_lex_state = 18},
  [2881] = {.lex_state = 11, .external_lex_state = 18},
  [2882] = {.lex_state = 11, .external_lex_state = 18},
  [2883] = {.lex_state = 11, .external_lex_state = 18},
  [2884] = {.lex_state = 11, .external_lex_state = 19},
  [2885] = {.lex_state = 11, .external_lex_state = 18},
  [2886] = {.lex_state = 11, .external_lex_state = 18},
  [2887] = {.lex_state = 11, .external_lex_state = 19},
  [2888] = {.lex_state = 11, .external_lex_state = 19},
  [2889] = {.lex_state = 11, .external_lex_state = 19},
  [2890] = {.lex_state = 11, .external_lex_state = 18},
  [2891] = {.lex_state = 11, .external_lex_state = 19},
  [2892] = {.lex_state = 11, .external_lex_state = 18},
  [2893] = {.lex_state = 11, .external_lex_state = 18},
  [2894] = {.lex_state = 11, .external_lex_state = 18},
  [2895] = {.lex_state = 11, .external_lex_state = 18},
  [2896] = {.lex_state = 11, .external_lex_state = 19},
  [2897] = {.lex_state = 11, .external_lex_state = 18},
  [2898] = {.lex_state = 11, .external_lex_state = 19},
  [2899] = {.lex_state = 11, .external_lex_state = 18},
  [2900] = {.lex_state = 11, .external_lex_state = 19},
  [2901] = {.lex_state = 11, .external_lex_state = 19},
  [2902] = {.lex_state = 11, .external_lex_state = 19},
  [2903] = {.lex_state = 11, .external_lex_state = 19},
  [2904] = {.lex_state = 11, .external_lex_state = 18},
  [2905] = {.lex_state = 11, .external_lex_state = 18},
  [2906] = {.lex_state = 11, .external_lex_state = 18},
  [2907] = {.lex_state = 11, .external_lex_state = 19},
  [2908] = {.lex_state = 72, .external_lex_state = 31},
  [2909] = {.lex_state = 72, .external_lex_state = 31},
  [2910] = {.lex_state = 11, .external_lex_state = 18},
  [2911] = {.lex_state = 11, .external_lex_state = 18},
  [2912] = {.lex_state = 11, .external_lex_state = 18},
  [2913] = {.lex_state = 11, .external_lex_state = 18},
  [2914] = {.lex_state = 72, .external_lex_state = 31},
  [2915] = {.lex_state = 80, .external_lex_state = 16},
  [2916] = {.lex_state = 80, .external_lex_state = 16},
  [2917] = {.lex_state = 72, .external_lex_state = 32},
  [2918] = {.lex_state = 11, .external_lex_state = 18},
  [2919] = {.lex_state = 11, .external_lex_state = 18},
  [2920] = {.lex_state = 11, .external_lex_state = 18},
  [2921] = {.lex_state = 11, .external_lex_state = 19},
  [2922] = {.lex_state = 11, .external_lex_state = 19},
  [2923] = {.lex_state = 11, .external_lex_state = 19},
  [2924] = {.lex_state = 72, .external_lex_state = 31},
  [2925] = {.lex_state = 72, .external_lex_state = 31},
  [2926] = {.lex_state = 11, .external_lex_state = 18},
  [2927] = {.lex_state = 72, .external_lex_state = 31},
  [2928] = {.lex_state = 72, .external_lex_state = 31},
  [2929] = {.lex_state = 11, .external_lex_state = 19},
  [2930] = {.lex_state = 11, .external_lex_state = 19},
  [2931] = {.lex_state = 72, .external_lex_state = 31},
  [2932] = {.lex_state = 72, .external_lex_state = 31},
  [2933] = {.lex_state = 11, .external_lex_state = 19},
  [2934] = {.lex_state = 72, .external_lex_state = 31},
  [2935] = {.lex_state = 72, .external_lex_state = 31},
  [2936] = {.lex_state = 80, .external_lex_state = 16},
  [2937] = {.lex_state = 13, .external_lex_state = 22},
  [2938] = {.lex_state = 13, .external_lex_state = 22},
  [2939] = {.lex_state = 13, .external_lex_state = 22},
  [2940] = {.lex_state = 13, .external_lex_state = 22},
  [2941] = {.lex_state = 13, .external_lex_state = 22},
  [2942] = {.lex_state = 13, .external_lex_state = 22},
  [2943] = {.lex_state = 13, .external_lex_state = 22},
  [2944] = {.lex_state = 13, .external_lex_state = 22},
  [2945] = {.lex_state = 11, .external_lex_state = 19},
  [2946] = {.lex_state = 11, .external_lex_state = 19},
  [2947] = {.lex_state = 11, .external_lex_state = 19},
  [2948] = {.lex_state = 11, .external_lex_state = 19},
  [2949] = {.lex_state = 11, .external_lex_state = 19},
  [2950] = {.lex_state = 11, .external_lex_state = 19},
  [2951] = {.lex_state = 11, .external_lex_state = 18},
  [2952] = {.lex_state = 11, .external_lex_state = 19},
  [2953] = {.lex_state = 11, .external_lex_state = 19},
  [2954] = {.lex_state = 11, .external_lex_state = 19},
  [2955] = {.lex_state = 11, .external_lex_state = 19},
  [2956] = {.lex_state = 11, .external_lex_state = 19},
  [2957] = {.lex_state = 11, .external_lex_state = 18},
  [2958] = {.lex_state = 13, .external_lex_state = 22},
  [2959] = {.lex_state = 80, .external_lex_state = 16},
  [2960] = {.lex_state = 80, .external_lex_state = 16},
  [2961] = {.lex_state = 72, .external_lex_state = 32},
  [2962] = {.lex_state = 13, .external_lex_state = 22},
  [2963] = {.lex_state = 11, .external_lex_state = 18},
  [2964] = {.lex_state = 13, .external_lex_state = 22},
  [2965] = {.lex_state = 80, .external_lex_state = 16},
  [2966] = {.lex_state = 72, .external_lex_state = 31},
  [2967] = {.lex_state = 11, .external_lex_state = 14},
  [2968] = {.lex_state = 11, .external_lex_state = 29},
  [2969] = {.lex_state = 11, .external_lex_state = 12},
  [2970] = {.lex_state = 11, .external_lex_state = 12},
  [2971] = {.lex_state = 79, .external_lex_state = 27},
  [2972] = {.lex_state = 11, .external_lex_state = 20},
  [2973] = {.lex_state = 11, .external_lex_state = 29},
  [2974] = {.lex_state = 11, .external_lex_state = 20},
  [2975] = {.lex_state = 72, .external_lex_state = 31},
  [2976] = {.lex_state = 72, .external_lex_state = 16},
  [2977] = {.lex_state = 11, .external_lex_state = 20},
  [2978] = {.lex_state = 11, .external_lex_state = 20},
  [2979] = {.lex_state = 72, .external_lex_state = 16},
  [2980] = {.lex_state = 11, .external_lex_state = 14},
  [2981] = {.lex_state = 11, .external_lex_state = 14},
  [2982] = {.lex_state = 11, .external_lex_state = 20},
  [2983] = {.lex_state = 11, .external_lex_state = 20},
  [2984] = {.lex_state = 56, .external_lex_state = 14},
  [2985] = {.lex_state = 79, .external_lex_state = 27},
  [2986] = {.lex_state = 11, .external_lex_state = 20},
  [2987] = {.lex_state = 11, .external_lex_state = 20},
  [2988] = {.lex_state = 56, .external_lex_state = 14},
  [2989] = {.lex_state = 56, .external_lex_state = 14},
  [2990] = {.lex_state = 80, .external_lex_state = 16},
  [2991] = {.lex_state = 11, .external_lex_state = 29},
  [2992] = {.lex_state = 11, .external_lex_state = 20},
  [2993] = {.lex_state = 11, .external_lex_state = 20},
  [2994] = {.lex_state = 11, .external_lex_state = 20},
  [2995] = {.lex_state = 11, .external_lex_state = 20},
  [2996] = {.lex_state = 11, .external_lex_state = 20},
  [2997] = {.lex_state = 11, .external_lex_state = 14},
  [2998] = {.lex_state = 11, .external_lex_state = 20},
  [2999] = {.lex_state = 11, .external_lex_state = 20},
  [3000] = {.lex_state = 11, .external_lex_state = 20},
  [3001] = {.lex_state = 72, .external_lex_state = 31},
  [3002] = {.lex_state = 11, .external_lex_state = 20},
  [3003] = {.lex_state = 11, .external_lex_state = 29},
  [3004] = {.lex_state = 56, .external_lex_state = 14},
  [3005] = {.lex_state = 11, .external_lex_state = 20},
  [3006] = {.lex_state = 11, .external_lex_state = 20},
  [3007] = {.lex_state = 11, .external_lex_state = 20},
  [3008] = {.lex_state = 11, .external_lex_state = 20},
  [3009] = {.lex_state = 72, .external_lex_state = 31},
  [3010] = {.lex_state = 80, .external_lex_state = 14},
  [3011] = {.lex_state = 72, .external_lex_state = 16},
  [3012] = {.lex_state = 56, .external_lex_state = 14},
  [3013] = {.lex_state = 56, .external_lex_state = 14},
  [3014] = {.lex_state = 11, .external_lex_state = 20},
  [3015] = {.lex_state = 56, .external_lex_state = 14},
  [3016] = {.lex_state = 80, .external_lex_state = 14},
  [3017] = {.lex_state = 11, .external_lex_state = 20},
  [3018] = {.lex_state = 11, .external_lex_state = 20},
  [3019] = {.lex_state = 11, .external_lex_state = 20},
  [3020] = {.lex_state = 11, .external_lex_state = 20},
  [3021] = {.lex_state = 11, .external_lex_state = 12},
  [3022] = {.lex_state = 11, .external_lex_state = 20},
  [3023] = {.lex_state = 80, .external_lex_state = 16},
  [3024] = {.lex_state = 11, .external_lex_state = 20},
  [3025] = {.lex_state = 11, .external_lex_state = 20},
  [3026] = {.lex_state = 11, .external_lex_state = 20},
  [3027] = {.lex_state = 11, .external_lex_state = 12},
  [3028] = {.lex_state = 79, .external_lex_state = 27},
  [3029] = {.lex_state = 11, .external_lex_state = 20},
  [3030] = {.lex_state = 80, .external_lex_state = 16},
  [3031] = {.lex_state = 79, .external_lex_state = 27},
  [3032] = {.lex_state = 11, .external_lex_state = 20},
  [3033] = {.lex_state = 11, .external_lex_state = 22},
  [3034] = {.lex_state = 11, .external_lex_state = 22},
  [3035] = {.lex_state = 11, .external_lex_state = 22},
  [3036] = {.lex_state = 13, .external_lex_state = 14},
  [3037] = {.lex_state = 11, .external_lex_state = 22},
  [3038] = {.lex_state = 11, .external_lex_state = 22},
  [3039] = {.lex_state = 11, .external_lex_state = 22},
  [3040] = {.lex_state = 11, .external_lex_state = 22},
  [3041] = {.lex_state = 11, .external_lex_state = 22},
  [3042] = {.lex_state = 72, .external_lex_state = 32},
  [3043] = {.lex_state = 11, .external_lex_state = 22},
  [3044] = {.lex_state = 11, .external_lex_state = 22},
  [3045] = {.lex_state = 13, .external_lex_state = 12},
  [3046] = {.lex_state = 13, .external_lex_state = 12},
  [3047] = {.lex_state = 11, .external_lex_state = 22},
  [3048] = {.lex_state = 72, .external_lex_state = 32},
  [3049] = {.lex_state = 13, .external_lex_state = 12},
  [3050] = {.lex_state = 11, .external_lex_state = 22},
  [3051] = {.lex_state = 11, .external_lex_state = 22},
  [3052] = {.lex_state = 11, .external_lex_state = 22},
  [3053] = {.lex_state = 11, .external_lex_state = 22},
  [3054] = {.lex_state = 11, .external_lex_state = 22},
  [3055] = {.lex_state = 11, .external_lex_state = 22},
  [3056] = {.lex_state = 11, .external_lex_state = 22},
  [3057] = {.lex_state = 13, .external_lex_state = 14},
  [3058] = {.lex_state = 11, .external_lex_state = 22},
  [3059] = {.lex_state = 11, .external_lex_state = 22},
  [3060] = {.lex_state = 11, .external_lex_state = 22},
  [3061] = {.lex_state = 11, .external_lex_state = 22},
  [3062] = {.lex_state = 11, .external_lex_state = 22},
  [3063] = {.lex_state = 11, .external_lex_state = 22},
  [3064] = {.lex_state = 11, .external_lex_state = 22},
  [3065] = {.lex_state = 72, .external_lex_state = 32},
  [3066] = {.lex_state = 11, .external_lex_state = 22},
  [3067] = {.lex_state = 113, .external_lex_state = 33},
  [3068] = {.lex_state = 113, .external_lex_state = 33},
  [3069] = {.lex_state = 3, .external_lex_state = 31},
  [3070] = {.lex_state = 3, .external_lex_state = 31},
  [3071] = {.lex_state = 3, .external_lex_state = 31},
  [3072] = {.lex_state = 3, .external_lex_state = 31},
  [3073] = {.lex_state = 3, .external_lex_state = 31},
  [3074] = {.lex_state = 3, .external_lex_state = 31},
  [3075] = {.lex_state = 113, .external_lex_state = 33},
  [3076] = {.lex_state = 3, .external_lex_state = 31},
  [3077] = {.lex_state = 3, .external_lex_state = 31},
  [3078] = {.lex_state = 113, .external_lex_state = 33},
  [3079] = {.lex_state = 3, .external_lex_state = 31},
  [3080] = {.lex_state = 73, .external_lex_state = 14},
  [3081] = {.lex_state = 3, .external_lex_state = 31},
  [3082] = {.lex_state = 72, .external_lex_state = 34},
  [3083] = {.lex_state = 113, .external_lex_state = 33},
  [3084] = {.lex_state = 3, .external_lex_state = 31},
  [3085] = {.lex_state = 3, .external_lex_state = 31},
  [3086] = {.lex_state = 3, .external_lex_state = 31},
  [3087] = {.lex_state = 3, .external_lex_state = 31},
  [3088] = {.lex_state = 3, .external_lex_state = 16},
  [3089] = {.lex_state = 3, .external_lex_state = 31},
  [3090] = {.lex_state = 3, .external_lex_state = 31},
  [3091] = {.lex_state = 3, .external_lex_state = 31},
  [3092] = {.lex_state = 3, .external_lex_state = 16},
  [3093] = {.lex_state = 113, .external_lex_state = 33},
  [3094] = {.lex_state = 113, .external_lex_state = 33},
  [3095] = {.lex_state = 113, .external_lex_state = 33},
  [3096] = {.lex_state = 3, .external_lex_state = 31},
  [3097] = {.lex_state = 3, .external_lex_state = 31},
  [3098] = {.lex_state = 3, .external_lex_state = 31},
  [3099] = {.lex_state = 113, .external_lex_state = 33},
  [3100] = {.lex_state = 3, .external_lex_state = 31},
  [3101] = {.lex_state = 3, .external_lex_state = 31},
  [3102] = {.lex_state = 3, .external_lex_state = 31},
  [3103] = {.lex_state = 3, .external_lex_state = 31},
  [3104] = {.lex_state = 3, .external_lex_state = 16},
  [3105] = {.lex_state = 113, .external_lex_state = 33},
  [3106] = {.lex_state = 3, .external_lex_state = 31},
  [3107] = {.lex_state = 73, .external_lex_state = 14},
  [3108] = {.lex_state = 113, .external_lex_state = 33},
  [3109] = {.lex_state = 113, .external_lex_state = 33},
  [3110] = {.lex_state = 72, .external_lex_state = 34},
  [3111] = {.lex_state = 3, .external_lex_state = 16},
  [3112] = {.lex_state = 3, .external_lex_state = 16},
  [3113] = {.lex_state = 3, .external_lex_state = 31},
  [3114] = {.lex_state = 3, .external_lex_state = 31},
  [3115] = {.lex_state = 3, .external_lex_state = 31},
  [3116] = {.lex_state = 3, .external_lex_state = 31},
  [3117] = {.lex_state = 3, .external_lex_state = 31},
  [3118] = {.lex_state = 3, .external_lex_state = 16},
  [3119] = {.lex_state = 3, .external_lex_state = 31},
  [3120] = {.lex_state = 113, .external_lex_state = 33},
  [3121] = {.lex_state = 3, .external_lex_state = 31},
  [3122] = {.lex_state = 72, .external_lex_state = 17},
  [3123] = {.lex_state = 113, .external_lex_state = 33},
  [3124] = {.lex_state = 113, .external_lex_state = 33},
  [3125] = {.lex_state = 113, .external_lex_state = 33},
  [3126] = {.lex_state = 113, .external_lex_state = 33},
  [3127] = {.lex_state = 113, .external_lex_state = 33},
  [3128] = {.lex_state = 72, .external_lex_state = 17},
  [3129] = {.lex_state = 113, .external_lex_state = 33},
  [3130] = {.lex_state = 3, .external_lex_state = 31},
  [3131] = {.lex_state = 3, .external_lex_state = 31},
  [3132] = {.lex_state = 3, .external_lex_state = 31},
  [3133] = {.lex_state = 3, .external_lex_state = 31},
  [3134] = {.lex_state = 113, .external_lex_state = 33},
  [3135] = {.lex_state = 3, .external_lex_state = 31},
  [3136] = {.lex_state = 3, .external_lex_state = 31},
  [3137] = {.lex_state = 3, .external_lex_state = 31},
  [3138] = {.lex_state = 3, .external_lex_state = 31},
  [3139] = {.lex_state = 3, .external_lex_state = 31},
  [3140] = {.lex_state = 3, .external_lex_state = 31},
  [3141] = {.lex_state = 3, .external_lex_state = 31},
  [3142] = {.lex_state = 73, .external_lex_state = 14},
  [3143] = {.lex_state = 3, .external_lex_state = 31},
  [3144] = {.lex_state = 113, .external_lex_state = 31},
  [3145] = {.lex_state = 113, .external_lex_state = 35},
  [3146] = {.lex_state = 113, .external_lex_state = 35},
  [3147] = {.lex_state = 113, .external_lex_state = 16},
  [3148] = {.lex_state = 113, .external_lex_state = 31},
  [3149] = {.lex_state = 113, .external_lex_state = 31},
  [3150] = {.lex_state = 113, .external_lex_state = 31},
  [3151] = {.lex_state = 72, .external_lex_state = 36},
  [3152] = {.lex_state = 113, .external_lex_state = 31},
  [3153] = {.lex_state = 113, .external_lex_state = 31},
  [3154] = {.lex_state = 113, .external_lex_state = 35},
  [3155] = {.lex_state = 113, .external_lex_state = 35},
  [3156] = {.lex_state = 113, .external_lex_state = 35},
  [3157] = {.lex_state = 113, .external_lex_state = 35},
  [3158] = {.lex_state = 113, .external_lex_state = 31},
  [3159] = {.lex_state = 113, .external_lex_state = 35},
  [3160] = {.lex_state = 74, .external_lex_state = 14},
  [3161] = {.lex_state = 113, .external_lex_state = 31},
  [3162] = {.lex_state = 113, .external_lex_state = 31},
  [3163] = {.lex_state = 113, .external_lex_state = 35},
  [3164] = {.lex_state = 113, .external_lex_state = 35},
  [3165] = {.lex_state = 113, .external_lex_state = 16},
  [3166] = {.lex_state = 113, .external_lex_state = 31},
  [3167] = {.lex_state = 113, .external_lex_state = 31},
  [3168] = {.lex_state = 113, .external_lex_state = 35},
  [3169] = {.lex_state = 113, .external_lex_state = 16},
  [3170] = {.lex_state = 74, .external_lex_state = 14},
  [3171] = {.lex_state = 3, .external_lex_state = 32},
  [3172] = {.lex_state = 80, .external_lex_state = 16},
  [3173] = {.lex_state = 113, .external_lex_state = 35},
  [3174] = {.lex_state = 113, .external_lex_state = 35},
  [3175] = {.lex_state = 74, .external_lex_state = 14},
  [3176] = {.lex_state = 113, .external_lex_state = 35},
  [3177] = {.lex_state = 113, .external_lex_state = 31},
  [3178] = {.lex_state = 113, .external_lex_state = 31},
  [3179] = {.lex_state = 113, .external_lex_state = 16},
  [3180] = {.lex_state = 72, .external_lex_state = 36},
  [3181] = {.lex_state = 113, .external_lex_state = 35},
  [3182] = {.lex_state = 113, .external_lex_state = 35},
  [3183] = {.lex_state = 113, .external_lex_state = 31},
  [3184] = {.lex_state = 113, .external_lex_state = 31},
  [3185] = {.lex_state = 113, .external_lex_state = 35},
  [3186] = {.lex_state = 113, .external_lex_state = 16},
  [3187] = {.lex_state = 113, .external_lex_state = 16},
  [3188] = {.lex_state = 113, .external_lex_state = 31},
  [3189] = {.lex_state = 72, .external_lex_state = 16},
  [3190] = {.lex_state = 113, .external_lex_state = 35},
  [3191] = {.lex_state = 72, .external_lex_state = 31},
  [3192] = {.lex_state = 113, .external_lex_state = 35},
  [3193] = {.lex_state = 113, .external_lex_state = 35},
  [3194] = {.lex_state = 113, .external_lex_state = 35},
  [3195] = {.lex_state = 80, .external_lex_state = 14},
  [3196] = {.lex_state = 113, .external_lex_state = 35},
  [3197] = {.lex_state = 113, .external_lex_state = 35},
  [3198] = {.lex_state = 113, .external_lex_state = 35},
  [3199] = {.lex_state = 113, .external_lex_state = 35},
  [3200] = {.lex_state = 113, .external_lex_state = 35},
  [3201] = {.lex_state = 113, .external_lex_state = 35},
  [3202] = {.lex_state = 113, .external_lex_state = 35},
  [3203] = {.lex_state = 113, .external_lex_state = 31},
  [3204] = {.lex_state = 113, .external_lex_state = 35},
  [3205] = {.lex_state = 113, .external_lex_state = 35},
  [3206] = {.lex_state = 72, .external_lex_state = 31},
  [3207] = {.lex_state = 113, .external_lex_state = 16},
  [3208] = {.lex_state = 72, .external_lex_state = 16},
  [3209] = {.lex_state = 113, .external_lex_state = 35},
  [3210] = {.lex_state = 113, .external_lex_state = 16},
  [3211] = {.lex_state = 113, .external_lex_state = 35},
  [3212] = {.lex_state = 113, .external_lex_state = 35},
  [3213] = {.lex_state = 113, .external_lex_state = 35},
  [3214] = {.lex_state = 57, .external_lex_state = 14},
  [3215] = {.lex_state = 57, .external_lex_state = 14},
  [3216] = {.lex_state = 113, .external_lex_state = 35},
  [3217] = {.lex_state = 74, .external_lex_state = 14},
  [3218] = {.lex_state = 113, .external_lex_state = 35},
  [3219] = {.lex_state = 113, .external_lex_state = 35},
  [3220] = {.lex_state = 81, .external_lex_state = 14},
  [3221] = {.lex_state = 113, .external_lex_state = 35},
  [3222] = {.lex_state = 113, .external_lex_state = 35},
  [3223] = {.lex_state = 113, .external_lex_state = 16},
  [3224] = {.lex_state = 113, .external_lex_state = 35},
  [3225] = {.lex_state = 113, .external_lex_state = 16},
  [3226] = {.lex_state = 13, .external_lex_state = 14},
  [3227] = {.lex_state = 113, .external_lex_state = 35},
  [3228] = {.lex_state = 113, .external_lex_state = 31},
  [3229] = {.lex_state = 113, .external_lex_state = 31},
  [3230] = {.lex_state = 113, .external_lex_state = 35},
  [3231] = {.lex_state = 113, .external_lex_state = 31},
  [3232] = {.lex_state = 113, .external_lex_state = 35},
  [3233] = {.lex_state = 113, .external_lex_state = 35},
  [3234] = {.lex_state = 113, .external_lex_state = 35},
  [3235] = {.lex_state = 13, .external_lex_state = 12},
  [3236] = {.lex_state = 113, .external_lex_state = 31},
  [3237] = {.lex_state = 113, .external_lex_state = 35},
  [3238] = {.lex_state = 113, .external_lex_state = 16},
  [3239] = {.lex_state = 113, .external_lex_state = 31},
  [3240] = {.lex_state = 113, .external_lex_state = 35},
  [3241] = {.lex_state = 113, .external_lex_state = 35},
  [3242] = {.lex_state = 13, .external_lex_state = 12},
  [3243] = {.lex_state = 113, .external_lex_state = 35},
  [3244] = {.lex_state = 74, .external_lex_state = 14},
  [3245] = {.lex_state = 113, .external_lex_state = 35},
  [3246] = {.lex_state = 113, .external_lex_state = 35},
  [3247] = {.lex_state = 74, .external_lex_state = 14},
  [3248] = {.lex_state = 74, .external_lex_state = 14},
  [3249] = {.lex_state = 113, .external_lex_state = 35},
  [3250] = {.lex_state = 113, .external_lex_state = 35},
  [3251] = {.lex_state = 113, .external_lex_state = 35},
  [3252] = {.lex_state = 113, .external_lex_state = 31},
  [3253] = {.lex_state = 113, .external_lex_state = 35},
  [3254] = {.lex_state = 113, .external_lex_state = 31},
  [3255] = {.lex_state = 13, .external_lex_state = 14},
  [3256] = {.lex_state = 113, .external_lex_state = 35},
  [3257] = {.lex_state = 113, .external_lex_state = 31},
  [3258] = {.lex_state = 113, .external_lex_state = 31},
  [3259] = {.lex_state = 113, .external_lex_state = 35},
  [3260] = {.lex_state = 113, .external_lex_state = 35},
  [3261] = {.lex_state = 113, .external_lex_state = 35},
  [3262] = {.lex_state = 113, .external_lex_state = 35},
  [3263] = {.lex_state = 81, .external_lex_state = 14},
  [3264] = {.lex_state = 113, .external_lex_state = 31},
  [3265] = {.lex_state = 57, .external_lex_state = 14},
  [3266] = {.lex_state = 113, .external_lex_state = 16},
  [3267] = {.lex_state = 113, .external_lex_state = 31},
  [3268] = {.lex_state = 72, .external_lex_state = 16},
  [3269] = {.lex_state = 113, .external_lex_state = 31},
  [3270] = {.lex_state = 113, .external_lex_state = 31},
  [3271] = {.lex_state = 113, .external_lex_state = 31},
  [3272] = {.lex_state = 113, .external_lex_state = 35},
  [3273] = {.lex_state = 113, .external_lex_state = 35},
  [3274] = {.lex_state = 113, .external_lex_state = 35},
  [3275] = {.lex_state = 80, .external_lex_state = 14},
  [3276] = {.lex_state = 113, .external_lex_state = 31},
  [3277] = {.lex_state = 113, .external_lex_state = 31},
  [3278] = {.lex_state = 113, .external_lex_state = 35},
  [3279] = {.lex_state = 113, .external_lex_state = 31},
  [3280] = {.lex_state = 113, .external_lex_state = 31},
  [3281] = {.lex_state = 113, .external_lex_state = 31},
  [3282] = {.lex_state = 113, .external_lex_state = 31},
  [3283] = {.lex_state = 113, .external_lex_state = 35},
  [3284] = {.lex_state = 113, .external_lex_state = 35},
  [3285] = {.lex_state = 113, .external_lex_state = 35},
  [3286] = {.lex_state = 113, .external_lex_state = 35},
  [3287] = {.lex_state = 113, .external_lex_state = 35},
  [3288] = {.lex_state = 113, .external_lex_state = 35},
  [3289] = {.lex_state = 113, .external_lex_state = 16},
  [3290] = {.lex_state = 113, .external_lex_state = 35},
  [3291] = {.lex_state = 113, .external_lex_state = 35},
  [3292] = {.lex_state = 113, .external_lex_state = 16},
  [3293] = {.lex_state = 113, .external_lex_state = 35},
  [3294] = {.lex_state = 80, .external_lex_state = 14},
  [3295] = {.lex_state = 80, .external_lex_state = 14},
  [3296] = {.lex_state = 113, .external_lex_state = 35},
  [3297] = {.lex_state = 74, .external_lex_state = 14},
  [3298] = {.lex_state = 113, .external_lex_state = 35},
  [3299] = {.lex_state = 113, .external_lex_state = 31},
  [3300] = {.lex_state = 113, .external_lex_state = 35},
  [3301] = {.lex_state = 113, .external_lex_state = 31},
  [3302] = {.lex_state = 113, .external_lex_state = 35},
  [3303] = {.lex_state = 57, .external_lex_state = 14},
  [3304] = {.lex_state = 113, .external_lex_state = 31},
  [3305] = {.lex_state = 81, .external_lex_state = 14},
  [3306] = {.lex_state = 113, .external_lex_state = 35},
  [3307] = {.lex_state = 113, .external_lex_state = 35},
  [3308] = {.lex_state = 113, .external_lex_state = 35},
  [3309] = {.lex_state = 113, .external_lex_state = 35},
  [3310] = {.lex_state = 74, .external_lex_state = 14},
  [3311] = {.lex_state = 3, .external_lex_state = 32},
  [3312] = {.lex_state = 13, .external_lex_state = 12},
  [3313] = {.lex_state = 113, .external_lex_state = 35},
  [3314] = {.lex_state = 113, .external_lex_state = 35},
  [3315] = {.lex_state = 57, .external_lex_state = 14},
  [3316] = {.lex_state = 113, .external_lex_state = 31},
  [3317] = {.lex_state = 113, .external_lex_state = 35},
  [3318] = {.lex_state = 113, .external_lex_state = 31},
  [3319] = {.lex_state = 113, .external_lex_state = 35},
  [3320] = {.lex_state = 113, .external_lex_state = 35},
  [3321] = {.lex_state = 113, .external_lex_state = 35},
  [3322] = {.lex_state = 113, .external_lex_state = 35},
  [3323] = {.lex_state = 113, .external_lex_state = 35},
  [3324] = {.lex_state = 72, .external_lex_state = 31},
  [3325] = {.lex_state = 113, .external_lex_state = 31},
  [3326] = {.lex_state = 113, .external_lex_state = 35},
  [3327] = {.lex_state = 113, .external_lex_state = 31},
  [3328] = {.lex_state = 113, .external_lex_state = 35},
  [3329] = {.lex_state = 113, .external_lex_state = 35},
  [3330] = {.lex_state = 74, .external_lex_state = 14},
  [3331] = {.lex_state = 3, .external_lex_state = 32},
  [3332] = {.lex_state = 113, .external_lex_state = 35},
  [3333] = {.lex_state = 113, .external_lex_state = 35},
  [3334] = {.lex_state = 57, .external_lex_state = 14},
  [3335] = {.lex_state = 113, .external_lex_state = 35},
  [3336] = {.lex_state = 80, .external_lex_state = 14},
  [3337] = {.lex_state = 113, .external_lex_state = 35},
  [3338] = {.lex_state = 113, .external_lex_state = 35},
  [3339] = {.lex_state = 113, .external_lex_state = 35},
  [3340] = {.lex_state = 113, .external_lex_state = 35},
  [3341] = {.lex_state = 113, .external_lex_state = 16},
  [3342] = {.lex_state = 113, .external_lex_state = 35},
  [3343] = {.lex_state = 113, .external_lex_state = 35},
  [3344] = {.lex_state = 78, .external_lex_state = 14},
  [3345] = {.lex_state = 13, .external_lex_state = 14},
  [3346] = {.lex_state = 113, .external_lex_state = 14},
  [3347] = {.lex_state = 72, .external_lex_state = 32},
  [3348] = {.lex_state = 78, .external_lex_state = 14},
  [3349] = {.lex_state = 78, .external_lex_state = 14},
  [3350] = {.lex_state = 113, .external_lex_state = 14},
  [3351] = {.lex_state = 13, .external_lex_state = 14},
  [3352] = {.lex_state = 13, .external_lex_state = 14},
  [3353] = {.lex_state = 113, .external_lex_state = 35},
  [3354] = {.lex_state = 113, .external_lex_state = 14},
  [3355] = {.lex_state = 78, .external_lex_state = 14},
  [3356] = {.lex_state = 13, .external_lex_state = 14},
  [3357] = {.lex_state = 113, .external_lex_state = 16},
  [3358] = {.lex_state = 78, .external_lex_state = 14},
  [3359] = {.lex_state = 78, .external_lex_state = 14},
  [3360] = {.lex_state = 113, .external_lex_state = 16},
  [3361] = {.lex_state = 13, .external_lex_state = 14},
  [3362] = {.lex_state = 78, .external_lex_state = 14},
  [3363] = {.lex_state = 13, .external_lex_state = 14},
  [3364] = {.lex_state = 78, .external_lex_state = 14},
  [3365] = {.lex_state = 78, .external_lex_state = 14},
  [3366] = {.lex_state = 78, .external_lex_state = 14},
  [3367] = {.lex_state = 3, .external_lex_state = 14},
  [3368] = {.lex_state = 78, .external_lex_state = 14},
  [3369] = {.lex_state = 113, .external_lex_state = 33},
  [3370] = {.lex_state = 78, .external_lex_state = 14},
  [3371] = {.lex_state = 78, .external_lex_state = 14},
  [3372] = {.lex_state = 78, .external_lex_state = 14},
  [3373] = {.lex_state = 78, .external_lex_state = 14},
  [3374] = {.lex_state = 113, .external_lex_state = 32},
  [3375] = {.lex_state = 57, .external_lex_state = 14},
  [3376] = {.lex_state = 76, .external_lex_state = 14},
  [3377] = {.lex_state = 72, .external_lex_state = 32},
  [3378] = {.lex_state = 13, .external_lex_state = 14},
  [3379] = {.lex_state = 78, .external_lex_state = 14},
  [3380] = {.lex_state = 113, .external_lex_state = 14},
  [3381] = {.lex_state = 3, .external_lex_state = 14},
  [3382] = {.lex_state = 3, .external_lex_state = 14},
  [3383] = {.lex_state = 113, .external_lex_state = 14},
  [3384] = {.lex_state = 13, .external_lex_state = 14},
  [3385] = {.lex_state = 3, .external_lex_state = 14},
  [3386] = {.lex_state = 72, .external_lex_state = 32},
  [3387] = {.lex_state = 76, .external_lex_state = 14},
  [3388] = {.lex_state = 13, .external_lex_state = 14},
  [3389] = {.lex_state = 13, .external_lex_state = 14},
  [3390] = {.lex_state = 113, .external_lex_state = 32},
  [3391] = {.lex_state = 113, .external_lex_state = 32},
  [3392] = {.lex_state = 78, .external_lex_state = 14},
  [3393] = {.lex_state = 13, .external_lex_state = 14},
  [3394] = {.lex_state = 13, .external_lex_state = 14},
  [3395] = {.lex_state = 78, .external_lex_state = 14},
  [3396] = {.lex_state = 80, .external_lex_state = 14},
  [3397] = {.lex_state = 80, .external_lex_state = 14},
  [3398] = {.lex_state = 3, .external_lex_state = 31},
  [3399] = {.lex_state = 113, .external_lex_state = 37},
  [3400] = {.lex_state = 80, .external_lex_state = 14},
  [3401] = {.lex_state = 80, .external_lex_state = 14},
  [3402] = {.lex_state = 80, .external_lex_state = 14},
  [3403] = {.lex_state = 113, .external_lex_state = 14},
  [3404] = {.lex_state = 80, .external_lex_state = 14},
  [3405] = {.lex_state = 80, .external_lex_state = 14},
  [3406] = {.lex_state = 113, .external_lex_state = 14},
  [3407] = {.lex_state = 113, .external_lex_state = 35},
  [3408] = {.lex_state = 72, .external_lex_state = 14},
  [3409] = {.lex_state = 80, .external_lex_state = 14},
  [3410] = {.lex_state = 113, .external_lex_state = 37},
  [3411] = {.lex_state = 113, .external_lex_state = 37},
  [3412] = {.lex_state = 113, .external_lex_state = 37},
  [3413] = {.lex_state = 113, .external_lex_state = 37},
  [3414] = {.lex_state = 80, .external_lex_state = 14},
  [3415] = {.lex_state = 80, .external_lex_state = 14},
  [3416] = {.lex_state = 113, .external_lex_state = 14},
  [3417] = {.lex_state = 80, .external_lex_state = 14},
  [3418] = {.lex_state = 113, .external_lex_state = 33},
  [3419] = {.lex_state = 80, .external_lex_state = 14},
  [3420] = {.lex_state = 113, .external_lex_state = 14},
  [3421] = {.lex_state = 80, .external_lex_state = 14},
  [3422] = {.lex_state = 80, .external_lex_state = 14},
  [3423] = {.lex_state = 113, .external_lex_state = 35},
  [3424] = {.lex_state = 80, .external_lex_state = 14},
  [3425] = {.lex_state = 80, .external_lex_state = 14},
  [3426] = {.lex_state = 80, .external_lex_state = 14},
  [3427] = {.lex_state = 80, .external_lex_state = 14},
  [3428] = {.lex_state = 80, .external_lex_state = 14},
  [3429] = {.lex_state = 80, .external_lex_state = 14},
  [3430] = {.lex_state = 72, .external_lex_state = 14},
  [3431] = {.lex_state = 80, .external_lex_state = 14},
  [3432] = {.lex_state = 80, .external_lex_state = 14},
  [3433] = {.lex_state = 113, .external_lex_state = 14},
  [3434] = {.lex_state = 80, .external_lex_state = 14},
  [3435] = {.lex_state = 113, .external_lex_state = 14},
  [3436] = {.lex_state = 11, .external_lex_state = 14},
  [3437] = {.lex_state = 80, .external_lex_state = 14},
  [3438] = {.lex_state = 80, .external_lex_state = 14},
  [3439] = {.lex_state = 80, .external_lex_state = 14},
  [3440] = {.lex_state = 80, .external_lex_state = 14},
  [3441] = {.lex_state = 80, .external_lex_state = 14},
  [3442] = {.lex_state = 80, .external_lex_state = 14},
  [3443] = {.lex_state = 80, .external_lex_state = 14},
  [3444] = {.lex_state = 80, .external_lex_state = 14},
  [3445] = {.lex_state = 80, .external_lex_state = 14},
  [3446] = {.lex_state = 80, .external_lex_state = 14},
  [3447] = {.lex_state = 80, .external_lex_state = 14},
  [3448] = {.lex_state = 80, .external_lex_state = 14},
  [3449] = {.lex_state = 80, .external_lex_state = 14},
  [3450] = {.lex_state = 80, .external_lex_state = 14},
  [3451] = {.lex_state = 80, .external_lex_state = 14},
  [3452] = {.lex_state = 80, .external_lex_state = 14},
  [3453] = {.lex_state = 113, .external_lex_state = 14},
  [3454] = {.lex_state = 80, .external_lex_state = 14},
  [3455] = {.lex_state = 80, .external_lex_state = 14},
  [3456] = {.lex_state = 80, .external_lex_state = 14},
  [3457] = {.lex_state = 113, .external_lex_state = 37},
  [3458] = {.lex_state = 113, .external_lex_state = 37},
  [3459] = {.lex_state = 113, .external_lex_state = 37},
  [3460] = {.lex_state = 113, .external_lex_state = 37},
  [3461] = {.lex_state = 80, .external_lex_state = 14},
  [3462] = {.lex_state = 80, .external_lex_state = 14},
  [3463] = {.lex_state = 80, .external_lex_state = 14},
  [3464] = {.lex_state = 80, .external_lex_state = 14},
  [3465] = {.lex_state = 80, .external_lex_state = 14},
  [3466] = {.lex_state = 80, .external_lex_state = 14},
  [3467] = {.lex_state = 80, .external_lex_state = 14},
  [3468] = {.lex_state = 113, .external_lex_state = 14},
  [3469] = {.lex_state = 80, .external_lex_state = 14},
  [3470] = {.lex_state = 80, .external_lex_state = 14},
  [3471] = {.lex_state = 113, .external_lex_state = 14},
  [3472] = {.lex_state = 80, .external_lex_state = 14},
  [3473] = {.lex_state = 113, .external_lex_state = 35},
  [3474] = {.lex_state = 80, .external_lex_state = 14},
  [3475] = {.lex_state = 80, .external_lex_state = 14},
  [3476] = {.lex_state = 80, .external_lex_state = 14},
  [3477] = {.lex_state = 80, .external_lex_state = 14},
  [3478] = {.lex_state = 80, .external_lex_state = 14},
  [3479] = {.lex_state = 80, .external_lex_state = 14},
  [3480] = {.lex_state = 80, .external_lex_state = 14},
  [3481] = {.lex_state = 80, .external_lex_state = 14},
  [3482] = {.lex_state = 80, .external_lex_state = 14},
  [3483] = {.lex_state = 80, .external_lex_state = 14},
  [3484] = {.lex_state = 80, .external_lex_state = 14},
  [3485] = {.lex_state = 80, .external_lex_state = 14},
  [3486] = {.lex_state = 80, .external_lex_state = 14},
  [3487] = {.lex_state = 80, .external_lex_state = 14},
  [3488] = {.lex_state = 113, .external_lex_state = 14},
  [3489] = {.lex_state = 80, .external_lex_state = 14},
  [3490] = {.lex_state = 80, .external_lex_state = 14},
  [3491] = {.lex_state = 80, .external_lex_state = 14},
  [3492] = {.lex_state = 80, .external_lex_state = 14},
  [3493] = {.lex_state = 113, .external_lex_state = 37},
  [3494] = {.lex_state = 80, .external_lex_state = 14},
  [3495] = {.lex_state = 80, .external_lex_state = 14},
  [3496] = {.lex_state = 113, .external_lex_state = 37},
  [3497] = {.lex_state = 113, .external_lex_state = 37},
  [3498] = {.lex_state = 113, .external_lex_state = 37},
  [3499] = {.lex_state = 113, .external_lex_state = 37},
  [3500] = {.lex_state = 113, .external_lex_state = 37},
  [3501] = {.lex_state = 80, .external_lex_state = 14},
  [3502] = {.lex_state = 80, .external_lex_state = 14},
  [3503] = {.lex_state = 80, .external_lex_state = 14},
  [3504] = {.lex_state = 80, .external_lex_state = 14},
  [3505] = {.lex_state = 80, .external_lex_state = 14},
  [3506] = {.lex_state = 113, .external_lex_state = 37},
  [3507] = {.lex_state = 11, .external_lex_state = 14},
  [3508] = {.lex_state = 80, .external_lex_state = 14},
  [3509] = {.lex_state = 11, .external_lex_state = 14},
  [3510] = {.lex_state = 80, .external_lex_state = 14},
  [3511] = {.lex_state = 11, .external_lex_state = 14},
  [3512] = {.lex_state = 80, .external_lex_state = 14},
  [3513] = {.lex_state = 80, .external_lex_state = 14},
  [3514] = {.lex_state = 80, .external_lex_state = 14},
  [3515] = {.lex_state = 113, .external_lex_state = 14},
  [3516] = {.lex_state = 80, .external_lex_state = 14},
  [3517] = {.lex_state = 80, .external_lex_state = 14},
  [3518] = {.lex_state = 80, .external_lex_state = 14},
  [3519] = {.lex_state = 11, .external_lex_state = 14},
  [3520] = {.lex_state = 80, .external_lex_state = 14},
  [3521] = {.lex_state = 80, .external_lex_state = 14},
  [3522] = {.lex_state = 80, .external_lex_state = 14},
  [3523] = {.lex_state = 113, .external_lex_state = 37},
  [3524] = {.lex_state = 11, .external_lex_state = 14},
  [3525] = {.lex_state = 11, .external_lex_state = 14},
  [3526] = {.lex_state = 80, .external_lex_state = 14},
  [3527] = {.lex_state = 113, .external_lex_state = 14},
  [3528] = {.lex_state = 80, .external_lex_state = 14},
  [3529] = {.lex_state = 11, .external_lex_state = 14},
  [3530] = {.lex_state = 80, .external_lex_state = 14},
  [3531] = {.lex_state = 113, .external_lex_state = 14},
  [3532] = {.lex_state = 113, .external_lex_state = 37},
  [3533] = {.lex_state = 113, .external_lex_state = 37},
  [3534] = {.lex_state = 113, .external_lex_state = 37},
  [3535] = {.lex_state = 80, .external_lex_state = 14},
  [3536] = {.lex_state = 80, .external_lex_state = 14},
  [3537] = {.lex_state = 80, .external_lex_state = 14},
  [3538] = {.lex_state = 72, .external_lex_state = 14},
  [3539] = {.lex_state = 113, .external_lex_state = 37},
  [3540] = {.lex_state = 80, .external_lex_state = 14},
  [3541] = {.lex_state = 80, .external_lex_state = 14},
  [3542] = {.lex_state = 80, .external_lex_state = 14},
  [3543] = {.lex_state = 72, .external_lex_state = 14},
  [3544] = {.lex_state = 80, .external_lex_state = 14},
  [3545] = {.lex_state = 80, .external_lex_state = 14},
  [3546] = {.lex_state = 80, .external_lex_state = 14},
  [3547] = {.lex_state = 80, .external_lex_state = 14},
  [3548] = {.lex_state = 113, .external_lex_state = 33},
  [3549] = {.lex_state = 80, .external_lex_state = 14},
  [3550] = {.lex_state = 72, .external_lex_state = 14},
  [3551] = {.lex_state = 80, .external_lex_state = 14},
  [3552] = {.lex_state = 80, .external_lex_state = 14},
  [3553] = {.lex_state = 113, .external_lex_state = 14},
  [3554] = {.lex_state = 80, .external_lex_state = 14},
  [3555] = {.lex_state = 113, .external_lex_state = 35},
  [3556] = {.lex_state = 80, .external_lex_state = 14},
  [3557] = {.lex_state = 72, .external_lex_state = 14},
  [3558] = {.lex_state = 80, .external_lex_state = 14},
  [3559] = {.lex_state = 80, .external_lex_state = 14},
  [3560] = {.lex_state = 113, .external_lex_state = 37},
  [3561] = {.lex_state = 80, .external_lex_state = 14},
  [3562] = {.lex_state = 80, .external_lex_state = 14},
  [3563] = {.lex_state = 80, .external_lex_state = 14},
  [3564] = {.lex_state = 80, .external_lex_state = 14},
  [3565] = {.lex_state = 80, .external_lex_state = 14},
  [3566] = {.lex_state = 80, .external_lex_state = 14},
  [3567] = {.lex_state = 72, .external_lex_state = 14},
  [3568] = {.lex_state = 80, .external_lex_state = 14},
  [3569] = {.lex_state = 80, .external_lex_state = 14},
  [3570] = {.lex_state = 80, .external_lex_state = 14},
  [3571] = {.lex_state = 80, .external_lex_state = 14},
  [3572] = {.lex_state = 113, .external_lex_state = 14},
  [3573] = {.lex_state = 80, .external_lex_state = 14},
  [3574] = {.lex_state = 80, .external_lex_state = 14},
  [3575] = {.lex_state = 80, .external_lex_state = 14},
  [3576] = {.lex_state = 80, .external_lex_state = 14},
  [3577] = {.lex_state = 80, .external_lex_state = 14},
  [3578] = {.lex_state = 80, .external_lex_state = 14},
  [3579] = {.lex_state = 80, .external_lex_state = 14},
  [3580] = {.lex_state = 80, .external_lex_state = 14},
  [3581] = {.lex_state = 80, .external_lex_state = 14},
  [3582] = {.lex_state = 80, .external_lex_state = 14},
  [3583] = {.lex_state = 113, .external_lex_state = 37},
  [3584] = {.lex_state = 80, .external_lex_state = 14},
  [3585] = {.lex_state = 113, .external_lex_state = 14},
  [3586] = {.lex_state = 80, .external_lex_state = 14},
  [3587] = {.lex_state = 72, .external_lex_state = 14},
  [3588] = {.lex_state = 80, .external_lex_state = 14},
  [3589] = {.lex_state = 80, .external_lex_state = 14},
  [3590] = {.lex_state = 80, .external_lex_state = 14},
  [3591] = {.lex_state = 80, .external_lex_state = 14},
  [3592] = {.lex_state = 80, .external_lex_state = 14},
  [3593] = {.lex_state = 113, .external_lex_state = 37},
  [3594] = {.lex_state = 80, .external_lex_state = 14},
  [3595] = {.lex_state = 113, .external_lex_state = 37},
  [3596] = {.lex_state = 113, .external_lex_state = 14},
  [3597] = {.lex_state = 72, .external_lex_state = 14},
  [3598] = {.lex_state = 80, .external_lex_state = 14},
  [3599] = {.lex_state = 113, .external_lex_state = 14},
  [3600] = {.lex_state = 80, .external_lex_state = 14},
  [3601] = {.lex_state = 80, .external_lex_state = 14},
  [3602] = {.lex_state = 13, .external_lex_state = 14},
  [3603] = {.lex_state = 113, .external_lex_state = 14},
  [3604] = {.lex_state = 113, .external_lex_state = 14},
  [3605] = {.lex_state = 113, .external_lex_state = 16},
  [3606] = {.lex_state = 113, .external_lex_state = 14},
  [3607] = {.lex_state = 72, .external_lex_state = 14},
  [3608] = {.lex_state = 113, .external_lex_state = 38},
  [3609] = {.lex_state = 11, .external_lex_state = 14},
  [3610] = {.lex_state = 11, .external_lex_state = 14},
  [3611] = {.lex_state = 113, .external_lex_state = 14},
  [3612] = {.lex_state = 113, .external_lex_state = 14},
  [3613] = {.lex_state = 113, .external_lex_state = 14},
  [3614] = {.lex_state = 113, .external_lex_state = 16},
  [3615] = {.lex_state = 113, .external_lex_state = 14},
  [3616] = {.lex_state = 113, .external_lex_state = 14},
  [3617] = {.lex_state = 113, .external_lex_state = 14},
  [3618] = {.lex_state = 113, .external_lex_state = 16},
  [3619] = {.lex_state = 113, .external_lex_state = 14},
  [3620] = {.lex_state = 113, .external_lex_state = 14},
  [3621] = {.lex_state = 113, .external_lex_state = 14},
  [3622] = {.lex_state = 113, .external_lex_state = 14},
  [3623] = {.lex_state = 113, .external_lex_state = 14},
  [3624] = {.lex_state = 113, .external_lex_state = 14},
  [3625] = {.lex_state = 113, .external_lex_state = 14},
  [3626] = {.lex_state = 113, .external_lex_state = 14},
  [3627] = {.lex_state = 113, .external_lex_state = 14},
  [3628] = {.lex_state = 113, .external_lex_state = 14},
  [3629] = {.lex_state = 113, .external_lex_state = 16},
  [3630] = {.lex_state = 113, .external_lex_state = 14},
  [3631] = {.lex_state = 72, .external_lex_state = 14},
  [3632] = {.lex_state = 113, .external_lex_state = 14},
  [3633] = {.lex_state = 113, .external_lex_state = 14},
  [3634] = {.lex_state = 113, .external_lex_state = 14},
  [3635] = {.lex_state = 113, .external_lex_state = 14},
  [3636] = {.lex_state = 113, .external_lex_state = 14},
  [3637] = {.lex_state = 72, .external_lex_state = 14},
  [3638] = {.lex_state = 113, .external_lex_state = 14},
  [3639] = {.lex_state = 113, .external_lex_state = 14},
  [3640] = {.lex_state = 72, .external_lex_state = 14},
  [3641] = {.lex_state = 72, .external_lex_state = 14},
  [3642] = {.lex_state = 72, .external_lex_state = 14},
  [3643] = {.lex_state = 113, .external_lex_state = 14},
  [3644] = {.lex_state = 72, .external_lex_state = 14},
  [3645] = {.lex_state = 113, .external_lex_state = 38},
  [3646] = {.lex_state = 113, .external_lex_state = 14},
  [3647] = {.lex_state = 113, .external_lex_state = 14},
  [3648] = {.lex_state = 72, .external_lex_state = 14},
  [3649] = {.lex_state = 72, .external_lex_state = 14},
  [3650] = {.lex_state = 113, .external_lex_state = 14},
  [3651] = {.lex_state = 11, .external_lex_state = 14},
  [3652] = {.lex_state = 113, .external_lex_state = 14},
  [3653] = {.lex_state = 11, .external_lex_state = 14},
  [3654] = {.lex_state = 113, .external_lex_state = 14},
  [3655] = {.lex_state = 113, .external_lex_state = 14},
  [3656] = {.lex_state = 72, .external_lex_state = 14},
  [3657] = {.lex_state = 72, .external_lex_state = 14},
  [3658] = {.lex_state = 113, .external_lex_state = 14},
  [3659] = {.lex_state = 113, .external_lex_state = 16},
  [3660] = {.lex_state = 113, .external_lex_state = 14},
  [3661] = {.lex_state = 113, .external_lex_state = 14},
  [3662] = {.lex_state = 113, .external_lex_state = 14},
  [3663] = {.lex_state = 113, .external_lex_state = 14},
  [3664] = {.lex_state = 113, .external_lex_state = 14},
  [3665] = {.lex_state = 113, .external_lex_state = 14},
  [3666] = {.lex_state = 113, .external_lex_state = 14},
  [3667] = {.lex_state = 113, .external_lex_state = 14},
  [3668] = {.lex_state = 113, .external_lex_state = 14},
  [3669] = {.lex_state = 113, .external_lex_state = 14},
  [3670] = {.lex_state = 113, .external_lex_state = 14},
  [3671] = {.lex_state = 113, .external_lex_state = 14},
  [3672] = {.lex_state = 113, .external_lex_state = 14},
  [3673] = {.lex_state = 113, .external_lex_state = 14},
  [3674] = {.lex_state = 113, .external_lex_state = 14},
  [3675] = {.lex_state = 113, .external_lex_state = 14},
  [3676] = {.lex_state = 113, .external_lex_state = 14},
  [3677] = {.lex_state = 113, .external_lex_state = 16},
  [3678] = {.lex_state = 113, .external_lex_state = 14},
  [3679] = {.lex_state = 113, .external_lex_state = 14},
  [3680] = {.lex_state = 113, .external_lex_state = 14},
  [3681] = {.lex_state = 113, .external_lex_state = 14},
  [3682] = {.lex_state = 113, .external_lex_state = 14},
  [3683] = {.lex_state = 113, .external_lex_state = 14},
  [3684] = {.lex_state = 113, .external_lex_state = 14},
  [3685] = {.lex_state = 113, .external_lex_state = 14},
  [3686] = {.lex_state = 113, .external_lex_state = 14},
  [3687] = {.lex_state = 113, .external_lex_state = 14},
  [3688] = {.lex_state = 113, .external_lex_state = 14},
  [3689] = {.lex_state = 11, .external_lex_state = 14},
  [3690] = {.lex_state = 113, .external_lex_state = 14},
  [3691] = {.lex_state = 11, .external_lex_state = 14},
  [3692] = {.lex_state = 113, .external_lex_state = 14},
  [3693] = {.lex_state = 113, .external_lex_state = 14},
  [3694] = {.lex_state = 72, .external_lex_state = 14},
  [3695] = {.lex_state = 113, .external_lex_state = 14},
  [3696] = {.lex_state = 72, .external_lex_state = 14},
  [3697] = {.lex_state = 72, .external_lex_state = 14},
  [3698] = {.lex_state = 72, .external_lex_state = 14},
  [3699] = {.lex_state = 72, .external_lex_state = 14},
  [3700] = {.lex_state = 72, .external_lex_state = 14},
  [3701] = {.lex_state = 113, .external_lex_state = 14},
  [3702] = {.lex_state = 113, .external_lex_state = 14},
  [3703] = {.lex_state = 113, .external_lex_state = 14},
  [3704] = {.lex_state = 113, .external_lex_state = 16},
  [3705] = {.lex_state = 113, .external_lex_state = 14},
  [3706] = {.lex_state = 113, .external_lex_state = 14},
  [3707] = {.lex_state = 72, .external_lex_state = 14},
  [3708] = {.lex_state = 113, .external_lex_state = 14},
  [3709] = {.lex_state = 72, .external_lex_state = 14},
  [3710] = {.lex_state = 72, .external_lex_state = 14},
  [3711] = {.lex_state = 113, .external_lex_state = 14},
  [3712] = {.lex_state = 113, .external_lex_state = 14},
  [3713] = {.lex_state = 113, .external_lex_state = 14},
  [3714] = {.lex_state = 113, .external_lex_state = 14},
  [3715] = {.lex_state = 113, .external_lex_state = 14},
  [3716] = {.lex_state = 113, .external_lex_state = 14},
  [3717] = {.lex_state = 113, .external_lex_state = 14},
  [3718] = {.lex_state = 113, .external_lex_state = 14},
  [3719] = {.lex_state = 113, .external_lex_state = 14},
  [3720] = {.lex_state = 113, .external_lex_state = 14},
  [3721] = {.lex_state = 113, .external_lex_state = 14},
  [3722] = {.lex_state = 113, .external_lex_state = 14},
  [3723] = {.lex_state = 113, .external_lex_state = 14},
  [3724] = {.lex_state = 113, .external_lex_state = 14},
  [3725] = {.lex_state = 113, .external_lex_state = 14},
  [3726] = {.lex_state = 113, .external_lex_state = 14},
  [3727] = {.lex_state = 113, .external_lex_state = 14},
  [3728] = {.lex_state = 113, .external_lex_state = 14},
  [3729] = {.lex_state = 113, .external_lex_state = 14},
  [3730] = {.lex_state = 113, .external_lex_state = 14},
  [3731] = {.lex_state = 113, .external_lex_state = 14},
  [3732] = {.lex_state = 113, .external_lex_state = 14},
  [3733] = {.lex_state = 113, .external_lex_state = 14},
  [3734] = {.lex_state = 113, .external_lex_state = 14},
  [3735] = {.lex_state = 113, .external_lex_state = 14},
  [3736] = {.lex_state = 113, .external_lex_state = 14},
  [3737] = {.lex_state = 113, .external_lex_state = 14},
  [3738] = {.lex_state = 113, .external_lex_state = 14},
  [3739] = {.lex_state = 113, .external_lex_state = 14},
  [3740] = {.lex_state = 113, .external_lex_state = 14},
  [3741] = {.lex_state = 113, .external_lex_state = 14},
  [3742] = {.lex_state = 113, .external_lex_state = 14},
  [3743] = {.lex_state = 113, .external_lex_state = 14},
  [3744] = {.lex_state = 113, .external_lex_state = 14},
  [3745] = {.lex_state = 113, .external_lex_state = 14},
  [3746] = {.lex_state = 113, .external_lex_state = 14},
  [3747] = {.lex_state = 113, .external_lex_state = 14},
  [3748] = {.lex_state = 113, .external_lex_state = 14},
  [3749] = {.lex_state = 113, .external_lex_state = 14},
  [3750] = {.lex_state = 11, .external_lex_state = 14},
  [3751] = {.lex_state = 113, .external_lex_state = 14},
  [3752] = {.lex_state = 11, .external_lex_state = 14},
  [3753] = {.lex_state = 113, .external_lex_state = 14},
  [3754] = {.lex_state = 113, .external_lex_state = 14},
  [3755] = {.lex_state = 113, .external_lex_state = 14},
  [3756] = {.lex_state = 113, .external_lex_state = 14},
  [3757] = {.lex_state = 113, .external_lex_state = 14},
  [3758] = {.lex_state = 113, .external_lex_state = 14},
  [3759] = {.lex_state = 113, .external_lex_state = 14},
  [3760] = {.lex_state = 113, .external_lex_state = 14},
  [3761] = {.lex_state = 113, .external_lex_state = 14},
  [3762] = {.lex_state = 113, .external_lex_state = 14},
  [3763] = {.lex_state = 113, .external_lex_state = 14},
  [3764] = {.lex_state = 113, .external_lex_state = 14},
  [3765] = {.lex_state = 113, .external_lex_state = 14},
  [3766] = {.lex_state = 113, .external_lex_state = 14},
  [3767] = {.lex_state = 113, .external_lex_state = 14},
  [3768] = {.lex_state = 113, .external_lex_state = 14},
  [3769] = {.lex_state = 113, .external_lex_state = 14},
  [3770] = {.lex_state = 113, .external_lex_state = 14},
  [3771] = {.lex_state = 113, .external_lex_state = 14},
  [3772] = {.lex_state = 113, .external_lex_state = 14},
  [3773] = {.lex_state = 113, .external_lex_state = 14},
  [3774] = {.lex_state = 113, .external_lex_state = 14},
  [3775] = {.lex_state = 113, .external_lex_state = 14},
  [3776] = {.lex_state = 113, .external_lex_state = 14},
  [3777] = {.lex_state = 113, .external_lex_state = 14},
  [3778] = {.lex_state = 113, .external_lex_state = 14},
  [3779] = {.lex_state = 113, .external_lex_state = 14},
  [3780] = {.lex_state = 113, .external_lex_state = 14},
  [3781] = {.lex_state = 113, .external_lex_state = 14},
  [3782] = {.lex_state = 113, .external_lex_state = 14},
  [3783] = {.lex_state = 11, .external_lex_state = 14},
  [3784] = {.lex_state = 113, .external_lex_state = 14},
  [3785] = {.lex_state = 113, .external_lex_state = 14},
  [3786] = {.lex_state = 113, .external_lex_state = 14},
  [3787] = {.lex_state = 113, .external_lex_state = 14},
  [3788] = {.lex_state = 113, .external_lex_state = 14},
  [3789] = {.lex_state = 11, .external_lex_state = 14},
  [3790] = {.lex_state = 113, .external_lex_state = 14},
  [3791] = {.lex_state = 113, .external_lex_state = 14},
  [3792] = {.lex_state = 113, .external_lex_state = 14},
  [3793] = {.lex_state = 113, .external_lex_state = 14},
  [3794] = {.lex_state = 113, .external_lex_state = 14},
  [3795] = {.lex_state = 113, .external_lex_state = 14},
  [3796] = {.lex_state = 113, .external_lex_state = 14},
  [3797] = {.lex_state = 113, .external_lex_state = 14},
  [3798] = {.lex_state = 113, .external_lex_state = 14},
  [3799] = {.lex_state = 113, .external_lex_state = 14},
  [3800] = {.lex_state = 113, .external_lex_state = 16},
  [3801] = {.lex_state = 113, .external_lex_state = 14},
  [3802] = {.lex_state = 113, .external_lex_state = 14},
  [3803] = {.lex_state = 113, .external_lex_state = 14},
  [3804] = {.lex_state = 113, .external_lex_state = 16},
  [3805] = {.lex_state = 72, .external_lex_state = 14},
  [3806] = {.lex_state = 113, .external_lex_state = 14},
  [3807] = {.lex_state = 113, .external_lex_state = 14},
  [3808] = {.lex_state = 113, .external_lex_state = 14},
  [3809] = {.lex_state = 113, .external_lex_state = 14},
  [3810] = {.lex_state = 113, .external_lex_state = 14},
  [3811] = {.lex_state = 113, .external_lex_state = 14},
  [3812] = {.lex_state = 113, .external_lex_state = 14},
  [3813] = {.lex_state = 13, .external_lex_state = 14},
  [3814] = {.lex_state = 113, .external_lex_state = 16},
  [3815] = {.lex_state = 113, .external_lex_state = 14},
  [3816] = {.lex_state = 113, .external_lex_state = 14},
  [3817] = {.lex_state = 113, .external_lex_state = 14},
  [3818] = {.lex_state = 113, .external_lex_state = 14},
  [3819] = {.lex_state = 113, .external_lex_state = 14},
  [3820] = {.lex_state = 113, .external_lex_state = 14},
  [3821] = {.lex_state = 11, .external_lex_state = 14},
  [3822] = {.lex_state = 113, .external_lex_state = 14},
  [3823] = {.lex_state = 113, .external_lex_state = 14},
  [3824] = {.lex_state = 113, .external_lex_state = 39},
  [3825] = {.lex_state = 113, .external_lex_state = 14},
  [3826] = {.lex_state = 11, .external_lex_state = 14},
  [3827] = {.lex_state = 113, .external_lex_state = 40},
  [3828] = {.lex_state = 113, .external_lex_state = 14},
  [3829] = {.lex_state = 11, .external_lex_state = 14},
  [3830] = {.lex_state = 113, .external_lex_state = 14},
  [3831] = {.lex_state = 113, .external_lex_state = 39},
  [3832] = {.lex_state = 11, .external_lex_state = 14},
  [3833] = {.lex_state = 113, .external_lex_state = 40},
  [3834] = {.lex_state = 113, .external_lex_state = 14},
  [3835] = {.lex_state = 113, .external_lex_state = 39},
  [3836] = {.lex_state = 113, .external_lex_state = 39},
  [3837] = {.lex_state = 113, .external_lex_state = 39},
  [3838] = {.lex_state = 113, .external_lex_state = 40},
  [3839] = {.lex_state = 113, .external_lex_state = 39},
  [3840] = {.lex_state = 113, .external_lex_state = 16},
  [3841] = {.lex_state = 113, .external_lex_state = 14},
  [3842] = {.lex_state = 113, .external_lex_state = 14},
  [3843] = {.lex_state = 113, .external_lex_state = 39},
  [3844] = {.lex_state = 113, .external_lex_state = 39},
  [3845] = {.lex_state = 113, .external_lex_state = 39},
  [3846] = {.lex_state = 113, .external_lex_state = 14},
  [3847] = {.lex_state = 113, .external_lex_state = 39},
  [3848] = {.lex_state = 113, .external_lex_state = 39},
  [3849] = {.lex_state = 113, .external_lex_state = 39},
  [3850] = {.lex_state = 11, .external_lex_state = 14},
  [3851] = {.lex_state = 113, .external_lex_state = 39},
  [3852] = {.lex_state = 113, .external_lex_state = 39},
  [3853] = {.lex_state = 113, .external_lex_state = 14},
  [3854] = {.lex_state = 113, .external_lex_state = 40},
  [3855] = {.lex_state = 113, .external_lex_state = 14},
  [3856] = {.lex_state = 113, .external_lex_state = 14},
  [3857] = {.lex_state = 113, .external_lex_state = 14},
  [3858] = {.lex_state = 113, .external_lex_state = 39},
  [3859] = {.lex_state = 113, .external_lex_state = 40},
  [3860] = {.lex_state = 113, .external_lex_state = 14},
  [3861] = {.lex_state = 113, .external_lex_state = 38},
  [3862] = {.lex_state = 113, .external_lex_state = 14},
  [3863] = {.lex_state = 113, .external_lex_state = 14},
  [3864] = {.lex_state = 113, .external_lex_state = 14},
  [3865] = {.lex_state = 113, .external_lex_state = 14},
  [3866] = {.lex_state = 113, .external_lex_state = 14},
  [3867] = {.lex_state = 113, .external_lex_state = 14},
  [3868] = {.lex_state = 113, .external_lex_state = 14},
  [3869] = {.lex_state = 113, .external_lex_state = 14},
  [3870] = {.lex_state = 113, .external_lex_state = 14},
  [3871] = {.lex_state = 113, .external_lex_state = 14},
  [3872] = {.lex_state = 113, .external_lex_state = 14},
  [3873] = {.lex_state = 113, .external_lex_state = 14},
  [3874] = {.lex_state = 113, .external_lex_state = 41},
  [3875] = {.lex_state = 113, .external_lex_state = 14},
  [3876] = {.lex_state = 113, .external_lex_state = 14},
  [3877] = {.lex_state = 113, .external_lex_state = 41},
  [3878] = {.lex_state = 113, .external_lex_state = 42},
  [3879] = {.lex_state = 113, .external_lex_state = 27},
  [3880] = {.lex_state = 113, .external_lex_state = 14},
  [3881] = {.lex_state = 113, .external_lex_state = 27},
  [3882] = {.lex_state = 113, .external_lex_state = 14},
  [3883] = {.lex_state = 113, .external_lex_state = 14},
  [3884] = {.lex_state = 11, .external_lex_state = 14},
  [3885] = {.lex_state = 113, .external_lex_state = 14},
  [3886] = {.lex_state = 113, .external_lex_state = 14},
  [3887] = {.lex_state = 113, .external_lex_state = 14},
  [3888] = {.lex_state = 13, .external_lex_state = 14},
  [3889] = {.lex_state = 113, .external_lex_state = 14},
  [3890] = {.lex_state = 113, .external_lex_state = 14},
  [3891] = {.lex_state = 113, .external_lex_state = 41},
  [3892] = {.lex_state = 113, .external_lex_state = 14},
  [3893] = {.lex_state = 113, .external_lex_state = 14},
  [3894] = {.lex_state = 113, .external_lex_state = 14},
  [3895] = {.lex_state = 113, .external_lex_state = 43},
  [3896] = {.lex_state = 113, .external_lex_state = 14},
  [3897] = {.lex_state = 113, .external_lex_state = 14},
  [3898] = {.lex_state = 113, .external_lex_state = 14},
  [3899] = {.lex_state = 113, .external_lex_state = 14},
  [3900] = {.lex_state = 113, .external_lex_state = 43},
  [3901] = {.lex_state = 262, .external_lex_state = 14},
  [3902] = {.lex_state = 113, .external_lex_state = 14},
  [3903] = {.lex_state = 113, .external_lex_state = 14},
  [3904] = {.lex_state = 113, .external_lex_state = 14},
  [3905] = {.lex_state = 113, .external_lex_state = 14},
  [3906] = {.lex_state = 113, .external_lex_state = 14},
  [3907] = {.lex_state = 113, .external_lex_state = 14},
  [3908] = {.lex_state = 113, .external_lex_state = 14},
  [3909] = {.lex_state = 113, .external_lex_state = 41},
  [3910] = {.lex_state = 113, .external_lex_state = 14},
  [3911] = {.lex_state = 3, .external_lex_state = 14},
  [3912] = {.lex_state = 113, .external_lex_state = 44},
  [3913] = {.lex_state = 113, .external_lex_state = 14},
  [3914] = {.lex_state = 113, .external_lex_state = 14},
  [3915] = {.lex_state = 113, .external_lex_state = 14},
  [3916] = {.lex_state = 11, .external_lex_state = 14},
  [3917] = {.lex_state = 113, .external_lex_state = 14},
  [3918] = {.lex_state = 113, .external_lex_state = 14},
  [3919] = {.lex_state = 113, .external_lex_state = 14},
  [3920] = {.lex_state = 113, .external_lex_state = 14},
  [3921] = {.lex_state = 262, .external_lex_state = 14},
  [3922] = {.lex_state = 113, .external_lex_state = 14},
  [3923] = {.lex_state = 113, .external_lex_state = 44},
  [3924] = {.lex_state = 113, .external_lex_state = 14},
  [3925] = {.lex_state = 113, .external_lex_state = 14},
  [3926] = {.lex_state = 113, .external_lex_state = 14},
  [3927] = {.lex_state = 113, .external_lex_state = 14},
  [3928] = {.lex_state = 113, .external_lex_state = 14},
  [3929] = {.lex_state = 113, .external_lex_state = 14},
  [3930] = {.lex_state = 113, .external_lex_state = 45},
  [3931] = {.lex_state = 113, .external_lex_state = 14},
  [3932] = {.lex_state = 113, .external_lex_state = 14},
  [3933] = {.lex_state = 113, .external_lex_state = 14},
  [3934] = {.lex_state = 113, .external_lex_state = 14},
  [3935] = {.lex_state = 113, .external_lex_state = 14},
  [3936] = {.lex_state = 113, .external_lex_state = 14},
  [3937] = {.lex_state = 113, .external_lex_state = 14},
  [3938] = {.lex_state = 113, .external_lex_state = 14},
  [3939] = {.lex_state = 113, .external_lex_state = 14},
  [3940] = {.lex_state = 113, .external_lex_state = 14},
  [3941] = {.lex_state = 113, .external_lex_state = 14},
  [3942] = {.lex_state = 113, .external_lex_state = 14},
  [3943] = {.lex_state = 113, .external_lex_state = 45},
  [3944] = {.lex_state = 113, .external_lex_state = 42},
  [3945] = {.lex_state = 113, .external_lex_state = 14},
  [3946] = {.lex_state = 113, .external_lex_state = 14},
  [3947] = {.lex_state = 113, .external_lex_state = 14},
  [3948] = {.lex_state = 113, .external_lex_state = 42},
  [3949] = {.lex_state = 113, .external_lex_state = 43},
  [3950] = {.lex_state = 11, .external_lex_state = 14},
  [3951] = {.lex_state = 113, .external_lex_state = 14},
  [3952] = {.lex_state = 113, .external_lex_state = 43},
  [3953] = {.lex_state = 113, .external_lex_state = 14},
  [3954] = {.lex_state = 113, .external_lex_state = 14},
  [3955] = {.lex_state = 113, .external_lex_state = 14},
  [3956] = {.lex_state = 113, .external_lex_state = 14},
  [3957] = {.lex_state = 113, .external_lex_state = 14},
  [3958] = {.lex_state = 113, .external_lex_state = 42},
  [3959] = {.lex_state = 113, .external_lex_state = 14},
  [3960] = {.lex_state = 113, .external_lex_state = 14},
  [3961] = {.lex_state = 113, .external_lex_state = 14},
  [3962] = {.lex_state = 113, .external_lex_state = 42},
  [3963] = {.lex_state = 113, .external_lex_state = 14},
  [3964] = {.lex_state = 113, .external_lex_state = 14},
  [3965] = {.lex_state = 113, .external_lex_state = 44},
  [3966] = {.lex_state = 113, .external_lex_state = 14},
  [3967] = {.lex_state = 113, .external_lex_state = 14},
  [3968] = {.lex_state = 113, .external_lex_state = 45},
  [3969] = {.lex_state = 113, .external_lex_state = 14},
  [3970] = {.lex_state = 113, .external_lex_state = 26},
  [3971] = {.lex_state = 113, .external_lex_state = 14},
  [3972] = {.lex_state = 113, .external_lex_state = 14},
  [3973] = {.lex_state = 113, .external_lex_state = 42},
  [3974] = {.lex_state = 113, .external_lex_state = 42},
  [3975] = {.lex_state = 113, .external_lex_state = 14},
  [3976] = {.lex_state = 113, .external_lex_state = 14},
  [3977] = {.lex_state = 113, .external_lex_state = 45},
  [3978] = {.lex_state = 113, .external_lex_state = 14},
  [3979] = {.lex_state = 113, .external_lex_state = 14},
  [3980] = {.lex_state = 113, .external_lex_state = 44},
  [3981] = {.lex_state = 113, .external_lex_state = 14},
  [3982] = {.lex_state = 113, .external_lex_state = 14},
  [3983] = {.lex_state = 113, .external_lex_state = 14},
  [3984] = {.lex_state = 113, .external_lex_state = 14},
  [3985] = {.lex_state = 113, .external_lex_state = 26},
  [3986] = {.lex_state = 113, .external_lex_state = 14},
  [3987] = {.lex_state = 113, .external_lex_state = 14},
  [3988] = {.lex_state = 113, .external_lex_state = 45},
  [3989] = {.lex_state = 113, .external_lex_state = 14},
  [3990] = {.lex_state = 113, .external_lex_state = 14},
  [3991] = {.lex_state = 113, .external_lex_state = 14},
  [3992] = {.lex_state = 113, .external_lex_state = 14},
  [3993] = {.lex_state = 113, .external_lex_state = 14},
  [3994] = {.lex_state = 113, .external_lex_state = 14},
  [3995] = {.lex_state = 113, .external_lex_state = 43},
  [3996] = {.lex_state = 113, .external_lex_state = 14},
  [3997] = {.lex_state = 113, .external_lex_state = 14},
  [3998] = {.lex_state = 113, .external_lex_state = 45},
  [3999] = {.lex_state = 113, .external_lex_state = 14},
  [4000] = {.lex_state = 11, .external_lex_state = 14},
  [4001] = {.lex_state = 113, .external_lex_state = 43},
  [4002] = {.lex_state = 113, .external_lex_state = 14},
  [4003] = {.lex_state = 113, .external_lex_state = 45},
  [4004] = {.lex_state = 113, .external_lex_state = 14},
  [4005] = {.lex_state = 113, .external_lex_state = 42},
  [4006] = {.lex_state = 113, .external_lex_state = 43},
  [4007] = {.lex_state = 113, .external_lex_state = 45},
  [4008] = {.lex_state = 113, .external_lex_state = 14},
  [4009] = {.lex_state = 113, .external_lex_state = 14},
  [4010] = {.lex_state = 113, .external_lex_state = 43},
  [4011] = {.lex_state = 113, .external_lex_state = 45},
  [4012] = {.lex_state = 113, .external_lex_state = 14},
  [4013] = {.lex_state = 113, .external_lex_state = 14},
  [4014] = {.lex_state = 113, .external_lex_state = 43},
  [4015] = {.lex_state = 113, .external_lex_state = 45},
  [4016] = {.lex_state = 113, .external_lex_state = 14},
  [4017] = {.lex_state = 113, .external_lex_state = 14},
  [4018] = {.lex_state = 113, .external_lex_state = 45},
  [4019] = {.lex_state = 113, .external_lex_state = 14},
  [4020] = {.lex_state = 113, .external_lex_state = 42},
  [4021] = {.lex_state = 113, .external_lex_state = 45},
  [4022] = {.lex_state = 113, .external_lex_state = 42},
  [4023] = {.lex_state = 113, .external_lex_state = 14},
  [4024] = {.lex_state = 113, .external_lex_state = 45},
  [4025] = {.lex_state = 113, .external_lex_state = 41},
  [4026] = {.lex_state = 113, .external_lex_state = 14},
  [4027] = {.lex_state = 113, .external_lex_state = 45},
  [4028] = {.lex_state = 113, .external_lex_state = 14},
  [4029] = {.lex_state = 113, .external_lex_state = 14},
  [4030] = {.lex_state = 113, .external_lex_state = 45},
  [4031] = {.lex_state = 113, .external_lex_state = 14},
  [4032] = {.lex_state = 113, .external_lex_state = 14},
  [4033] = {.lex_state = 113, .external_lex_state = 45},
  [4034] = {.lex_state = 113, .external_lex_state = 14},
  [4035] = {.lex_state = 113, .external_lex_state = 26},
  [4036] = {.lex_state = 113, .external_lex_state = 45},
  [4037] = {.lex_state = 113, .external_lex_state = 26},
  [4038] = {.lex_state = 113, .external_lex_state = 42},
  [4039] = {.lex_state = 113, .external_lex_state = 45},
  [4040] = {.lex_state = 113, .external_lex_state = 27},
  [4041] = {.lex_state = 113, .external_lex_state = 14},
  [4042] = {.lex_state = 113, .external_lex_state = 45},
  [4043] = {.lex_state = 113, .external_lex_state = 26},
  [4044] = {.lex_state = 113, .external_lex_state = 14},
  [4045] = {.lex_state = 113, .external_lex_state = 45},
  [4046] = {.lex_state = 113, .external_lex_state = 14},
  [4047] = {.lex_state = 113, .external_lex_state = 14},
  [4048] = {.lex_state = 113, .external_lex_state = 45},
  [4049] = {.lex_state = 113, .external_lex_state = 14},
  [4050] = {.lex_state = 113, .external_lex_state = 14},
  [4051] = {.lex_state = 113, .external_lex_state = 45},
  [4052] = {.lex_state = 113, .external_lex_state = 14},
  [4053] = {.lex_state = 262, .external_lex_state = 14},
  [4054] = {.lex_state = 113, .external_lex_state = 45},
  [4055] = {.lex_state = 113, .external_lex_state = 14},
  [4056] = {.lex_state = 113, .external_lex_state = 42},
  [4057] = {.lex_state = 113, .external_lex_state = 45},
  [4058] = {.lex_state = 113, .external_lex_state = 42},
  [4059] = {.lex_state = 113, .external_lex_state = 14},
  [4060] = {.lex_state = 113, .external_lex_state = 45},
  [4061] = {.lex_state = 113, .external_lex_state = 42},
  [4062] = {.lex_state = 262, .external_lex_state = 14},
  [4063] = {.lex_state = 113, .external_lex_state = 45},
  [4064] = {.lex_state = 11, .external_lex_state = 14},
  [4065] = {.lex_state = 113, .external_lex_state = 14},
  [4066] = {.lex_state = 113, .external_lex_state = 45},
  [4067] = {.lex_state = 113, .external_lex_state = 14},
  [4068] = {.lex_state = 113, .external_lex_state = 14},
  [4069] = {.lex_state = 113, .external_lex_state = 45},
  [4070] = {.lex_state = 113, .external_lex_state = 14},
  [4071] = {.lex_state = 113, .external_lex_state = 14},
  [4072] = {.lex_state = 113, .external_lex_state = 14},
  [4073] = {.lex_state = 113, .external_lex_state = 14},
  [4074] = {.lex_state = 13, .external_lex_state = 14},
  [4075] = {.lex_state = 113, .external_lex_state = 14},
  [4076] = {.lex_state = 113, .external_lex_state = 14},
  [4077] = {.lex_state = 11, .external_lex_state = 14},
  [4078] = {.lex_state = 113, .external_lex_state = 14},
  [4079] = {.lex_state = 113, .external_lex_state = 45},
  [4080] = {.lex_state = 113, .external_lex_state = 14},
  [4081] = {.lex_state = 11, .external_lex_state = 14},
  [4082] = {.lex_state = 113, .external_lex_state = 14},
  [4083] = {.lex_state = 113, .external_lex_state = 14},
  [4084] = {.lex_state = 113, .external_lex_state = 44},
  [4085] = {.lex_state = 113, .external_lex_state = 14},
  [4086] = {.lex_state = 113, .external_lex_state = 14},
  [4087] = {.lex_state = 113, .external_lex_state = 14},
  [4088] = {.lex_state = 113, .external_lex_state = 14},
  [4089] = {.lex_state = 113, .external_lex_state = 26},
  [4090] = {.lex_state = 113, .external_lex_state = 14},
  [4091] = {.lex_state = 113, .external_lex_state = 14},
  [4092] = {.lex_state = 3, .external_lex_state = 14},
  [4093] = {.lex_state = 113, .external_lex_state = 14},
  [4094] = {.lex_state = 113, .external_lex_state = 14},
  [4095] = {.lex_state = 13, .external_lex_state = 14},
  [4096] = {.lex_state = 113, .external_lex_state = 14},
  [4097] = {.lex_state = 113, .external_lex_state = 14},
  [4098] = {.lex_state = 113, .external_lex_state = 14},
  [4099] = {.lex_state = 11, .external_lex_state = 14},
  [4100] = {.lex_state = 113, .external_lex_state = 41},
  [4101] = {.lex_state = 113, .external_lex_state = 14},
  [4102] = {.lex_state = 113, .external_lex_state = 14},
  [4103] = {.lex_state = 113, .external_lex_state = 14},
  [4104] = {.lex_state = 113, .external_lex_state = 14},
  [4105] = {.lex_state = 11, .external_lex_state = 14},
  [4106] = {.lex_state = 113, .external_lex_state = 41},
  [4107] = {.lex_state = 113, .external_lex_state = 14},
  [4108] = {.lex_state = 113, .external_lex_state = 14},
  [4109] = {.lex_state = 113, .external_lex_state = 41},
  [4110] = {.lex_state = 50, .external_lex_state = 14},
  [4111] = {.lex_state = 113, .external_lex_state = 14},
  [4112] = {.lex_state = 113, .external_lex_state = 14},
  [4113] = {.lex_state = 113, .external_lex_state = 14},
  [4114] = {.lex_state = 11, .external_lex_state = 14},
  [4115] = {.lex_state = 113, .external_lex_state = 14},
  [4116] = {.lex_state = 113, .external_lex_state = 14},
  [4117] = {.lex_state = 113, .external_lex_state = 14},
  [4118] = {.lex_state = 113, .external_lex_state = 27},
  [4119] = {.lex_state = 113, .external_lex_state = 14},
  [4120] = {.lex_state = 113, .external_lex_state = 14},
  [4121] = {.lex_state = 113, .external_lex_state = 14},
  [4122] = {.lex_state = 113, .external_lex_state = 45},
  [4123] = {.lex_state = 113, .external_lex_state = 14},
  [4124] = {.lex_state = 113, .external_lex_state = 14},
  [4125] = {.lex_state = 113, .external_lex_state = 14},
  [4126] = {.lex_state = 113, .external_lex_state = 14},
  [4127] = {.lex_state = 113, .external_lex_state = 14},
  [4128] = {.lex_state = 113, .external_lex_state = 14},
  [4129] = {.lex_state = 113, .external_lex_state = 14},
  [4130] = {.lex_state = 113, .external_lex_state = 14},
  [4131] = {.lex_state = 113, .external_lex_state = 14},
  [4132] = {.lex_state = 113, .external_lex_state = 14},
  [4133] = {.lex_state = 50, .external_lex_state = 14},
  [4134] = {.lex_state = 113, .external_lex_state = 14},
  [4135] = {.lex_state = 113, .external_lex_state = 14},
  [4136] = {.lex_state = 113, .external_lex_state = 14},
  [4137] = {.lex_state = 113, .external_lex_state = 14},
  [4138] = {.lex_state = 13, .external_lex_state = 14},
  [4139] = {.lex_state = 113, .external_lex_state = 14},
  [4140] = {.lex_state = 113, .external_lex_state = 14},
  [4141] = {.lex_state = 13, .external_lex_state = 14},
  [4142] = {.lex_state = 113, .external_lex_state = 14},
  [4143] = {.lex_state = 113, .external_lex_state = 14},
  [4144] = {.lex_state = 113, .external_lex_state = 14},
  [4145] = {.lex_state = 113, .external_lex_state = 14},
  [4146] = {.lex_state = 113, .external_lex_state = 14},
  [4147] = {.lex_state = 113, .external_lex_state = 14},
  [4148] = {.lex_state = 113, .external_lex_state = 14},
  [4149] = {.lex_state = 113, .external_lex_state = 42},
  [4150] = {.lex_state = 11, .external_lex_state = 14},
  [4151] = {.lex_state = 113, .external_lex_state = 14},
  [4152] = {(TSStateId)(-1)},
  [4153] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_heredoc_content] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_role] = ACTIONS(1),
    [anon_sym_BUILD] = ACTIONS(1),
    [anon_sym_ADJUST] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_my] = ACTIONS(1),
    [anon_sym_extended] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_sub] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_state] = ACTIONS(1),
    [anon_sym_our] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_elsif] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_DOT_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_x_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_CARET_CARET] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_GT_GT2] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_x] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_BANG_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_eq] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_equ] = ACTIONS(1),
    [anon_sym_eqr] = ACTIONS(1),
    [anon_sym_ne] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_cmp] = ACTIONS(1),
    [anon_sym_TILDE_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_lt] = ACTIONS(1),
    [anon_sym_le] = ACTIONS(1),
    [anon_sym_ge] = ACTIONS(1),
    [anon_sym_gt] = ACTIONS(1),
    [anon_sym_isa] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_eval] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_field] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_dynamically] = ACTIONS(1),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_grep] = ACTIONS(1),
    [anon_sym_sort] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_undef] = ACTIONS(1),
    [anon_sym_PERCENT2] = ACTIONS(1),
    [anon_sym_AMP2] = ACTIONS(1),
    [anon_sym_STAR2] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_use] = ACTIONS(1),
    [anon_sym_no] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_foreach] = ACTIONS(1),
    [anon_sym_last] = ACTIONS(1),
    [anon_sym_next] = ACTIONS(1),
    [anon_sym_redo] = ACTIONS(1),
    [anon_sym_BEGIN] = ACTIONS(1),
    [anon_sym_INIT] = ACTIONS(1),
    [anon_sym_CHECK] = ACTIONS(1),
    [anon_sym_UNITCHECK] = ACTIONS(1),
    [anon_sym_END] = ACTIONS(1),
    [anon_sym___FILE__] = ACTIONS(1),
    [anon_sym___LINE__] = ACTIONS(1),
    [anon_sym___PACKAGE__] = ACTIONS(1),
    [anon_sym___SUB__] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_fork] = ACTIONS(1),
    [anon_sym_getppid] = ACTIONS(1),
    [anon_sym_time] = ACTIONS(1),
    [anon_sym_times] = ACTIONS(1),
    [anon_sym_wait] = ACTIONS(1),
    [anon_sym_wantarray] = ACTIONS(1),
    [anon_sym_abs] = ACTIONS(1),
    [anon_sym_alarm] = ACTIONS(1),
    [anon_sym_chop] = ACTIONS(1),
    [anon_sym_chdir] = ACTIONS(1),
    [anon_sym_close] = ACTIONS(1),
    [anon_sym_closedir] = ACTIONS(1),
    [anon_sym_caller] = ACTIONS(1),
    [anon_sym_chomp] = ACTIONS(1),
    [anon_sym_chr] = ACTIONS(1),
    [anon_sym_cos] = ACTIONS(1),
    [anon_sym_chroot] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_dbmclose] = ACTIONS(1),
    [anon_sym_exists] = ACTIONS(1),
    [anon_sym_exit] = ACTIONS(1),
    [anon_sym_eof] = ACTIONS(1),
    [anon_sym_exp] = ACTIONS(1),
    [anon_sym_each] = ACTIONS(1),
    [anon_sym_fc] = ACTIONS(1),
    [anon_sym_fileno] = ACTIONS(1),
    [anon_sym_gmtime] = ACTIONS(1),
    [anon_sym_getc] = ACTIONS(1),
    [anon_sym_getpgrp] = ACTIONS(1),
    [anon_sym_getprotobyname] = ACTIONS(1),
    [anon_sym_getpwname] = ACTIONS(1),
    [anon_sym_getpwuid] = ACTIONS(1),
    [anon_sym_getpeername] = ACTIONS(1),
    [anon_sym_getnetbyname] = ACTIONS(1),
    [anon_sym_getsockname] = ACTIONS(1),
    [anon_sym_getgrnam] = ACTIONS(1),
    [anon_sym_getgrgid] = ACTIONS(1),
    [anon_sym_hex] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_keys] = ACTIONS(1),
    [anon_sym_lc] = ACTIONS(1),
    [anon_sym_lcfirst] = ACTIONS(1),
    [anon_sym_length] = ACTIONS(1),
    [anon_sym_localtime] = ACTIONS(1),
    [anon_sym_log] = ACTIONS(1),
    [anon_sym_lock] = ACTIONS(1),
    [anon_sym_lstat] = ACTIONS(1),
    [anon_sym_oct] = ACTIONS(1),
    [anon_sym_ord] = ACTIONS(1),
    [anon_sym_prototype] = ACTIONS(1),
    [anon_sym_pop] = ACTIONS(1),
    [anon_sym_pos] = ACTIONS(1),
    [anon_sym_quotemeta] = ACTIONS(1),
    [anon_sym_reset] = ACTIONS(1),
    [anon_sym_rand] = ACTIONS(1),
    [anon_sym_rmdir] = ACTIONS(1),
    [anon_sym_readdir] = ACTIONS(1),
    [anon_sym_readline] = ACTIONS(1),
    [anon_sym_readpipe] = ACTIONS(1),
    [anon_sym_rewinddir] = ACTIONS(1),
    [anon_sym_readlink] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [anon_sym_scalar] = ACTIONS(1),
    [anon_sym_shift] = ACTIONS(1),
    [anon_sym_sin] = ACTIONS(1),
    [anon_sym_sleep] = ACTIONS(1),
    [anon_sym_sqrt] = ACTIONS(1),
    [anon_sym_srand] = ACTIONS(1),
    [anon_sym_stat] = ACTIONS(1),
    [anon_sym_study] = ACTIONS(1),
    [anon_sym_tell] = ACTIONS(1),
    [anon_sym_telldir] = ACTIONS(1),
    [anon_sym_tied] = ACTIONS(1),
    [anon_sym_uc] = ACTIONS(1),
    [anon_sym_ucfirst] = ACTIONS(1),
    [anon_sym_untie] = ACTIONS(1),
    [anon_sym_umask] = ACTIONS(1),
    [anon_sym_values] = ACTIONS(1),
    [anon_sym_write] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1),
    [anon_sym___END__] = ACTIONS(1),
    [anon_sym_EOT] = ACTIONS(1),
    [anon_sym_q] = ACTIONS(1),
    [anon_sym_qq] = ACTIONS(1),
    [anon_sym_LBRACK2] = ACTIONS(1),
    [anon_sym_LBRACE2] = ACTIONS(1),
    [anon_sym_DOLLAR_STAR] = ACTIONS(1),
    [anon_sym_AT_STAR] = ACTIONS(1),
    [anon_sym_qw] = ACTIONS(1),
    [anon_sym_qx] = ACTIONS(1),
    [anon_sym_qr] = ACTIONS(1),
    [anon_sym_m] = ACTIONS(1),
    [anon_sym_s] = ACTIONS(1),
    [sym_quoted_regexp_modifiers] = ACTIONS(1),
    [anon_sym_tr] = ACTIONS(1),
    [anon_sym_y] = ACTIONS(1),
    [sym_version] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_unless] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_until] = ACTIONS(1),
    [aux_sym__bareword_token1] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym__single_quote] = ACTIONS(1),
    [sym__double_quote] = ACTIONS(1),
    [sym__backtick_quote] = ACTIONS(1),
    [sym__search_slash_quote] = ACTIONS(1),
    [sym__no_search_slash_plz] = ACTIONS(1),
    [sym__open_readline_bracket] = ACTIONS(1),
    [sym__open_fileglob_bracket] = ACTIONS(1),
    [sym__PERLY_SEMICOLON] = ACTIONS(1),
    [sym__PERLY_HEREDOC] = ACTIONS(1),
    [sym__ctrl_z_hack] = ACTIONS(1),
    [sym__quotelike_begin_quote] = ACTIONS(1),
    [sym__quotelike_middle_close_quote] = ACTIONS(1),
    [sym__quotelike_middle_skip] = ACTIONS(1),
    [sym__quotelike_end_zw] = ACTIONS(1),
    [sym__quotelike_end_quote] = ACTIONS(1),
    [sym__q_string_content] = ACTIONS(1),
    [sym__qq_string_content] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_escaped_delimiter] = ACTIONS(1),
    [sym__dollar_in_regexp] = ACTIONS(1),
    [sym_pod] = ACTIONS(5),
    [sym__gobbled_content] = ACTIONS(1),
    [sym__attribute_value_begin] = ACTIONS(1),
    [sym_attribute_value] = ACTIONS(1),
    [sym_prototype] = ACTIONS(1),
    [sym__signature_start] = ACTIONS(1),
    [sym__heredoc_delimiter] = ACTIONS(1),
    [sym__command_heredoc_delimiter] = ACTIONS(1),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__heredoc_middle] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym__fat_comma_autoquoted] = ACTIONS(1),
    [sym__filetest] = ACTIONS(1),
    [sym__brace_autoquoted_token] = ACTIONS(1),
    [sym__brace_end_zw] = ACTIONS(1),
    [sym__dollar_ident_zw] = ACTIONS(1),
    [sym__no_interp_whitespace_zw] = ACTIONS(1),
    [sym__NONASSOC] = ACTIONS(1),
    [sym__ERROR] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(4091),
    [sym__PERLY_BRACE_OPEN] = STATE(75),
    [sym_block] = STATE(921),
    [sym__fullstmt] = STATE(922),
    [sym_statement_label] = STATE(923),
    [sym__barestmt] = STATE(923),
    [sym_package_statement] = STATE(918),
    [sym_class_statement] = STATE(918),
    [sym_role_statement] = STATE(918),
    [sym_class_phaser_statement] = STATE(918),
    [sym_use_version_statement] = STATE(918),
    [sym_use_statement] = STATE(918),
    [sym_subroutine_declaration_statement] = STATE(918),
    [sym_method_declaration_statement] = STATE(918),
    [sym_phaser_statement] = STATE(918),
    [sym_conditional_statement] = STATE(918),
    [sym_loop_statement] = STATE(918),
    [sym_cstyle_for_statement] = STATE(918),
    [sym_for_statement] = STATE(918),
    [sym_try_statement] = STATE(918),
    [sym_defer_statement] = STATE(918),
    [sym_expression_statement] = STATE(3049),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym___DATA__] = STATE(4052),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(1),
    [sym__conditionals] = STATE(3898),
    [sym__loops] = STATE(3903),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(3911),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(17),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3351),
    [ts_builtin_sym_end] = ACTIONS(9),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_role] = ACTIONS(21),
    [anon_sym_BUILD] = ACTIONS(23),
    [anon_sym_ADJUST] = ACTIONS(23),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(29),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(33),
    [anon_sym_method] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_defer] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(91),
    [anon_sym_no] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(93),
    [anon_sym_foreach] = ACTIONS(93),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(97),
    [anon_sym_INIT] = ACTIONS(97),
    [anon_sym_CHECK] = ACTIONS(97),
    [anon_sym_UNITCHECK] = ACTIONS(97),
    [anon_sym_END] = ACTIONS(97),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(101),
    [anon_sym_EOT] = ACTIONS(103),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(145),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [2] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1381),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym__label_arg] = STATE(1388),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(2),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(1384),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_and] = ACTIONS(155),
    [anon_sym_or] = ACTIONS(155),
    [anon_sym_xor] = ACTIONS(155),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(155),
    [anon_sym_foreach] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(155),
    [anon_sym___END__] = ACTIONS(155),
    [anon_sym_EOT] = ACTIONS(155),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(155),
    [anon_sym_unless] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_until] = ACTIONS(155),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(161),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(161),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [3] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1385),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1259),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(3),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_and] = ACTIONS(163),
    [anon_sym_or] = ACTIONS(163),
    [anon_sym_xor] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(168),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(171),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(177),
    [anon_sym_DASH_DASH] = ACTIONS(177),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_for] = ACTIONS(163),
    [anon_sym_foreach] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(163),
    [anon_sym___END__] = ACTIONS(163),
    [anon_sym_EOT] = ACTIONS(163),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_unless] = ACTIONS(163),
    [anon_sym_while] = ACTIONS(163),
    [anon_sym_until] = ACTIONS(163),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(180),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(180),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [4] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1391),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(4),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(182),
    [anon_sym_SEMI] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_and] = ACTIONS(182),
    [anon_sym_or] = ACTIONS(182),
    [anon_sym_xor] = ACTIONS(182),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(182),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(182),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(182),
    [anon_sym_DASH] = ACTIONS(182),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(182),
    [anon_sym_DASH_DASH] = ACTIONS(182),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_for] = ACTIONS(182),
    [anon_sym_foreach] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(182),
    [anon_sym___END__] = ACTIONS(182),
    [anon_sym_EOT] = ACTIONS(182),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(182),
    [anon_sym_unless] = ACTIONS(182),
    [anon_sym_while] = ACTIONS(182),
    [anon_sym_until] = ACTIONS(182),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(184),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(184),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [5] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1342),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(5),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(186),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(186),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(186),
    [anon_sym_RPAREN] = ACTIONS(186),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(188),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(186),
    [anon_sym_and] = ACTIONS(186),
    [anon_sym_or] = ACTIONS(186),
    [anon_sym_xor] = ACTIONS(186),
    [anon_sym_DASH_GT] = ACTIONS(186),
    [anon_sym_STAR] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(186),
    [anon_sym_GT] = ACTIONS(186),
    [anon_sym_LT_LT] = ACTIONS(186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(186),
    [anon_sym_PLUS_EQ] = ACTIONS(186),
    [anon_sym_DASH_EQ] = ACTIONS(186),
    [anon_sym_DOT_EQ] = ACTIONS(186),
    [anon_sym_STAR_EQ] = ACTIONS(186),
    [anon_sym_SLASH_EQ] = ACTIONS(186),
    [anon_sym_PERCENT_EQ] = ACTIONS(186),
    [anon_sym_x_EQ] = ACTIONS(186),
    [anon_sym_AMP_EQ] = ACTIONS(186),
    [anon_sym_PIPE_EQ] = ACTIONS(186),
    [anon_sym_CARET_EQ] = ACTIONS(186),
    [anon_sym_LT_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_GT_EQ] = ACTIONS(186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(186),
    [anon_sym_DOT_DOT] = ACTIONS(186),
    [anon_sym_STAR_STAR] = ACTIONS(186),
    [anon_sym_PIPE_PIPE] = ACTIONS(186),
    [anon_sym_SLASH_SLASH] = ACTIONS(186),
    [anon_sym_CARET_CARET] = ACTIONS(186),
    [anon_sym_AMP_AMP] = ACTIONS(186),
    [anon_sym_PIPE] = ACTIONS(186),
    [anon_sym_CARET] = ACTIONS(186),
    [anon_sym_AMP] = ACTIONS(186),
    [anon_sym_GT_GT2] = ACTIONS(186),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_DOT] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(186),
    [anon_sym_x] = ACTIONS(186),
    [anon_sym_EQ_TILDE] = ACTIONS(186),
    [anon_sym_BANG_TILDE] = ACTIONS(186),
    [anon_sym_EQ_EQ] = ACTIONS(186),
    [anon_sym_BANG_EQ] = ACTIONS(186),
    [anon_sym_eq] = ACTIONS(186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(186),
    [anon_sym_equ] = ACTIONS(186),
    [anon_sym_eqr] = ACTIONS(186),
    [anon_sym_ne] = ACTIONS(186),
    [anon_sym_LT_EQ_GT] = ACTIONS(186),
    [anon_sym_cmp] = ACTIONS(186),
    [anon_sym_TILDE_TILDE] = ACTIONS(186),
    [anon_sym_LT] = ACTIONS(186),
    [anon_sym_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_EQ] = ACTIONS(186),
    [anon_sym_lt] = ACTIONS(186),
    [anon_sym_le] = ACTIONS(186),
    [anon_sym_ge] = ACTIONS(186),
    [anon_sym_gt] = ACTIONS(186),
    [anon_sym_isa] = ACTIONS(186),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [anon_sym_QMARK] = ACTIONS(186),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(186),
    [anon_sym_for] = ACTIONS(186),
    [anon_sym_foreach] = ACTIONS(186),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(186),
    [anon_sym___END__] = ACTIONS(186),
    [anon_sym_EOT] = ACTIONS(186),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(186),
    [anon_sym_unless] = ACTIONS(186),
    [anon_sym_while] = ACTIONS(186),
    [anon_sym_until] = ACTIONS(186),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(190),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(190),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [6] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1292),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(6),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(192),
    [anon_sym_SEMI] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(192),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_RPAREN] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(192),
    [anon_sym_and] = ACTIONS(192),
    [anon_sym_or] = ACTIONS(192),
    [anon_sym_xor] = ACTIONS(192),
    [anon_sym_DASH_GT] = ACTIONS(192),
    [anon_sym_STAR] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(192),
    [anon_sym_GT] = ACTIONS(192),
    [anon_sym_LT_LT] = ACTIONS(194),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(192),
    [anon_sym_PLUS_EQ] = ACTIONS(192),
    [anon_sym_DASH_EQ] = ACTIONS(192),
    [anon_sym_DOT_EQ] = ACTIONS(192),
    [anon_sym_STAR_EQ] = ACTIONS(192),
    [anon_sym_SLASH_EQ] = ACTIONS(192),
    [anon_sym_PERCENT_EQ] = ACTIONS(192),
    [anon_sym_x_EQ] = ACTIONS(192),
    [anon_sym_AMP_EQ] = ACTIONS(192),
    [anon_sym_PIPE_EQ] = ACTIONS(192),
    [anon_sym_CARET_EQ] = ACTIONS(192),
    [anon_sym_LT_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_GT_EQ] = ACTIONS(192),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(192),
    [anon_sym_DOT_DOT] = ACTIONS(192),
    [anon_sym_STAR_STAR] = ACTIONS(192),
    [anon_sym_PIPE_PIPE] = ACTIONS(192),
    [anon_sym_SLASH_SLASH] = ACTIONS(197),
    [anon_sym_CARET_CARET] = ACTIONS(192),
    [anon_sym_AMP_AMP] = ACTIONS(192),
    [anon_sym_PIPE] = ACTIONS(192),
    [anon_sym_CARET] = ACTIONS(192),
    [anon_sym_AMP] = ACTIONS(192),
    [anon_sym_GT_GT2] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(200),
    [anon_sym_DASH] = ACTIONS(203),
    [anon_sym_DOT] = ACTIONS(192),
    [anon_sym_SLASH] = ACTIONS(192),
    [anon_sym_x] = ACTIONS(192),
    [anon_sym_EQ_TILDE] = ACTIONS(192),
    [anon_sym_BANG_TILDE] = ACTIONS(192),
    [anon_sym_EQ_EQ] = ACTIONS(192),
    [anon_sym_BANG_EQ] = ACTIONS(192),
    [anon_sym_eq] = ACTIONS(192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(192),
    [anon_sym_equ] = ACTIONS(192),
    [anon_sym_eqr] = ACTIONS(192),
    [anon_sym_ne] = ACTIONS(192),
    [anon_sym_LT_EQ_GT] = ACTIONS(192),
    [anon_sym_cmp] = ACTIONS(192),
    [anon_sym_TILDE_TILDE] = ACTIONS(192),
    [anon_sym_LT] = ACTIONS(192),
    [anon_sym_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_EQ] = ACTIONS(192),
    [anon_sym_lt] = ACTIONS(192),
    [anon_sym_le] = ACTIONS(192),
    [anon_sym_ge] = ACTIONS(192),
    [anon_sym_gt] = ACTIONS(192),
    [anon_sym_isa] = ACTIONS(192),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(206),
    [anon_sym_DASH_DASH] = ACTIONS(206),
    [anon_sym_QMARK] = ACTIONS(192),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_for] = ACTIONS(192),
    [anon_sym_foreach] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(192),
    [anon_sym___END__] = ACTIONS(192),
    [anon_sym_EOT] = ACTIONS(192),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(192),
    [anon_sym_unless] = ACTIONS(192),
    [anon_sym_while] = ACTIONS(192),
    [anon_sym_until] = ACTIONS(192),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(209),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(209),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [7] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1501),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym__label_arg] = STATE(1388),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(7),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(1384),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_and] = ACTIONS(155),
    [anon_sym_or] = ACTIONS(155),
    [anon_sym_xor] = ACTIONS(155),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(155),
    [anon_sym___END__] = ACTIONS(155),
    [anon_sym_EOT] = ACTIONS(155),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(161),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(161),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [8] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1385),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1441),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(8),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_and] = ACTIONS(163),
    [anon_sym_or] = ACTIONS(163),
    [anon_sym_xor] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(165),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(168),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(247),
    [anon_sym_DASH] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(253),
    [anon_sym_DASH_DASH] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(163),
    [anon_sym___END__] = ACTIONS(163),
    [anon_sym_EOT] = ACTIONS(163),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(180),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(180),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [9] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1500),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(9),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(192),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(192),
    [anon_sym_and] = ACTIONS(192),
    [anon_sym_or] = ACTIONS(192),
    [anon_sym_xor] = ACTIONS(192),
    [anon_sym_DASH_GT] = ACTIONS(192),
    [anon_sym_STAR] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(192),
    [anon_sym_GT] = ACTIONS(192),
    [anon_sym_LT_LT] = ACTIONS(194),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(192),
    [anon_sym_PLUS_EQ] = ACTIONS(192),
    [anon_sym_DASH_EQ] = ACTIONS(192),
    [anon_sym_DOT_EQ] = ACTIONS(192),
    [anon_sym_STAR_EQ] = ACTIONS(192),
    [anon_sym_SLASH_EQ] = ACTIONS(192),
    [anon_sym_PERCENT_EQ] = ACTIONS(192),
    [anon_sym_x_EQ] = ACTIONS(192),
    [anon_sym_AMP_EQ] = ACTIONS(192),
    [anon_sym_PIPE_EQ] = ACTIONS(192),
    [anon_sym_CARET_EQ] = ACTIONS(192),
    [anon_sym_LT_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_GT_EQ] = ACTIONS(192),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(192),
    [anon_sym_DOT_DOT] = ACTIONS(192),
    [anon_sym_STAR_STAR] = ACTIONS(192),
    [anon_sym_PIPE_PIPE] = ACTIONS(192),
    [anon_sym_SLASH_SLASH] = ACTIONS(197),
    [anon_sym_CARET_CARET] = ACTIONS(192),
    [anon_sym_AMP_AMP] = ACTIONS(192),
    [anon_sym_PIPE] = ACTIONS(192),
    [anon_sym_CARET] = ACTIONS(192),
    [anon_sym_AMP] = ACTIONS(192),
    [anon_sym_GT_GT2] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(256),
    [anon_sym_DASH] = ACTIONS(259),
    [anon_sym_DOT] = ACTIONS(192),
    [anon_sym_SLASH] = ACTIONS(192),
    [anon_sym_x] = ACTIONS(192),
    [anon_sym_EQ_TILDE] = ACTIONS(192),
    [anon_sym_BANG_TILDE] = ACTIONS(192),
    [anon_sym_EQ_EQ] = ACTIONS(192),
    [anon_sym_BANG_EQ] = ACTIONS(192),
    [anon_sym_eq] = ACTIONS(192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(192),
    [anon_sym_equ] = ACTIONS(192),
    [anon_sym_eqr] = ACTIONS(192),
    [anon_sym_ne] = ACTIONS(192),
    [anon_sym_LT_EQ_GT] = ACTIONS(192),
    [anon_sym_cmp] = ACTIONS(192),
    [anon_sym_TILDE_TILDE] = ACTIONS(192),
    [anon_sym_LT] = ACTIONS(192),
    [anon_sym_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_EQ] = ACTIONS(192),
    [anon_sym_lt] = ACTIONS(192),
    [anon_sym_le] = ACTIONS(192),
    [anon_sym_ge] = ACTIONS(192),
    [anon_sym_gt] = ACTIONS(192),
    [anon_sym_isa] = ACTIONS(192),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(262),
    [anon_sym_DASH_DASH] = ACTIONS(262),
    [anon_sym_QMARK] = ACTIONS(192),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(192),
    [anon_sym___END__] = ACTIONS(192),
    [anon_sym_EOT] = ACTIONS(192),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(209),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(209),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [10] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1502),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(10),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_and] = ACTIONS(182),
    [anon_sym_or] = ACTIONS(182),
    [anon_sym_xor] = ACTIONS(182),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(182),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(182),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(182),
    [anon_sym_DASH] = ACTIONS(182),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(182),
    [anon_sym_DASH_DASH] = ACTIONS(182),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(182),
    [anon_sym___END__] = ACTIONS(182),
    [anon_sym_EOT] = ACTIONS(182),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(184),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(184),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [11] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1491),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(11),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(186),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_EQ] = ACTIONS(186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(186),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(186),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(188),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(186),
    [anon_sym_and] = ACTIONS(186),
    [anon_sym_or] = ACTIONS(186),
    [anon_sym_xor] = ACTIONS(186),
    [anon_sym_DASH_GT] = ACTIONS(186),
    [anon_sym_STAR] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_PERCENT] = ACTIONS(186),
    [anon_sym_GT] = ACTIONS(186),
    [anon_sym_LT_LT] = ACTIONS(186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(186),
    [anon_sym_PLUS_EQ] = ACTIONS(186),
    [anon_sym_DASH_EQ] = ACTIONS(186),
    [anon_sym_DOT_EQ] = ACTIONS(186),
    [anon_sym_STAR_EQ] = ACTIONS(186),
    [anon_sym_SLASH_EQ] = ACTIONS(186),
    [anon_sym_PERCENT_EQ] = ACTIONS(186),
    [anon_sym_x_EQ] = ACTIONS(186),
    [anon_sym_AMP_EQ] = ACTIONS(186),
    [anon_sym_PIPE_EQ] = ACTIONS(186),
    [anon_sym_CARET_EQ] = ACTIONS(186),
    [anon_sym_LT_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_GT_EQ] = ACTIONS(186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(186),
    [anon_sym_DOT_DOT] = ACTIONS(186),
    [anon_sym_STAR_STAR] = ACTIONS(186),
    [anon_sym_PIPE_PIPE] = ACTIONS(186),
    [anon_sym_SLASH_SLASH] = ACTIONS(186),
    [anon_sym_CARET_CARET] = ACTIONS(186),
    [anon_sym_AMP_AMP] = ACTIONS(186),
    [anon_sym_PIPE] = ACTIONS(186),
    [anon_sym_CARET] = ACTIONS(186),
    [anon_sym_AMP] = ACTIONS(186),
    [anon_sym_GT_GT2] = ACTIONS(186),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_DOT] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(186),
    [anon_sym_x] = ACTIONS(186),
    [anon_sym_EQ_TILDE] = ACTIONS(186),
    [anon_sym_BANG_TILDE] = ACTIONS(186),
    [anon_sym_EQ_EQ] = ACTIONS(186),
    [anon_sym_BANG_EQ] = ACTIONS(186),
    [anon_sym_eq] = ACTIONS(186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(186),
    [anon_sym_equ] = ACTIONS(186),
    [anon_sym_eqr] = ACTIONS(186),
    [anon_sym_ne] = ACTIONS(186),
    [anon_sym_LT_EQ_GT] = ACTIONS(186),
    [anon_sym_cmp] = ACTIONS(186),
    [anon_sym_TILDE_TILDE] = ACTIONS(186),
    [anon_sym_LT] = ACTIONS(186),
    [anon_sym_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_EQ] = ACTIONS(186),
    [anon_sym_lt] = ACTIONS(186),
    [anon_sym_le] = ACTIONS(186),
    [anon_sym_ge] = ACTIONS(186),
    [anon_sym_gt] = ACTIONS(186),
    [anon_sym_isa] = ACTIONS(186),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [anon_sym_QMARK] = ACTIONS(186),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(186),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(186),
    [anon_sym___END__] = ACTIONS(186),
    [anon_sym_EOT] = ACTIONS(186),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(190),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(190),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [12] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1805),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym__label_arg] = STATE(1810),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(12),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_identifier] = STATE(1807),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_and] = ACTIONS(155),
    [anon_sym_or] = ACTIONS(155),
    [anon_sym_xor] = ACTIONS(155),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(155),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [13] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__term_rightward] = STATE(1808),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1600),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(13),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_and] = ACTIONS(163),
    [anon_sym_or] = ACTIONS(163),
    [anon_sym_xor] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(163),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(347),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(350),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(353),
    [anon_sym_DASH] = ACTIONS(356),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(359),
    [anon_sym_DASH_DASH] = ACTIONS(359),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [14] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1737),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(14),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(186),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(186),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(186),
    [anon_sym_RPAREN] = ACTIONS(186),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(362),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(186),
    [anon_sym_and] = ACTIONS(186),
    [anon_sym_or] = ACTIONS(186),
    [anon_sym_xor] = ACTIONS(186),
    [anon_sym_DASH_GT] = ACTIONS(186),
    [anon_sym_STAR] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(186),
    [anon_sym_PERCENT] = ACTIONS(186),
    [anon_sym_GT] = ACTIONS(186),
    [anon_sym_LT_LT] = ACTIONS(186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(186),
    [anon_sym_PLUS_EQ] = ACTIONS(186),
    [anon_sym_DASH_EQ] = ACTIONS(186),
    [anon_sym_DOT_EQ] = ACTIONS(186),
    [anon_sym_STAR_EQ] = ACTIONS(186),
    [anon_sym_SLASH_EQ] = ACTIONS(186),
    [anon_sym_PERCENT_EQ] = ACTIONS(186),
    [anon_sym_x_EQ] = ACTIONS(186),
    [anon_sym_AMP_EQ] = ACTIONS(186),
    [anon_sym_PIPE_EQ] = ACTIONS(186),
    [anon_sym_CARET_EQ] = ACTIONS(186),
    [anon_sym_LT_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_GT_EQ] = ACTIONS(186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(186),
    [anon_sym_DOT_DOT] = ACTIONS(186),
    [anon_sym_STAR_STAR] = ACTIONS(186),
    [anon_sym_PIPE_PIPE] = ACTIONS(186),
    [anon_sym_SLASH_SLASH] = ACTIONS(186),
    [anon_sym_CARET_CARET] = ACTIONS(186),
    [anon_sym_AMP_AMP] = ACTIONS(186),
    [anon_sym_PIPE] = ACTIONS(186),
    [anon_sym_CARET] = ACTIONS(186),
    [anon_sym_AMP] = ACTIONS(186),
    [anon_sym_GT_GT2] = ACTIONS(186),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_DOT] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(186),
    [anon_sym_x] = ACTIONS(186),
    [anon_sym_EQ_TILDE] = ACTIONS(186),
    [anon_sym_BANG_TILDE] = ACTIONS(186),
    [anon_sym_EQ_EQ] = ACTIONS(186),
    [anon_sym_BANG_EQ] = ACTIONS(186),
    [anon_sym_eq] = ACTIONS(186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(186),
    [anon_sym_equ] = ACTIONS(186),
    [anon_sym_eqr] = ACTIONS(186),
    [anon_sym_ne] = ACTIONS(186),
    [anon_sym_LT_EQ_GT] = ACTIONS(186),
    [anon_sym_cmp] = ACTIONS(186),
    [anon_sym_TILDE_TILDE] = ACTIONS(186),
    [anon_sym_LT] = ACTIONS(186),
    [anon_sym_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_EQ] = ACTIONS(186),
    [anon_sym_lt] = ACTIONS(186),
    [anon_sym_le] = ACTIONS(186),
    [anon_sym_ge] = ACTIONS(186),
    [anon_sym_gt] = ACTIONS(186),
    [anon_sym_isa] = ACTIONS(186),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [anon_sym_QMARK] = ACTIONS(186),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(186),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [15] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1809),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(15),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_and] = ACTIONS(182),
    [anon_sym_or] = ACTIONS(182),
    [anon_sym_xor] = ACTIONS(182),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(182),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(182),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(182),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(182),
    [anon_sym_DASH] = ACTIONS(182),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(182),
    [anon_sym_DASH_DASH] = ACTIONS(182),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [16] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1677),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(16),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_EQ] = ACTIONS(192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(192),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_RPAREN] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(192),
    [anon_sym_and] = ACTIONS(192),
    [anon_sym_or] = ACTIONS(192),
    [anon_sym_xor] = ACTIONS(192),
    [anon_sym_DASH_GT] = ACTIONS(192),
    [anon_sym_STAR] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(192),
    [anon_sym_PERCENT] = ACTIONS(192),
    [anon_sym_GT] = ACTIONS(192),
    [anon_sym_LT_LT] = ACTIONS(364),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(192),
    [anon_sym_PLUS_EQ] = ACTIONS(192),
    [anon_sym_DASH_EQ] = ACTIONS(192),
    [anon_sym_DOT_EQ] = ACTIONS(192),
    [anon_sym_STAR_EQ] = ACTIONS(192),
    [anon_sym_SLASH_EQ] = ACTIONS(192),
    [anon_sym_PERCENT_EQ] = ACTIONS(192),
    [anon_sym_x_EQ] = ACTIONS(192),
    [anon_sym_AMP_EQ] = ACTIONS(192),
    [anon_sym_PIPE_EQ] = ACTIONS(192),
    [anon_sym_CARET_EQ] = ACTIONS(192),
    [anon_sym_LT_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_GT_EQ] = ACTIONS(192),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(192),
    [anon_sym_DOT_DOT] = ACTIONS(192),
    [anon_sym_STAR_STAR] = ACTIONS(192),
    [anon_sym_PIPE_PIPE] = ACTIONS(192),
    [anon_sym_SLASH_SLASH] = ACTIONS(367),
    [anon_sym_CARET_CARET] = ACTIONS(192),
    [anon_sym_AMP_AMP] = ACTIONS(192),
    [anon_sym_PIPE] = ACTIONS(192),
    [anon_sym_CARET] = ACTIONS(192),
    [anon_sym_AMP] = ACTIONS(192),
    [anon_sym_GT_GT2] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_DASH] = ACTIONS(373),
    [anon_sym_DOT] = ACTIONS(192),
    [anon_sym_SLASH] = ACTIONS(192),
    [anon_sym_x] = ACTIONS(192),
    [anon_sym_EQ_TILDE] = ACTIONS(192),
    [anon_sym_BANG_TILDE] = ACTIONS(192),
    [anon_sym_EQ_EQ] = ACTIONS(192),
    [anon_sym_BANG_EQ] = ACTIONS(192),
    [anon_sym_eq] = ACTIONS(192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(192),
    [anon_sym_equ] = ACTIONS(192),
    [anon_sym_eqr] = ACTIONS(192),
    [anon_sym_ne] = ACTIONS(192),
    [anon_sym_LT_EQ_GT] = ACTIONS(192),
    [anon_sym_cmp] = ACTIONS(192),
    [anon_sym_TILDE_TILDE] = ACTIONS(192),
    [anon_sym_LT] = ACTIONS(192),
    [anon_sym_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_EQ] = ACTIONS(192),
    [anon_sym_lt] = ACTIONS(192),
    [anon_sym_le] = ACTIONS(192),
    [anon_sym_ge] = ACTIONS(192),
    [anon_sym_gt] = ACTIONS(192),
    [anon_sym_isa] = ACTIONS(192),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(376),
    [anon_sym_DASH_DASH] = ACTIONS(376),
    [anon_sym_QMARK] = ACTIONS(192),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [17] = {
    [sym__PERLY_BRACE_OPEN] = STATE(75),
    [sym_block] = STATE(921),
    [sym__fullstmt] = STATE(922),
    [sym_statement_label] = STATE(923),
    [sym__barestmt] = STATE(923),
    [sym_package_statement] = STATE(918),
    [sym_class_statement] = STATE(918),
    [sym_role_statement] = STATE(918),
    [sym_class_phaser_statement] = STATE(918),
    [sym_use_version_statement] = STATE(918),
    [sym_use_statement] = STATE(918),
    [sym_subroutine_declaration_statement] = STATE(918),
    [sym_method_declaration_statement] = STATE(918),
    [sym_phaser_statement] = STATE(918),
    [sym_conditional_statement] = STATE(918),
    [sym_loop_statement] = STATE(918),
    [sym_cstyle_for_statement] = STATE(918),
    [sym_for_statement] = STATE(918),
    [sym_try_statement] = STATE(918),
    [sym_defer_statement] = STATE(918),
    [sym_expression_statement] = STATE(3049),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym___DATA__] = STATE(3902),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(17),
    [sym__conditionals] = STATE(3898),
    [sym__loops] = STATE(3903),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(3911),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(20),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3351),
    [ts_builtin_sym_end] = ACTIONS(379),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_role] = ACTIONS(21),
    [anon_sym_BUILD] = ACTIONS(23),
    [anon_sym_ADJUST] = ACTIONS(23),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(29),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(33),
    [anon_sym_method] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_defer] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(91),
    [anon_sym_no] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(93),
    [anon_sym_foreach] = ACTIONS(93),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(97),
    [anon_sym_INIT] = ACTIONS(97),
    [anon_sym_CHECK] = ACTIONS(97),
    [anon_sym_UNITCHECK] = ACTIONS(97),
    [anon_sym_END] = ACTIONS(97),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(101),
    [anon_sym___END__] = ACTIONS(101),
    [anon_sym_EOT] = ACTIONS(103),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(145),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [18] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(18),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4057),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(127),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(381),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(409),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(419),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(421),
  },
  [19] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2232),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym__label_arg] = STATE(2238),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(19),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_identifier] = STATE(2235),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(161),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [20] = {
    [sym__PERLY_BRACE_OPEN] = STATE(75),
    [sym_block] = STATE(921),
    [sym__fullstmt] = STATE(922),
    [sym_statement_label] = STATE(923),
    [sym__barestmt] = STATE(923),
    [sym_package_statement] = STATE(918),
    [sym_class_statement] = STATE(918),
    [sym_role_statement] = STATE(918),
    [sym_class_phaser_statement] = STATE(918),
    [sym_use_version_statement] = STATE(918),
    [sym_use_statement] = STATE(918),
    [sym_subroutine_declaration_statement] = STATE(918),
    [sym_method_declaration_statement] = STATE(918),
    [sym_phaser_statement] = STATE(918),
    [sym_conditional_statement] = STATE(918),
    [sym_loop_statement] = STATE(918),
    [sym_cstyle_for_statement] = STATE(918),
    [sym_for_statement] = STATE(918),
    [sym_try_statement] = STATE(918),
    [sym_defer_statement] = STATE(918),
    [sym_expression_statement] = STATE(3049),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(20),
    [sym__conditionals] = STATE(3898),
    [sym__loops] = STATE(3903),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(3911),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(20),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3351),
    [ts_builtin_sym_end] = ACTIONS(505),
    [sym__identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_SEMI] = ACTIONS(513),
    [anon_sym_package] = ACTIONS(516),
    [anon_sym_class] = ACTIONS(519),
    [anon_sym_role] = ACTIONS(522),
    [anon_sym_BUILD] = ACTIONS(525),
    [anon_sym_ADJUST] = ACTIONS(525),
    [anon_sym_DOLLAR] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(531),
    [anon_sym_my] = ACTIONS(534),
    [anon_sym_extended] = ACTIONS(537),
    [anon_sym_async] = ACTIONS(537),
    [anon_sym_sub] = ACTIONS(540),
    [anon_sym_method] = ACTIONS(543),
    [anon_sym_LPAREN] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(549),
    [anon_sym_state] = ACTIONS(552),
    [anon_sym_our] = ACTIONS(552),
    [anon_sym_try] = ACTIONS(555),
    [anon_sym_defer] = ACTIONS(558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(561),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(567),
    [anon_sym_SLASH_SLASH] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_BSLASH] = ACTIONS(582),
    [anon_sym_do] = ACTIONS(585),
    [anon_sym_eval] = ACTIONS(588),
    [anon_sym_await] = ACTIONS(591),
    [anon_sym_field] = ACTIONS(552),
    [anon_sym_local] = ACTIONS(594),
    [anon_sym_dynamically] = ACTIONS(594),
    [anon_sym_DOLLAR_POUND] = ACTIONS(597),
    [anon_sym_require] = ACTIONS(600),
    [anon_sym_map] = ACTIONS(603),
    [anon_sym_grep] = ACTIONS(603),
    [anon_sym_sort] = ACTIONS(606),
    [anon_sym_goto] = ACTIONS(609),
    [anon_sym_return] = ACTIONS(612),
    [anon_sym_undef] = ACTIONS(615),
    [anon_sym_PERCENT2] = ACTIONS(618),
    [anon_sym_AMP2] = ACTIONS(621),
    [anon_sym_STAR2] = ACTIONS(624),
    [anon_sym_use] = ACTIONS(627),
    [anon_sym_no] = ACTIONS(627),
    [anon_sym_for] = ACTIONS(630),
    [anon_sym_foreach] = ACTIONS(630),
    [anon_sym_last] = ACTIONS(633),
    [anon_sym_next] = ACTIONS(633),
    [anon_sym_redo] = ACTIONS(633),
    [anon_sym_BEGIN] = ACTIONS(636),
    [anon_sym_INIT] = ACTIONS(636),
    [anon_sym_CHECK] = ACTIONS(636),
    [anon_sym_UNITCHECK] = ACTIONS(636),
    [anon_sym_END] = ACTIONS(636),
    [anon_sym___FILE__] = ACTIONS(549),
    [anon_sym___LINE__] = ACTIONS(549),
    [anon_sym___PACKAGE__] = ACTIONS(549),
    [anon_sym___SUB__] = ACTIONS(549),
    [anon_sym_break] = ACTIONS(549),
    [anon_sym_fork] = ACTIONS(549),
    [anon_sym_getppid] = ACTIONS(549),
    [anon_sym_time] = ACTIONS(549),
    [anon_sym_times] = ACTIONS(549),
    [anon_sym_wait] = ACTIONS(549),
    [anon_sym_wantarray] = ACTIONS(549),
    [anon_sym_abs] = ACTIONS(639),
    [anon_sym_alarm] = ACTIONS(639),
    [anon_sym_chop] = ACTIONS(639),
    [anon_sym_chdir] = ACTIONS(639),
    [anon_sym_close] = ACTIONS(639),
    [anon_sym_closedir] = ACTIONS(639),
    [anon_sym_caller] = ACTIONS(639),
    [anon_sym_chomp] = ACTIONS(639),
    [anon_sym_chr] = ACTIONS(639),
    [anon_sym_cos] = ACTIONS(639),
    [anon_sym_chroot] = ACTIONS(639),
    [anon_sym_defined] = ACTIONS(639),
    [anon_sym_delete] = ACTIONS(639),
    [anon_sym_dbmclose] = ACTIONS(639),
    [anon_sym_exists] = ACTIONS(639),
    [anon_sym_exit] = ACTIONS(639),
    [anon_sym_eof] = ACTIONS(639),
    [anon_sym_exp] = ACTIONS(639),
    [anon_sym_each] = ACTIONS(639),
    [anon_sym_fc] = ACTIONS(639),
    [anon_sym_fileno] = ACTIONS(639),
    [anon_sym_gmtime] = ACTIONS(639),
    [anon_sym_getc] = ACTIONS(639),
    [anon_sym_getpgrp] = ACTIONS(639),
    [anon_sym_getprotobyname] = ACTIONS(639),
    [anon_sym_getpwname] = ACTIONS(639),
    [anon_sym_getpwuid] = ACTIONS(639),
    [anon_sym_getpeername] = ACTIONS(639),
    [anon_sym_getnetbyname] = ACTIONS(639),
    [anon_sym_getsockname] = ACTIONS(639),
    [anon_sym_getgrnam] = ACTIONS(639),
    [anon_sym_getgrgid] = ACTIONS(639),
    [anon_sym_hex] = ACTIONS(639),
    [anon_sym_int] = ACTIONS(639),
    [anon_sym_keys] = ACTIONS(639),
    [anon_sym_lc] = ACTIONS(639),
    [anon_sym_lcfirst] = ACTIONS(639),
    [anon_sym_length] = ACTIONS(639),
    [anon_sym_localtime] = ACTIONS(639),
    [anon_sym_log] = ACTIONS(639),
    [anon_sym_lock] = ACTIONS(639),
    [anon_sym_lstat] = ACTIONS(639),
    [anon_sym_oct] = ACTIONS(639),
    [anon_sym_ord] = ACTIONS(639),
    [anon_sym_prototype] = ACTIONS(639),
    [anon_sym_pop] = ACTIONS(639),
    [anon_sym_pos] = ACTIONS(639),
    [anon_sym_quotemeta] = ACTIONS(639),
    [anon_sym_reset] = ACTIONS(639),
    [anon_sym_rand] = ACTIONS(639),
    [anon_sym_rmdir] = ACTIONS(639),
    [anon_sym_readdir] = ACTIONS(639),
    [anon_sym_readline] = ACTIONS(639),
    [anon_sym_readpipe] = ACTIONS(639),
    [anon_sym_rewinddir] = ACTIONS(639),
    [anon_sym_readlink] = ACTIONS(639),
    [anon_sym_ref] = ACTIONS(639),
    [anon_sym_scalar] = ACTIONS(639),
    [anon_sym_shift] = ACTIONS(639),
    [anon_sym_sin] = ACTIONS(639),
    [anon_sym_sleep] = ACTIONS(639),
    [anon_sym_sqrt] = ACTIONS(639),
    [anon_sym_srand] = ACTIONS(639),
    [anon_sym_stat] = ACTIONS(639),
    [anon_sym_study] = ACTIONS(639),
    [anon_sym_tell] = ACTIONS(639),
    [anon_sym_telldir] = ACTIONS(639),
    [anon_sym_tied] = ACTIONS(639),
    [anon_sym_uc] = ACTIONS(639),
    [anon_sym_ucfirst] = ACTIONS(639),
    [anon_sym_untie] = ACTIONS(639),
    [anon_sym_umask] = ACTIONS(639),
    [anon_sym_values] = ACTIONS(639),
    [anon_sym_write] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(642),
    [anon_sym___END__] = ACTIONS(642),
    [anon_sym_EOT] = ACTIONS(642),
    [anon_sym_q] = ACTIONS(644),
    [anon_sym_qq] = ACTIONS(647),
    [anon_sym_qw] = ACTIONS(650),
    [anon_sym_qx] = ACTIONS(653),
    [anon_sym_qr] = ACTIONS(656),
    [anon_sym_m] = ACTIONS(659),
    [anon_sym_s] = ACTIONS(662),
    [anon_sym_tr] = ACTIONS(665),
    [anon_sym_y] = ACTIONS(665),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_unless] = ACTIONS(668),
    [anon_sym_while] = ACTIONS(671),
    [anon_sym_until] = ACTIONS(671),
    [aux_sym__bareword_token1] = ACTIONS(674),
    [sym_number] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(680),
    [anon_sym_false] = ACTIONS(680),
    [sym__single_quote] = ACTIONS(683),
    [sym__double_quote] = ACTIONS(686),
    [sym__backtick_quote] = ACTIONS(689),
    [sym__search_slash_quote] = ACTIONS(692),
    [sym__open_readline_bracket] = ACTIONS(695),
    [sym__open_fileglob_bracket] = ACTIONS(698),
    [sym__PERLY_HEREDOC] = ACTIONS(701),
    [sym__ctrl_z_hack] = ACTIONS(505),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(704),
    [sym__filetest] = ACTIONS(707),
  },
  [21] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1974),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym__label_arg] = STATE(1855),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(21),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_identifier] = STATE(1832),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(155),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(155),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(155),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [22] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2297),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym__label_arg] = STATE(2044),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(22),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_identifier] = STATE(2125),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(786),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_RPAREN] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [23] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(23),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4079),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(99),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(868),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(870),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(872),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(874),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(876),
  },
  [24] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(24),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4122),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(101),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(882),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(884),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(886),
  },
  [25] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(25),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(3930),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(103),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(890),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(892),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(894),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(896),
  },
  [26] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(26),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(3977),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(105),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(898),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(900),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(902),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(904),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(906),
  },
  [27] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(27),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(3998),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(109),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(912),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(914),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(916),
  },
  [28] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(28),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4003),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(922),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(924),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(926),
  },
  [29] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(29),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4007),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(116),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(928),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(932),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(934),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(936),
  },
  [30] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(30),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4011),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(118),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(938),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(940),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(942),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(944),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(946),
  },
  [31] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(31),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4015),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(145),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(950),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(952),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(954),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(956),
  },
  [32] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(32),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4021),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(107),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(962),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(964),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(966),
  },
  [33] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(33),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4024),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(121),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(970),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(972),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(974),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(976),
  },
  [34] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(34),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4027),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(112),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(978),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(980),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(982),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(984),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(986),
  },
  [35] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(35),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4030),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(123),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(988),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(990),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(992),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(994),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(996),
  },
  [36] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(36),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4033),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(124),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(998),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1002),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1004),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1006),
  },
  [37] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(37),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4036),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(126),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1010),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1012),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1014),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1016),
  },
  [38] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(38),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4039),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(128),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1018),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1022),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1024),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1026),
  },
  [39] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(39),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4042),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(129),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1028),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1030),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1032),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1034),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1036),
  },
  [40] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(40),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4045),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(130),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1042),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1044),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1046),
  },
  [41] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(41),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4048),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(125),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1052),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1054),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1056),
  },
  [42] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(42),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4051),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(131),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1058),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1062),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1064),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1066),
  },
  [43] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(43),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4054),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(133),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1072),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1074),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1076),
  },
  [44] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(44),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(3968),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(144),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1078),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1082),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1084),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1086),
  },
  [45] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(45),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4060),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(135),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1092),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1094),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1096),
  },
  [46] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(46),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4063),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(136),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1102),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1104),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1106),
  },
  [47] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(47),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4066),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1112),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1114),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1116),
  },
  [48] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(48),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4069),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(139),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1122),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1124),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1126),
  },
  [49] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(49),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym__ident_special] = STATE(4018),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(120),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(395),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(407),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(1132),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__ident_special_token1] = ACTIONS(417),
    [aux_sym__bareword_token1] = ACTIONS(1134),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__brace_autoquoted_token] = ACTIONS(1136),
  },
  [50] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__term_rightward] = STATE(2236),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2070),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(50),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(1141),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1147),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(180),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [51] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2132),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(51),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1162),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [52] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym__term_rightward] = STATE(1836),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1604),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(52),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(1168),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(1171),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_RPAREN] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(1174),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(1177),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1189),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [53] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2392),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym__label_arg] = STATE(2044),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(53),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_identifier] = STATE(2125),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(786),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(155),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(155),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(155),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(155),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(155),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(155),
    [anon_sym_DASH_GT] = ACTIONS(155),
    [anon_sym_STAR] = ACTIONS(155),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(155),
    [anon_sym_GT] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(155),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(155),
    [anon_sym_PLUS_EQ] = ACTIONS(155),
    [anon_sym_DASH_EQ] = ACTIONS(155),
    [anon_sym_DOT_EQ] = ACTIONS(155),
    [anon_sym_STAR_EQ] = ACTIONS(155),
    [anon_sym_SLASH_EQ] = ACTIONS(155),
    [anon_sym_PERCENT_EQ] = ACTIONS(155),
    [anon_sym_x_EQ] = ACTIONS(155),
    [anon_sym_AMP_EQ] = ACTIONS(155),
    [anon_sym_PIPE_EQ] = ACTIONS(155),
    [anon_sym_CARET_EQ] = ACTIONS(155),
    [anon_sym_LT_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_GT_EQ] = ACTIONS(155),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(155),
    [anon_sym_DOT_DOT] = ACTIONS(155),
    [anon_sym_STAR_STAR] = ACTIONS(155),
    [anon_sym_PIPE_PIPE] = ACTIONS(155),
    [anon_sym_SLASH_SLASH] = ACTIONS(155),
    [anon_sym_CARET_CARET] = ACTIONS(155),
    [anon_sym_AMP_AMP] = ACTIONS(155),
    [anon_sym_PIPE] = ACTIONS(155),
    [anon_sym_CARET] = ACTIONS(155),
    [anon_sym_AMP] = ACTIONS(155),
    [anon_sym_GT_GT2] = ACTIONS(155),
    [anon_sym_PLUS] = ACTIONS(155),
    [anon_sym_DASH] = ACTIONS(155),
    [anon_sym_DOT] = ACTIONS(155),
    [anon_sym_SLASH] = ACTIONS(155),
    [anon_sym_x] = ACTIONS(155),
    [anon_sym_EQ_TILDE] = ACTIONS(155),
    [anon_sym_BANG_TILDE] = ACTIONS(155),
    [anon_sym_EQ_EQ] = ACTIONS(155),
    [anon_sym_BANG_EQ] = ACTIONS(155),
    [anon_sym_eq] = ACTIONS(155),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(155),
    [anon_sym_equ] = ACTIONS(155),
    [anon_sym_eqr] = ACTIONS(155),
    [anon_sym_ne] = ACTIONS(155),
    [anon_sym_LT_EQ_GT] = ACTIONS(155),
    [anon_sym_cmp] = ACTIONS(155),
    [anon_sym_TILDE_TILDE] = ACTIONS(155),
    [anon_sym_LT] = ACTIONS(155),
    [anon_sym_LT_EQ] = ACTIONS(155),
    [anon_sym_GT_EQ] = ACTIONS(155),
    [anon_sym_lt] = ACTIONS(155),
    [anon_sym_le] = ACTIONS(155),
    [anon_sym_ge] = ACTIONS(155),
    [anon_sym_gt] = ACTIONS(155),
    [anon_sym_isa] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(155),
    [anon_sym_QMARK] = ACTIONS(155),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(155),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [54] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2302),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(54),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(186),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(186),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_COMMA] = ACTIONS(186),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(186),
    [anon_sym_DASH_GT] = ACTIONS(186),
    [anon_sym_STAR] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_PERCENT] = ACTIONS(186),
    [anon_sym_GT] = ACTIONS(186),
    [anon_sym_LT_LT] = ACTIONS(186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(186),
    [anon_sym_PLUS_EQ] = ACTIONS(186),
    [anon_sym_DASH_EQ] = ACTIONS(186),
    [anon_sym_DOT_EQ] = ACTIONS(186),
    [anon_sym_STAR_EQ] = ACTIONS(186),
    [anon_sym_SLASH_EQ] = ACTIONS(186),
    [anon_sym_PERCENT_EQ] = ACTIONS(186),
    [anon_sym_x_EQ] = ACTIONS(186),
    [anon_sym_AMP_EQ] = ACTIONS(186),
    [anon_sym_PIPE_EQ] = ACTIONS(186),
    [anon_sym_CARET_EQ] = ACTIONS(186),
    [anon_sym_LT_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_GT_EQ] = ACTIONS(186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(186),
    [anon_sym_DOT_DOT] = ACTIONS(186),
    [anon_sym_STAR_STAR] = ACTIONS(186),
    [anon_sym_PIPE_PIPE] = ACTIONS(186),
    [anon_sym_SLASH_SLASH] = ACTIONS(186),
    [anon_sym_CARET_CARET] = ACTIONS(186),
    [anon_sym_AMP_AMP] = ACTIONS(186),
    [anon_sym_PIPE] = ACTIONS(186),
    [anon_sym_CARET] = ACTIONS(186),
    [anon_sym_AMP] = ACTIONS(186),
    [anon_sym_GT_GT2] = ACTIONS(186),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_DOT] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(186),
    [anon_sym_x] = ACTIONS(186),
    [anon_sym_EQ_TILDE] = ACTIONS(186),
    [anon_sym_BANG_TILDE] = ACTIONS(186),
    [anon_sym_EQ_EQ] = ACTIONS(186),
    [anon_sym_BANG_EQ] = ACTIONS(186),
    [anon_sym_eq] = ACTIONS(186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(186),
    [anon_sym_equ] = ACTIONS(186),
    [anon_sym_eqr] = ACTIONS(186),
    [anon_sym_ne] = ACTIONS(186),
    [anon_sym_LT_EQ_GT] = ACTIONS(186),
    [anon_sym_cmp] = ACTIONS(186),
    [anon_sym_TILDE_TILDE] = ACTIONS(186),
    [anon_sym_LT] = ACTIONS(186),
    [anon_sym_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_EQ] = ACTIONS(186),
    [anon_sym_lt] = ACTIONS(186),
    [anon_sym_le] = ACTIONS(186),
    [anon_sym_ge] = ACTIONS(186),
    [anon_sym_gt] = ACTIONS(186),
    [anon_sym_isa] = ACTIONS(186),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [anon_sym_QMARK] = ACTIONS(186),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(186),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(190),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [55] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2132),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2383),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(55),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(163),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(163),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(163),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(163),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(163),
    [anon_sym_DASH_GT] = ACTIONS(163),
    [anon_sym_STAR] = ACTIONS(163),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(163),
    [anon_sym_GT] = ACTIONS(163),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(163),
    [anon_sym_PLUS_EQ] = ACTIONS(163),
    [anon_sym_DASH_EQ] = ACTIONS(163),
    [anon_sym_DOT_EQ] = ACTIONS(163),
    [anon_sym_STAR_EQ] = ACTIONS(163),
    [anon_sym_SLASH_EQ] = ACTIONS(163),
    [anon_sym_PERCENT_EQ] = ACTIONS(163),
    [anon_sym_x_EQ] = ACTIONS(163),
    [anon_sym_AMP_EQ] = ACTIONS(163),
    [anon_sym_PIPE_EQ] = ACTIONS(163),
    [anon_sym_CARET_EQ] = ACTIONS(163),
    [anon_sym_LT_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_GT_EQ] = ACTIONS(163),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(163),
    [anon_sym_STAR_STAR] = ACTIONS(163),
    [anon_sym_PIPE_PIPE] = ACTIONS(163),
    [anon_sym_SLASH_SLASH] = ACTIONS(1156),
    [anon_sym_CARET_CARET] = ACTIONS(163),
    [anon_sym_AMP_AMP] = ACTIONS(163),
    [anon_sym_PIPE] = ACTIONS(163),
    [anon_sym_CARET] = ACTIONS(163),
    [anon_sym_AMP] = ACTIONS(163),
    [anon_sym_GT_GT2] = ACTIONS(163),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(163),
    [anon_sym_SLASH] = ACTIONS(163),
    [anon_sym_x] = ACTIONS(163),
    [anon_sym_EQ_TILDE] = ACTIONS(163),
    [anon_sym_BANG_TILDE] = ACTIONS(163),
    [anon_sym_EQ_EQ] = ACTIONS(163),
    [anon_sym_BANG_EQ] = ACTIONS(163),
    [anon_sym_eq] = ACTIONS(163),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(163),
    [anon_sym_equ] = ACTIONS(163),
    [anon_sym_eqr] = ACTIONS(163),
    [anon_sym_ne] = ACTIONS(163),
    [anon_sym_LT_EQ_GT] = ACTIONS(163),
    [anon_sym_cmp] = ACTIONS(163),
    [anon_sym_TILDE_TILDE] = ACTIONS(163),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_LT_EQ] = ACTIONS(163),
    [anon_sym_GT_EQ] = ACTIONS(163),
    [anon_sym_lt] = ACTIONS(163),
    [anon_sym_le] = ACTIONS(163),
    [anon_sym_ge] = ACTIONS(163),
    [anon_sym_gt] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(163),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_QMARK] = ACTIONS(163),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(163),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [56] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2310),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(56),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(192),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(192),
    [anon_sym_DASH_GT] = ACTIONS(192),
    [anon_sym_STAR] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_PERCENT] = ACTIONS(192),
    [anon_sym_GT] = ACTIONS(192),
    [anon_sym_LT_LT] = ACTIONS(1235),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(192),
    [anon_sym_PLUS_EQ] = ACTIONS(192),
    [anon_sym_DASH_EQ] = ACTIONS(192),
    [anon_sym_DOT_EQ] = ACTIONS(192),
    [anon_sym_STAR_EQ] = ACTIONS(192),
    [anon_sym_SLASH_EQ] = ACTIONS(192),
    [anon_sym_PERCENT_EQ] = ACTIONS(192),
    [anon_sym_x_EQ] = ACTIONS(192),
    [anon_sym_AMP_EQ] = ACTIONS(192),
    [anon_sym_PIPE_EQ] = ACTIONS(192),
    [anon_sym_CARET_EQ] = ACTIONS(192),
    [anon_sym_LT_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_GT_EQ] = ACTIONS(192),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(192),
    [anon_sym_DOT_DOT] = ACTIONS(192),
    [anon_sym_STAR_STAR] = ACTIONS(192),
    [anon_sym_PIPE_PIPE] = ACTIONS(192),
    [anon_sym_SLASH_SLASH] = ACTIONS(1238),
    [anon_sym_CARET_CARET] = ACTIONS(192),
    [anon_sym_AMP_AMP] = ACTIONS(192),
    [anon_sym_PIPE] = ACTIONS(192),
    [anon_sym_CARET] = ACTIONS(192),
    [anon_sym_AMP] = ACTIONS(192),
    [anon_sym_GT_GT2] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_DOT] = ACTIONS(192),
    [anon_sym_SLASH] = ACTIONS(192),
    [anon_sym_x] = ACTIONS(192),
    [anon_sym_EQ_TILDE] = ACTIONS(192),
    [anon_sym_BANG_TILDE] = ACTIONS(192),
    [anon_sym_EQ_EQ] = ACTIONS(192),
    [anon_sym_BANG_EQ] = ACTIONS(192),
    [anon_sym_eq] = ACTIONS(192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(192),
    [anon_sym_equ] = ACTIONS(192),
    [anon_sym_eqr] = ACTIONS(192),
    [anon_sym_ne] = ACTIONS(192),
    [anon_sym_LT_EQ_GT] = ACTIONS(192),
    [anon_sym_cmp] = ACTIONS(192),
    [anon_sym_TILDE_TILDE] = ACTIONS(192),
    [anon_sym_LT] = ACTIONS(192),
    [anon_sym_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_EQ] = ACTIONS(192),
    [anon_sym_lt] = ACTIONS(192),
    [anon_sym_le] = ACTIONS(192),
    [anon_sym_ge] = ACTIONS(192),
    [anon_sym_gt] = ACTIONS(192),
    [anon_sym_isa] = ACTIONS(192),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1247),
    [anon_sym_QMARK] = ACTIONS(192),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(209),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [57] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2360),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(57),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(186),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(186),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(186),
    [anon_sym_RPAREN] = ACTIONS(186),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(186),
    [anon_sym_DASH_GT] = ACTIONS(186),
    [anon_sym_STAR] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(186),
    [anon_sym_GT] = ACTIONS(186),
    [anon_sym_LT_LT] = ACTIONS(186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(186),
    [anon_sym_PLUS_EQ] = ACTIONS(186),
    [anon_sym_DASH_EQ] = ACTIONS(186),
    [anon_sym_DOT_EQ] = ACTIONS(186),
    [anon_sym_STAR_EQ] = ACTIONS(186),
    [anon_sym_SLASH_EQ] = ACTIONS(186),
    [anon_sym_PERCENT_EQ] = ACTIONS(186),
    [anon_sym_x_EQ] = ACTIONS(186),
    [anon_sym_AMP_EQ] = ACTIONS(186),
    [anon_sym_PIPE_EQ] = ACTIONS(186),
    [anon_sym_CARET_EQ] = ACTIONS(186),
    [anon_sym_LT_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_GT_EQ] = ACTIONS(186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(186),
    [anon_sym_DOT_DOT] = ACTIONS(186),
    [anon_sym_STAR_STAR] = ACTIONS(186),
    [anon_sym_PIPE_PIPE] = ACTIONS(186),
    [anon_sym_SLASH_SLASH] = ACTIONS(186),
    [anon_sym_CARET_CARET] = ACTIONS(186),
    [anon_sym_AMP_AMP] = ACTIONS(186),
    [anon_sym_PIPE] = ACTIONS(186),
    [anon_sym_CARET] = ACTIONS(186),
    [anon_sym_AMP] = ACTIONS(186),
    [anon_sym_GT_GT2] = ACTIONS(186),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_DOT] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(186),
    [anon_sym_x] = ACTIONS(186),
    [anon_sym_EQ_TILDE] = ACTIONS(186),
    [anon_sym_BANG_TILDE] = ACTIONS(186),
    [anon_sym_EQ_EQ] = ACTIONS(186),
    [anon_sym_BANG_EQ] = ACTIONS(186),
    [anon_sym_eq] = ACTIONS(186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(186),
    [anon_sym_equ] = ACTIONS(186),
    [anon_sym_eqr] = ACTIONS(186),
    [anon_sym_ne] = ACTIONS(186),
    [anon_sym_LT_EQ_GT] = ACTIONS(186),
    [anon_sym_cmp] = ACTIONS(186),
    [anon_sym_TILDE_TILDE] = ACTIONS(186),
    [anon_sym_LT] = ACTIONS(186),
    [anon_sym_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_EQ] = ACTIONS(186),
    [anon_sym_lt] = ACTIONS(186),
    [anon_sym_le] = ACTIONS(186),
    [anon_sym_ge] = ACTIONS(186),
    [anon_sym_gt] = ACTIONS(186),
    [anon_sym_isa] = ACTIONS(186),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [anon_sym_QMARK] = ACTIONS(186),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(186),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [58] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1994),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(58),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [anon_sym_EQ] = ACTIONS(192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(192),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(1255),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_RPAREN] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(192),
    [anon_sym_DASH_GT] = ACTIONS(192),
    [anon_sym_STAR] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_PERCENT] = ACTIONS(192),
    [anon_sym_GT] = ACTIONS(192),
    [anon_sym_LT_LT] = ACTIONS(1258),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(192),
    [anon_sym_PLUS_EQ] = ACTIONS(192),
    [anon_sym_DASH_EQ] = ACTIONS(192),
    [anon_sym_DOT_EQ] = ACTIONS(192),
    [anon_sym_STAR_EQ] = ACTIONS(192),
    [anon_sym_SLASH_EQ] = ACTIONS(192),
    [anon_sym_PERCENT_EQ] = ACTIONS(192),
    [anon_sym_x_EQ] = ACTIONS(192),
    [anon_sym_AMP_EQ] = ACTIONS(192),
    [anon_sym_PIPE_EQ] = ACTIONS(192),
    [anon_sym_CARET_EQ] = ACTIONS(192),
    [anon_sym_LT_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_GT_EQ] = ACTIONS(192),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(192),
    [anon_sym_DOT_DOT] = ACTIONS(192),
    [anon_sym_STAR_STAR] = ACTIONS(192),
    [anon_sym_PIPE_PIPE] = ACTIONS(192),
    [anon_sym_SLASH_SLASH] = ACTIONS(1261),
    [anon_sym_CARET_CARET] = ACTIONS(192),
    [anon_sym_AMP_AMP] = ACTIONS(192),
    [anon_sym_PIPE] = ACTIONS(192),
    [anon_sym_CARET] = ACTIONS(192),
    [anon_sym_AMP] = ACTIONS(192),
    [anon_sym_GT_GT2] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(192),
    [anon_sym_SLASH] = ACTIONS(192),
    [anon_sym_x] = ACTIONS(192),
    [anon_sym_EQ_TILDE] = ACTIONS(192),
    [anon_sym_BANG_TILDE] = ACTIONS(192),
    [anon_sym_EQ_EQ] = ACTIONS(192),
    [anon_sym_BANG_EQ] = ACTIONS(192),
    [anon_sym_eq] = ACTIONS(192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(192),
    [anon_sym_equ] = ACTIONS(192),
    [anon_sym_eqr] = ACTIONS(192),
    [anon_sym_ne] = ACTIONS(192),
    [anon_sym_LT_EQ_GT] = ACTIONS(192),
    [anon_sym_cmp] = ACTIONS(192),
    [anon_sym_TILDE_TILDE] = ACTIONS(192),
    [anon_sym_LT] = ACTIONS(192),
    [anon_sym_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_EQ] = ACTIONS(192),
    [anon_sym_lt] = ACTIONS(192),
    [anon_sym_le] = ACTIONS(192),
    [anon_sym_ge] = ACTIONS(192),
    [anon_sym_gt] = ACTIONS(192),
    [anon_sym_isa] = ACTIONS(192),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1270),
    [anon_sym_DASH_DASH] = ACTIONS(1270),
    [anon_sym_QMARK] = ACTIONS(192),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1273),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [59] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2332),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(59),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(192),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_RPAREN] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(192),
    [anon_sym_DASH_GT] = ACTIONS(192),
    [anon_sym_STAR] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(192),
    [anon_sym_GT] = ACTIONS(192),
    [anon_sym_LT_LT] = ACTIONS(1276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(192),
    [anon_sym_PLUS_EQ] = ACTIONS(192),
    [anon_sym_DASH_EQ] = ACTIONS(192),
    [anon_sym_DOT_EQ] = ACTIONS(192),
    [anon_sym_STAR_EQ] = ACTIONS(192),
    [anon_sym_SLASH_EQ] = ACTIONS(192),
    [anon_sym_PERCENT_EQ] = ACTIONS(192),
    [anon_sym_x_EQ] = ACTIONS(192),
    [anon_sym_AMP_EQ] = ACTIONS(192),
    [anon_sym_PIPE_EQ] = ACTIONS(192),
    [anon_sym_CARET_EQ] = ACTIONS(192),
    [anon_sym_LT_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_GT_EQ] = ACTIONS(192),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(192),
    [anon_sym_DOT_DOT] = ACTIONS(192),
    [anon_sym_STAR_STAR] = ACTIONS(192),
    [anon_sym_PIPE_PIPE] = ACTIONS(192),
    [anon_sym_SLASH_SLASH] = ACTIONS(1279),
    [anon_sym_CARET_CARET] = ACTIONS(192),
    [anon_sym_AMP_AMP] = ACTIONS(192),
    [anon_sym_PIPE] = ACTIONS(192),
    [anon_sym_CARET] = ACTIONS(192),
    [anon_sym_AMP] = ACTIONS(192),
    [anon_sym_GT_GT2] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(192),
    [anon_sym_SLASH] = ACTIONS(192),
    [anon_sym_x] = ACTIONS(192),
    [anon_sym_EQ_TILDE] = ACTIONS(192),
    [anon_sym_BANG_TILDE] = ACTIONS(192),
    [anon_sym_EQ_EQ] = ACTIONS(192),
    [anon_sym_BANG_EQ] = ACTIONS(192),
    [anon_sym_eq] = ACTIONS(192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(192),
    [anon_sym_equ] = ACTIONS(192),
    [anon_sym_eqr] = ACTIONS(192),
    [anon_sym_ne] = ACTIONS(192),
    [anon_sym_LT_EQ_GT] = ACTIONS(192),
    [anon_sym_cmp] = ACTIONS(192),
    [anon_sym_TILDE_TILDE] = ACTIONS(192),
    [anon_sym_LT] = ACTIONS(192),
    [anon_sym_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_EQ] = ACTIONS(192),
    [anon_sym_lt] = ACTIONS(192),
    [anon_sym_le] = ACTIONS(192),
    [anon_sym_ge] = ACTIONS(192),
    [anon_sym_gt] = ACTIONS(192),
    [anon_sym_isa] = ACTIONS(192),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_QMARK] = ACTIONS(192),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [60] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1940),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(60),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(186),
    [anon_sym_DOLLAR] = ACTIONS(186),
    [anon_sym_EQ] = ACTIONS(186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(186),
    [anon_sym_AT] = ACTIONS(186),
    [anon_sym_COMMA] = ACTIONS(186),
    [anon_sym_RPAREN] = ACTIONS(186),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(1291),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(186),
    [anon_sym_DASH_GT] = ACTIONS(186),
    [anon_sym_STAR] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_PERCENT] = ACTIONS(186),
    [anon_sym_GT] = ACTIONS(186),
    [anon_sym_LT_LT] = ACTIONS(186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(186),
    [anon_sym_PLUS_EQ] = ACTIONS(186),
    [anon_sym_DASH_EQ] = ACTIONS(186),
    [anon_sym_DOT_EQ] = ACTIONS(186),
    [anon_sym_STAR_EQ] = ACTIONS(186),
    [anon_sym_SLASH_EQ] = ACTIONS(186),
    [anon_sym_PERCENT_EQ] = ACTIONS(186),
    [anon_sym_x_EQ] = ACTIONS(186),
    [anon_sym_AMP_EQ] = ACTIONS(186),
    [anon_sym_PIPE_EQ] = ACTIONS(186),
    [anon_sym_CARET_EQ] = ACTIONS(186),
    [anon_sym_LT_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_GT_EQ] = ACTIONS(186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(186),
    [anon_sym_DOT_DOT] = ACTIONS(186),
    [anon_sym_STAR_STAR] = ACTIONS(186),
    [anon_sym_PIPE_PIPE] = ACTIONS(186),
    [anon_sym_SLASH_SLASH] = ACTIONS(186),
    [anon_sym_CARET_CARET] = ACTIONS(186),
    [anon_sym_AMP_AMP] = ACTIONS(186),
    [anon_sym_PIPE] = ACTIONS(186),
    [anon_sym_CARET] = ACTIONS(186),
    [anon_sym_AMP] = ACTIONS(186),
    [anon_sym_GT_GT2] = ACTIONS(186),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_DOT] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(186),
    [anon_sym_x] = ACTIONS(186),
    [anon_sym_EQ_TILDE] = ACTIONS(186),
    [anon_sym_BANG_TILDE] = ACTIONS(186),
    [anon_sym_EQ_EQ] = ACTIONS(186),
    [anon_sym_BANG_EQ] = ACTIONS(186),
    [anon_sym_eq] = ACTIONS(186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(186),
    [anon_sym_equ] = ACTIONS(186),
    [anon_sym_eqr] = ACTIONS(186),
    [anon_sym_ne] = ACTIONS(186),
    [anon_sym_LT_EQ_GT] = ACTIONS(186),
    [anon_sym_cmp] = ACTIONS(186),
    [anon_sym_TILDE_TILDE] = ACTIONS(186),
    [anon_sym_LT] = ACTIONS(186),
    [anon_sym_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_EQ] = ACTIONS(186),
    [anon_sym_lt] = ACTIONS(186),
    [anon_sym_le] = ACTIONS(186),
    [anon_sym_ge] = ACTIONS(186),
    [anon_sym_gt] = ACTIONS(186),
    [anon_sym_isa] = ACTIONS(186),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [anon_sym_QMARK] = ACTIONS(186),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(186),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(186),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [61] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2317),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(61),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(182),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(182),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(182),
    [anon_sym_DASH] = ACTIONS(182),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(182),
    [anon_sym_DASH_DASH] = ACTIONS(182),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(184),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [62] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2296),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(62),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(182),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(182),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(182),
    [anon_sym_DASH] = ACTIONS(182),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(182),
    [anon_sym_DASH_DASH] = ACTIONS(182),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [63] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1983),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(63),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(182),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(182),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(182),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(182),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(182),
    [anon_sym_DASH] = ACTIONS(182),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(182),
    [anon_sym_DASH_DASH] = ACTIONS(182),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(182),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [64] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2413),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(64),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(186),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(186),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(186),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(186),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(186),
    [anon_sym_DASH_GT] = ACTIONS(186),
    [anon_sym_STAR] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(186),
    [anon_sym_GT] = ACTIONS(186),
    [anon_sym_LT_LT] = ACTIONS(186),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(186),
    [anon_sym_PLUS_EQ] = ACTIONS(186),
    [anon_sym_DASH_EQ] = ACTIONS(186),
    [anon_sym_DOT_EQ] = ACTIONS(186),
    [anon_sym_STAR_EQ] = ACTIONS(186),
    [anon_sym_SLASH_EQ] = ACTIONS(186),
    [anon_sym_PERCENT_EQ] = ACTIONS(186),
    [anon_sym_x_EQ] = ACTIONS(186),
    [anon_sym_AMP_EQ] = ACTIONS(186),
    [anon_sym_PIPE_EQ] = ACTIONS(186),
    [anon_sym_CARET_EQ] = ACTIONS(186),
    [anon_sym_LT_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_GT_EQ] = ACTIONS(186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(186),
    [anon_sym_DOT_DOT] = ACTIONS(186),
    [anon_sym_STAR_STAR] = ACTIONS(186),
    [anon_sym_PIPE_PIPE] = ACTIONS(186),
    [anon_sym_SLASH_SLASH] = ACTIONS(186),
    [anon_sym_CARET_CARET] = ACTIONS(186),
    [anon_sym_AMP_AMP] = ACTIONS(186),
    [anon_sym_PIPE] = ACTIONS(186),
    [anon_sym_CARET] = ACTIONS(186),
    [anon_sym_AMP] = ACTIONS(186),
    [anon_sym_GT_GT2] = ACTIONS(186),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_DOT] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(186),
    [anon_sym_x] = ACTIONS(186),
    [anon_sym_EQ_TILDE] = ACTIONS(186),
    [anon_sym_BANG_TILDE] = ACTIONS(186),
    [anon_sym_EQ_EQ] = ACTIONS(186),
    [anon_sym_BANG_EQ] = ACTIONS(186),
    [anon_sym_eq] = ACTIONS(186),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(186),
    [anon_sym_equ] = ACTIONS(186),
    [anon_sym_eqr] = ACTIONS(186),
    [anon_sym_ne] = ACTIONS(186),
    [anon_sym_LT_EQ_GT] = ACTIONS(186),
    [anon_sym_cmp] = ACTIONS(186),
    [anon_sym_TILDE_TILDE] = ACTIONS(186),
    [anon_sym_LT] = ACTIONS(186),
    [anon_sym_LT_EQ] = ACTIONS(186),
    [anon_sym_GT_EQ] = ACTIONS(186),
    [anon_sym_lt] = ACTIONS(186),
    [anon_sym_le] = ACTIONS(186),
    [anon_sym_ge] = ACTIONS(186),
    [anon_sym_gt] = ACTIONS(186),
    [anon_sym_isa] = ACTIONS(186),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(186),
    [anon_sym_DASH_DASH] = ACTIONS(186),
    [anon_sym_QMARK] = ACTIONS(186),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(186),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [65] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2568),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(3986),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(65),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(124),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [66] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(3899),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(66),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [67] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2566),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4032),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(67),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(107),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [68] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2569),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(3919),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(68),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [69] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2568),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(3986),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(69),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [70] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2564),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(3919),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(70),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(112),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [71] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2562),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(71),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [72] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2571),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(72),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(97),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [73] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2567),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(3986),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(73),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(125),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [74] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2562),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(74),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(94),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [75] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2562),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(75),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(88),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [76] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2571),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(76),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(127),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [77] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2563),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4032),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(77),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(105),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [78] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2562),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(78),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [79] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2572),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(3899),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(79),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(112),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [80] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2563),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4032),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(80),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [81] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2562),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(81),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(144),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [82] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2562),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(82),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(94),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [83] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2561),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(3899),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(83),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [84] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2562),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(84),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1319),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [85] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2421),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(85),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(182),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(182),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(182),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(182),
    [anon_sym_DASH_GT] = ACTIONS(182),
    [anon_sym_STAR] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(182),
    [anon_sym_GT] = ACTIONS(182),
    [anon_sym_LT_LT] = ACTIONS(182),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(182),
    [anon_sym_PLUS_EQ] = ACTIONS(182),
    [anon_sym_DASH_EQ] = ACTIONS(182),
    [anon_sym_DOT_EQ] = ACTIONS(182),
    [anon_sym_STAR_EQ] = ACTIONS(182),
    [anon_sym_SLASH_EQ] = ACTIONS(182),
    [anon_sym_PERCENT_EQ] = ACTIONS(182),
    [anon_sym_x_EQ] = ACTIONS(182),
    [anon_sym_AMP_EQ] = ACTIONS(182),
    [anon_sym_PIPE_EQ] = ACTIONS(182),
    [anon_sym_CARET_EQ] = ACTIONS(182),
    [anon_sym_LT_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_GT_EQ] = ACTIONS(182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(182),
    [anon_sym_DOT_DOT] = ACTIONS(182),
    [anon_sym_STAR_STAR] = ACTIONS(182),
    [anon_sym_PIPE_PIPE] = ACTIONS(182),
    [anon_sym_SLASH_SLASH] = ACTIONS(182),
    [anon_sym_CARET_CARET] = ACTIONS(182),
    [anon_sym_AMP_AMP] = ACTIONS(182),
    [anon_sym_PIPE] = ACTIONS(182),
    [anon_sym_CARET] = ACTIONS(182),
    [anon_sym_AMP] = ACTIONS(182),
    [anon_sym_GT_GT2] = ACTIONS(182),
    [anon_sym_PLUS] = ACTIONS(182),
    [anon_sym_DASH] = ACTIONS(182),
    [anon_sym_DOT] = ACTIONS(182),
    [anon_sym_SLASH] = ACTIONS(182),
    [anon_sym_x] = ACTIONS(182),
    [anon_sym_EQ_TILDE] = ACTIONS(182),
    [anon_sym_BANG_TILDE] = ACTIONS(182),
    [anon_sym_EQ_EQ] = ACTIONS(182),
    [anon_sym_BANG_EQ] = ACTIONS(182),
    [anon_sym_eq] = ACTIONS(182),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(182),
    [anon_sym_equ] = ACTIONS(182),
    [anon_sym_eqr] = ACTIONS(182),
    [anon_sym_ne] = ACTIONS(182),
    [anon_sym_LT_EQ_GT] = ACTIONS(182),
    [anon_sym_cmp] = ACTIONS(182),
    [anon_sym_TILDE_TILDE] = ACTIONS(182),
    [anon_sym_LT] = ACTIONS(182),
    [anon_sym_LT_EQ] = ACTIONS(182),
    [anon_sym_GT_EQ] = ACTIONS(182),
    [anon_sym_lt] = ACTIONS(182),
    [anon_sym_le] = ACTIONS(182),
    [anon_sym_ge] = ACTIONS(182),
    [anon_sym_gt] = ACTIONS(182),
    [anon_sym_isa] = ACTIONS(182),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(182),
    [anon_sym_DASH_DASH] = ACTIONS(182),
    [anon_sym_QMARK] = ACTIONS(182),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(182),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [86] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2569),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym__tricky_list] = STATE(3919),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1424),
    [sym_interpolated_string_literal] = STATE(1424),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1424),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(86),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1423),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(109),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1295),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [87] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2397),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(87),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_EQ] = ACTIONS(192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(192),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(192),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(192),
    [anon_sym_DASH_GT] = ACTIONS(192),
    [anon_sym_STAR] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(192),
    [anon_sym_GT] = ACTIONS(192),
    [anon_sym_LT_LT] = ACTIONS(1276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(192),
    [anon_sym_PLUS_EQ] = ACTIONS(192),
    [anon_sym_DASH_EQ] = ACTIONS(192),
    [anon_sym_DOT_EQ] = ACTIONS(192),
    [anon_sym_STAR_EQ] = ACTIONS(192),
    [anon_sym_SLASH_EQ] = ACTIONS(192),
    [anon_sym_PERCENT_EQ] = ACTIONS(192),
    [anon_sym_x_EQ] = ACTIONS(192),
    [anon_sym_AMP_EQ] = ACTIONS(192),
    [anon_sym_PIPE_EQ] = ACTIONS(192),
    [anon_sym_CARET_EQ] = ACTIONS(192),
    [anon_sym_LT_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_GT_EQ] = ACTIONS(192),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(192),
    [anon_sym_DOT_DOT] = ACTIONS(192),
    [anon_sym_STAR_STAR] = ACTIONS(192),
    [anon_sym_PIPE_PIPE] = ACTIONS(192),
    [anon_sym_SLASH_SLASH] = ACTIONS(1279),
    [anon_sym_CARET_CARET] = ACTIONS(192),
    [anon_sym_AMP_AMP] = ACTIONS(192),
    [anon_sym_PIPE] = ACTIONS(192),
    [anon_sym_CARET] = ACTIONS(192),
    [anon_sym_AMP] = ACTIONS(192),
    [anon_sym_GT_GT2] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_DOT] = ACTIONS(192),
    [anon_sym_SLASH] = ACTIONS(192),
    [anon_sym_x] = ACTIONS(192),
    [anon_sym_EQ_TILDE] = ACTIONS(192),
    [anon_sym_BANG_TILDE] = ACTIONS(192),
    [anon_sym_EQ_EQ] = ACTIONS(192),
    [anon_sym_BANG_EQ] = ACTIONS(192),
    [anon_sym_eq] = ACTIONS(192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(192),
    [anon_sym_equ] = ACTIONS(192),
    [anon_sym_eqr] = ACTIONS(192),
    [anon_sym_ne] = ACTIONS(192),
    [anon_sym_LT_EQ_GT] = ACTIONS(192),
    [anon_sym_cmp] = ACTIONS(192),
    [anon_sym_TILDE_TILDE] = ACTIONS(192),
    [anon_sym_LT] = ACTIONS(192),
    [anon_sym_LT_EQ] = ACTIONS(192),
    [anon_sym_GT_EQ] = ACTIONS(192),
    [anon_sym_lt] = ACTIONS(192),
    [anon_sym_le] = ACTIONS(192),
    [anon_sym_ge] = ACTIONS(192),
    [anon_sym_gt] = ACTIONS(192),
    [anon_sym_isa] = ACTIONS(192),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(192),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [88] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(88),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [89] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(89),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(90),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1334),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [90] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(90),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [91] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(91),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(105),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(900),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [92] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(92),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1338),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [93] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(93),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(109),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(910),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [94] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(94),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [95] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(95),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(507),
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(642),
    [anon_sym_SEMI] = ACTIONS(1342),
    [anon_sym_package] = ACTIONS(1345),
    [anon_sym_class] = ACTIONS(1348),
    [anon_sym_role] = ACTIONS(1351),
    [anon_sym_BUILD] = ACTIONS(1354),
    [anon_sym_ADJUST] = ACTIONS(1354),
    [anon_sym_DOLLAR] = ACTIONS(528),
    [anon_sym_AT] = ACTIONS(531),
    [anon_sym_my] = ACTIONS(1357),
    [anon_sym_extended] = ACTIONS(537),
    [anon_sym_async] = ACTIONS(537),
    [anon_sym_sub] = ACTIONS(1360),
    [anon_sym_method] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(549),
    [anon_sym_state] = ACTIONS(552),
    [anon_sym_our] = ACTIONS(552),
    [anon_sym_try] = ACTIONS(1366),
    [anon_sym_defer] = ACTIONS(1369),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(561),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(567),
    [anon_sym_SLASH_SLASH] = ACTIONS(570),
    [anon_sym_PLUS] = ACTIONS(573),
    [anon_sym_DASH] = ACTIONS(576),
    [anon_sym_TILDE] = ACTIONS(573),
    [anon_sym_BANG] = ACTIONS(573),
    [anon_sym_PLUS_PLUS] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(579),
    [anon_sym_BSLASH] = ACTIONS(582),
    [anon_sym_do] = ACTIONS(585),
    [anon_sym_eval] = ACTIONS(588),
    [anon_sym_await] = ACTIONS(591),
    [anon_sym_field] = ACTIONS(552),
    [anon_sym_local] = ACTIONS(594),
    [anon_sym_dynamically] = ACTIONS(594),
    [anon_sym_DOLLAR_POUND] = ACTIONS(597),
    [anon_sym_require] = ACTIONS(600),
    [anon_sym_map] = ACTIONS(603),
    [anon_sym_grep] = ACTIONS(603),
    [anon_sym_sort] = ACTIONS(606),
    [anon_sym_goto] = ACTIONS(609),
    [anon_sym_return] = ACTIONS(612),
    [anon_sym_undef] = ACTIONS(615),
    [anon_sym_PERCENT2] = ACTIONS(618),
    [anon_sym_AMP2] = ACTIONS(621),
    [anon_sym_STAR2] = ACTIONS(624),
    [anon_sym_use] = ACTIONS(1372),
    [anon_sym_no] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1375),
    [anon_sym_foreach] = ACTIONS(1375),
    [anon_sym_last] = ACTIONS(633),
    [anon_sym_next] = ACTIONS(633),
    [anon_sym_redo] = ACTIONS(633),
    [anon_sym_BEGIN] = ACTIONS(1378),
    [anon_sym_INIT] = ACTIONS(1378),
    [anon_sym_CHECK] = ACTIONS(1378),
    [anon_sym_UNITCHECK] = ACTIONS(1378),
    [anon_sym_END] = ACTIONS(1378),
    [anon_sym___FILE__] = ACTIONS(549),
    [anon_sym___LINE__] = ACTIONS(549),
    [anon_sym___PACKAGE__] = ACTIONS(549),
    [anon_sym___SUB__] = ACTIONS(549),
    [anon_sym_break] = ACTIONS(549),
    [anon_sym_fork] = ACTIONS(549),
    [anon_sym_getppid] = ACTIONS(549),
    [anon_sym_time] = ACTIONS(549),
    [anon_sym_times] = ACTIONS(549),
    [anon_sym_wait] = ACTIONS(549),
    [anon_sym_wantarray] = ACTIONS(549),
    [anon_sym_abs] = ACTIONS(639),
    [anon_sym_alarm] = ACTIONS(639),
    [anon_sym_chop] = ACTIONS(639),
    [anon_sym_chdir] = ACTIONS(639),
    [anon_sym_close] = ACTIONS(639),
    [anon_sym_closedir] = ACTIONS(639),
    [anon_sym_caller] = ACTIONS(639),
    [anon_sym_chomp] = ACTIONS(639),
    [anon_sym_chr] = ACTIONS(639),
    [anon_sym_cos] = ACTIONS(639),
    [anon_sym_chroot] = ACTIONS(639),
    [anon_sym_defined] = ACTIONS(639),
    [anon_sym_delete] = ACTIONS(639),
    [anon_sym_dbmclose] = ACTIONS(639),
    [anon_sym_exists] = ACTIONS(639),
    [anon_sym_exit] = ACTIONS(639),
    [anon_sym_eof] = ACTIONS(639),
    [anon_sym_exp] = ACTIONS(639),
    [anon_sym_each] = ACTIONS(639),
    [anon_sym_fc] = ACTIONS(639),
    [anon_sym_fileno] = ACTIONS(639),
    [anon_sym_gmtime] = ACTIONS(639),
    [anon_sym_getc] = ACTIONS(639),
    [anon_sym_getpgrp] = ACTIONS(639),
    [anon_sym_getprotobyname] = ACTIONS(639),
    [anon_sym_getpwname] = ACTIONS(639),
    [anon_sym_getpwuid] = ACTIONS(639),
    [anon_sym_getpeername] = ACTIONS(639),
    [anon_sym_getnetbyname] = ACTIONS(639),
    [anon_sym_getsockname] = ACTIONS(639),
    [anon_sym_getgrnam] = ACTIONS(639),
    [anon_sym_getgrgid] = ACTIONS(639),
    [anon_sym_hex] = ACTIONS(639),
    [anon_sym_int] = ACTIONS(639),
    [anon_sym_keys] = ACTIONS(639),
    [anon_sym_lc] = ACTIONS(639),
    [anon_sym_lcfirst] = ACTIONS(639),
    [anon_sym_length] = ACTIONS(639),
    [anon_sym_localtime] = ACTIONS(639),
    [anon_sym_log] = ACTIONS(639),
    [anon_sym_lock] = ACTIONS(639),
    [anon_sym_lstat] = ACTIONS(639),
    [anon_sym_oct] = ACTIONS(639),
    [anon_sym_ord] = ACTIONS(639),
    [anon_sym_prototype] = ACTIONS(639),
    [anon_sym_pop] = ACTIONS(639),
    [anon_sym_pos] = ACTIONS(639),
    [anon_sym_quotemeta] = ACTIONS(639),
    [anon_sym_reset] = ACTIONS(639),
    [anon_sym_rand] = ACTIONS(639),
    [anon_sym_rmdir] = ACTIONS(639),
    [anon_sym_readdir] = ACTIONS(639),
    [anon_sym_readline] = ACTIONS(639),
    [anon_sym_readpipe] = ACTIONS(639),
    [anon_sym_rewinddir] = ACTIONS(639),
    [anon_sym_readlink] = ACTIONS(639),
    [anon_sym_ref] = ACTIONS(639),
    [anon_sym_scalar] = ACTIONS(639),
    [anon_sym_shift] = ACTIONS(639),
    [anon_sym_sin] = ACTIONS(639),
    [anon_sym_sleep] = ACTIONS(639),
    [anon_sym_sqrt] = ACTIONS(639),
    [anon_sym_srand] = ACTIONS(639),
    [anon_sym_stat] = ACTIONS(639),
    [anon_sym_study] = ACTIONS(639),
    [anon_sym_tell] = ACTIONS(639),
    [anon_sym_telldir] = ACTIONS(639),
    [anon_sym_tied] = ACTIONS(639),
    [anon_sym_uc] = ACTIONS(639),
    [anon_sym_ucfirst] = ACTIONS(639),
    [anon_sym_untie] = ACTIONS(639),
    [anon_sym_umask] = ACTIONS(639),
    [anon_sym_values] = ACTIONS(639),
    [anon_sym_write] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(644),
    [anon_sym_qq] = ACTIONS(647),
    [anon_sym_qw] = ACTIONS(650),
    [anon_sym_qx] = ACTIONS(653),
    [anon_sym_qr] = ACTIONS(656),
    [anon_sym_m] = ACTIONS(659),
    [anon_sym_s] = ACTIONS(662),
    [anon_sym_tr] = ACTIONS(665),
    [anon_sym_y] = ACTIONS(665),
    [anon_sym_if] = ACTIONS(668),
    [anon_sym_unless] = ACTIONS(668),
    [anon_sym_while] = ACTIONS(671),
    [anon_sym_until] = ACTIONS(671),
    [aux_sym__bareword_token1] = ACTIONS(674),
    [sym_number] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(680),
    [anon_sym_false] = ACTIONS(680),
    [sym__single_quote] = ACTIONS(683),
    [sym__double_quote] = ACTIONS(686),
    [sym__backtick_quote] = ACTIONS(689),
    [sym__search_slash_quote] = ACTIONS(692),
    [sym__open_readline_bracket] = ACTIONS(695),
    [sym__open_fileglob_bracket] = ACTIONS(698),
    [sym__PERLY_HEREDOC] = ACTIONS(701),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(704),
    [sym__filetest] = ACTIONS(707),
  },
  [96] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(96),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(94),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1381),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [97] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(97),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [98] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(98),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(114),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [99] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(99),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [100] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(100),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(122),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1389),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [101] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(101),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [102] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(102),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(124),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1000),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [103] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(103),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1393),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [104] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(104),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(92),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [105] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(105),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [106] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(106),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(132),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [107] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(107),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [108] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(108),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(134),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [109] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(109),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [110] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(110),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(137),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [111] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(111),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(88),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [112] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(112),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [113] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(113),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(138),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [114] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(114),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [115] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(115),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(140),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [116] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(116),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [117] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(117),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(141),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [118] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(118),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [119] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(119),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(142),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [120] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(120),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [121] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(121),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [122] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(122),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [123] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(123),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [124] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(124),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [125] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(125),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [126] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(126),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [127] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(127),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1439),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [128] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(128),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [129] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(129),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [130] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(130),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [131] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(131),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1447),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [132] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(132),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [133] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(133),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [134] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(134),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [135] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(135),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [136] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(136),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [137] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(137),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [138] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(138),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [139] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(139),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1463),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [140] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(140),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [141] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(141),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [142] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(142),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [143] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(143),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(144),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1080),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [144] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(144),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [145] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1066),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(145),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_source_file_repeat1] = STATE(95),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(1473),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [146] = {
    [sym__PERLY_BRACE_OPEN] = STATE(75),
    [sym_block] = STATE(921),
    [sym__fullstmt] = STATE(942),
    [sym_statement_label] = STATE(923),
    [sym__barestmt] = STATE(923),
    [sym_package_statement] = STATE(918),
    [sym_class_statement] = STATE(918),
    [sym_role_statement] = STATE(918),
    [sym_class_phaser_statement] = STATE(918),
    [sym_use_version_statement] = STATE(918),
    [sym_use_statement] = STATE(918),
    [sym_subroutine_declaration_statement] = STATE(918),
    [sym_method_declaration_statement] = STATE(918),
    [sym_phaser_statement] = STATE(918),
    [sym_conditional_statement] = STATE(918),
    [sym_loop_statement] = STATE(918),
    [sym_cstyle_for_statement] = STATE(918),
    [sym_for_statement] = STATE(918),
    [sym_try_statement] = STATE(918),
    [sym_defer_statement] = STATE(918),
    [sym_expression_statement] = STATE(3049),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(146),
    [sym__conditionals] = STATE(3898),
    [sym__loops] = STATE(3903),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(3911),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3351),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(15),
    [anon_sym_package] = ACTIONS(17),
    [anon_sym_class] = ACTIONS(19),
    [anon_sym_role] = ACTIONS(21),
    [anon_sym_BUILD] = ACTIONS(23),
    [anon_sym_ADJUST] = ACTIONS(23),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(29),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(33),
    [anon_sym_method] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_defer] = ACTIONS(45),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(91),
    [anon_sym_no] = ACTIONS(91),
    [anon_sym_for] = ACTIONS(93),
    [anon_sym_foreach] = ACTIONS(93),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(97),
    [anon_sym_INIT] = ACTIONS(97),
    [anon_sym_CHECK] = ACTIONS(97),
    [anon_sym_UNITCHECK] = ACTIONS(97),
    [anon_sym_END] = ACTIONS(97),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [147] = {
    [sym__PERLY_BRACE_OPEN] = STATE(74),
    [sym_block] = STATE(1065),
    [sym__fullstmt] = STATE(1006),
    [sym_statement_label] = STATE(1067),
    [sym__barestmt] = STATE(1067),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(147),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(4092),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [148] = {
    [sym__PERLY_BRACE_OPEN] = STATE(84),
    [sym_block] = STATE(1122),
    [sym__barestmt] = STATE(276),
    [sym_package_statement] = STATE(1121),
    [sym_class_statement] = STATE(1121),
    [sym_role_statement] = STATE(1121),
    [sym_class_phaser_statement] = STATE(1121),
    [sym_use_version_statement] = STATE(1121),
    [sym_use_statement] = STATE(1121),
    [sym_subroutine_declaration_statement] = STATE(1121),
    [sym_method_declaration_statement] = STATE(1121),
    [sym_phaser_statement] = STATE(1121),
    [sym_conditional_statement] = STATE(1121),
    [sym_loop_statement] = STATE(1121),
    [sym_cstyle_for_statement] = STATE(1121),
    [sym_for_statement] = STATE(1121),
    [sym_try_statement] = STATE(1121),
    [sym_defer_statement] = STATE(1121),
    [sym_expression_statement] = STATE(3045),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(148),
    [sym__conditionals] = STATE(4144),
    [sym__loops] = STATE(4145),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3393),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(1475),
    [anon_sym_package] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_role] = ACTIONS(1481),
    [anon_sym_BUILD] = ACTIONS(1483),
    [anon_sym_ADJUST] = ACTIONS(1483),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(1485),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1487),
    [anon_sym_method] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_defer] = ACTIONS(1493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(1495),
    [anon_sym_no] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_foreach] = ACTIONS(1497),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(1499),
    [anon_sym_INIT] = ACTIONS(1499),
    [anon_sym_CHECK] = ACTIONS(1499),
    [anon_sym_UNITCHECK] = ACTIONS(1499),
    [anon_sym_END] = ACTIONS(1499),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [149] = {
    [sym__PERLY_BRACE_OPEN] = STATE(84),
    [sym_block] = STATE(1122),
    [sym__barestmt] = STATE(248),
    [sym_package_statement] = STATE(1121),
    [sym_class_statement] = STATE(1121),
    [sym_role_statement] = STATE(1121),
    [sym_class_phaser_statement] = STATE(1121),
    [sym_use_version_statement] = STATE(1121),
    [sym_use_statement] = STATE(1121),
    [sym_subroutine_declaration_statement] = STATE(1121),
    [sym_method_declaration_statement] = STATE(1121),
    [sym_phaser_statement] = STATE(1121),
    [sym_conditional_statement] = STATE(1121),
    [sym_loop_statement] = STATE(1121),
    [sym_cstyle_for_statement] = STATE(1121),
    [sym_for_statement] = STATE(1121),
    [sym_try_statement] = STATE(1121),
    [sym_defer_statement] = STATE(1121),
    [sym_expression_statement] = STATE(3045),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(149),
    [sym__conditionals] = STATE(4144),
    [sym__loops] = STATE(4145),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3393),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(1475),
    [anon_sym_package] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_role] = ACTIONS(1481),
    [anon_sym_BUILD] = ACTIONS(1483),
    [anon_sym_ADJUST] = ACTIONS(1483),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(1485),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1487),
    [anon_sym_method] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_defer] = ACTIONS(1493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(1495),
    [anon_sym_no] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_foreach] = ACTIONS(1497),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(1499),
    [anon_sym_INIT] = ACTIONS(1499),
    [anon_sym_CHECK] = ACTIONS(1499),
    [anon_sym_UNITCHECK] = ACTIONS(1499),
    [anon_sym_END] = ACTIONS(1499),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [150] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__barestmt] = STATE(148),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2570),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(150),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [151] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__barestmt] = STATE(152),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2560),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(151),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [152] = {
    [sym__PERLY_BRACE_OPEN] = STATE(84),
    [sym_block] = STATE(1122),
    [sym__barestmt] = STATE(245),
    [sym_package_statement] = STATE(1121),
    [sym_class_statement] = STATE(1121),
    [sym_role_statement] = STATE(1121),
    [sym_class_phaser_statement] = STATE(1121),
    [sym_use_version_statement] = STATE(1121),
    [sym_use_statement] = STATE(1121),
    [sym_subroutine_declaration_statement] = STATE(1121),
    [sym_method_declaration_statement] = STATE(1121),
    [sym_phaser_statement] = STATE(1121),
    [sym_conditional_statement] = STATE(1121),
    [sym_loop_statement] = STATE(1121),
    [sym_cstyle_for_statement] = STATE(1121),
    [sym_for_statement] = STATE(1121),
    [sym_try_statement] = STATE(1121),
    [sym_defer_statement] = STATE(1121),
    [sym_expression_statement] = STATE(3045),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2573),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(152),
    [sym__conditionals] = STATE(4144),
    [sym__loops] = STATE(4145),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3393),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(1475),
    [anon_sym_package] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_role] = ACTIONS(1481),
    [anon_sym_BUILD] = ACTIONS(1483),
    [anon_sym_ADJUST] = ACTIONS(1483),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(1485),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(1487),
    [anon_sym_method] = ACTIONS(1489),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_defer] = ACTIONS(1493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(1495),
    [anon_sym_no] = ACTIONS(1495),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_foreach] = ACTIONS(1497),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(1499),
    [anon_sym_INIT] = ACTIONS(1499),
    [anon_sym_CHECK] = ACTIONS(1499),
    [anon_sym_UNITCHECK] = ACTIONS(1499),
    [anon_sym_END] = ACTIONS(1499),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [153] = {
    [sym__PERLY_BRACE_OPEN] = STATE(82),
    [sym_block] = STATE(1065),
    [sym__barestmt] = STATE(149),
    [sym_package_statement] = STATE(1059),
    [sym_class_statement] = STATE(1059),
    [sym_role_statement] = STATE(1059),
    [sym_class_phaser_statement] = STATE(1059),
    [sym_use_version_statement] = STATE(1059),
    [sym_use_statement] = STATE(1059),
    [sym_subroutine_declaration_statement] = STATE(1059),
    [sym_method_declaration_statement] = STATE(1059),
    [sym_phaser_statement] = STATE(1059),
    [sym_conditional_statement] = STATE(1059),
    [sym_loop_statement] = STATE(1059),
    [sym_cstyle_for_statement] = STATE(1059),
    [sym_for_statement] = STATE(1059),
    [sym_try_statement] = STATE(1059),
    [sym_defer_statement] = STATE(1059),
    [sym_expression_statement] = STATE(3046),
    [sym__postfix_expressions] = STATE(3235),
    [sym_postfix_conditional_expression] = STATE(3242),
    [sym_postfix_loop_expression] = STATE(3242),
    [sym_postfix_for_expression] = STATE(3242),
    [sym_yadayada] = STATE(3235),
    [sym__expr] = STATE(2565),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(153),
    [sym__conditionals] = STATE(4139),
    [sym__loops] = STATE(4140),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3388),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(385),
    [anon_sym_package] = ACTIONS(387),
    [anon_sym_class] = ACTIONS(389),
    [anon_sym_role] = ACTIONS(391),
    [anon_sym_BUILD] = ACTIONS(393),
    [anon_sym_ADJUST] = ACTIONS(393),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(397),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(399),
    [anon_sym_method] = ACTIONS(401),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(403),
    [anon_sym_defer] = ACTIONS(405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_use] = ACTIONS(411),
    [anon_sym_no] = ACTIONS(411),
    [anon_sym_for] = ACTIONS(413),
    [anon_sym_foreach] = ACTIONS(413),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym_BEGIN] = ACTIONS(415),
    [anon_sym_INIT] = ACTIONS(415),
    [anon_sym_CHECK] = ACTIONS(415),
    [anon_sym_UNITCHECK] = ACTIONS(415),
    [anon_sym_END] = ACTIONS(415),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(121),
    [anon_sym_unless] = ACTIONS(121),
    [anon_sym_while] = ACTIONS(123),
    [anon_sym_until] = ACTIONS(123),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [154] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1292),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(154),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(192),
    [anon_sym_SEMI] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_RPAREN] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_and] = ACTIONS(192),
    [anon_sym_or] = ACTIONS(192),
    [anon_sym_xor] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_for] = ACTIONS(192),
    [anon_sym_foreach] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(192),
    [anon_sym___END__] = ACTIONS(192),
    [anon_sym_EOT] = ACTIONS(192),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [anon_sym_if] = ACTIONS(192),
    [anon_sym_unless] = ACTIONS(192),
    [anon_sym_while] = ACTIONS(192),
    [anon_sym_until] = ACTIONS(192),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(209),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(209),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [155] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1500),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(155),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_and] = ACTIONS(192),
    [anon_sym_or] = ACTIONS(192),
    [anon_sym_xor] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(192),
    [anon_sym___END__] = ACTIONS(192),
    [anon_sym_EOT] = ACTIONS(192),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_SEMICOLON] = ACTIONS(209),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym__ctrl_z_hack] = ACTIONS(209),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [156] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3935),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(156),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [157] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3905),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(157),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [158] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3894),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(158),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [159] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__semicolon] = STATE(939),
    [sym__listexpr] = STATE(3704),
    [sym__term_rightward] = STATE(3840),
    [sym_list_expression] = STATE(3814),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2187),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(159),
    [sym__version] = STATE(273),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [sym_version] = ACTIONS(1525),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(1527),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(1529),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [160] = {
    [sym__PERLY_BRACE_OPEN] = STATE(80),
    [sym_block] = STATE(1191),
    [sym__expr] = STATE(3530),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_indirect_object] = STATE(362),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(800),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(160),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1533),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [161] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3983),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(161),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [162] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4004),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(162),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [163] = {
    [sym__PERLY_BRACE_OPEN] = STATE(80),
    [sym_block] = STATE(1191),
    [sym__expr] = STATE(3400),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_indirect_object] = STATE(300),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(800),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(163),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1535),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [164] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4113),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(164),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [165] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1677),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(165),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_RPAREN] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_and] = ACTIONS(192),
    [anon_sym_or] = ACTIONS(192),
    [anon_sym_xor] = ACTIONS(192),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(192),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [166] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4108),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(166),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [167] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3926),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(167),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [168] = {
    [sym__PERLY_BRACE_OPEN] = STATE(80),
    [sym_block] = STATE(1191),
    [sym__expr] = STATE(3414),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_indirect_object] = STATE(373),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(800),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(168),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1537),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [169] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4041),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(169),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [170] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4046),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(170),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [171] = {
    [sym__PERLY_BRACE_OPEN] = STATE(80),
    [sym_block] = STATE(1191),
    [sym__expr] = STATE(3401),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_indirect_object] = STATE(330),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(800),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(171),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1539),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [172] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__semicolon] = STATE(1135),
    [sym__listexpr] = STATE(3804),
    [sym__term_rightward] = STATE(3840),
    [sym_list_expression] = STATE(3814),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2187),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(172),
    [sym__version] = STATE(261),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [sym_version] = ACTIONS(1525),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(1527),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(1543),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [173] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4071),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(173),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [174] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4124),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(174),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [175] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4127),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(175),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [176] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4065),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(176),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [177] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4121),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(177),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [178] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4050),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(178),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [179] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3907),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(179),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [180] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3897),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(180),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [181] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3920),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(181),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [182] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3931),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(182),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [183] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3999),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(183),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [184] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3932),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(184),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [185] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4075),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(185),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [186] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4098),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(186),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [187] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4103),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(187),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [188] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3887),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(188),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [189] = {
    [sym__PERLY_BRACE_OPEN] = STATE(80),
    [sym_block] = STATE(1191),
    [sym__expr] = STATE(3565),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_indirect_object] = STATE(346),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(800),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(189),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1545),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [190] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4049),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(190),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [191] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__semicolon] = STATE(1004),
    [sym__listexpr] = STATE(3605),
    [sym__term_rightward] = STATE(3840),
    [sym_list_expression] = STATE(3814),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2187),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(191),
    [sym__version] = STATE(252),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [sym_version] = ACTIONS(1525),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(1527),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(1549),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [192] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3956),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(192),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [193] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3975),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(193),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [194] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3979),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(194),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [195] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3981),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(195),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [196] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4016),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(196),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [197] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4059),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(197),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [198] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4072),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(198),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [199] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4080),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(199),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [200] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3885),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(200),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [201] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3910),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(201),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [202] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3951),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(202),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [203] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3959),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(203),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [204] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3960),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(204),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [205] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3989),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(205),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [206] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3946),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(206),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [207] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3976),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(207),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [208] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3984),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(208),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [209] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3992),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(209),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [210] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4067),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(210),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [211] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4120),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(211),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [212] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4123),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(212),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [213] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4128),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(213),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [214] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3906),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(214),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [215] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3928),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(215),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [216] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3945),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(216),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [217] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3947),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(217),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [218] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3953),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(218),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [219] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3966),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(219),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [220] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3938),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(220),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [221] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3940),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(221),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [222] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3942),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(222),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [223] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3954),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(223),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [224] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(3978),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(224),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [225] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4008),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(225),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [226] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4012),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(226),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [227] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4013),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(227),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [228] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4146),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(228),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [229] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3578),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym__hash_key] = STATE(4117),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(229),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym__brace_autoquoted] = STATE(4073),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__brace_autoquoted_token] = ACTIONS(1513),
  },
  [230] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3581),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(230),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1553),
  },
  [231] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3518),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym__tricky_list] = STATE(3986),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(2027),
    [sym_interpolated_string_literal] = STATE(2027),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(2027),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(231),
    [sym_autoquoted_bareword] = STATE(2028),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1555),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [232] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3542),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym__tricky_list] = STATE(4032),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(2027),
    [sym_interpolated_string_literal] = STATE(2027),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(2027),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(232),
    [sym_autoquoted_bareword] = STATE(2028),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [233] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3535),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(233),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1563),
  },
  [234] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3537),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym__tricky_list] = STATE(3919),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(2027),
    [sym_interpolated_string_literal] = STATE(2027),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(2027),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(234),
    [sym_autoquoted_bareword] = STATE(2028),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [235] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3547),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(235),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1569),
  },
  [236] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3444),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(236),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1573),
  },
  [237] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3581),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(237),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1575),
  },
  [238] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3581),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(238),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1577),
  },
  [239] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3465),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym__tricky_list] = STATE(4096),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(2027),
    [sym_interpolated_string_literal] = STATE(2027),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(2027),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(239),
    [sym_autoquoted_bareword] = STATE(2028),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1579),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [240] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3489),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(240),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1581),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1583),
  },
  [241] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3494),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym__tricky_list] = STATE(3899),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(2027),
    [sym_interpolated_string_literal] = STATE(2027),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(2027),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(241),
    [sym_autoquoted_bareword] = STATE(2028),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(1585),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1557),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [242] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3581),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(242),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1587),
  },
  [243] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3581),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(243),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1589),
  },
  [244] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3581),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(244),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1591),
  },
  [245] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3526),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(245),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1593),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [246] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3451),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(246),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1595),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [247] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3490),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(247),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [248] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3454),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(248),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1599),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [249] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3579),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(249),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1601),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [250] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3444),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(250),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1571),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [251] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3429),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(251),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1603),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [252] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__semicolon] = STATE(1023),
    [sym__listexpr] = STATE(3618),
    [sym__term_rightward] = STATE(3840),
    [sym_list_expression] = STATE(3814),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2187),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(252),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(1549),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [253] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3445),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(253),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1605),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [254] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3495),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(254),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1607),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [255] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3504),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(255),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1609),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [256] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3582),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(256),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1611),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [257] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3419),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(257),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1613),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [258] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3402),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(258),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1615),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [259] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3562),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(259),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1617),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [260] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3425),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(260),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1619),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [261] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__semicolon] = STATE(1151),
    [sym__listexpr] = STATE(3614),
    [sym__term_rightward] = STATE(3840),
    [sym_list_expression] = STATE(3814),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2187),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(261),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1541),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(1543),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [262] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3466),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(262),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1621),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [263] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3559),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(263),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1623),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [264] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3541),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(264),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1625),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [265] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3581),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(265),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1551),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [266] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3461),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(266),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1627),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [267] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3434),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(267),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1629),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [268] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3535),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(268),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1561),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [269] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3492),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(269),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1631),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [270] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3552),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(270),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1633),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [271] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3547),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(271),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1567),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [272] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3556),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(272),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_RBRACK] = ACTIONS(1635),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [273] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__semicolon] = STATE(956),
    [sym__listexpr] = STATE(3677),
    [sym__term_rightward] = STATE(3840),
    [sym_list_expression] = STATE(3814),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2187),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(273),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(1529),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [274] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3469),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(274),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1637),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [275] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3417),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(275),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1639),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [276] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3528),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(276),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1641),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [277] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3598),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(277),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1643),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [278] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3600),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(278),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1645),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [279] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3554),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(279),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1647),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [280] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3512),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(280),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1649),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [281] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3481),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(281),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1651),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [282] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3566),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(282),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1653),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [283] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3448),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(283),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1655),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [284] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3489),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(284),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1581),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [285] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3450),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(285),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_RPAREN] = ACTIONS(1657),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [286] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3577),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(286),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [287] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3452),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(287),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [288] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3575),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(288),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [289] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3590),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(289),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [290] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3397),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(290),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [291] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3449),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(291),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [292] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3470),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(292),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [293] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3472),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(293),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [294] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3456),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(294),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [295] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3427),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(295),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [296] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3432),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(296),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [297] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3475),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(297),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [298] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3521),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(298),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [299] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3522),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(299),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [300] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3544),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(300),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [301] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3546),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(301),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [302] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__expr] = STATE(2581),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(302),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [303] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__expr] = STATE(2577),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1272),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(303),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [304] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3549),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(304),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [305] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__expr] = STATE(3027),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1450),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(305),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [306] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__expr] = STATE(2969),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1450),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(306),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [307] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3586),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(307),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [308] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__expr] = STATE(2970),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1450),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(308),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [309] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3517),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(309),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [310] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3502),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(310),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [311] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3513),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(311),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [312] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3294),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(312),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [313] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3295),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(313),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [314] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3563),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(314),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [315] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3588),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(315),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [316] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__expr] = STATE(2581),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1450),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(316),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [317] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__expr] = STATE(3021),
    [sym_lowprec_logical_expression] = STATE(2578),
    [sym__listexpr] = STATE(2578),
    [sym__term_rightward] = STATE(2575),
    [sym_list_expression] = STATE(2576),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1450),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(317),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [318] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3462),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(318),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [319] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3464),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(319),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [320] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3467),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(320),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [321] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3474),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(321),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [322] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3501),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(322),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [323] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3536),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(323),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [324] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3540),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(324),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [325] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3545),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(325),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [326] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3584),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(326),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [327] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3404),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(327),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [328] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3422),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(328),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [329] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3431),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(329),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [330] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3441),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(330),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [331] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3442),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(331),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [332] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3455),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(332),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [333] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3463),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(333),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [334] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3437),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(334),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [335] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3440),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(335),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [336] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3447),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(336),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [337] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3477),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(337),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [338] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3510),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(338),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [339] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3478),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(339),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [340] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3479),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(340),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [341] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3503),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(341),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [342] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3564),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(342),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [343] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3487),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(343),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [344] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3551),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(344),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [345] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3561),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(345),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [346] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3505),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(346),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [347] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3514),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(347),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [348] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3516),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(348),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [349] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3574),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(349),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [350] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3568),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(350),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [351] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3569),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(351),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [352] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3570),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(352),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [353] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3571),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(353),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [354] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3576),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(354),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [355] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3594),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(355),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [356] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3601),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(356),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [357] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3482),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(357),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [358] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3480),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(358),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [359] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3589),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(359),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [360] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3580),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(360),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [361] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3405),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(361),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [362] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3428),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(362),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [363] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3520),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(363),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [364] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3485),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(364),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [365] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3476),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(365),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [366] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3484),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(366),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [367] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3486),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(367),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [368] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3396),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(368),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [369] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3558),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(369),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [370] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3573),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(370),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [371] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3491),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(371),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [372] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3409),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(372),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [373] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3421),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(373),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [374] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3424),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(374),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [375] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3426),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(375),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [376] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3591),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(376),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [377] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3592),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(377),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [378] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3508),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(378),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [379] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3483),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(379),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [380] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3415),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(380),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [381] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3438),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(381),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [382] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3439),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(382),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [383] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3446),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(383),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [384] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__expr] = STATE(3443),
    [sym_lowprec_logical_expression] = STATE(3336),
    [sym__listexpr] = STATE(3336),
    [sym__term_rightward] = STATE(3195),
    [sym_list_expression] = STATE(3275),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1584),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(384),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [385] = {
    [sym__PERLY_BRACE_OPEN] = STATE(70),
    [sym_block] = STATE(832),
    [sym__term_rightward] = STATE(2155),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2383),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_indirect_object] = STATE(433),
    [sym_function_call_expression] = STATE(2189),
    [sym__tricky_indirob_hashref] = STATE(2393),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(822),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(385),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [386] = {
    [sym__PERLY_BRACE_OPEN] = STATE(72),
    [sym_block] = STATE(725),
    [sym__term_rightward] = STATE(1328),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1259),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_indirect_object] = STATE(470),
    [sym_function_call_expression] = STATE(1418),
    [sym__tricky_indirob_hashref] = STATE(1339),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(686),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(386),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1669),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [387] = {
    [sym__PERLY_BRACE_OPEN] = STATE(73),
    [sym_block] = STATE(873),
    [sym__term_rightward] = STATE(2248),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2070),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_indirect_object] = STATE(464),
    [sym_function_call_expression] = STATE(2279),
    [sym__tricky_indirob_hashref] = STATE(2249),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(834),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(387),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [388] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2310),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(388),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_SEMICOLON] = ACTIONS(209),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [389] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2332),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(389),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_RBRACE] = ACTIONS(192),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_RPAREN] = ACTIONS(192),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_EQ_GT] = ACTIONS(192),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [390] = {
    [sym__PERLY_BRACE_OPEN] = STATE(76),
    [sym_block] = STATE(786),
    [sym__term_rightward] = STATE(1328),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1441),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_indirect_object] = STATE(458),
    [sym_function_call_expression] = STATE(1418),
    [sym__tricky_indirob_hashref] = STATE(1503),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(778),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(390),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1677),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [391] = {
    [sym__PERLY_BRACE_OPEN] = STATE(70),
    [sym_block] = STATE(832),
    [sym__term_rightward] = STATE(2155),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_indirect_object] = STATE(495),
    [sym_function_call_expression] = STATE(2189),
    [sym__tricky_indirob_hashref] = STATE(2328),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(822),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(391),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [392] = {
    [sym__PERLY_BRACE_OPEN] = STATE(79),
    [sym_block] = STATE(859),
    [sym__term_rightward] = STATE(1936),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1604),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_indirect_object] = STATE(514),
    [sym_function_call_expression] = STATE(1931),
    [sym__tricky_indirob_hashref] = STATE(1950),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(836),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(392),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1659),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [393] = {
    [sym__PERLY_BRACE_OPEN] = STATE(67),
    [sym_block] = STATE(810),
    [sym__term_rightward] = STATE(1668),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1600),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_indirect_object] = STATE(463),
    [sym_function_call_expression] = STATE(1655),
    [sym__tricky_indirob_hashref] = STATE(1662),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(800),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(393),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1531),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [394] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(2168),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2383),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym__sort_routine] = STATE(432),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(846),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(394),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1695),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(1691),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [395] = {
    [sym__PERLY_BRACE_OPEN] = STATE(66),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(1917),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1604),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym__sort_routine] = STATE(507),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(846),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(395),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(1691),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [396] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(3967),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym__sort_routine] = STATE(500),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(846),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(396),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(1691),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [397] = {
    [sym__PERLY_BRACE_OPEN] = STATE(78),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(1380),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1441),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym__sort_routine] = STATE(512),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(793),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(397),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1701),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1699),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [398] = {
    [sym_heredoc_content] = STATE(398),
    [ts_builtin_sym_end] = ACTIONS(1705),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_xor] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_DOT_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_equ] = ACTIONS(1709),
    [anon_sym_eqr] = ACTIONS(1709),
    [anon_sym_ne] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_cmp] = ACTIONS(1709),
    [anon_sym_TILDE_TILDE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_lt] = ACTIONS(1709),
    [anon_sym_le] = ACTIONS(1709),
    [anon_sym_ge] = ACTIONS(1709),
    [anon_sym_gt] = ACTIONS(1709),
    [anon_sym_isa] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1709),
    [anon_sym_foreach] = ACTIONS(1709),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1709),
    [anon_sym___END__] = ACTIONS(1709),
    [anon_sym_EOT] = ACTIONS(1709),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [399] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(2168),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym__sort_routine] = STATE(491),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(846),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(399),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1695),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(1691),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [400] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(3883),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym__sort_routine] = STATE(481),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(846),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(400),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(1691),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [401] = {
    [sym__PERLY_BRACE_OPEN] = STATE(80),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(1804),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1600),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym__sort_routine] = STATE(459),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(809),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(401),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(1713),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1715),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(1717),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(1713),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [402] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(3876),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym__sort_routine] = STATE(455),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(846),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(402),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(1691),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [403] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(2035),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(403),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_COLON] = ACTIONS(1719),
    [anon_sym_DOLLAR] = ACTIONS(1721),
    [anon_sym_AT] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1719),
    [anon_sym_RPAREN] = ACTIONS(1719),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1727),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [404] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(3929),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym__sort_routine] = STATE(427),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(846),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(404),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(1691),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [405] = {
    [sym__PERLY_BRACE_OPEN] = STATE(69),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(2224),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2070),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym__sort_routine] = STATE(440),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(872),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(405),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1732),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(1730),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [406] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(3915),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym__sort_routine] = STATE(518),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(846),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(406),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1693),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(1691),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [407] = {
    [sym__PERLY_BRACE_OPEN] = STATE(71),
    [sym_block] = STATE(1188),
    [sym__term_rightward] = STATE(1380),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1259),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym__sort_routine] = STATE(493),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(731),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(407),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(1736),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1738),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1736),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [408] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2221),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(408),
    [sym__version] = STATE(2223),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [sym_version] = ACTIONS(1740),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(1742),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [409] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1381),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym__label_arg] = STATE(1382),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(409),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(1384),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [410] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2232),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym__label_arg] = STATE(2233),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(410),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_identifier] = STATE(2235),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(423),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [411] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2431),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(411),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_COMMA] = ACTIONS(182),
    [anon_sym_RPAREN] = ACTIONS(182),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [412] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2420),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(412),
    [sym__version] = STATE(2045),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [sym_version] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(1746),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [413] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2392),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym__label_arg] = STATE(2063),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(413),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_identifier] = STATE(2125),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(786),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [414] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1377),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(414),
    [sym__version] = STATE(1378),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [sym_version] = ACTIONS(1748),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(1750),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [415] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1802),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(415),
    [sym__version] = STATE(1803),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [sym_version] = ACTIONS(1752),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(1754),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [416] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1863),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(416),
    [sym__version] = STATE(1864),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [sym_version] = ACTIONS(1758),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(1760),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [417] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1805),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym__label_arg] = STATE(1806),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(417),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_identifier] = STATE(1807),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [418] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1974),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym__label_arg] = STATE(1984),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(418),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_identifier] = STATE(1832),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(710),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [419] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2389),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(419),
    [sym__version] = STATE(2045),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [sym_version] = ACTIONS(1744),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(1746),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [420] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2297),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym__label_arg] = STATE(2063),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(420),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_identifier] = STATE(2125),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(786),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [421] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1499),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(421),
    [sym__version] = STATE(1378),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [sym_version] = ACTIONS(1748),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(1750),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [422] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1501),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym__label_arg] = STATE(1382),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(422),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_identifier] = STATE(1384),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(211),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [423] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__term_rightward] = STATE(1670),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1600),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(423),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [424] = {
    [sym__PERLY_BRACE_OPEN] = STATE(86),
    [sym_block] = STATE(2213),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2417),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(424),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [425] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(4017),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(425),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [426] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1467),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(426),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
    [sym__NONASSOC] = ACTIONS(1762),
  },
  [427] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(4019),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(427),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [428] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1308),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(428),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__NONASSOC] = ACTIONS(1764),
  },
  [429] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__term_rightward] = STATE(2298),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2070),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(429),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [430] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1309),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(430),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__NONASSOC] = ACTIONS(1762),
  },
  [431] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2159),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2383),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(431),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [432] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2161),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2383),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(432),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [433] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2053),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2383),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(433),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [434] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2102),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2383),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(434),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [435] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2137),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2383),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(435),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [436] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2398),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(436),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
    [sym__NONASSOC] = ACTIONS(1766),
  },
  [437] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2410),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(437),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
    [sym__NONASSOC] = ACTIONS(1768),
  },
  [438] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2411),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(438),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
    [sym__NONASSOC] = ACTIONS(1770),
  },
  [439] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(431),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2430),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(439),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [440] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__term_rightward] = STATE(2299),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2070),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(440),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [441] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1976),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1987),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(441),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [442] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1403),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1441),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(442),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [443] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(4130),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(443),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [444] = {
    [sym__PERLY_BRACE_OPEN] = STATE(83),
    [sym_block] = STATE(1990),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1997),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(444),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [445] = {
    [sym_heredoc_content] = STATE(445),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_xor] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_DOT_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_equ] = ACTIONS(1709),
    [anon_sym_eqr] = ACTIONS(1709),
    [anon_sym_ne] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_cmp] = ACTIONS(1709),
    [anon_sym_TILDE_TILDE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_lt] = ACTIONS(1709),
    [anon_sym_le] = ACTIONS(1709),
    [anon_sym_ge] = ACTIONS(1709),
    [anon_sym_gt] = ACTIONS(1709),
    [anon_sym_isa] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1709),
    [anon_sym_foreach] = ACTIONS(1709),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1709),
    [anon_sym___END__] = ACTIONS(1709),
    [anon_sym_EOT] = ACTIONS(1709),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [446] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(442),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2425),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(446),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1774),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [447] = {
    [sym__PERLY_BRACE_OPEN] = STATE(77),
    [sym_block] = STATE(1790),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1791),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(447),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [448] = {
    [sym__PERLY_BRACE_OPEN] = STATE(77),
    [sym_block] = STATE(1792),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1793),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(448),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [449] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(429),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2433),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(449),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [450] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1998),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(450),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
    [sym__NONASSOC] = ACTIONS(1778),
  },
  [451] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1827),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(451),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
    [sym__NONASSOC] = ACTIONS(1780),
  },
  [452] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(489),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2427),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(452),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [453] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(457),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2424),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(453),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [454] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3934),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(454),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [455] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3936),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(455),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [456] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(461),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2429),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(456),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1774),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [457] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__term_rightward] = STATE(1650),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1600),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(457),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [458] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1310),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1441),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(458),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [459] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__term_rightward] = STATE(1652),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1600),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(459),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [460] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(4034),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(460),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [461] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1403),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1259),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(461),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [462] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym__term_rightward] = STATE(1883),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1604),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(462),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [463] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__term_rightward] = STATE(1711),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1600),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(463),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [464] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__term_rightward] = STATE(2333),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2070),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(464),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [465] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(517),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2422),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(465),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [466] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__term_rightward] = STATE(2351),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2070),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(466),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [467] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1341),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1259),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(467),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [468] = {
    [sym__PERLY_BRACE_OPEN] = STATE(81),
    [sym_block] = STATE(1338),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1346),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(468),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [469] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym__term_rightward] = STATE(2312),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2070),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(469),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [470] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1310),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1259),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(470),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [471] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2220),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(471),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
    [sym__NONASSOC] = ACTIONS(1786),
  },
  [472] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym__term_rightward] = STATE(1726),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1600),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(472),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [473] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2327),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(473),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
    [sym__NONASSOC] = ACTIONS(1788),
  },
  [474] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1680),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(474),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1790),
  },
  [475] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym__term_rightward] = STATE(1850),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1604),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(475),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [476] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2329),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(476),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
    [sym__NONASSOC] = ACTIONS(1792),
  },
  [477] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1704),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(477),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1794),
  },
  [478] = {
    [sym__PERLY_BRACE_OPEN] = STATE(86),
    [sym_block] = STATE(2212),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2378),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(478),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [479] = {
    [sym__PERLY_BRACE_OPEN] = STATE(86),
    [sym_block] = STATE(2213),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2380),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(479),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [480] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3933),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(480),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [481] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3937),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(481),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [482] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1828),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(482),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
    [sym__NONASSOC] = ACTIONS(1796),
  },
  [483] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1341),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1441),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(483),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [484] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1280),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(484),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
    [sym__NONASSOC] = ACTIONS(1798),
  },
  [485] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3972),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(485),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [486] = {
    [sym__PERLY_BRACE_OPEN] = STATE(81),
    [sym_block] = STATE(1329),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1495),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(486),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [487] = {
    [sym__PERLY_BRACE_OPEN] = STATE(81),
    [sym_block] = STATE(1329),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1335),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(487),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [488] = {
    [sym__PERLY_BRACE_OPEN] = STATE(81),
    [sym_block] = STATE(1338),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1496),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(488),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [489] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym__term_rightward] = STATE(1894),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1604),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(489),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [490] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2159),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(490),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [491] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2161),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(491),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [492] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1466),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(492),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
    [sym__NONASSOC] = ACTIONS(1764),
  },
  [493] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1420),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1259),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(493),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [494] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(4085),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(494),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [495] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2053),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(495),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [496] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2102),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(496),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [497] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(2137),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2214),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(497),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [498] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2335),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(498),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
    [sym__NONASSOC] = ACTIONS(1766),
  },
  [499] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3990),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(499),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [500] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3991),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(500),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [501] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2285),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(501),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
    [sym__NONASSOC] = ACTIONS(1768),
  },
  [502] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3925),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(502),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [503] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2287),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(503),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
    [sym__NONASSOC] = ACTIONS(1770),
  },
  [504] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(490),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2426),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(504),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [505] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(4028),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(505),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [506] = {
    [sym__PERLY_BRACE_OPEN] = STATE(86),
    [sym_block] = STATE(2212),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2416),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(506),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [507] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym__term_rightward] = STATE(1895),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1604),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(507),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [508] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(425),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2432),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(508),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [509] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1370),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1259),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(509),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [510] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1370),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1441),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(510),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [511] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1454),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(511),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
    [sym__NONASSOC] = ACTIONS(1798),
  },
  [512] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym__term_rightward] = STATE(1420),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1441),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(512),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [513] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(2364),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2366),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(513),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [514] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym__term_rightward] = STATE(1988),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1604),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(514),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [515] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(454),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2434),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(515),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [516] = {
    [sym__PERLY_BRACE_OPEN] = STATE(65),
    [sym_block] = STATE(2367),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2368),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(516),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [517] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3993),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(517),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [518] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym__term_rightward] = STATE(3997),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2143),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(518),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [519] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(480),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2423),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(519),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [520] = {
    [sym__PERLY_BRACE_OPEN] = STATE(68),
    [sym_block] = STATE(499),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2428),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(520),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [521] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1703),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(521),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
    [sym__NONASSOC] = ACTIONS(1800),
  },
  [522] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1826),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(522),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [523] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1298),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(523),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [524] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2331),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(524),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [525] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1299),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(525),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [526] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2335),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(526),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [527] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2361),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(527),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [528] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2311),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(528),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [529] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2341),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(529),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [530] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2308),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(530),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [531] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2391),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(531),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [532] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2304),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(532),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [533] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2435),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(533),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [534] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2363),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(534),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [535] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2240),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(535),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [536] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2254),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(536),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [537] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2284),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(537),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [538] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2285),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(538),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [539] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2287),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(539),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [540] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1300),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(540),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [541] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2316),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(541),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [542] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1301),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(542),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [543] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2345),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(543),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [544] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2345),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(544),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(1802),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(1802),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1804),
    [sym__filetest] = ACTIONS(503),
  },
  [545] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2438),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(545),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [546] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2357),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(546),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [547] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2362),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2068),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(547),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [548] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1460),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(548),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [549] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2371),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(549),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [550] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1923),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(550),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [551] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2379),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(551),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [552] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1918),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(552),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [553] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1461),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(553),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [554] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1462),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(554),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [555] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1463),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(555),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [556] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1464),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(556),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [557] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1357),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(557),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [558] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1302),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(558),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [559] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1465),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(559),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [560] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1466),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(560),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [561] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1303),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(561),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [562] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2414),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(562),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [563] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2414),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(563),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(1806),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(1806),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1808),
    [sym__filetest] = ACTIONS(1222),
  },
  [564] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2210),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(564),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [565] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2415),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2040),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(565),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [566] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1467),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(566),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [567] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2418),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(567),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [568] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2419),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(568),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [569] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1993),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(569),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [570] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1492),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(570),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [571] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1998),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(571),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [572] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1321),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(572),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [573] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1816),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(573),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [574] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1817),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(574),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [575] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(2035),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(575),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [576] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2396),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(576),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [577] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2398),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(577),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [578] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2399),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(578),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [579] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2400),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(579),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [580] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2401),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(580),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [581] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2402),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(581),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [582] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2403),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(582),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [583] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2404),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(583),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [584] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2405),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(584),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [585] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2406),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(585),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [586] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2407),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(586),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [587] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2408),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(587),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [588] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2409),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(588),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [589] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2410),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(589),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [590] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2411),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(590),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [591] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1818),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(591),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [592] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1819),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(592),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [593] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1820),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(593),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [594] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1821),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(594),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [595] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1822),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(595),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [596] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1823),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(596),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [597] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2412),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(597),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [598] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1304),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(598),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [599] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1824),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(599),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [600] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1321),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(600),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(1810),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1810),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1812),
    [sym__filetest] = ACTIONS(149),
  },
  [601] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1825),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(601),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [602] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2309),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(602),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [603] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1827),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(603),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [604] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1305),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(604),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [605] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1828),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(605),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [606] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2441),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(606),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [607] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2220),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(607),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [608] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1454),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(608),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [609] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1455),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(609),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [610] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2314),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(610),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [611] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2315),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(611),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [612] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1456),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(612),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [613] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2318),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(613),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [614] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1407),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(614),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [615] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1457),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(615),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [616] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2319),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(616),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [617] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1458),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(617),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [618] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2320),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(618),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [619] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(2042),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(619),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [620] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1471),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(620),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [621] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1834),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(621),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [622] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2321),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(622),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [623] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2322),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(623),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [624] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1326),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(624),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [625] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2323),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(625),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [626] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2324),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(626),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [627] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1784),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(627),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [628] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2325),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(628),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [629] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1784),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(629),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(1814),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(1814),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1816),
    [sym__filetest] = ACTIONS(345),
  },
  [630] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1788),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(630),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [631] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2326),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(631),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [632] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1789),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1599),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(632),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [633] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2327),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(633),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [634] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2329),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(634),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [635] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1794),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(635),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [636] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1795),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(636),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [637] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2439),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(637),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [638] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1951),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(638),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [639] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1951),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(639),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(1818),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1820),
    [sym__filetest] = ACTIONS(784),
  },
  [640] = {
    [sym__PERLY_BRACE_OPEN] = STATE(231),
    [sym_subscripted] = STATE(1843),
    [sym_container_variable] = STATE(3863),
    [sym_glob_slot_expression] = STATE(1815),
    [sym_array_element_expression] = STATE(1815),
    [sym_hash_element_expression] = STATE(1815),
    [sym_coderef_call_expression] = STATE(1815),
    [sym_anonymous_slice_expression] = STATE(1815),
    [sym_slices] = STATE(2257),
    [sym_slice_container_variable] = STATE(3864),
    [sym_slice_expression] = STATE(2262),
    [sym_keyval_container_variable] = STATE(3865),
    [sym_keyval_expression] = STATE(2262),
    [sym__term] = STATE(2242),
    [sym_readline_expression] = STATE(2257),
    [sym_fileglob_expression] = STATE(2257),
    [sym_assignment_expression] = STATE(2257),
    [sym_binary_expression] = STATE(2257),
    [sym_equality_expression] = STATE(2257),
    [sym_relational_expression] = STATE(2257),
    [sym_unary_expression] = STATE(2257),
    [sym_preinc_expression] = STATE(2257),
    [sym_postinc_expression] = STATE(2257),
    [sym_conditional_expression] = STATE(2257),
    [sym_refgen_expression] = STATE(2257),
    [sym_anonymous_array_expression] = STATE(2257),
    [sym_anonymous_hash_expression] = STATE(2257),
    [sym_anonymous_subroutine_expression] = STATE(2257),
    [sym_anonymous_method_expression] = STATE(2257),
    [sym_do_expression] = STATE(2257),
    [sym_eval_expression] = STATE(2257),
    [sym_await_expression] = STATE(2257),
    [sym_variable_declaration] = STATE(2257),
    [sym_localization_expression] = STATE(2257),
    [sym_stub_expression] = STATE(2257),
    [sym_postfix_deref] = STATE(2257),
    [sym_scalar_deref_expression] = STATE(2278),
    [sym_array_deref_expression] = STATE(2278),
    [sym_arraylen_deref_expression] = STATE(2278),
    [sym_hash_deref_expression] = STATE(2278),
    [sym_amper_deref_expression] = STATE(2278),
    [sym_glob_deref_expression] = STATE(2278),
    [sym_require_expression] = STATE(2257),
    [sym_require_version_expression] = STATE(2257),
    [sym_func0op_call_expression] = STATE(2257),
    [sym_func1op_call_expression] = STATE(2257),
    [sym_map_grep_expression] = STATE(2257),
    [sym_sort_expression] = STATE(2257),
    [sym_loopex_expression] = STATE(2257),
    [sym_goto_expression] = STATE(2257),
    [sym_return_expression] = STATE(2257),
    [sym_undef_expression] = STATE(2257),
    [sym__listop] = STATE(2257),
    [sym_function_call_expression] = STATE(2279),
    [sym_ambiguous_function_call_expression] = STATE(2279),
    [sym_function] = STATE(387),
    [sym_method_call_expression] = STATE(2279),
    [sym__variables] = STATE(2257),
    [sym_scalar] = STATE(2282),
    [sym_array] = STATE(2282),
    [sym__SUB_AMPER] = STATE(2744),
    [sym__GLOB_STAR] = STATE(2747),
    [sym_hash] = STATE(2282),
    [sym_arraylen] = STATE(2282),
    [sym_glob] = STATE(2059),
    [sym_amper_sub] = STATE(2060),
    [sym__literal] = STATE(2257),
    [sym__apostrophe] = STATE(3245),
    [sym__quotation_mark] = STATE(2530),
    [sym__backtick] = STATE(2531),
    [sym__search_slash] = STATE(2473),
    [sym_string_literal] = STATE(2286),
    [sym_interpolated_string_literal] = STATE(2286),
    [sym_quoted_word_list] = STATE(2061),
    [sym_command_string] = STATE(2286),
    [sym_quoted_regexp] = STATE(2286),
    [sym_match_regexp] = STATE(2286),
    [sym_substitution_regexp] = STATE(2286),
    [sym_transliteration_expression] = STATE(2286),
    [sym_heredoc_token] = STATE(2257),
    [sym_command_heredoc_token] = STATE(2257),
    [sym_heredoc_content] = STATE(640),
    [sym_autoquoted_bareword] = STATE(2257),
    [sym_bareword] = STATE(2257),
    [sym_primitive] = STATE(2257),
    [sym_boolean] = STATE(2388),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3363),
    [sym__identifier] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(425),
    [anon_sym_AT] = ACTIONS(427),
    [anon_sym_my] = ACTIONS(429),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(431),
    [anon_sym_method] = ACTIONS(433),
    [anon_sym_LPAREN] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(437),
    [anon_sym_state] = ACTIONS(429),
    [anon_sym_our] = ACTIONS(429),
    [anon_sym_LBRACK] = ACTIONS(439),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_SLASH_SLASH] = ACTIONS(1519),
    [anon_sym_PLUS] = ACTIONS(441),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_BANG] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_BSLASH] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(445),
    [anon_sym_eval] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(449),
    [anon_sym_field] = ACTIONS(429),
    [anon_sym_local] = ACTIONS(451),
    [anon_sym_dynamically] = ACTIONS(451),
    [anon_sym_DOLLAR_POUND] = ACTIONS(453),
    [anon_sym_require] = ACTIONS(455),
    [anon_sym_map] = ACTIONS(457),
    [anon_sym_grep] = ACTIONS(457),
    [anon_sym_sort] = ACTIONS(459),
    [anon_sym_goto] = ACTIONS(461),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_undef] = ACTIONS(465),
    [anon_sym_PERCENT2] = ACTIONS(467),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(469),
    [anon_sym_next] = ACTIONS(469),
    [anon_sym_redo] = ACTIONS(469),
    [anon_sym___FILE__] = ACTIONS(437),
    [anon_sym___LINE__] = ACTIONS(437),
    [anon_sym___PACKAGE__] = ACTIONS(437),
    [anon_sym___SUB__] = ACTIONS(437),
    [anon_sym_break] = ACTIONS(437),
    [anon_sym_fork] = ACTIONS(437),
    [anon_sym_getppid] = ACTIONS(437),
    [anon_sym_time] = ACTIONS(437),
    [anon_sym_times] = ACTIONS(437),
    [anon_sym_wait] = ACTIONS(437),
    [anon_sym_wantarray] = ACTIONS(437),
    [anon_sym_abs] = ACTIONS(471),
    [anon_sym_alarm] = ACTIONS(471),
    [anon_sym_chop] = ACTIONS(471),
    [anon_sym_chdir] = ACTIONS(471),
    [anon_sym_close] = ACTIONS(471),
    [anon_sym_closedir] = ACTIONS(471),
    [anon_sym_caller] = ACTIONS(471),
    [anon_sym_chomp] = ACTIONS(471),
    [anon_sym_chr] = ACTIONS(471),
    [anon_sym_cos] = ACTIONS(471),
    [anon_sym_chroot] = ACTIONS(471),
    [anon_sym_defined] = ACTIONS(471),
    [anon_sym_delete] = ACTIONS(471),
    [anon_sym_dbmclose] = ACTIONS(471),
    [anon_sym_exists] = ACTIONS(471),
    [anon_sym_exit] = ACTIONS(471),
    [anon_sym_eof] = ACTIONS(471),
    [anon_sym_exp] = ACTIONS(471),
    [anon_sym_each] = ACTIONS(471),
    [anon_sym_fc] = ACTIONS(471),
    [anon_sym_fileno] = ACTIONS(471),
    [anon_sym_gmtime] = ACTIONS(471),
    [anon_sym_getc] = ACTIONS(471),
    [anon_sym_getpgrp] = ACTIONS(471),
    [anon_sym_getprotobyname] = ACTIONS(471),
    [anon_sym_getpwname] = ACTIONS(471),
    [anon_sym_getpwuid] = ACTIONS(471),
    [anon_sym_getpeername] = ACTIONS(471),
    [anon_sym_getnetbyname] = ACTIONS(471),
    [anon_sym_getsockname] = ACTIONS(471),
    [anon_sym_getgrnam] = ACTIONS(471),
    [anon_sym_getgrgid] = ACTIONS(471),
    [anon_sym_hex] = ACTIONS(471),
    [anon_sym_int] = ACTIONS(471),
    [anon_sym_keys] = ACTIONS(471),
    [anon_sym_lc] = ACTIONS(471),
    [anon_sym_lcfirst] = ACTIONS(471),
    [anon_sym_length] = ACTIONS(471),
    [anon_sym_localtime] = ACTIONS(471),
    [anon_sym_log] = ACTIONS(471),
    [anon_sym_lock] = ACTIONS(471),
    [anon_sym_lstat] = ACTIONS(471),
    [anon_sym_oct] = ACTIONS(471),
    [anon_sym_ord] = ACTIONS(471),
    [anon_sym_prototype] = ACTIONS(471),
    [anon_sym_pop] = ACTIONS(471),
    [anon_sym_pos] = ACTIONS(471),
    [anon_sym_quotemeta] = ACTIONS(471),
    [anon_sym_reset] = ACTIONS(471),
    [anon_sym_rand] = ACTIONS(471),
    [anon_sym_rmdir] = ACTIONS(471),
    [anon_sym_readdir] = ACTIONS(471),
    [anon_sym_readline] = ACTIONS(471),
    [anon_sym_readpipe] = ACTIONS(471),
    [anon_sym_rewinddir] = ACTIONS(471),
    [anon_sym_readlink] = ACTIONS(471),
    [anon_sym_ref] = ACTIONS(471),
    [anon_sym_scalar] = ACTIONS(471),
    [anon_sym_shift] = ACTIONS(471),
    [anon_sym_sin] = ACTIONS(471),
    [anon_sym_sleep] = ACTIONS(471),
    [anon_sym_sqrt] = ACTIONS(471),
    [anon_sym_srand] = ACTIONS(471),
    [anon_sym_stat] = ACTIONS(471),
    [anon_sym_study] = ACTIONS(471),
    [anon_sym_tell] = ACTIONS(471),
    [anon_sym_telldir] = ACTIONS(471),
    [anon_sym_tied] = ACTIONS(471),
    [anon_sym_uc] = ACTIONS(471),
    [anon_sym_ucfirst] = ACTIONS(471),
    [anon_sym_untie] = ACTIONS(471),
    [anon_sym_umask] = ACTIONS(471),
    [anon_sym_values] = ACTIONS(471),
    [anon_sym_write] = ACTIONS(471),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(473),
    [anon_sym_qq] = ACTIONS(475),
    [anon_sym_qw] = ACTIONS(477),
    [anon_sym_qx] = ACTIONS(479),
    [anon_sym_qr] = ACTIONS(481),
    [anon_sym_m] = ACTIONS(483),
    [anon_sym_s] = ACTIONS(485),
    [anon_sym_tr] = ACTIONS(487),
    [anon_sym_y] = ACTIONS(487),
    [aux_sym__bareword_token1] = ACTIONS(489),
    [sym_number] = ACTIONS(491),
    [anon_sym_true] = ACTIONS(493),
    [anon_sym_false] = ACTIONS(493),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(495),
    [sym__open_fileglob_bracket] = ACTIONS(497),
    [sym__PERLY_HEREDOC] = ACTIONS(499),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(501),
    [sym__filetest] = ACTIONS(503),
  },
  [641] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1358),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(641),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [642] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1673),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(642),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [643] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1327),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1253),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(643),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [644] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1680),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(644),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [645] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1306),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(645),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [646] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1682),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(646),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [647] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1493),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(647),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [648] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1493),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(648),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(1822),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(1822),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1812),
    [sym__filetest] = ACTIONS(245),
  },
  [649] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1326),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(649),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [650] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1494),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1253),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(650),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [651] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1684),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(651),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [652] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1686),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(652),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [653] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1687),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(653),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [654] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1688),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(654),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [655] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1690),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(655),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [656] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1691),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(656),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [657] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1497),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(657),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [658] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1695),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(658),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [659] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1498),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(659),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [660] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1698),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(660),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [661] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2437),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(661),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [662] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1701),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(662),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [663] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1702),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(663),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [664] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1703),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(664),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [665] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1704),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(665),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [666] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1957),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1758),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(666),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [667] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1307),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(667),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [668] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1308),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(668),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [669] = {
    [sym__PERLY_BRACE_OPEN] = STATE(241),
    [sym_subscripted] = STATE(1509),
    [sym_container_variable] = STATE(3869),
    [sym_glob_slot_expression] = STATE(1526),
    [sym_array_element_expression] = STATE(1526),
    [sym_hash_element_expression] = STATE(1526),
    [sym_coderef_call_expression] = STATE(1526),
    [sym_anonymous_slice_expression] = STATE(1526),
    [sym_slices] = STATE(1928),
    [sym_slice_container_variable] = STATE(3870),
    [sym_slice_expression] = STATE(1929),
    [sym_keyval_container_variable] = STATE(3871),
    [sym_keyval_expression] = STATE(1929),
    [sym__term] = STATE(1960),
    [sym_readline_expression] = STATE(1928),
    [sym_fileglob_expression] = STATE(1928),
    [sym_assignment_expression] = STATE(1928),
    [sym_binary_expression] = STATE(1928),
    [sym_equality_expression] = STATE(1928),
    [sym_relational_expression] = STATE(1928),
    [sym_unary_expression] = STATE(1928),
    [sym_preinc_expression] = STATE(1928),
    [sym_postinc_expression] = STATE(1928),
    [sym_conditional_expression] = STATE(1928),
    [sym_refgen_expression] = STATE(1928),
    [sym_anonymous_array_expression] = STATE(1928),
    [sym_anonymous_hash_expression] = STATE(1928),
    [sym_anonymous_subroutine_expression] = STATE(1928),
    [sym_anonymous_method_expression] = STATE(1928),
    [sym_do_expression] = STATE(1928),
    [sym_eval_expression] = STATE(1928),
    [sym_await_expression] = STATE(1928),
    [sym_variable_declaration] = STATE(1928),
    [sym_localization_expression] = STATE(1928),
    [sym_stub_expression] = STATE(1928),
    [sym_postfix_deref] = STATE(1928),
    [sym_scalar_deref_expression] = STATE(1930),
    [sym_array_deref_expression] = STATE(1930),
    [sym_arraylen_deref_expression] = STATE(1930),
    [sym_hash_deref_expression] = STATE(1930),
    [sym_amper_deref_expression] = STATE(1930),
    [sym_glob_deref_expression] = STATE(1930),
    [sym_require_expression] = STATE(1928),
    [sym_require_version_expression] = STATE(1928),
    [sym_func0op_call_expression] = STATE(1928),
    [sym_func1op_call_expression] = STATE(1928),
    [sym_map_grep_expression] = STATE(1928),
    [sym_sort_expression] = STATE(1928),
    [sym_loopex_expression] = STATE(1928),
    [sym_goto_expression] = STATE(1928),
    [sym_return_expression] = STATE(1928),
    [sym_undef_expression] = STATE(1928),
    [sym__listop] = STATE(1928),
    [sym_function_call_expression] = STATE(1931),
    [sym_ambiguous_function_call_expression] = STATE(1931),
    [sym_function] = STATE(392),
    [sym_method_call_expression] = STATE(1931),
    [sym__variables] = STATE(1928),
    [sym_scalar] = STATE(1932),
    [sym_array] = STATE(1932),
    [sym__SUB_AMPER] = STATE(2689),
    [sym__GLOB_STAR] = STATE(2693),
    [sym_hash] = STATE(1932),
    [sym_arraylen] = STATE(1932),
    [sym_glob] = STATE(1757),
    [sym_amper_sub] = STATE(1776),
    [sym__literal] = STATE(1928),
    [sym__apostrophe] = STATE(3262),
    [sym__quotation_mark] = STATE(2485),
    [sym__backtick] = STATE(2548),
    [sym__search_slash] = STATE(2463),
    [sym_string_literal] = STATE(1935),
    [sym_interpolated_string_literal] = STATE(1935),
    [sym_quoted_word_list] = STATE(1759),
    [sym_command_string] = STATE(1935),
    [sym_quoted_regexp] = STATE(1935),
    [sym_match_regexp] = STATE(1935),
    [sym_substitution_regexp] = STATE(1935),
    [sym_transliteration_expression] = STATE(1935),
    [sym_heredoc_token] = STATE(1928),
    [sym_command_heredoc_token] = STATE(1928),
    [sym_heredoc_content] = STATE(669),
    [sym_autoquoted_bareword] = STATE(1928),
    [sym_bareword] = STATE(1928),
    [sym_primitive] = STATE(1928),
    [sym_boolean] = STATE(1919),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3378),
    [sym__identifier] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(1756),
    [anon_sym_AT] = ACTIONS(1679),
    [anon_sym_my] = ACTIONS(712),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(714),
    [anon_sym_method] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_state] = ACTIONS(712),
    [anon_sym_our] = ACTIONS(712),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(1681),
    [anon_sym_SLASH_SLASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(724),
    [anon_sym_PLUS_PLUS] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1687),
    [anon_sym_BSLASH] = ACTIONS(726),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_eval] = ACTIONS(730),
    [anon_sym_await] = ACTIONS(732),
    [anon_sym_field] = ACTIONS(712),
    [anon_sym_local] = ACTIONS(734),
    [anon_sym_dynamically] = ACTIONS(734),
    [anon_sym_DOLLAR_POUND] = ACTIONS(736),
    [anon_sym_require] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(740),
    [anon_sym_grep] = ACTIONS(740),
    [anon_sym_sort] = ACTIONS(742),
    [anon_sym_goto] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_undef] = ACTIONS(748),
    [anon_sym_PERCENT2] = ACTIONS(1689),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(750),
    [anon_sym_next] = ACTIONS(750),
    [anon_sym_redo] = ACTIONS(750),
    [anon_sym___FILE__] = ACTIONS(720),
    [anon_sym___LINE__] = ACTIONS(720),
    [anon_sym___PACKAGE__] = ACTIONS(720),
    [anon_sym___SUB__] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_fork] = ACTIONS(720),
    [anon_sym_getppid] = ACTIONS(720),
    [anon_sym_time] = ACTIONS(720),
    [anon_sym_times] = ACTIONS(720),
    [anon_sym_wait] = ACTIONS(720),
    [anon_sym_wantarray] = ACTIONS(720),
    [anon_sym_abs] = ACTIONS(752),
    [anon_sym_alarm] = ACTIONS(752),
    [anon_sym_chop] = ACTIONS(752),
    [anon_sym_chdir] = ACTIONS(752),
    [anon_sym_close] = ACTIONS(752),
    [anon_sym_closedir] = ACTIONS(752),
    [anon_sym_caller] = ACTIONS(752),
    [anon_sym_chomp] = ACTIONS(752),
    [anon_sym_chr] = ACTIONS(752),
    [anon_sym_cos] = ACTIONS(752),
    [anon_sym_chroot] = ACTIONS(752),
    [anon_sym_defined] = ACTIONS(752),
    [anon_sym_delete] = ACTIONS(752),
    [anon_sym_dbmclose] = ACTIONS(752),
    [anon_sym_exists] = ACTIONS(752),
    [anon_sym_exit] = ACTIONS(752),
    [anon_sym_eof] = ACTIONS(752),
    [anon_sym_exp] = ACTIONS(752),
    [anon_sym_each] = ACTIONS(752),
    [anon_sym_fc] = ACTIONS(752),
    [anon_sym_fileno] = ACTIONS(752),
    [anon_sym_gmtime] = ACTIONS(752),
    [anon_sym_getc] = ACTIONS(752),
    [anon_sym_getpgrp] = ACTIONS(752),
    [anon_sym_getprotobyname] = ACTIONS(752),
    [anon_sym_getpwname] = ACTIONS(752),
    [anon_sym_getpwuid] = ACTIONS(752),
    [anon_sym_getpeername] = ACTIONS(752),
    [anon_sym_getnetbyname] = ACTIONS(752),
    [anon_sym_getsockname] = ACTIONS(752),
    [anon_sym_getgrnam] = ACTIONS(752),
    [anon_sym_getgrgid] = ACTIONS(752),
    [anon_sym_hex] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_keys] = ACTIONS(752),
    [anon_sym_lc] = ACTIONS(752),
    [anon_sym_lcfirst] = ACTIONS(752),
    [anon_sym_length] = ACTIONS(752),
    [anon_sym_localtime] = ACTIONS(752),
    [anon_sym_log] = ACTIONS(752),
    [anon_sym_lock] = ACTIONS(752),
    [anon_sym_lstat] = ACTIONS(752),
    [anon_sym_oct] = ACTIONS(752),
    [anon_sym_ord] = ACTIONS(752),
    [anon_sym_prototype] = ACTIONS(752),
    [anon_sym_pop] = ACTIONS(752),
    [anon_sym_pos] = ACTIONS(752),
    [anon_sym_quotemeta] = ACTIONS(752),
    [anon_sym_reset] = ACTIONS(752),
    [anon_sym_rand] = ACTIONS(752),
    [anon_sym_rmdir] = ACTIONS(752),
    [anon_sym_readdir] = ACTIONS(752),
    [anon_sym_readline] = ACTIONS(752),
    [anon_sym_readpipe] = ACTIONS(752),
    [anon_sym_rewinddir] = ACTIONS(752),
    [anon_sym_readlink] = ACTIONS(752),
    [anon_sym_ref] = ACTIONS(752),
    [anon_sym_scalar] = ACTIONS(752),
    [anon_sym_shift] = ACTIONS(752),
    [anon_sym_sin] = ACTIONS(752),
    [anon_sym_sleep] = ACTIONS(752),
    [anon_sym_sqrt] = ACTIONS(752),
    [anon_sym_srand] = ACTIONS(752),
    [anon_sym_stat] = ACTIONS(752),
    [anon_sym_study] = ACTIONS(752),
    [anon_sym_tell] = ACTIONS(752),
    [anon_sym_telldir] = ACTIONS(752),
    [anon_sym_tied] = ACTIONS(752),
    [anon_sym_uc] = ACTIONS(752),
    [anon_sym_ucfirst] = ACTIONS(752),
    [anon_sym_untie] = ACTIONS(752),
    [anon_sym_umask] = ACTIONS(752),
    [anon_sym_values] = ACTIONS(752),
    [anon_sym_write] = ACTIONS(752),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(754),
    [anon_sym_qq] = ACTIONS(756),
    [anon_sym_qw] = ACTIONS(758),
    [anon_sym_qx] = ACTIONS(760),
    [anon_sym_qr] = ACTIONS(762),
    [anon_sym_m] = ACTIONS(764),
    [anon_sym_s] = ACTIONS(766),
    [anon_sym_tr] = ACTIONS(768),
    [anon_sym_y] = ACTIONS(768),
    [aux_sym__bareword_token1] = ACTIONS(770),
    [sym_number] = ACTIONS(772),
    [anon_sym_true] = ACTIONS(774),
    [anon_sym_false] = ACTIONS(774),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(776),
    [sym__open_fileglob_bracket] = ACTIONS(778),
    [sym__PERLY_HEREDOC] = ACTIONS(780),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(782),
    [sym__filetest] = ACTIONS(784),
  },
  [670] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2440),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(670),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [671] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2436),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(385),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(671),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(1192),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(1192),
    [anon_sym_our] = ACTIONS(1192),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1667),
    [anon_sym_BSLASH] = ACTIONS(1196),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_eval] = ACTIONS(1200),
    [anon_sym_await] = ACTIONS(1202),
    [anon_sym_field] = ACTIONS(1192),
    [anon_sym_local] = ACTIONS(1204),
    [anon_sym_dynamically] = ACTIONS(1204),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(1206),
    [anon_sym_map] = ACTIONS(1208),
    [anon_sym_grep] = ACTIONS(1208),
    [anon_sym_sort] = ACTIONS(1210),
    [anon_sym_goto] = ACTIONS(1212),
    [anon_sym_return] = ACTIONS(1214),
    [anon_sym_undef] = ACTIONS(1216),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(1218),
    [anon_sym_next] = ACTIONS(1218),
    [anon_sym_redo] = ACTIONS(1218),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(1220),
    [anon_sym_alarm] = ACTIONS(1220),
    [anon_sym_chop] = ACTIONS(1220),
    [anon_sym_chdir] = ACTIONS(1220),
    [anon_sym_close] = ACTIONS(1220),
    [anon_sym_closedir] = ACTIONS(1220),
    [anon_sym_caller] = ACTIONS(1220),
    [anon_sym_chomp] = ACTIONS(1220),
    [anon_sym_chr] = ACTIONS(1220),
    [anon_sym_cos] = ACTIONS(1220),
    [anon_sym_chroot] = ACTIONS(1220),
    [anon_sym_defined] = ACTIONS(1220),
    [anon_sym_delete] = ACTIONS(1220),
    [anon_sym_dbmclose] = ACTIONS(1220),
    [anon_sym_exists] = ACTIONS(1220),
    [anon_sym_exit] = ACTIONS(1220),
    [anon_sym_eof] = ACTIONS(1220),
    [anon_sym_exp] = ACTIONS(1220),
    [anon_sym_each] = ACTIONS(1220),
    [anon_sym_fc] = ACTIONS(1220),
    [anon_sym_fileno] = ACTIONS(1220),
    [anon_sym_gmtime] = ACTIONS(1220),
    [anon_sym_getc] = ACTIONS(1220),
    [anon_sym_getpgrp] = ACTIONS(1220),
    [anon_sym_getprotobyname] = ACTIONS(1220),
    [anon_sym_getpwname] = ACTIONS(1220),
    [anon_sym_getpwuid] = ACTIONS(1220),
    [anon_sym_getpeername] = ACTIONS(1220),
    [anon_sym_getnetbyname] = ACTIONS(1220),
    [anon_sym_getsockname] = ACTIONS(1220),
    [anon_sym_getgrnam] = ACTIONS(1220),
    [anon_sym_getgrgid] = ACTIONS(1220),
    [anon_sym_hex] = ACTIONS(1220),
    [anon_sym_int] = ACTIONS(1220),
    [anon_sym_keys] = ACTIONS(1220),
    [anon_sym_lc] = ACTIONS(1220),
    [anon_sym_lcfirst] = ACTIONS(1220),
    [anon_sym_length] = ACTIONS(1220),
    [anon_sym_localtime] = ACTIONS(1220),
    [anon_sym_log] = ACTIONS(1220),
    [anon_sym_lock] = ACTIONS(1220),
    [anon_sym_lstat] = ACTIONS(1220),
    [anon_sym_oct] = ACTIONS(1220),
    [anon_sym_ord] = ACTIONS(1220),
    [anon_sym_prototype] = ACTIONS(1220),
    [anon_sym_pop] = ACTIONS(1220),
    [anon_sym_pos] = ACTIONS(1220),
    [anon_sym_quotemeta] = ACTIONS(1220),
    [anon_sym_reset] = ACTIONS(1220),
    [anon_sym_rand] = ACTIONS(1220),
    [anon_sym_rmdir] = ACTIONS(1220),
    [anon_sym_readdir] = ACTIONS(1220),
    [anon_sym_readline] = ACTIONS(1220),
    [anon_sym_readpipe] = ACTIONS(1220),
    [anon_sym_rewinddir] = ACTIONS(1220),
    [anon_sym_readlink] = ACTIONS(1220),
    [anon_sym_ref] = ACTIONS(1220),
    [anon_sym_scalar] = ACTIONS(1220),
    [anon_sym_shift] = ACTIONS(1220),
    [anon_sym_sin] = ACTIONS(1220),
    [anon_sym_sleep] = ACTIONS(1220),
    [anon_sym_sqrt] = ACTIONS(1220),
    [anon_sym_srand] = ACTIONS(1220),
    [anon_sym_stat] = ACTIONS(1220),
    [anon_sym_study] = ACTIONS(1220),
    [anon_sym_tell] = ACTIONS(1220),
    [anon_sym_telldir] = ACTIONS(1220),
    [anon_sym_tied] = ACTIONS(1220),
    [anon_sym_uc] = ACTIONS(1220),
    [anon_sym_ucfirst] = ACTIONS(1220),
    [anon_sym_untie] = ACTIONS(1220),
    [anon_sym_umask] = ACTIONS(1220),
    [anon_sym_values] = ACTIONS(1220),
    [anon_sym_write] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(1222),
  },
  [672] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1309),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(672),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [673] = {
    [sym__PERLY_BRACE_OPEN] = STATE(232),
    [sym_subscripted] = STATE(1482),
    [sym_container_variable] = STATE(3812),
    [sym_glob_slot_expression] = STATE(1483),
    [sym_array_element_expression] = STATE(1483),
    [sym_hash_element_expression] = STATE(1483),
    [sym_coderef_call_expression] = STATE(1483),
    [sym_anonymous_slice_expression] = STATE(1483),
    [sym_slices] = STATE(1605),
    [sym_slice_container_variable] = STATE(3873),
    [sym_slice_expression] = STATE(1607),
    [sym_keyval_container_variable] = STATE(3841),
    [sym_keyval_expression] = STATE(1607),
    [sym__term] = STATE(1751),
    [sym_readline_expression] = STATE(1605),
    [sym_fileglob_expression] = STATE(1605),
    [sym_assignment_expression] = STATE(1605),
    [sym_binary_expression] = STATE(1605),
    [sym_equality_expression] = STATE(1605),
    [sym_relational_expression] = STATE(1605),
    [sym_unary_expression] = STATE(1605),
    [sym_preinc_expression] = STATE(1605),
    [sym_postinc_expression] = STATE(1605),
    [sym_conditional_expression] = STATE(1605),
    [sym_refgen_expression] = STATE(1605),
    [sym_anonymous_array_expression] = STATE(1605),
    [sym_anonymous_hash_expression] = STATE(1605),
    [sym_anonymous_subroutine_expression] = STATE(1605),
    [sym_anonymous_method_expression] = STATE(1605),
    [sym_do_expression] = STATE(1605),
    [sym_eval_expression] = STATE(1605),
    [sym_await_expression] = STATE(1605),
    [sym_variable_declaration] = STATE(1605),
    [sym_localization_expression] = STATE(1605),
    [sym_stub_expression] = STATE(1605),
    [sym_postfix_deref] = STATE(1605),
    [sym_scalar_deref_expression] = STATE(1620),
    [sym_array_deref_expression] = STATE(1620),
    [sym_arraylen_deref_expression] = STATE(1620),
    [sym_hash_deref_expression] = STATE(1620),
    [sym_amper_deref_expression] = STATE(1620),
    [sym_glob_deref_expression] = STATE(1620),
    [sym_require_expression] = STATE(1605),
    [sym_require_version_expression] = STATE(1605),
    [sym_func0op_call_expression] = STATE(1605),
    [sym_func1op_call_expression] = STATE(1605),
    [sym_map_grep_expression] = STATE(1605),
    [sym_sort_expression] = STATE(1605),
    [sym_loopex_expression] = STATE(1605),
    [sym_goto_expression] = STATE(1605),
    [sym_return_expression] = STATE(1605),
    [sym_undef_expression] = STATE(1605),
    [sym__listop] = STATE(1605),
    [sym_function_call_expression] = STATE(1655),
    [sym_ambiguous_function_call_expression] = STATE(1655),
    [sym_function] = STATE(393),
    [sym_method_call_expression] = STATE(1655),
    [sym__variables] = STATE(1605),
    [sym_scalar] = STATE(1669),
    [sym_array] = STATE(1669),
    [sym__SUB_AMPER] = STATE(2774),
    [sym__GLOB_STAR] = STATE(2777),
    [sym_hash] = STATE(1669),
    [sym_arraylen] = STATE(1669),
    [sym_glob] = STATE(1562),
    [sym_amper_sub] = STATE(1565),
    [sym__literal] = STATE(1605),
    [sym__apostrophe] = STATE(3176),
    [sym__quotation_mark] = STATE(2511),
    [sym__backtick] = STATE(2518),
    [sym__search_slash] = STATE(2475),
    [sym_string_literal] = STATE(1709),
    [sym_interpolated_string_literal] = STATE(1709),
    [sym_quoted_word_list] = STATE(1551),
    [sym_command_string] = STATE(1709),
    [sym_quoted_regexp] = STATE(1709),
    [sym_match_regexp] = STATE(1709),
    [sym_substitution_regexp] = STATE(1709),
    [sym_transliteration_expression] = STATE(1709),
    [sym_heredoc_token] = STATE(1605),
    [sym_command_heredoc_token] = STATE(1605),
    [sym_heredoc_content] = STATE(673),
    [sym_autoquoted_bareword] = STATE(1605),
    [sym_bareword] = STATE(1605),
    [sym_primitive] = STATE(1605),
    [sym_boolean] = STATE(1653),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3384),
    [sym__identifier] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(267),
    [anon_sym_AT] = ACTIONS(269),
    [anon_sym_my] = ACTIONS(271),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(273),
    [anon_sym_method] = ACTIONS(275),
    [anon_sym_LPAREN] = ACTIONS(277),
    [anon_sym_continue] = ACTIONS(279),
    [anon_sym_state] = ACTIONS(271),
    [anon_sym_our] = ACTIONS(271),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_SLASH_SLASH] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(283),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_TILDE] = ACTIONS(283),
    [anon_sym_BANG] = ACTIONS(283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_BSLASH] = ACTIONS(285),
    [anon_sym_do] = ACTIONS(287),
    [anon_sym_eval] = ACTIONS(289),
    [anon_sym_await] = ACTIONS(291),
    [anon_sym_field] = ACTIONS(271),
    [anon_sym_local] = ACTIONS(293),
    [anon_sym_dynamically] = ACTIONS(293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(295),
    [anon_sym_require] = ACTIONS(297),
    [anon_sym_map] = ACTIONS(299),
    [anon_sym_grep] = ACTIONS(299),
    [anon_sym_sort] = ACTIONS(301),
    [anon_sym_goto] = ACTIONS(303),
    [anon_sym_return] = ACTIONS(305),
    [anon_sym_undef] = ACTIONS(307),
    [anon_sym_PERCENT2] = ACTIONS(309),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(311),
    [anon_sym_next] = ACTIONS(311),
    [anon_sym_redo] = ACTIONS(311),
    [anon_sym___FILE__] = ACTIONS(279),
    [anon_sym___LINE__] = ACTIONS(279),
    [anon_sym___PACKAGE__] = ACTIONS(279),
    [anon_sym___SUB__] = ACTIONS(279),
    [anon_sym_break] = ACTIONS(279),
    [anon_sym_fork] = ACTIONS(279),
    [anon_sym_getppid] = ACTIONS(279),
    [anon_sym_time] = ACTIONS(279),
    [anon_sym_times] = ACTIONS(279),
    [anon_sym_wait] = ACTIONS(279),
    [anon_sym_wantarray] = ACTIONS(279),
    [anon_sym_abs] = ACTIONS(313),
    [anon_sym_alarm] = ACTIONS(313),
    [anon_sym_chop] = ACTIONS(313),
    [anon_sym_chdir] = ACTIONS(313),
    [anon_sym_close] = ACTIONS(313),
    [anon_sym_closedir] = ACTIONS(313),
    [anon_sym_caller] = ACTIONS(313),
    [anon_sym_chomp] = ACTIONS(313),
    [anon_sym_chr] = ACTIONS(313),
    [anon_sym_cos] = ACTIONS(313),
    [anon_sym_chroot] = ACTIONS(313),
    [anon_sym_defined] = ACTIONS(313),
    [anon_sym_delete] = ACTIONS(313),
    [anon_sym_dbmclose] = ACTIONS(313),
    [anon_sym_exists] = ACTIONS(313),
    [anon_sym_exit] = ACTIONS(313),
    [anon_sym_eof] = ACTIONS(313),
    [anon_sym_exp] = ACTIONS(313),
    [anon_sym_each] = ACTIONS(313),
    [anon_sym_fc] = ACTIONS(313),
    [anon_sym_fileno] = ACTIONS(313),
    [anon_sym_gmtime] = ACTIONS(313),
    [anon_sym_getc] = ACTIONS(313),
    [anon_sym_getpgrp] = ACTIONS(313),
    [anon_sym_getprotobyname] = ACTIONS(313),
    [anon_sym_getpwname] = ACTIONS(313),
    [anon_sym_getpwuid] = ACTIONS(313),
    [anon_sym_getpeername] = ACTIONS(313),
    [anon_sym_getnetbyname] = ACTIONS(313),
    [anon_sym_getsockname] = ACTIONS(313),
    [anon_sym_getgrnam] = ACTIONS(313),
    [anon_sym_getgrgid] = ACTIONS(313),
    [anon_sym_hex] = ACTIONS(313),
    [anon_sym_int] = ACTIONS(313),
    [anon_sym_keys] = ACTIONS(313),
    [anon_sym_lc] = ACTIONS(313),
    [anon_sym_lcfirst] = ACTIONS(313),
    [anon_sym_length] = ACTIONS(313),
    [anon_sym_localtime] = ACTIONS(313),
    [anon_sym_log] = ACTIONS(313),
    [anon_sym_lock] = ACTIONS(313),
    [anon_sym_lstat] = ACTIONS(313),
    [anon_sym_oct] = ACTIONS(313),
    [anon_sym_ord] = ACTIONS(313),
    [anon_sym_prototype] = ACTIONS(313),
    [anon_sym_pop] = ACTIONS(313),
    [anon_sym_pos] = ACTIONS(313),
    [anon_sym_quotemeta] = ACTIONS(313),
    [anon_sym_reset] = ACTIONS(313),
    [anon_sym_rand] = ACTIONS(313),
    [anon_sym_rmdir] = ACTIONS(313),
    [anon_sym_readdir] = ACTIONS(313),
    [anon_sym_readline] = ACTIONS(313),
    [anon_sym_readpipe] = ACTIONS(313),
    [anon_sym_rewinddir] = ACTIONS(313),
    [anon_sym_readlink] = ACTIONS(313),
    [anon_sym_ref] = ACTIONS(313),
    [anon_sym_scalar] = ACTIONS(313),
    [anon_sym_shift] = ACTIONS(313),
    [anon_sym_sin] = ACTIONS(313),
    [anon_sym_sleep] = ACTIONS(313),
    [anon_sym_sqrt] = ACTIONS(313),
    [anon_sym_srand] = ACTIONS(313),
    [anon_sym_stat] = ACTIONS(313),
    [anon_sym_study] = ACTIONS(313),
    [anon_sym_tell] = ACTIONS(313),
    [anon_sym_telldir] = ACTIONS(313),
    [anon_sym_tied] = ACTIONS(313),
    [anon_sym_uc] = ACTIONS(313),
    [anon_sym_ucfirst] = ACTIONS(313),
    [anon_sym_untie] = ACTIONS(313),
    [anon_sym_umask] = ACTIONS(313),
    [anon_sym_values] = ACTIONS(313),
    [anon_sym_write] = ACTIONS(313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(315),
    [anon_sym_qq] = ACTIONS(317),
    [anon_sym_qw] = ACTIONS(319),
    [anon_sym_qx] = ACTIONS(321),
    [anon_sym_qr] = ACTIONS(323),
    [anon_sym_m] = ACTIONS(325),
    [anon_sym_s] = ACTIONS(327),
    [anon_sym_tr] = ACTIONS(329),
    [anon_sym_y] = ACTIONS(329),
    [aux_sym__bareword_token1] = ACTIONS(331),
    [sym_number] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(337),
    [sym__open_fileglob_bracket] = ACTIONS(339),
    [sym__PERLY_HEREDOC] = ACTIONS(341),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(343),
    [sym__filetest] = ACTIONS(345),
  },
  [674] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1291),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(674),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [675] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2372),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(675),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [676] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2372),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(676),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(1806),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(1806),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1808),
    [sym__filetest] = ACTIONS(866),
  },
  [677] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2210),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(677),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [678] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2375),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2040),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(678),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [679] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2381),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(679),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [680] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2382),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(680),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [681] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1459),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(390),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(681),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(243),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(213),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(213),
    [anon_sym_our] = ACTIONS(213),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(215),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_TILDE] = ACTIONS(215),
    [anon_sym_BANG] = ACTIONS(215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_BSLASH] = ACTIONS(217),
    [anon_sym_do] = ACTIONS(219),
    [anon_sym_eval] = ACTIONS(221),
    [anon_sym_await] = ACTIONS(223),
    [anon_sym_field] = ACTIONS(213),
    [anon_sym_local] = ACTIONS(225),
    [anon_sym_dynamically] = ACTIONS(225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(227),
    [anon_sym_map] = ACTIONS(229),
    [anon_sym_grep] = ACTIONS(229),
    [anon_sym_sort] = ACTIONS(231),
    [anon_sym_goto] = ACTIONS(233),
    [anon_sym_return] = ACTIONS(235),
    [anon_sym_undef] = ACTIONS(237),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(239),
    [anon_sym_next] = ACTIONS(239),
    [anon_sym_redo] = ACTIONS(239),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(241),
    [anon_sym_alarm] = ACTIONS(241),
    [anon_sym_chop] = ACTIONS(241),
    [anon_sym_chdir] = ACTIONS(241),
    [anon_sym_close] = ACTIONS(241),
    [anon_sym_closedir] = ACTIONS(241),
    [anon_sym_caller] = ACTIONS(241),
    [anon_sym_chomp] = ACTIONS(241),
    [anon_sym_chr] = ACTIONS(241),
    [anon_sym_cos] = ACTIONS(241),
    [anon_sym_chroot] = ACTIONS(241),
    [anon_sym_defined] = ACTIONS(241),
    [anon_sym_delete] = ACTIONS(241),
    [anon_sym_dbmclose] = ACTIONS(241),
    [anon_sym_exists] = ACTIONS(241),
    [anon_sym_exit] = ACTIONS(241),
    [anon_sym_eof] = ACTIONS(241),
    [anon_sym_exp] = ACTIONS(241),
    [anon_sym_each] = ACTIONS(241),
    [anon_sym_fc] = ACTIONS(241),
    [anon_sym_fileno] = ACTIONS(241),
    [anon_sym_gmtime] = ACTIONS(241),
    [anon_sym_getc] = ACTIONS(241),
    [anon_sym_getpgrp] = ACTIONS(241),
    [anon_sym_getprotobyname] = ACTIONS(241),
    [anon_sym_getpwname] = ACTIONS(241),
    [anon_sym_getpwuid] = ACTIONS(241),
    [anon_sym_getpeername] = ACTIONS(241),
    [anon_sym_getnetbyname] = ACTIONS(241),
    [anon_sym_getsockname] = ACTIONS(241),
    [anon_sym_getgrnam] = ACTIONS(241),
    [anon_sym_getgrgid] = ACTIONS(241),
    [anon_sym_hex] = ACTIONS(241),
    [anon_sym_int] = ACTIONS(241),
    [anon_sym_keys] = ACTIONS(241),
    [anon_sym_lc] = ACTIONS(241),
    [anon_sym_lcfirst] = ACTIONS(241),
    [anon_sym_length] = ACTIONS(241),
    [anon_sym_localtime] = ACTIONS(241),
    [anon_sym_log] = ACTIONS(241),
    [anon_sym_lock] = ACTIONS(241),
    [anon_sym_lstat] = ACTIONS(241),
    [anon_sym_oct] = ACTIONS(241),
    [anon_sym_ord] = ACTIONS(241),
    [anon_sym_prototype] = ACTIONS(241),
    [anon_sym_pop] = ACTIONS(241),
    [anon_sym_pos] = ACTIONS(241),
    [anon_sym_quotemeta] = ACTIONS(241),
    [anon_sym_reset] = ACTIONS(241),
    [anon_sym_rand] = ACTIONS(241),
    [anon_sym_rmdir] = ACTIONS(241),
    [anon_sym_readdir] = ACTIONS(241),
    [anon_sym_readline] = ACTIONS(241),
    [anon_sym_readpipe] = ACTIONS(241),
    [anon_sym_rewinddir] = ACTIONS(241),
    [anon_sym_readlink] = ACTIONS(241),
    [anon_sym_ref] = ACTIONS(241),
    [anon_sym_scalar] = ACTIONS(241),
    [anon_sym_shift] = ACTIONS(241),
    [anon_sym_sin] = ACTIONS(241),
    [anon_sym_sleep] = ACTIONS(241),
    [anon_sym_sqrt] = ACTIONS(241),
    [anon_sym_srand] = ACTIONS(241),
    [anon_sym_stat] = ACTIONS(241),
    [anon_sym_study] = ACTIONS(241),
    [anon_sym_tell] = ACTIONS(241),
    [anon_sym_telldir] = ACTIONS(241),
    [anon_sym_tied] = ACTIONS(241),
    [anon_sym_uc] = ACTIONS(241),
    [anon_sym_ucfirst] = ACTIONS(241),
    [anon_sym_untie] = ACTIONS(241),
    [anon_sym_umask] = ACTIONS(241),
    [anon_sym_values] = ACTIONS(241),
    [anon_sym_write] = ACTIONS(241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(243),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(245),
  },
  [682] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1280),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(682),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [683] = {
    [sym__PERLY_BRACE_OPEN] = STATE(239),
    [sym_subscripted] = STATE(1207),
    [sym_container_variable] = STATE(3853),
    [sym_glob_slot_expression] = STATE(1209),
    [sym_array_element_expression] = STATE(1209),
    [sym_hash_element_expression] = STATE(1209),
    [sym_coderef_call_expression] = STATE(1209),
    [sym_anonymous_slice_expression] = STATE(1209),
    [sym_slices] = STATE(1387),
    [sym_slice_container_variable] = STATE(3834),
    [sym_slice_expression] = STATE(1288),
    [sym_keyval_container_variable] = STATE(3823),
    [sym_keyval_expression] = STATE(1288),
    [sym__term] = STATE(1297),
    [sym_readline_expression] = STATE(1387),
    [sym_fileglob_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1387),
    [sym_binary_expression] = STATE(1387),
    [sym_equality_expression] = STATE(1387),
    [sym_relational_expression] = STATE(1387),
    [sym_unary_expression] = STATE(1387),
    [sym_preinc_expression] = STATE(1387),
    [sym_postinc_expression] = STATE(1387),
    [sym_conditional_expression] = STATE(1387),
    [sym_refgen_expression] = STATE(1387),
    [sym_anonymous_array_expression] = STATE(1387),
    [sym_anonymous_hash_expression] = STATE(1387),
    [sym_anonymous_subroutine_expression] = STATE(1387),
    [sym_anonymous_method_expression] = STATE(1387),
    [sym_do_expression] = STATE(1387),
    [sym_eval_expression] = STATE(1387),
    [sym_await_expression] = STATE(1387),
    [sym_variable_declaration] = STATE(1387),
    [sym_localization_expression] = STATE(1387),
    [sym_stub_expression] = STATE(1387),
    [sym_postfix_deref] = STATE(1387),
    [sym_scalar_deref_expression] = STATE(1404),
    [sym_array_deref_expression] = STATE(1404),
    [sym_arraylen_deref_expression] = STATE(1404),
    [sym_hash_deref_expression] = STATE(1404),
    [sym_amper_deref_expression] = STATE(1404),
    [sym_glob_deref_expression] = STATE(1404),
    [sym_require_expression] = STATE(1387),
    [sym_require_version_expression] = STATE(1387),
    [sym_func0op_call_expression] = STATE(1387),
    [sym_func1op_call_expression] = STATE(1387),
    [sym_map_grep_expression] = STATE(1387),
    [sym_sort_expression] = STATE(1387),
    [sym_loopex_expression] = STATE(1387),
    [sym_goto_expression] = STATE(1387),
    [sym_return_expression] = STATE(1387),
    [sym_undef_expression] = STATE(1387),
    [sym__listop] = STATE(1387),
    [sym_function_call_expression] = STATE(1418),
    [sym_ambiguous_function_call_expression] = STATE(1418),
    [sym_function] = STATE(386),
    [sym_method_call_expression] = STATE(1418),
    [sym__variables] = STATE(1387),
    [sym_scalar] = STATE(1285),
    [sym_array] = STATE(1285),
    [sym__SUB_AMPER] = STATE(2701),
    [sym__GLOB_STAR] = STATE(2757),
    [sym_hash] = STATE(1285),
    [sym_arraylen] = STATE(1285),
    [sym_glob] = STATE(1255),
    [sym_amper_sub] = STATE(1252),
    [sym__literal] = STATE(1387),
    [sym__apostrophe] = STATE(3173),
    [sym__quotation_mark] = STATE(2503),
    [sym__backtick] = STATE(2506),
    [sym__search_slash] = STATE(2459),
    [sym_string_literal] = STATE(1324),
    [sym_interpolated_string_literal] = STATE(1324),
    [sym_quoted_word_list] = STATE(1237),
    [sym_command_string] = STATE(1324),
    [sym_quoted_regexp] = STATE(1324),
    [sym_match_regexp] = STATE(1324),
    [sym_substitution_regexp] = STATE(1324),
    [sym_transliteration_expression] = STATE(1324),
    [sym_heredoc_token] = STATE(1387),
    [sym_command_heredoc_token] = STATE(1387),
    [sym_heredoc_content] = STATE(683),
    [sym_autoquoted_bareword] = STATE(1387),
    [sym_bareword] = STATE(1387),
    [sym_primitive] = STATE(1387),
    [sym_boolean] = STATE(1311),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3361),
    [sym__identifier] = ACTIONS(125),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(25),
    [anon_sym_AT] = ACTIONS(27),
    [anon_sym_my] = ACTIONS(41),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(157),
    [anon_sym_method] = ACTIONS(159),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_continue] = ACTIONS(39),
    [anon_sym_state] = ACTIONS(41),
    [anon_sym_our] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(49),
    [anon_sym_LT_LT] = ACTIONS(51),
    [anon_sym_SLASH_SLASH] = ACTIONS(53),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(57),
    [anon_sym_TILDE] = ACTIONS(55),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_PLUS_PLUS] = ACTIONS(59),
    [anon_sym_DASH_DASH] = ACTIONS(59),
    [anon_sym_BSLASH] = ACTIONS(61),
    [anon_sym_do] = ACTIONS(63),
    [anon_sym_eval] = ACTIONS(65),
    [anon_sym_await] = ACTIONS(67),
    [anon_sym_field] = ACTIONS(41),
    [anon_sym_local] = ACTIONS(69),
    [anon_sym_dynamically] = ACTIONS(69),
    [anon_sym_DOLLAR_POUND] = ACTIONS(71),
    [anon_sym_require] = ACTIONS(73),
    [anon_sym_map] = ACTIONS(75),
    [anon_sym_grep] = ACTIONS(75),
    [anon_sym_sort] = ACTIONS(77),
    [anon_sym_goto] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(81),
    [anon_sym_undef] = ACTIONS(83),
    [anon_sym_PERCENT2] = ACTIONS(85),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(95),
    [anon_sym_next] = ACTIONS(95),
    [anon_sym_redo] = ACTIONS(95),
    [anon_sym___FILE__] = ACTIONS(39),
    [anon_sym___LINE__] = ACTIONS(39),
    [anon_sym___PACKAGE__] = ACTIONS(39),
    [anon_sym___SUB__] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_fork] = ACTIONS(39),
    [anon_sym_getppid] = ACTIONS(39),
    [anon_sym_time] = ACTIONS(39),
    [anon_sym_times] = ACTIONS(39),
    [anon_sym_wait] = ACTIONS(39),
    [anon_sym_wantarray] = ACTIONS(39),
    [anon_sym_abs] = ACTIONS(99),
    [anon_sym_alarm] = ACTIONS(99),
    [anon_sym_chop] = ACTIONS(99),
    [anon_sym_chdir] = ACTIONS(99),
    [anon_sym_close] = ACTIONS(99),
    [anon_sym_closedir] = ACTIONS(99),
    [anon_sym_caller] = ACTIONS(99),
    [anon_sym_chomp] = ACTIONS(99),
    [anon_sym_chr] = ACTIONS(99),
    [anon_sym_cos] = ACTIONS(99),
    [anon_sym_chroot] = ACTIONS(99),
    [anon_sym_defined] = ACTIONS(99),
    [anon_sym_delete] = ACTIONS(99),
    [anon_sym_dbmclose] = ACTIONS(99),
    [anon_sym_exists] = ACTIONS(99),
    [anon_sym_exit] = ACTIONS(99),
    [anon_sym_eof] = ACTIONS(99),
    [anon_sym_exp] = ACTIONS(99),
    [anon_sym_each] = ACTIONS(99),
    [anon_sym_fc] = ACTIONS(99),
    [anon_sym_fileno] = ACTIONS(99),
    [anon_sym_gmtime] = ACTIONS(99),
    [anon_sym_getc] = ACTIONS(99),
    [anon_sym_getpgrp] = ACTIONS(99),
    [anon_sym_getprotobyname] = ACTIONS(99),
    [anon_sym_getpwname] = ACTIONS(99),
    [anon_sym_getpwuid] = ACTIONS(99),
    [anon_sym_getpeername] = ACTIONS(99),
    [anon_sym_getnetbyname] = ACTIONS(99),
    [anon_sym_getsockname] = ACTIONS(99),
    [anon_sym_getgrnam] = ACTIONS(99),
    [anon_sym_getgrgid] = ACTIONS(99),
    [anon_sym_hex] = ACTIONS(99),
    [anon_sym_int] = ACTIONS(99),
    [anon_sym_keys] = ACTIONS(99),
    [anon_sym_lc] = ACTIONS(99),
    [anon_sym_lcfirst] = ACTIONS(99),
    [anon_sym_length] = ACTIONS(99),
    [anon_sym_localtime] = ACTIONS(99),
    [anon_sym_log] = ACTIONS(99),
    [anon_sym_lock] = ACTIONS(99),
    [anon_sym_lstat] = ACTIONS(99),
    [anon_sym_oct] = ACTIONS(99),
    [anon_sym_ord] = ACTIONS(99),
    [anon_sym_prototype] = ACTIONS(99),
    [anon_sym_pop] = ACTIONS(99),
    [anon_sym_pos] = ACTIONS(99),
    [anon_sym_quotemeta] = ACTIONS(99),
    [anon_sym_reset] = ACTIONS(99),
    [anon_sym_rand] = ACTIONS(99),
    [anon_sym_rmdir] = ACTIONS(99),
    [anon_sym_readdir] = ACTIONS(99),
    [anon_sym_readline] = ACTIONS(99),
    [anon_sym_readpipe] = ACTIONS(99),
    [anon_sym_rewinddir] = ACTIONS(99),
    [anon_sym_readlink] = ACTIONS(99),
    [anon_sym_ref] = ACTIONS(99),
    [anon_sym_scalar] = ACTIONS(99),
    [anon_sym_shift] = ACTIONS(99),
    [anon_sym_sin] = ACTIONS(99),
    [anon_sym_sleep] = ACTIONS(99),
    [anon_sym_sqrt] = ACTIONS(99),
    [anon_sym_srand] = ACTIONS(99),
    [anon_sym_stat] = ACTIONS(99),
    [anon_sym_study] = ACTIONS(99),
    [anon_sym_tell] = ACTIONS(99),
    [anon_sym_telldir] = ACTIONS(99),
    [anon_sym_tied] = ACTIONS(99),
    [anon_sym_uc] = ACTIONS(99),
    [anon_sym_ucfirst] = ACTIONS(99),
    [anon_sym_untie] = ACTIONS(99),
    [anon_sym_umask] = ACTIONS(99),
    [anon_sym_values] = ACTIONS(99),
    [anon_sym_write] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(105),
    [anon_sym_qq] = ACTIONS(107),
    [anon_sym_qw] = ACTIONS(109),
    [anon_sym_qx] = ACTIONS(111),
    [anon_sym_qr] = ACTIONS(113),
    [anon_sym_m] = ACTIONS(115),
    [anon_sym_s] = ACTIONS(117),
    [anon_sym_tr] = ACTIONS(119),
    [anon_sym_y] = ACTIONS(119),
    [aux_sym__bareword_token1] = ACTIONS(125),
    [sym_number] = ACTIONS(127),
    [anon_sym_true] = ACTIONS(129),
    [anon_sym_false] = ACTIONS(129),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(139),
    [sym__open_fileglob_bracket] = ACTIONS(141),
    [sym__PERLY_HEREDOC] = ACTIONS(143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(147),
    [sym__filetest] = ACTIONS(149),
  },
  [684] = {
    [sym__PERLY_BRACE_OPEN] = STATE(234),
    [sym_subscripted] = STATE(1812),
    [sym_container_variable] = STATE(3855),
    [sym_glob_slot_expression] = STATE(1813),
    [sym_array_element_expression] = STATE(1813),
    [sym_hash_element_expression] = STATE(1813),
    [sym_coderef_call_expression] = STATE(1813),
    [sym_anonymous_slice_expression] = STATE(1813),
    [sym_slices] = STATE(2185),
    [sym_slice_container_variable] = STATE(3856),
    [sym_slice_expression] = STATE(2186),
    [sym_keyval_container_variable] = STATE(3857),
    [sym_keyval_expression] = STATE(2186),
    [sym__term] = STATE(2305),
    [sym_readline_expression] = STATE(2185),
    [sym_fileglob_expression] = STATE(2185),
    [sym_assignment_expression] = STATE(2185),
    [sym_binary_expression] = STATE(2185),
    [sym_equality_expression] = STATE(2185),
    [sym_relational_expression] = STATE(2185),
    [sym_unary_expression] = STATE(2185),
    [sym_preinc_expression] = STATE(2185),
    [sym_postinc_expression] = STATE(2185),
    [sym_conditional_expression] = STATE(2185),
    [sym_refgen_expression] = STATE(2185),
    [sym_anonymous_array_expression] = STATE(2185),
    [sym_anonymous_hash_expression] = STATE(2185),
    [sym_anonymous_subroutine_expression] = STATE(2185),
    [sym_anonymous_method_expression] = STATE(2185),
    [sym_do_expression] = STATE(2185),
    [sym_eval_expression] = STATE(2185),
    [sym_await_expression] = STATE(2185),
    [sym_variable_declaration] = STATE(2185),
    [sym_localization_expression] = STATE(2185),
    [sym_stub_expression] = STATE(2185),
    [sym_postfix_deref] = STATE(2185),
    [sym_scalar_deref_expression] = STATE(2188),
    [sym_array_deref_expression] = STATE(2188),
    [sym_arraylen_deref_expression] = STATE(2188),
    [sym_hash_deref_expression] = STATE(2188),
    [sym_amper_deref_expression] = STATE(2188),
    [sym_glob_deref_expression] = STATE(2188),
    [sym_require_expression] = STATE(2185),
    [sym_require_version_expression] = STATE(2185),
    [sym_func0op_call_expression] = STATE(2185),
    [sym_func1op_call_expression] = STATE(2185),
    [sym_map_grep_expression] = STATE(2185),
    [sym_sort_expression] = STATE(2185),
    [sym_loopex_expression] = STATE(2185),
    [sym_goto_expression] = STATE(2185),
    [sym_return_expression] = STATE(2185),
    [sym_undef_expression] = STATE(2185),
    [sym__listop] = STATE(2185),
    [sym_function_call_expression] = STATE(2189),
    [sym_ambiguous_function_call_expression] = STATE(2189),
    [sym_function] = STATE(391),
    [sym_method_call_expression] = STATE(2189),
    [sym__variables] = STATE(2185),
    [sym_scalar] = STATE(2190),
    [sym_array] = STATE(2190),
    [sym__SUB_AMPER] = STATE(2688),
    [sym__GLOB_STAR] = STATE(2690),
    [sym_hash] = STATE(2190),
    [sym_arraylen] = STATE(2190),
    [sym_glob] = STATE(2032),
    [sym_amper_sub] = STATE(2033),
    [sym__literal] = STATE(2185),
    [sym__apostrophe] = STATE(3322),
    [sym__quotation_mark] = STATE(2496),
    [sym__backtick] = STATE(2498),
    [sym__search_slash] = STATE(2452),
    [sym_string_literal] = STATE(2193),
    [sym_interpolated_string_literal] = STATE(2193),
    [sym_quoted_word_list] = STATE(2034),
    [sym_command_string] = STATE(2193),
    [sym_quoted_regexp] = STATE(2193),
    [sym_match_regexp] = STATE(2193),
    [sym_substitution_regexp] = STATE(2193),
    [sym_transliteration_expression] = STATE(2193),
    [sym_heredoc_token] = STATE(2185),
    [sym_command_heredoc_token] = STATE(2185),
    [sym_heredoc_content] = STATE(684),
    [sym_autoquoted_bareword] = STATE(2185),
    [sym_bareword] = STATE(2185),
    [sym_primitive] = STATE(2185),
    [sym_boolean] = STATE(2181),
    [aux_sym_subroutine_declaration_statement_repeat1] = STATE(3356),
    [sym__identifier] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(790),
    [anon_sym_my] = ACTIONS(792),
    [anon_sym_extended] = ACTIONS(31),
    [anon_sym_async] = ACTIONS(31),
    [anon_sym_sub] = ACTIONS(794),
    [anon_sym_method] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_state] = ACTIONS(792),
    [anon_sym_our] = ACTIONS(792),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_SLASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(804),
    [anon_sym_PLUS_PLUS] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1675),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_eval] = ACTIONS(810),
    [anon_sym_await] = ACTIONS(812),
    [anon_sym_field] = ACTIONS(792),
    [anon_sym_local] = ACTIONS(814),
    [anon_sym_dynamically] = ACTIONS(814),
    [anon_sym_DOLLAR_POUND] = ACTIONS(816),
    [anon_sym_require] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(820),
    [anon_sym_grep] = ACTIONS(820),
    [anon_sym_sort] = ACTIONS(822),
    [anon_sym_goto] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_undef] = ACTIONS(828),
    [anon_sym_PERCENT2] = ACTIONS(830),
    [anon_sym_AMP2] = ACTIONS(87),
    [anon_sym_STAR2] = ACTIONS(89),
    [anon_sym_last] = ACTIONS(832),
    [anon_sym_next] = ACTIONS(832),
    [anon_sym_redo] = ACTIONS(832),
    [anon_sym___FILE__] = ACTIONS(800),
    [anon_sym___LINE__] = ACTIONS(800),
    [anon_sym___PACKAGE__] = ACTIONS(800),
    [anon_sym___SUB__] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_fork] = ACTIONS(800),
    [anon_sym_getppid] = ACTIONS(800),
    [anon_sym_time] = ACTIONS(800),
    [anon_sym_times] = ACTIONS(800),
    [anon_sym_wait] = ACTIONS(800),
    [anon_sym_wantarray] = ACTIONS(800),
    [anon_sym_abs] = ACTIONS(834),
    [anon_sym_alarm] = ACTIONS(834),
    [anon_sym_chop] = ACTIONS(834),
    [anon_sym_chdir] = ACTIONS(834),
    [anon_sym_close] = ACTIONS(834),
    [anon_sym_closedir] = ACTIONS(834),
    [anon_sym_caller] = ACTIONS(834),
    [anon_sym_chomp] = ACTIONS(834),
    [anon_sym_chr] = ACTIONS(834),
    [anon_sym_cos] = ACTIONS(834),
    [anon_sym_chroot] = ACTIONS(834),
    [anon_sym_defined] = ACTIONS(834),
    [anon_sym_delete] = ACTIONS(834),
    [anon_sym_dbmclose] = ACTIONS(834),
    [anon_sym_exists] = ACTIONS(834),
    [anon_sym_exit] = ACTIONS(834),
    [anon_sym_eof] = ACTIONS(834),
    [anon_sym_exp] = ACTIONS(834),
    [anon_sym_each] = ACTIONS(834),
    [anon_sym_fc] = ACTIONS(834),
    [anon_sym_fileno] = ACTIONS(834),
    [anon_sym_gmtime] = ACTIONS(834),
    [anon_sym_getc] = ACTIONS(834),
    [anon_sym_getpgrp] = ACTIONS(834),
    [anon_sym_getprotobyname] = ACTIONS(834),
    [anon_sym_getpwname] = ACTIONS(834),
    [anon_sym_getpwuid] = ACTIONS(834),
    [anon_sym_getpeername] = ACTIONS(834),
    [anon_sym_getnetbyname] = ACTIONS(834),
    [anon_sym_getsockname] = ACTIONS(834),
    [anon_sym_getgrnam] = ACTIONS(834),
    [anon_sym_getgrgid] = ACTIONS(834),
    [anon_sym_hex] = ACTIONS(834),
    [anon_sym_int] = ACTIONS(834),
    [anon_sym_keys] = ACTIONS(834),
    [anon_sym_lc] = ACTIONS(834),
    [anon_sym_lcfirst] = ACTIONS(834),
    [anon_sym_length] = ACTIONS(834),
    [anon_sym_localtime] = ACTIONS(834),
    [anon_sym_log] = ACTIONS(834),
    [anon_sym_lock] = ACTIONS(834),
    [anon_sym_lstat] = ACTIONS(834),
    [anon_sym_oct] = ACTIONS(834),
    [anon_sym_ord] = ACTIONS(834),
    [anon_sym_prototype] = ACTIONS(834),
    [anon_sym_pop] = ACTIONS(834),
    [anon_sym_pos] = ACTIONS(834),
    [anon_sym_quotemeta] = ACTIONS(834),
    [anon_sym_reset] = ACTIONS(834),
    [anon_sym_rand] = ACTIONS(834),
    [anon_sym_rmdir] = ACTIONS(834),
    [anon_sym_readdir] = ACTIONS(834),
    [anon_sym_readline] = ACTIONS(834),
    [anon_sym_readpipe] = ACTIONS(834),
    [anon_sym_rewinddir] = ACTIONS(834),
    [anon_sym_readlink] = ACTIONS(834),
    [anon_sym_ref] = ACTIONS(834),
    [anon_sym_scalar] = ACTIONS(834),
    [anon_sym_shift] = ACTIONS(834),
    [anon_sym_sin] = ACTIONS(834),
    [anon_sym_sleep] = ACTIONS(834),
    [anon_sym_sqrt] = ACTIONS(834),
    [anon_sym_srand] = ACTIONS(834),
    [anon_sym_stat] = ACTIONS(834),
    [anon_sym_study] = ACTIONS(834),
    [anon_sym_tell] = ACTIONS(834),
    [anon_sym_telldir] = ACTIONS(834),
    [anon_sym_tied] = ACTIONS(834),
    [anon_sym_uc] = ACTIONS(834),
    [anon_sym_ucfirst] = ACTIONS(834),
    [anon_sym_untie] = ACTIONS(834),
    [anon_sym_umask] = ACTIONS(834),
    [anon_sym_values] = ACTIONS(834),
    [anon_sym_write] = ACTIONS(834),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(836),
    [anon_sym_qq] = ACTIONS(838),
    [anon_sym_qw] = ACTIONS(840),
    [anon_sym_qx] = ACTIONS(842),
    [anon_sym_qr] = ACTIONS(844),
    [anon_sym_m] = ACTIONS(846),
    [anon_sym_s] = ACTIONS(848),
    [anon_sym_tr] = ACTIONS(850),
    [anon_sym_y] = ACTIONS(850),
    [aux_sym__bareword_token1] = ACTIONS(852),
    [sym_number] = ACTIONS(854),
    [anon_sym_true] = ACTIONS(856),
    [anon_sym_false] = ACTIONS(856),
    [sym__single_quote] = ACTIONS(131),
    [sym__double_quote] = ACTIONS(133),
    [sym__backtick_quote] = ACTIONS(135),
    [sym__search_slash_quote] = ACTIONS(137),
    [sym__open_readline_bracket] = ACTIONS(858),
    [sym__open_fileglob_bracket] = ACTIONS(860),
    [sym__PERLY_HEREDOC] = ACTIONS(862),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(864),
    [sym__filetest] = ACTIONS(866),
  },
  [685] = {
    [sym_heredoc_content] = STATE(685),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [686] = {
    [sym_heredoc_content] = STATE(686),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_RPAREN] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_and] = ACTIONS(1830),
    [anon_sym_or] = ACTIONS(1830),
    [anon_sym_xor] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1832),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1830),
    [anon_sym_foreach] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1830),
    [anon_sym___END__] = ACTIONS(1830),
    [anon_sym_EOT] = ACTIONS(1830),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [anon_sym_if] = ACTIONS(1830),
    [anon_sym_unless] = ACTIONS(1830),
    [anon_sym_while] = ACTIONS(1830),
    [anon_sym_until] = ACTIONS(1830),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__no_search_slash_plz] = ACTIONS(1837),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym__ctrl_z_hack] = ACTIONS(1839),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [687] = {
    [sym_heredoc_content] = STATE(687),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_and] = ACTIONS(1841),
    [anon_sym_or] = ACTIONS(1841),
    [anon_sym_xor] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_foreach] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1841),
    [anon_sym___END__] = ACTIONS(1841),
    [anon_sym_EOT] = ACTIONS(1841),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_unless] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_until] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__no_search_slash_plz] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_SEMICOLON] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym__ctrl_z_hack] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [688] = {
    [sym_heredoc_content] = STATE(688),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_and] = ACTIONS(1845),
    [anon_sym_or] = ACTIONS(1845),
    [anon_sym_xor] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1845),
    [anon_sym___END__] = ACTIONS(1845),
    [anon_sym_EOT] = ACTIONS(1845),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_SEMICOLON] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym__ctrl_z_hack] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [689] = {
    [sym_heredoc_content] = STATE(689),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_foreach] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1849),
    [anon_sym___END__] = ACTIONS(1849),
    [anon_sym_EOT] = ACTIONS(1849),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_unless] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_until] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__no_search_slash_plz] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_SEMICOLON] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym__ctrl_z_hack] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [690] = {
    [sym_heredoc_content] = STATE(690),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_and] = ACTIONS(1853),
    [anon_sym_or] = ACTIONS(1853),
    [anon_sym_xor] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_for] = ACTIONS(1853),
    [anon_sym_foreach] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1853),
    [anon_sym___END__] = ACTIONS(1853),
    [anon_sym_EOT] = ACTIONS(1853),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_unless] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(1853),
    [anon_sym_until] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__no_search_slash_plz] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_SEMICOLON] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym__ctrl_z_hack] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [691] = {
    [sym_heredoc_content] = STATE(691),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_foreach] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1857),
    [anon_sym___END__] = ACTIONS(1857),
    [anon_sym_EOT] = ACTIONS(1857),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1857),
    [anon_sym_unless] = ACTIONS(1857),
    [anon_sym_while] = ACTIONS(1857),
    [anon_sym_until] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [692] = {
    [sym_heredoc_content] = STATE(692),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_and] = ACTIONS(1707),
    [anon_sym_or] = ACTIONS(1707),
    [anon_sym_xor] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1707),
    [anon_sym___END__] = ACTIONS(1707),
    [anon_sym_EOT] = ACTIONS(1707),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__no_search_slash_plz] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [693] = {
    [sym_heredoc_content] = STATE(693),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_and] = ACTIONS(1861),
    [anon_sym_or] = ACTIONS(1861),
    [anon_sym_xor] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1861),
    [anon_sym_foreach] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1861),
    [anon_sym___END__] = ACTIONS(1861),
    [anon_sym_EOT] = ACTIONS(1861),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1861),
    [anon_sym_unless] = ACTIONS(1861),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_until] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__no_search_slash_plz] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_SEMICOLON] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym__ctrl_z_hack] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [694] = {
    [sym_heredoc_content] = STATE(694),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_foreach] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1857),
    [anon_sym___END__] = ACTIONS(1857),
    [anon_sym_EOT] = ACTIONS(1857),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1857),
    [anon_sym_unless] = ACTIONS(1857),
    [anon_sym_while] = ACTIONS(1857),
    [anon_sym_until] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [695] = {
    [sym_heredoc_content] = STATE(695),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1883),
  },
  [696] = {
    [sym_heredoc_content] = STATE(696),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1885),
  },
  [697] = {
    [sym_heredoc_content] = STATE(697),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1887),
  },
  [698] = {
    [sym_heredoc_content] = STATE(698),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [699] = {
    [sym_heredoc_content] = STATE(699),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_xor] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_DOT_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_equ] = ACTIONS(1709),
    [anon_sym_eqr] = ACTIONS(1709),
    [anon_sym_ne] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_cmp] = ACTIONS(1709),
    [anon_sym_TILDE_TILDE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_lt] = ACTIONS(1709),
    [anon_sym_le] = ACTIONS(1709),
    [anon_sym_ge] = ACTIONS(1709),
    [anon_sym_gt] = ACTIONS(1709),
    [anon_sym_isa] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_for] = ACTIONS(1709),
    [anon_sym_foreach] = ACTIONS(1709),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1709),
    [anon_sym___END__] = ACTIONS(1709),
    [anon_sym_EOT] = ACTIONS(1709),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [700] = {
    [sym_heredoc_content] = STATE(700),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_and] = ACTIONS(1845),
    [anon_sym_or] = ACTIONS(1845),
    [anon_sym_xor] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1845),
    [anon_sym___END__] = ACTIONS(1845),
    [anon_sym_EOT] = ACTIONS(1845),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_SEMICOLON] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym__ctrl_z_hack] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [701] = {
    [sym_heredoc_content] = STATE(701),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1893),
  },
  [702] = {
    [sym_heredoc_content] = STATE(702),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1895),
  },
  [703] = {
    [sym_heredoc_content] = STATE(703),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1897),
  },
  [704] = {
    [sym_heredoc_content] = STATE(704),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1899),
  },
  [705] = {
    [sym_heredoc_content] = STATE(705),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1901),
  },
  [706] = {
    [sym_heredoc_content] = STATE(706),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1903),
  },
  [707] = {
    [sym_heredoc_content] = STATE(707),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1905),
  },
  [708] = {
    [sym_heredoc_content] = STATE(708),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [709] = {
    [sym_heredoc_content] = STATE(709),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1907),
  },
  [710] = {
    [sym_heredoc_content] = STATE(710),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1909),
  },
  [711] = {
    [sym_heredoc_content] = STATE(711),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1911),
  },
  [712] = {
    [sym_heredoc_content] = STATE(712),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1913),
  },
  [713] = {
    [sym_heredoc_content] = STATE(713),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1915),
  },
  [714] = {
    [sym_heredoc_content] = STATE(714),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1917),
  },
  [715] = {
    [sym_heredoc_content] = STATE(715),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_and] = ACTIONS(1869),
    [anon_sym_or] = ACTIONS(1869),
    [anon_sym_xor] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_for] = ACTIONS(1869),
    [anon_sym_foreach] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1869),
    [anon_sym___END__] = ACTIONS(1869),
    [anon_sym_EOT] = ACTIONS(1869),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1869),
    [anon_sym_unless] = ACTIONS(1869),
    [anon_sym_while] = ACTIONS(1869),
    [anon_sym_until] = ACTIONS(1869),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1919),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1919),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [716] = {
    [sym_heredoc_content] = STATE(716),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1921),
  },
  [717] = {
    [sym_heredoc_content] = STATE(717),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1923),
  },
  [718] = {
    [sym_heredoc_content] = STATE(718),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1925),
  },
  [719] = {
    [sym_heredoc_content] = STATE(719),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1927),
  },
  [720] = {
    [sym_heredoc_content] = STATE(720),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1929),
  },
  [721] = {
    [sym_heredoc_content] = STATE(721),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1931),
  },
  [722] = {
    [sym_heredoc_content] = STATE(722),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1933),
  },
  [723] = {
    [sym_heredoc_content] = STATE(723),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1935),
  },
  [724] = {
    [sym_heredoc_content] = STATE(724),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1937),
  },
  [725] = {
    [sym_heredoc_content] = STATE(725),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1939),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_RPAREN] = ACTIONS(1939),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1939),
    [anon_sym_PLUS_EQ] = ACTIONS(1939),
    [anon_sym_DASH_EQ] = ACTIONS(1939),
    [anon_sym_DOT_EQ] = ACTIONS(1939),
    [anon_sym_STAR_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_PERCENT_EQ] = ACTIONS(1939),
    [anon_sym_x_EQ] = ACTIONS(1939),
    [anon_sym_AMP_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_CARET_EQ] = ACTIONS(1939),
    [anon_sym_LT_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1939),
    [anon_sym_STAR_STAR] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH] = ACTIONS(1939),
    [anon_sym_CARET_CARET] = ACTIONS(1939),
    [anon_sym_AMP_AMP] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_GT_GT2] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_x] = ACTIONS(1939),
    [anon_sym_EQ_TILDE] = ACTIONS(1939),
    [anon_sym_BANG_TILDE] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1939),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_eq] = ACTIONS(1939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1939),
    [anon_sym_equ] = ACTIONS(1939),
    [anon_sym_eqr] = ACTIONS(1939),
    [anon_sym_ne] = ACTIONS(1939),
    [anon_sym_LT_EQ_GT] = ACTIONS(1939),
    [anon_sym_cmp] = ACTIONS(1939),
    [anon_sym_TILDE_TILDE] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_lt] = ACTIONS(1939),
    [anon_sym_le] = ACTIONS(1939),
    [anon_sym_ge] = ACTIONS(1939),
    [anon_sym_gt] = ACTIONS(1939),
    [anon_sym_isa] = ACTIONS(1939),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1939),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1939),
    [anon_sym_for] = ACTIONS(1939),
    [anon_sym_foreach] = ACTIONS(1939),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1939),
    [anon_sym___END__] = ACTIONS(1939),
    [anon_sym_EOT] = ACTIONS(1939),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [anon_sym_if] = ACTIONS(1939),
    [anon_sym_unless] = ACTIONS(1939),
    [anon_sym_while] = ACTIONS(1939),
    [anon_sym_until] = ACTIONS(1939),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_SEMICOLON] = ACTIONS(1941),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym__ctrl_z_hack] = ACTIONS(1941),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [726] = {
    [sym_heredoc_content] = STATE(726),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_unless] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_until] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [727] = {
    [sym_heredoc_content] = STATE(727),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_foreach] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1857),
    [anon_sym___END__] = ACTIONS(1857),
    [anon_sym_EOT] = ACTIONS(1857),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1857),
    [anon_sym_unless] = ACTIONS(1857),
    [anon_sym_while] = ACTIONS(1857),
    [anon_sym_until] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [728] = {
    [sym_heredoc_content] = STATE(728),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_and] = ACTIONS(1861),
    [anon_sym_or] = ACTIONS(1861),
    [anon_sym_xor] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1861),
    [anon_sym_foreach] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1861),
    [anon_sym___END__] = ACTIONS(1861),
    [anon_sym_EOT] = ACTIONS(1861),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1861),
    [anon_sym_unless] = ACTIONS(1861),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_until] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_SEMICOLON] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym__ctrl_z_hack] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [729] = {
    [sym_heredoc_content] = STATE(729),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1943),
    [anon_sym_SEMI] = ACTIONS(1943),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1943),
    [anon_sym_RPAREN] = ACTIONS(1943),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_and] = ACTIONS(1943),
    [anon_sym_or] = ACTIONS(1943),
    [anon_sym_xor] = ACTIONS(1943),
    [anon_sym_DASH_GT] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_LT_LT] = ACTIONS(1943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1943),
    [anon_sym_PLUS_EQ] = ACTIONS(1943),
    [anon_sym_DASH_EQ] = ACTIONS(1943),
    [anon_sym_DOT_EQ] = ACTIONS(1943),
    [anon_sym_STAR_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_PERCENT_EQ] = ACTIONS(1943),
    [anon_sym_x_EQ] = ACTIONS(1943),
    [anon_sym_AMP_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_CARET_EQ] = ACTIONS(1943),
    [anon_sym_LT_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1943),
    [anon_sym_DOT_DOT] = ACTIONS(1943),
    [anon_sym_STAR_STAR] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH] = ACTIONS(1943),
    [anon_sym_CARET_CARET] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1943),
    [anon_sym_PIPE] = ACTIONS(1943),
    [anon_sym_CARET] = ACTIONS(1943),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_GT_GT2] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_DOT] = ACTIONS(1943),
    [anon_sym_SLASH] = ACTIONS(1943),
    [anon_sym_x] = ACTIONS(1943),
    [anon_sym_EQ_TILDE] = ACTIONS(1943),
    [anon_sym_BANG_TILDE] = ACTIONS(1943),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_eq] = ACTIONS(1943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1943),
    [anon_sym_equ] = ACTIONS(1943),
    [anon_sym_eqr] = ACTIONS(1943),
    [anon_sym_ne] = ACTIONS(1943),
    [anon_sym_LT_EQ_GT] = ACTIONS(1943),
    [anon_sym_cmp] = ACTIONS(1943),
    [anon_sym_TILDE_TILDE] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_lt] = ACTIONS(1943),
    [anon_sym_le] = ACTIONS(1943),
    [anon_sym_ge] = ACTIONS(1943),
    [anon_sym_gt] = ACTIONS(1943),
    [anon_sym_isa] = ACTIONS(1943),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1943),
    [anon_sym_QMARK] = ACTIONS(1943),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1943),
    [anon_sym_for] = ACTIONS(1943),
    [anon_sym_foreach] = ACTIONS(1943),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1943),
    [anon_sym___END__] = ACTIONS(1943),
    [anon_sym_EOT] = ACTIONS(1943),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1943),
    [anon_sym_unless] = ACTIONS(1943),
    [anon_sym_while] = ACTIONS(1943),
    [anon_sym_until] = ACTIONS(1943),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1945),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1945),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [730] = {
    [sym_heredoc_content] = STATE(730),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1947),
  },
  [731] = {
    [sym_heredoc_content] = STATE(731),
    [sym__identifier] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1949),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_RPAREN] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1949),
    [anon_sym_extended] = ACTIONS(1949),
    [anon_sym_async] = ACTIONS(1949),
    [anon_sym_sub] = ACTIONS(1949),
    [anon_sym_method] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1949),
    [anon_sym_continue] = ACTIONS(1949),
    [anon_sym_state] = ACTIONS(1949),
    [anon_sym_our] = ACTIONS(1949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_and] = ACTIONS(1830),
    [anon_sym_or] = ACTIONS(1830),
    [anon_sym_xor] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1949),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1949),
    [anon_sym_eval] = ACTIONS(1949),
    [anon_sym_await] = ACTIONS(1949),
    [anon_sym_field] = ACTIONS(1949),
    [anon_sym_local] = ACTIONS(1949),
    [anon_sym_dynamically] = ACTIONS(1949),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1949),
    [anon_sym_require] = ACTIONS(1949),
    [anon_sym_map] = ACTIONS(1949),
    [anon_sym_grep] = ACTIONS(1949),
    [anon_sym_sort] = ACTIONS(1949),
    [anon_sym_goto] = ACTIONS(1949),
    [anon_sym_return] = ACTIONS(1949),
    [anon_sym_undef] = ACTIONS(1949),
    [anon_sym_PERCENT2] = ACTIONS(1949),
    [anon_sym_AMP2] = ACTIONS(1949),
    [anon_sym_STAR2] = ACTIONS(1949),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_for] = ACTIONS(1830),
    [anon_sym_foreach] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1949),
    [anon_sym_next] = ACTIONS(1949),
    [anon_sym_redo] = ACTIONS(1949),
    [anon_sym___FILE__] = ACTIONS(1949),
    [anon_sym___LINE__] = ACTIONS(1949),
    [anon_sym___PACKAGE__] = ACTIONS(1949),
    [anon_sym___SUB__] = ACTIONS(1949),
    [anon_sym_break] = ACTIONS(1949),
    [anon_sym_fork] = ACTIONS(1949),
    [anon_sym_getppid] = ACTIONS(1949),
    [anon_sym_time] = ACTIONS(1949),
    [anon_sym_times] = ACTIONS(1949),
    [anon_sym_wait] = ACTIONS(1949),
    [anon_sym_wantarray] = ACTIONS(1949),
    [anon_sym_abs] = ACTIONS(1949),
    [anon_sym_alarm] = ACTIONS(1949),
    [anon_sym_chop] = ACTIONS(1949),
    [anon_sym_chdir] = ACTIONS(1949),
    [anon_sym_close] = ACTIONS(1949),
    [anon_sym_closedir] = ACTIONS(1949),
    [anon_sym_caller] = ACTIONS(1949),
    [anon_sym_chomp] = ACTIONS(1949),
    [anon_sym_chr] = ACTIONS(1949),
    [anon_sym_cos] = ACTIONS(1949),
    [anon_sym_chroot] = ACTIONS(1949),
    [anon_sym_defined] = ACTIONS(1949),
    [anon_sym_delete] = ACTIONS(1949),
    [anon_sym_dbmclose] = ACTIONS(1949),
    [anon_sym_exists] = ACTIONS(1949),
    [anon_sym_exit] = ACTIONS(1949),
    [anon_sym_eof] = ACTIONS(1949),
    [anon_sym_exp] = ACTIONS(1949),
    [anon_sym_each] = ACTIONS(1949),
    [anon_sym_fc] = ACTIONS(1949),
    [anon_sym_fileno] = ACTIONS(1949),
    [anon_sym_gmtime] = ACTIONS(1949),
    [anon_sym_getc] = ACTIONS(1949),
    [anon_sym_getpgrp] = ACTIONS(1949),
    [anon_sym_getprotobyname] = ACTIONS(1949),
    [anon_sym_getpwname] = ACTIONS(1949),
    [anon_sym_getpwuid] = ACTIONS(1949),
    [anon_sym_getpeername] = ACTIONS(1949),
    [anon_sym_getnetbyname] = ACTIONS(1949),
    [anon_sym_getsockname] = ACTIONS(1949),
    [anon_sym_getgrnam] = ACTIONS(1949),
    [anon_sym_getgrgid] = ACTIONS(1949),
    [anon_sym_hex] = ACTIONS(1949),
    [anon_sym_int] = ACTIONS(1949),
    [anon_sym_keys] = ACTIONS(1949),
    [anon_sym_lc] = ACTIONS(1949),
    [anon_sym_lcfirst] = ACTIONS(1949),
    [anon_sym_length] = ACTIONS(1949),
    [anon_sym_localtime] = ACTIONS(1949),
    [anon_sym_log] = ACTIONS(1949),
    [anon_sym_lock] = ACTIONS(1949),
    [anon_sym_lstat] = ACTIONS(1949),
    [anon_sym_oct] = ACTIONS(1949),
    [anon_sym_ord] = ACTIONS(1949),
    [anon_sym_prototype] = ACTIONS(1949),
    [anon_sym_pop] = ACTIONS(1949),
    [anon_sym_pos] = ACTIONS(1949),
    [anon_sym_quotemeta] = ACTIONS(1949),
    [anon_sym_reset] = ACTIONS(1949),
    [anon_sym_rand] = ACTIONS(1949),
    [anon_sym_rmdir] = ACTIONS(1949),
    [anon_sym_readdir] = ACTIONS(1949),
    [anon_sym_readline] = ACTIONS(1949),
    [anon_sym_readpipe] = ACTIONS(1949),
    [anon_sym_rewinddir] = ACTIONS(1949),
    [anon_sym_readlink] = ACTIONS(1949),
    [anon_sym_ref] = ACTIONS(1949),
    [anon_sym_scalar] = ACTIONS(1949),
    [anon_sym_shift] = ACTIONS(1949),
    [anon_sym_sin] = ACTIONS(1949),
    [anon_sym_sleep] = ACTIONS(1949),
    [anon_sym_sqrt] = ACTIONS(1949),
    [anon_sym_srand] = ACTIONS(1949),
    [anon_sym_stat] = ACTIONS(1949),
    [anon_sym_study] = ACTIONS(1949),
    [anon_sym_tell] = ACTIONS(1949),
    [anon_sym_telldir] = ACTIONS(1949),
    [anon_sym_tied] = ACTIONS(1949),
    [anon_sym_uc] = ACTIONS(1949),
    [anon_sym_ucfirst] = ACTIONS(1949),
    [anon_sym_untie] = ACTIONS(1949),
    [anon_sym_umask] = ACTIONS(1949),
    [anon_sym_values] = ACTIONS(1949),
    [anon_sym_write] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1830),
    [anon_sym___END__] = ACTIONS(1830),
    [anon_sym_EOT] = ACTIONS(1830),
    [anon_sym_q] = ACTIONS(1949),
    [anon_sym_qq] = ACTIONS(1949),
    [anon_sym_qw] = ACTIONS(1949),
    [anon_sym_qx] = ACTIONS(1949),
    [anon_sym_qr] = ACTIONS(1949),
    [anon_sym_m] = ACTIONS(1949),
    [anon_sym_s] = ACTIONS(1949),
    [anon_sym_tr] = ACTIONS(1949),
    [anon_sym_y] = ACTIONS(1949),
    [anon_sym_if] = ACTIONS(1830),
    [anon_sym_unless] = ACTIONS(1830),
    [anon_sym_while] = ACTIONS(1830),
    [anon_sym_until] = ACTIONS(1830),
    [aux_sym__bareword_token1] = ACTIONS(1949),
    [sym_number] = ACTIONS(1949),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym__single_quote] = ACTIONS(1951),
    [sym__double_quote] = ACTIONS(1951),
    [sym__backtick_quote] = ACTIONS(1951),
    [sym__search_slash_quote] = ACTIONS(1951),
    [sym__open_readline_bracket] = ACTIONS(1951),
    [sym__open_fileglob_bracket] = ACTIONS(1951),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym__PERLY_HEREDOC] = ACTIONS(1951),
    [sym__ctrl_z_hack] = ACTIONS(1839),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1951),
    [sym__filetest] = ACTIONS(1951),
  },
  [732] = {
    [sym_heredoc_content] = STATE(732),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_foreach] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1857),
    [anon_sym___END__] = ACTIONS(1857),
    [anon_sym_EOT] = ACTIONS(1857),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1857),
    [anon_sym_unless] = ACTIONS(1857),
    [anon_sym_while] = ACTIONS(1857),
    [anon_sym_until] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [733] = {
    [sym_heredoc_content] = STATE(733),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_and] = ACTIONS(1841),
    [anon_sym_or] = ACTIONS(1841),
    [anon_sym_xor] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_foreach] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1841),
    [anon_sym___END__] = ACTIONS(1841),
    [anon_sym_EOT] = ACTIONS(1841),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [anon_sym_if] = ACTIONS(1841),
    [anon_sym_unless] = ACTIONS(1841),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_until] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_SEMICOLON] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym__ctrl_z_hack] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [734] = {
    [sym_heredoc_content] = STATE(734),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_and] = ACTIONS(1707),
    [anon_sym_or] = ACTIONS(1707),
    [anon_sym_xor] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1707),
    [anon_sym___END__] = ACTIONS(1707),
    [anon_sym_EOT] = ACTIONS(1707),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [735] = {
    [sym_heredoc_content] = STATE(735),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_foreach] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1849),
    [anon_sym___END__] = ACTIONS(1849),
    [anon_sym_EOT] = ACTIONS(1849),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [anon_sym_if] = ACTIONS(1849),
    [anon_sym_unless] = ACTIONS(1849),
    [anon_sym_while] = ACTIONS(1849),
    [anon_sym_until] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_SEMICOLON] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym__ctrl_z_hack] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [736] = {
    [sym_heredoc_content] = STATE(736),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_and] = ACTIONS(1853),
    [anon_sym_or] = ACTIONS(1853),
    [anon_sym_xor] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_for] = ACTIONS(1853),
    [anon_sym_foreach] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1853),
    [anon_sym___END__] = ACTIONS(1853),
    [anon_sym_EOT] = ACTIONS(1853),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [anon_sym_if] = ACTIONS(1853),
    [anon_sym_unless] = ACTIONS(1853),
    [anon_sym_while] = ACTIONS(1853),
    [anon_sym_until] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_SEMICOLON] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym__ctrl_z_hack] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [737] = {
    [sym_heredoc_content] = STATE(737),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [738] = {
    [sym_heredoc_content] = STATE(738),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1953),
  },
  [739] = {
    [sym_heredoc_content] = STATE(739),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1955),
  },
  [740] = {
    [sym_heredoc_content] = STATE(740),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1923),
  },
  [741] = {
    [sym_heredoc_content] = STATE(741),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_xor] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_DOT_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_equ] = ACTIONS(1709),
    [anon_sym_eqr] = ACTIONS(1709),
    [anon_sym_ne] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_cmp] = ACTIONS(1709),
    [anon_sym_TILDE_TILDE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_lt] = ACTIONS(1709),
    [anon_sym_le] = ACTIONS(1709),
    [anon_sym_ge] = ACTIONS(1709),
    [anon_sym_gt] = ACTIONS(1709),
    [anon_sym_isa] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_for] = ACTIONS(1709),
    [anon_sym_foreach] = ACTIONS(1709),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1709),
    [anon_sym___END__] = ACTIONS(1709),
    [anon_sym_EOT] = ACTIONS(1709),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1709),
    [anon_sym_unless] = ACTIONS(1709),
    [anon_sym_while] = ACTIONS(1709),
    [anon_sym_until] = ACTIONS(1709),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [742] = {
    [sym_heredoc_content] = STATE(742),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1901),
  },
  [743] = {
    [sym_heredoc_content] = STATE(743),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1903),
  },
  [744] = {
    [sym_heredoc_content] = STATE(744),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1905),
  },
  [745] = {
    [sym_heredoc_content] = STATE(745),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1883),
  },
  [746] = {
    [sym_heredoc_content] = STATE(746),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1907),
  },
  [747] = {
    [sym_heredoc_content] = STATE(747),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1909),
  },
  [748] = {
    [sym_heredoc_content] = STATE(748),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1911),
  },
  [749] = {
    [sym_heredoc_content] = STATE(749),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1913),
  },
  [750] = {
    [sym_heredoc_content] = STATE(750),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1915),
  },
  [751] = {
    [sym_heredoc_content] = STATE(751),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1885),
  },
  [752] = {
    [sym_heredoc_content] = STATE(752),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1917),
  },
  [753] = {
    [sym_heredoc_content] = STATE(753),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1955),
  },
  [754] = {
    [sym_heredoc_content] = STATE(754),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1921),
  },
  [755] = {
    [sym_heredoc_content] = STATE(755),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1895),
  },
  [756] = {
    [sym_heredoc_content] = STATE(756),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1953),
  },
  [757] = {
    [sym_heredoc_content] = STATE(757),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1925),
  },
  [758] = {
    [sym_heredoc_content] = STATE(758),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1927),
  },
  [759] = {
    [sym_heredoc_content] = STATE(759),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1929),
  },
  [760] = {
    [sym_heredoc_content] = STATE(760),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1931),
  },
  [761] = {
    [sym_heredoc_content] = STATE(761),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1933),
  },
  [762] = {
    [sym_heredoc_content] = STATE(762),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1935),
  },
  [763] = {
    [sym_heredoc_content] = STATE(763),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1937),
  },
  [764] = {
    [sym_heredoc_content] = STATE(764),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1893),
  },
  [765] = {
    [sym_heredoc_content] = STATE(765),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1947),
  },
  [766] = {
    [sym_heredoc_content] = STATE(766),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1887),
  },
  [767] = {
    [sym_heredoc_content] = STATE(767),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1897),
  },
  [768] = {
    [sym_heredoc_content] = STATE(768),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_foreach] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_unless] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_until] = ACTIONS(1871),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
    [sym__brace_end_zw] = ACTIONS(1899),
  },
  [769] = {
    [sym_heredoc_content] = STATE(769),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_and] = ACTIONS(1861),
    [anon_sym_or] = ACTIONS(1861),
    [anon_sym_xor] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1861),
    [anon_sym___END__] = ACTIONS(1861),
    [anon_sym_EOT] = ACTIONS(1861),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__no_search_slash_plz] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_SEMICOLON] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym__ctrl_z_hack] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [770] = {
    [sym_heredoc_content] = STATE(770),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [771] = {
    [sym_heredoc_content] = STATE(771),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1849),
    [anon_sym___END__] = ACTIONS(1849),
    [anon_sym_EOT] = ACTIONS(1849),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__no_search_slash_plz] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_SEMICOLON] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym__ctrl_z_hack] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [772] = {
    [sym_heredoc_content] = STATE(772),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1857),
    [anon_sym___END__] = ACTIONS(1857),
    [anon_sym_EOT] = ACTIONS(1857),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [773] = {
    [sym_heredoc_content] = STATE(773),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_and] = ACTIONS(1841),
    [anon_sym_or] = ACTIONS(1841),
    [anon_sym_xor] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1841),
    [anon_sym___END__] = ACTIONS(1841),
    [anon_sym_EOT] = ACTIONS(1841),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__no_search_slash_plz] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_SEMICOLON] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym__ctrl_z_hack] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [774] = {
    [sym_heredoc_content] = STATE(774),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_and] = ACTIONS(1853),
    [anon_sym_or] = ACTIONS(1853),
    [anon_sym_xor] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1853),
    [anon_sym___END__] = ACTIONS(1853),
    [anon_sym_EOT] = ACTIONS(1853),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__no_search_slash_plz] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_SEMICOLON] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym__ctrl_z_hack] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [775] = {
    [sym_heredoc_content] = STATE(775),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1857),
    [anon_sym___END__] = ACTIONS(1857),
    [anon_sym_EOT] = ACTIONS(1857),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [776] = {
    [sym_heredoc_content] = STATE(776),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_and] = ACTIONS(1707),
    [anon_sym_or] = ACTIONS(1707),
    [anon_sym_xor] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1707),
    [anon_sym___END__] = ACTIONS(1707),
    [anon_sym_EOT] = ACTIONS(1707),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__no_search_slash_plz] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [777] = {
    [sym_heredoc_content] = STATE(777),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_and] = ACTIONS(1845),
    [anon_sym_or] = ACTIONS(1845),
    [anon_sym_xor] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1845),
    [anon_sym___END__] = ACTIONS(1845),
    [anon_sym_EOT] = ACTIONS(1845),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_SEMICOLON] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym__ctrl_z_hack] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [778] = {
    [sym_heredoc_content] = STATE(778),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_and] = ACTIONS(1830),
    [anon_sym_or] = ACTIONS(1830),
    [anon_sym_xor] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1832),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1830),
    [anon_sym___END__] = ACTIONS(1830),
    [anon_sym_EOT] = ACTIONS(1830),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__no_search_slash_plz] = ACTIONS(1837),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym__ctrl_z_hack] = ACTIONS(1839),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [779] = {
    [sym_heredoc_content] = STATE(779),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [780] = {
    [sym_heredoc_content] = STATE(780),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_and] = ACTIONS(1845),
    [anon_sym_or] = ACTIONS(1845),
    [anon_sym_xor] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1845),
    [anon_sym___END__] = ACTIONS(1845),
    [anon_sym_EOT] = ACTIONS(1845),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_SEMICOLON] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym__ctrl_z_hack] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [781] = {
    [sym_heredoc_content] = STATE(781),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_xor] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_DOT_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_equ] = ACTIONS(1709),
    [anon_sym_eqr] = ACTIONS(1709),
    [anon_sym_ne] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_cmp] = ACTIONS(1709),
    [anon_sym_TILDE_TILDE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_lt] = ACTIONS(1709),
    [anon_sym_le] = ACTIONS(1709),
    [anon_sym_ge] = ACTIONS(1709),
    [anon_sym_gt] = ACTIONS(1709),
    [anon_sym_isa] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1709),
    [anon_sym___END__] = ACTIONS(1709),
    [anon_sym_EOT] = ACTIONS(1709),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [782] = {
    [sym_heredoc_content] = STATE(782),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1849),
    [anon_sym___END__] = ACTIONS(1849),
    [anon_sym_EOT] = ACTIONS(1849),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_SEMICOLON] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym__ctrl_z_hack] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [783] = {
    [sym_heredoc_content] = STATE(783),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1857),
    [anon_sym___END__] = ACTIONS(1857),
    [anon_sym_EOT] = ACTIONS(1857),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [784] = {
    [sym_heredoc_content] = STATE(784),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_and] = ACTIONS(1861),
    [anon_sym_or] = ACTIONS(1861),
    [anon_sym_xor] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1861),
    [anon_sym___END__] = ACTIONS(1861),
    [anon_sym_EOT] = ACTIONS(1861),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_SEMICOLON] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym__ctrl_z_hack] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [785] = {
    [sym_heredoc_content] = STATE(785),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1871),
    [anon_sym___END__] = ACTIONS(1871),
    [anon_sym_EOT] = ACTIONS(1871),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [786] = {
    [sym_heredoc_content] = STATE(786),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1939),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1939),
    [anon_sym_PLUS_EQ] = ACTIONS(1939),
    [anon_sym_DASH_EQ] = ACTIONS(1939),
    [anon_sym_DOT_EQ] = ACTIONS(1939),
    [anon_sym_STAR_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_PERCENT_EQ] = ACTIONS(1939),
    [anon_sym_x_EQ] = ACTIONS(1939),
    [anon_sym_AMP_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_CARET_EQ] = ACTIONS(1939),
    [anon_sym_LT_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1939),
    [anon_sym_STAR_STAR] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH] = ACTIONS(1939),
    [anon_sym_CARET_CARET] = ACTIONS(1939),
    [anon_sym_AMP_AMP] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_GT_GT2] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_x] = ACTIONS(1939),
    [anon_sym_EQ_TILDE] = ACTIONS(1939),
    [anon_sym_BANG_TILDE] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1939),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_eq] = ACTIONS(1939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1939),
    [anon_sym_equ] = ACTIONS(1939),
    [anon_sym_eqr] = ACTIONS(1939),
    [anon_sym_ne] = ACTIONS(1939),
    [anon_sym_LT_EQ_GT] = ACTIONS(1939),
    [anon_sym_cmp] = ACTIONS(1939),
    [anon_sym_TILDE_TILDE] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_lt] = ACTIONS(1939),
    [anon_sym_le] = ACTIONS(1939),
    [anon_sym_ge] = ACTIONS(1939),
    [anon_sym_gt] = ACTIONS(1939),
    [anon_sym_isa] = ACTIONS(1939),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1939),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1939),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1939),
    [anon_sym___END__] = ACTIONS(1939),
    [anon_sym_EOT] = ACTIONS(1939),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_SEMICOLON] = ACTIONS(1941),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym__ctrl_z_hack] = ACTIONS(1941),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [787] = {
    [sym_heredoc_content] = STATE(787),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_and] = ACTIONS(1707),
    [anon_sym_or] = ACTIONS(1707),
    [anon_sym_xor] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1707),
    [anon_sym___END__] = ACTIONS(1707),
    [anon_sym_EOT] = ACTIONS(1707),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [788] = {
    [sym_heredoc_content] = STATE(788),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1824),
    [anon_sym___END__] = ACTIONS(1824),
    [anon_sym_EOT] = ACTIONS(1824),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [789] = {
    [sym_heredoc_content] = STATE(789),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1857),
    [anon_sym___END__] = ACTIONS(1857),
    [anon_sym_EOT] = ACTIONS(1857),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [790] = {
    [sym_heredoc_content] = STATE(790),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_and] = ACTIONS(1853),
    [anon_sym_or] = ACTIONS(1853),
    [anon_sym_xor] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1853),
    [anon_sym___END__] = ACTIONS(1853),
    [anon_sym_EOT] = ACTIONS(1853),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_SEMICOLON] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym__ctrl_z_hack] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [791] = {
    [sym_heredoc_content] = STATE(791),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1943),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1943),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_and] = ACTIONS(1943),
    [anon_sym_or] = ACTIONS(1943),
    [anon_sym_xor] = ACTIONS(1943),
    [anon_sym_DASH_GT] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_LT_LT] = ACTIONS(1943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1943),
    [anon_sym_PLUS_EQ] = ACTIONS(1943),
    [anon_sym_DASH_EQ] = ACTIONS(1943),
    [anon_sym_DOT_EQ] = ACTIONS(1943),
    [anon_sym_STAR_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_PERCENT_EQ] = ACTIONS(1943),
    [anon_sym_x_EQ] = ACTIONS(1943),
    [anon_sym_AMP_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_CARET_EQ] = ACTIONS(1943),
    [anon_sym_LT_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1943),
    [anon_sym_DOT_DOT] = ACTIONS(1943),
    [anon_sym_STAR_STAR] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH] = ACTIONS(1943),
    [anon_sym_CARET_CARET] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1943),
    [anon_sym_PIPE] = ACTIONS(1943),
    [anon_sym_CARET] = ACTIONS(1943),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_GT_GT2] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_DOT] = ACTIONS(1943),
    [anon_sym_SLASH] = ACTIONS(1943),
    [anon_sym_x] = ACTIONS(1943),
    [anon_sym_EQ_TILDE] = ACTIONS(1943),
    [anon_sym_BANG_TILDE] = ACTIONS(1943),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_eq] = ACTIONS(1943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1943),
    [anon_sym_equ] = ACTIONS(1943),
    [anon_sym_eqr] = ACTIONS(1943),
    [anon_sym_ne] = ACTIONS(1943),
    [anon_sym_LT_EQ_GT] = ACTIONS(1943),
    [anon_sym_cmp] = ACTIONS(1943),
    [anon_sym_TILDE_TILDE] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_lt] = ACTIONS(1943),
    [anon_sym_le] = ACTIONS(1943),
    [anon_sym_ge] = ACTIONS(1943),
    [anon_sym_gt] = ACTIONS(1943),
    [anon_sym_isa] = ACTIONS(1943),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1943),
    [anon_sym_QMARK] = ACTIONS(1943),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1943),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1943),
    [anon_sym___END__] = ACTIONS(1943),
    [anon_sym_EOT] = ACTIONS(1943),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1945),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1945),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [792] = {
    [sym_heredoc_content] = STATE(792),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_and] = ACTIONS(1869),
    [anon_sym_or] = ACTIONS(1869),
    [anon_sym_xor] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1869),
    [anon_sym___END__] = ACTIONS(1869),
    [anon_sym_EOT] = ACTIONS(1869),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1919),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym__ctrl_z_hack] = ACTIONS(1919),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [793] = {
    [sym_heredoc_content] = STATE(793),
    [sym__identifier] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1949),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1949),
    [anon_sym_extended] = ACTIONS(1949),
    [anon_sym_async] = ACTIONS(1949),
    [anon_sym_sub] = ACTIONS(1949),
    [anon_sym_method] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1949),
    [anon_sym_continue] = ACTIONS(1949),
    [anon_sym_state] = ACTIONS(1949),
    [anon_sym_our] = ACTIONS(1949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_and] = ACTIONS(1830),
    [anon_sym_or] = ACTIONS(1830),
    [anon_sym_xor] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1949),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1949),
    [anon_sym_eval] = ACTIONS(1949),
    [anon_sym_await] = ACTIONS(1949),
    [anon_sym_field] = ACTIONS(1949),
    [anon_sym_local] = ACTIONS(1949),
    [anon_sym_dynamically] = ACTIONS(1949),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1949),
    [anon_sym_require] = ACTIONS(1949),
    [anon_sym_map] = ACTIONS(1949),
    [anon_sym_grep] = ACTIONS(1949),
    [anon_sym_sort] = ACTIONS(1949),
    [anon_sym_goto] = ACTIONS(1949),
    [anon_sym_return] = ACTIONS(1949),
    [anon_sym_undef] = ACTIONS(1949),
    [anon_sym_PERCENT2] = ACTIONS(1949),
    [anon_sym_AMP2] = ACTIONS(1949),
    [anon_sym_STAR2] = ACTIONS(1949),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1949),
    [anon_sym_next] = ACTIONS(1949),
    [anon_sym_redo] = ACTIONS(1949),
    [anon_sym___FILE__] = ACTIONS(1949),
    [anon_sym___LINE__] = ACTIONS(1949),
    [anon_sym___PACKAGE__] = ACTIONS(1949),
    [anon_sym___SUB__] = ACTIONS(1949),
    [anon_sym_break] = ACTIONS(1949),
    [anon_sym_fork] = ACTIONS(1949),
    [anon_sym_getppid] = ACTIONS(1949),
    [anon_sym_time] = ACTIONS(1949),
    [anon_sym_times] = ACTIONS(1949),
    [anon_sym_wait] = ACTIONS(1949),
    [anon_sym_wantarray] = ACTIONS(1949),
    [anon_sym_abs] = ACTIONS(1949),
    [anon_sym_alarm] = ACTIONS(1949),
    [anon_sym_chop] = ACTIONS(1949),
    [anon_sym_chdir] = ACTIONS(1949),
    [anon_sym_close] = ACTIONS(1949),
    [anon_sym_closedir] = ACTIONS(1949),
    [anon_sym_caller] = ACTIONS(1949),
    [anon_sym_chomp] = ACTIONS(1949),
    [anon_sym_chr] = ACTIONS(1949),
    [anon_sym_cos] = ACTIONS(1949),
    [anon_sym_chroot] = ACTIONS(1949),
    [anon_sym_defined] = ACTIONS(1949),
    [anon_sym_delete] = ACTIONS(1949),
    [anon_sym_dbmclose] = ACTIONS(1949),
    [anon_sym_exists] = ACTIONS(1949),
    [anon_sym_exit] = ACTIONS(1949),
    [anon_sym_eof] = ACTIONS(1949),
    [anon_sym_exp] = ACTIONS(1949),
    [anon_sym_each] = ACTIONS(1949),
    [anon_sym_fc] = ACTIONS(1949),
    [anon_sym_fileno] = ACTIONS(1949),
    [anon_sym_gmtime] = ACTIONS(1949),
    [anon_sym_getc] = ACTIONS(1949),
    [anon_sym_getpgrp] = ACTIONS(1949),
    [anon_sym_getprotobyname] = ACTIONS(1949),
    [anon_sym_getpwname] = ACTIONS(1949),
    [anon_sym_getpwuid] = ACTIONS(1949),
    [anon_sym_getpeername] = ACTIONS(1949),
    [anon_sym_getnetbyname] = ACTIONS(1949),
    [anon_sym_getsockname] = ACTIONS(1949),
    [anon_sym_getgrnam] = ACTIONS(1949),
    [anon_sym_getgrgid] = ACTIONS(1949),
    [anon_sym_hex] = ACTIONS(1949),
    [anon_sym_int] = ACTIONS(1949),
    [anon_sym_keys] = ACTIONS(1949),
    [anon_sym_lc] = ACTIONS(1949),
    [anon_sym_lcfirst] = ACTIONS(1949),
    [anon_sym_length] = ACTIONS(1949),
    [anon_sym_localtime] = ACTIONS(1949),
    [anon_sym_log] = ACTIONS(1949),
    [anon_sym_lock] = ACTIONS(1949),
    [anon_sym_lstat] = ACTIONS(1949),
    [anon_sym_oct] = ACTIONS(1949),
    [anon_sym_ord] = ACTIONS(1949),
    [anon_sym_prototype] = ACTIONS(1949),
    [anon_sym_pop] = ACTIONS(1949),
    [anon_sym_pos] = ACTIONS(1949),
    [anon_sym_quotemeta] = ACTIONS(1949),
    [anon_sym_reset] = ACTIONS(1949),
    [anon_sym_rand] = ACTIONS(1949),
    [anon_sym_rmdir] = ACTIONS(1949),
    [anon_sym_readdir] = ACTIONS(1949),
    [anon_sym_readline] = ACTIONS(1949),
    [anon_sym_readpipe] = ACTIONS(1949),
    [anon_sym_rewinddir] = ACTIONS(1949),
    [anon_sym_readlink] = ACTIONS(1949),
    [anon_sym_ref] = ACTIONS(1949),
    [anon_sym_scalar] = ACTIONS(1949),
    [anon_sym_shift] = ACTIONS(1949),
    [anon_sym_sin] = ACTIONS(1949),
    [anon_sym_sleep] = ACTIONS(1949),
    [anon_sym_sqrt] = ACTIONS(1949),
    [anon_sym_srand] = ACTIONS(1949),
    [anon_sym_stat] = ACTIONS(1949),
    [anon_sym_study] = ACTIONS(1949),
    [anon_sym_tell] = ACTIONS(1949),
    [anon_sym_telldir] = ACTIONS(1949),
    [anon_sym_tied] = ACTIONS(1949),
    [anon_sym_uc] = ACTIONS(1949),
    [anon_sym_ucfirst] = ACTIONS(1949),
    [anon_sym_untie] = ACTIONS(1949),
    [anon_sym_umask] = ACTIONS(1949),
    [anon_sym_values] = ACTIONS(1949),
    [anon_sym_write] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1830),
    [anon_sym___END__] = ACTIONS(1830),
    [anon_sym_EOT] = ACTIONS(1830),
    [anon_sym_q] = ACTIONS(1949),
    [anon_sym_qq] = ACTIONS(1949),
    [anon_sym_qw] = ACTIONS(1949),
    [anon_sym_qx] = ACTIONS(1949),
    [anon_sym_qr] = ACTIONS(1949),
    [anon_sym_m] = ACTIONS(1949),
    [anon_sym_s] = ACTIONS(1949),
    [anon_sym_tr] = ACTIONS(1949),
    [anon_sym_y] = ACTIONS(1949),
    [aux_sym__bareword_token1] = ACTIONS(1949),
    [sym_number] = ACTIONS(1949),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym__single_quote] = ACTIONS(1951),
    [sym__double_quote] = ACTIONS(1951),
    [sym__backtick_quote] = ACTIONS(1951),
    [sym__search_slash_quote] = ACTIONS(1951),
    [sym__open_readline_bracket] = ACTIONS(1951),
    [sym__open_fileglob_bracket] = ACTIONS(1951),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym__PERLY_HEREDOC] = ACTIONS(1951),
    [sym__ctrl_z_hack] = ACTIONS(1839),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1951),
    [sym__filetest] = ACTIONS(1951),
  },
  [794] = {
    [sym_heredoc_content] = STATE(794),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_and] = ACTIONS(1841),
    [anon_sym_or] = ACTIONS(1841),
    [anon_sym_xor] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1841),
    [anon_sym___END__] = ACTIONS(1841),
    [anon_sym_EOT] = ACTIONS(1841),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_SEMICOLON] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym__ctrl_z_hack] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [795] = {
    [sym_heredoc_content] = STATE(795),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_and] = ACTIONS(1861),
    [anon_sym_or] = ACTIONS(1861),
    [anon_sym_xor] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_RBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__no_search_slash_plz] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [796] = {
    [sym_heredoc_content] = STATE(796),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_RBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [797] = {
    [sym_heredoc_content] = STATE(797),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_and] = ACTIONS(1853),
    [anon_sym_or] = ACTIONS(1853),
    [anon_sym_xor] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_RBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__no_search_slash_plz] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [798] = {
    [sym_heredoc_content] = STATE(798),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_and] = ACTIONS(1841),
    [anon_sym_or] = ACTIONS(1841),
    [anon_sym_xor] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_RBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__no_search_slash_plz] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [799] = {
    [sym_heredoc_content] = STATE(799),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_RBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__no_search_slash_plz] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [800] = {
    [sym_heredoc_content] = STATE(800),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_RPAREN] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_and] = ACTIONS(1830),
    [anon_sym_or] = ACTIONS(1830),
    [anon_sym_xor] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_RBRACK] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1832),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__no_search_slash_plz] = ACTIONS(1837),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [801] = {
    [sym_heredoc_content] = STATE(801),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_RBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [802] = {
    [sym_heredoc_content] = STATE(802),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_and] = ACTIONS(1845),
    [anon_sym_or] = ACTIONS(1845),
    [anon_sym_xor] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_RBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [803] = {
    [sym_heredoc_content] = STATE(803),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_and] = ACTIONS(1707),
    [anon_sym_or] = ACTIONS(1707),
    [anon_sym_xor] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_RBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__no_search_slash_plz] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [804] = {
    [sym_heredoc_content] = STATE(804),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_RBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [805] = {
    [sym_heredoc_content] = STATE(805),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_and] = ACTIONS(1709),
    [anon_sym_or] = ACTIONS(1709),
    [anon_sym_xor] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_RBRACK] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_DOT_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_equ] = ACTIONS(1709),
    [anon_sym_eqr] = ACTIONS(1709),
    [anon_sym_ne] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_cmp] = ACTIONS(1709),
    [anon_sym_TILDE_TILDE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_lt] = ACTIONS(1709),
    [anon_sym_le] = ACTIONS(1709),
    [anon_sym_ge] = ACTIONS(1709),
    [anon_sym_gt] = ACTIONS(1709),
    [anon_sym_isa] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [806] = {
    [sym_heredoc_content] = STATE(806),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_and] = ACTIONS(1707),
    [anon_sym_or] = ACTIONS(1707),
    [anon_sym_xor] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_RBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [807] = {
    [sym_heredoc_content] = STATE(807),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1957),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_RBRACK] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [808] = {
    [sym_heredoc_content] = STATE(808),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_and] = ACTIONS(1871),
    [anon_sym_or] = ACTIONS(1871),
    [anon_sym_xor] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_RBRACK] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [809] = {
    [sym_heredoc_content] = STATE(809),
    [sym__identifier] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1949),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_RPAREN] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1949),
    [anon_sym_extended] = ACTIONS(1949),
    [anon_sym_async] = ACTIONS(1949),
    [anon_sym_sub] = ACTIONS(1949),
    [anon_sym_method] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1949),
    [anon_sym_continue] = ACTIONS(1949),
    [anon_sym_state] = ACTIONS(1949),
    [anon_sym_our] = ACTIONS(1949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_and] = ACTIONS(1830),
    [anon_sym_or] = ACTIONS(1830),
    [anon_sym_xor] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_RBRACK] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1949),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1949),
    [anon_sym_eval] = ACTIONS(1949),
    [anon_sym_await] = ACTIONS(1949),
    [anon_sym_field] = ACTIONS(1949),
    [anon_sym_local] = ACTIONS(1949),
    [anon_sym_dynamically] = ACTIONS(1949),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1949),
    [anon_sym_require] = ACTIONS(1949),
    [anon_sym_map] = ACTIONS(1949),
    [anon_sym_grep] = ACTIONS(1949),
    [anon_sym_sort] = ACTIONS(1949),
    [anon_sym_goto] = ACTIONS(1949),
    [anon_sym_return] = ACTIONS(1949),
    [anon_sym_undef] = ACTIONS(1949),
    [anon_sym_PERCENT2] = ACTIONS(1949),
    [anon_sym_AMP2] = ACTIONS(1949),
    [anon_sym_STAR2] = ACTIONS(1949),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1949),
    [anon_sym_next] = ACTIONS(1949),
    [anon_sym_redo] = ACTIONS(1949),
    [anon_sym___FILE__] = ACTIONS(1949),
    [anon_sym___LINE__] = ACTIONS(1949),
    [anon_sym___PACKAGE__] = ACTIONS(1949),
    [anon_sym___SUB__] = ACTIONS(1949),
    [anon_sym_break] = ACTIONS(1949),
    [anon_sym_fork] = ACTIONS(1949),
    [anon_sym_getppid] = ACTIONS(1949),
    [anon_sym_time] = ACTIONS(1949),
    [anon_sym_times] = ACTIONS(1949),
    [anon_sym_wait] = ACTIONS(1949),
    [anon_sym_wantarray] = ACTIONS(1949),
    [anon_sym_abs] = ACTIONS(1949),
    [anon_sym_alarm] = ACTIONS(1949),
    [anon_sym_chop] = ACTIONS(1949),
    [anon_sym_chdir] = ACTIONS(1949),
    [anon_sym_close] = ACTIONS(1949),
    [anon_sym_closedir] = ACTIONS(1949),
    [anon_sym_caller] = ACTIONS(1949),
    [anon_sym_chomp] = ACTIONS(1949),
    [anon_sym_chr] = ACTIONS(1949),
    [anon_sym_cos] = ACTIONS(1949),
    [anon_sym_chroot] = ACTIONS(1949),
    [anon_sym_defined] = ACTIONS(1949),
    [anon_sym_delete] = ACTIONS(1949),
    [anon_sym_dbmclose] = ACTIONS(1949),
    [anon_sym_exists] = ACTIONS(1949),
    [anon_sym_exit] = ACTIONS(1949),
    [anon_sym_eof] = ACTIONS(1949),
    [anon_sym_exp] = ACTIONS(1949),
    [anon_sym_each] = ACTIONS(1949),
    [anon_sym_fc] = ACTIONS(1949),
    [anon_sym_fileno] = ACTIONS(1949),
    [anon_sym_gmtime] = ACTIONS(1949),
    [anon_sym_getc] = ACTIONS(1949),
    [anon_sym_getpgrp] = ACTIONS(1949),
    [anon_sym_getprotobyname] = ACTIONS(1949),
    [anon_sym_getpwname] = ACTIONS(1949),
    [anon_sym_getpwuid] = ACTIONS(1949),
    [anon_sym_getpeername] = ACTIONS(1949),
    [anon_sym_getnetbyname] = ACTIONS(1949),
    [anon_sym_getsockname] = ACTIONS(1949),
    [anon_sym_getgrnam] = ACTIONS(1949),
    [anon_sym_getgrgid] = ACTIONS(1949),
    [anon_sym_hex] = ACTIONS(1949),
    [anon_sym_int] = ACTIONS(1949),
    [anon_sym_keys] = ACTIONS(1949),
    [anon_sym_lc] = ACTIONS(1949),
    [anon_sym_lcfirst] = ACTIONS(1949),
    [anon_sym_length] = ACTIONS(1949),
    [anon_sym_localtime] = ACTIONS(1949),
    [anon_sym_log] = ACTIONS(1949),
    [anon_sym_lock] = ACTIONS(1949),
    [anon_sym_lstat] = ACTIONS(1949),
    [anon_sym_oct] = ACTIONS(1949),
    [anon_sym_ord] = ACTIONS(1949),
    [anon_sym_prototype] = ACTIONS(1949),
    [anon_sym_pop] = ACTIONS(1949),
    [anon_sym_pos] = ACTIONS(1949),
    [anon_sym_quotemeta] = ACTIONS(1949),
    [anon_sym_reset] = ACTIONS(1949),
    [anon_sym_rand] = ACTIONS(1949),
    [anon_sym_rmdir] = ACTIONS(1949),
    [anon_sym_readdir] = ACTIONS(1949),
    [anon_sym_readline] = ACTIONS(1949),
    [anon_sym_readpipe] = ACTIONS(1949),
    [anon_sym_rewinddir] = ACTIONS(1949),
    [anon_sym_readlink] = ACTIONS(1949),
    [anon_sym_ref] = ACTIONS(1949),
    [anon_sym_scalar] = ACTIONS(1949),
    [anon_sym_shift] = ACTIONS(1949),
    [anon_sym_sin] = ACTIONS(1949),
    [anon_sym_sleep] = ACTIONS(1949),
    [anon_sym_sqrt] = ACTIONS(1949),
    [anon_sym_srand] = ACTIONS(1949),
    [anon_sym_stat] = ACTIONS(1949),
    [anon_sym_study] = ACTIONS(1949),
    [anon_sym_tell] = ACTIONS(1949),
    [anon_sym_telldir] = ACTIONS(1949),
    [anon_sym_tied] = ACTIONS(1949),
    [anon_sym_uc] = ACTIONS(1949),
    [anon_sym_ucfirst] = ACTIONS(1949),
    [anon_sym_untie] = ACTIONS(1949),
    [anon_sym_umask] = ACTIONS(1949),
    [anon_sym_values] = ACTIONS(1949),
    [anon_sym_write] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1949),
    [anon_sym_qq] = ACTIONS(1949),
    [anon_sym_qw] = ACTIONS(1949),
    [anon_sym_qx] = ACTIONS(1949),
    [anon_sym_qr] = ACTIONS(1949),
    [anon_sym_m] = ACTIONS(1949),
    [anon_sym_s] = ACTIONS(1949),
    [anon_sym_tr] = ACTIONS(1949),
    [anon_sym_y] = ACTIONS(1949),
    [aux_sym__bareword_token1] = ACTIONS(1949),
    [sym_number] = ACTIONS(1949),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym__single_quote] = ACTIONS(1951),
    [sym__double_quote] = ACTIONS(1951),
    [sym__backtick_quote] = ACTIONS(1951),
    [sym__search_slash_quote] = ACTIONS(1951),
    [sym__open_readline_bracket] = ACTIONS(1951),
    [sym__open_fileglob_bracket] = ACTIONS(1951),
    [sym__PERLY_HEREDOC] = ACTIONS(1951),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1951),
    [sym__filetest] = ACTIONS(1951),
  },
  [810] = {
    [sym_heredoc_content] = STATE(810),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_RPAREN] = ACTIONS(1939),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1939),
    [anon_sym_and] = ACTIONS(1939),
    [anon_sym_or] = ACTIONS(1939),
    [anon_sym_xor] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_RBRACK] = ACTIONS(1939),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1939),
    [anon_sym_PLUS_EQ] = ACTIONS(1939),
    [anon_sym_DASH_EQ] = ACTIONS(1939),
    [anon_sym_DOT_EQ] = ACTIONS(1939),
    [anon_sym_STAR_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_PERCENT_EQ] = ACTIONS(1939),
    [anon_sym_x_EQ] = ACTIONS(1939),
    [anon_sym_AMP_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_CARET_EQ] = ACTIONS(1939),
    [anon_sym_LT_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1939),
    [anon_sym_STAR_STAR] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH] = ACTIONS(1939),
    [anon_sym_CARET_CARET] = ACTIONS(1939),
    [anon_sym_AMP_AMP] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_GT_GT2] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_x] = ACTIONS(1939),
    [anon_sym_EQ_TILDE] = ACTIONS(1939),
    [anon_sym_BANG_TILDE] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1939),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_eq] = ACTIONS(1939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1939),
    [anon_sym_equ] = ACTIONS(1939),
    [anon_sym_eqr] = ACTIONS(1939),
    [anon_sym_ne] = ACTIONS(1939),
    [anon_sym_LT_EQ_GT] = ACTIONS(1939),
    [anon_sym_cmp] = ACTIONS(1939),
    [anon_sym_TILDE_TILDE] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_lt] = ACTIONS(1939),
    [anon_sym_le] = ACTIONS(1939),
    [anon_sym_ge] = ACTIONS(1939),
    [anon_sym_gt] = ACTIONS(1939),
    [anon_sym_isa] = ACTIONS(1939),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1939),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1939),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [811] = {
    [sym_heredoc_content] = STATE(811),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1957),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_and] = ACTIONS(1869),
    [anon_sym_or] = ACTIONS(1869),
    [anon_sym_xor] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_RBRACK] = ACTIONS(1869),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [812] = {
    [sym_heredoc_content] = STATE(812),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_RBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [813] = {
    [sym_heredoc_content] = STATE(813),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_and] = ACTIONS(1861),
    [anon_sym_or] = ACTIONS(1861),
    [anon_sym_xor] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_RBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [814] = {
    [sym_heredoc_content] = STATE(814),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_and] = ACTIONS(1824),
    [anon_sym_or] = ACTIONS(1824),
    [anon_sym_xor] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_RBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [815] = {
    [sym_heredoc_content] = STATE(815),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_and] = ACTIONS(1853),
    [anon_sym_or] = ACTIONS(1853),
    [anon_sym_xor] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_RBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [816] = {
    [sym_heredoc_content] = STATE(816),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_and] = ACTIONS(1849),
    [anon_sym_or] = ACTIONS(1849),
    [anon_sym_xor] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_RBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [817] = {
    [sym_heredoc_content] = STATE(817),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_and] = ACTIONS(1845),
    [anon_sym_or] = ACTIONS(1845),
    [anon_sym_xor] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_RBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [818] = {
    [sym_heredoc_content] = STATE(818),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_and] = ACTIONS(1841),
    [anon_sym_or] = ACTIONS(1841),
    [anon_sym_xor] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_RBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [819] = {
    [sym_heredoc_content] = STATE(819),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_and] = ACTIONS(1857),
    [anon_sym_or] = ACTIONS(1857),
    [anon_sym_xor] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_RBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [820] = {
    [sym_heredoc_content] = STATE(820),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1943),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1943),
    [anon_sym_RPAREN] = ACTIONS(1943),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1957),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_and] = ACTIONS(1943),
    [anon_sym_or] = ACTIONS(1943),
    [anon_sym_xor] = ACTIONS(1943),
    [anon_sym_DASH_GT] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_RBRACK] = ACTIONS(1943),
    [anon_sym_PERCENT] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_LT_LT] = ACTIONS(1943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1943),
    [anon_sym_PLUS_EQ] = ACTIONS(1943),
    [anon_sym_DASH_EQ] = ACTIONS(1943),
    [anon_sym_DOT_EQ] = ACTIONS(1943),
    [anon_sym_STAR_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_PERCENT_EQ] = ACTIONS(1943),
    [anon_sym_x_EQ] = ACTIONS(1943),
    [anon_sym_AMP_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_CARET_EQ] = ACTIONS(1943),
    [anon_sym_LT_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1943),
    [anon_sym_DOT_DOT] = ACTIONS(1943),
    [anon_sym_STAR_STAR] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH] = ACTIONS(1943),
    [anon_sym_CARET_CARET] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1943),
    [anon_sym_PIPE] = ACTIONS(1943),
    [anon_sym_CARET] = ACTIONS(1943),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_GT_GT2] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_DOT] = ACTIONS(1943),
    [anon_sym_SLASH] = ACTIONS(1943),
    [anon_sym_x] = ACTIONS(1943),
    [anon_sym_EQ_TILDE] = ACTIONS(1943),
    [anon_sym_BANG_TILDE] = ACTIONS(1943),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_eq] = ACTIONS(1943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1943),
    [anon_sym_equ] = ACTIONS(1943),
    [anon_sym_eqr] = ACTIONS(1943),
    [anon_sym_ne] = ACTIONS(1943),
    [anon_sym_LT_EQ_GT] = ACTIONS(1943),
    [anon_sym_cmp] = ACTIONS(1943),
    [anon_sym_TILDE_TILDE] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_lt] = ACTIONS(1943),
    [anon_sym_le] = ACTIONS(1943),
    [anon_sym_ge] = ACTIONS(1943),
    [anon_sym_gt] = ACTIONS(1943),
    [anon_sym_isa] = ACTIONS(1943),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1943),
    [anon_sym_QMARK] = ACTIONS(1943),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1943),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [821] = {
    [sym_heredoc_content] = STATE(821),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_COLON] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [822] = {
    [sym_heredoc_content] = STATE(822),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [anon_sym_COLON] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_RPAREN] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1832),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__no_search_slash_plz] = ACTIONS(1837),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [823] = {
    [sym_heredoc_content] = STATE(823),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_COLON] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [824] = {
    [sym_heredoc_content] = STATE(824),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_COLON] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__no_search_slash_plz] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [825] = {
    [sym_heredoc_content] = STATE(825),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_COLON] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [826] = {
    [sym_heredoc_content] = STATE(826),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_COLON] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__no_search_slash_plz] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [827] = {
    [sym_heredoc_content] = STATE(827),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__no_search_slash_plz] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [828] = {
    [sym_heredoc_content] = STATE(828),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__no_search_slash_plz] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [829] = {
    [sym_heredoc_content] = STATE(829),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_COLON] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [830] = {
    [sym_heredoc_content] = STATE(830),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_COLON] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__no_search_slash_plz] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [831] = {
    [sym_heredoc_content] = STATE(831),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_COLON] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [832] = {
    [sym_heredoc_content] = STATE(832),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_RPAREN] = ACTIONS(1939),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1939),
    [anon_sym_PLUS_EQ] = ACTIONS(1939),
    [anon_sym_DASH_EQ] = ACTIONS(1939),
    [anon_sym_DOT_EQ] = ACTIONS(1939),
    [anon_sym_STAR_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_PERCENT_EQ] = ACTIONS(1939),
    [anon_sym_x_EQ] = ACTIONS(1939),
    [anon_sym_AMP_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_CARET_EQ] = ACTIONS(1939),
    [anon_sym_LT_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1939),
    [anon_sym_STAR_STAR] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH] = ACTIONS(1939),
    [anon_sym_CARET_CARET] = ACTIONS(1939),
    [anon_sym_AMP_AMP] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_GT_GT2] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_x] = ACTIONS(1939),
    [anon_sym_EQ_TILDE] = ACTIONS(1939),
    [anon_sym_BANG_TILDE] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1939),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_eq] = ACTIONS(1939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1939),
    [anon_sym_equ] = ACTIONS(1939),
    [anon_sym_eqr] = ACTIONS(1939),
    [anon_sym_ne] = ACTIONS(1939),
    [anon_sym_LT_EQ_GT] = ACTIONS(1939),
    [anon_sym_cmp] = ACTIONS(1939),
    [anon_sym_TILDE_TILDE] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_lt] = ACTIONS(1939),
    [anon_sym_le] = ACTIONS(1939),
    [anon_sym_ge] = ACTIONS(1939),
    [anon_sym_gt] = ACTIONS(1939),
    [anon_sym_isa] = ACTIONS(1939),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1939),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1939),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [833] = {
    [sym_heredoc_content] = STATE(833),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1943),
    [anon_sym_COLON] = ACTIONS(1943),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1943),
    [anon_sym_RPAREN] = ACTIONS(1943),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_DASH_GT] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_LT_LT] = ACTIONS(1943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1943),
    [anon_sym_PLUS_EQ] = ACTIONS(1943),
    [anon_sym_DASH_EQ] = ACTIONS(1943),
    [anon_sym_DOT_EQ] = ACTIONS(1943),
    [anon_sym_STAR_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_PERCENT_EQ] = ACTIONS(1943),
    [anon_sym_x_EQ] = ACTIONS(1943),
    [anon_sym_AMP_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_CARET_EQ] = ACTIONS(1943),
    [anon_sym_LT_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1943),
    [anon_sym_DOT_DOT] = ACTIONS(1943),
    [anon_sym_STAR_STAR] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH] = ACTIONS(1943),
    [anon_sym_CARET_CARET] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1943),
    [anon_sym_PIPE] = ACTIONS(1943),
    [anon_sym_CARET] = ACTIONS(1943),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_GT_GT2] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_DOT] = ACTIONS(1943),
    [anon_sym_SLASH] = ACTIONS(1943),
    [anon_sym_x] = ACTIONS(1943),
    [anon_sym_EQ_TILDE] = ACTIONS(1943),
    [anon_sym_BANG_TILDE] = ACTIONS(1943),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_eq] = ACTIONS(1943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1943),
    [anon_sym_equ] = ACTIONS(1943),
    [anon_sym_eqr] = ACTIONS(1943),
    [anon_sym_ne] = ACTIONS(1943),
    [anon_sym_LT_EQ_GT] = ACTIONS(1943),
    [anon_sym_cmp] = ACTIONS(1943),
    [anon_sym_TILDE_TILDE] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_lt] = ACTIONS(1943),
    [anon_sym_le] = ACTIONS(1943),
    [anon_sym_ge] = ACTIONS(1943),
    [anon_sym_gt] = ACTIONS(1943),
    [anon_sym_isa] = ACTIONS(1943),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1943),
    [anon_sym_QMARK] = ACTIONS(1943),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1943),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [834] = {
    [sym_heredoc_content] = STATE(834),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1832),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__no_search_slash_plz] = ACTIONS(1837),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [835] = {
    [sym_heredoc_content] = STATE(835),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_COLON] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [836] = {
    [sym_heredoc_content] = STATE(836),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_COLON] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_RPAREN] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1832),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1832),
    [anon_sym_DASH_DASH] = ACTIONS(1832),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1832),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__no_search_slash_plz] = ACTIONS(1837),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [837] = {
    [sym_heredoc_content] = STATE(837),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_COLON] = ACTIONS(1709),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_DOT_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_equ] = ACTIONS(1709),
    [anon_sym_eqr] = ACTIONS(1709),
    [anon_sym_ne] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_cmp] = ACTIONS(1709),
    [anon_sym_TILDE_TILDE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_lt] = ACTIONS(1709),
    [anon_sym_le] = ACTIONS(1709),
    [anon_sym_ge] = ACTIONS(1709),
    [anon_sym_gt] = ACTIONS(1709),
    [anon_sym_isa] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [838] = {
    [sym_heredoc_content] = STATE(838),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_RBRACE] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [839] = {
    [sym_heredoc_content] = STATE(839),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_COLON] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [840] = {
    [sym_heredoc_content] = STATE(840),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_COLON] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [841] = {
    [sym_heredoc_content] = STATE(841),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [842] = {
    [sym_heredoc_content] = STATE(842),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_COLON] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_RPAREN] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [843] = {
    [sym_heredoc_content] = STATE(843),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_RBRACE] = ACTIONS(1857),
    [anon_sym_COLON] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [844] = {
    [sym_heredoc_content] = STATE(844),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_RBRACE] = ACTIONS(1871),
    [anon_sym_COLON] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [845] = {
    [sym_heredoc_content] = STATE(845),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_COLON] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_RPAREN] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [846] = {
    [sym_heredoc_content] = STATE(846),
    [sym__identifier] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [anon_sym_COLON] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1949),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_RPAREN] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1949),
    [anon_sym_extended] = ACTIONS(1949),
    [anon_sym_async] = ACTIONS(1949),
    [anon_sym_sub] = ACTIONS(1949),
    [anon_sym_method] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1949),
    [anon_sym_continue] = ACTIONS(1949),
    [anon_sym_state] = ACTIONS(1949),
    [anon_sym_our] = ACTIONS(1949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1949),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1949),
    [anon_sym_eval] = ACTIONS(1949),
    [anon_sym_await] = ACTIONS(1949),
    [anon_sym_field] = ACTIONS(1949),
    [anon_sym_local] = ACTIONS(1949),
    [anon_sym_dynamically] = ACTIONS(1949),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1949),
    [anon_sym_require] = ACTIONS(1949),
    [anon_sym_map] = ACTIONS(1949),
    [anon_sym_grep] = ACTIONS(1949),
    [anon_sym_sort] = ACTIONS(1949),
    [anon_sym_goto] = ACTIONS(1949),
    [anon_sym_return] = ACTIONS(1949),
    [anon_sym_undef] = ACTIONS(1949),
    [anon_sym_PERCENT2] = ACTIONS(1949),
    [anon_sym_AMP2] = ACTIONS(1949),
    [anon_sym_STAR2] = ACTIONS(1949),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1949),
    [anon_sym_next] = ACTIONS(1949),
    [anon_sym_redo] = ACTIONS(1949),
    [anon_sym___FILE__] = ACTIONS(1949),
    [anon_sym___LINE__] = ACTIONS(1949),
    [anon_sym___PACKAGE__] = ACTIONS(1949),
    [anon_sym___SUB__] = ACTIONS(1949),
    [anon_sym_break] = ACTIONS(1949),
    [anon_sym_fork] = ACTIONS(1949),
    [anon_sym_getppid] = ACTIONS(1949),
    [anon_sym_time] = ACTIONS(1949),
    [anon_sym_times] = ACTIONS(1949),
    [anon_sym_wait] = ACTIONS(1949),
    [anon_sym_wantarray] = ACTIONS(1949),
    [anon_sym_abs] = ACTIONS(1949),
    [anon_sym_alarm] = ACTIONS(1949),
    [anon_sym_chop] = ACTIONS(1949),
    [anon_sym_chdir] = ACTIONS(1949),
    [anon_sym_close] = ACTIONS(1949),
    [anon_sym_closedir] = ACTIONS(1949),
    [anon_sym_caller] = ACTIONS(1949),
    [anon_sym_chomp] = ACTIONS(1949),
    [anon_sym_chr] = ACTIONS(1949),
    [anon_sym_cos] = ACTIONS(1949),
    [anon_sym_chroot] = ACTIONS(1949),
    [anon_sym_defined] = ACTIONS(1949),
    [anon_sym_delete] = ACTIONS(1949),
    [anon_sym_dbmclose] = ACTIONS(1949),
    [anon_sym_exists] = ACTIONS(1949),
    [anon_sym_exit] = ACTIONS(1949),
    [anon_sym_eof] = ACTIONS(1949),
    [anon_sym_exp] = ACTIONS(1949),
    [anon_sym_each] = ACTIONS(1949),
    [anon_sym_fc] = ACTIONS(1949),
    [anon_sym_fileno] = ACTIONS(1949),
    [anon_sym_gmtime] = ACTIONS(1949),
    [anon_sym_getc] = ACTIONS(1949),
    [anon_sym_getpgrp] = ACTIONS(1949),
    [anon_sym_getprotobyname] = ACTIONS(1949),
    [anon_sym_getpwname] = ACTIONS(1949),
    [anon_sym_getpwuid] = ACTIONS(1949),
    [anon_sym_getpeername] = ACTIONS(1949),
    [anon_sym_getnetbyname] = ACTIONS(1949),
    [anon_sym_getsockname] = ACTIONS(1949),
    [anon_sym_getgrnam] = ACTIONS(1949),
    [anon_sym_getgrgid] = ACTIONS(1949),
    [anon_sym_hex] = ACTIONS(1949),
    [anon_sym_int] = ACTIONS(1949),
    [anon_sym_keys] = ACTIONS(1949),
    [anon_sym_lc] = ACTIONS(1949),
    [anon_sym_lcfirst] = ACTIONS(1949),
    [anon_sym_length] = ACTIONS(1949),
    [anon_sym_localtime] = ACTIONS(1949),
    [anon_sym_log] = ACTIONS(1949),
    [anon_sym_lock] = ACTIONS(1949),
    [anon_sym_lstat] = ACTIONS(1949),
    [anon_sym_oct] = ACTIONS(1949),
    [anon_sym_ord] = ACTIONS(1949),
    [anon_sym_prototype] = ACTIONS(1949),
    [anon_sym_pop] = ACTIONS(1949),
    [anon_sym_pos] = ACTIONS(1949),
    [anon_sym_quotemeta] = ACTIONS(1949),
    [anon_sym_reset] = ACTIONS(1949),
    [anon_sym_rand] = ACTIONS(1949),
    [anon_sym_rmdir] = ACTIONS(1949),
    [anon_sym_readdir] = ACTIONS(1949),
    [anon_sym_readline] = ACTIONS(1949),
    [anon_sym_readpipe] = ACTIONS(1949),
    [anon_sym_rewinddir] = ACTIONS(1949),
    [anon_sym_readlink] = ACTIONS(1949),
    [anon_sym_ref] = ACTIONS(1949),
    [anon_sym_scalar] = ACTIONS(1949),
    [anon_sym_shift] = ACTIONS(1949),
    [anon_sym_sin] = ACTIONS(1949),
    [anon_sym_sleep] = ACTIONS(1949),
    [anon_sym_sqrt] = ACTIONS(1949),
    [anon_sym_srand] = ACTIONS(1949),
    [anon_sym_stat] = ACTIONS(1949),
    [anon_sym_study] = ACTIONS(1949),
    [anon_sym_tell] = ACTIONS(1949),
    [anon_sym_telldir] = ACTIONS(1949),
    [anon_sym_tied] = ACTIONS(1949),
    [anon_sym_uc] = ACTIONS(1949),
    [anon_sym_ucfirst] = ACTIONS(1949),
    [anon_sym_untie] = ACTIONS(1949),
    [anon_sym_umask] = ACTIONS(1949),
    [anon_sym_values] = ACTIONS(1949),
    [anon_sym_write] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1949),
    [anon_sym_qq] = ACTIONS(1949),
    [anon_sym_qw] = ACTIONS(1949),
    [anon_sym_qx] = ACTIONS(1949),
    [anon_sym_qr] = ACTIONS(1949),
    [anon_sym_m] = ACTIONS(1949),
    [anon_sym_s] = ACTIONS(1949),
    [anon_sym_tr] = ACTIONS(1949),
    [anon_sym_y] = ACTIONS(1949),
    [aux_sym__bareword_token1] = ACTIONS(1949),
    [sym_number] = ACTIONS(1949),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym__single_quote] = ACTIONS(1951),
    [sym__double_quote] = ACTIONS(1951),
    [sym__backtick_quote] = ACTIONS(1951),
    [sym__search_slash_quote] = ACTIONS(1951),
    [sym__open_readline_bracket] = ACTIONS(1951),
    [sym__open_fileglob_bracket] = ACTIONS(1951),
    [sym__PERLY_HEREDOC] = ACTIONS(1951),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1951),
    [sym__filetest] = ACTIONS(1951),
  },
  [847] = {
    [sym_heredoc_content] = STATE(847),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__no_search_slash_plz] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_SEMICOLON] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [848] = {
    [sym_heredoc_content] = STATE(848),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__no_search_slash_plz] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [849] = {
    [sym_heredoc_content] = STATE(849),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_COLON] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [850] = {
    [sym_heredoc_content] = STATE(850),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__no_search_slash_plz] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_SEMICOLON] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [851] = {
    [sym_heredoc_content] = STATE(851),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [852] = {
    [sym_heredoc_content] = STATE(852),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_RBRACE] = ACTIONS(1824),
    [anon_sym_COLON] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [853] = {
    [sym_heredoc_content] = STATE(853),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__no_search_slash_plz] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_SEMICOLON] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [854] = {
    [sym_heredoc_content] = STATE(854),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__no_search_slash_plz] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [855] = {
    [sym_heredoc_content] = STATE(855),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__no_search_slash_plz] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_SEMICOLON] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [856] = {
    [sym_heredoc_content] = STATE(856),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__no_search_slash_plz] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [857] = {
    [sym_heredoc_content] = STATE(857),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__no_search_slash_plz] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_SEMICOLON] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [858] = {
    [sym_heredoc_content] = STATE(858),
    [sym__identifier] = ACTIONS(1841),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_DOLLAR] = ACTIONS(1841),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1841),
    [anon_sym_my] = ACTIONS(1841),
    [anon_sym_extended] = ACTIONS(1841),
    [anon_sym_async] = ACTIONS(1841),
    [anon_sym_sub] = ACTIONS(1841),
    [anon_sym_method] = ACTIONS(1841),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_continue] = ACTIONS(1841),
    [anon_sym_state] = ACTIONS(1841),
    [anon_sym_our] = ACTIONS(1841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1841),
    [anon_sym_DASH_GT] = ACTIONS(1841),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1841),
    [anon_sym_PLUS_EQ] = ACTIONS(1841),
    [anon_sym_DASH_EQ] = ACTIONS(1841),
    [anon_sym_DOT_EQ] = ACTIONS(1841),
    [anon_sym_STAR_EQ] = ACTIONS(1841),
    [anon_sym_SLASH_EQ] = ACTIONS(1841),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1841),
    [anon_sym_AMP_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_EQ] = ACTIONS(1841),
    [anon_sym_CARET_EQ] = ACTIONS(1841),
    [anon_sym_LT_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_GT_EQ] = ACTIONS(1841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1841),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1841),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1841),
    [anon_sym_BANG_TILDE] = ACTIONS(1841),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1841),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1841),
    [anon_sym_equ] = ACTIONS(1841),
    [anon_sym_eqr] = ACTIONS(1841),
    [anon_sym_ne] = ACTIONS(1841),
    [anon_sym_LT_EQ_GT] = ACTIONS(1841),
    [anon_sym_cmp] = ACTIONS(1841),
    [anon_sym_TILDE_TILDE] = ACTIONS(1841),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1841),
    [anon_sym_lt] = ACTIONS(1841),
    [anon_sym_le] = ACTIONS(1841),
    [anon_sym_ge] = ACTIONS(1841),
    [anon_sym_gt] = ACTIONS(1841),
    [anon_sym_isa] = ACTIONS(1841),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [anon_sym_QMARK] = ACTIONS(1841),
    [anon_sym_BSLASH] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1841),
    [anon_sym_eval] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1841),
    [anon_sym_field] = ACTIONS(1841),
    [anon_sym_local] = ACTIONS(1841),
    [anon_sym_dynamically] = ACTIONS(1841),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1841),
    [anon_sym_require] = ACTIONS(1841),
    [anon_sym_map] = ACTIONS(1841),
    [anon_sym_grep] = ACTIONS(1841),
    [anon_sym_sort] = ACTIONS(1841),
    [anon_sym_goto] = ACTIONS(1841),
    [anon_sym_return] = ACTIONS(1841),
    [anon_sym_undef] = ACTIONS(1841),
    [anon_sym_PERCENT2] = ACTIONS(1841),
    [anon_sym_AMP2] = ACTIONS(1841),
    [anon_sym_STAR2] = ACTIONS(1841),
    [anon_sym_EQ_GT] = ACTIONS(1841),
    [anon_sym_last] = ACTIONS(1841),
    [anon_sym_next] = ACTIONS(1841),
    [anon_sym_redo] = ACTIONS(1841),
    [anon_sym___FILE__] = ACTIONS(1841),
    [anon_sym___LINE__] = ACTIONS(1841),
    [anon_sym___PACKAGE__] = ACTIONS(1841),
    [anon_sym___SUB__] = ACTIONS(1841),
    [anon_sym_break] = ACTIONS(1841),
    [anon_sym_fork] = ACTIONS(1841),
    [anon_sym_getppid] = ACTIONS(1841),
    [anon_sym_time] = ACTIONS(1841),
    [anon_sym_times] = ACTIONS(1841),
    [anon_sym_wait] = ACTIONS(1841),
    [anon_sym_wantarray] = ACTIONS(1841),
    [anon_sym_abs] = ACTIONS(1841),
    [anon_sym_alarm] = ACTIONS(1841),
    [anon_sym_chop] = ACTIONS(1841),
    [anon_sym_chdir] = ACTIONS(1841),
    [anon_sym_close] = ACTIONS(1841),
    [anon_sym_closedir] = ACTIONS(1841),
    [anon_sym_caller] = ACTIONS(1841),
    [anon_sym_chomp] = ACTIONS(1841),
    [anon_sym_chr] = ACTIONS(1841),
    [anon_sym_cos] = ACTIONS(1841),
    [anon_sym_chroot] = ACTIONS(1841),
    [anon_sym_defined] = ACTIONS(1841),
    [anon_sym_delete] = ACTIONS(1841),
    [anon_sym_dbmclose] = ACTIONS(1841),
    [anon_sym_exists] = ACTIONS(1841),
    [anon_sym_exit] = ACTIONS(1841),
    [anon_sym_eof] = ACTIONS(1841),
    [anon_sym_exp] = ACTIONS(1841),
    [anon_sym_each] = ACTIONS(1841),
    [anon_sym_fc] = ACTIONS(1841),
    [anon_sym_fileno] = ACTIONS(1841),
    [anon_sym_gmtime] = ACTIONS(1841),
    [anon_sym_getc] = ACTIONS(1841),
    [anon_sym_getpgrp] = ACTIONS(1841),
    [anon_sym_getprotobyname] = ACTIONS(1841),
    [anon_sym_getpwname] = ACTIONS(1841),
    [anon_sym_getpwuid] = ACTIONS(1841),
    [anon_sym_getpeername] = ACTIONS(1841),
    [anon_sym_getnetbyname] = ACTIONS(1841),
    [anon_sym_getsockname] = ACTIONS(1841),
    [anon_sym_getgrnam] = ACTIONS(1841),
    [anon_sym_getgrgid] = ACTIONS(1841),
    [anon_sym_hex] = ACTIONS(1841),
    [anon_sym_int] = ACTIONS(1841),
    [anon_sym_keys] = ACTIONS(1841),
    [anon_sym_lc] = ACTIONS(1841),
    [anon_sym_lcfirst] = ACTIONS(1841),
    [anon_sym_length] = ACTIONS(1841),
    [anon_sym_localtime] = ACTIONS(1841),
    [anon_sym_log] = ACTIONS(1841),
    [anon_sym_lock] = ACTIONS(1841),
    [anon_sym_lstat] = ACTIONS(1841),
    [anon_sym_oct] = ACTIONS(1841),
    [anon_sym_ord] = ACTIONS(1841),
    [anon_sym_prototype] = ACTIONS(1841),
    [anon_sym_pop] = ACTIONS(1841),
    [anon_sym_pos] = ACTIONS(1841),
    [anon_sym_quotemeta] = ACTIONS(1841),
    [anon_sym_reset] = ACTIONS(1841),
    [anon_sym_rand] = ACTIONS(1841),
    [anon_sym_rmdir] = ACTIONS(1841),
    [anon_sym_readdir] = ACTIONS(1841),
    [anon_sym_readline] = ACTIONS(1841),
    [anon_sym_readpipe] = ACTIONS(1841),
    [anon_sym_rewinddir] = ACTIONS(1841),
    [anon_sym_readlink] = ACTIONS(1841),
    [anon_sym_ref] = ACTIONS(1841),
    [anon_sym_scalar] = ACTIONS(1841),
    [anon_sym_shift] = ACTIONS(1841),
    [anon_sym_sin] = ACTIONS(1841),
    [anon_sym_sleep] = ACTIONS(1841),
    [anon_sym_sqrt] = ACTIONS(1841),
    [anon_sym_srand] = ACTIONS(1841),
    [anon_sym_stat] = ACTIONS(1841),
    [anon_sym_study] = ACTIONS(1841),
    [anon_sym_tell] = ACTIONS(1841),
    [anon_sym_telldir] = ACTIONS(1841),
    [anon_sym_tied] = ACTIONS(1841),
    [anon_sym_uc] = ACTIONS(1841),
    [anon_sym_ucfirst] = ACTIONS(1841),
    [anon_sym_untie] = ACTIONS(1841),
    [anon_sym_umask] = ACTIONS(1841),
    [anon_sym_values] = ACTIONS(1841),
    [anon_sym_write] = ACTIONS(1841),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1841),
    [anon_sym_qq] = ACTIONS(1841),
    [anon_sym_qw] = ACTIONS(1841),
    [anon_sym_qx] = ACTIONS(1841),
    [anon_sym_qr] = ACTIONS(1841),
    [anon_sym_m] = ACTIONS(1841),
    [anon_sym_s] = ACTIONS(1841),
    [anon_sym_tr] = ACTIONS(1841),
    [anon_sym_y] = ACTIONS(1841),
    [aux_sym__bareword_token1] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [anon_sym_true] = ACTIONS(1841),
    [anon_sym_false] = ACTIONS(1841),
    [sym__single_quote] = ACTIONS(1843),
    [sym__double_quote] = ACTIONS(1843),
    [sym__backtick_quote] = ACTIONS(1843),
    [sym__search_slash_quote] = ACTIONS(1843),
    [sym__open_readline_bracket] = ACTIONS(1843),
    [sym__open_fileglob_bracket] = ACTIONS(1843),
    [sym__PERLY_SEMICOLON] = ACTIONS(1843),
    [sym__PERLY_HEREDOC] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1843),
    [sym__filetest] = ACTIONS(1843),
  },
  [859] = {
    [sym_heredoc_content] = STATE(859),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_COLON] = ACTIONS(1939),
    [anon_sym_DOLLAR] = ACTIONS(1939),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_AT] = ACTIONS(1939),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_RPAREN] = ACTIONS(1939),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1939),
    [anon_sym_PLUS_EQ] = ACTIONS(1939),
    [anon_sym_DASH_EQ] = ACTIONS(1939),
    [anon_sym_DOT_EQ] = ACTIONS(1939),
    [anon_sym_STAR_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_PERCENT_EQ] = ACTIONS(1939),
    [anon_sym_x_EQ] = ACTIONS(1939),
    [anon_sym_AMP_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_CARET_EQ] = ACTIONS(1939),
    [anon_sym_LT_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1939),
    [anon_sym_STAR_STAR] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH] = ACTIONS(1939),
    [anon_sym_CARET_CARET] = ACTIONS(1939),
    [anon_sym_AMP_AMP] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_GT_GT2] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_x] = ACTIONS(1939),
    [anon_sym_EQ_TILDE] = ACTIONS(1939),
    [anon_sym_BANG_TILDE] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1939),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_eq] = ACTIONS(1939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1939),
    [anon_sym_equ] = ACTIONS(1939),
    [anon_sym_eqr] = ACTIONS(1939),
    [anon_sym_ne] = ACTIONS(1939),
    [anon_sym_LT_EQ_GT] = ACTIONS(1939),
    [anon_sym_cmp] = ACTIONS(1939),
    [anon_sym_TILDE_TILDE] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_lt] = ACTIONS(1939),
    [anon_sym_le] = ACTIONS(1939),
    [anon_sym_ge] = ACTIONS(1939),
    [anon_sym_gt] = ACTIONS(1939),
    [anon_sym_isa] = ACTIONS(1939),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1939),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1939),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1939),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [860] = {
    [sym_heredoc_content] = STATE(860),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1869),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1869),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1869),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [861] = {
    [sym_heredoc_content] = STATE(861),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [862] = {
    [sym_heredoc_content] = STATE(862),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1943),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1943),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_DASH_GT] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_LT_LT] = ACTIONS(1943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1943),
    [anon_sym_PLUS_EQ] = ACTIONS(1943),
    [anon_sym_DASH_EQ] = ACTIONS(1943),
    [anon_sym_DOT_EQ] = ACTIONS(1943),
    [anon_sym_STAR_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_PERCENT_EQ] = ACTIONS(1943),
    [anon_sym_x_EQ] = ACTIONS(1943),
    [anon_sym_AMP_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_CARET_EQ] = ACTIONS(1943),
    [anon_sym_LT_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1943),
    [anon_sym_DOT_DOT] = ACTIONS(1943),
    [anon_sym_STAR_STAR] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH] = ACTIONS(1943),
    [anon_sym_CARET_CARET] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1943),
    [anon_sym_PIPE] = ACTIONS(1943),
    [anon_sym_CARET] = ACTIONS(1943),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_GT_GT2] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_DOT] = ACTIONS(1943),
    [anon_sym_SLASH] = ACTIONS(1943),
    [anon_sym_x] = ACTIONS(1943),
    [anon_sym_EQ_TILDE] = ACTIONS(1943),
    [anon_sym_BANG_TILDE] = ACTIONS(1943),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_eq] = ACTIONS(1943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1943),
    [anon_sym_equ] = ACTIONS(1943),
    [anon_sym_eqr] = ACTIONS(1943),
    [anon_sym_ne] = ACTIONS(1943),
    [anon_sym_LT_EQ_GT] = ACTIONS(1943),
    [anon_sym_cmp] = ACTIONS(1943),
    [anon_sym_TILDE_TILDE] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_lt] = ACTIONS(1943),
    [anon_sym_le] = ACTIONS(1943),
    [anon_sym_ge] = ACTIONS(1943),
    [anon_sym_gt] = ACTIONS(1943),
    [anon_sym_isa] = ACTIONS(1943),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1943),
    [anon_sym_QMARK] = ACTIONS(1943),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1943),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1945),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [863] = {
    [sym_heredoc_content] = STATE(863),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_DOT_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_equ] = ACTIONS(1709),
    [anon_sym_eqr] = ACTIONS(1709),
    [anon_sym_ne] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_cmp] = ACTIONS(1709),
    [anon_sym_TILDE_TILDE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_lt] = ACTIONS(1709),
    [anon_sym_le] = ACTIONS(1709),
    [anon_sym_ge] = ACTIONS(1709),
    [anon_sym_gt] = ACTIONS(1709),
    [anon_sym_isa] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [864] = {
    [sym_heredoc_content] = STATE(864),
    [sym__identifier] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_DOLLAR] = ACTIONS(1861),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_COMMA] = ACTIONS(1861),
    [anon_sym_my] = ACTIONS(1861),
    [anon_sym_extended] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_sub] = ACTIONS(1861),
    [anon_sym_method] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_state] = ACTIONS(1861),
    [anon_sym_our] = ACTIONS(1861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1861),
    [anon_sym_DASH_GT] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1861),
    [anon_sym_PLUS_EQ] = ACTIONS(1861),
    [anon_sym_DASH_EQ] = ACTIONS(1861),
    [anon_sym_DOT_EQ] = ACTIONS(1861),
    [anon_sym_STAR_EQ] = ACTIONS(1861),
    [anon_sym_SLASH_EQ] = ACTIONS(1861),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1861),
    [anon_sym_AMP_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_EQ] = ACTIONS(1861),
    [anon_sym_CARET_EQ] = ACTIONS(1861),
    [anon_sym_LT_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_GT_EQ] = ACTIONS(1861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1861),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1861),
    [anon_sym_BANG_TILDE] = ACTIONS(1861),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1861),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1861),
    [anon_sym_equ] = ACTIONS(1861),
    [anon_sym_eqr] = ACTIONS(1861),
    [anon_sym_ne] = ACTIONS(1861),
    [anon_sym_LT_EQ_GT] = ACTIONS(1861),
    [anon_sym_cmp] = ACTIONS(1861),
    [anon_sym_TILDE_TILDE] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1861),
    [anon_sym_lt] = ACTIONS(1861),
    [anon_sym_le] = ACTIONS(1861),
    [anon_sym_ge] = ACTIONS(1861),
    [anon_sym_gt] = ACTIONS(1861),
    [anon_sym_isa] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_QMARK] = ACTIONS(1861),
    [anon_sym_BSLASH] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_eval] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_field] = ACTIONS(1861),
    [anon_sym_local] = ACTIONS(1861),
    [anon_sym_dynamically] = ACTIONS(1861),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1861),
    [anon_sym_require] = ACTIONS(1861),
    [anon_sym_map] = ACTIONS(1861),
    [anon_sym_grep] = ACTIONS(1861),
    [anon_sym_sort] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_undef] = ACTIONS(1861),
    [anon_sym_PERCENT2] = ACTIONS(1861),
    [anon_sym_AMP2] = ACTIONS(1861),
    [anon_sym_STAR2] = ACTIONS(1861),
    [anon_sym_EQ_GT] = ACTIONS(1861),
    [anon_sym_last] = ACTIONS(1861),
    [anon_sym_next] = ACTIONS(1861),
    [anon_sym_redo] = ACTIONS(1861),
    [anon_sym___FILE__] = ACTIONS(1861),
    [anon_sym___LINE__] = ACTIONS(1861),
    [anon_sym___PACKAGE__] = ACTIONS(1861),
    [anon_sym___SUB__] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_fork] = ACTIONS(1861),
    [anon_sym_getppid] = ACTIONS(1861),
    [anon_sym_time] = ACTIONS(1861),
    [anon_sym_times] = ACTIONS(1861),
    [anon_sym_wait] = ACTIONS(1861),
    [anon_sym_wantarray] = ACTIONS(1861),
    [anon_sym_abs] = ACTIONS(1861),
    [anon_sym_alarm] = ACTIONS(1861),
    [anon_sym_chop] = ACTIONS(1861),
    [anon_sym_chdir] = ACTIONS(1861),
    [anon_sym_close] = ACTIONS(1861),
    [anon_sym_closedir] = ACTIONS(1861),
    [anon_sym_caller] = ACTIONS(1861),
    [anon_sym_chomp] = ACTIONS(1861),
    [anon_sym_chr] = ACTIONS(1861),
    [anon_sym_cos] = ACTIONS(1861),
    [anon_sym_chroot] = ACTIONS(1861),
    [anon_sym_defined] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_dbmclose] = ACTIONS(1861),
    [anon_sym_exists] = ACTIONS(1861),
    [anon_sym_exit] = ACTIONS(1861),
    [anon_sym_eof] = ACTIONS(1861),
    [anon_sym_exp] = ACTIONS(1861),
    [anon_sym_each] = ACTIONS(1861),
    [anon_sym_fc] = ACTIONS(1861),
    [anon_sym_fileno] = ACTIONS(1861),
    [anon_sym_gmtime] = ACTIONS(1861),
    [anon_sym_getc] = ACTIONS(1861),
    [anon_sym_getpgrp] = ACTIONS(1861),
    [anon_sym_getprotobyname] = ACTIONS(1861),
    [anon_sym_getpwname] = ACTIONS(1861),
    [anon_sym_getpwuid] = ACTIONS(1861),
    [anon_sym_getpeername] = ACTIONS(1861),
    [anon_sym_getnetbyname] = ACTIONS(1861),
    [anon_sym_getsockname] = ACTIONS(1861),
    [anon_sym_getgrnam] = ACTIONS(1861),
    [anon_sym_getgrgid] = ACTIONS(1861),
    [anon_sym_hex] = ACTIONS(1861),
    [anon_sym_int] = ACTIONS(1861),
    [anon_sym_keys] = ACTIONS(1861),
    [anon_sym_lc] = ACTIONS(1861),
    [anon_sym_lcfirst] = ACTIONS(1861),
    [anon_sym_length] = ACTIONS(1861),
    [anon_sym_localtime] = ACTIONS(1861),
    [anon_sym_log] = ACTIONS(1861),
    [anon_sym_lock] = ACTIONS(1861),
    [anon_sym_lstat] = ACTIONS(1861),
    [anon_sym_oct] = ACTIONS(1861),
    [anon_sym_ord] = ACTIONS(1861),
    [anon_sym_prototype] = ACTIONS(1861),
    [anon_sym_pop] = ACTIONS(1861),
    [anon_sym_pos] = ACTIONS(1861),
    [anon_sym_quotemeta] = ACTIONS(1861),
    [anon_sym_reset] = ACTIONS(1861),
    [anon_sym_rand] = ACTIONS(1861),
    [anon_sym_rmdir] = ACTIONS(1861),
    [anon_sym_readdir] = ACTIONS(1861),
    [anon_sym_readline] = ACTIONS(1861),
    [anon_sym_readpipe] = ACTIONS(1861),
    [anon_sym_rewinddir] = ACTIONS(1861),
    [anon_sym_readlink] = ACTIONS(1861),
    [anon_sym_ref] = ACTIONS(1861),
    [anon_sym_scalar] = ACTIONS(1861),
    [anon_sym_shift] = ACTIONS(1861),
    [anon_sym_sin] = ACTIONS(1861),
    [anon_sym_sleep] = ACTIONS(1861),
    [anon_sym_sqrt] = ACTIONS(1861),
    [anon_sym_srand] = ACTIONS(1861),
    [anon_sym_stat] = ACTIONS(1861),
    [anon_sym_study] = ACTIONS(1861),
    [anon_sym_tell] = ACTIONS(1861),
    [anon_sym_telldir] = ACTIONS(1861),
    [anon_sym_tied] = ACTIONS(1861),
    [anon_sym_uc] = ACTIONS(1861),
    [anon_sym_ucfirst] = ACTIONS(1861),
    [anon_sym_untie] = ACTIONS(1861),
    [anon_sym_umask] = ACTIONS(1861),
    [anon_sym_values] = ACTIONS(1861),
    [anon_sym_write] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1861),
    [anon_sym_qq] = ACTIONS(1861),
    [anon_sym_qw] = ACTIONS(1861),
    [anon_sym_qx] = ACTIONS(1861),
    [anon_sym_qr] = ACTIONS(1861),
    [anon_sym_m] = ACTIONS(1861),
    [anon_sym_s] = ACTIONS(1861),
    [anon_sym_tr] = ACTIONS(1861),
    [anon_sym_y] = ACTIONS(1861),
    [aux_sym__bareword_token1] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [anon_sym_true] = ACTIONS(1861),
    [anon_sym_false] = ACTIONS(1861),
    [sym__single_quote] = ACTIONS(1863),
    [sym__double_quote] = ACTIONS(1863),
    [sym__backtick_quote] = ACTIONS(1863),
    [sym__search_slash_quote] = ACTIONS(1863),
    [sym__open_readline_bracket] = ACTIONS(1863),
    [sym__open_fileglob_bracket] = ACTIONS(1863),
    [sym__PERLY_SEMICOLON] = ACTIONS(1863),
    [sym__PERLY_HEREDOC] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1863),
    [sym__filetest] = ACTIONS(1863),
  },
  [865] = {
    [sym_heredoc_content] = STATE(865),
    [sym__identifier] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym_DOLLAR] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_AT] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym_my] = ACTIONS(1824),
    [anon_sym_extended] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_sub] = ACTIONS(1824),
    [anon_sym_method] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_state] = ACTIONS(1824),
    [anon_sym_our] = ACTIONS(1824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1824),
    [anon_sym_DASH_GT] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1824),
    [anon_sym_PLUS_EQ] = ACTIONS(1824),
    [anon_sym_DASH_EQ] = ACTIONS(1824),
    [anon_sym_DOT_EQ] = ACTIONS(1824),
    [anon_sym_STAR_EQ] = ACTIONS(1824),
    [anon_sym_SLASH_EQ] = ACTIONS(1824),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1824),
    [anon_sym_AMP_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_EQ] = ACTIONS(1824),
    [anon_sym_CARET_EQ] = ACTIONS(1824),
    [anon_sym_LT_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_GT_EQ] = ACTIONS(1824),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1824),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1824),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1824),
    [anon_sym_BANG_TILDE] = ACTIONS(1824),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1824),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1824),
    [anon_sym_equ] = ACTIONS(1824),
    [anon_sym_eqr] = ACTIONS(1824),
    [anon_sym_ne] = ACTIONS(1824),
    [anon_sym_LT_EQ_GT] = ACTIONS(1824),
    [anon_sym_cmp] = ACTIONS(1824),
    [anon_sym_TILDE_TILDE] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_lt] = ACTIONS(1824),
    [anon_sym_le] = ACTIONS(1824),
    [anon_sym_ge] = ACTIONS(1824),
    [anon_sym_gt] = ACTIONS(1824),
    [anon_sym_isa] = ACTIONS(1824),
    [anon_sym_TILDE] = ACTIONS(1824),
    [anon_sym_BANG] = ACTIONS(1824),
    [anon_sym_PLUS_PLUS] = ACTIONS(1824),
    [anon_sym_DASH_DASH] = ACTIONS(1824),
    [anon_sym_QMARK] = ACTIONS(1824),
    [anon_sym_BSLASH] = ACTIONS(1826),
    [anon_sym_do] = ACTIONS(1824),
    [anon_sym_eval] = ACTIONS(1824),
    [anon_sym_await] = ACTIONS(1824),
    [anon_sym_field] = ACTIONS(1824),
    [anon_sym_local] = ACTIONS(1824),
    [anon_sym_dynamically] = ACTIONS(1824),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1824),
    [anon_sym_require] = ACTIONS(1824),
    [anon_sym_map] = ACTIONS(1824),
    [anon_sym_grep] = ACTIONS(1824),
    [anon_sym_sort] = ACTIONS(1824),
    [anon_sym_goto] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_undef] = ACTIONS(1824),
    [anon_sym_PERCENT2] = ACTIONS(1824),
    [anon_sym_AMP2] = ACTIONS(1824),
    [anon_sym_STAR2] = ACTIONS(1824),
    [anon_sym_EQ_GT] = ACTIONS(1824),
    [anon_sym_last] = ACTIONS(1824),
    [anon_sym_next] = ACTIONS(1824),
    [anon_sym_redo] = ACTIONS(1824),
    [anon_sym___FILE__] = ACTIONS(1824),
    [anon_sym___LINE__] = ACTIONS(1824),
    [anon_sym___PACKAGE__] = ACTIONS(1824),
    [anon_sym___SUB__] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_fork] = ACTIONS(1824),
    [anon_sym_getppid] = ACTIONS(1824),
    [anon_sym_time] = ACTIONS(1824),
    [anon_sym_times] = ACTIONS(1824),
    [anon_sym_wait] = ACTIONS(1824),
    [anon_sym_wantarray] = ACTIONS(1824),
    [anon_sym_abs] = ACTIONS(1824),
    [anon_sym_alarm] = ACTIONS(1824),
    [anon_sym_chop] = ACTIONS(1824),
    [anon_sym_chdir] = ACTIONS(1824),
    [anon_sym_close] = ACTIONS(1824),
    [anon_sym_closedir] = ACTIONS(1824),
    [anon_sym_caller] = ACTIONS(1824),
    [anon_sym_chomp] = ACTIONS(1824),
    [anon_sym_chr] = ACTIONS(1824),
    [anon_sym_cos] = ACTIONS(1824),
    [anon_sym_chroot] = ACTIONS(1824),
    [anon_sym_defined] = ACTIONS(1824),
    [anon_sym_delete] = ACTIONS(1824),
    [anon_sym_dbmclose] = ACTIONS(1824),
    [anon_sym_exists] = ACTIONS(1824),
    [anon_sym_exit] = ACTIONS(1824),
    [anon_sym_eof] = ACTIONS(1824),
    [anon_sym_exp] = ACTIONS(1824),
    [anon_sym_each] = ACTIONS(1824),
    [anon_sym_fc] = ACTIONS(1824),
    [anon_sym_fileno] = ACTIONS(1824),
    [anon_sym_gmtime] = ACTIONS(1824),
    [anon_sym_getc] = ACTIONS(1824),
    [anon_sym_getpgrp] = ACTIONS(1824),
    [anon_sym_getprotobyname] = ACTIONS(1824),
    [anon_sym_getpwname] = ACTIONS(1824),
    [anon_sym_getpwuid] = ACTIONS(1824),
    [anon_sym_getpeername] = ACTIONS(1824),
    [anon_sym_getnetbyname] = ACTIONS(1824),
    [anon_sym_getsockname] = ACTIONS(1824),
    [anon_sym_getgrnam] = ACTIONS(1824),
    [anon_sym_getgrgid] = ACTIONS(1824),
    [anon_sym_hex] = ACTIONS(1824),
    [anon_sym_int] = ACTIONS(1824),
    [anon_sym_keys] = ACTIONS(1824),
    [anon_sym_lc] = ACTIONS(1824),
    [anon_sym_lcfirst] = ACTIONS(1824),
    [anon_sym_length] = ACTIONS(1824),
    [anon_sym_localtime] = ACTIONS(1824),
    [anon_sym_log] = ACTIONS(1824),
    [anon_sym_lock] = ACTIONS(1824),
    [anon_sym_lstat] = ACTIONS(1824),
    [anon_sym_oct] = ACTIONS(1824),
    [anon_sym_ord] = ACTIONS(1824),
    [anon_sym_prototype] = ACTIONS(1824),
    [anon_sym_pop] = ACTIONS(1824),
    [anon_sym_pos] = ACTIONS(1824),
    [anon_sym_quotemeta] = ACTIONS(1824),
    [anon_sym_reset] = ACTIONS(1824),
    [anon_sym_rand] = ACTIONS(1824),
    [anon_sym_rmdir] = ACTIONS(1824),
    [anon_sym_readdir] = ACTIONS(1824),
    [anon_sym_readline] = ACTIONS(1824),
    [anon_sym_readpipe] = ACTIONS(1824),
    [anon_sym_rewinddir] = ACTIONS(1824),
    [anon_sym_readlink] = ACTIONS(1824),
    [anon_sym_ref] = ACTIONS(1824),
    [anon_sym_scalar] = ACTIONS(1824),
    [anon_sym_shift] = ACTIONS(1824),
    [anon_sym_sin] = ACTIONS(1824),
    [anon_sym_sleep] = ACTIONS(1824),
    [anon_sym_sqrt] = ACTIONS(1824),
    [anon_sym_srand] = ACTIONS(1824),
    [anon_sym_stat] = ACTIONS(1824),
    [anon_sym_study] = ACTIONS(1824),
    [anon_sym_tell] = ACTIONS(1824),
    [anon_sym_telldir] = ACTIONS(1824),
    [anon_sym_tied] = ACTIONS(1824),
    [anon_sym_uc] = ACTIONS(1824),
    [anon_sym_ucfirst] = ACTIONS(1824),
    [anon_sym_untie] = ACTIONS(1824),
    [anon_sym_umask] = ACTIONS(1824),
    [anon_sym_values] = ACTIONS(1824),
    [anon_sym_write] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1824),
    [anon_sym_qq] = ACTIONS(1824),
    [anon_sym_qw] = ACTIONS(1824),
    [anon_sym_qx] = ACTIONS(1824),
    [anon_sym_qr] = ACTIONS(1824),
    [anon_sym_m] = ACTIONS(1824),
    [anon_sym_s] = ACTIONS(1824),
    [anon_sym_tr] = ACTIONS(1824),
    [anon_sym_y] = ACTIONS(1824),
    [aux_sym__bareword_token1] = ACTIONS(1824),
    [sym_number] = ACTIONS(1824),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [sym__single_quote] = ACTIONS(1826),
    [sym__double_quote] = ACTIONS(1826),
    [sym__backtick_quote] = ACTIONS(1826),
    [sym__search_slash_quote] = ACTIONS(1826),
    [sym__open_readline_bracket] = ACTIONS(1826),
    [sym__open_fileglob_bracket] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__PERLY_HEREDOC] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1826),
    [sym__filetest] = ACTIONS(1826),
  },
  [866] = {
    [sym_heredoc_content] = STATE(866),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [867] = {
    [sym_heredoc_content] = STATE(867),
    [sym__identifier] = ACTIONS(1853),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_DOLLAR] = ACTIONS(1853),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_my] = ACTIONS(1853),
    [anon_sym_extended] = ACTIONS(1853),
    [anon_sym_async] = ACTIONS(1853),
    [anon_sym_sub] = ACTIONS(1853),
    [anon_sym_method] = ACTIONS(1853),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1853),
    [anon_sym_state] = ACTIONS(1853),
    [anon_sym_our] = ACTIONS(1853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1853),
    [anon_sym_DASH_GT] = ACTIONS(1853),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1853),
    [anon_sym_PLUS_EQ] = ACTIONS(1853),
    [anon_sym_DASH_EQ] = ACTIONS(1853),
    [anon_sym_DOT_EQ] = ACTIONS(1853),
    [anon_sym_STAR_EQ] = ACTIONS(1853),
    [anon_sym_SLASH_EQ] = ACTIONS(1853),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1853),
    [anon_sym_AMP_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_EQ] = ACTIONS(1853),
    [anon_sym_CARET_EQ] = ACTIONS(1853),
    [anon_sym_LT_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_GT_EQ] = ACTIONS(1853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1853),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1853),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1853),
    [anon_sym_BANG_TILDE] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1853),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_equ] = ACTIONS(1853),
    [anon_sym_eqr] = ACTIONS(1853),
    [anon_sym_ne] = ACTIONS(1853),
    [anon_sym_LT_EQ_GT] = ACTIONS(1853),
    [anon_sym_cmp] = ACTIONS(1853),
    [anon_sym_TILDE_TILDE] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_lt] = ACTIONS(1853),
    [anon_sym_le] = ACTIONS(1853),
    [anon_sym_ge] = ACTIONS(1853),
    [anon_sym_gt] = ACTIONS(1853),
    [anon_sym_isa] = ACTIONS(1853),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [anon_sym_QMARK] = ACTIONS(1853),
    [anon_sym_BSLASH] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1853),
    [anon_sym_eval] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1853),
    [anon_sym_field] = ACTIONS(1853),
    [anon_sym_local] = ACTIONS(1853),
    [anon_sym_dynamically] = ACTIONS(1853),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1853),
    [anon_sym_require] = ACTIONS(1853),
    [anon_sym_map] = ACTIONS(1853),
    [anon_sym_grep] = ACTIONS(1853),
    [anon_sym_sort] = ACTIONS(1853),
    [anon_sym_goto] = ACTIONS(1853),
    [anon_sym_return] = ACTIONS(1853),
    [anon_sym_undef] = ACTIONS(1853),
    [anon_sym_PERCENT2] = ACTIONS(1853),
    [anon_sym_AMP2] = ACTIONS(1853),
    [anon_sym_STAR2] = ACTIONS(1853),
    [anon_sym_EQ_GT] = ACTIONS(1853),
    [anon_sym_last] = ACTIONS(1853),
    [anon_sym_next] = ACTIONS(1853),
    [anon_sym_redo] = ACTIONS(1853),
    [anon_sym___FILE__] = ACTIONS(1853),
    [anon_sym___LINE__] = ACTIONS(1853),
    [anon_sym___PACKAGE__] = ACTIONS(1853),
    [anon_sym___SUB__] = ACTIONS(1853),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_fork] = ACTIONS(1853),
    [anon_sym_getppid] = ACTIONS(1853),
    [anon_sym_time] = ACTIONS(1853),
    [anon_sym_times] = ACTIONS(1853),
    [anon_sym_wait] = ACTIONS(1853),
    [anon_sym_wantarray] = ACTIONS(1853),
    [anon_sym_abs] = ACTIONS(1853),
    [anon_sym_alarm] = ACTIONS(1853),
    [anon_sym_chop] = ACTIONS(1853),
    [anon_sym_chdir] = ACTIONS(1853),
    [anon_sym_close] = ACTIONS(1853),
    [anon_sym_closedir] = ACTIONS(1853),
    [anon_sym_caller] = ACTIONS(1853),
    [anon_sym_chomp] = ACTIONS(1853),
    [anon_sym_chr] = ACTIONS(1853),
    [anon_sym_cos] = ACTIONS(1853),
    [anon_sym_chroot] = ACTIONS(1853),
    [anon_sym_defined] = ACTIONS(1853),
    [anon_sym_delete] = ACTIONS(1853),
    [anon_sym_dbmclose] = ACTIONS(1853),
    [anon_sym_exists] = ACTIONS(1853),
    [anon_sym_exit] = ACTIONS(1853),
    [anon_sym_eof] = ACTIONS(1853),
    [anon_sym_exp] = ACTIONS(1853),
    [anon_sym_each] = ACTIONS(1853),
    [anon_sym_fc] = ACTIONS(1853),
    [anon_sym_fileno] = ACTIONS(1853),
    [anon_sym_gmtime] = ACTIONS(1853),
    [anon_sym_getc] = ACTIONS(1853),
    [anon_sym_getpgrp] = ACTIONS(1853),
    [anon_sym_getprotobyname] = ACTIONS(1853),
    [anon_sym_getpwname] = ACTIONS(1853),
    [anon_sym_getpwuid] = ACTIONS(1853),
    [anon_sym_getpeername] = ACTIONS(1853),
    [anon_sym_getnetbyname] = ACTIONS(1853),
    [anon_sym_getsockname] = ACTIONS(1853),
    [anon_sym_getgrnam] = ACTIONS(1853),
    [anon_sym_getgrgid] = ACTIONS(1853),
    [anon_sym_hex] = ACTIONS(1853),
    [anon_sym_int] = ACTIONS(1853),
    [anon_sym_keys] = ACTIONS(1853),
    [anon_sym_lc] = ACTIONS(1853),
    [anon_sym_lcfirst] = ACTIONS(1853),
    [anon_sym_length] = ACTIONS(1853),
    [anon_sym_localtime] = ACTIONS(1853),
    [anon_sym_log] = ACTIONS(1853),
    [anon_sym_lock] = ACTIONS(1853),
    [anon_sym_lstat] = ACTIONS(1853),
    [anon_sym_oct] = ACTIONS(1853),
    [anon_sym_ord] = ACTIONS(1853),
    [anon_sym_prototype] = ACTIONS(1853),
    [anon_sym_pop] = ACTIONS(1853),
    [anon_sym_pos] = ACTIONS(1853),
    [anon_sym_quotemeta] = ACTIONS(1853),
    [anon_sym_reset] = ACTIONS(1853),
    [anon_sym_rand] = ACTIONS(1853),
    [anon_sym_rmdir] = ACTIONS(1853),
    [anon_sym_readdir] = ACTIONS(1853),
    [anon_sym_readline] = ACTIONS(1853),
    [anon_sym_readpipe] = ACTIONS(1853),
    [anon_sym_rewinddir] = ACTIONS(1853),
    [anon_sym_readlink] = ACTIONS(1853),
    [anon_sym_ref] = ACTIONS(1853),
    [anon_sym_scalar] = ACTIONS(1853),
    [anon_sym_shift] = ACTIONS(1853),
    [anon_sym_sin] = ACTIONS(1853),
    [anon_sym_sleep] = ACTIONS(1853),
    [anon_sym_sqrt] = ACTIONS(1853),
    [anon_sym_srand] = ACTIONS(1853),
    [anon_sym_stat] = ACTIONS(1853),
    [anon_sym_study] = ACTIONS(1853),
    [anon_sym_tell] = ACTIONS(1853),
    [anon_sym_telldir] = ACTIONS(1853),
    [anon_sym_tied] = ACTIONS(1853),
    [anon_sym_uc] = ACTIONS(1853),
    [anon_sym_ucfirst] = ACTIONS(1853),
    [anon_sym_untie] = ACTIONS(1853),
    [anon_sym_umask] = ACTIONS(1853),
    [anon_sym_values] = ACTIONS(1853),
    [anon_sym_write] = ACTIONS(1853),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1853),
    [anon_sym_qq] = ACTIONS(1853),
    [anon_sym_qw] = ACTIONS(1853),
    [anon_sym_qx] = ACTIONS(1853),
    [anon_sym_qr] = ACTIONS(1853),
    [anon_sym_m] = ACTIONS(1853),
    [anon_sym_s] = ACTIONS(1853),
    [anon_sym_tr] = ACTIONS(1853),
    [anon_sym_y] = ACTIONS(1853),
    [aux_sym__bareword_token1] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [anon_sym_true] = ACTIONS(1853),
    [anon_sym_false] = ACTIONS(1853),
    [sym__single_quote] = ACTIONS(1855),
    [sym__double_quote] = ACTIONS(1855),
    [sym__backtick_quote] = ACTIONS(1855),
    [sym__search_slash_quote] = ACTIONS(1855),
    [sym__open_readline_bracket] = ACTIONS(1855),
    [sym__open_fileglob_bracket] = ACTIONS(1855),
    [sym__PERLY_SEMICOLON] = ACTIONS(1855),
    [sym__PERLY_HEREDOC] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1855),
    [sym__filetest] = ACTIONS(1855),
  },
  [868] = {
    [sym_heredoc_content] = STATE(868),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1943),
    [anon_sym_DOLLAR] = ACTIONS(1943),
    [anon_sym_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_AT] = ACTIONS(1943),
    [anon_sym_COMMA] = ACTIONS(1943),
    [anon_sym_RPAREN] = ACTIONS(1943),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_DASH_GT] = ACTIONS(1943),
    [anon_sym_STAR] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1943),
    [anon_sym_GT] = ACTIONS(1943),
    [anon_sym_LT_LT] = ACTIONS(1943),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1943),
    [anon_sym_PLUS_EQ] = ACTIONS(1943),
    [anon_sym_DASH_EQ] = ACTIONS(1943),
    [anon_sym_DOT_EQ] = ACTIONS(1943),
    [anon_sym_STAR_EQ] = ACTIONS(1943),
    [anon_sym_SLASH_EQ] = ACTIONS(1943),
    [anon_sym_PERCENT_EQ] = ACTIONS(1943),
    [anon_sym_x_EQ] = ACTIONS(1943),
    [anon_sym_AMP_EQ] = ACTIONS(1943),
    [anon_sym_PIPE_EQ] = ACTIONS(1943),
    [anon_sym_CARET_EQ] = ACTIONS(1943),
    [anon_sym_LT_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_GT_EQ] = ACTIONS(1943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1943),
    [anon_sym_DOT_DOT] = ACTIONS(1943),
    [anon_sym_STAR_STAR] = ACTIONS(1943),
    [anon_sym_PIPE_PIPE] = ACTIONS(1943),
    [anon_sym_SLASH_SLASH] = ACTIONS(1943),
    [anon_sym_CARET_CARET] = ACTIONS(1943),
    [anon_sym_AMP_AMP] = ACTIONS(1943),
    [anon_sym_PIPE] = ACTIONS(1943),
    [anon_sym_CARET] = ACTIONS(1943),
    [anon_sym_AMP] = ACTIONS(1943),
    [anon_sym_GT_GT2] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(1943),
    [anon_sym_DASH] = ACTIONS(1943),
    [anon_sym_DOT] = ACTIONS(1943),
    [anon_sym_SLASH] = ACTIONS(1943),
    [anon_sym_x] = ACTIONS(1943),
    [anon_sym_EQ_TILDE] = ACTIONS(1943),
    [anon_sym_BANG_TILDE] = ACTIONS(1943),
    [anon_sym_EQ_EQ] = ACTIONS(1943),
    [anon_sym_BANG_EQ] = ACTIONS(1943),
    [anon_sym_eq] = ACTIONS(1943),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1943),
    [anon_sym_equ] = ACTIONS(1943),
    [anon_sym_eqr] = ACTIONS(1943),
    [anon_sym_ne] = ACTIONS(1943),
    [anon_sym_LT_EQ_GT] = ACTIONS(1943),
    [anon_sym_cmp] = ACTIONS(1943),
    [anon_sym_TILDE_TILDE] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_LT_EQ] = ACTIONS(1943),
    [anon_sym_GT_EQ] = ACTIONS(1943),
    [anon_sym_lt] = ACTIONS(1943),
    [anon_sym_le] = ACTIONS(1943),
    [anon_sym_ge] = ACTIONS(1943),
    [anon_sym_gt] = ACTIONS(1943),
    [anon_sym_isa] = ACTIONS(1943),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1943),
    [anon_sym_QMARK] = ACTIONS(1943),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1943),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1943),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [869] = {
    [sym_heredoc_content] = STATE(869),
    [sym__identifier] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1969),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1971),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(1971),
    [anon_sym_my] = ACTIONS(1969),
    [anon_sym_extended] = ACTIONS(1969),
    [anon_sym_async] = ACTIONS(1969),
    [anon_sym_sub] = ACTIONS(1969),
    [anon_sym_method] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_state] = ACTIONS(1969),
    [anon_sym_our] = ACTIONS(1969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1971),
    [anon_sym_DASH_GT] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1971),
    [anon_sym_PLUS_EQ] = ACTIONS(1971),
    [anon_sym_DASH_EQ] = ACTIONS(1971),
    [anon_sym_DOT_EQ] = ACTIONS(1971),
    [anon_sym_STAR_EQ] = ACTIONS(1971),
    [anon_sym_SLASH_EQ] = ACTIONS(1971),
    [anon_sym_PERCENT_EQ] = ACTIONS(1971),
    [anon_sym_x_EQ] = ACTIONS(1971),
    [anon_sym_AMP_EQ] = ACTIONS(1971),
    [anon_sym_PIPE_EQ] = ACTIONS(1971),
    [anon_sym_CARET_EQ] = ACTIONS(1971),
    [anon_sym_LT_LT_EQ] = ACTIONS(1971),
    [anon_sym_GT_GT_EQ] = ACTIONS(1971),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1971),
    [anon_sym_DOT_DOT] = ACTIONS(1971),
    [anon_sym_STAR_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1971),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_GT_GT2] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_x] = ACTIONS(1971),
    [anon_sym_EQ_TILDE] = ACTIONS(1971),
    [anon_sym_BANG_TILDE] = ACTIONS(1971),
    [anon_sym_EQ_EQ] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(1971),
    [anon_sym_eq] = ACTIONS(1971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1971),
    [anon_sym_equ] = ACTIONS(1971),
    [anon_sym_eqr] = ACTIONS(1971),
    [anon_sym_ne] = ACTIONS(1971),
    [anon_sym_LT_EQ_GT] = ACTIONS(1971),
    [anon_sym_cmp] = ACTIONS(1971),
    [anon_sym_TILDE_TILDE] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(1971),
    [anon_sym_lt] = ACTIONS(1971),
    [anon_sym_le] = ACTIONS(1971),
    [anon_sym_ge] = ACTIONS(1971),
    [anon_sym_gt] = ACTIONS(1971),
    [anon_sym_isa] = ACTIONS(1971),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1969),
    [anon_sym_QMARK] = ACTIONS(1971),
    [anon_sym_BSLASH] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_eval] = ACTIONS(1969),
    [anon_sym_await] = ACTIONS(1969),
    [anon_sym_field] = ACTIONS(1969),
    [anon_sym_local] = ACTIONS(1969),
    [anon_sym_dynamically] = ACTIONS(1969),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1969),
    [anon_sym_require] = ACTIONS(1969),
    [anon_sym_map] = ACTIONS(1969),
    [anon_sym_grep] = ACTIONS(1969),
    [anon_sym_sort] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_undef] = ACTIONS(1969),
    [anon_sym_PERCENT2] = ACTIONS(1969),
    [anon_sym_AMP2] = ACTIONS(1969),
    [anon_sym_STAR2] = ACTIONS(1969),
    [anon_sym_EQ_GT] = ACTIONS(1971),
    [anon_sym_last] = ACTIONS(1969),
    [anon_sym_next] = ACTIONS(1969),
    [anon_sym_redo] = ACTIONS(1969),
    [anon_sym___FILE__] = ACTIONS(1969),
    [anon_sym___LINE__] = ACTIONS(1969),
    [anon_sym___PACKAGE__] = ACTIONS(1969),
    [anon_sym___SUB__] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_fork] = ACTIONS(1969),
    [anon_sym_getppid] = ACTIONS(1969),
    [anon_sym_time] = ACTIONS(1969),
    [anon_sym_times] = ACTIONS(1969),
    [anon_sym_wait] = ACTIONS(1969),
    [anon_sym_wantarray] = ACTIONS(1969),
    [anon_sym_abs] = ACTIONS(1969),
    [anon_sym_alarm] = ACTIONS(1969),
    [anon_sym_chop] = ACTIONS(1969),
    [anon_sym_chdir] = ACTIONS(1969),
    [anon_sym_close] = ACTIONS(1969),
    [anon_sym_closedir] = ACTIONS(1969),
    [anon_sym_caller] = ACTIONS(1969),
    [anon_sym_chomp] = ACTIONS(1969),
    [anon_sym_chr] = ACTIONS(1969),
    [anon_sym_cos] = ACTIONS(1969),
    [anon_sym_chroot] = ACTIONS(1969),
    [anon_sym_defined] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_dbmclose] = ACTIONS(1969),
    [anon_sym_exists] = ACTIONS(1969),
    [anon_sym_exit] = ACTIONS(1969),
    [anon_sym_eof] = ACTIONS(1969),
    [anon_sym_exp] = ACTIONS(1969),
    [anon_sym_each] = ACTIONS(1969),
    [anon_sym_fc] = ACTIONS(1969),
    [anon_sym_fileno] = ACTIONS(1969),
    [anon_sym_gmtime] = ACTIONS(1969),
    [anon_sym_getc] = ACTIONS(1969),
    [anon_sym_getpgrp] = ACTIONS(1969),
    [anon_sym_getprotobyname] = ACTIONS(1969),
    [anon_sym_getpwname] = ACTIONS(1969),
    [anon_sym_getpwuid] = ACTIONS(1969),
    [anon_sym_getpeername] = ACTIONS(1969),
    [anon_sym_getnetbyname] = ACTIONS(1969),
    [anon_sym_getsockname] = ACTIONS(1969),
    [anon_sym_getgrnam] = ACTIONS(1969),
    [anon_sym_getgrgid] = ACTIONS(1969),
    [anon_sym_hex] = ACTIONS(1969),
    [anon_sym_int] = ACTIONS(1969),
    [anon_sym_keys] = ACTIONS(1969),
    [anon_sym_lc] = ACTIONS(1969),
    [anon_sym_lcfirst] = ACTIONS(1969),
    [anon_sym_length] = ACTIONS(1969),
    [anon_sym_localtime] = ACTIONS(1969),
    [anon_sym_log] = ACTIONS(1969),
    [anon_sym_lock] = ACTIONS(1969),
    [anon_sym_lstat] = ACTIONS(1969),
    [anon_sym_oct] = ACTIONS(1969),
    [anon_sym_ord] = ACTIONS(1969),
    [anon_sym_prototype] = ACTIONS(1969),
    [anon_sym_pop] = ACTIONS(1969),
    [anon_sym_pos] = ACTIONS(1969),
    [anon_sym_quotemeta] = ACTIONS(1969),
    [anon_sym_reset] = ACTIONS(1969),
    [anon_sym_rand] = ACTIONS(1969),
    [anon_sym_rmdir] = ACTIONS(1969),
    [anon_sym_readdir] = ACTIONS(1969),
    [anon_sym_readline] = ACTIONS(1969),
    [anon_sym_readpipe] = ACTIONS(1969),
    [anon_sym_rewinddir] = ACTIONS(1969),
    [anon_sym_readlink] = ACTIONS(1969),
    [anon_sym_ref] = ACTIONS(1969),
    [anon_sym_scalar] = ACTIONS(1969),
    [anon_sym_shift] = ACTIONS(1969),
    [anon_sym_sin] = ACTIONS(1969),
    [anon_sym_sleep] = ACTIONS(1969),
    [anon_sym_sqrt] = ACTIONS(1969),
    [anon_sym_srand] = ACTIONS(1969),
    [anon_sym_stat] = ACTIONS(1969),
    [anon_sym_study] = ACTIONS(1969),
    [anon_sym_tell] = ACTIONS(1969),
    [anon_sym_telldir] = ACTIONS(1969),
    [anon_sym_tied] = ACTIONS(1969),
    [anon_sym_uc] = ACTIONS(1969),
    [anon_sym_ucfirst] = ACTIONS(1969),
    [anon_sym_untie] = ACTIONS(1969),
    [anon_sym_umask] = ACTIONS(1969),
    [anon_sym_values] = ACTIONS(1969),
    [anon_sym_write] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1969),
    [anon_sym_qq] = ACTIONS(1969),
    [anon_sym_qw] = ACTIONS(1969),
    [anon_sym_qx] = ACTIONS(1969),
    [anon_sym_qr] = ACTIONS(1969),
    [anon_sym_m] = ACTIONS(1969),
    [anon_sym_s] = ACTIONS(1969),
    [anon_sym_tr] = ACTIONS(1969),
    [anon_sym_y] = ACTIONS(1969),
    [aux_sym__bareword_token1] = ACTIONS(1969),
    [sym_number] = ACTIONS(1969),
    [anon_sym_true] = ACTIONS(1969),
    [anon_sym_false] = ACTIONS(1969),
    [sym__single_quote] = ACTIONS(1973),
    [sym__double_quote] = ACTIONS(1973),
    [sym__backtick_quote] = ACTIONS(1973),
    [sym__search_slash_quote] = ACTIONS(1973),
    [sym__open_readline_bracket] = ACTIONS(1973),
    [sym__open_fileglob_bracket] = ACTIONS(1973),
    [sym__PERLY_SEMICOLON] = ACTIONS(1973),
    [sym__PERLY_HEREDOC] = ACTIONS(1973),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1973),
    [sym__filetest] = ACTIONS(1973),
  },
  [870] = {
    [sym_heredoc_content] = STATE(870),
    [sym__identifier] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [anon_sym_DOLLAR] = ACTIONS(1849),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_AT] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [anon_sym_my] = ACTIONS(1849),
    [anon_sym_extended] = ACTIONS(1849),
    [anon_sym_async] = ACTIONS(1849),
    [anon_sym_sub] = ACTIONS(1849),
    [anon_sym_method] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1849),
    [anon_sym_continue] = ACTIONS(1849),
    [anon_sym_state] = ACTIONS(1849),
    [anon_sym_our] = ACTIONS(1849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1849),
    [anon_sym_DASH_GT] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1849),
    [anon_sym_PLUS_EQ] = ACTIONS(1849),
    [anon_sym_DASH_EQ] = ACTIONS(1849),
    [anon_sym_DOT_EQ] = ACTIONS(1849),
    [anon_sym_STAR_EQ] = ACTIONS(1849),
    [anon_sym_SLASH_EQ] = ACTIONS(1849),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1849),
    [anon_sym_AMP_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_EQ] = ACTIONS(1849),
    [anon_sym_CARET_EQ] = ACTIONS(1849),
    [anon_sym_LT_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_GT_EQ] = ACTIONS(1849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1849),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1849),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1849),
    [anon_sym_BANG_TILDE] = ACTIONS(1849),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1849),
    [anon_sym_equ] = ACTIONS(1849),
    [anon_sym_eqr] = ACTIONS(1849),
    [anon_sym_ne] = ACTIONS(1849),
    [anon_sym_LT_EQ_GT] = ACTIONS(1849),
    [anon_sym_cmp] = ACTIONS(1849),
    [anon_sym_TILDE_TILDE] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_lt] = ACTIONS(1849),
    [anon_sym_le] = ACTIONS(1849),
    [anon_sym_ge] = ACTIONS(1849),
    [anon_sym_gt] = ACTIONS(1849),
    [anon_sym_isa] = ACTIONS(1849),
    [anon_sym_TILDE] = ACTIONS(1849),
    [anon_sym_BANG] = ACTIONS(1849),
    [anon_sym_PLUS_PLUS] = ACTIONS(1849),
    [anon_sym_DASH_DASH] = ACTIONS(1849),
    [anon_sym_QMARK] = ACTIONS(1849),
    [anon_sym_BSLASH] = ACTIONS(1851),
    [anon_sym_do] = ACTIONS(1849),
    [anon_sym_eval] = ACTIONS(1849),
    [anon_sym_await] = ACTIONS(1849),
    [anon_sym_field] = ACTIONS(1849),
    [anon_sym_local] = ACTIONS(1849),
    [anon_sym_dynamically] = ACTIONS(1849),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1849),
    [anon_sym_require] = ACTIONS(1849),
    [anon_sym_map] = ACTIONS(1849),
    [anon_sym_grep] = ACTIONS(1849),
    [anon_sym_sort] = ACTIONS(1849),
    [anon_sym_goto] = ACTIONS(1849),
    [anon_sym_return] = ACTIONS(1849),
    [anon_sym_undef] = ACTIONS(1849),
    [anon_sym_PERCENT2] = ACTIONS(1849),
    [anon_sym_AMP2] = ACTIONS(1849),
    [anon_sym_STAR2] = ACTIONS(1849),
    [anon_sym_EQ_GT] = ACTIONS(1849),
    [anon_sym_last] = ACTIONS(1849),
    [anon_sym_next] = ACTIONS(1849),
    [anon_sym_redo] = ACTIONS(1849),
    [anon_sym___FILE__] = ACTIONS(1849),
    [anon_sym___LINE__] = ACTIONS(1849),
    [anon_sym___PACKAGE__] = ACTIONS(1849),
    [anon_sym___SUB__] = ACTIONS(1849),
    [anon_sym_break] = ACTIONS(1849),
    [anon_sym_fork] = ACTIONS(1849),
    [anon_sym_getppid] = ACTIONS(1849),
    [anon_sym_time] = ACTIONS(1849),
    [anon_sym_times] = ACTIONS(1849),
    [anon_sym_wait] = ACTIONS(1849),
    [anon_sym_wantarray] = ACTIONS(1849),
    [anon_sym_abs] = ACTIONS(1849),
    [anon_sym_alarm] = ACTIONS(1849),
    [anon_sym_chop] = ACTIONS(1849),
    [anon_sym_chdir] = ACTIONS(1849),
    [anon_sym_close] = ACTIONS(1849),
    [anon_sym_closedir] = ACTIONS(1849),
    [anon_sym_caller] = ACTIONS(1849),
    [anon_sym_chomp] = ACTIONS(1849),
    [anon_sym_chr] = ACTIONS(1849),
    [anon_sym_cos] = ACTIONS(1849),
    [anon_sym_chroot] = ACTIONS(1849),
    [anon_sym_defined] = ACTIONS(1849),
    [anon_sym_delete] = ACTIONS(1849),
    [anon_sym_dbmclose] = ACTIONS(1849),
    [anon_sym_exists] = ACTIONS(1849),
    [anon_sym_exit] = ACTIONS(1849),
    [anon_sym_eof] = ACTIONS(1849),
    [anon_sym_exp] = ACTIONS(1849),
    [anon_sym_each] = ACTIONS(1849),
    [anon_sym_fc] = ACTIONS(1849),
    [anon_sym_fileno] = ACTIONS(1849),
    [anon_sym_gmtime] = ACTIONS(1849),
    [anon_sym_getc] = ACTIONS(1849),
    [anon_sym_getpgrp] = ACTIONS(1849),
    [anon_sym_getprotobyname] = ACTIONS(1849),
    [anon_sym_getpwname] = ACTIONS(1849),
    [anon_sym_getpwuid] = ACTIONS(1849),
    [anon_sym_getpeername] = ACTIONS(1849),
    [anon_sym_getnetbyname] = ACTIONS(1849),
    [anon_sym_getsockname] = ACTIONS(1849),
    [anon_sym_getgrnam] = ACTIONS(1849),
    [anon_sym_getgrgid] = ACTIONS(1849),
    [anon_sym_hex] = ACTIONS(1849),
    [anon_sym_int] = ACTIONS(1849),
    [anon_sym_keys] = ACTIONS(1849),
    [anon_sym_lc] = ACTIONS(1849),
    [anon_sym_lcfirst] = ACTIONS(1849),
    [anon_sym_length] = ACTIONS(1849),
    [anon_sym_localtime] = ACTIONS(1849),
    [anon_sym_log] = ACTIONS(1849),
    [anon_sym_lock] = ACTIONS(1849),
    [anon_sym_lstat] = ACTIONS(1849),
    [anon_sym_oct] = ACTIONS(1849),
    [anon_sym_ord] = ACTIONS(1849),
    [anon_sym_prototype] = ACTIONS(1849),
    [anon_sym_pop] = ACTIONS(1849),
    [anon_sym_pos] = ACTIONS(1849),
    [anon_sym_quotemeta] = ACTIONS(1849),
    [anon_sym_reset] = ACTIONS(1849),
    [anon_sym_rand] = ACTIONS(1849),
    [anon_sym_rmdir] = ACTIONS(1849),
    [anon_sym_readdir] = ACTIONS(1849),
    [anon_sym_readline] = ACTIONS(1849),
    [anon_sym_readpipe] = ACTIONS(1849),
    [anon_sym_rewinddir] = ACTIONS(1849),
    [anon_sym_readlink] = ACTIONS(1849),
    [anon_sym_ref] = ACTIONS(1849),
    [anon_sym_scalar] = ACTIONS(1849),
    [anon_sym_shift] = ACTIONS(1849),
    [anon_sym_sin] = ACTIONS(1849),
    [anon_sym_sleep] = ACTIONS(1849),
    [anon_sym_sqrt] = ACTIONS(1849),
    [anon_sym_srand] = ACTIONS(1849),
    [anon_sym_stat] = ACTIONS(1849),
    [anon_sym_study] = ACTIONS(1849),
    [anon_sym_tell] = ACTIONS(1849),
    [anon_sym_telldir] = ACTIONS(1849),
    [anon_sym_tied] = ACTIONS(1849),
    [anon_sym_uc] = ACTIONS(1849),
    [anon_sym_ucfirst] = ACTIONS(1849),
    [anon_sym_untie] = ACTIONS(1849),
    [anon_sym_umask] = ACTIONS(1849),
    [anon_sym_values] = ACTIONS(1849),
    [anon_sym_write] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1849),
    [anon_sym_qq] = ACTIONS(1849),
    [anon_sym_qw] = ACTIONS(1849),
    [anon_sym_qx] = ACTIONS(1849),
    [anon_sym_qr] = ACTIONS(1849),
    [anon_sym_m] = ACTIONS(1849),
    [anon_sym_s] = ACTIONS(1849),
    [anon_sym_tr] = ACTIONS(1849),
    [anon_sym_y] = ACTIONS(1849),
    [aux_sym__bareword_token1] = ACTIONS(1849),
    [sym_number] = ACTIONS(1849),
    [anon_sym_true] = ACTIONS(1849),
    [anon_sym_false] = ACTIONS(1849),
    [sym__single_quote] = ACTIONS(1851),
    [sym__double_quote] = ACTIONS(1851),
    [sym__backtick_quote] = ACTIONS(1851),
    [sym__search_slash_quote] = ACTIONS(1851),
    [sym__open_readline_bracket] = ACTIONS(1851),
    [sym__open_fileglob_bracket] = ACTIONS(1851),
    [sym__PERLY_SEMICOLON] = ACTIONS(1851),
    [sym__PERLY_HEREDOC] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1851),
    [sym__filetest] = ACTIONS(1851),
  },
  [871] = {
    [sym_heredoc_content] = STATE(871),
    [sym__identifier] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_SEMI] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1889),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1889),
    [anon_sym_extended] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_sub] = ACTIONS(1889),
    [anon_sym_method] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_state] = ACTIONS(1889),
    [anon_sym_our] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1889),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1889),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_eval] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_field] = ACTIONS(1889),
    [anon_sym_local] = ACTIONS(1889),
    [anon_sym_dynamically] = ACTIONS(1889),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1889),
    [anon_sym_require] = ACTIONS(1889),
    [anon_sym_map] = ACTIONS(1889),
    [anon_sym_grep] = ACTIONS(1889),
    [anon_sym_sort] = ACTIONS(1889),
    [anon_sym_goto] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_undef] = ACTIONS(1889),
    [anon_sym_PERCENT2] = ACTIONS(1889),
    [anon_sym_AMP2] = ACTIONS(1889),
    [anon_sym_STAR2] = ACTIONS(1889),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1889),
    [anon_sym_next] = ACTIONS(1889),
    [anon_sym_redo] = ACTIONS(1889),
    [anon_sym___FILE__] = ACTIONS(1889),
    [anon_sym___LINE__] = ACTIONS(1889),
    [anon_sym___PACKAGE__] = ACTIONS(1889),
    [anon_sym___SUB__] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_fork] = ACTIONS(1889),
    [anon_sym_getppid] = ACTIONS(1889),
    [anon_sym_time] = ACTIONS(1889),
    [anon_sym_times] = ACTIONS(1889),
    [anon_sym_wait] = ACTIONS(1889),
    [anon_sym_wantarray] = ACTIONS(1889),
    [anon_sym_abs] = ACTIONS(1889),
    [anon_sym_alarm] = ACTIONS(1889),
    [anon_sym_chop] = ACTIONS(1889),
    [anon_sym_chdir] = ACTIONS(1889),
    [anon_sym_close] = ACTIONS(1889),
    [anon_sym_closedir] = ACTIONS(1889),
    [anon_sym_caller] = ACTIONS(1889),
    [anon_sym_chomp] = ACTIONS(1889),
    [anon_sym_chr] = ACTIONS(1889),
    [anon_sym_cos] = ACTIONS(1889),
    [anon_sym_chroot] = ACTIONS(1889),
    [anon_sym_defined] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_dbmclose] = ACTIONS(1889),
    [anon_sym_exists] = ACTIONS(1889),
    [anon_sym_exit] = ACTIONS(1889),
    [anon_sym_eof] = ACTIONS(1889),
    [anon_sym_exp] = ACTIONS(1889),
    [anon_sym_each] = ACTIONS(1889),
    [anon_sym_fc] = ACTIONS(1889),
    [anon_sym_fileno] = ACTIONS(1889),
    [anon_sym_gmtime] = ACTIONS(1889),
    [anon_sym_getc] = ACTIONS(1889),
    [anon_sym_getpgrp] = ACTIONS(1889),
    [anon_sym_getprotobyname] = ACTIONS(1889),
    [anon_sym_getpwname] = ACTIONS(1889),
    [anon_sym_getpwuid] = ACTIONS(1889),
    [anon_sym_getpeername] = ACTIONS(1889),
    [anon_sym_getnetbyname] = ACTIONS(1889),
    [anon_sym_getsockname] = ACTIONS(1889),
    [anon_sym_getgrnam] = ACTIONS(1889),
    [anon_sym_getgrgid] = ACTIONS(1889),
    [anon_sym_hex] = ACTIONS(1889),
    [anon_sym_int] = ACTIONS(1889),
    [anon_sym_keys] = ACTIONS(1889),
    [anon_sym_lc] = ACTIONS(1889),
    [anon_sym_lcfirst] = ACTIONS(1889),
    [anon_sym_length] = ACTIONS(1889),
    [anon_sym_localtime] = ACTIONS(1889),
    [anon_sym_log] = ACTIONS(1889),
    [anon_sym_lock] = ACTIONS(1889),
    [anon_sym_lstat] = ACTIONS(1889),
    [anon_sym_oct] = ACTIONS(1889),
    [anon_sym_ord] = ACTIONS(1889),
    [anon_sym_prototype] = ACTIONS(1889),
    [anon_sym_pop] = ACTIONS(1889),
    [anon_sym_pos] = ACTIONS(1889),
    [anon_sym_quotemeta] = ACTIONS(1889),
    [anon_sym_reset] = ACTIONS(1889),
    [anon_sym_rand] = ACTIONS(1889),
    [anon_sym_rmdir] = ACTIONS(1889),
    [anon_sym_readdir] = ACTIONS(1889),
    [anon_sym_readline] = ACTIONS(1889),
    [anon_sym_readpipe] = ACTIONS(1889),
    [anon_sym_rewinddir] = ACTIONS(1889),
    [anon_sym_readlink] = ACTIONS(1889),
    [anon_sym_ref] = ACTIONS(1889),
    [anon_sym_scalar] = ACTIONS(1889),
    [anon_sym_shift] = ACTIONS(1889),
    [anon_sym_sin] = ACTIONS(1889),
    [anon_sym_sleep] = ACTIONS(1889),
    [anon_sym_sqrt] = ACTIONS(1889),
    [anon_sym_srand] = ACTIONS(1889),
    [anon_sym_stat] = ACTIONS(1889),
    [anon_sym_study] = ACTIONS(1889),
    [anon_sym_tell] = ACTIONS(1889),
    [anon_sym_telldir] = ACTIONS(1889),
    [anon_sym_tied] = ACTIONS(1889),
    [anon_sym_uc] = ACTIONS(1889),
    [anon_sym_ucfirst] = ACTIONS(1889),
    [anon_sym_untie] = ACTIONS(1889),
    [anon_sym_umask] = ACTIONS(1889),
    [anon_sym_values] = ACTIONS(1889),
    [anon_sym_write] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1889),
    [anon_sym_qq] = ACTIONS(1889),
    [anon_sym_qw] = ACTIONS(1889),
    [anon_sym_qx] = ACTIONS(1889),
    [anon_sym_qr] = ACTIONS(1889),
    [anon_sym_m] = ACTIONS(1889),
    [anon_sym_s] = ACTIONS(1889),
    [anon_sym_tr] = ACTIONS(1889),
    [anon_sym_y] = ACTIONS(1889),
    [aux_sym__bareword_token1] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [anon_sym_true] = ACTIONS(1889),
    [anon_sym_false] = ACTIONS(1889),
    [sym__single_quote] = ACTIONS(1891),
    [sym__double_quote] = ACTIONS(1891),
    [sym__backtick_quote] = ACTIONS(1891),
    [sym__search_slash_quote] = ACTIONS(1891),
    [sym__open_readline_bracket] = ACTIONS(1891),
    [sym__open_fileglob_bracket] = ACTIONS(1891),
    [sym__PERLY_SEMICOLON] = ACTIONS(1881),
    [sym__PERLY_HEREDOC] = ACTIONS(1891),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1891),
    [sym__filetest] = ACTIONS(1891),
  },
  [872] = {
    [sym_heredoc_content] = STATE(872),
    [sym__identifier] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym_DOLLAR] = ACTIONS(1949),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_AT] = ACTIONS(1949),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym_my] = ACTIONS(1949),
    [anon_sym_extended] = ACTIONS(1949),
    [anon_sym_async] = ACTIONS(1949),
    [anon_sym_sub] = ACTIONS(1949),
    [anon_sym_method] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1949),
    [anon_sym_continue] = ACTIONS(1949),
    [anon_sym_state] = ACTIONS(1949),
    [anon_sym_our] = ACTIONS(1949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1830),
    [anon_sym_DASH_GT] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1830),
    [anon_sym_PLUS_EQ] = ACTIONS(1830),
    [anon_sym_DASH_EQ] = ACTIONS(1830),
    [anon_sym_DOT_EQ] = ACTIONS(1830),
    [anon_sym_STAR_EQ] = ACTIONS(1830),
    [anon_sym_SLASH_EQ] = ACTIONS(1830),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1830),
    [anon_sym_AMP_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_EQ] = ACTIONS(1830),
    [anon_sym_CARET_EQ] = ACTIONS(1830),
    [anon_sym_LT_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_GT_EQ] = ACTIONS(1830),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1949),
    [anon_sym_CARET_CARET] = ACTIONS(1830),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1830),
    [anon_sym_BANG_TILDE] = ACTIONS(1830),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1830),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1830),
    [anon_sym_equ] = ACTIONS(1830),
    [anon_sym_eqr] = ACTIONS(1830),
    [anon_sym_ne] = ACTIONS(1830),
    [anon_sym_LT_EQ_GT] = ACTIONS(1830),
    [anon_sym_cmp] = ACTIONS(1830),
    [anon_sym_TILDE_TILDE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_lt] = ACTIONS(1830),
    [anon_sym_le] = ACTIONS(1830),
    [anon_sym_ge] = ACTIONS(1830),
    [anon_sym_gt] = ACTIONS(1830),
    [anon_sym_isa] = ACTIONS(1830),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_QMARK] = ACTIONS(1830),
    [anon_sym_BSLASH] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1949),
    [anon_sym_eval] = ACTIONS(1949),
    [anon_sym_await] = ACTIONS(1949),
    [anon_sym_field] = ACTIONS(1949),
    [anon_sym_local] = ACTIONS(1949),
    [anon_sym_dynamically] = ACTIONS(1949),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1949),
    [anon_sym_require] = ACTIONS(1949),
    [anon_sym_map] = ACTIONS(1949),
    [anon_sym_grep] = ACTIONS(1949),
    [anon_sym_sort] = ACTIONS(1949),
    [anon_sym_goto] = ACTIONS(1949),
    [anon_sym_return] = ACTIONS(1949),
    [anon_sym_undef] = ACTIONS(1949),
    [anon_sym_PERCENT2] = ACTIONS(1949),
    [anon_sym_AMP2] = ACTIONS(1949),
    [anon_sym_STAR2] = ACTIONS(1949),
    [anon_sym_EQ_GT] = ACTIONS(1830),
    [anon_sym_last] = ACTIONS(1949),
    [anon_sym_next] = ACTIONS(1949),
    [anon_sym_redo] = ACTIONS(1949),
    [anon_sym___FILE__] = ACTIONS(1949),
    [anon_sym___LINE__] = ACTIONS(1949),
    [anon_sym___PACKAGE__] = ACTIONS(1949),
    [anon_sym___SUB__] = ACTIONS(1949),
    [anon_sym_break] = ACTIONS(1949),
    [anon_sym_fork] = ACTIONS(1949),
    [anon_sym_getppid] = ACTIONS(1949),
    [anon_sym_time] = ACTIONS(1949),
    [anon_sym_times] = ACTIONS(1949),
    [anon_sym_wait] = ACTIONS(1949),
    [anon_sym_wantarray] = ACTIONS(1949),
    [anon_sym_abs] = ACTIONS(1949),
    [anon_sym_alarm] = ACTIONS(1949),
    [anon_sym_chop] = ACTIONS(1949),
    [anon_sym_chdir] = ACTIONS(1949),
    [anon_sym_close] = ACTIONS(1949),
    [anon_sym_closedir] = ACTIONS(1949),
    [anon_sym_caller] = ACTIONS(1949),
    [anon_sym_chomp] = ACTIONS(1949),
    [anon_sym_chr] = ACTIONS(1949),
    [anon_sym_cos] = ACTIONS(1949),
    [anon_sym_chroot] = ACTIONS(1949),
    [anon_sym_defined] = ACTIONS(1949),
    [anon_sym_delete] = ACTIONS(1949),
    [anon_sym_dbmclose] = ACTIONS(1949),
    [anon_sym_exists] = ACTIONS(1949),
    [anon_sym_exit] = ACTIONS(1949),
    [anon_sym_eof] = ACTIONS(1949),
    [anon_sym_exp] = ACTIONS(1949),
    [anon_sym_each] = ACTIONS(1949),
    [anon_sym_fc] = ACTIONS(1949),
    [anon_sym_fileno] = ACTIONS(1949),
    [anon_sym_gmtime] = ACTIONS(1949),
    [anon_sym_getc] = ACTIONS(1949),
    [anon_sym_getpgrp] = ACTIONS(1949),
    [anon_sym_getprotobyname] = ACTIONS(1949),
    [anon_sym_getpwname] = ACTIONS(1949),
    [anon_sym_getpwuid] = ACTIONS(1949),
    [anon_sym_getpeername] = ACTIONS(1949),
    [anon_sym_getnetbyname] = ACTIONS(1949),
    [anon_sym_getsockname] = ACTIONS(1949),
    [anon_sym_getgrnam] = ACTIONS(1949),
    [anon_sym_getgrgid] = ACTIONS(1949),
    [anon_sym_hex] = ACTIONS(1949),
    [anon_sym_int] = ACTIONS(1949),
    [anon_sym_keys] = ACTIONS(1949),
    [anon_sym_lc] = ACTIONS(1949),
    [anon_sym_lcfirst] = ACTIONS(1949),
    [anon_sym_length] = ACTIONS(1949),
    [anon_sym_localtime] = ACTIONS(1949),
    [anon_sym_log] = ACTIONS(1949),
    [anon_sym_lock] = ACTIONS(1949),
    [anon_sym_lstat] = ACTIONS(1949),
    [anon_sym_oct] = ACTIONS(1949),
    [anon_sym_ord] = ACTIONS(1949),
    [anon_sym_prototype] = ACTIONS(1949),
    [anon_sym_pop] = ACTIONS(1949),
    [anon_sym_pos] = ACTIONS(1949),
    [anon_sym_quotemeta] = ACTIONS(1949),
    [anon_sym_reset] = ACTIONS(1949),
    [anon_sym_rand] = ACTIONS(1949),
    [anon_sym_rmdir] = ACTIONS(1949),
    [anon_sym_readdir] = ACTIONS(1949),
    [anon_sym_readline] = ACTIONS(1949),
    [anon_sym_readpipe] = ACTIONS(1949),
    [anon_sym_rewinddir] = ACTIONS(1949),
    [anon_sym_readlink] = ACTIONS(1949),
    [anon_sym_ref] = ACTIONS(1949),
    [anon_sym_scalar] = ACTIONS(1949),
    [anon_sym_shift] = ACTIONS(1949),
    [anon_sym_sin] = ACTIONS(1949),
    [anon_sym_sleep] = ACTIONS(1949),
    [anon_sym_sqrt] = ACTIONS(1949),
    [anon_sym_srand] = ACTIONS(1949),
    [anon_sym_stat] = ACTIONS(1949),
    [anon_sym_study] = ACTIONS(1949),
    [anon_sym_tell] = ACTIONS(1949),
    [anon_sym_telldir] = ACTIONS(1949),
    [anon_sym_tied] = ACTIONS(1949),
    [anon_sym_uc] = ACTIONS(1949),
    [anon_sym_ucfirst] = ACTIONS(1949),
    [anon_sym_untie] = ACTIONS(1949),
    [anon_sym_umask] = ACTIONS(1949),
    [anon_sym_values] = ACTIONS(1949),
    [anon_sym_write] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1949),
    [anon_sym_qq] = ACTIONS(1949),
    [anon_sym_qw] = ACTIONS(1949),
    [anon_sym_qx] = ACTIONS(1949),
    [anon_sym_qr] = ACTIONS(1949),
    [anon_sym_m] = ACTIONS(1949),
    [anon_sym_s] = ACTIONS(1949),
    [anon_sym_tr] = ACTIONS(1949),
    [anon_sym_y] = ACTIONS(1949),
    [aux_sym__bareword_token1] = ACTIONS(1949),
    [sym_number] = ACTIONS(1949),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym__single_quote] = ACTIONS(1951),
    [sym__double_quote] = ACTIONS(1951),
    [sym__backtick_quote] = ACTIONS(1951),
    [sym__search_slash_quote] = ACTIONS(1951),
    [sym__open_readline_bracket] = ACTIONS(1951),
    [sym__open_fileglob_bracket] = ACTIONS(1951),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym__PERLY_HEREDOC] = ACTIONS(1951),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1951),
    [sym__filetest] = ACTIONS(1951),
  },
  [873] = {
    [sym_heredoc_content] = STATE(873),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1939),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1939),
    [anon_sym_DASH_GT] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_GT] = ACTIONS(1939),
    [anon_sym_LT_LT] = ACTIONS(1939),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1939),
    [anon_sym_PLUS_EQ] = ACTIONS(1939),
    [anon_sym_DASH_EQ] = ACTIONS(1939),
    [anon_sym_DOT_EQ] = ACTIONS(1939),
    [anon_sym_STAR_EQ] = ACTIONS(1939),
    [anon_sym_SLASH_EQ] = ACTIONS(1939),
    [anon_sym_PERCENT_EQ] = ACTIONS(1939),
    [anon_sym_x_EQ] = ACTIONS(1939),
    [anon_sym_AMP_EQ] = ACTIONS(1939),
    [anon_sym_PIPE_EQ] = ACTIONS(1939),
    [anon_sym_CARET_EQ] = ACTIONS(1939),
    [anon_sym_LT_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_GT_EQ] = ACTIONS(1939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1939),
    [anon_sym_DOT_DOT] = ACTIONS(1939),
    [anon_sym_STAR_STAR] = ACTIONS(1939),
    [anon_sym_PIPE_PIPE] = ACTIONS(1939),
    [anon_sym_SLASH_SLASH] = ACTIONS(1939),
    [anon_sym_CARET_CARET] = ACTIONS(1939),
    [anon_sym_AMP_AMP] = ACTIONS(1939),
    [anon_sym_PIPE] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1939),
    [anon_sym_GT_GT2] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1939),
    [anon_sym_DOT] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1939),
    [anon_sym_x] = ACTIONS(1939),
    [anon_sym_EQ_TILDE] = ACTIONS(1939),
    [anon_sym_BANG_TILDE] = ACTIONS(1939),
    [anon_sym_EQ_EQ] = ACTIONS(1939),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_eq] = ACTIONS(1939),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1939),
    [anon_sym_equ] = ACTIONS(1939),
    [anon_sym_eqr] = ACTIONS(1939),
    [anon_sym_ne] = ACTIONS(1939),
    [anon_sym_LT_EQ_GT] = ACTIONS(1939),
    [anon_sym_cmp] = ACTIONS(1939),
    [anon_sym_TILDE_TILDE] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_lt] = ACTIONS(1939),
    [anon_sym_le] = ACTIONS(1939),
    [anon_sym_ge] = ACTIONS(1939),
    [anon_sym_gt] = ACTIONS(1939),
    [anon_sym_isa] = ACTIONS(1939),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [anon_sym_QMARK] = ACTIONS(1939),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_EQ_GT] = ACTIONS(1939),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_SEMICOLON] = ACTIONS(1941),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [874] = {
    [sym_heredoc_content] = STATE(874),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_COLON] = ACTIONS(1709),
    [anon_sym_DOLLAR] = ACTIONS(1709),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_AT] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym_RPAREN] = ACTIONS(1709),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1709),
    [anon_sym_DASH_GT] = ACTIONS(1709),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1709),
    [anon_sym_PLUS_EQ] = ACTIONS(1709),
    [anon_sym_DASH_EQ] = ACTIONS(1709),
    [anon_sym_DOT_EQ] = ACTIONS(1709),
    [anon_sym_STAR_EQ] = ACTIONS(1709),
    [anon_sym_SLASH_EQ] = ACTIONS(1709),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1709),
    [anon_sym_AMP_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_EQ] = ACTIONS(1709),
    [anon_sym_CARET_EQ] = ACTIONS(1709),
    [anon_sym_LT_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_GT_EQ] = ACTIONS(1709),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1709),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1709),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1709),
    [anon_sym_BANG_TILDE] = ACTIONS(1709),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1709),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1709),
    [anon_sym_equ] = ACTIONS(1709),
    [anon_sym_eqr] = ACTIONS(1709),
    [anon_sym_ne] = ACTIONS(1709),
    [anon_sym_LT_EQ_GT] = ACTIONS(1709),
    [anon_sym_cmp] = ACTIONS(1709),
    [anon_sym_TILDE_TILDE] = ACTIONS(1709),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1709),
    [anon_sym_lt] = ACTIONS(1709),
    [anon_sym_le] = ACTIONS(1709),
    [anon_sym_ge] = ACTIONS(1709),
    [anon_sym_gt] = ACTIONS(1709),
    [anon_sym_isa] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_QMARK] = ACTIONS(1709),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1709),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1709),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [875] = {
    [sym_heredoc_content] = STATE(875),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_DOLLAR] = ACTIONS(1867),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_AT] = ACTIONS(1867),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1869),
    [anon_sym_PLUS_EQ] = ACTIONS(1869),
    [anon_sym_DASH_EQ] = ACTIONS(1869),
    [anon_sym_DOT_EQ] = ACTIONS(1869),
    [anon_sym_STAR_EQ] = ACTIONS(1869),
    [anon_sym_SLASH_EQ] = ACTIONS(1869),
    [anon_sym_PERCENT_EQ] = ACTIONS(1869),
    [anon_sym_x_EQ] = ACTIONS(1869),
    [anon_sym_AMP_EQ] = ACTIONS(1869),
    [anon_sym_PIPE_EQ] = ACTIONS(1869),
    [anon_sym_CARET_EQ] = ACTIONS(1869),
    [anon_sym_LT_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_GT_EQ] = ACTIONS(1869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1869),
    [anon_sym_DOT_DOT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_SLASH_SLASH] = ACTIONS(1869),
    [anon_sym_CARET_CARET] = ACTIONS(1869),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1869),
    [anon_sym_GT_GT2] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1869),
    [anon_sym_x] = ACTIONS(1869),
    [anon_sym_EQ_TILDE] = ACTIONS(1869),
    [anon_sym_BANG_TILDE] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_eq] = ACTIONS(1869),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_equ] = ACTIONS(1869),
    [anon_sym_eqr] = ACTIONS(1869),
    [anon_sym_ne] = ACTIONS(1869),
    [anon_sym_LT_EQ_GT] = ACTIONS(1869),
    [anon_sym_cmp] = ACTIONS(1869),
    [anon_sym_TILDE_TILDE] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_lt] = ACTIONS(1869),
    [anon_sym_le] = ACTIONS(1869),
    [anon_sym_ge] = ACTIONS(1869),
    [anon_sym_gt] = ACTIONS(1869),
    [anon_sym_isa] = ACTIONS(1869),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_QMARK] = ACTIONS(1869),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1867),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1869),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_SEMICOLON] = ACTIONS(1919),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [876] = {
    [sym_heredoc_content] = STATE(876),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_COMMA] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_DASH_GT] = ACTIONS(1845),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1845),
    [anon_sym_PLUS_EQ] = ACTIONS(1845),
    [anon_sym_DASH_EQ] = ACTIONS(1845),
    [anon_sym_DOT_EQ] = ACTIONS(1845),
    [anon_sym_STAR_EQ] = ACTIONS(1845),
    [anon_sym_SLASH_EQ] = ACTIONS(1845),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1845),
    [anon_sym_AMP_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_EQ] = ACTIONS(1845),
    [anon_sym_CARET_EQ] = ACTIONS(1845),
    [anon_sym_LT_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_GT_EQ] = ACTIONS(1845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1845),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1845),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1845),
    [anon_sym_BANG_TILDE] = ACTIONS(1845),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1845),
    [anon_sym_equ] = ACTIONS(1845),
    [anon_sym_eqr] = ACTIONS(1845),
    [anon_sym_ne] = ACTIONS(1845),
    [anon_sym_LT_EQ_GT] = ACTIONS(1845),
    [anon_sym_cmp] = ACTIONS(1845),
    [anon_sym_TILDE_TILDE] = ACTIONS(1845),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1845),
    [anon_sym_lt] = ACTIONS(1845),
    [anon_sym_le] = ACTIONS(1845),
    [anon_sym_ge] = ACTIONS(1845),
    [anon_sym_gt] = ACTIONS(1845),
    [anon_sym_isa] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_QMARK] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_EQ_GT] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_SEMICOLON] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [877] = {
    [sym_heredoc_content] = STATE(877),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_DASH_GT] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1707),
    [anon_sym_PLUS_EQ] = ACTIONS(1707),
    [anon_sym_DASH_EQ] = ACTIONS(1707),
    [anon_sym_DOT_EQ] = ACTIONS(1707),
    [anon_sym_STAR_EQ] = ACTIONS(1707),
    [anon_sym_SLASH_EQ] = ACTIONS(1707),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1707),
    [anon_sym_AMP_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_EQ] = ACTIONS(1707),
    [anon_sym_CARET_EQ] = ACTIONS(1707),
    [anon_sym_LT_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_GT_EQ] = ACTIONS(1707),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1707),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1707),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1707),
    [anon_sym_BANG_TILDE] = ACTIONS(1707),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1707),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1707),
    [anon_sym_equ] = ACTIONS(1707),
    [anon_sym_eqr] = ACTIONS(1707),
    [anon_sym_ne] = ACTIONS(1707),
    [anon_sym_LT_EQ_GT] = ACTIONS(1707),
    [anon_sym_cmp] = ACTIONS(1707),
    [anon_sym_TILDE_TILDE] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_lt] = ACTIONS(1707),
    [anon_sym_le] = ACTIONS(1707),
    [anon_sym_ge] = ACTIONS(1707),
    [anon_sym_gt] = ACTIONS(1707),
    [anon_sym_isa] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_QMARK] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_EQ_GT] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [878] = {
    [sym_heredoc_content] = STATE(878),
    [sym__identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(1867),
    [anon_sym_COLON] = ACTIONS(1871),
    [anon_sym_DOLLAR] = ACTIONS(1876),
    [anon_sym_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1876),
    [anon_sym_COMMA] = ACTIONS(1871),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_my] = ACTIONS(1867),
    [anon_sym_extended] = ACTIONS(1867),
    [anon_sym_async] = ACTIONS(1867),
    [anon_sym_sub] = ACTIONS(1867),
    [anon_sym_method] = ACTIONS(1867),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_continue] = ACTIONS(1867),
    [anon_sym_state] = ACTIONS(1867),
    [anon_sym_our] = ACTIONS(1867),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1871),
    [anon_sym_DASH_GT] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_LT] = ACTIONS(1876),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1871),
    [anon_sym_PLUS_EQ] = ACTIONS(1871),
    [anon_sym_DASH_EQ] = ACTIONS(1871),
    [anon_sym_DOT_EQ] = ACTIONS(1871),
    [anon_sym_STAR_EQ] = ACTIONS(1871),
    [anon_sym_SLASH_EQ] = ACTIONS(1871),
    [anon_sym_PERCENT_EQ] = ACTIONS(1871),
    [anon_sym_x_EQ] = ACTIONS(1871),
    [anon_sym_AMP_EQ] = ACTIONS(1871),
    [anon_sym_PIPE_EQ] = ACTIONS(1871),
    [anon_sym_CARET_EQ] = ACTIONS(1871),
    [anon_sym_LT_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_GT_EQ] = ACTIONS(1871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1871),
    [anon_sym_DOT_DOT] = ACTIONS(1871),
    [anon_sym_STAR_STAR] = ACTIONS(1871),
    [anon_sym_PIPE_PIPE] = ACTIONS(1871),
    [anon_sym_SLASH_SLASH] = ACTIONS(1876),
    [anon_sym_CARET_CARET] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1871),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_GT_GT2] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1876),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_x] = ACTIONS(1871),
    [anon_sym_EQ_TILDE] = ACTIONS(1871),
    [anon_sym_BANG_TILDE] = ACTIONS(1871),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_eq] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1871),
    [anon_sym_equ] = ACTIONS(1871),
    [anon_sym_eqr] = ACTIONS(1871),
    [anon_sym_ne] = ACTIONS(1871),
    [anon_sym_LT_EQ_GT] = ACTIONS(1871),
    [anon_sym_cmp] = ACTIONS(1871),
    [anon_sym_TILDE_TILDE] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1871),
    [anon_sym_GT_EQ] = ACTIONS(1871),
    [anon_sym_lt] = ACTIONS(1871),
    [anon_sym_le] = ACTIONS(1871),
    [anon_sym_ge] = ACTIONS(1871),
    [anon_sym_gt] = ACTIONS(1871),
    [anon_sym_isa] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1867),
    [anon_sym_BANG] = ACTIONS(1867),
    [anon_sym_PLUS_PLUS] = ACTIONS(1876),
    [anon_sym_DASH_DASH] = ACTIONS(1876),
    [anon_sym_QMARK] = ACTIONS(1871),
    [anon_sym_BSLASH] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1867),
    [anon_sym_eval] = ACTIONS(1867),
    [anon_sym_await] = ACTIONS(1867),
    [anon_sym_field] = ACTIONS(1867),
    [anon_sym_local] = ACTIONS(1867),
    [anon_sym_dynamically] = ACTIONS(1867),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1867),
    [anon_sym_require] = ACTIONS(1867),
    [anon_sym_map] = ACTIONS(1867),
    [anon_sym_grep] = ACTIONS(1867),
    [anon_sym_sort] = ACTIONS(1867),
    [anon_sym_goto] = ACTIONS(1867),
    [anon_sym_return] = ACTIONS(1867),
    [anon_sym_undef] = ACTIONS(1867),
    [anon_sym_PERCENT2] = ACTIONS(1876),
    [anon_sym_AMP2] = ACTIONS(1867),
    [anon_sym_STAR2] = ACTIONS(1867),
    [anon_sym_EQ_GT] = ACTIONS(1871),
    [anon_sym_last] = ACTIONS(1867),
    [anon_sym_next] = ACTIONS(1867),
    [anon_sym_redo] = ACTIONS(1867),
    [anon_sym___FILE__] = ACTIONS(1867),
    [anon_sym___LINE__] = ACTIONS(1867),
    [anon_sym___PACKAGE__] = ACTIONS(1867),
    [anon_sym___SUB__] = ACTIONS(1867),
    [anon_sym_break] = ACTIONS(1867),
    [anon_sym_fork] = ACTIONS(1867),
    [anon_sym_getppid] = ACTIONS(1867),
    [anon_sym_time] = ACTIONS(1867),
    [anon_sym_times] = ACTIONS(1867),
    [anon_sym_wait] = ACTIONS(1867),
    [anon_sym_wantarray] = ACTIONS(1867),
    [anon_sym_abs] = ACTIONS(1867),
    [anon_sym_alarm] = ACTIONS(1867),
    [anon_sym_chop] = ACTIONS(1867),
    [anon_sym_chdir] = ACTIONS(1867),
    [anon_sym_close] = ACTIONS(1867),
    [anon_sym_closedir] = ACTIONS(1867),
    [anon_sym_caller] = ACTIONS(1867),
    [anon_sym_chomp] = ACTIONS(1867),
    [anon_sym_chr] = ACTIONS(1867),
    [anon_sym_cos] = ACTIONS(1867),
    [anon_sym_chroot] = ACTIONS(1867),
    [anon_sym_defined] = ACTIONS(1867),
    [anon_sym_delete] = ACTIONS(1867),
    [anon_sym_dbmclose] = ACTIONS(1867),
    [anon_sym_exists] = ACTIONS(1867),
    [anon_sym_exit] = ACTIONS(1867),
    [anon_sym_eof] = ACTIONS(1867),
    [anon_sym_exp] = ACTIONS(1867),
    [anon_sym_each] = ACTIONS(1867),
    [anon_sym_fc] = ACTIONS(1867),
    [anon_sym_fileno] = ACTIONS(1867),
    [anon_sym_gmtime] = ACTIONS(1867),
    [anon_sym_getc] = ACTIONS(1867),
    [anon_sym_getpgrp] = ACTIONS(1867),
    [anon_sym_getprotobyname] = ACTIONS(1867),
    [anon_sym_getpwname] = ACTIONS(1867),
    [anon_sym_getpwuid] = ACTIONS(1867),
    [anon_sym_getpeername] = ACTIONS(1867),
    [anon_sym_getnetbyname] = ACTIONS(1867),
    [anon_sym_getsockname] = ACTIONS(1867),
    [anon_sym_getgrnam] = ACTIONS(1867),
    [anon_sym_getgrgid] = ACTIONS(1867),
    [anon_sym_hex] = ACTIONS(1867),
    [anon_sym_int] = ACTIONS(1867),
    [anon_sym_keys] = ACTIONS(1867),
    [anon_sym_lc] = ACTIONS(1867),
    [anon_sym_lcfirst] = ACTIONS(1867),
    [anon_sym_length] = ACTIONS(1867),
    [anon_sym_localtime] = ACTIONS(1867),
    [anon_sym_log] = ACTIONS(1867),
    [anon_sym_lock] = ACTIONS(1867),
    [anon_sym_lstat] = ACTIONS(1867),
    [anon_sym_oct] = ACTIONS(1867),
    [anon_sym_ord] = ACTIONS(1867),
    [anon_sym_prototype] = ACTIONS(1867),
    [anon_sym_pop] = ACTIONS(1867),
    [anon_sym_pos] = ACTIONS(1867),
    [anon_sym_quotemeta] = ACTIONS(1867),
    [anon_sym_reset] = ACTIONS(1867),
    [anon_sym_rand] = ACTIONS(1867),
    [anon_sym_rmdir] = ACTIONS(1867),
    [anon_sym_readdir] = ACTIONS(1867),
    [anon_sym_readline] = ACTIONS(1867),
    [anon_sym_readpipe] = ACTIONS(1867),
    [anon_sym_rewinddir] = ACTIONS(1867),
    [anon_sym_readlink] = ACTIONS(1867),
    [anon_sym_ref] = ACTIONS(1867),
    [anon_sym_scalar] = ACTIONS(1867),
    [anon_sym_shift] = ACTIONS(1867),
    [anon_sym_sin] = ACTIONS(1867),
    [anon_sym_sleep] = ACTIONS(1867),
    [anon_sym_sqrt] = ACTIONS(1867),
    [anon_sym_srand] = ACTIONS(1867),
    [anon_sym_stat] = ACTIONS(1867),
    [anon_sym_study] = ACTIONS(1867),
    [anon_sym_tell] = ACTIONS(1867),
    [anon_sym_telldir] = ACTIONS(1867),
    [anon_sym_tied] = ACTIONS(1867),
    [anon_sym_uc] = ACTIONS(1867),
    [anon_sym_ucfirst] = ACTIONS(1867),
    [anon_sym_untie] = ACTIONS(1867),
    [anon_sym_umask] = ACTIONS(1867),
    [anon_sym_values] = ACTIONS(1867),
    [anon_sym_write] = ACTIONS(1867),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1867),
    [anon_sym_qq] = ACTIONS(1867),
    [anon_sym_qw] = ACTIONS(1867),
    [anon_sym_qx] = ACTIONS(1867),
    [anon_sym_qr] = ACTIONS(1867),
    [anon_sym_m] = ACTIONS(1867),
    [anon_sym_s] = ACTIONS(1867),
    [anon_sym_tr] = ACTIONS(1867),
    [anon_sym_y] = ACTIONS(1867),
    [aux_sym__bareword_token1] = ACTIONS(1867),
    [sym_number] = ACTIONS(1867),
    [anon_sym_true] = ACTIONS(1867),
    [anon_sym_false] = ACTIONS(1867),
    [sym__single_quote] = ACTIONS(1879),
    [sym__double_quote] = ACTIONS(1879),
    [sym__backtick_quote] = ACTIONS(1879),
    [sym__search_slash_quote] = ACTIONS(1879),
    [sym__open_readline_bracket] = ACTIONS(1879),
    [sym__open_fileglob_bracket] = ACTIONS(1879),
    [sym__PERLY_HEREDOC] = ACTIONS(1879),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1879),
    [sym__filetest] = ACTIONS(1879),
  },
  [879] = {
    [sym_heredoc_content] = STATE(879),
    [sym__identifier] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1857),
    [anon_sym_SEMI] = ACTIONS(1857),
    [anon_sym_DOLLAR] = ACTIONS(1857),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_AT] = ACTIONS(1857),
    [anon_sym_COMMA] = ACTIONS(1857),
    [anon_sym_my] = ACTIONS(1857),
    [anon_sym_extended] = ACTIONS(1857),
    [anon_sym_async] = ACTIONS(1857),
    [anon_sym_sub] = ACTIONS(1857),
    [anon_sym_method] = ACTIONS(1857),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_state] = ACTIONS(1857),
    [anon_sym_our] = ACTIONS(1857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1857),
    [anon_sym_DASH_GT] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1857),
    [anon_sym_PLUS_EQ] = ACTIONS(1857),
    [anon_sym_DASH_EQ] = ACTIONS(1857),
    [anon_sym_DOT_EQ] = ACTIONS(1857),
    [anon_sym_STAR_EQ] = ACTIONS(1857),
    [anon_sym_SLASH_EQ] = ACTIONS(1857),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1857),
    [anon_sym_AMP_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_EQ] = ACTIONS(1857),
    [anon_sym_CARET_EQ] = ACTIONS(1857),
    [anon_sym_LT_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_GT_EQ] = ACTIONS(1857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1857),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1857),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1857),
    [anon_sym_BANG_TILDE] = ACTIONS(1857),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1857),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1857),
    [anon_sym_equ] = ACTIONS(1857),
    [anon_sym_eqr] = ACTIONS(1857),
    [anon_sym_ne] = ACTIONS(1857),
    [anon_sym_LT_EQ_GT] = ACTIONS(1857),
    [anon_sym_cmp] = ACTIONS(1857),
    [anon_sym_TILDE_TILDE] = ACTIONS(1857),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1857),
    [anon_sym_lt] = ACTIONS(1857),
    [anon_sym_le] = ACTIONS(1857),
    [anon_sym_ge] = ACTIONS(1857),
    [anon_sym_gt] = ACTIONS(1857),
    [anon_sym_isa] = ACTIONS(1857),
    [anon_sym_TILDE] = ACTIONS(1857),
    [anon_sym_BANG] = ACTIONS(1857),
    [anon_sym_PLUS_PLUS] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1857),
    [anon_sym_QMARK] = ACTIONS(1857),
    [anon_sym_BSLASH] = ACTIONS(1859),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_eval] = ACTIONS(1857),
    [anon_sym_await] = ACTIONS(1857),
    [anon_sym_field] = ACTIONS(1857),
    [anon_sym_local] = ACTIONS(1857),
    [anon_sym_dynamically] = ACTIONS(1857),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1857),
    [anon_sym_require] = ACTIONS(1857),
    [anon_sym_map] = ACTIONS(1857),
    [anon_sym_grep] = ACTIONS(1857),
    [anon_sym_sort] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_undef] = ACTIONS(1857),
    [anon_sym_PERCENT2] = ACTIONS(1857),
    [anon_sym_AMP2] = ACTIONS(1857),
    [anon_sym_STAR2] = ACTIONS(1857),
    [anon_sym_EQ_GT] = ACTIONS(1857),
    [anon_sym_last] = ACTIONS(1857),
    [anon_sym_next] = ACTIONS(1857),
    [anon_sym_redo] = ACTIONS(1857),
    [anon_sym___FILE__] = ACTIONS(1857),
    [anon_sym___LINE__] = ACTIONS(1857),
    [anon_sym___PACKAGE__] = ACTIONS(1857),
    [anon_sym___SUB__] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_fork] = ACTIONS(1857),
    [anon_sym_getppid] = ACTIONS(1857),
    [anon_sym_time] = ACTIONS(1857),
    [anon_sym_times] = ACTIONS(1857),
    [anon_sym_wait] = ACTIONS(1857),
    [anon_sym_wantarray] = ACTIONS(1857),
    [anon_sym_abs] = ACTIONS(1857),
    [anon_sym_alarm] = ACTIONS(1857),
    [anon_sym_chop] = ACTIONS(1857),
    [anon_sym_chdir] = ACTIONS(1857),
    [anon_sym_close] = ACTIONS(1857),
    [anon_sym_closedir] = ACTIONS(1857),
    [anon_sym_caller] = ACTIONS(1857),
    [anon_sym_chomp] = ACTIONS(1857),
    [anon_sym_chr] = ACTIONS(1857),
    [anon_sym_cos] = ACTIONS(1857),
    [anon_sym_chroot] = ACTIONS(1857),
    [anon_sym_defined] = ACTIONS(1857),
    [anon_sym_delete] = ACTIONS(1857),
    [anon_sym_dbmclose] = ACTIONS(1857),
    [anon_sym_exists] = ACTIONS(1857),
    [anon_sym_exit] = ACTIONS(1857),
    [anon_sym_eof] = ACTIONS(1857),
    [anon_sym_exp] = ACTIONS(1857),
    [anon_sym_each] = ACTIONS(1857),
    [anon_sym_fc] = ACTIONS(1857),
    [anon_sym_fileno] = ACTIONS(1857),
    [anon_sym_gmtime] = ACTIONS(1857),
    [anon_sym_getc] = ACTIONS(1857),
    [anon_sym_getpgrp] = ACTIONS(1857),
    [anon_sym_getprotobyname] = ACTIONS(1857),
    [anon_sym_getpwname] = ACTIONS(1857),
    [anon_sym_getpwuid] = ACTIONS(1857),
    [anon_sym_getpeername] = ACTIONS(1857),
    [anon_sym_getnetbyname] = ACTIONS(1857),
    [anon_sym_getsockname] = ACTIONS(1857),
    [anon_sym_getgrnam] = ACTIONS(1857),
    [anon_sym_getgrgid] = ACTIONS(1857),
    [anon_sym_hex] = ACTIONS(1857),
    [anon_sym_int] = ACTIONS(1857),
    [anon_sym_keys] = ACTIONS(1857),
    [anon_sym_lc] = ACTIONS(1857),
    [anon_sym_lcfirst] = ACTIONS(1857),
    [anon_sym_length] = ACTIONS(1857),
    [anon_sym_localtime] = ACTIONS(1857),
    [anon_sym_log] = ACTIONS(1857),
    [anon_sym_lock] = ACTIONS(1857),
    [anon_sym_lstat] = ACTIONS(1857),
    [anon_sym_oct] = ACTIONS(1857),
    [anon_sym_ord] = ACTIONS(1857),
    [anon_sym_prototype] = ACTIONS(1857),
    [anon_sym_pop] = ACTIONS(1857),
    [anon_sym_pos] = ACTIONS(1857),
    [anon_sym_quotemeta] = ACTIONS(1857),
    [anon_sym_reset] = ACTIONS(1857),
    [anon_sym_rand] = ACTIONS(1857),
    [anon_sym_rmdir] = ACTIONS(1857),
    [anon_sym_readdir] = ACTIONS(1857),
    [anon_sym_readline] = ACTIONS(1857),
    [anon_sym_readpipe] = ACTIONS(1857),
    [anon_sym_rewinddir] = ACTIONS(1857),
    [anon_sym_readlink] = ACTIONS(1857),
    [anon_sym_ref] = ACTIONS(1857),
    [anon_sym_scalar] = ACTIONS(1857),
    [anon_sym_shift] = ACTIONS(1857),
    [anon_sym_sin] = ACTIONS(1857),
    [anon_sym_sleep] = ACTIONS(1857),
    [anon_sym_sqrt] = ACTIONS(1857),
    [anon_sym_srand] = ACTIONS(1857),
    [anon_sym_stat] = ACTIONS(1857),
    [anon_sym_study] = ACTIONS(1857),
    [anon_sym_tell] = ACTIONS(1857),
    [anon_sym_telldir] = ACTIONS(1857),
    [anon_sym_tied] = ACTIONS(1857),
    [anon_sym_uc] = ACTIONS(1857),
    [anon_sym_ucfirst] = ACTIONS(1857),
    [anon_sym_untie] = ACTIONS(1857),
    [anon_sym_umask] = ACTIONS(1857),
    [anon_sym_values] = ACTIONS(1857),
    [anon_sym_write] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1857),
    [anon_sym_qq] = ACTIONS(1857),
    [anon_sym_qw] = ACTIONS(1857),
    [anon_sym_qx] = ACTIONS(1857),
    [anon_sym_qr] = ACTIONS(1857),
    [anon_sym_m] = ACTIONS(1857),
    [anon_sym_s] = ACTIONS(1857),
    [anon_sym_tr] = ACTIONS(1857),
    [anon_sym_y] = ACTIONS(1857),
    [aux_sym__bareword_token1] = ACTIONS(1857),
    [sym_number] = ACTIONS(1857),
    [anon_sym_true] = ACTIONS(1857),
    [anon_sym_false] = ACTIONS(1857),
    [sym__single_quote] = ACTIONS(1859),
    [sym__double_quote] = ACTIONS(1859),
    [sym__backtick_quote] = ACTIONS(1859),
    [sym__search_slash_quote] = ACTIONS(1859),
    [sym__open_readline_bracket] = ACTIONS(1859),
    [sym__open_fileglob_bracket] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__PERLY_HEREDOC] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1859),
    [sym__filetest] = ACTIONS(1859),
  },
  [880] = {
    [sym__else] = STATE(931),
    [sym_else] = STATE(932),
    [sym_elsif] = STATE(932),
    [sym_heredoc_content] = STATE(880),
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym__identifier] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1977),
    [anon_sym_package] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_role] = ACTIONS(1977),
    [anon_sym_BUILD] = ACTIONS(1977),
    [anon_sym_ADJUST] = ACTIONS(1977),
    [anon_sym_DOLLAR] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_my] = ACTIONS(1977),
    [anon_sym_extended] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_sub] = ACTIONS(1977),
    [anon_sym_method] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_state] = ACTIONS(1977),
    [anon_sym_our] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_defer] = ACTIONS(1977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(1979),
    [anon_sym_elsif] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [anon_sym_BSLASH] = ACTIONS(1975),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_eval] = ACTIONS(1977),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_field] = ACTIONS(1977),
    [anon_sym_local] = ACTIONS(1977),
    [anon_sym_dynamically] = ACTIONS(1977),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1977),
    [anon_sym_require] = ACTIONS(1977),
    [anon_sym_map] = ACTIONS(1977),
    [anon_sym_grep] = ACTIONS(1977),
    [anon_sym_sort] = ACTIONS(1977),
    [anon_sym_goto] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_undef] = ACTIONS(1977),
    [anon_sym_PERCENT2] = ACTIONS(1977),
    [anon_sym_AMP2] = ACTIONS(1977),
    [anon_sym_STAR2] = ACTIONS(1977),
    [anon_sym_use] = ACTIONS(1977),
    [anon_sym_no] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_foreach] = ACTIONS(1977),
    [anon_sym_last] = ACTIONS(1977),
    [anon_sym_next] = ACTIONS(1977),
    [anon_sym_redo] = ACTIONS(1977),
    [anon_sym_BEGIN] = ACTIONS(1977),
    [anon_sym_INIT] = ACTIONS(1977),
    [anon_sym_CHECK] = ACTIONS(1977),
    [anon_sym_UNITCHECK] = ACTIONS(1977),
    [anon_sym_END] = ACTIONS(1977),
    [anon_sym___FILE__] = ACTIONS(1977),
    [anon_sym___LINE__] = ACTIONS(1977),
    [anon_sym___PACKAGE__] = ACTIONS(1977),
    [anon_sym___SUB__] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_fork] = ACTIONS(1977),
    [anon_sym_getppid] = ACTIONS(1977),
    [anon_sym_time] = ACTIONS(1977),
    [anon_sym_times] = ACTIONS(1977),
    [anon_sym_wait] = ACTIONS(1977),
    [anon_sym_wantarray] = ACTIONS(1977),
    [anon_sym_abs] = ACTIONS(1977),
    [anon_sym_alarm] = ACTIONS(1977),
    [anon_sym_chop] = ACTIONS(1977),
    [anon_sym_chdir] = ACTIONS(1977),
    [anon_sym_close] = ACTIONS(1977),
    [anon_sym_closedir] = ACTIONS(1977),
    [anon_sym_caller] = ACTIONS(1977),
    [anon_sym_chomp] = ACTIONS(1977),
    [anon_sym_chr] = ACTIONS(1977),
    [anon_sym_cos] = ACTIONS(1977),
    [anon_sym_chroot] = ACTIONS(1977),
    [anon_sym_defined] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_dbmclose] = ACTIONS(1977),
    [anon_sym_exists] = ACTIONS(1977),
    [anon_sym_exit] = ACTIONS(1977),
    [anon_sym_eof] = ACTIONS(1977),
    [anon_sym_exp] = ACTIONS(1977),
    [anon_sym_each] = ACTIONS(1977),
    [anon_sym_fc] = ACTIONS(1977),
    [anon_sym_fileno] = ACTIONS(1977),
    [anon_sym_gmtime] = ACTIONS(1977),
    [anon_sym_getc] = ACTIONS(1977),
    [anon_sym_getpgrp] = ACTIONS(1977),
    [anon_sym_getprotobyname] = ACTIONS(1977),
    [anon_sym_getpwname] = ACTIONS(1977),
    [anon_sym_getpwuid] = ACTIONS(1977),
    [anon_sym_getpeername] = ACTIONS(1977),
    [anon_sym_getnetbyname] = ACTIONS(1977),
    [anon_sym_getsockname] = ACTIONS(1977),
    [anon_sym_getgrnam] = ACTIONS(1977),
    [anon_sym_getgrgid] = ACTIONS(1977),
    [anon_sym_hex] = ACTIONS(1977),
    [anon_sym_int] = ACTIONS(1977),
    [anon_sym_keys] = ACTIONS(1977),
    [anon_sym_lc] = ACTIONS(1977),
    [anon_sym_lcfirst] = ACTIONS(1977),
    [anon_sym_length] = ACTIONS(1977),
    [anon_sym_localtime] = ACTIONS(1977),
    [anon_sym_log] = ACTIONS(1977),
    [anon_sym_lock] = ACTIONS(1977),
    [anon_sym_lstat] = ACTIONS(1977),
    [anon_sym_oct] = ACTIONS(1977),
    [anon_sym_ord] = ACTIONS(1977),
    [anon_sym_prototype] = ACTIONS(1977),
    [anon_sym_pop] = ACTIONS(1977),
    [anon_sym_pos] = ACTIONS(1977),
    [anon_sym_quotemeta] = ACTIONS(1977),
    [anon_sym_reset] = ACTIONS(1977),
    [anon_sym_rand] = ACTIONS(1977),
    [anon_sym_rmdir] = ACTIONS(1977),
    [anon_sym_readdir] = ACTIONS(1977),
    [anon_sym_readline] = ACTIONS(1977),
    [anon_sym_readpipe] = ACTIONS(1977),
    [anon_sym_rewinddir] = ACTIONS(1977),
    [anon_sym_readlink] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1977),
    [anon_sym_scalar] = ACTIONS(1977),
    [anon_sym_shift] = ACTIONS(1977),
    [anon_sym_sin] = ACTIONS(1977),
    [anon_sym_sleep] = ACTIONS(1977),
    [anon_sym_sqrt] = ACTIONS(1977),
    [anon_sym_srand] = ACTIONS(1977),
    [anon_sym_stat] = ACTIONS(1977),
    [anon_sym_study] = ACTIONS(1977),
    [anon_sym_tell] = ACTIONS(1977),
    [anon_sym_telldir] = ACTIONS(1977),
    [anon_sym_tied] = ACTIONS(1977),
    [anon_sym_uc] = ACTIONS(1977),
    [anon_sym_ucfirst] = ACTIONS(1977),
    [anon_sym_untie] = ACTIONS(1977),
    [anon_sym_umask] = ACTIONS(1977),
    [anon_sym_values] = ACTIONS(1977),
    [anon_sym_write] = ACTIONS(1977),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1977),
    [anon_sym___END__] = ACTIONS(1977),
    [anon_sym_EOT] = ACTIONS(1977),
    [anon_sym_q] = ACTIONS(1977),
    [anon_sym_qq] = ACTIONS(1977),
    [anon_sym_qw] = ACTIONS(1977),
    [anon_sym_qx] = ACTIONS(1977),
    [anon_sym_qr] = ACTIONS(1977),
    [anon_sym_m] = ACTIONS(1977),
    [anon_sym_s] = ACTIONS(1977),
    [anon_sym_tr] = ACTIONS(1977),
    [anon_sym_y] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_unless] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_until] = ACTIONS(1977),
    [aux_sym__bareword_token1] = ACTIONS(1977),
    [sym_number] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1977),
    [anon_sym_false] = ACTIONS(1977),
    [sym__single_quote] = ACTIONS(1975),
    [sym__double_quote] = ACTIONS(1975),
    [sym__backtick_quote] = ACTIONS(1975),
    [sym__search_slash_quote] = ACTIONS(1975),
    [sym__open_readline_bracket] = ACTIONS(1975),
    [sym__open_fileglob_bracket] = ACTIONS(1975),
    [sym__PERLY_HEREDOC] = ACTIONS(1975),
    [sym__ctrl_z_hack] = ACTIONS(1975),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1975),
    [sym__filetest] = ACTIONS(1975),
  },
  [881] = {
    [sym__else] = STATE(919),
    [sym_else] = STATE(932),
    [sym_elsif] = STATE(932),
    [sym_heredoc_content] = STATE(881),
    [ts_builtin_sym_end] = ACTIONS(1983),
    [sym__identifier] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1985),
    [anon_sym_package] = ACTIONS(1985),
    [anon_sym_class] = ACTIONS(1985),
    [anon_sym_role] = ACTIONS(1985),
    [anon_sym_BUILD] = ACTIONS(1985),
    [anon_sym_ADJUST] = ACTIONS(1985),
    [anon_sym_DOLLAR] = ACTIONS(1985),
    [anon_sym_AT] = ACTIONS(1985),
    [anon_sym_my] = ACTIONS(1985),
    [anon_sym_extended] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1985),
    [anon_sym_sub] = ACTIONS(1985),
    [anon_sym_method] = ACTIONS(1985),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_continue] = ACTIONS(1985),
    [anon_sym_state] = ACTIONS(1985),
    [anon_sym_our] = ACTIONS(1985),
    [anon_sym_try] = ACTIONS(1985),
    [anon_sym_defer] = ACTIONS(1985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1985),
    [anon_sym_else] = ACTIONS(1979),
    [anon_sym_elsif] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_LT_LT] = ACTIONS(1985),
    [anon_sym_SLASH_SLASH] = ACTIONS(1985),
    [anon_sym_PLUS] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_TILDE] = ACTIONS(1985),
    [anon_sym_BANG] = ACTIONS(1985),
    [anon_sym_PLUS_PLUS] = ACTIONS(1985),
    [anon_sym_DASH_DASH] = ACTIONS(1985),
    [anon_sym_BSLASH] = ACTIONS(1983),
    [anon_sym_do] = ACTIONS(1985),
    [anon_sym_eval] = ACTIONS(1985),
    [anon_sym_await] = ACTIONS(1985),
    [anon_sym_field] = ACTIONS(1985),
    [anon_sym_local] = ACTIONS(1985),
    [anon_sym_dynamically] = ACTIONS(1985),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1985),
    [anon_sym_require] = ACTIONS(1985),
    [anon_sym_map] = ACTIONS(1985),
    [anon_sym_grep] = ACTIONS(1985),
    [anon_sym_sort] = ACTIONS(1985),
    [anon_sym_goto] = ACTIONS(1985),
    [anon_sym_return] = ACTIONS(1985),
    [anon_sym_undef] = ACTIONS(1985),
    [anon_sym_PERCENT2] = ACTIONS(1985),
    [anon_sym_AMP2] = ACTIONS(1985),
    [anon_sym_STAR2] = ACTIONS(1985),
    [anon_sym_use] = ACTIONS(1985),
    [anon_sym_no] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1985),
    [anon_sym_foreach] = ACTIONS(1985),
    [anon_sym_last] = ACTIONS(1985),
    [anon_sym_next] = ACTIONS(1985),
    [anon_sym_redo] = ACTIONS(1985),
    [anon_sym_BEGIN] = ACTIONS(1985),
    [anon_sym_INIT] = ACTIONS(1985),
    [anon_sym_CHECK] = ACTIONS(1985),
    [anon_sym_UNITCHECK] = ACTIONS(1985),
    [anon_sym_END] = ACTIONS(1985),
    [anon_sym___FILE__] = ACTIONS(1985),
    [anon_sym___LINE__] = ACTIONS(1985),
    [anon_sym___PACKAGE__] = ACTIONS(1985),
    [anon_sym___SUB__] = ACTIONS(1985),
    [anon_sym_break] = ACTIONS(1985),
    [anon_sym_fork] = ACTIONS(1985),
    [anon_sym_getppid] = ACTIONS(1985),
    [anon_sym_time] = ACTIONS(1985),
    [anon_sym_times] = ACTIONS(1985),
    [anon_sym_wait] = ACTIONS(1985),
    [anon_sym_wantarray] = ACTIONS(1985),
    [anon_sym_abs] = ACTIONS(1985),
    [anon_sym_alarm] = ACTIONS(1985),
    [anon_sym_chop] = ACTIONS(1985),
    [anon_sym_chdir] = ACTIONS(1985),
    [anon_sym_close] = ACTIONS(1985),
    [anon_sym_closedir] = ACTIONS(1985),
    [anon_sym_caller] = ACTIONS(1985),
    [anon_sym_chomp] = ACTIONS(1985),
    [anon_sym_chr] = ACTIONS(1985),
    [anon_sym_cos] = ACTIONS(1985),
    [anon_sym_chroot] = ACTIONS(1985),
    [anon_sym_defined] = ACTIONS(1985),
    [anon_sym_delete] = ACTIONS(1985),
    [anon_sym_dbmclose] = ACTIONS(1985),
    [anon_sym_exists] = ACTIONS(1985),
    [anon_sym_exit] = ACTIONS(1985),
    [anon_sym_eof] = ACTIONS(1985),
    [anon_sym_exp] = ACTIONS(1985),
    [anon_sym_each] = ACTIONS(1985),
    [anon_sym_fc] = ACTIONS(1985),
    [anon_sym_fileno] = ACTIONS(1985),
    [anon_sym_gmtime] = ACTIONS(1985),
    [anon_sym_getc] = ACTIONS(1985),
    [anon_sym_getpgrp] = ACTIONS(1985),
    [anon_sym_getprotobyname] = ACTIONS(1985),
    [anon_sym_getpwname] = ACTIONS(1985),
    [anon_sym_getpwuid] = ACTIONS(1985),
    [anon_sym_getpeername] = ACTIONS(1985),
    [anon_sym_getnetbyname] = ACTIONS(1985),
    [anon_sym_getsockname] = ACTIONS(1985),
    [anon_sym_getgrnam] = ACTIONS(1985),
    [anon_sym_getgrgid] = ACTIONS(1985),
    [anon_sym_hex] = ACTIONS(1985),
    [anon_sym_int] = ACTIONS(1985),
    [anon_sym_keys] = ACTIONS(1985),
    [anon_sym_lc] = ACTIONS(1985),
    [anon_sym_lcfirst] = ACTIONS(1985),
    [anon_sym_length] = ACTIONS(1985),
    [anon_sym_localtime] = ACTIONS(1985),
    [anon_sym_log] = ACTIONS(1985),
    [anon_sym_lock] = ACTIONS(1985),
    [anon_sym_lstat] = ACTIONS(1985),
    [anon_sym_oct] = ACTIONS(1985),
    [anon_sym_ord] = ACTIONS(1985),
    [anon_sym_prototype] = ACTIONS(1985),
    [anon_sym_pop] = ACTIONS(1985),
    [anon_sym_pos] = ACTIONS(1985),
    [anon_sym_quotemeta] = ACTIONS(1985),
    [anon_sym_reset] = ACTIONS(1985),
    [anon_sym_rand] = ACTIONS(1985),
    [anon_sym_rmdir] = ACTIONS(1985),
    [anon_sym_readdir] = ACTIONS(1985),
    [anon_sym_readline] = ACTIONS(1985),
    [anon_sym_readpipe] = ACTIONS(1985),
    [anon_sym_rewinddir] = ACTIONS(1985),
    [anon_sym_readlink] = ACTIONS(1985),
    [anon_sym_ref] = ACTIONS(1985),
    [anon_sym_scalar] = ACTIONS(1985),
    [anon_sym_shift] = ACTIONS(1985),
    [anon_sym_sin] = ACTIONS(1985),
    [anon_sym_sleep] = ACTIONS(1985),
    [anon_sym_sqrt] = ACTIONS(1985),
    [anon_sym_srand] = ACTIONS(1985),
    [anon_sym_stat] = ACTIONS(1985),
    [anon_sym_study] = ACTIONS(1985),
    [anon_sym_tell] = ACTIONS(1985),
    [anon_sym_telldir] = ACTIONS(1985),
    [anon_sym_tied] = ACTIONS(1985),
    [anon_sym_uc] = ACTIONS(1985),
    [anon_sym_ucfirst] = ACTIONS(1985),
    [anon_sym_untie] = ACTIONS(1985),
    [anon_sym_umask] = ACTIONS(1985),
    [anon_sym_values] = ACTIONS(1985),
    [anon_sym_write] = ACTIONS(1985),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1985),
    [anon_sym___END__] = ACTIONS(1985),
    [anon_sym_EOT] = ACTIONS(1985),
    [anon_sym_q] = ACTIONS(1985),
    [anon_sym_qq] = ACTIONS(1985),
    [anon_sym_qw] = ACTIONS(1985),
    [anon_sym_qx] = ACTIONS(1985),
    [anon_sym_qr] = ACTIONS(1985),
    [anon_sym_m] = ACTIONS(1985),
    [anon_sym_s] = ACTIONS(1985),
    [anon_sym_tr] = ACTIONS(1985),
    [anon_sym_y] = ACTIONS(1985),
    [anon_sym_if] = ACTIONS(1985),
    [anon_sym_unless] = ACTIONS(1985),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_until] = ACTIONS(1985),
    [aux_sym__bareword_token1] = ACTIONS(1985),
    [sym_number] = ACTIONS(1985),
    [anon_sym_true] = ACTIONS(1985),
    [anon_sym_false] = ACTIONS(1985),
    [sym__single_quote] = ACTIONS(1983),
    [sym__double_quote] = ACTIONS(1983),
    [sym__backtick_quote] = ACTIONS(1983),
    [sym__search_slash_quote] = ACTIONS(1983),
    [sym__open_readline_bracket] = ACTIONS(1983),
    [sym__open_fileglob_bracket] = ACTIONS(1983),
    [sym__PERLY_HEREDOC] = ACTIONS(1983),
    [sym__ctrl_z_hack] = ACTIONS(1983),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1983),
    [sym__filetest] = ACTIONS(1983),
  },
  [882] = {
    [sym_heredoc_content] = STATE(882),
    [ts_builtin_sym_end] = ACTIONS(1705),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_catch] = ACTIONS(1707),
    [anon_sym_finally] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1707),
    [anon_sym___END__] = ACTIONS(1707),
    [anon_sym_EOT] = ACTIONS(1707),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [883] = {
    [sym_heredoc_content] = STATE(883),
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_package] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_role] = ACTIONS(1845),
    [anon_sym_BUILD] = ACTIONS(1845),
    [anon_sym_ADJUST] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_catch] = ACTIONS(1845),
    [anon_sym_finally] = ACTIONS(1845),
    [anon_sym_defer] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_use] = ACTIONS(1845),
    [anon_sym_no] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym_BEGIN] = ACTIONS(1845),
    [anon_sym_INIT] = ACTIONS(1845),
    [anon_sym_CHECK] = ACTIONS(1845),
    [anon_sym_UNITCHECK] = ACTIONS(1845),
    [anon_sym_END] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1845),
    [anon_sym___END__] = ACTIONS(1845),
    [anon_sym_EOT] = ACTIONS(1845),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym__ctrl_z_hack] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [884] = {
    [sym_heredoc_content] = STATE(884),
    [ts_builtin_sym_end] = ACTIONS(1987),
    [sym__identifier] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym_package] = ACTIONS(1989),
    [anon_sym_class] = ACTIONS(1989),
    [anon_sym_role] = ACTIONS(1989),
    [anon_sym_BUILD] = ACTIONS(1989),
    [anon_sym_ADJUST] = ACTIONS(1989),
    [anon_sym_DOLLAR] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1989),
    [anon_sym_my] = ACTIONS(1989),
    [anon_sym_extended] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_sub] = ACTIONS(1989),
    [anon_sym_method] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1989),
    [anon_sym_continue] = ACTIONS(1989),
    [anon_sym_state] = ACTIONS(1989),
    [anon_sym_our] = ACTIONS(1989),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_catch] = ACTIONS(1991),
    [anon_sym_finally] = ACTIONS(1993),
    [anon_sym_defer] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_LT_LT] = ACTIONS(1989),
    [anon_sym_SLASH_SLASH] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_BSLASH] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1989),
    [anon_sym_eval] = ACTIONS(1989),
    [anon_sym_await] = ACTIONS(1989),
    [anon_sym_field] = ACTIONS(1989),
    [anon_sym_local] = ACTIONS(1989),
    [anon_sym_dynamically] = ACTIONS(1989),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1989),
    [anon_sym_require] = ACTIONS(1989),
    [anon_sym_map] = ACTIONS(1989),
    [anon_sym_grep] = ACTIONS(1989),
    [anon_sym_sort] = ACTIONS(1989),
    [anon_sym_goto] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_undef] = ACTIONS(1989),
    [anon_sym_PERCENT2] = ACTIONS(1989),
    [anon_sym_AMP2] = ACTIONS(1989),
    [anon_sym_STAR2] = ACTIONS(1989),
    [anon_sym_use] = ACTIONS(1989),
    [anon_sym_no] = ACTIONS(1989),
    [anon_sym_for] = ACTIONS(1989),
    [anon_sym_foreach] = ACTIONS(1989),
    [anon_sym_last] = ACTIONS(1989),
    [anon_sym_next] = ACTIONS(1989),
    [anon_sym_redo] = ACTIONS(1989),
    [anon_sym_BEGIN] = ACTIONS(1989),
    [anon_sym_INIT] = ACTIONS(1989),
    [anon_sym_CHECK] = ACTIONS(1989),
    [anon_sym_UNITCHECK] = ACTIONS(1989),
    [anon_sym_END] = ACTIONS(1989),
    [anon_sym___FILE__] = ACTIONS(1989),
    [anon_sym___LINE__] = ACTIONS(1989),
    [anon_sym___PACKAGE__] = ACTIONS(1989),
    [anon_sym___SUB__] = ACTIONS(1989),
    [anon_sym_break] = ACTIONS(1989),
    [anon_sym_fork] = ACTIONS(1989),
    [anon_sym_getppid] = ACTIONS(1989),
    [anon_sym_time] = ACTIONS(1989),
    [anon_sym_times] = ACTIONS(1989),
    [anon_sym_wait] = ACTIONS(1989),
    [anon_sym_wantarray] = ACTIONS(1989),
    [anon_sym_abs] = ACTIONS(1989),
    [anon_sym_alarm] = ACTIONS(1989),
    [anon_sym_chop] = ACTIONS(1989),
    [anon_sym_chdir] = ACTIONS(1989),
    [anon_sym_close] = ACTIONS(1989),
    [anon_sym_closedir] = ACTIONS(1989),
    [anon_sym_caller] = ACTIONS(1989),
    [anon_sym_chomp] = ACTIONS(1989),
    [anon_sym_chr] = ACTIONS(1989),
    [anon_sym_cos] = ACTIONS(1989),
    [anon_sym_chroot] = ACTIONS(1989),
    [anon_sym_defined] = ACTIONS(1989),
    [anon_sym_delete] = ACTIONS(1989),
    [anon_sym_dbmclose] = ACTIONS(1989),
    [anon_sym_exists] = ACTIONS(1989),
    [anon_sym_exit] = ACTIONS(1989),
    [anon_sym_eof] = ACTIONS(1989),
    [anon_sym_exp] = ACTIONS(1989),
    [anon_sym_each] = ACTIONS(1989),
    [anon_sym_fc] = ACTIONS(1989),
    [anon_sym_fileno] = ACTIONS(1989),
    [anon_sym_gmtime] = ACTIONS(1989),
    [anon_sym_getc] = ACTIONS(1989),
    [anon_sym_getpgrp] = ACTIONS(1989),
    [anon_sym_getprotobyname] = ACTIONS(1989),
    [anon_sym_getpwname] = ACTIONS(1989),
    [anon_sym_getpwuid] = ACTIONS(1989),
    [anon_sym_getpeername] = ACTIONS(1989),
    [anon_sym_getnetbyname] = ACTIONS(1989),
    [anon_sym_getsockname] = ACTIONS(1989),
    [anon_sym_getgrnam] = ACTIONS(1989),
    [anon_sym_getgrgid] = ACTIONS(1989),
    [anon_sym_hex] = ACTIONS(1989),
    [anon_sym_int] = ACTIONS(1989),
    [anon_sym_keys] = ACTIONS(1989),
    [anon_sym_lc] = ACTIONS(1989),
    [anon_sym_lcfirst] = ACTIONS(1989),
    [anon_sym_length] = ACTIONS(1989),
    [anon_sym_localtime] = ACTIONS(1989),
    [anon_sym_log] = ACTIONS(1989),
    [anon_sym_lock] = ACTIONS(1989),
    [anon_sym_lstat] = ACTIONS(1989),
    [anon_sym_oct] = ACTIONS(1989),
    [anon_sym_ord] = ACTIONS(1989),
    [anon_sym_prototype] = ACTIONS(1989),
    [anon_sym_pop] = ACTIONS(1989),
    [anon_sym_pos] = ACTIONS(1989),
    [anon_sym_quotemeta] = ACTIONS(1989),
    [anon_sym_reset] = ACTIONS(1989),
    [anon_sym_rand] = ACTIONS(1989),
    [anon_sym_rmdir] = ACTIONS(1989),
    [anon_sym_readdir] = ACTIONS(1989),
    [anon_sym_readline] = ACTIONS(1989),
    [anon_sym_readpipe] = ACTIONS(1989),
    [anon_sym_rewinddir] = ACTIONS(1989),
    [anon_sym_readlink] = ACTIONS(1989),
    [anon_sym_ref] = ACTIONS(1989),
    [anon_sym_scalar] = ACTIONS(1989),
    [anon_sym_shift] = ACTIONS(1989),
    [anon_sym_sin] = ACTIONS(1989),
    [anon_sym_sleep] = ACTIONS(1989),
    [anon_sym_sqrt] = ACTIONS(1989),
    [anon_sym_srand] = ACTIONS(1989),
    [anon_sym_stat] = ACTIONS(1989),
    [anon_sym_study] = ACTIONS(1989),
    [anon_sym_tell] = ACTIONS(1989),
    [anon_sym_telldir] = ACTIONS(1989),
    [anon_sym_tied] = ACTIONS(1989),
    [anon_sym_uc] = ACTIONS(1989),
    [anon_sym_ucfirst] = ACTIONS(1989),
    [anon_sym_untie] = ACTIONS(1989),
    [anon_sym_umask] = ACTIONS(1989),
    [anon_sym_values] = ACTIONS(1989),
    [anon_sym_write] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1989),
    [anon_sym___END__] = ACTIONS(1989),
    [anon_sym_EOT] = ACTIONS(1989),
    [anon_sym_q] = ACTIONS(1989),
    [anon_sym_qq] = ACTIONS(1989),
    [anon_sym_qw] = ACTIONS(1989),
    [anon_sym_qx] = ACTIONS(1989),
    [anon_sym_qr] = ACTIONS(1989),
    [anon_sym_m] = ACTIONS(1989),
    [anon_sym_s] = ACTIONS(1989),
    [anon_sym_tr] = ACTIONS(1989),
    [anon_sym_y] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_unless] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1989),
    [anon_sym_until] = ACTIONS(1989),
    [aux_sym__bareword_token1] = ACTIONS(1989),
    [sym_number] = ACTIONS(1989),
    [anon_sym_true] = ACTIONS(1989),
    [anon_sym_false] = ACTIONS(1989),
    [sym__single_quote] = ACTIONS(1987),
    [sym__double_quote] = ACTIONS(1987),
    [sym__backtick_quote] = ACTIONS(1987),
    [sym__search_slash_quote] = ACTIONS(1987),
    [sym__open_readline_bracket] = ACTIONS(1987),
    [sym__open_fileglob_bracket] = ACTIONS(1987),
    [sym__PERLY_HEREDOC] = ACTIONS(1987),
    [sym__ctrl_z_hack] = ACTIONS(1987),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1987),
    [sym__filetest] = ACTIONS(1987),
  },
  [885] = {
    [sym_heredoc_content] = STATE(885),
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_package] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_role] = ACTIONS(1845),
    [anon_sym_BUILD] = ACTIONS(1845),
    [anon_sym_ADJUST] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_defer] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_elsif] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_use] = ACTIONS(1845),
    [anon_sym_no] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym_BEGIN] = ACTIONS(1845),
    [anon_sym_INIT] = ACTIONS(1845),
    [anon_sym_CHECK] = ACTIONS(1845),
    [anon_sym_UNITCHECK] = ACTIONS(1845),
    [anon_sym_END] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1845),
    [anon_sym___END__] = ACTIONS(1845),
    [anon_sym_EOT] = ACTIONS(1845),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym__ctrl_z_hack] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [886] = {
    [sym_heredoc_content] = STATE(886),
    [ts_builtin_sym_end] = ACTIONS(1705),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_else] = ACTIONS(1707),
    [anon_sym_elsif] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1707),
    [anon_sym___END__] = ACTIONS(1707),
    [anon_sym_EOT] = ACTIONS(1707),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [887] = {
    [sym_heredoc_content] = STATE(887),
    [ts_builtin_sym_end] = ACTIONS(1995),
    [sym__identifier] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1997),
    [anon_sym_package] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_role] = ACTIONS(1997),
    [anon_sym_BUILD] = ACTIONS(1997),
    [anon_sym_ADJUST] = ACTIONS(1997),
    [anon_sym_DOLLAR] = ACTIONS(1997),
    [anon_sym_AT] = ACTIONS(1997),
    [anon_sym_my] = ACTIONS(1997),
    [anon_sym_extended] = ACTIONS(1997),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_sub] = ACTIONS(1997),
    [anon_sym_method] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_state] = ACTIONS(1997),
    [anon_sym_our] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1997),
    [anon_sym_finally] = ACTIONS(1999),
    [anon_sym_defer] = ACTIONS(1997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_SLASH_SLASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_TILDE] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_BSLASH] = ACTIONS(1995),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_eval] = ACTIONS(1997),
    [anon_sym_await] = ACTIONS(1997),
    [anon_sym_field] = ACTIONS(1997),
    [anon_sym_local] = ACTIONS(1997),
    [anon_sym_dynamically] = ACTIONS(1997),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1997),
    [anon_sym_require] = ACTIONS(1997),
    [anon_sym_map] = ACTIONS(1997),
    [anon_sym_grep] = ACTIONS(1997),
    [anon_sym_sort] = ACTIONS(1997),
    [anon_sym_goto] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_undef] = ACTIONS(1997),
    [anon_sym_PERCENT2] = ACTIONS(1997),
    [anon_sym_AMP2] = ACTIONS(1997),
    [anon_sym_STAR2] = ACTIONS(1997),
    [anon_sym_use] = ACTIONS(1997),
    [anon_sym_no] = ACTIONS(1997),
    [anon_sym_for] = ACTIONS(1997),
    [anon_sym_foreach] = ACTIONS(1997),
    [anon_sym_last] = ACTIONS(1997),
    [anon_sym_next] = ACTIONS(1997),
    [anon_sym_redo] = ACTIONS(1997),
    [anon_sym_BEGIN] = ACTIONS(1997),
    [anon_sym_INIT] = ACTIONS(1997),
    [anon_sym_CHECK] = ACTIONS(1997),
    [anon_sym_UNITCHECK] = ACTIONS(1997),
    [anon_sym_END] = ACTIONS(1997),
    [anon_sym___FILE__] = ACTIONS(1997),
    [anon_sym___LINE__] = ACTIONS(1997),
    [anon_sym___PACKAGE__] = ACTIONS(1997),
    [anon_sym___SUB__] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_fork] = ACTIONS(1997),
    [anon_sym_getppid] = ACTIONS(1997),
    [anon_sym_time] = ACTIONS(1997),
    [anon_sym_times] = ACTIONS(1997),
    [anon_sym_wait] = ACTIONS(1997),
    [anon_sym_wantarray] = ACTIONS(1997),
    [anon_sym_abs] = ACTIONS(1997),
    [anon_sym_alarm] = ACTIONS(1997),
    [anon_sym_chop] = ACTIONS(1997),
    [anon_sym_chdir] = ACTIONS(1997),
    [anon_sym_close] = ACTIONS(1997),
    [anon_sym_closedir] = ACTIONS(1997),
    [anon_sym_caller] = ACTIONS(1997),
    [anon_sym_chomp] = ACTIONS(1997),
    [anon_sym_chr] = ACTIONS(1997),
    [anon_sym_cos] = ACTIONS(1997),
    [anon_sym_chroot] = ACTIONS(1997),
    [anon_sym_defined] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_dbmclose] = ACTIONS(1997),
    [anon_sym_exists] = ACTIONS(1997),
    [anon_sym_exit] = ACTIONS(1997),
    [anon_sym_eof] = ACTIONS(1997),
    [anon_sym_exp] = ACTIONS(1997),
    [anon_sym_each] = ACTIONS(1997),
    [anon_sym_fc] = ACTIONS(1997),
    [anon_sym_fileno] = ACTIONS(1997),
    [anon_sym_gmtime] = ACTIONS(1997),
    [anon_sym_getc] = ACTIONS(1997),
    [anon_sym_getpgrp] = ACTIONS(1997),
    [anon_sym_getprotobyname] = ACTIONS(1997),
    [anon_sym_getpwname] = ACTIONS(1997),
    [anon_sym_getpwuid] = ACTIONS(1997),
    [anon_sym_getpeername] = ACTIONS(1997),
    [anon_sym_getnetbyname] = ACTIONS(1997),
    [anon_sym_getsockname] = ACTIONS(1997),
    [anon_sym_getgrnam] = ACTIONS(1997),
    [anon_sym_getgrgid] = ACTIONS(1997),
    [anon_sym_hex] = ACTIONS(1997),
    [anon_sym_int] = ACTIONS(1997),
    [anon_sym_keys] = ACTIONS(1997),
    [anon_sym_lc] = ACTIONS(1997),
    [anon_sym_lcfirst] = ACTIONS(1997),
    [anon_sym_length] = ACTIONS(1997),
    [anon_sym_localtime] = ACTIONS(1997),
    [anon_sym_log] = ACTIONS(1997),
    [anon_sym_lock] = ACTIONS(1997),
    [anon_sym_lstat] = ACTIONS(1997),
    [anon_sym_oct] = ACTIONS(1997),
    [anon_sym_ord] = ACTIONS(1997),
    [anon_sym_prototype] = ACTIONS(1997),
    [anon_sym_pop] = ACTIONS(1997),
    [anon_sym_pos] = ACTIONS(1997),
    [anon_sym_quotemeta] = ACTIONS(1997),
    [anon_sym_reset] = ACTIONS(1997),
    [anon_sym_rand] = ACTIONS(1997),
    [anon_sym_rmdir] = ACTIONS(1997),
    [anon_sym_readdir] = ACTIONS(1997),
    [anon_sym_readline] = ACTIONS(1997),
    [anon_sym_readpipe] = ACTIONS(1997),
    [anon_sym_rewinddir] = ACTIONS(1997),
    [anon_sym_readlink] = ACTIONS(1997),
    [anon_sym_ref] = ACTIONS(1997),
    [anon_sym_scalar] = ACTIONS(1997),
    [anon_sym_shift] = ACTIONS(1997),
    [anon_sym_sin] = ACTIONS(1997),
    [anon_sym_sleep] = ACTIONS(1997),
    [anon_sym_sqrt] = ACTIONS(1997),
    [anon_sym_srand] = ACTIONS(1997),
    [anon_sym_stat] = ACTIONS(1997),
    [anon_sym_study] = ACTIONS(1997),
    [anon_sym_tell] = ACTIONS(1997),
    [anon_sym_telldir] = ACTIONS(1997),
    [anon_sym_tied] = ACTIONS(1997),
    [anon_sym_uc] = ACTIONS(1997),
    [anon_sym_ucfirst] = ACTIONS(1997),
    [anon_sym_untie] = ACTIONS(1997),
    [anon_sym_umask] = ACTIONS(1997),
    [anon_sym_values] = ACTIONS(1997),
    [anon_sym_write] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1997),
    [anon_sym___END__] = ACTIONS(1997),
    [anon_sym_EOT] = ACTIONS(1997),
    [anon_sym_q] = ACTIONS(1997),
    [anon_sym_qq] = ACTIONS(1997),
    [anon_sym_qw] = ACTIONS(1997),
    [anon_sym_qx] = ACTIONS(1997),
    [anon_sym_qr] = ACTIONS(1997),
    [anon_sym_m] = ACTIONS(1997),
    [anon_sym_s] = ACTIONS(1997),
    [anon_sym_tr] = ACTIONS(1997),
    [anon_sym_y] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_unless] = ACTIONS(1997),
    [anon_sym_while] = ACTIONS(1997),
    [anon_sym_until] = ACTIONS(1997),
    [aux_sym__bareword_token1] = ACTIONS(1997),
    [sym_number] = ACTIONS(1997),
    [anon_sym_true] = ACTIONS(1997),
    [anon_sym_false] = ACTIONS(1997),
    [sym__single_quote] = ACTIONS(1995),
    [sym__double_quote] = ACTIONS(1995),
    [sym__backtick_quote] = ACTIONS(1995),
    [sym__search_slash_quote] = ACTIONS(1995),
    [sym__open_readline_bracket] = ACTIONS(1995),
    [sym__open_fileglob_bracket] = ACTIONS(1995),
    [sym__PERLY_HEREDOC] = ACTIONS(1995),
    [sym__ctrl_z_hack] = ACTIONS(1995),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1995),
    [sym__filetest] = ACTIONS(1995),
  },
  [888] = {
    [sym__else] = STATE(1078),
    [sym_else] = STATE(1047),
    [sym_elsif] = STATE(1047),
    [sym_heredoc_content] = STATE(888),
    [sym__identifier] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_RBRACE] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1985),
    [anon_sym_package] = ACTIONS(1985),
    [anon_sym_class] = ACTIONS(1985),
    [anon_sym_role] = ACTIONS(1985),
    [anon_sym_BUILD] = ACTIONS(1985),
    [anon_sym_ADJUST] = ACTIONS(1985),
    [anon_sym_DOLLAR] = ACTIONS(1985),
    [anon_sym_AT] = ACTIONS(1985),
    [anon_sym_my] = ACTIONS(1985),
    [anon_sym_extended] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1985),
    [anon_sym_sub] = ACTIONS(1985),
    [anon_sym_method] = ACTIONS(1985),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_continue] = ACTIONS(1985),
    [anon_sym_state] = ACTIONS(1985),
    [anon_sym_our] = ACTIONS(1985),
    [anon_sym_try] = ACTIONS(1985),
    [anon_sym_defer] = ACTIONS(1985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1985),
    [anon_sym_else] = ACTIONS(2001),
    [anon_sym_elsif] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_LT_LT] = ACTIONS(1985),
    [anon_sym_SLASH_SLASH] = ACTIONS(1985),
    [anon_sym_PLUS] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_TILDE] = ACTIONS(1985),
    [anon_sym_BANG] = ACTIONS(1985),
    [anon_sym_PLUS_PLUS] = ACTIONS(1985),
    [anon_sym_DASH_DASH] = ACTIONS(1985),
    [anon_sym_BSLASH] = ACTIONS(1983),
    [anon_sym_do] = ACTIONS(1985),
    [anon_sym_eval] = ACTIONS(1985),
    [anon_sym_await] = ACTIONS(1985),
    [anon_sym_field] = ACTIONS(1985),
    [anon_sym_local] = ACTIONS(1985),
    [anon_sym_dynamically] = ACTIONS(1985),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1985),
    [anon_sym_require] = ACTIONS(1985),
    [anon_sym_map] = ACTIONS(1985),
    [anon_sym_grep] = ACTIONS(1985),
    [anon_sym_sort] = ACTIONS(1985),
    [anon_sym_goto] = ACTIONS(1985),
    [anon_sym_return] = ACTIONS(1985),
    [anon_sym_undef] = ACTIONS(1985),
    [anon_sym_PERCENT2] = ACTIONS(1985),
    [anon_sym_AMP2] = ACTIONS(1985),
    [anon_sym_STAR2] = ACTIONS(1985),
    [anon_sym_use] = ACTIONS(1985),
    [anon_sym_no] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1985),
    [anon_sym_foreach] = ACTIONS(1985),
    [anon_sym_last] = ACTIONS(1985),
    [anon_sym_next] = ACTIONS(1985),
    [anon_sym_redo] = ACTIONS(1985),
    [anon_sym_BEGIN] = ACTIONS(1985),
    [anon_sym_INIT] = ACTIONS(1985),
    [anon_sym_CHECK] = ACTIONS(1985),
    [anon_sym_UNITCHECK] = ACTIONS(1985),
    [anon_sym_END] = ACTIONS(1985),
    [anon_sym___FILE__] = ACTIONS(1985),
    [anon_sym___LINE__] = ACTIONS(1985),
    [anon_sym___PACKAGE__] = ACTIONS(1985),
    [anon_sym___SUB__] = ACTIONS(1985),
    [anon_sym_break] = ACTIONS(1985),
    [anon_sym_fork] = ACTIONS(1985),
    [anon_sym_getppid] = ACTIONS(1985),
    [anon_sym_time] = ACTIONS(1985),
    [anon_sym_times] = ACTIONS(1985),
    [anon_sym_wait] = ACTIONS(1985),
    [anon_sym_wantarray] = ACTIONS(1985),
    [anon_sym_abs] = ACTIONS(1985),
    [anon_sym_alarm] = ACTIONS(1985),
    [anon_sym_chop] = ACTIONS(1985),
    [anon_sym_chdir] = ACTIONS(1985),
    [anon_sym_close] = ACTIONS(1985),
    [anon_sym_closedir] = ACTIONS(1985),
    [anon_sym_caller] = ACTIONS(1985),
    [anon_sym_chomp] = ACTIONS(1985),
    [anon_sym_chr] = ACTIONS(1985),
    [anon_sym_cos] = ACTIONS(1985),
    [anon_sym_chroot] = ACTIONS(1985),
    [anon_sym_defined] = ACTIONS(1985),
    [anon_sym_delete] = ACTIONS(1985),
    [anon_sym_dbmclose] = ACTIONS(1985),
    [anon_sym_exists] = ACTIONS(1985),
    [anon_sym_exit] = ACTIONS(1985),
    [anon_sym_eof] = ACTIONS(1985),
    [anon_sym_exp] = ACTIONS(1985),
    [anon_sym_each] = ACTIONS(1985),
    [anon_sym_fc] = ACTIONS(1985),
    [anon_sym_fileno] = ACTIONS(1985),
    [anon_sym_gmtime] = ACTIONS(1985),
    [anon_sym_getc] = ACTIONS(1985),
    [anon_sym_getpgrp] = ACTIONS(1985),
    [anon_sym_getprotobyname] = ACTIONS(1985),
    [anon_sym_getpwname] = ACTIONS(1985),
    [anon_sym_getpwuid] = ACTIONS(1985),
    [anon_sym_getpeername] = ACTIONS(1985),
    [anon_sym_getnetbyname] = ACTIONS(1985),
    [anon_sym_getsockname] = ACTIONS(1985),
    [anon_sym_getgrnam] = ACTIONS(1985),
    [anon_sym_getgrgid] = ACTIONS(1985),
    [anon_sym_hex] = ACTIONS(1985),
    [anon_sym_int] = ACTIONS(1985),
    [anon_sym_keys] = ACTIONS(1985),
    [anon_sym_lc] = ACTIONS(1985),
    [anon_sym_lcfirst] = ACTIONS(1985),
    [anon_sym_length] = ACTIONS(1985),
    [anon_sym_localtime] = ACTIONS(1985),
    [anon_sym_log] = ACTIONS(1985),
    [anon_sym_lock] = ACTIONS(1985),
    [anon_sym_lstat] = ACTIONS(1985),
    [anon_sym_oct] = ACTIONS(1985),
    [anon_sym_ord] = ACTIONS(1985),
    [anon_sym_prototype] = ACTIONS(1985),
    [anon_sym_pop] = ACTIONS(1985),
    [anon_sym_pos] = ACTIONS(1985),
    [anon_sym_quotemeta] = ACTIONS(1985),
    [anon_sym_reset] = ACTIONS(1985),
    [anon_sym_rand] = ACTIONS(1985),
    [anon_sym_rmdir] = ACTIONS(1985),
    [anon_sym_readdir] = ACTIONS(1985),
    [anon_sym_readline] = ACTIONS(1985),
    [anon_sym_readpipe] = ACTIONS(1985),
    [anon_sym_rewinddir] = ACTIONS(1985),
    [anon_sym_readlink] = ACTIONS(1985),
    [anon_sym_ref] = ACTIONS(1985),
    [anon_sym_scalar] = ACTIONS(1985),
    [anon_sym_shift] = ACTIONS(1985),
    [anon_sym_sin] = ACTIONS(1985),
    [anon_sym_sleep] = ACTIONS(1985),
    [anon_sym_sqrt] = ACTIONS(1985),
    [anon_sym_srand] = ACTIONS(1985),
    [anon_sym_stat] = ACTIONS(1985),
    [anon_sym_study] = ACTIONS(1985),
    [anon_sym_tell] = ACTIONS(1985),
    [anon_sym_telldir] = ACTIONS(1985),
    [anon_sym_tied] = ACTIONS(1985),
    [anon_sym_uc] = ACTIONS(1985),
    [anon_sym_ucfirst] = ACTIONS(1985),
    [anon_sym_untie] = ACTIONS(1985),
    [anon_sym_umask] = ACTIONS(1985),
    [anon_sym_values] = ACTIONS(1985),
    [anon_sym_write] = ACTIONS(1985),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1985),
    [anon_sym_qq] = ACTIONS(1985),
    [anon_sym_qw] = ACTIONS(1985),
    [anon_sym_qx] = ACTIONS(1985),
    [anon_sym_qr] = ACTIONS(1985),
    [anon_sym_m] = ACTIONS(1985),
    [anon_sym_s] = ACTIONS(1985),
    [anon_sym_tr] = ACTIONS(1985),
    [anon_sym_y] = ACTIONS(1985),
    [anon_sym_if] = ACTIONS(1985),
    [anon_sym_unless] = ACTIONS(1985),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_until] = ACTIONS(1985),
    [aux_sym__bareword_token1] = ACTIONS(1985),
    [sym_number] = ACTIONS(1985),
    [anon_sym_true] = ACTIONS(1985),
    [anon_sym_false] = ACTIONS(1985),
    [sym__single_quote] = ACTIONS(1983),
    [sym__double_quote] = ACTIONS(1983),
    [sym__backtick_quote] = ACTIONS(1983),
    [sym__search_slash_quote] = ACTIONS(1983),
    [sym__open_readline_bracket] = ACTIONS(1983),
    [sym__open_fileglob_bracket] = ACTIONS(1983),
    [sym__PERLY_HEREDOC] = ACTIONS(1983),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1983),
    [sym__filetest] = ACTIONS(1983),
  },
  [889] = {
    [sym_heredoc_content] = STATE(889),
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_package] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_role] = ACTIONS(1845),
    [anon_sym_BUILD] = ACTIONS(1845),
    [anon_sym_ADJUST] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_finally] = ACTIONS(1845),
    [anon_sym_defer] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_use] = ACTIONS(1845),
    [anon_sym_no] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym_BEGIN] = ACTIONS(1845),
    [anon_sym_INIT] = ACTIONS(1845),
    [anon_sym_CHECK] = ACTIONS(1845),
    [anon_sym_UNITCHECK] = ACTIONS(1845),
    [anon_sym_END] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1845),
    [anon_sym___END__] = ACTIONS(1845),
    [anon_sym_EOT] = ACTIONS(1845),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym__ctrl_z_hack] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [890] = {
    [sym_heredoc_content] = STATE(890),
    [ts_builtin_sym_end] = ACTIONS(1705),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_finally] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1707),
    [anon_sym___END__] = ACTIONS(1707),
    [anon_sym_EOT] = ACTIONS(1707),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [891] = {
    [sym__else] = STATE(1046),
    [sym_else] = STATE(1047),
    [sym_elsif] = STATE(1047),
    [sym_heredoc_content] = STATE(891),
    [sym__identifier] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_RBRACE] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1977),
    [anon_sym_package] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_role] = ACTIONS(1977),
    [anon_sym_BUILD] = ACTIONS(1977),
    [anon_sym_ADJUST] = ACTIONS(1977),
    [anon_sym_DOLLAR] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_my] = ACTIONS(1977),
    [anon_sym_extended] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_sub] = ACTIONS(1977),
    [anon_sym_method] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_state] = ACTIONS(1977),
    [anon_sym_our] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_defer] = ACTIONS(1977),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(2001),
    [anon_sym_elsif] = ACTIONS(2003),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [anon_sym_BSLASH] = ACTIONS(1975),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_eval] = ACTIONS(1977),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_field] = ACTIONS(1977),
    [anon_sym_local] = ACTIONS(1977),
    [anon_sym_dynamically] = ACTIONS(1977),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1977),
    [anon_sym_require] = ACTIONS(1977),
    [anon_sym_map] = ACTIONS(1977),
    [anon_sym_grep] = ACTIONS(1977),
    [anon_sym_sort] = ACTIONS(1977),
    [anon_sym_goto] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_undef] = ACTIONS(1977),
    [anon_sym_PERCENT2] = ACTIONS(1977),
    [anon_sym_AMP2] = ACTIONS(1977),
    [anon_sym_STAR2] = ACTIONS(1977),
    [anon_sym_use] = ACTIONS(1977),
    [anon_sym_no] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_foreach] = ACTIONS(1977),
    [anon_sym_last] = ACTIONS(1977),
    [anon_sym_next] = ACTIONS(1977),
    [anon_sym_redo] = ACTIONS(1977),
    [anon_sym_BEGIN] = ACTIONS(1977),
    [anon_sym_INIT] = ACTIONS(1977),
    [anon_sym_CHECK] = ACTIONS(1977),
    [anon_sym_UNITCHECK] = ACTIONS(1977),
    [anon_sym_END] = ACTIONS(1977),
    [anon_sym___FILE__] = ACTIONS(1977),
    [anon_sym___LINE__] = ACTIONS(1977),
    [anon_sym___PACKAGE__] = ACTIONS(1977),
    [anon_sym___SUB__] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_fork] = ACTIONS(1977),
    [anon_sym_getppid] = ACTIONS(1977),
    [anon_sym_time] = ACTIONS(1977),
    [anon_sym_times] = ACTIONS(1977),
    [anon_sym_wait] = ACTIONS(1977),
    [anon_sym_wantarray] = ACTIONS(1977),
    [anon_sym_abs] = ACTIONS(1977),
    [anon_sym_alarm] = ACTIONS(1977),
    [anon_sym_chop] = ACTIONS(1977),
    [anon_sym_chdir] = ACTIONS(1977),
    [anon_sym_close] = ACTIONS(1977),
    [anon_sym_closedir] = ACTIONS(1977),
    [anon_sym_caller] = ACTIONS(1977),
    [anon_sym_chomp] = ACTIONS(1977),
    [anon_sym_chr] = ACTIONS(1977),
    [anon_sym_cos] = ACTIONS(1977),
    [anon_sym_chroot] = ACTIONS(1977),
    [anon_sym_defined] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_dbmclose] = ACTIONS(1977),
    [anon_sym_exists] = ACTIONS(1977),
    [anon_sym_exit] = ACTIONS(1977),
    [anon_sym_eof] = ACTIONS(1977),
    [anon_sym_exp] = ACTIONS(1977),
    [anon_sym_each] = ACTIONS(1977),
    [anon_sym_fc] = ACTIONS(1977),
    [anon_sym_fileno] = ACTIONS(1977),
    [anon_sym_gmtime] = ACTIONS(1977),
    [anon_sym_getc] = ACTIONS(1977),
    [anon_sym_getpgrp] = ACTIONS(1977),
    [anon_sym_getprotobyname] = ACTIONS(1977),
    [anon_sym_getpwname] = ACTIONS(1977),
    [anon_sym_getpwuid] = ACTIONS(1977),
    [anon_sym_getpeername] = ACTIONS(1977),
    [anon_sym_getnetbyname] = ACTIONS(1977),
    [anon_sym_getsockname] = ACTIONS(1977),
    [anon_sym_getgrnam] = ACTIONS(1977),
    [anon_sym_getgrgid] = ACTIONS(1977),
    [anon_sym_hex] = ACTIONS(1977),
    [anon_sym_int] = ACTIONS(1977),
    [anon_sym_keys] = ACTIONS(1977),
    [anon_sym_lc] = ACTIONS(1977),
    [anon_sym_lcfirst] = ACTIONS(1977),
    [anon_sym_length] = ACTIONS(1977),
    [anon_sym_localtime] = ACTIONS(1977),
    [anon_sym_log] = ACTIONS(1977),
    [anon_sym_lock] = ACTIONS(1977),
    [anon_sym_lstat] = ACTIONS(1977),
    [anon_sym_oct] = ACTIONS(1977),
    [anon_sym_ord] = ACTIONS(1977),
    [anon_sym_prototype] = ACTIONS(1977),
    [anon_sym_pop] = ACTIONS(1977),
    [anon_sym_pos] = ACTIONS(1977),
    [anon_sym_quotemeta] = ACTIONS(1977),
    [anon_sym_reset] = ACTIONS(1977),
    [anon_sym_rand] = ACTIONS(1977),
    [anon_sym_rmdir] = ACTIONS(1977),
    [anon_sym_readdir] = ACTIONS(1977),
    [anon_sym_readline] = ACTIONS(1977),
    [anon_sym_readpipe] = ACTIONS(1977),
    [anon_sym_rewinddir] = ACTIONS(1977),
    [anon_sym_readlink] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1977),
    [anon_sym_scalar] = ACTIONS(1977),
    [anon_sym_shift] = ACTIONS(1977),
    [anon_sym_sin] = ACTIONS(1977),
    [anon_sym_sleep] = ACTIONS(1977),
    [anon_sym_sqrt] = ACTIONS(1977),
    [anon_sym_srand] = ACTIONS(1977),
    [anon_sym_stat] = ACTIONS(1977),
    [anon_sym_study] = ACTIONS(1977),
    [anon_sym_tell] = ACTIONS(1977),
    [anon_sym_telldir] = ACTIONS(1977),
    [anon_sym_tied] = ACTIONS(1977),
    [anon_sym_uc] = ACTIONS(1977),
    [anon_sym_ucfirst] = ACTIONS(1977),
    [anon_sym_untie] = ACTIONS(1977),
    [anon_sym_umask] = ACTIONS(1977),
    [anon_sym_values] = ACTIONS(1977),
    [anon_sym_write] = ACTIONS(1977),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1977),
    [anon_sym_qq] = ACTIONS(1977),
    [anon_sym_qw] = ACTIONS(1977),
    [anon_sym_qx] = ACTIONS(1977),
    [anon_sym_qr] = ACTIONS(1977),
    [anon_sym_m] = ACTIONS(1977),
    [anon_sym_s] = ACTIONS(1977),
    [anon_sym_tr] = ACTIONS(1977),
    [anon_sym_y] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_unless] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_until] = ACTIONS(1977),
    [aux_sym__bareword_token1] = ACTIONS(1977),
    [sym_number] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1977),
    [anon_sym_false] = ACTIONS(1977),
    [sym__single_quote] = ACTIONS(1975),
    [sym__double_quote] = ACTIONS(1975),
    [sym__backtick_quote] = ACTIONS(1975),
    [sym__search_slash_quote] = ACTIONS(1975),
    [sym__open_readline_bracket] = ACTIONS(1975),
    [sym__open_fileglob_bracket] = ACTIONS(1975),
    [sym__PERLY_HEREDOC] = ACTIONS(1975),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1975),
    [sym__filetest] = ACTIONS(1975),
  },
  [892] = {
    [sym_heredoc_content] = STATE(892),
    [ts_builtin_sym_end] = ACTIONS(2005),
    [sym__identifier] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_package] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_role] = ACTIONS(2007),
    [anon_sym_BUILD] = ACTIONS(2007),
    [anon_sym_ADJUST] = ACTIONS(2007),
    [anon_sym_DOLLAR] = ACTIONS(2007),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_my] = ACTIONS(2007),
    [anon_sym_extended] = ACTIONS(2007),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_sub] = ACTIONS(2007),
    [anon_sym_method] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_state] = ACTIONS(2007),
    [anon_sym_our] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_finally] = ACTIONS(2009),
    [anon_sym_defer] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LT_LT] = ACTIONS(2007),
    [anon_sym_SLASH_SLASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2007),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [anon_sym_BSLASH] = ACTIONS(2005),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_eval] = ACTIONS(2007),
    [anon_sym_await] = ACTIONS(2007),
    [anon_sym_field] = ACTIONS(2007),
    [anon_sym_local] = ACTIONS(2007),
    [anon_sym_dynamically] = ACTIONS(2007),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2007),
    [anon_sym_require] = ACTIONS(2007),
    [anon_sym_map] = ACTIONS(2007),
    [anon_sym_grep] = ACTIONS(2007),
    [anon_sym_sort] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_undef] = ACTIONS(2007),
    [anon_sym_PERCENT2] = ACTIONS(2007),
    [anon_sym_AMP2] = ACTIONS(2007),
    [anon_sym_STAR2] = ACTIONS(2007),
    [anon_sym_use] = ACTIONS(2007),
    [anon_sym_no] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_foreach] = ACTIONS(2007),
    [anon_sym_last] = ACTIONS(2007),
    [anon_sym_next] = ACTIONS(2007),
    [anon_sym_redo] = ACTIONS(2007),
    [anon_sym_BEGIN] = ACTIONS(2007),
    [anon_sym_INIT] = ACTIONS(2007),
    [anon_sym_CHECK] = ACTIONS(2007),
    [anon_sym_UNITCHECK] = ACTIONS(2007),
    [anon_sym_END] = ACTIONS(2007),
    [anon_sym___FILE__] = ACTIONS(2007),
    [anon_sym___LINE__] = ACTIONS(2007),
    [anon_sym___PACKAGE__] = ACTIONS(2007),
    [anon_sym___SUB__] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_fork] = ACTIONS(2007),
    [anon_sym_getppid] = ACTIONS(2007),
    [anon_sym_time] = ACTIONS(2007),
    [anon_sym_times] = ACTIONS(2007),
    [anon_sym_wait] = ACTIONS(2007),
    [anon_sym_wantarray] = ACTIONS(2007),
    [anon_sym_abs] = ACTIONS(2007),
    [anon_sym_alarm] = ACTIONS(2007),
    [anon_sym_chop] = ACTIONS(2007),
    [anon_sym_chdir] = ACTIONS(2007),
    [anon_sym_close] = ACTIONS(2007),
    [anon_sym_closedir] = ACTIONS(2007),
    [anon_sym_caller] = ACTIONS(2007),
    [anon_sym_chomp] = ACTIONS(2007),
    [anon_sym_chr] = ACTIONS(2007),
    [anon_sym_cos] = ACTIONS(2007),
    [anon_sym_chroot] = ACTIONS(2007),
    [anon_sym_defined] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_dbmclose] = ACTIONS(2007),
    [anon_sym_exists] = ACTIONS(2007),
    [anon_sym_exit] = ACTIONS(2007),
    [anon_sym_eof] = ACTIONS(2007),
    [anon_sym_exp] = ACTIONS(2007),
    [anon_sym_each] = ACTIONS(2007),
    [anon_sym_fc] = ACTIONS(2007),
    [anon_sym_fileno] = ACTIONS(2007),
    [anon_sym_gmtime] = ACTIONS(2007),
    [anon_sym_getc] = ACTIONS(2007),
    [anon_sym_getpgrp] = ACTIONS(2007),
    [anon_sym_getprotobyname] = ACTIONS(2007),
    [anon_sym_getpwname] = ACTIONS(2007),
    [anon_sym_getpwuid] = ACTIONS(2007),
    [anon_sym_getpeername] = ACTIONS(2007),
    [anon_sym_getnetbyname] = ACTIONS(2007),
    [anon_sym_getsockname] = ACTIONS(2007),
    [anon_sym_getgrnam] = ACTIONS(2007),
    [anon_sym_getgrgid] = ACTIONS(2007),
    [anon_sym_hex] = ACTIONS(2007),
    [anon_sym_int] = ACTIONS(2007),
    [anon_sym_keys] = ACTIONS(2007),
    [anon_sym_lc] = ACTIONS(2007),
    [anon_sym_lcfirst] = ACTIONS(2007),
    [anon_sym_length] = ACTIONS(2007),
    [anon_sym_localtime] = ACTIONS(2007),
    [anon_sym_log] = ACTIONS(2007),
    [anon_sym_lock] = ACTIONS(2007),
    [anon_sym_lstat] = ACTIONS(2007),
    [anon_sym_oct] = ACTIONS(2007),
    [anon_sym_ord] = ACTIONS(2007),
    [anon_sym_prototype] = ACTIONS(2007),
    [anon_sym_pop] = ACTIONS(2007),
    [anon_sym_pos] = ACTIONS(2007),
    [anon_sym_quotemeta] = ACTIONS(2007),
    [anon_sym_reset] = ACTIONS(2007),
    [anon_sym_rand] = ACTIONS(2007),
    [anon_sym_rmdir] = ACTIONS(2007),
    [anon_sym_readdir] = ACTIONS(2007),
    [anon_sym_readline] = ACTIONS(2007),
    [anon_sym_readpipe] = ACTIONS(2007),
    [anon_sym_rewinddir] = ACTIONS(2007),
    [anon_sym_readlink] = ACTIONS(2007),
    [anon_sym_ref] = ACTIONS(2007),
    [anon_sym_scalar] = ACTIONS(2007),
    [anon_sym_shift] = ACTIONS(2007),
    [anon_sym_sin] = ACTIONS(2007),
    [anon_sym_sleep] = ACTIONS(2007),
    [anon_sym_sqrt] = ACTIONS(2007),
    [anon_sym_srand] = ACTIONS(2007),
    [anon_sym_stat] = ACTIONS(2007),
    [anon_sym_study] = ACTIONS(2007),
    [anon_sym_tell] = ACTIONS(2007),
    [anon_sym_telldir] = ACTIONS(2007),
    [anon_sym_tied] = ACTIONS(2007),
    [anon_sym_uc] = ACTIONS(2007),
    [anon_sym_ucfirst] = ACTIONS(2007),
    [anon_sym_untie] = ACTIONS(2007),
    [anon_sym_umask] = ACTIONS(2007),
    [anon_sym_values] = ACTIONS(2007),
    [anon_sym_write] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2007),
    [anon_sym___END__] = ACTIONS(2007),
    [anon_sym_EOT] = ACTIONS(2007),
    [anon_sym_q] = ACTIONS(2007),
    [anon_sym_qq] = ACTIONS(2007),
    [anon_sym_qw] = ACTIONS(2007),
    [anon_sym_qx] = ACTIONS(2007),
    [anon_sym_qr] = ACTIONS(2007),
    [anon_sym_m] = ACTIONS(2007),
    [anon_sym_s] = ACTIONS(2007),
    [anon_sym_tr] = ACTIONS(2007),
    [anon_sym_y] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_unless] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_until] = ACTIONS(2007),
    [aux_sym__bareword_token1] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [anon_sym_true] = ACTIONS(2007),
    [anon_sym_false] = ACTIONS(2007),
    [sym__single_quote] = ACTIONS(2005),
    [sym__double_quote] = ACTIONS(2005),
    [sym__backtick_quote] = ACTIONS(2005),
    [sym__search_slash_quote] = ACTIONS(2005),
    [sym__open_readline_bracket] = ACTIONS(2005),
    [sym__open_fileglob_bracket] = ACTIONS(2005),
    [sym__PERLY_HEREDOC] = ACTIONS(2005),
    [sym__ctrl_z_hack] = ACTIONS(2005),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2005),
    [sym__filetest] = ACTIONS(2005),
  },
  [893] = {
    [sym_heredoc_content] = STATE(893),
    [ts_builtin_sym_end] = ACTIONS(2011),
    [sym__identifier] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2013),
    [anon_sym_package] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_role] = ACTIONS(2013),
    [anon_sym_BUILD] = ACTIONS(2013),
    [anon_sym_ADJUST] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2013),
    [anon_sym_my] = ACTIONS(2013),
    [anon_sym_extended] = ACTIONS(2013),
    [anon_sym_async] = ACTIONS(2013),
    [anon_sym_sub] = ACTIONS(2013),
    [anon_sym_method] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_state] = ACTIONS(2013),
    [anon_sym_our] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_defer] = ACTIONS(2013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_LT_LT] = ACTIONS(2013),
    [anon_sym_SLASH_SLASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_PLUS_PLUS] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_BSLASH] = ACTIONS(2011),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_eval] = ACTIONS(2013),
    [anon_sym_await] = ACTIONS(2013),
    [anon_sym_field] = ACTIONS(2013),
    [anon_sym_local] = ACTIONS(2013),
    [anon_sym_dynamically] = ACTIONS(2013),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2013),
    [anon_sym_require] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2013),
    [anon_sym_grep] = ACTIONS(2013),
    [anon_sym_sort] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_undef] = ACTIONS(2013),
    [anon_sym_PERCENT2] = ACTIONS(2013),
    [anon_sym_AMP2] = ACTIONS(2013),
    [anon_sym_STAR2] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2013),
    [anon_sym_no] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_foreach] = ACTIONS(2013),
    [anon_sym_last] = ACTIONS(2013),
    [anon_sym_next] = ACTIONS(2013),
    [anon_sym_redo] = ACTIONS(2013),
    [anon_sym_BEGIN] = ACTIONS(2013),
    [anon_sym_INIT] = ACTIONS(2013),
    [anon_sym_CHECK] = ACTIONS(2013),
    [anon_sym_UNITCHECK] = ACTIONS(2013),
    [anon_sym_END] = ACTIONS(2013),
    [anon_sym___FILE__] = ACTIONS(2013),
    [anon_sym___LINE__] = ACTIONS(2013),
    [anon_sym___PACKAGE__] = ACTIONS(2013),
    [anon_sym___SUB__] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_fork] = ACTIONS(2013),
    [anon_sym_getppid] = ACTIONS(2013),
    [anon_sym_time] = ACTIONS(2013),
    [anon_sym_times] = ACTIONS(2013),
    [anon_sym_wait] = ACTIONS(2013),
    [anon_sym_wantarray] = ACTIONS(2013),
    [anon_sym_abs] = ACTIONS(2013),
    [anon_sym_alarm] = ACTIONS(2013),
    [anon_sym_chop] = ACTIONS(2013),
    [anon_sym_chdir] = ACTIONS(2013),
    [anon_sym_close] = ACTIONS(2013),
    [anon_sym_closedir] = ACTIONS(2013),
    [anon_sym_caller] = ACTIONS(2013),
    [anon_sym_chomp] = ACTIONS(2013),
    [anon_sym_chr] = ACTIONS(2013),
    [anon_sym_cos] = ACTIONS(2013),
    [anon_sym_chroot] = ACTIONS(2013),
    [anon_sym_defined] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_dbmclose] = ACTIONS(2013),
    [anon_sym_exists] = ACTIONS(2013),
    [anon_sym_exit] = ACTIONS(2013),
    [anon_sym_eof] = ACTIONS(2013),
    [anon_sym_exp] = ACTIONS(2013),
    [anon_sym_each] = ACTIONS(2013),
    [anon_sym_fc] = ACTIONS(2013),
    [anon_sym_fileno] = ACTIONS(2013),
    [anon_sym_gmtime] = ACTIONS(2013),
    [anon_sym_getc] = ACTIONS(2013),
    [anon_sym_getpgrp] = ACTIONS(2013),
    [anon_sym_getprotobyname] = ACTIONS(2013),
    [anon_sym_getpwname] = ACTIONS(2013),
    [anon_sym_getpwuid] = ACTIONS(2013),
    [anon_sym_getpeername] = ACTIONS(2013),
    [anon_sym_getnetbyname] = ACTIONS(2013),
    [anon_sym_getsockname] = ACTIONS(2013),
    [anon_sym_getgrnam] = ACTIONS(2013),
    [anon_sym_getgrgid] = ACTIONS(2013),
    [anon_sym_hex] = ACTIONS(2013),
    [anon_sym_int] = ACTIONS(2013),
    [anon_sym_keys] = ACTIONS(2013),
    [anon_sym_lc] = ACTIONS(2013),
    [anon_sym_lcfirst] = ACTIONS(2013),
    [anon_sym_length] = ACTIONS(2013),
    [anon_sym_localtime] = ACTIONS(2013),
    [anon_sym_log] = ACTIONS(2013),
    [anon_sym_lock] = ACTIONS(2013),
    [anon_sym_lstat] = ACTIONS(2013),
    [anon_sym_oct] = ACTIONS(2013),
    [anon_sym_ord] = ACTIONS(2013),
    [anon_sym_prototype] = ACTIONS(2013),
    [anon_sym_pop] = ACTIONS(2013),
    [anon_sym_pos] = ACTIONS(2013),
    [anon_sym_quotemeta] = ACTIONS(2013),
    [anon_sym_reset] = ACTIONS(2013),
    [anon_sym_rand] = ACTIONS(2013),
    [anon_sym_rmdir] = ACTIONS(2013),
    [anon_sym_readdir] = ACTIONS(2013),
    [anon_sym_readline] = ACTIONS(2013),
    [anon_sym_readpipe] = ACTIONS(2013),
    [anon_sym_rewinddir] = ACTIONS(2013),
    [anon_sym_readlink] = ACTIONS(2013),
    [anon_sym_ref] = ACTIONS(2013),
    [anon_sym_scalar] = ACTIONS(2013),
    [anon_sym_shift] = ACTIONS(2013),
    [anon_sym_sin] = ACTIONS(2013),
    [anon_sym_sleep] = ACTIONS(2013),
    [anon_sym_sqrt] = ACTIONS(2013),
    [anon_sym_srand] = ACTIONS(2013),
    [anon_sym_stat] = ACTIONS(2013),
    [anon_sym_study] = ACTIONS(2013),
    [anon_sym_tell] = ACTIONS(2013),
    [anon_sym_telldir] = ACTIONS(2013),
    [anon_sym_tied] = ACTIONS(2013),
    [anon_sym_uc] = ACTIONS(2013),
    [anon_sym_ucfirst] = ACTIONS(2013),
    [anon_sym_untie] = ACTIONS(2013),
    [anon_sym_umask] = ACTIONS(2013),
    [anon_sym_values] = ACTIONS(2013),
    [anon_sym_write] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2013),
    [anon_sym___END__] = ACTIONS(2013),
    [anon_sym_EOT] = ACTIONS(2013),
    [anon_sym_q] = ACTIONS(2013),
    [anon_sym_qq] = ACTIONS(2013),
    [anon_sym_qw] = ACTIONS(2013),
    [anon_sym_qx] = ACTIONS(2013),
    [anon_sym_qr] = ACTIONS(2013),
    [anon_sym_m] = ACTIONS(2013),
    [anon_sym_s] = ACTIONS(2013),
    [anon_sym_tr] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_unless] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_until] = ACTIONS(2013),
    [aux_sym__bareword_token1] = ACTIONS(2013),
    [sym_number] = ACTIONS(2013),
    [anon_sym_true] = ACTIONS(2013),
    [anon_sym_false] = ACTIONS(2013),
    [sym__single_quote] = ACTIONS(2011),
    [sym__double_quote] = ACTIONS(2011),
    [sym__backtick_quote] = ACTIONS(2011),
    [sym__search_slash_quote] = ACTIONS(2011),
    [sym__open_readline_bracket] = ACTIONS(2011),
    [sym__open_fileglob_bracket] = ACTIONS(2011),
    [sym__PERLY_HEREDOC] = ACTIONS(2011),
    [sym__ctrl_z_hack] = ACTIONS(2011),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2011),
    [sym__filetest] = ACTIONS(2011),
  },
  [894] = {
    [sym_heredoc_content] = STATE(894),
    [ts_builtin_sym_end] = ACTIONS(2015),
    [sym__identifier] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2017),
    [anon_sym_package] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_role] = ACTIONS(2017),
    [anon_sym_BUILD] = ACTIONS(2017),
    [anon_sym_ADJUST] = ACTIONS(2017),
    [anon_sym_DOLLAR] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2017),
    [anon_sym_my] = ACTIONS(2017),
    [anon_sym_extended] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_sub] = ACTIONS(2017),
    [anon_sym_method] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_state] = ACTIONS(2017),
    [anon_sym_our] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_defer] = ACTIONS(2017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LT_LT] = ACTIONS(2017),
    [anon_sym_SLASH_SLASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_TILDE] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2017),
    [anon_sym_BSLASH] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_eval] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_field] = ACTIONS(2017),
    [anon_sym_local] = ACTIONS(2017),
    [anon_sym_dynamically] = ACTIONS(2017),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2017),
    [anon_sym_require] = ACTIONS(2017),
    [anon_sym_map] = ACTIONS(2017),
    [anon_sym_grep] = ACTIONS(2017),
    [anon_sym_sort] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_undef] = ACTIONS(2017),
    [anon_sym_PERCENT2] = ACTIONS(2017),
    [anon_sym_AMP2] = ACTIONS(2017),
    [anon_sym_STAR2] = ACTIONS(2017),
    [anon_sym_use] = ACTIONS(2017),
    [anon_sym_no] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_foreach] = ACTIONS(2017),
    [anon_sym_last] = ACTIONS(2017),
    [anon_sym_next] = ACTIONS(2017),
    [anon_sym_redo] = ACTIONS(2017),
    [anon_sym_BEGIN] = ACTIONS(2017),
    [anon_sym_INIT] = ACTIONS(2017),
    [anon_sym_CHECK] = ACTIONS(2017),
    [anon_sym_UNITCHECK] = ACTIONS(2017),
    [anon_sym_END] = ACTIONS(2017),
    [anon_sym___FILE__] = ACTIONS(2017),
    [anon_sym___LINE__] = ACTIONS(2017),
    [anon_sym___PACKAGE__] = ACTIONS(2017),
    [anon_sym___SUB__] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_fork] = ACTIONS(2017),
    [anon_sym_getppid] = ACTIONS(2017),
    [anon_sym_time] = ACTIONS(2017),
    [anon_sym_times] = ACTIONS(2017),
    [anon_sym_wait] = ACTIONS(2017),
    [anon_sym_wantarray] = ACTIONS(2017),
    [anon_sym_abs] = ACTIONS(2017),
    [anon_sym_alarm] = ACTIONS(2017),
    [anon_sym_chop] = ACTIONS(2017),
    [anon_sym_chdir] = ACTIONS(2017),
    [anon_sym_close] = ACTIONS(2017),
    [anon_sym_closedir] = ACTIONS(2017),
    [anon_sym_caller] = ACTIONS(2017),
    [anon_sym_chomp] = ACTIONS(2017),
    [anon_sym_chr] = ACTIONS(2017),
    [anon_sym_cos] = ACTIONS(2017),
    [anon_sym_chroot] = ACTIONS(2017),
    [anon_sym_defined] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_dbmclose] = ACTIONS(2017),
    [anon_sym_exists] = ACTIONS(2017),
    [anon_sym_exit] = ACTIONS(2017),
    [anon_sym_eof] = ACTIONS(2017),
    [anon_sym_exp] = ACTIONS(2017),
    [anon_sym_each] = ACTIONS(2017),
    [anon_sym_fc] = ACTIONS(2017),
    [anon_sym_fileno] = ACTIONS(2017),
    [anon_sym_gmtime] = ACTIONS(2017),
    [anon_sym_getc] = ACTIONS(2017),
    [anon_sym_getpgrp] = ACTIONS(2017),
    [anon_sym_getprotobyname] = ACTIONS(2017),
    [anon_sym_getpwname] = ACTIONS(2017),
    [anon_sym_getpwuid] = ACTIONS(2017),
    [anon_sym_getpeername] = ACTIONS(2017),
    [anon_sym_getnetbyname] = ACTIONS(2017),
    [anon_sym_getsockname] = ACTIONS(2017),
    [anon_sym_getgrnam] = ACTIONS(2017),
    [anon_sym_getgrgid] = ACTIONS(2017),
    [anon_sym_hex] = ACTIONS(2017),
    [anon_sym_int] = ACTIONS(2017),
    [anon_sym_keys] = ACTIONS(2017),
    [anon_sym_lc] = ACTIONS(2017),
    [anon_sym_lcfirst] = ACTIONS(2017),
    [anon_sym_length] = ACTIONS(2017),
    [anon_sym_localtime] = ACTIONS(2017),
    [anon_sym_log] = ACTIONS(2017),
    [anon_sym_lock] = ACTIONS(2017),
    [anon_sym_lstat] = ACTIONS(2017),
    [anon_sym_oct] = ACTIONS(2017),
    [anon_sym_ord] = ACTIONS(2017),
    [anon_sym_prototype] = ACTIONS(2017),
    [anon_sym_pop] = ACTIONS(2017),
    [anon_sym_pos] = ACTIONS(2017),
    [anon_sym_quotemeta] = ACTIONS(2017),
    [anon_sym_reset] = ACTIONS(2017),
    [anon_sym_rand] = ACTIONS(2017),
    [anon_sym_rmdir] = ACTIONS(2017),
    [anon_sym_readdir] = ACTIONS(2017),
    [anon_sym_readline] = ACTIONS(2017),
    [anon_sym_readpipe] = ACTIONS(2017),
    [anon_sym_rewinddir] = ACTIONS(2017),
    [anon_sym_readlink] = ACTIONS(2017),
    [anon_sym_ref] = ACTIONS(2017),
    [anon_sym_scalar] = ACTIONS(2017),
    [anon_sym_shift] = ACTIONS(2017),
    [anon_sym_sin] = ACTIONS(2017),
    [anon_sym_sleep] = ACTIONS(2017),
    [anon_sym_sqrt] = ACTIONS(2017),
    [anon_sym_srand] = ACTIONS(2017),
    [anon_sym_stat] = ACTIONS(2017),
    [anon_sym_study] = ACTIONS(2017),
    [anon_sym_tell] = ACTIONS(2017),
    [anon_sym_telldir] = ACTIONS(2017),
    [anon_sym_tied] = ACTIONS(2017),
    [anon_sym_uc] = ACTIONS(2017),
    [anon_sym_ucfirst] = ACTIONS(2017),
    [anon_sym_untie] = ACTIONS(2017),
    [anon_sym_umask] = ACTIONS(2017),
    [anon_sym_values] = ACTIONS(2017),
    [anon_sym_write] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2017),
    [anon_sym___END__] = ACTIONS(2017),
    [anon_sym_EOT] = ACTIONS(2017),
    [anon_sym_q] = ACTIONS(2017),
    [anon_sym_qq] = ACTIONS(2017),
    [anon_sym_qw] = ACTIONS(2017),
    [anon_sym_qx] = ACTIONS(2017),
    [anon_sym_qr] = ACTIONS(2017),
    [anon_sym_m] = ACTIONS(2017),
    [anon_sym_s] = ACTIONS(2017),
    [anon_sym_tr] = ACTIONS(2017),
    [anon_sym_y] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_unless] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_until] = ACTIONS(2017),
    [aux_sym__bareword_token1] = ACTIONS(2017),
    [sym_number] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2017),
    [anon_sym_false] = ACTIONS(2017),
    [sym__single_quote] = ACTIONS(2015),
    [sym__double_quote] = ACTIONS(2015),
    [sym__backtick_quote] = ACTIONS(2015),
    [sym__search_slash_quote] = ACTIONS(2015),
    [sym__open_readline_bracket] = ACTIONS(2015),
    [sym__open_fileglob_bracket] = ACTIONS(2015),
    [sym__PERLY_HEREDOC] = ACTIONS(2015),
    [sym__ctrl_z_hack] = ACTIONS(2015),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2015),
    [sym__filetest] = ACTIONS(2015),
  },
  [895] = {
    [sym_heredoc_content] = STATE(895),
    [ts_builtin_sym_end] = ACTIONS(2019),
    [sym__identifier] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2021),
    [anon_sym_package] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2021),
    [anon_sym_role] = ACTIONS(2021),
    [anon_sym_BUILD] = ACTIONS(2021),
    [anon_sym_ADJUST] = ACTIONS(2021),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [anon_sym_AT] = ACTIONS(2021),
    [anon_sym_my] = ACTIONS(2021),
    [anon_sym_extended] = ACTIONS(2021),
    [anon_sym_async] = ACTIONS(2021),
    [anon_sym_sub] = ACTIONS(2021),
    [anon_sym_method] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(2021),
    [anon_sym_continue] = ACTIONS(2021),
    [anon_sym_state] = ACTIONS(2021),
    [anon_sym_our] = ACTIONS(2021),
    [anon_sym_try] = ACTIONS(2021),
    [anon_sym_defer] = ACTIONS(2021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2021),
    [anon_sym_LT_LT] = ACTIONS(2021),
    [anon_sym_SLASH_SLASH] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2021),
    [anon_sym_TILDE] = ACTIONS(2021),
    [anon_sym_BANG] = ACTIONS(2021),
    [anon_sym_PLUS_PLUS] = ACTIONS(2021),
    [anon_sym_DASH_DASH] = ACTIONS(2021),
    [anon_sym_BSLASH] = ACTIONS(2019),
    [anon_sym_do] = ACTIONS(2021),
    [anon_sym_eval] = ACTIONS(2021),
    [anon_sym_await] = ACTIONS(2021),
    [anon_sym_field] = ACTIONS(2021),
    [anon_sym_local] = ACTIONS(2021),
    [anon_sym_dynamically] = ACTIONS(2021),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2021),
    [anon_sym_require] = ACTIONS(2021),
    [anon_sym_map] = ACTIONS(2021),
    [anon_sym_grep] = ACTIONS(2021),
    [anon_sym_sort] = ACTIONS(2021),
    [anon_sym_goto] = ACTIONS(2021),
    [anon_sym_return] = ACTIONS(2021),
    [anon_sym_undef] = ACTIONS(2021),
    [anon_sym_PERCENT2] = ACTIONS(2021),
    [anon_sym_AMP2] = ACTIONS(2021),
    [anon_sym_STAR2] = ACTIONS(2021),
    [anon_sym_use] = ACTIONS(2021),
    [anon_sym_no] = ACTIONS(2021),
    [anon_sym_for] = ACTIONS(2021),
    [anon_sym_foreach] = ACTIONS(2021),
    [anon_sym_last] = ACTIONS(2021),
    [anon_sym_next] = ACTIONS(2021),
    [anon_sym_redo] = ACTIONS(2021),
    [anon_sym_BEGIN] = ACTIONS(2021),
    [anon_sym_INIT] = ACTIONS(2021),
    [anon_sym_CHECK] = ACTIONS(2021),
    [anon_sym_UNITCHECK] = ACTIONS(2021),
    [anon_sym_END] = ACTIONS(2021),
    [anon_sym___FILE__] = ACTIONS(2021),
    [anon_sym___LINE__] = ACTIONS(2021),
    [anon_sym___PACKAGE__] = ACTIONS(2021),
    [anon_sym___SUB__] = ACTIONS(2021),
    [anon_sym_break] = ACTIONS(2021),
    [anon_sym_fork] = ACTIONS(2021),
    [anon_sym_getppid] = ACTIONS(2021),
    [anon_sym_time] = ACTIONS(2021),
    [anon_sym_times] = ACTIONS(2021),
    [anon_sym_wait] = ACTIONS(2021),
    [anon_sym_wantarray] = ACTIONS(2021),
    [anon_sym_abs] = ACTIONS(2021),
    [anon_sym_alarm] = ACTIONS(2021),
    [anon_sym_chop] = ACTIONS(2021),
    [anon_sym_chdir] = ACTIONS(2021),
    [anon_sym_close] = ACTIONS(2021),
    [anon_sym_closedir] = ACTIONS(2021),
    [anon_sym_caller] = ACTIONS(2021),
    [anon_sym_chomp] = ACTIONS(2021),
    [anon_sym_chr] = ACTIONS(2021),
    [anon_sym_cos] = ACTIONS(2021),
    [anon_sym_chroot] = ACTIONS(2021),
    [anon_sym_defined] = ACTIONS(2021),
    [anon_sym_delete] = ACTIONS(2021),
    [anon_sym_dbmclose] = ACTIONS(2021),
    [anon_sym_exists] = ACTIONS(2021),
    [anon_sym_exit] = ACTIONS(2021),
    [anon_sym_eof] = ACTIONS(2021),
    [anon_sym_exp] = ACTIONS(2021),
    [anon_sym_each] = ACTIONS(2021),
    [anon_sym_fc] = ACTIONS(2021),
    [anon_sym_fileno] = ACTIONS(2021),
    [anon_sym_gmtime] = ACTIONS(2021),
    [anon_sym_getc] = ACTIONS(2021),
    [anon_sym_getpgrp] = ACTIONS(2021),
    [anon_sym_getprotobyname] = ACTIONS(2021),
    [anon_sym_getpwname] = ACTIONS(2021),
    [anon_sym_getpwuid] = ACTIONS(2021),
    [anon_sym_getpeername] = ACTIONS(2021),
    [anon_sym_getnetbyname] = ACTIONS(2021),
    [anon_sym_getsockname] = ACTIONS(2021),
    [anon_sym_getgrnam] = ACTIONS(2021),
    [anon_sym_getgrgid] = ACTIONS(2021),
    [anon_sym_hex] = ACTIONS(2021),
    [anon_sym_int] = ACTIONS(2021),
    [anon_sym_keys] = ACTIONS(2021),
    [anon_sym_lc] = ACTIONS(2021),
    [anon_sym_lcfirst] = ACTIONS(2021),
    [anon_sym_length] = ACTIONS(2021),
    [anon_sym_localtime] = ACTIONS(2021),
    [anon_sym_log] = ACTIONS(2021),
    [anon_sym_lock] = ACTIONS(2021),
    [anon_sym_lstat] = ACTIONS(2021),
    [anon_sym_oct] = ACTIONS(2021),
    [anon_sym_ord] = ACTIONS(2021),
    [anon_sym_prototype] = ACTIONS(2021),
    [anon_sym_pop] = ACTIONS(2021),
    [anon_sym_pos] = ACTIONS(2021),
    [anon_sym_quotemeta] = ACTIONS(2021),
    [anon_sym_reset] = ACTIONS(2021),
    [anon_sym_rand] = ACTIONS(2021),
    [anon_sym_rmdir] = ACTIONS(2021),
    [anon_sym_readdir] = ACTIONS(2021),
    [anon_sym_readline] = ACTIONS(2021),
    [anon_sym_readpipe] = ACTIONS(2021),
    [anon_sym_rewinddir] = ACTIONS(2021),
    [anon_sym_readlink] = ACTIONS(2021),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_scalar] = ACTIONS(2021),
    [anon_sym_shift] = ACTIONS(2021),
    [anon_sym_sin] = ACTIONS(2021),
    [anon_sym_sleep] = ACTIONS(2021),
    [anon_sym_sqrt] = ACTIONS(2021),
    [anon_sym_srand] = ACTIONS(2021),
    [anon_sym_stat] = ACTIONS(2021),
    [anon_sym_study] = ACTIONS(2021),
    [anon_sym_tell] = ACTIONS(2021),
    [anon_sym_telldir] = ACTIONS(2021),
    [anon_sym_tied] = ACTIONS(2021),
    [anon_sym_uc] = ACTIONS(2021),
    [anon_sym_ucfirst] = ACTIONS(2021),
    [anon_sym_untie] = ACTIONS(2021),
    [anon_sym_umask] = ACTIONS(2021),
    [anon_sym_values] = ACTIONS(2021),
    [anon_sym_write] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2021),
    [anon_sym___END__] = ACTIONS(2021),
    [anon_sym_EOT] = ACTIONS(2021),
    [anon_sym_q] = ACTIONS(2021),
    [anon_sym_qq] = ACTIONS(2021),
    [anon_sym_qw] = ACTIONS(2021),
    [anon_sym_qx] = ACTIONS(2021),
    [anon_sym_qr] = ACTIONS(2021),
    [anon_sym_m] = ACTIONS(2021),
    [anon_sym_s] = ACTIONS(2021),
    [anon_sym_tr] = ACTIONS(2021),
    [anon_sym_y] = ACTIONS(2021),
    [anon_sym_if] = ACTIONS(2021),
    [anon_sym_unless] = ACTIONS(2021),
    [anon_sym_while] = ACTIONS(2021),
    [anon_sym_until] = ACTIONS(2021),
    [aux_sym__bareword_token1] = ACTIONS(2021),
    [sym_number] = ACTIONS(2021),
    [anon_sym_true] = ACTIONS(2021),
    [anon_sym_false] = ACTIONS(2021),
    [sym__single_quote] = ACTIONS(2019),
    [sym__double_quote] = ACTIONS(2019),
    [sym__backtick_quote] = ACTIONS(2019),
    [sym__search_slash_quote] = ACTIONS(2019),
    [sym__open_readline_bracket] = ACTIONS(2019),
    [sym__open_fileglob_bracket] = ACTIONS(2019),
    [sym__PERLY_HEREDOC] = ACTIONS(2019),
    [sym__ctrl_z_hack] = ACTIONS(2019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2019),
    [sym__filetest] = ACTIONS(2019),
  },
  [896] = {
    [sym_heredoc_content] = STATE(896),
    [ts_builtin_sym_end] = ACTIONS(2023),
    [sym__identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2025),
    [anon_sym_package] = ACTIONS(2025),
    [anon_sym_class] = ACTIONS(2025),
    [anon_sym_role] = ACTIONS(2025),
    [anon_sym_BUILD] = ACTIONS(2025),
    [anon_sym_ADJUST] = ACTIONS(2025),
    [anon_sym_DOLLAR] = ACTIONS(2025),
    [anon_sym_AT] = ACTIONS(2025),
    [anon_sym_my] = ACTIONS(2025),
    [anon_sym_extended] = ACTIONS(2025),
    [anon_sym_async] = ACTIONS(2025),
    [anon_sym_sub] = ACTIONS(2025),
    [anon_sym_method] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_continue] = ACTIONS(2025),
    [anon_sym_state] = ACTIONS(2025),
    [anon_sym_our] = ACTIONS(2025),
    [anon_sym_try] = ACTIONS(2025),
    [anon_sym_defer] = ACTIONS(2025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_LT_LT] = ACTIONS(2025),
    [anon_sym_SLASH_SLASH] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_BSLASH] = ACTIONS(2023),
    [anon_sym_do] = ACTIONS(2025),
    [anon_sym_eval] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(2025),
    [anon_sym_field] = ACTIONS(2025),
    [anon_sym_local] = ACTIONS(2025),
    [anon_sym_dynamically] = ACTIONS(2025),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2025),
    [anon_sym_require] = ACTIONS(2025),
    [anon_sym_map] = ACTIONS(2025),
    [anon_sym_grep] = ACTIONS(2025),
    [anon_sym_sort] = ACTIONS(2025),
    [anon_sym_goto] = ACTIONS(2025),
    [anon_sym_return] = ACTIONS(2025),
    [anon_sym_undef] = ACTIONS(2025),
    [anon_sym_PERCENT2] = ACTIONS(2025),
    [anon_sym_AMP2] = ACTIONS(2025),
    [anon_sym_STAR2] = ACTIONS(2025),
    [anon_sym_use] = ACTIONS(2025),
    [anon_sym_no] = ACTIONS(2025),
    [anon_sym_for] = ACTIONS(2025),
    [anon_sym_foreach] = ACTIONS(2025),
    [anon_sym_last] = ACTIONS(2025),
    [anon_sym_next] = ACTIONS(2025),
    [anon_sym_redo] = ACTIONS(2025),
    [anon_sym_BEGIN] = ACTIONS(2025),
    [anon_sym_INIT] = ACTIONS(2025),
    [anon_sym_CHECK] = ACTIONS(2025),
    [anon_sym_UNITCHECK] = ACTIONS(2025),
    [anon_sym_END] = ACTIONS(2025),
    [anon_sym___FILE__] = ACTIONS(2025),
    [anon_sym___LINE__] = ACTIONS(2025),
    [anon_sym___PACKAGE__] = ACTIONS(2025),
    [anon_sym___SUB__] = ACTIONS(2025),
    [anon_sym_break] = ACTIONS(2025),
    [anon_sym_fork] = ACTIONS(2025),
    [anon_sym_getppid] = ACTIONS(2025),
    [anon_sym_time] = ACTIONS(2025),
    [anon_sym_times] = ACTIONS(2025),
    [anon_sym_wait] = ACTIONS(2025),
    [anon_sym_wantarray] = ACTIONS(2025),
    [anon_sym_abs] = ACTIONS(2025),
    [anon_sym_alarm] = ACTIONS(2025),
    [anon_sym_chop] = ACTIONS(2025),
    [anon_sym_chdir] = ACTIONS(2025),
    [anon_sym_close] = ACTIONS(2025),
    [anon_sym_closedir] = ACTIONS(2025),
    [anon_sym_caller] = ACTIONS(2025),
    [anon_sym_chomp] = ACTIONS(2025),
    [anon_sym_chr] = ACTIONS(2025),
    [anon_sym_cos] = ACTIONS(2025),
    [anon_sym_chroot] = ACTIONS(2025),
    [anon_sym_defined] = ACTIONS(2025),
    [anon_sym_delete] = ACTIONS(2025),
    [anon_sym_dbmclose] = ACTIONS(2025),
    [anon_sym_exists] = ACTIONS(2025),
    [anon_sym_exit] = ACTIONS(2025),
    [anon_sym_eof] = ACTIONS(2025),
    [anon_sym_exp] = ACTIONS(2025),
    [anon_sym_each] = ACTIONS(2025),
    [anon_sym_fc] = ACTIONS(2025),
    [anon_sym_fileno] = ACTIONS(2025),
    [anon_sym_gmtime] = ACTIONS(2025),
    [anon_sym_getc] = ACTIONS(2025),
    [anon_sym_getpgrp] = ACTIONS(2025),
    [anon_sym_getprotobyname] = ACTIONS(2025),
    [anon_sym_getpwname] = ACTIONS(2025),
    [anon_sym_getpwuid] = ACTIONS(2025),
    [anon_sym_getpeername] = ACTIONS(2025),
    [anon_sym_getnetbyname] = ACTIONS(2025),
    [anon_sym_getsockname] = ACTIONS(2025),
    [anon_sym_getgrnam] = ACTIONS(2025),
    [anon_sym_getgrgid] = ACTIONS(2025),
    [anon_sym_hex] = ACTIONS(2025),
    [anon_sym_int] = ACTIONS(2025),
    [anon_sym_keys] = ACTIONS(2025),
    [anon_sym_lc] = ACTIONS(2025),
    [anon_sym_lcfirst] = ACTIONS(2025),
    [anon_sym_length] = ACTIONS(2025),
    [anon_sym_localtime] = ACTIONS(2025),
    [anon_sym_log] = ACTIONS(2025),
    [anon_sym_lock] = ACTIONS(2025),
    [anon_sym_lstat] = ACTIONS(2025),
    [anon_sym_oct] = ACTIONS(2025),
    [anon_sym_ord] = ACTIONS(2025),
    [anon_sym_prototype] = ACTIONS(2025),
    [anon_sym_pop] = ACTIONS(2025),
    [anon_sym_pos] = ACTIONS(2025),
    [anon_sym_quotemeta] = ACTIONS(2025),
    [anon_sym_reset] = ACTIONS(2025),
    [anon_sym_rand] = ACTIONS(2025),
    [anon_sym_rmdir] = ACTIONS(2025),
    [anon_sym_readdir] = ACTIONS(2025),
    [anon_sym_readline] = ACTIONS(2025),
    [anon_sym_readpipe] = ACTIONS(2025),
    [anon_sym_rewinddir] = ACTIONS(2025),
    [anon_sym_readlink] = ACTIONS(2025),
    [anon_sym_ref] = ACTIONS(2025),
    [anon_sym_scalar] = ACTIONS(2025),
    [anon_sym_shift] = ACTIONS(2025),
    [anon_sym_sin] = ACTIONS(2025),
    [anon_sym_sleep] = ACTIONS(2025),
    [anon_sym_sqrt] = ACTIONS(2025),
    [anon_sym_srand] = ACTIONS(2025),
    [anon_sym_stat] = ACTIONS(2025),
    [anon_sym_study] = ACTIONS(2025),
    [anon_sym_tell] = ACTIONS(2025),
    [anon_sym_telldir] = ACTIONS(2025),
    [anon_sym_tied] = ACTIONS(2025),
    [anon_sym_uc] = ACTIONS(2025),
    [anon_sym_ucfirst] = ACTIONS(2025),
    [anon_sym_untie] = ACTIONS(2025),
    [anon_sym_umask] = ACTIONS(2025),
    [anon_sym_values] = ACTIONS(2025),
    [anon_sym_write] = ACTIONS(2025),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2025),
    [anon_sym___END__] = ACTIONS(2025),
    [anon_sym_EOT] = ACTIONS(2025),
    [anon_sym_q] = ACTIONS(2025),
    [anon_sym_qq] = ACTIONS(2025),
    [anon_sym_qw] = ACTIONS(2025),
    [anon_sym_qx] = ACTIONS(2025),
    [anon_sym_qr] = ACTIONS(2025),
    [anon_sym_m] = ACTIONS(2025),
    [anon_sym_s] = ACTIONS(2025),
    [anon_sym_tr] = ACTIONS(2025),
    [anon_sym_y] = ACTIONS(2025),
    [anon_sym_if] = ACTIONS(2025),
    [anon_sym_unless] = ACTIONS(2025),
    [anon_sym_while] = ACTIONS(2025),
    [anon_sym_until] = ACTIONS(2025),
    [aux_sym__bareword_token1] = ACTIONS(2025),
    [sym_number] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(2025),
    [anon_sym_false] = ACTIONS(2025),
    [sym__single_quote] = ACTIONS(2023),
    [sym__double_quote] = ACTIONS(2023),
    [sym__backtick_quote] = ACTIONS(2023),
    [sym__search_slash_quote] = ACTIONS(2023),
    [sym__open_readline_bracket] = ACTIONS(2023),
    [sym__open_fileglob_bracket] = ACTIONS(2023),
    [sym__PERLY_HEREDOC] = ACTIONS(2023),
    [sym__ctrl_z_hack] = ACTIONS(2023),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2023),
    [sym__filetest] = ACTIONS(2023),
  },
  [897] = {
    [sym_heredoc_content] = STATE(897),
    [ts_builtin_sym_end] = ACTIONS(2027),
    [sym__identifier] = ACTIONS(2029),
    [anon_sym_LBRACE] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2029),
    [anon_sym_package] = ACTIONS(2029),
    [anon_sym_class] = ACTIONS(2029),
    [anon_sym_role] = ACTIONS(2029),
    [anon_sym_BUILD] = ACTIONS(2029),
    [anon_sym_ADJUST] = ACTIONS(2029),
    [anon_sym_DOLLAR] = ACTIONS(2029),
    [anon_sym_AT] = ACTIONS(2029),
    [anon_sym_my] = ACTIONS(2029),
    [anon_sym_extended] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_sub] = ACTIONS(2029),
    [anon_sym_method] = ACTIONS(2029),
    [anon_sym_LPAREN] = ACTIONS(2029),
    [anon_sym_continue] = ACTIONS(2029),
    [anon_sym_state] = ACTIONS(2029),
    [anon_sym_our] = ACTIONS(2029),
    [anon_sym_try] = ACTIONS(2029),
    [anon_sym_defer] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2029),
    [anon_sym_SLASH_SLASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_TILDE] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_BSLASH] = ACTIONS(2027),
    [anon_sym_do] = ACTIONS(2029),
    [anon_sym_eval] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(2029),
    [anon_sym_field] = ACTIONS(2029),
    [anon_sym_local] = ACTIONS(2029),
    [anon_sym_dynamically] = ACTIONS(2029),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2029),
    [anon_sym_require] = ACTIONS(2029),
    [anon_sym_map] = ACTIONS(2029),
    [anon_sym_grep] = ACTIONS(2029),
    [anon_sym_sort] = ACTIONS(2029),
    [anon_sym_goto] = ACTIONS(2029),
    [anon_sym_return] = ACTIONS(2029),
    [anon_sym_undef] = ACTIONS(2029),
    [anon_sym_PERCENT2] = ACTIONS(2029),
    [anon_sym_AMP2] = ACTIONS(2029),
    [anon_sym_STAR2] = ACTIONS(2029),
    [anon_sym_use] = ACTIONS(2029),
    [anon_sym_no] = ACTIONS(2029),
    [anon_sym_for] = ACTIONS(2029),
    [anon_sym_foreach] = ACTIONS(2029),
    [anon_sym_last] = ACTIONS(2029),
    [anon_sym_next] = ACTIONS(2029),
    [anon_sym_redo] = ACTIONS(2029),
    [anon_sym_BEGIN] = ACTIONS(2029),
    [anon_sym_INIT] = ACTIONS(2029),
    [anon_sym_CHECK] = ACTIONS(2029),
    [anon_sym_UNITCHECK] = ACTIONS(2029),
    [anon_sym_END] = ACTIONS(2029),
    [anon_sym___FILE__] = ACTIONS(2029),
    [anon_sym___LINE__] = ACTIONS(2029),
    [anon_sym___PACKAGE__] = ACTIONS(2029),
    [anon_sym___SUB__] = ACTIONS(2029),
    [anon_sym_break] = ACTIONS(2029),
    [anon_sym_fork] = ACTIONS(2029),
    [anon_sym_getppid] = ACTIONS(2029),
    [anon_sym_time] = ACTIONS(2029),
    [anon_sym_times] = ACTIONS(2029),
    [anon_sym_wait] = ACTIONS(2029),
    [anon_sym_wantarray] = ACTIONS(2029),
    [anon_sym_abs] = ACTIONS(2029),
    [anon_sym_alarm] = ACTIONS(2029),
    [anon_sym_chop] = ACTIONS(2029),
    [anon_sym_chdir] = ACTIONS(2029),
    [anon_sym_close] = ACTIONS(2029),
    [anon_sym_closedir] = ACTIONS(2029),
    [anon_sym_caller] = ACTIONS(2029),
    [anon_sym_chomp] = ACTIONS(2029),
    [anon_sym_chr] = ACTIONS(2029),
    [anon_sym_cos] = ACTIONS(2029),
    [anon_sym_chroot] = ACTIONS(2029),
    [anon_sym_defined] = ACTIONS(2029),
    [anon_sym_delete] = ACTIONS(2029),
    [anon_sym_dbmclose] = ACTIONS(2029),
    [anon_sym_exists] = ACTIONS(2029),
    [anon_sym_exit] = ACTIONS(2029),
    [anon_sym_eof] = ACTIONS(2029),
    [anon_sym_exp] = ACTIONS(2029),
    [anon_sym_each] = ACTIONS(2029),
    [anon_sym_fc] = ACTIONS(2029),
    [anon_sym_fileno] = ACTIONS(2029),
    [anon_sym_gmtime] = ACTIONS(2029),
    [anon_sym_getc] = ACTIONS(2029),
    [anon_sym_getpgrp] = ACTIONS(2029),
    [anon_sym_getprotobyname] = ACTIONS(2029),
    [anon_sym_getpwname] = ACTIONS(2029),
    [anon_sym_getpwuid] = ACTIONS(2029),
    [anon_sym_getpeername] = ACTIONS(2029),
    [anon_sym_getnetbyname] = ACTIONS(2029),
    [anon_sym_getsockname] = ACTIONS(2029),
    [anon_sym_getgrnam] = ACTIONS(2029),
    [anon_sym_getgrgid] = ACTIONS(2029),
    [anon_sym_hex] = ACTIONS(2029),
    [anon_sym_int] = ACTIONS(2029),
    [anon_sym_keys] = ACTIONS(2029),
    [anon_sym_lc] = ACTIONS(2029),
    [anon_sym_lcfirst] = ACTIONS(2029),
    [anon_sym_length] = ACTIONS(2029),
    [anon_sym_localtime] = ACTIONS(2029),
    [anon_sym_log] = ACTIONS(2029),
    [anon_sym_lock] = ACTIONS(2029),
    [anon_sym_lstat] = ACTIONS(2029),
    [anon_sym_oct] = ACTIONS(2029),
    [anon_sym_ord] = ACTIONS(2029),
    [anon_sym_prototype] = ACTIONS(2029),
    [anon_sym_pop] = ACTIONS(2029),
    [anon_sym_pos] = ACTIONS(2029),
    [anon_sym_quotemeta] = ACTIONS(2029),
    [anon_sym_reset] = ACTIONS(2029),
    [anon_sym_rand] = ACTIONS(2029),
    [anon_sym_rmdir] = ACTIONS(2029),
    [anon_sym_readdir] = ACTIONS(2029),
    [anon_sym_readline] = ACTIONS(2029),
    [anon_sym_readpipe] = ACTIONS(2029),
    [anon_sym_rewinddir] = ACTIONS(2029),
    [anon_sym_readlink] = ACTIONS(2029),
    [anon_sym_ref] = ACTIONS(2029),
    [anon_sym_scalar] = ACTIONS(2029),
    [anon_sym_shift] = ACTIONS(2029),
    [anon_sym_sin] = ACTIONS(2029),
    [anon_sym_sleep] = ACTIONS(2029),
    [anon_sym_sqrt] = ACTIONS(2029),
    [anon_sym_srand] = ACTIONS(2029),
    [anon_sym_stat] = ACTIONS(2029),
    [anon_sym_study] = ACTIONS(2029),
    [anon_sym_tell] = ACTIONS(2029),
    [anon_sym_telldir] = ACTIONS(2029),
    [anon_sym_tied] = ACTIONS(2029),
    [anon_sym_uc] = ACTIONS(2029),
    [anon_sym_ucfirst] = ACTIONS(2029),
    [anon_sym_untie] = ACTIONS(2029),
    [anon_sym_umask] = ACTIONS(2029),
    [anon_sym_values] = ACTIONS(2029),
    [anon_sym_write] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2029),
    [anon_sym___END__] = ACTIONS(2029),
    [anon_sym_EOT] = ACTIONS(2029),
    [anon_sym_q] = ACTIONS(2029),
    [anon_sym_qq] = ACTIONS(2029),
    [anon_sym_qw] = ACTIONS(2029),
    [anon_sym_qx] = ACTIONS(2029),
    [anon_sym_qr] = ACTIONS(2029),
    [anon_sym_m] = ACTIONS(2029),
    [anon_sym_s] = ACTIONS(2029),
    [anon_sym_tr] = ACTIONS(2029),
    [anon_sym_y] = ACTIONS(2029),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_unless] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(2029),
    [anon_sym_until] = ACTIONS(2029),
    [aux_sym__bareword_token1] = ACTIONS(2029),
    [sym_number] = ACTIONS(2029),
    [anon_sym_true] = ACTIONS(2029),
    [anon_sym_false] = ACTIONS(2029),
    [sym__single_quote] = ACTIONS(2027),
    [sym__double_quote] = ACTIONS(2027),
    [sym__backtick_quote] = ACTIONS(2027),
    [sym__search_slash_quote] = ACTIONS(2027),
    [sym__open_readline_bracket] = ACTIONS(2027),
    [sym__open_fileglob_bracket] = ACTIONS(2027),
    [sym__PERLY_HEREDOC] = ACTIONS(2027),
    [sym__ctrl_z_hack] = ACTIONS(2027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2027),
    [sym__filetest] = ACTIONS(2027),
  },
  [898] = {
    [sym_heredoc_content] = STATE(898),
    [ts_builtin_sym_end] = ACTIONS(2031),
    [sym__identifier] = ACTIONS(2033),
    [anon_sym_LBRACE] = ACTIONS(2033),
    [anon_sym_SEMI] = ACTIONS(2033),
    [anon_sym_package] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_role] = ACTIONS(2033),
    [anon_sym_BUILD] = ACTIONS(2033),
    [anon_sym_ADJUST] = ACTIONS(2033),
    [anon_sym_DOLLAR] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2033),
    [anon_sym_my] = ACTIONS(2033),
    [anon_sym_extended] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_sub] = ACTIONS(2033),
    [anon_sym_method] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2033),
    [anon_sym_continue] = ACTIONS(2033),
    [anon_sym_state] = ACTIONS(2033),
    [anon_sym_our] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_defer] = ACTIONS(2033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2033),
    [anon_sym_LT_LT] = ACTIONS(2033),
    [anon_sym_SLASH_SLASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_TILDE] = ACTIONS(2033),
    [anon_sym_BANG] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2033),
    [anon_sym_BSLASH] = ACTIONS(2031),
    [anon_sym_do] = ACTIONS(2033),
    [anon_sym_eval] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [anon_sym_field] = ACTIONS(2033),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_dynamically] = ACTIONS(2033),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2033),
    [anon_sym_require] = ACTIONS(2033),
    [anon_sym_map] = ACTIONS(2033),
    [anon_sym_grep] = ACTIONS(2033),
    [anon_sym_sort] = ACTIONS(2033),
    [anon_sym_goto] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_undef] = ACTIONS(2033),
    [anon_sym_PERCENT2] = ACTIONS(2033),
    [anon_sym_AMP2] = ACTIONS(2033),
    [anon_sym_STAR2] = ACTIONS(2033),
    [anon_sym_use] = ACTIONS(2033),
    [anon_sym_no] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_foreach] = ACTIONS(2033),
    [anon_sym_last] = ACTIONS(2033),
    [anon_sym_next] = ACTIONS(2033),
    [anon_sym_redo] = ACTIONS(2033),
    [anon_sym_BEGIN] = ACTIONS(2033),
    [anon_sym_INIT] = ACTIONS(2033),
    [anon_sym_CHECK] = ACTIONS(2033),
    [anon_sym_UNITCHECK] = ACTIONS(2033),
    [anon_sym_END] = ACTIONS(2033),
    [anon_sym___FILE__] = ACTIONS(2033),
    [anon_sym___LINE__] = ACTIONS(2033),
    [anon_sym___PACKAGE__] = ACTIONS(2033),
    [anon_sym___SUB__] = ACTIONS(2033),
    [anon_sym_break] = ACTIONS(2033),
    [anon_sym_fork] = ACTIONS(2033),
    [anon_sym_getppid] = ACTIONS(2033),
    [anon_sym_time] = ACTIONS(2033),
    [anon_sym_times] = ACTIONS(2033),
    [anon_sym_wait] = ACTIONS(2033),
    [anon_sym_wantarray] = ACTIONS(2033),
    [anon_sym_abs] = ACTIONS(2033),
    [anon_sym_alarm] = ACTIONS(2033),
    [anon_sym_chop] = ACTIONS(2033),
    [anon_sym_chdir] = ACTIONS(2033),
    [anon_sym_close] = ACTIONS(2033),
    [anon_sym_closedir] = ACTIONS(2033),
    [anon_sym_caller] = ACTIONS(2033),
    [anon_sym_chomp] = ACTIONS(2033),
    [anon_sym_chr] = ACTIONS(2033),
    [anon_sym_cos] = ACTIONS(2033),
    [anon_sym_chroot] = ACTIONS(2033),
    [anon_sym_defined] = ACTIONS(2033),
    [anon_sym_delete] = ACTIONS(2033),
    [anon_sym_dbmclose] = ACTIONS(2033),
    [anon_sym_exists] = ACTIONS(2033),
    [anon_sym_exit] = ACTIONS(2033),
    [anon_sym_eof] = ACTIONS(2033),
    [anon_sym_exp] = ACTIONS(2033),
    [anon_sym_each] = ACTIONS(2033),
    [anon_sym_fc] = ACTIONS(2033),
    [anon_sym_fileno] = ACTIONS(2033),
    [anon_sym_gmtime] = ACTIONS(2033),
    [anon_sym_getc] = ACTIONS(2033),
    [anon_sym_getpgrp] = ACTIONS(2033),
    [anon_sym_getprotobyname] = ACTIONS(2033),
    [anon_sym_getpwname] = ACTIONS(2033),
    [anon_sym_getpwuid] = ACTIONS(2033),
    [anon_sym_getpeername] = ACTIONS(2033),
    [anon_sym_getnetbyname] = ACTIONS(2033),
    [anon_sym_getsockname] = ACTIONS(2033),
    [anon_sym_getgrnam] = ACTIONS(2033),
    [anon_sym_getgrgid] = ACTIONS(2033),
    [anon_sym_hex] = ACTIONS(2033),
    [anon_sym_int] = ACTIONS(2033),
    [anon_sym_keys] = ACTIONS(2033),
    [anon_sym_lc] = ACTIONS(2033),
    [anon_sym_lcfirst] = ACTIONS(2033),
    [anon_sym_length] = ACTIONS(2033),
    [anon_sym_localtime] = ACTIONS(2033),
    [anon_sym_log] = ACTIONS(2033),
    [anon_sym_lock] = ACTIONS(2033),
    [anon_sym_lstat] = ACTIONS(2033),
    [anon_sym_oct] = ACTIONS(2033),
    [anon_sym_ord] = ACTIONS(2033),
    [anon_sym_prototype] = ACTIONS(2033),
    [anon_sym_pop] = ACTIONS(2033),
    [anon_sym_pos] = ACTIONS(2033),
    [anon_sym_quotemeta] = ACTIONS(2033),
    [anon_sym_reset] = ACTIONS(2033),
    [anon_sym_rand] = ACTIONS(2033),
    [anon_sym_rmdir] = ACTIONS(2033),
    [anon_sym_readdir] = ACTIONS(2033),
    [anon_sym_readline] = ACTIONS(2033),
    [anon_sym_readpipe] = ACTIONS(2033),
    [anon_sym_rewinddir] = ACTIONS(2033),
    [anon_sym_readlink] = ACTIONS(2033),
    [anon_sym_ref] = ACTIONS(2033),
    [anon_sym_scalar] = ACTIONS(2033),
    [anon_sym_shift] = ACTIONS(2033),
    [anon_sym_sin] = ACTIONS(2033),
    [anon_sym_sleep] = ACTIONS(2033),
    [anon_sym_sqrt] = ACTIONS(2033),
    [anon_sym_srand] = ACTIONS(2033),
    [anon_sym_stat] = ACTIONS(2033),
    [anon_sym_study] = ACTIONS(2033),
    [anon_sym_tell] = ACTIONS(2033),
    [anon_sym_telldir] = ACTIONS(2033),
    [anon_sym_tied] = ACTIONS(2033),
    [anon_sym_uc] = ACTIONS(2033),
    [anon_sym_ucfirst] = ACTIONS(2033),
    [anon_sym_untie] = ACTIONS(2033),
    [anon_sym_umask] = ACTIONS(2033),
    [anon_sym_values] = ACTIONS(2033),
    [anon_sym_write] = ACTIONS(2033),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2033),
    [anon_sym___END__] = ACTIONS(2033),
    [anon_sym_EOT] = ACTIONS(2033),
    [anon_sym_q] = ACTIONS(2033),
    [anon_sym_qq] = ACTIONS(2033),
    [anon_sym_qw] = ACTIONS(2033),
    [anon_sym_qx] = ACTIONS(2033),
    [anon_sym_qr] = ACTIONS(2033),
    [anon_sym_m] = ACTIONS(2033),
    [anon_sym_s] = ACTIONS(2033),
    [anon_sym_tr] = ACTIONS(2033),
    [anon_sym_y] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_unless] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_until] = ACTIONS(2033),
    [aux_sym__bareword_token1] = ACTIONS(2033),
    [sym_number] = ACTIONS(2033),
    [anon_sym_true] = ACTIONS(2033),
    [anon_sym_false] = ACTIONS(2033),
    [sym__single_quote] = ACTIONS(2031),
    [sym__double_quote] = ACTIONS(2031),
    [sym__backtick_quote] = ACTIONS(2031),
    [sym__search_slash_quote] = ACTIONS(2031),
    [sym__open_readline_bracket] = ACTIONS(2031),
    [sym__open_fileglob_bracket] = ACTIONS(2031),
    [sym__PERLY_HEREDOC] = ACTIONS(2031),
    [sym__ctrl_z_hack] = ACTIONS(2031),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2031),
    [sym__filetest] = ACTIONS(2031),
  },
  [899] = {
    [sym_heredoc_content] = STATE(899),
    [ts_builtin_sym_end] = ACTIONS(2035),
    [sym__identifier] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_package] = ACTIONS(2037),
    [anon_sym_class] = ACTIONS(2037),
    [anon_sym_role] = ACTIONS(2037),
    [anon_sym_BUILD] = ACTIONS(2037),
    [anon_sym_ADJUST] = ACTIONS(2037),
    [anon_sym_DOLLAR] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2037),
    [anon_sym_my] = ACTIONS(2037),
    [anon_sym_extended] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_sub] = ACTIONS(2037),
    [anon_sym_method] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_state] = ACTIONS(2037),
    [anon_sym_our] = ACTIONS(2037),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_defer] = ACTIONS(2037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2037),
    [anon_sym_LT_LT] = ACTIONS(2037),
    [anon_sym_SLASH_SLASH] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2037),
    [anon_sym_DASH_DASH] = ACTIONS(2037),
    [anon_sym_BSLASH] = ACTIONS(2035),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_eval] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_field] = ACTIONS(2037),
    [anon_sym_local] = ACTIONS(2037),
    [anon_sym_dynamically] = ACTIONS(2037),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2037),
    [anon_sym_require] = ACTIONS(2037),
    [anon_sym_map] = ACTIONS(2037),
    [anon_sym_grep] = ACTIONS(2037),
    [anon_sym_sort] = ACTIONS(2037),
    [anon_sym_goto] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_undef] = ACTIONS(2037),
    [anon_sym_PERCENT2] = ACTIONS(2037),
    [anon_sym_AMP2] = ACTIONS(2037),
    [anon_sym_STAR2] = ACTIONS(2037),
    [anon_sym_use] = ACTIONS(2037),
    [anon_sym_no] = ACTIONS(2037),
    [anon_sym_for] = ACTIONS(2037),
    [anon_sym_foreach] = ACTIONS(2037),
    [anon_sym_last] = ACTIONS(2037),
    [anon_sym_next] = ACTIONS(2037),
    [anon_sym_redo] = ACTIONS(2037),
    [anon_sym_BEGIN] = ACTIONS(2037),
    [anon_sym_INIT] = ACTIONS(2037),
    [anon_sym_CHECK] = ACTIONS(2037),
    [anon_sym_UNITCHECK] = ACTIONS(2037),
    [anon_sym_END] = ACTIONS(2037),
    [anon_sym___FILE__] = ACTIONS(2037),
    [anon_sym___LINE__] = ACTIONS(2037),
    [anon_sym___PACKAGE__] = ACTIONS(2037),
    [anon_sym___SUB__] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_fork] = ACTIONS(2037),
    [anon_sym_getppid] = ACTIONS(2037),
    [anon_sym_time] = ACTIONS(2037),
    [anon_sym_times] = ACTIONS(2037),
    [anon_sym_wait] = ACTIONS(2037),
    [anon_sym_wantarray] = ACTIONS(2037),
    [anon_sym_abs] = ACTIONS(2037),
    [anon_sym_alarm] = ACTIONS(2037),
    [anon_sym_chop] = ACTIONS(2037),
    [anon_sym_chdir] = ACTIONS(2037),
    [anon_sym_close] = ACTIONS(2037),
    [anon_sym_closedir] = ACTIONS(2037),
    [anon_sym_caller] = ACTIONS(2037),
    [anon_sym_chomp] = ACTIONS(2037),
    [anon_sym_chr] = ACTIONS(2037),
    [anon_sym_cos] = ACTIONS(2037),
    [anon_sym_chroot] = ACTIONS(2037),
    [anon_sym_defined] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_dbmclose] = ACTIONS(2037),
    [anon_sym_exists] = ACTIONS(2037),
    [anon_sym_exit] = ACTIONS(2037),
    [anon_sym_eof] = ACTIONS(2037),
    [anon_sym_exp] = ACTIONS(2037),
    [anon_sym_each] = ACTIONS(2037),
    [anon_sym_fc] = ACTIONS(2037),
    [anon_sym_fileno] = ACTIONS(2037),
    [anon_sym_gmtime] = ACTIONS(2037),
    [anon_sym_getc] = ACTIONS(2037),
    [anon_sym_getpgrp] = ACTIONS(2037),
    [anon_sym_getprotobyname] = ACTIONS(2037),
    [anon_sym_getpwname] = ACTIONS(2037),
    [anon_sym_getpwuid] = ACTIONS(2037),
    [anon_sym_getpeername] = ACTIONS(2037),
    [anon_sym_getnetbyname] = ACTIONS(2037),
    [anon_sym_getsockname] = ACTIONS(2037),
    [anon_sym_getgrnam] = ACTIONS(2037),
    [anon_sym_getgrgid] = ACTIONS(2037),
    [anon_sym_hex] = ACTIONS(2037),
    [anon_sym_int] = ACTIONS(2037),
    [anon_sym_keys] = ACTIONS(2037),
    [anon_sym_lc] = ACTIONS(2037),
    [anon_sym_lcfirst] = ACTIONS(2037),
    [anon_sym_length] = ACTIONS(2037),
    [anon_sym_localtime] = ACTIONS(2037),
    [anon_sym_log] = ACTIONS(2037),
    [anon_sym_lock] = ACTIONS(2037),
    [anon_sym_lstat] = ACTIONS(2037),
    [anon_sym_oct] = ACTIONS(2037),
    [anon_sym_ord] = ACTIONS(2037),
    [anon_sym_prototype] = ACTIONS(2037),
    [anon_sym_pop] = ACTIONS(2037),
    [anon_sym_pos] = ACTIONS(2037),
    [anon_sym_quotemeta] = ACTIONS(2037),
    [anon_sym_reset] = ACTIONS(2037),
    [anon_sym_rand] = ACTIONS(2037),
    [anon_sym_rmdir] = ACTIONS(2037),
    [anon_sym_readdir] = ACTIONS(2037),
    [anon_sym_readline] = ACTIONS(2037),
    [anon_sym_readpipe] = ACTIONS(2037),
    [anon_sym_rewinddir] = ACTIONS(2037),
    [anon_sym_readlink] = ACTIONS(2037),
    [anon_sym_ref] = ACTIONS(2037),
    [anon_sym_scalar] = ACTIONS(2037),
    [anon_sym_shift] = ACTIONS(2037),
    [anon_sym_sin] = ACTIONS(2037),
    [anon_sym_sleep] = ACTIONS(2037),
    [anon_sym_sqrt] = ACTIONS(2037),
    [anon_sym_srand] = ACTIONS(2037),
    [anon_sym_stat] = ACTIONS(2037),
    [anon_sym_study] = ACTIONS(2037),
    [anon_sym_tell] = ACTIONS(2037),
    [anon_sym_telldir] = ACTIONS(2037),
    [anon_sym_tied] = ACTIONS(2037),
    [anon_sym_uc] = ACTIONS(2037),
    [anon_sym_ucfirst] = ACTIONS(2037),
    [anon_sym_untie] = ACTIONS(2037),
    [anon_sym_umask] = ACTIONS(2037),
    [anon_sym_values] = ACTIONS(2037),
    [anon_sym_write] = ACTIONS(2037),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2037),
    [anon_sym___END__] = ACTIONS(2037),
    [anon_sym_EOT] = ACTIONS(2037),
    [anon_sym_q] = ACTIONS(2037),
    [anon_sym_qq] = ACTIONS(2037),
    [anon_sym_qw] = ACTIONS(2037),
    [anon_sym_qx] = ACTIONS(2037),
    [anon_sym_qr] = ACTIONS(2037),
    [anon_sym_m] = ACTIONS(2037),
    [anon_sym_s] = ACTIONS(2037),
    [anon_sym_tr] = ACTIONS(2037),
    [anon_sym_y] = ACTIONS(2037),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_unless] = ACTIONS(2037),
    [anon_sym_while] = ACTIONS(2037),
    [anon_sym_until] = ACTIONS(2037),
    [aux_sym__bareword_token1] = ACTIONS(2037),
    [sym_number] = ACTIONS(2037),
    [anon_sym_true] = ACTIONS(2037),
    [anon_sym_false] = ACTIONS(2037),
    [sym__single_quote] = ACTIONS(2035),
    [sym__double_quote] = ACTIONS(2035),
    [sym__backtick_quote] = ACTIONS(2035),
    [sym__search_slash_quote] = ACTIONS(2035),
    [sym__open_readline_bracket] = ACTIONS(2035),
    [sym__open_fileglob_bracket] = ACTIONS(2035),
    [sym__PERLY_HEREDOC] = ACTIONS(2035),
    [sym__ctrl_z_hack] = ACTIONS(2035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2035),
    [sym__filetest] = ACTIONS(2035),
  },
  [900] = {
    [sym_heredoc_content] = STATE(900),
    [ts_builtin_sym_end] = ACTIONS(2039),
    [sym__identifier] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2041),
    [anon_sym_SEMI] = ACTIONS(2041),
    [anon_sym_package] = ACTIONS(2041),
    [anon_sym_class] = ACTIONS(2041),
    [anon_sym_role] = ACTIONS(2041),
    [anon_sym_BUILD] = ACTIONS(2041),
    [anon_sym_ADJUST] = ACTIONS(2041),
    [anon_sym_DOLLAR] = ACTIONS(2041),
    [anon_sym_AT] = ACTIONS(2041),
    [anon_sym_my] = ACTIONS(2041),
    [anon_sym_extended] = ACTIONS(2041),
    [anon_sym_async] = ACTIONS(2041),
    [anon_sym_sub] = ACTIONS(2041),
    [anon_sym_method] = ACTIONS(2041),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2041),
    [anon_sym_state] = ACTIONS(2041),
    [anon_sym_our] = ACTIONS(2041),
    [anon_sym_try] = ACTIONS(2041),
    [anon_sym_defer] = ACTIONS(2041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2041),
    [anon_sym_SLASH_SLASH] = ACTIONS(2041),
    [anon_sym_PLUS] = ACTIONS(2041),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(2041),
    [anon_sym_PLUS_PLUS] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(2041),
    [anon_sym_BSLASH] = ACTIONS(2039),
    [anon_sym_do] = ACTIONS(2041),
    [anon_sym_eval] = ACTIONS(2041),
    [anon_sym_await] = ACTIONS(2041),
    [anon_sym_field] = ACTIONS(2041),
    [anon_sym_local] = ACTIONS(2041),
    [anon_sym_dynamically] = ACTIONS(2041),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2041),
    [anon_sym_require] = ACTIONS(2041),
    [anon_sym_map] = ACTIONS(2041),
    [anon_sym_grep] = ACTIONS(2041),
    [anon_sym_sort] = ACTIONS(2041),
    [anon_sym_goto] = ACTIONS(2041),
    [anon_sym_return] = ACTIONS(2041),
    [anon_sym_undef] = ACTIONS(2041),
    [anon_sym_PERCENT2] = ACTIONS(2041),
    [anon_sym_AMP2] = ACTIONS(2041),
    [anon_sym_STAR2] = ACTIONS(2041),
    [anon_sym_use] = ACTIONS(2041),
    [anon_sym_no] = ACTIONS(2041),
    [anon_sym_for] = ACTIONS(2041),
    [anon_sym_foreach] = ACTIONS(2041),
    [anon_sym_last] = ACTIONS(2041),
    [anon_sym_next] = ACTIONS(2041),
    [anon_sym_redo] = ACTIONS(2041),
    [anon_sym_BEGIN] = ACTIONS(2041),
    [anon_sym_INIT] = ACTIONS(2041),
    [anon_sym_CHECK] = ACTIONS(2041),
    [anon_sym_UNITCHECK] = ACTIONS(2041),
    [anon_sym_END] = ACTIONS(2041),
    [anon_sym___FILE__] = ACTIONS(2041),
    [anon_sym___LINE__] = ACTIONS(2041),
    [anon_sym___PACKAGE__] = ACTIONS(2041),
    [anon_sym___SUB__] = ACTIONS(2041),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_fork] = ACTIONS(2041),
    [anon_sym_getppid] = ACTIONS(2041),
    [anon_sym_time] = ACTIONS(2041),
    [anon_sym_times] = ACTIONS(2041),
    [anon_sym_wait] = ACTIONS(2041),
    [anon_sym_wantarray] = ACTIONS(2041),
    [anon_sym_abs] = ACTIONS(2041),
    [anon_sym_alarm] = ACTIONS(2041),
    [anon_sym_chop] = ACTIONS(2041),
    [anon_sym_chdir] = ACTIONS(2041),
    [anon_sym_close] = ACTIONS(2041),
    [anon_sym_closedir] = ACTIONS(2041),
    [anon_sym_caller] = ACTIONS(2041),
    [anon_sym_chomp] = ACTIONS(2041),
    [anon_sym_chr] = ACTIONS(2041),
    [anon_sym_cos] = ACTIONS(2041),
    [anon_sym_chroot] = ACTIONS(2041),
    [anon_sym_defined] = ACTIONS(2041),
    [anon_sym_delete] = ACTIONS(2041),
    [anon_sym_dbmclose] = ACTIONS(2041),
    [anon_sym_exists] = ACTIONS(2041),
    [anon_sym_exit] = ACTIONS(2041),
    [anon_sym_eof] = ACTIONS(2041),
    [anon_sym_exp] = ACTIONS(2041),
    [anon_sym_each] = ACTIONS(2041),
    [anon_sym_fc] = ACTIONS(2041),
    [anon_sym_fileno] = ACTIONS(2041),
    [anon_sym_gmtime] = ACTIONS(2041),
    [anon_sym_getc] = ACTIONS(2041),
    [anon_sym_getpgrp] = ACTIONS(2041),
    [anon_sym_getprotobyname] = ACTIONS(2041),
    [anon_sym_getpwname] = ACTIONS(2041),
    [anon_sym_getpwuid] = ACTIONS(2041),
    [anon_sym_getpeername] = ACTIONS(2041),
    [anon_sym_getnetbyname] = ACTIONS(2041),
    [anon_sym_getsockname] = ACTIONS(2041),
    [anon_sym_getgrnam] = ACTIONS(2041),
    [anon_sym_getgrgid] = ACTIONS(2041),
    [anon_sym_hex] = ACTIONS(2041),
    [anon_sym_int] = ACTIONS(2041),
    [anon_sym_keys] = ACTIONS(2041),
    [anon_sym_lc] = ACTIONS(2041),
    [anon_sym_lcfirst] = ACTIONS(2041),
    [anon_sym_length] = ACTIONS(2041),
    [anon_sym_localtime] = ACTIONS(2041),
    [anon_sym_log] = ACTIONS(2041),
    [anon_sym_lock] = ACTIONS(2041),
    [anon_sym_lstat] = ACTIONS(2041),
    [anon_sym_oct] = ACTIONS(2041),
    [anon_sym_ord] = ACTIONS(2041),
    [anon_sym_prototype] = ACTIONS(2041),
    [anon_sym_pop] = ACTIONS(2041),
    [anon_sym_pos] = ACTIONS(2041),
    [anon_sym_quotemeta] = ACTIONS(2041),
    [anon_sym_reset] = ACTIONS(2041),
    [anon_sym_rand] = ACTIONS(2041),
    [anon_sym_rmdir] = ACTIONS(2041),
    [anon_sym_readdir] = ACTIONS(2041),
    [anon_sym_readline] = ACTIONS(2041),
    [anon_sym_readpipe] = ACTIONS(2041),
    [anon_sym_rewinddir] = ACTIONS(2041),
    [anon_sym_readlink] = ACTIONS(2041),
    [anon_sym_ref] = ACTIONS(2041),
    [anon_sym_scalar] = ACTIONS(2041),
    [anon_sym_shift] = ACTIONS(2041),
    [anon_sym_sin] = ACTIONS(2041),
    [anon_sym_sleep] = ACTIONS(2041),
    [anon_sym_sqrt] = ACTIONS(2041),
    [anon_sym_srand] = ACTIONS(2041),
    [anon_sym_stat] = ACTIONS(2041),
    [anon_sym_study] = ACTIONS(2041),
    [anon_sym_tell] = ACTIONS(2041),
    [anon_sym_telldir] = ACTIONS(2041),
    [anon_sym_tied] = ACTIONS(2041),
    [anon_sym_uc] = ACTIONS(2041),
    [anon_sym_ucfirst] = ACTIONS(2041),
    [anon_sym_untie] = ACTIONS(2041),
    [anon_sym_umask] = ACTIONS(2041),
    [anon_sym_values] = ACTIONS(2041),
    [anon_sym_write] = ACTIONS(2041),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2041),
    [anon_sym___END__] = ACTIONS(2041),
    [anon_sym_EOT] = ACTIONS(2041),
    [anon_sym_q] = ACTIONS(2041),
    [anon_sym_qq] = ACTIONS(2041),
    [anon_sym_qw] = ACTIONS(2041),
    [anon_sym_qx] = ACTIONS(2041),
    [anon_sym_qr] = ACTIONS(2041),
    [anon_sym_m] = ACTIONS(2041),
    [anon_sym_s] = ACTIONS(2041),
    [anon_sym_tr] = ACTIONS(2041),
    [anon_sym_y] = ACTIONS(2041),
    [anon_sym_if] = ACTIONS(2041),
    [anon_sym_unless] = ACTIONS(2041),
    [anon_sym_while] = ACTIONS(2041),
    [anon_sym_until] = ACTIONS(2041),
    [aux_sym__bareword_token1] = ACTIONS(2041),
    [sym_number] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2041),
    [anon_sym_false] = ACTIONS(2041),
    [sym__single_quote] = ACTIONS(2039),
    [sym__double_quote] = ACTIONS(2039),
    [sym__backtick_quote] = ACTIONS(2039),
    [sym__search_slash_quote] = ACTIONS(2039),
    [sym__open_readline_bracket] = ACTIONS(2039),
    [sym__open_fileglob_bracket] = ACTIONS(2039),
    [sym__PERLY_HEREDOC] = ACTIONS(2039),
    [sym__ctrl_z_hack] = ACTIONS(2039),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2039),
    [sym__filetest] = ACTIONS(2039),
  },
  [901] = {
    [sym_heredoc_content] = STATE(901),
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2045),
    [anon_sym_package] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_role] = ACTIONS(2045),
    [anon_sym_BUILD] = ACTIONS(2045),
    [anon_sym_ADJUST] = ACTIONS(2045),
    [anon_sym_DOLLAR] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2045),
    [anon_sym_my] = ACTIONS(2045),
    [anon_sym_extended] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_sub] = ACTIONS(2045),
    [anon_sym_method] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_state] = ACTIONS(2045),
    [anon_sym_our] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_defer] = ACTIONS(2045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_LT_LT] = ACTIONS(2045),
    [anon_sym_SLASH_SLASH] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2045),
    [anon_sym_DASH_DASH] = ACTIONS(2045),
    [anon_sym_BSLASH] = ACTIONS(2043),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_eval] = ACTIONS(2045),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_field] = ACTIONS(2045),
    [anon_sym_local] = ACTIONS(2045),
    [anon_sym_dynamically] = ACTIONS(2045),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2045),
    [anon_sym_require] = ACTIONS(2045),
    [anon_sym_map] = ACTIONS(2045),
    [anon_sym_grep] = ACTIONS(2045),
    [anon_sym_sort] = ACTIONS(2045),
    [anon_sym_goto] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_undef] = ACTIONS(2045),
    [anon_sym_PERCENT2] = ACTIONS(2045),
    [anon_sym_AMP2] = ACTIONS(2045),
    [anon_sym_STAR2] = ACTIONS(2045),
    [anon_sym_use] = ACTIONS(2045),
    [anon_sym_no] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_foreach] = ACTIONS(2045),
    [anon_sym_last] = ACTIONS(2045),
    [anon_sym_next] = ACTIONS(2045),
    [anon_sym_redo] = ACTIONS(2045),
    [anon_sym_BEGIN] = ACTIONS(2045),
    [anon_sym_INIT] = ACTIONS(2045),
    [anon_sym_CHECK] = ACTIONS(2045),
    [anon_sym_UNITCHECK] = ACTIONS(2045),
    [anon_sym_END] = ACTIONS(2045),
    [anon_sym___FILE__] = ACTIONS(2045),
    [anon_sym___LINE__] = ACTIONS(2045),
    [anon_sym___PACKAGE__] = ACTIONS(2045),
    [anon_sym___SUB__] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_fork] = ACTIONS(2045),
    [anon_sym_getppid] = ACTIONS(2045),
    [anon_sym_time] = ACTIONS(2045),
    [anon_sym_times] = ACTIONS(2045),
    [anon_sym_wait] = ACTIONS(2045),
    [anon_sym_wantarray] = ACTIONS(2045),
    [anon_sym_abs] = ACTIONS(2045),
    [anon_sym_alarm] = ACTIONS(2045),
    [anon_sym_chop] = ACTIONS(2045),
    [anon_sym_chdir] = ACTIONS(2045),
    [anon_sym_close] = ACTIONS(2045),
    [anon_sym_closedir] = ACTIONS(2045),
    [anon_sym_caller] = ACTIONS(2045),
    [anon_sym_chomp] = ACTIONS(2045),
    [anon_sym_chr] = ACTIONS(2045),
    [anon_sym_cos] = ACTIONS(2045),
    [anon_sym_chroot] = ACTIONS(2045),
    [anon_sym_defined] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_dbmclose] = ACTIONS(2045),
    [anon_sym_exists] = ACTIONS(2045),
    [anon_sym_exit] = ACTIONS(2045),
    [anon_sym_eof] = ACTIONS(2045),
    [anon_sym_exp] = ACTIONS(2045),
    [anon_sym_each] = ACTIONS(2045),
    [anon_sym_fc] = ACTIONS(2045),
    [anon_sym_fileno] = ACTIONS(2045),
    [anon_sym_gmtime] = ACTIONS(2045),
    [anon_sym_getc] = ACTIONS(2045),
    [anon_sym_getpgrp] = ACTIONS(2045),
    [anon_sym_getprotobyname] = ACTIONS(2045),
    [anon_sym_getpwname] = ACTIONS(2045),
    [anon_sym_getpwuid] = ACTIONS(2045),
    [anon_sym_getpeername] = ACTIONS(2045),
    [anon_sym_getnetbyname] = ACTIONS(2045),
    [anon_sym_getsockname] = ACTIONS(2045),
    [anon_sym_getgrnam] = ACTIONS(2045),
    [anon_sym_getgrgid] = ACTIONS(2045),
    [anon_sym_hex] = ACTIONS(2045),
    [anon_sym_int] = ACTIONS(2045),
    [anon_sym_keys] = ACTIONS(2045),
    [anon_sym_lc] = ACTIONS(2045),
    [anon_sym_lcfirst] = ACTIONS(2045),
    [anon_sym_length] = ACTIONS(2045),
    [anon_sym_localtime] = ACTIONS(2045),
    [anon_sym_log] = ACTIONS(2045),
    [anon_sym_lock] = ACTIONS(2045),
    [anon_sym_lstat] = ACTIONS(2045),
    [anon_sym_oct] = ACTIONS(2045),
    [anon_sym_ord] = ACTIONS(2045),
    [anon_sym_prototype] = ACTIONS(2045),
    [anon_sym_pop] = ACTIONS(2045),
    [anon_sym_pos] = ACTIONS(2045),
    [anon_sym_quotemeta] = ACTIONS(2045),
    [anon_sym_reset] = ACTIONS(2045),
    [anon_sym_rand] = ACTIONS(2045),
    [anon_sym_rmdir] = ACTIONS(2045),
    [anon_sym_readdir] = ACTIONS(2045),
    [anon_sym_readline] = ACTIONS(2045),
    [anon_sym_readpipe] = ACTIONS(2045),
    [anon_sym_rewinddir] = ACTIONS(2045),
    [anon_sym_readlink] = ACTIONS(2045),
    [anon_sym_ref] = ACTIONS(2045),
    [anon_sym_scalar] = ACTIONS(2045),
    [anon_sym_shift] = ACTIONS(2045),
    [anon_sym_sin] = ACTIONS(2045),
    [anon_sym_sleep] = ACTIONS(2045),
    [anon_sym_sqrt] = ACTIONS(2045),
    [anon_sym_srand] = ACTIONS(2045),
    [anon_sym_stat] = ACTIONS(2045),
    [anon_sym_study] = ACTIONS(2045),
    [anon_sym_tell] = ACTIONS(2045),
    [anon_sym_telldir] = ACTIONS(2045),
    [anon_sym_tied] = ACTIONS(2045),
    [anon_sym_uc] = ACTIONS(2045),
    [anon_sym_ucfirst] = ACTIONS(2045),
    [anon_sym_untie] = ACTIONS(2045),
    [anon_sym_umask] = ACTIONS(2045),
    [anon_sym_values] = ACTIONS(2045),
    [anon_sym_write] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2045),
    [anon_sym___END__] = ACTIONS(2045),
    [anon_sym_EOT] = ACTIONS(2045),
    [anon_sym_q] = ACTIONS(2045),
    [anon_sym_qq] = ACTIONS(2045),
    [anon_sym_qw] = ACTIONS(2045),
    [anon_sym_qx] = ACTIONS(2045),
    [anon_sym_qr] = ACTIONS(2045),
    [anon_sym_m] = ACTIONS(2045),
    [anon_sym_s] = ACTIONS(2045),
    [anon_sym_tr] = ACTIONS(2045),
    [anon_sym_y] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_unless] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_until] = ACTIONS(2045),
    [aux_sym__bareword_token1] = ACTIONS(2045),
    [sym_number] = ACTIONS(2045),
    [anon_sym_true] = ACTIONS(2045),
    [anon_sym_false] = ACTIONS(2045),
    [sym__single_quote] = ACTIONS(2043),
    [sym__double_quote] = ACTIONS(2043),
    [sym__backtick_quote] = ACTIONS(2043),
    [sym__search_slash_quote] = ACTIONS(2043),
    [sym__open_readline_bracket] = ACTIONS(2043),
    [sym__open_fileglob_bracket] = ACTIONS(2043),
    [sym__PERLY_HEREDOC] = ACTIONS(2043),
    [sym__ctrl_z_hack] = ACTIONS(2043),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2043),
    [sym__filetest] = ACTIONS(2043),
  },
  [902] = {
    [sym_heredoc_content] = STATE(902),
    [ts_builtin_sym_end] = ACTIONS(2047),
    [sym__identifier] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2049),
    [anon_sym_package] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_role] = ACTIONS(2049),
    [anon_sym_BUILD] = ACTIONS(2049),
    [anon_sym_ADJUST] = ACTIONS(2049),
    [anon_sym_DOLLAR] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2049),
    [anon_sym_my] = ACTIONS(2049),
    [anon_sym_extended] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_sub] = ACTIONS(2049),
    [anon_sym_method] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_state] = ACTIONS(2049),
    [anon_sym_our] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_defer] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_TILDE] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2049),
    [anon_sym_PLUS_PLUS] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2049),
    [anon_sym_BSLASH] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_eval] = ACTIONS(2049),
    [anon_sym_await] = ACTIONS(2049),
    [anon_sym_field] = ACTIONS(2049),
    [anon_sym_local] = ACTIONS(2049),
    [anon_sym_dynamically] = ACTIONS(2049),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2049),
    [anon_sym_require] = ACTIONS(2049),
    [anon_sym_map] = ACTIONS(2049),
    [anon_sym_grep] = ACTIONS(2049),
    [anon_sym_sort] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_undef] = ACTIONS(2049),
    [anon_sym_PERCENT2] = ACTIONS(2049),
    [anon_sym_AMP2] = ACTIONS(2049),
    [anon_sym_STAR2] = ACTIONS(2049),
    [anon_sym_use] = ACTIONS(2049),
    [anon_sym_no] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_foreach] = ACTIONS(2049),
    [anon_sym_last] = ACTIONS(2049),
    [anon_sym_next] = ACTIONS(2049),
    [anon_sym_redo] = ACTIONS(2049),
    [anon_sym_BEGIN] = ACTIONS(2049),
    [anon_sym_INIT] = ACTIONS(2049),
    [anon_sym_CHECK] = ACTIONS(2049),
    [anon_sym_UNITCHECK] = ACTIONS(2049),
    [anon_sym_END] = ACTIONS(2049),
    [anon_sym___FILE__] = ACTIONS(2049),
    [anon_sym___LINE__] = ACTIONS(2049),
    [anon_sym___PACKAGE__] = ACTIONS(2049),
    [anon_sym___SUB__] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_fork] = ACTIONS(2049),
    [anon_sym_getppid] = ACTIONS(2049),
    [anon_sym_time] = ACTIONS(2049),
    [anon_sym_times] = ACTIONS(2049),
    [anon_sym_wait] = ACTIONS(2049),
    [anon_sym_wantarray] = ACTIONS(2049),
    [anon_sym_abs] = ACTIONS(2049),
    [anon_sym_alarm] = ACTIONS(2049),
    [anon_sym_chop] = ACTIONS(2049),
    [anon_sym_chdir] = ACTIONS(2049),
    [anon_sym_close] = ACTIONS(2049),
    [anon_sym_closedir] = ACTIONS(2049),
    [anon_sym_caller] = ACTIONS(2049),
    [anon_sym_chomp] = ACTIONS(2049),
    [anon_sym_chr] = ACTIONS(2049),
    [anon_sym_cos] = ACTIONS(2049),
    [anon_sym_chroot] = ACTIONS(2049),
    [anon_sym_defined] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_dbmclose] = ACTIONS(2049),
    [anon_sym_exists] = ACTIONS(2049),
    [anon_sym_exit] = ACTIONS(2049),
    [anon_sym_eof] = ACTIONS(2049),
    [anon_sym_exp] = ACTIONS(2049),
    [anon_sym_each] = ACTIONS(2049),
    [anon_sym_fc] = ACTIONS(2049),
    [anon_sym_fileno] = ACTIONS(2049),
    [anon_sym_gmtime] = ACTIONS(2049),
    [anon_sym_getc] = ACTIONS(2049),
    [anon_sym_getpgrp] = ACTIONS(2049),
    [anon_sym_getprotobyname] = ACTIONS(2049),
    [anon_sym_getpwname] = ACTIONS(2049),
    [anon_sym_getpwuid] = ACTIONS(2049),
    [anon_sym_getpeername] = ACTIONS(2049),
    [anon_sym_getnetbyname] = ACTIONS(2049),
    [anon_sym_getsockname] = ACTIONS(2049),
    [anon_sym_getgrnam] = ACTIONS(2049),
    [anon_sym_getgrgid] = ACTIONS(2049),
    [anon_sym_hex] = ACTIONS(2049),
    [anon_sym_int] = ACTIONS(2049),
    [anon_sym_keys] = ACTIONS(2049),
    [anon_sym_lc] = ACTIONS(2049),
    [anon_sym_lcfirst] = ACTIONS(2049),
    [anon_sym_length] = ACTIONS(2049),
    [anon_sym_localtime] = ACTIONS(2049),
    [anon_sym_log] = ACTIONS(2049),
    [anon_sym_lock] = ACTIONS(2049),
    [anon_sym_lstat] = ACTIONS(2049),
    [anon_sym_oct] = ACTIONS(2049),
    [anon_sym_ord] = ACTIONS(2049),
    [anon_sym_prototype] = ACTIONS(2049),
    [anon_sym_pop] = ACTIONS(2049),
    [anon_sym_pos] = ACTIONS(2049),
    [anon_sym_quotemeta] = ACTIONS(2049),
    [anon_sym_reset] = ACTIONS(2049),
    [anon_sym_rand] = ACTIONS(2049),
    [anon_sym_rmdir] = ACTIONS(2049),
    [anon_sym_readdir] = ACTIONS(2049),
    [anon_sym_readline] = ACTIONS(2049),
    [anon_sym_readpipe] = ACTIONS(2049),
    [anon_sym_rewinddir] = ACTIONS(2049),
    [anon_sym_readlink] = ACTIONS(2049),
    [anon_sym_ref] = ACTIONS(2049),
    [anon_sym_scalar] = ACTIONS(2049),
    [anon_sym_shift] = ACTIONS(2049),
    [anon_sym_sin] = ACTIONS(2049),
    [anon_sym_sleep] = ACTIONS(2049),
    [anon_sym_sqrt] = ACTIONS(2049),
    [anon_sym_srand] = ACTIONS(2049),
    [anon_sym_stat] = ACTIONS(2049),
    [anon_sym_study] = ACTIONS(2049),
    [anon_sym_tell] = ACTIONS(2049),
    [anon_sym_telldir] = ACTIONS(2049),
    [anon_sym_tied] = ACTIONS(2049),
    [anon_sym_uc] = ACTIONS(2049),
    [anon_sym_ucfirst] = ACTIONS(2049),
    [anon_sym_untie] = ACTIONS(2049),
    [anon_sym_umask] = ACTIONS(2049),
    [anon_sym_values] = ACTIONS(2049),
    [anon_sym_write] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2049),
    [anon_sym___END__] = ACTIONS(2049),
    [anon_sym_EOT] = ACTIONS(2049),
    [anon_sym_q] = ACTIONS(2049),
    [anon_sym_qq] = ACTIONS(2049),
    [anon_sym_qw] = ACTIONS(2049),
    [anon_sym_qx] = ACTIONS(2049),
    [anon_sym_qr] = ACTIONS(2049),
    [anon_sym_m] = ACTIONS(2049),
    [anon_sym_s] = ACTIONS(2049),
    [anon_sym_tr] = ACTIONS(2049),
    [anon_sym_y] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_unless] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_until] = ACTIONS(2049),
    [aux_sym__bareword_token1] = ACTIONS(2049),
    [sym_number] = ACTIONS(2049),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [sym__single_quote] = ACTIONS(2047),
    [sym__double_quote] = ACTIONS(2047),
    [sym__backtick_quote] = ACTIONS(2047),
    [sym__search_slash_quote] = ACTIONS(2047),
    [sym__open_readline_bracket] = ACTIONS(2047),
    [sym__open_fileglob_bracket] = ACTIONS(2047),
    [sym__PERLY_HEREDOC] = ACTIONS(2047),
    [sym__ctrl_z_hack] = ACTIONS(2047),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2047),
    [sym__filetest] = ACTIONS(2047),
  },
  [903] = {
    [sym_heredoc_content] = STATE(903),
    [ts_builtin_sym_end] = ACTIONS(2051),
    [sym__identifier] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2053),
    [anon_sym_SEMI] = ACTIONS(2053),
    [anon_sym_package] = ACTIONS(2053),
    [anon_sym_class] = ACTIONS(2053),
    [anon_sym_role] = ACTIONS(2053),
    [anon_sym_BUILD] = ACTIONS(2053),
    [anon_sym_ADJUST] = ACTIONS(2053),
    [anon_sym_DOLLAR] = ACTIONS(2053),
    [anon_sym_AT] = ACTIONS(2053),
    [anon_sym_my] = ACTIONS(2053),
    [anon_sym_extended] = ACTIONS(2053),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_sub] = ACTIONS(2053),
    [anon_sym_method] = ACTIONS(2053),
    [anon_sym_LPAREN] = ACTIONS(2053),
    [anon_sym_continue] = ACTIONS(2053),
    [anon_sym_state] = ACTIONS(2053),
    [anon_sym_our] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2053),
    [anon_sym_defer] = ACTIONS(2053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_LT_LT] = ACTIONS(2053),
    [anon_sym_SLASH_SLASH] = ACTIONS(2053),
    [anon_sym_PLUS] = ACTIONS(2053),
    [anon_sym_DASH] = ACTIONS(2053),
    [anon_sym_TILDE] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(2053),
    [anon_sym_PLUS_PLUS] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(2053),
    [anon_sym_BSLASH] = ACTIONS(2051),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_eval] = ACTIONS(2053),
    [anon_sym_await] = ACTIONS(2053),
    [anon_sym_field] = ACTIONS(2053),
    [anon_sym_local] = ACTIONS(2053),
    [anon_sym_dynamically] = ACTIONS(2053),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2053),
    [anon_sym_require] = ACTIONS(2053),
    [anon_sym_map] = ACTIONS(2053),
    [anon_sym_grep] = ACTIONS(2053),
    [anon_sym_sort] = ACTIONS(2053),
    [anon_sym_goto] = ACTIONS(2053),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_undef] = ACTIONS(2053),
    [anon_sym_PERCENT2] = ACTIONS(2053),
    [anon_sym_AMP2] = ACTIONS(2053),
    [anon_sym_STAR2] = ACTIONS(2053),
    [anon_sym_use] = ACTIONS(2053),
    [anon_sym_no] = ACTIONS(2053),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_foreach] = ACTIONS(2053),
    [anon_sym_last] = ACTIONS(2053),
    [anon_sym_next] = ACTIONS(2053),
    [anon_sym_redo] = ACTIONS(2053),
    [anon_sym_BEGIN] = ACTIONS(2053),
    [anon_sym_INIT] = ACTIONS(2053),
    [anon_sym_CHECK] = ACTIONS(2053),
    [anon_sym_UNITCHECK] = ACTIONS(2053),
    [anon_sym_END] = ACTIONS(2053),
    [anon_sym___FILE__] = ACTIONS(2053),
    [anon_sym___LINE__] = ACTIONS(2053),
    [anon_sym___PACKAGE__] = ACTIONS(2053),
    [anon_sym___SUB__] = ACTIONS(2053),
    [anon_sym_break] = ACTIONS(2053),
    [anon_sym_fork] = ACTIONS(2053),
    [anon_sym_getppid] = ACTIONS(2053),
    [anon_sym_time] = ACTIONS(2053),
    [anon_sym_times] = ACTIONS(2053),
    [anon_sym_wait] = ACTIONS(2053),
    [anon_sym_wantarray] = ACTIONS(2053),
    [anon_sym_abs] = ACTIONS(2053),
    [anon_sym_alarm] = ACTIONS(2053),
    [anon_sym_chop] = ACTIONS(2053),
    [anon_sym_chdir] = ACTIONS(2053),
    [anon_sym_close] = ACTIONS(2053),
    [anon_sym_closedir] = ACTIONS(2053),
    [anon_sym_caller] = ACTIONS(2053),
    [anon_sym_chomp] = ACTIONS(2053),
    [anon_sym_chr] = ACTIONS(2053),
    [anon_sym_cos] = ACTIONS(2053),
    [anon_sym_chroot] = ACTIONS(2053),
    [anon_sym_defined] = ACTIONS(2053),
    [anon_sym_delete] = ACTIONS(2053),
    [anon_sym_dbmclose] = ACTIONS(2053),
    [anon_sym_exists] = ACTIONS(2053),
    [anon_sym_exit] = ACTIONS(2053),
    [anon_sym_eof] = ACTIONS(2053),
    [anon_sym_exp] = ACTIONS(2053),
    [anon_sym_each] = ACTIONS(2053),
    [anon_sym_fc] = ACTIONS(2053),
    [anon_sym_fileno] = ACTIONS(2053),
    [anon_sym_gmtime] = ACTIONS(2053),
    [anon_sym_getc] = ACTIONS(2053),
    [anon_sym_getpgrp] = ACTIONS(2053),
    [anon_sym_getprotobyname] = ACTIONS(2053),
    [anon_sym_getpwname] = ACTIONS(2053),
    [anon_sym_getpwuid] = ACTIONS(2053),
    [anon_sym_getpeername] = ACTIONS(2053),
    [anon_sym_getnetbyname] = ACTIONS(2053),
    [anon_sym_getsockname] = ACTIONS(2053),
    [anon_sym_getgrnam] = ACTIONS(2053),
    [anon_sym_getgrgid] = ACTIONS(2053),
    [anon_sym_hex] = ACTIONS(2053),
    [anon_sym_int] = ACTIONS(2053),
    [anon_sym_keys] = ACTIONS(2053),
    [anon_sym_lc] = ACTIONS(2053),
    [anon_sym_lcfirst] = ACTIONS(2053),
    [anon_sym_length] = ACTIONS(2053),
    [anon_sym_localtime] = ACTIONS(2053),
    [anon_sym_log] = ACTIONS(2053),
    [anon_sym_lock] = ACTIONS(2053),
    [anon_sym_lstat] = ACTIONS(2053),
    [anon_sym_oct] = ACTIONS(2053),
    [anon_sym_ord] = ACTIONS(2053),
    [anon_sym_prototype] = ACTIONS(2053),
    [anon_sym_pop] = ACTIONS(2053),
    [anon_sym_pos] = ACTIONS(2053),
    [anon_sym_quotemeta] = ACTIONS(2053),
    [anon_sym_reset] = ACTIONS(2053),
    [anon_sym_rand] = ACTIONS(2053),
    [anon_sym_rmdir] = ACTIONS(2053),
    [anon_sym_readdir] = ACTIONS(2053),
    [anon_sym_readline] = ACTIONS(2053),
    [anon_sym_readpipe] = ACTIONS(2053),
    [anon_sym_rewinddir] = ACTIONS(2053),
    [anon_sym_readlink] = ACTIONS(2053),
    [anon_sym_ref] = ACTIONS(2053),
    [anon_sym_scalar] = ACTIONS(2053),
    [anon_sym_shift] = ACTIONS(2053),
    [anon_sym_sin] = ACTIONS(2053),
    [anon_sym_sleep] = ACTIONS(2053),
    [anon_sym_sqrt] = ACTIONS(2053),
    [anon_sym_srand] = ACTIONS(2053),
    [anon_sym_stat] = ACTIONS(2053),
    [anon_sym_study] = ACTIONS(2053),
    [anon_sym_tell] = ACTIONS(2053),
    [anon_sym_telldir] = ACTIONS(2053),
    [anon_sym_tied] = ACTIONS(2053),
    [anon_sym_uc] = ACTIONS(2053),
    [anon_sym_ucfirst] = ACTIONS(2053),
    [anon_sym_untie] = ACTIONS(2053),
    [anon_sym_umask] = ACTIONS(2053),
    [anon_sym_values] = ACTIONS(2053),
    [anon_sym_write] = ACTIONS(2053),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2053),
    [anon_sym___END__] = ACTIONS(2053),
    [anon_sym_EOT] = ACTIONS(2053),
    [anon_sym_q] = ACTIONS(2053),
    [anon_sym_qq] = ACTIONS(2053),
    [anon_sym_qw] = ACTIONS(2053),
    [anon_sym_qx] = ACTIONS(2053),
    [anon_sym_qr] = ACTIONS(2053),
    [anon_sym_m] = ACTIONS(2053),
    [anon_sym_s] = ACTIONS(2053),
    [anon_sym_tr] = ACTIONS(2053),
    [anon_sym_y] = ACTIONS(2053),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_unless] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(2053),
    [anon_sym_until] = ACTIONS(2053),
    [aux_sym__bareword_token1] = ACTIONS(2053),
    [sym_number] = ACTIONS(2053),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [sym__single_quote] = ACTIONS(2051),
    [sym__double_quote] = ACTIONS(2051),
    [sym__backtick_quote] = ACTIONS(2051),
    [sym__search_slash_quote] = ACTIONS(2051),
    [sym__open_readline_bracket] = ACTIONS(2051),
    [sym__open_fileglob_bracket] = ACTIONS(2051),
    [sym__PERLY_HEREDOC] = ACTIONS(2051),
    [sym__ctrl_z_hack] = ACTIONS(2051),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2051),
    [sym__filetest] = ACTIONS(2051),
  },
  [904] = {
    [sym_heredoc_content] = STATE(904),
    [ts_builtin_sym_end] = ACTIONS(2055),
    [sym__identifier] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym_package] = ACTIONS(2057),
    [anon_sym_class] = ACTIONS(2057),
    [anon_sym_role] = ACTIONS(2057),
    [anon_sym_BUILD] = ACTIONS(2057),
    [anon_sym_ADJUST] = ACTIONS(2057),
    [anon_sym_DOLLAR] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2057),
    [anon_sym_my] = ACTIONS(2057),
    [anon_sym_extended] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_sub] = ACTIONS(2057),
    [anon_sym_method] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2057),
    [anon_sym_continue] = ACTIONS(2057),
    [anon_sym_state] = ACTIONS(2057),
    [anon_sym_our] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2057),
    [anon_sym_defer] = ACTIONS(2057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_SLASH_SLASH] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_BSLASH] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2057),
    [anon_sym_eval] = ACTIONS(2057),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_field] = ACTIONS(2057),
    [anon_sym_local] = ACTIONS(2057),
    [anon_sym_dynamically] = ACTIONS(2057),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2057),
    [anon_sym_require] = ACTIONS(2057),
    [anon_sym_map] = ACTIONS(2057),
    [anon_sym_grep] = ACTIONS(2057),
    [anon_sym_sort] = ACTIONS(2057),
    [anon_sym_goto] = ACTIONS(2057),
    [anon_sym_return] = ACTIONS(2057),
    [anon_sym_undef] = ACTIONS(2057),
    [anon_sym_PERCENT2] = ACTIONS(2057),
    [anon_sym_AMP2] = ACTIONS(2057),
    [anon_sym_STAR2] = ACTIONS(2057),
    [anon_sym_use] = ACTIONS(2057),
    [anon_sym_no] = ACTIONS(2057),
    [anon_sym_for] = ACTIONS(2057),
    [anon_sym_foreach] = ACTIONS(2057),
    [anon_sym_last] = ACTIONS(2057),
    [anon_sym_next] = ACTIONS(2057),
    [anon_sym_redo] = ACTIONS(2057),
    [anon_sym_BEGIN] = ACTIONS(2057),
    [anon_sym_INIT] = ACTIONS(2057),
    [anon_sym_CHECK] = ACTIONS(2057),
    [anon_sym_UNITCHECK] = ACTIONS(2057),
    [anon_sym_END] = ACTIONS(2057),
    [anon_sym___FILE__] = ACTIONS(2057),
    [anon_sym___LINE__] = ACTIONS(2057),
    [anon_sym___PACKAGE__] = ACTIONS(2057),
    [anon_sym___SUB__] = ACTIONS(2057),
    [anon_sym_break] = ACTIONS(2057),
    [anon_sym_fork] = ACTIONS(2057),
    [anon_sym_getppid] = ACTIONS(2057),
    [anon_sym_time] = ACTIONS(2057),
    [anon_sym_times] = ACTIONS(2057),
    [anon_sym_wait] = ACTIONS(2057),
    [anon_sym_wantarray] = ACTIONS(2057),
    [anon_sym_abs] = ACTIONS(2057),
    [anon_sym_alarm] = ACTIONS(2057),
    [anon_sym_chop] = ACTIONS(2057),
    [anon_sym_chdir] = ACTIONS(2057),
    [anon_sym_close] = ACTIONS(2057),
    [anon_sym_closedir] = ACTIONS(2057),
    [anon_sym_caller] = ACTIONS(2057),
    [anon_sym_chomp] = ACTIONS(2057),
    [anon_sym_chr] = ACTIONS(2057),
    [anon_sym_cos] = ACTIONS(2057),
    [anon_sym_chroot] = ACTIONS(2057),
    [anon_sym_defined] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_dbmclose] = ACTIONS(2057),
    [anon_sym_exists] = ACTIONS(2057),
    [anon_sym_exit] = ACTIONS(2057),
    [anon_sym_eof] = ACTIONS(2057),
    [anon_sym_exp] = ACTIONS(2057),
    [anon_sym_each] = ACTIONS(2057),
    [anon_sym_fc] = ACTIONS(2057),
    [anon_sym_fileno] = ACTIONS(2057),
    [anon_sym_gmtime] = ACTIONS(2057),
    [anon_sym_getc] = ACTIONS(2057),
    [anon_sym_getpgrp] = ACTIONS(2057),
    [anon_sym_getprotobyname] = ACTIONS(2057),
    [anon_sym_getpwname] = ACTIONS(2057),
    [anon_sym_getpwuid] = ACTIONS(2057),
    [anon_sym_getpeername] = ACTIONS(2057),
    [anon_sym_getnetbyname] = ACTIONS(2057),
    [anon_sym_getsockname] = ACTIONS(2057),
    [anon_sym_getgrnam] = ACTIONS(2057),
    [anon_sym_getgrgid] = ACTIONS(2057),
    [anon_sym_hex] = ACTIONS(2057),
    [anon_sym_int] = ACTIONS(2057),
    [anon_sym_keys] = ACTIONS(2057),
    [anon_sym_lc] = ACTIONS(2057),
    [anon_sym_lcfirst] = ACTIONS(2057),
    [anon_sym_length] = ACTIONS(2057),
    [anon_sym_localtime] = ACTIONS(2057),
    [anon_sym_log] = ACTIONS(2057),
    [anon_sym_lock] = ACTIONS(2057),
    [anon_sym_lstat] = ACTIONS(2057),
    [anon_sym_oct] = ACTIONS(2057),
    [anon_sym_ord] = ACTIONS(2057),
    [anon_sym_prototype] = ACTIONS(2057),
    [anon_sym_pop] = ACTIONS(2057),
    [anon_sym_pos] = ACTIONS(2057),
    [anon_sym_quotemeta] = ACTIONS(2057),
    [anon_sym_reset] = ACTIONS(2057),
    [anon_sym_rand] = ACTIONS(2057),
    [anon_sym_rmdir] = ACTIONS(2057),
    [anon_sym_readdir] = ACTIONS(2057),
    [anon_sym_readline] = ACTIONS(2057),
    [anon_sym_readpipe] = ACTIONS(2057),
    [anon_sym_rewinddir] = ACTIONS(2057),
    [anon_sym_readlink] = ACTIONS(2057),
    [anon_sym_ref] = ACTIONS(2057),
    [anon_sym_scalar] = ACTIONS(2057),
    [anon_sym_shift] = ACTIONS(2057),
    [anon_sym_sin] = ACTIONS(2057),
    [anon_sym_sleep] = ACTIONS(2057),
    [anon_sym_sqrt] = ACTIONS(2057),
    [anon_sym_srand] = ACTIONS(2057),
    [anon_sym_stat] = ACTIONS(2057),
    [anon_sym_study] = ACTIONS(2057),
    [anon_sym_tell] = ACTIONS(2057),
    [anon_sym_telldir] = ACTIONS(2057),
    [anon_sym_tied] = ACTIONS(2057),
    [anon_sym_uc] = ACTIONS(2057),
    [anon_sym_ucfirst] = ACTIONS(2057),
    [anon_sym_untie] = ACTIONS(2057),
    [anon_sym_umask] = ACTIONS(2057),
    [anon_sym_values] = ACTIONS(2057),
    [anon_sym_write] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2057),
    [anon_sym___END__] = ACTIONS(2057),
    [anon_sym_EOT] = ACTIONS(2057),
    [anon_sym_q] = ACTIONS(2057),
    [anon_sym_qq] = ACTIONS(2057),
    [anon_sym_qw] = ACTIONS(2057),
    [anon_sym_qx] = ACTIONS(2057),
    [anon_sym_qr] = ACTIONS(2057),
    [anon_sym_m] = ACTIONS(2057),
    [anon_sym_s] = ACTIONS(2057),
    [anon_sym_tr] = ACTIONS(2057),
    [anon_sym_y] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2057),
    [anon_sym_unless] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2057),
    [anon_sym_until] = ACTIONS(2057),
    [aux_sym__bareword_token1] = ACTIONS(2057),
    [sym_number] = ACTIONS(2057),
    [anon_sym_true] = ACTIONS(2057),
    [anon_sym_false] = ACTIONS(2057),
    [sym__single_quote] = ACTIONS(2055),
    [sym__double_quote] = ACTIONS(2055),
    [sym__backtick_quote] = ACTIONS(2055),
    [sym__search_slash_quote] = ACTIONS(2055),
    [sym__open_readline_bracket] = ACTIONS(2055),
    [sym__open_fileglob_bracket] = ACTIONS(2055),
    [sym__PERLY_HEREDOC] = ACTIONS(2055),
    [sym__ctrl_z_hack] = ACTIONS(2055),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2055),
    [sym__filetest] = ACTIONS(2055),
  },
  [905] = {
    [sym_heredoc_content] = STATE(905),
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym__identifier] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2061),
    [anon_sym_package] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_role] = ACTIONS(2061),
    [anon_sym_BUILD] = ACTIONS(2061),
    [anon_sym_ADJUST] = ACTIONS(2061),
    [anon_sym_DOLLAR] = ACTIONS(2061),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_my] = ACTIONS(2061),
    [anon_sym_extended] = ACTIONS(2061),
    [anon_sym_async] = ACTIONS(2061),
    [anon_sym_sub] = ACTIONS(2061),
    [anon_sym_method] = ACTIONS(2061),
    [anon_sym_LPAREN] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_state] = ACTIONS(2061),
    [anon_sym_our] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_defer] = ACTIONS(2061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LT_LT] = ACTIONS(2061),
    [anon_sym_SLASH_SLASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_TILDE] = ACTIONS(2061),
    [anon_sym_BANG] = ACTIONS(2061),
    [anon_sym_PLUS_PLUS] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2061),
    [anon_sym_BSLASH] = ACTIONS(2059),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_eval] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(2061),
    [anon_sym_field] = ACTIONS(2061),
    [anon_sym_local] = ACTIONS(2061),
    [anon_sym_dynamically] = ACTIONS(2061),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2061),
    [anon_sym_require] = ACTIONS(2061),
    [anon_sym_map] = ACTIONS(2061),
    [anon_sym_grep] = ACTIONS(2061),
    [anon_sym_sort] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_undef] = ACTIONS(2061),
    [anon_sym_PERCENT2] = ACTIONS(2061),
    [anon_sym_AMP2] = ACTIONS(2061),
    [anon_sym_STAR2] = ACTIONS(2061),
    [anon_sym_use] = ACTIONS(2061),
    [anon_sym_no] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_foreach] = ACTIONS(2061),
    [anon_sym_last] = ACTIONS(2061),
    [anon_sym_next] = ACTIONS(2061),
    [anon_sym_redo] = ACTIONS(2061),
    [anon_sym_BEGIN] = ACTIONS(2061),
    [anon_sym_INIT] = ACTIONS(2061),
    [anon_sym_CHECK] = ACTIONS(2061),
    [anon_sym_UNITCHECK] = ACTIONS(2061),
    [anon_sym_END] = ACTIONS(2061),
    [anon_sym___FILE__] = ACTIONS(2061),
    [anon_sym___LINE__] = ACTIONS(2061),
    [anon_sym___PACKAGE__] = ACTIONS(2061),
    [anon_sym___SUB__] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_fork] = ACTIONS(2061),
    [anon_sym_getppid] = ACTIONS(2061),
    [anon_sym_time] = ACTIONS(2061),
    [anon_sym_times] = ACTIONS(2061),
    [anon_sym_wait] = ACTIONS(2061),
    [anon_sym_wantarray] = ACTIONS(2061),
    [anon_sym_abs] = ACTIONS(2061),
    [anon_sym_alarm] = ACTIONS(2061),
    [anon_sym_chop] = ACTIONS(2061),
    [anon_sym_chdir] = ACTIONS(2061),
    [anon_sym_close] = ACTIONS(2061),
    [anon_sym_closedir] = ACTIONS(2061),
    [anon_sym_caller] = ACTIONS(2061),
    [anon_sym_chomp] = ACTIONS(2061),
    [anon_sym_chr] = ACTIONS(2061),
    [anon_sym_cos] = ACTIONS(2061),
    [anon_sym_chroot] = ACTIONS(2061),
    [anon_sym_defined] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_dbmclose] = ACTIONS(2061),
    [anon_sym_exists] = ACTIONS(2061),
    [anon_sym_exit] = ACTIONS(2061),
    [anon_sym_eof] = ACTIONS(2061),
    [anon_sym_exp] = ACTIONS(2061),
    [anon_sym_each] = ACTIONS(2061),
    [anon_sym_fc] = ACTIONS(2061),
    [anon_sym_fileno] = ACTIONS(2061),
    [anon_sym_gmtime] = ACTIONS(2061),
    [anon_sym_getc] = ACTIONS(2061),
    [anon_sym_getpgrp] = ACTIONS(2061),
    [anon_sym_getprotobyname] = ACTIONS(2061),
    [anon_sym_getpwname] = ACTIONS(2061),
    [anon_sym_getpwuid] = ACTIONS(2061),
    [anon_sym_getpeername] = ACTIONS(2061),
    [anon_sym_getnetbyname] = ACTIONS(2061),
    [anon_sym_getsockname] = ACTIONS(2061),
    [anon_sym_getgrnam] = ACTIONS(2061),
    [anon_sym_getgrgid] = ACTIONS(2061),
    [anon_sym_hex] = ACTIONS(2061),
    [anon_sym_int] = ACTIONS(2061),
    [anon_sym_keys] = ACTIONS(2061),
    [anon_sym_lc] = ACTIONS(2061),
    [anon_sym_lcfirst] = ACTIONS(2061),
    [anon_sym_length] = ACTIONS(2061),
    [anon_sym_localtime] = ACTIONS(2061),
    [anon_sym_log] = ACTIONS(2061),
    [anon_sym_lock] = ACTIONS(2061),
    [anon_sym_lstat] = ACTIONS(2061),
    [anon_sym_oct] = ACTIONS(2061),
    [anon_sym_ord] = ACTIONS(2061),
    [anon_sym_prototype] = ACTIONS(2061),
    [anon_sym_pop] = ACTIONS(2061),
    [anon_sym_pos] = ACTIONS(2061),
    [anon_sym_quotemeta] = ACTIONS(2061),
    [anon_sym_reset] = ACTIONS(2061),
    [anon_sym_rand] = ACTIONS(2061),
    [anon_sym_rmdir] = ACTIONS(2061),
    [anon_sym_readdir] = ACTIONS(2061),
    [anon_sym_readline] = ACTIONS(2061),
    [anon_sym_readpipe] = ACTIONS(2061),
    [anon_sym_rewinddir] = ACTIONS(2061),
    [anon_sym_readlink] = ACTIONS(2061),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_scalar] = ACTIONS(2061),
    [anon_sym_shift] = ACTIONS(2061),
    [anon_sym_sin] = ACTIONS(2061),
    [anon_sym_sleep] = ACTIONS(2061),
    [anon_sym_sqrt] = ACTIONS(2061),
    [anon_sym_srand] = ACTIONS(2061),
    [anon_sym_stat] = ACTIONS(2061),
    [anon_sym_study] = ACTIONS(2061),
    [anon_sym_tell] = ACTIONS(2061),
    [anon_sym_telldir] = ACTIONS(2061),
    [anon_sym_tied] = ACTIONS(2061),
    [anon_sym_uc] = ACTIONS(2061),
    [anon_sym_ucfirst] = ACTIONS(2061),
    [anon_sym_untie] = ACTIONS(2061),
    [anon_sym_umask] = ACTIONS(2061),
    [anon_sym_values] = ACTIONS(2061),
    [anon_sym_write] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2061),
    [anon_sym___END__] = ACTIONS(2061),
    [anon_sym_EOT] = ACTIONS(2061),
    [anon_sym_q] = ACTIONS(2061),
    [anon_sym_qq] = ACTIONS(2061),
    [anon_sym_qw] = ACTIONS(2061),
    [anon_sym_qx] = ACTIONS(2061),
    [anon_sym_qr] = ACTIONS(2061),
    [anon_sym_m] = ACTIONS(2061),
    [anon_sym_s] = ACTIONS(2061),
    [anon_sym_tr] = ACTIONS(2061),
    [anon_sym_y] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_unless] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_until] = ACTIONS(2061),
    [aux_sym__bareword_token1] = ACTIONS(2061),
    [sym_number] = ACTIONS(2061),
    [anon_sym_true] = ACTIONS(2061),
    [anon_sym_false] = ACTIONS(2061),
    [sym__single_quote] = ACTIONS(2059),
    [sym__double_quote] = ACTIONS(2059),
    [sym__backtick_quote] = ACTIONS(2059),
    [sym__search_slash_quote] = ACTIONS(2059),
    [sym__open_readline_bracket] = ACTIONS(2059),
    [sym__open_fileglob_bracket] = ACTIONS(2059),
    [sym__PERLY_HEREDOC] = ACTIONS(2059),
    [sym__ctrl_z_hack] = ACTIONS(2059),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2059),
    [sym__filetest] = ACTIONS(2059),
  },
  [906] = {
    [sym_heredoc_content] = STATE(906),
    [ts_builtin_sym_end] = ACTIONS(2063),
    [sym__identifier] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_package] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_role] = ACTIONS(2065),
    [anon_sym_BUILD] = ACTIONS(2065),
    [anon_sym_ADJUST] = ACTIONS(2065),
    [anon_sym_DOLLAR] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_my] = ACTIONS(2065),
    [anon_sym_extended] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_sub] = ACTIONS(2065),
    [anon_sym_method] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_state] = ACTIONS(2065),
    [anon_sym_our] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_defer] = ACTIONS(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_SLASH_SLASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_BSLASH] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_eval] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_field] = ACTIONS(2065),
    [anon_sym_local] = ACTIONS(2065),
    [anon_sym_dynamically] = ACTIONS(2065),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2065),
    [anon_sym_require] = ACTIONS(2065),
    [anon_sym_map] = ACTIONS(2065),
    [anon_sym_grep] = ACTIONS(2065),
    [anon_sym_sort] = ACTIONS(2065),
    [anon_sym_goto] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_undef] = ACTIONS(2065),
    [anon_sym_PERCENT2] = ACTIONS(2065),
    [anon_sym_AMP2] = ACTIONS(2065),
    [anon_sym_STAR2] = ACTIONS(2065),
    [anon_sym_use] = ACTIONS(2065),
    [anon_sym_no] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_foreach] = ACTIONS(2065),
    [anon_sym_last] = ACTIONS(2065),
    [anon_sym_next] = ACTIONS(2065),
    [anon_sym_redo] = ACTIONS(2065),
    [anon_sym_BEGIN] = ACTIONS(2065),
    [anon_sym_INIT] = ACTIONS(2065),
    [anon_sym_CHECK] = ACTIONS(2065),
    [anon_sym_UNITCHECK] = ACTIONS(2065),
    [anon_sym_END] = ACTIONS(2065),
    [anon_sym___FILE__] = ACTIONS(2065),
    [anon_sym___LINE__] = ACTIONS(2065),
    [anon_sym___PACKAGE__] = ACTIONS(2065),
    [anon_sym___SUB__] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_fork] = ACTIONS(2065),
    [anon_sym_getppid] = ACTIONS(2065),
    [anon_sym_time] = ACTIONS(2065),
    [anon_sym_times] = ACTIONS(2065),
    [anon_sym_wait] = ACTIONS(2065),
    [anon_sym_wantarray] = ACTIONS(2065),
    [anon_sym_abs] = ACTIONS(2065),
    [anon_sym_alarm] = ACTIONS(2065),
    [anon_sym_chop] = ACTIONS(2065),
    [anon_sym_chdir] = ACTIONS(2065),
    [anon_sym_close] = ACTIONS(2065),
    [anon_sym_closedir] = ACTIONS(2065),
    [anon_sym_caller] = ACTIONS(2065),
    [anon_sym_chomp] = ACTIONS(2065),
    [anon_sym_chr] = ACTIONS(2065),
    [anon_sym_cos] = ACTIONS(2065),
    [anon_sym_chroot] = ACTIONS(2065),
    [anon_sym_defined] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_dbmclose] = ACTIONS(2065),
    [anon_sym_exists] = ACTIONS(2065),
    [anon_sym_exit] = ACTIONS(2065),
    [anon_sym_eof] = ACTIONS(2065),
    [anon_sym_exp] = ACTIONS(2065),
    [anon_sym_each] = ACTIONS(2065),
    [anon_sym_fc] = ACTIONS(2065),
    [anon_sym_fileno] = ACTIONS(2065),
    [anon_sym_gmtime] = ACTIONS(2065),
    [anon_sym_getc] = ACTIONS(2065),
    [anon_sym_getpgrp] = ACTIONS(2065),
    [anon_sym_getprotobyname] = ACTIONS(2065),
    [anon_sym_getpwname] = ACTIONS(2065),
    [anon_sym_getpwuid] = ACTIONS(2065),
    [anon_sym_getpeername] = ACTIONS(2065),
    [anon_sym_getnetbyname] = ACTIONS(2065),
    [anon_sym_getsockname] = ACTIONS(2065),
    [anon_sym_getgrnam] = ACTIONS(2065),
    [anon_sym_getgrgid] = ACTIONS(2065),
    [anon_sym_hex] = ACTIONS(2065),
    [anon_sym_int] = ACTIONS(2065),
    [anon_sym_keys] = ACTIONS(2065),
    [anon_sym_lc] = ACTIONS(2065),
    [anon_sym_lcfirst] = ACTIONS(2065),
    [anon_sym_length] = ACTIONS(2065),
    [anon_sym_localtime] = ACTIONS(2065),
    [anon_sym_log] = ACTIONS(2065),
    [anon_sym_lock] = ACTIONS(2065),
    [anon_sym_lstat] = ACTIONS(2065),
    [anon_sym_oct] = ACTIONS(2065),
    [anon_sym_ord] = ACTIONS(2065),
    [anon_sym_prototype] = ACTIONS(2065),
    [anon_sym_pop] = ACTIONS(2065),
    [anon_sym_pos] = ACTIONS(2065),
    [anon_sym_quotemeta] = ACTIONS(2065),
    [anon_sym_reset] = ACTIONS(2065),
    [anon_sym_rand] = ACTIONS(2065),
    [anon_sym_rmdir] = ACTIONS(2065),
    [anon_sym_readdir] = ACTIONS(2065),
    [anon_sym_readline] = ACTIONS(2065),
    [anon_sym_readpipe] = ACTIONS(2065),
    [anon_sym_rewinddir] = ACTIONS(2065),
    [anon_sym_readlink] = ACTIONS(2065),
    [anon_sym_ref] = ACTIONS(2065),
    [anon_sym_scalar] = ACTIONS(2065),
    [anon_sym_shift] = ACTIONS(2065),
    [anon_sym_sin] = ACTIONS(2065),
    [anon_sym_sleep] = ACTIONS(2065),
    [anon_sym_sqrt] = ACTIONS(2065),
    [anon_sym_srand] = ACTIONS(2065),
    [anon_sym_stat] = ACTIONS(2065),
    [anon_sym_study] = ACTIONS(2065),
    [anon_sym_tell] = ACTIONS(2065),
    [anon_sym_telldir] = ACTIONS(2065),
    [anon_sym_tied] = ACTIONS(2065),
    [anon_sym_uc] = ACTIONS(2065),
    [anon_sym_ucfirst] = ACTIONS(2065),
    [anon_sym_untie] = ACTIONS(2065),
    [anon_sym_umask] = ACTIONS(2065),
    [anon_sym_values] = ACTIONS(2065),
    [anon_sym_write] = ACTIONS(2065),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2065),
    [anon_sym___END__] = ACTIONS(2065),
    [anon_sym_EOT] = ACTIONS(2065),
    [anon_sym_q] = ACTIONS(2065),
    [anon_sym_qq] = ACTIONS(2065),
    [anon_sym_qw] = ACTIONS(2065),
    [anon_sym_qx] = ACTIONS(2065),
    [anon_sym_qr] = ACTIONS(2065),
    [anon_sym_m] = ACTIONS(2065),
    [anon_sym_s] = ACTIONS(2065),
    [anon_sym_tr] = ACTIONS(2065),
    [anon_sym_y] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_unless] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_until] = ACTIONS(2065),
    [aux_sym__bareword_token1] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(2065),
    [anon_sym_false] = ACTIONS(2065),
    [sym__single_quote] = ACTIONS(2063),
    [sym__double_quote] = ACTIONS(2063),
    [sym__backtick_quote] = ACTIONS(2063),
    [sym__search_slash_quote] = ACTIONS(2063),
    [sym__open_readline_bracket] = ACTIONS(2063),
    [sym__open_fileglob_bracket] = ACTIONS(2063),
    [sym__PERLY_HEREDOC] = ACTIONS(2063),
    [sym__ctrl_z_hack] = ACTIONS(2063),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2063),
    [sym__filetest] = ACTIONS(2063),
  },
  [907] = {
    [sym_heredoc_content] = STATE(907),
    [ts_builtin_sym_end] = ACTIONS(2067),
    [sym__identifier] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_SEMI] = ACTIONS(2069),
    [anon_sym_package] = ACTIONS(2069),
    [anon_sym_class] = ACTIONS(2069),
    [anon_sym_role] = ACTIONS(2069),
    [anon_sym_BUILD] = ACTIONS(2069),
    [anon_sym_ADJUST] = ACTIONS(2069),
    [anon_sym_DOLLAR] = ACTIONS(2069),
    [anon_sym_AT] = ACTIONS(2069),
    [anon_sym_my] = ACTIONS(2069),
    [anon_sym_extended] = ACTIONS(2069),
    [anon_sym_async] = ACTIONS(2069),
    [anon_sym_sub] = ACTIONS(2069),
    [anon_sym_method] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_continue] = ACTIONS(2069),
    [anon_sym_state] = ACTIONS(2069),
    [anon_sym_our] = ACTIONS(2069),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_defer] = ACTIONS(2069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_SLASH_SLASH] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2069),
    [anon_sym_DASH_DASH] = ACTIONS(2069),
    [anon_sym_BSLASH] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2069),
    [anon_sym_eval] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(2069),
    [anon_sym_field] = ACTIONS(2069),
    [anon_sym_local] = ACTIONS(2069),
    [anon_sym_dynamically] = ACTIONS(2069),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2069),
    [anon_sym_require] = ACTIONS(2069),
    [anon_sym_map] = ACTIONS(2069),
    [anon_sym_grep] = ACTIONS(2069),
    [anon_sym_sort] = ACTIONS(2069),
    [anon_sym_goto] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_undef] = ACTIONS(2069),
    [anon_sym_PERCENT2] = ACTIONS(2069),
    [anon_sym_AMP2] = ACTIONS(2069),
    [anon_sym_STAR2] = ACTIONS(2069),
    [anon_sym_use] = ACTIONS(2069),
    [anon_sym_no] = ACTIONS(2069),
    [anon_sym_for] = ACTIONS(2069),
    [anon_sym_foreach] = ACTIONS(2069),
    [anon_sym_last] = ACTIONS(2069),
    [anon_sym_next] = ACTIONS(2069),
    [anon_sym_redo] = ACTIONS(2069),
    [anon_sym_BEGIN] = ACTIONS(2069),
    [anon_sym_INIT] = ACTIONS(2069),
    [anon_sym_CHECK] = ACTIONS(2069),
    [anon_sym_UNITCHECK] = ACTIONS(2069),
    [anon_sym_END] = ACTIONS(2069),
    [anon_sym___FILE__] = ACTIONS(2069),
    [anon_sym___LINE__] = ACTIONS(2069),
    [anon_sym___PACKAGE__] = ACTIONS(2069),
    [anon_sym___SUB__] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_fork] = ACTIONS(2069),
    [anon_sym_getppid] = ACTIONS(2069),
    [anon_sym_time] = ACTIONS(2069),
    [anon_sym_times] = ACTIONS(2069),
    [anon_sym_wait] = ACTIONS(2069),
    [anon_sym_wantarray] = ACTIONS(2069),
    [anon_sym_abs] = ACTIONS(2069),
    [anon_sym_alarm] = ACTIONS(2069),
    [anon_sym_chop] = ACTIONS(2069),
    [anon_sym_chdir] = ACTIONS(2069),
    [anon_sym_close] = ACTIONS(2069),
    [anon_sym_closedir] = ACTIONS(2069),
    [anon_sym_caller] = ACTIONS(2069),
    [anon_sym_chomp] = ACTIONS(2069),
    [anon_sym_chr] = ACTIONS(2069),
    [anon_sym_cos] = ACTIONS(2069),
    [anon_sym_chroot] = ACTIONS(2069),
    [anon_sym_defined] = ACTIONS(2069),
    [anon_sym_delete] = ACTIONS(2069),
    [anon_sym_dbmclose] = ACTIONS(2069),
    [anon_sym_exists] = ACTIONS(2069),
    [anon_sym_exit] = ACTIONS(2069),
    [anon_sym_eof] = ACTIONS(2069),
    [anon_sym_exp] = ACTIONS(2069),
    [anon_sym_each] = ACTIONS(2069),
    [anon_sym_fc] = ACTIONS(2069),
    [anon_sym_fileno] = ACTIONS(2069),
    [anon_sym_gmtime] = ACTIONS(2069),
    [anon_sym_getc] = ACTIONS(2069),
    [anon_sym_getpgrp] = ACTIONS(2069),
    [anon_sym_getprotobyname] = ACTIONS(2069),
    [anon_sym_getpwname] = ACTIONS(2069),
    [anon_sym_getpwuid] = ACTIONS(2069),
    [anon_sym_getpeername] = ACTIONS(2069),
    [anon_sym_getnetbyname] = ACTIONS(2069),
    [anon_sym_getsockname] = ACTIONS(2069),
    [anon_sym_getgrnam] = ACTIONS(2069),
    [anon_sym_getgrgid] = ACTIONS(2069),
    [anon_sym_hex] = ACTIONS(2069),
    [anon_sym_int] = ACTIONS(2069),
    [anon_sym_keys] = ACTIONS(2069),
    [anon_sym_lc] = ACTIONS(2069),
    [anon_sym_lcfirst] = ACTIONS(2069),
    [anon_sym_length] = ACTIONS(2069),
    [anon_sym_localtime] = ACTIONS(2069),
    [anon_sym_log] = ACTIONS(2069),
    [anon_sym_lock] = ACTIONS(2069),
    [anon_sym_lstat] = ACTIONS(2069),
    [anon_sym_oct] = ACTIONS(2069),
    [anon_sym_ord] = ACTIONS(2069),
    [anon_sym_prototype] = ACTIONS(2069),
    [anon_sym_pop] = ACTIONS(2069),
    [anon_sym_pos] = ACTIONS(2069),
    [anon_sym_quotemeta] = ACTIONS(2069),
    [anon_sym_reset] = ACTIONS(2069),
    [anon_sym_rand] = ACTIONS(2069),
    [anon_sym_rmdir] = ACTIONS(2069),
    [anon_sym_readdir] = ACTIONS(2069),
    [anon_sym_readline] = ACTIONS(2069),
    [anon_sym_readpipe] = ACTIONS(2069),
    [anon_sym_rewinddir] = ACTIONS(2069),
    [anon_sym_readlink] = ACTIONS(2069),
    [anon_sym_ref] = ACTIONS(2069),
    [anon_sym_scalar] = ACTIONS(2069),
    [anon_sym_shift] = ACTIONS(2069),
    [anon_sym_sin] = ACTIONS(2069),
    [anon_sym_sleep] = ACTIONS(2069),
    [anon_sym_sqrt] = ACTIONS(2069),
    [anon_sym_srand] = ACTIONS(2069),
    [anon_sym_stat] = ACTIONS(2069),
    [anon_sym_study] = ACTIONS(2069),
    [anon_sym_tell] = ACTIONS(2069),
    [anon_sym_telldir] = ACTIONS(2069),
    [anon_sym_tied] = ACTIONS(2069),
    [anon_sym_uc] = ACTIONS(2069),
    [anon_sym_ucfirst] = ACTIONS(2069),
    [anon_sym_untie] = ACTIONS(2069),
    [anon_sym_umask] = ACTIONS(2069),
    [anon_sym_values] = ACTIONS(2069),
    [anon_sym_write] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2069),
    [anon_sym___END__] = ACTIONS(2069),
    [anon_sym_EOT] = ACTIONS(2069),
    [anon_sym_q] = ACTIONS(2069),
    [anon_sym_qq] = ACTIONS(2069),
    [anon_sym_qw] = ACTIONS(2069),
    [anon_sym_qx] = ACTIONS(2069),
    [anon_sym_qr] = ACTIONS(2069),
    [anon_sym_m] = ACTIONS(2069),
    [anon_sym_s] = ACTIONS(2069),
    [anon_sym_tr] = ACTIONS(2069),
    [anon_sym_y] = ACTIONS(2069),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_unless] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2069),
    [anon_sym_until] = ACTIONS(2069),
    [aux_sym__bareword_token1] = ACTIONS(2069),
    [sym_number] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(2069),
    [anon_sym_false] = ACTIONS(2069),
    [sym__single_quote] = ACTIONS(2067),
    [sym__double_quote] = ACTIONS(2067),
    [sym__backtick_quote] = ACTIONS(2067),
    [sym__search_slash_quote] = ACTIONS(2067),
    [sym__open_readline_bracket] = ACTIONS(2067),
    [sym__open_fileglob_bracket] = ACTIONS(2067),
    [sym__PERLY_HEREDOC] = ACTIONS(2067),
    [sym__ctrl_z_hack] = ACTIONS(2067),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2067),
    [sym__filetest] = ACTIONS(2067),
  },
  [908] = {
    [sym_heredoc_content] = STATE(908),
    [ts_builtin_sym_end] = ACTIONS(2071),
    [sym__identifier] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2073),
    [anon_sym_package] = ACTIONS(2073),
    [anon_sym_class] = ACTIONS(2073),
    [anon_sym_role] = ACTIONS(2073),
    [anon_sym_BUILD] = ACTIONS(2073),
    [anon_sym_ADJUST] = ACTIONS(2073),
    [anon_sym_DOLLAR] = ACTIONS(2073),
    [anon_sym_AT] = ACTIONS(2073),
    [anon_sym_my] = ACTIONS(2073),
    [anon_sym_extended] = ACTIONS(2073),
    [anon_sym_async] = ACTIONS(2073),
    [anon_sym_sub] = ACTIONS(2073),
    [anon_sym_method] = ACTIONS(2073),
    [anon_sym_LPAREN] = ACTIONS(2073),
    [anon_sym_continue] = ACTIONS(2073),
    [anon_sym_state] = ACTIONS(2073),
    [anon_sym_our] = ACTIONS(2073),
    [anon_sym_try] = ACTIONS(2073),
    [anon_sym_defer] = ACTIONS(2073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_LT_LT] = ACTIONS(2073),
    [anon_sym_SLASH_SLASH] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2073),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2073),
    [anon_sym_DASH_DASH] = ACTIONS(2073),
    [anon_sym_BSLASH] = ACTIONS(2071),
    [anon_sym_do] = ACTIONS(2073),
    [anon_sym_eval] = ACTIONS(2073),
    [anon_sym_await] = ACTIONS(2073),
    [anon_sym_field] = ACTIONS(2073),
    [anon_sym_local] = ACTIONS(2073),
    [anon_sym_dynamically] = ACTIONS(2073),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2073),
    [anon_sym_require] = ACTIONS(2073),
    [anon_sym_map] = ACTIONS(2073),
    [anon_sym_grep] = ACTIONS(2073),
    [anon_sym_sort] = ACTIONS(2073),
    [anon_sym_goto] = ACTIONS(2073),
    [anon_sym_return] = ACTIONS(2073),
    [anon_sym_undef] = ACTIONS(2073),
    [anon_sym_PERCENT2] = ACTIONS(2073),
    [anon_sym_AMP2] = ACTIONS(2073),
    [anon_sym_STAR2] = ACTIONS(2073),
    [anon_sym_use] = ACTIONS(2073),
    [anon_sym_no] = ACTIONS(2073),
    [anon_sym_for] = ACTIONS(2073),
    [anon_sym_foreach] = ACTIONS(2073),
    [anon_sym_last] = ACTIONS(2073),
    [anon_sym_next] = ACTIONS(2073),
    [anon_sym_redo] = ACTIONS(2073),
    [anon_sym_BEGIN] = ACTIONS(2073),
    [anon_sym_INIT] = ACTIONS(2073),
    [anon_sym_CHECK] = ACTIONS(2073),
    [anon_sym_UNITCHECK] = ACTIONS(2073),
    [anon_sym_END] = ACTIONS(2073),
    [anon_sym___FILE__] = ACTIONS(2073),
    [anon_sym___LINE__] = ACTIONS(2073),
    [anon_sym___PACKAGE__] = ACTIONS(2073),
    [anon_sym___SUB__] = ACTIONS(2073),
    [anon_sym_break] = ACTIONS(2073),
    [anon_sym_fork] = ACTIONS(2073),
    [anon_sym_getppid] = ACTIONS(2073),
    [anon_sym_time] = ACTIONS(2073),
    [anon_sym_times] = ACTIONS(2073),
    [anon_sym_wait] = ACTIONS(2073),
    [anon_sym_wantarray] = ACTIONS(2073),
    [anon_sym_abs] = ACTIONS(2073),
    [anon_sym_alarm] = ACTIONS(2073),
    [anon_sym_chop] = ACTIONS(2073),
    [anon_sym_chdir] = ACTIONS(2073),
    [anon_sym_close] = ACTIONS(2073),
    [anon_sym_closedir] = ACTIONS(2073),
    [anon_sym_caller] = ACTIONS(2073),
    [anon_sym_chomp] = ACTIONS(2073),
    [anon_sym_chr] = ACTIONS(2073),
    [anon_sym_cos] = ACTIONS(2073),
    [anon_sym_chroot] = ACTIONS(2073),
    [anon_sym_defined] = ACTIONS(2073),
    [anon_sym_delete] = ACTIONS(2073),
    [anon_sym_dbmclose] = ACTIONS(2073),
    [anon_sym_exists] = ACTIONS(2073),
    [anon_sym_exit] = ACTIONS(2073),
    [anon_sym_eof] = ACTIONS(2073),
    [anon_sym_exp] = ACTIONS(2073),
    [anon_sym_each] = ACTIONS(2073),
    [anon_sym_fc] = ACTIONS(2073),
    [anon_sym_fileno] = ACTIONS(2073),
    [anon_sym_gmtime] = ACTIONS(2073),
    [anon_sym_getc] = ACTIONS(2073),
    [anon_sym_getpgrp] = ACTIONS(2073),
    [anon_sym_getprotobyname] = ACTIONS(2073),
    [anon_sym_getpwname] = ACTIONS(2073),
    [anon_sym_getpwuid] = ACTIONS(2073),
    [anon_sym_getpeername] = ACTIONS(2073),
    [anon_sym_getnetbyname] = ACTIONS(2073),
    [anon_sym_getsockname] = ACTIONS(2073),
    [anon_sym_getgrnam] = ACTIONS(2073),
    [anon_sym_getgrgid] = ACTIONS(2073),
    [anon_sym_hex] = ACTIONS(2073),
    [anon_sym_int] = ACTIONS(2073),
    [anon_sym_keys] = ACTIONS(2073),
    [anon_sym_lc] = ACTIONS(2073),
    [anon_sym_lcfirst] = ACTIONS(2073),
    [anon_sym_length] = ACTIONS(2073),
    [anon_sym_localtime] = ACTIONS(2073),
    [anon_sym_log] = ACTIONS(2073),
    [anon_sym_lock] = ACTIONS(2073),
    [anon_sym_lstat] = ACTIONS(2073),
    [anon_sym_oct] = ACTIONS(2073),
    [anon_sym_ord] = ACTIONS(2073),
    [anon_sym_prototype] = ACTIONS(2073),
    [anon_sym_pop] = ACTIONS(2073),
    [anon_sym_pos] = ACTIONS(2073),
    [anon_sym_quotemeta] = ACTIONS(2073),
    [anon_sym_reset] = ACTIONS(2073),
    [anon_sym_rand] = ACTIONS(2073),
    [anon_sym_rmdir] = ACTIONS(2073),
    [anon_sym_readdir] = ACTIONS(2073),
    [anon_sym_readline] = ACTIONS(2073),
    [anon_sym_readpipe] = ACTIONS(2073),
    [anon_sym_rewinddir] = ACTIONS(2073),
    [anon_sym_readlink] = ACTIONS(2073),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_scalar] = ACTIONS(2073),
    [anon_sym_shift] = ACTIONS(2073),
    [anon_sym_sin] = ACTIONS(2073),
    [anon_sym_sleep] = ACTIONS(2073),
    [anon_sym_sqrt] = ACTIONS(2073),
    [anon_sym_srand] = ACTIONS(2073),
    [anon_sym_stat] = ACTIONS(2073),
    [anon_sym_study] = ACTIONS(2073),
    [anon_sym_tell] = ACTIONS(2073),
    [anon_sym_telldir] = ACTIONS(2073),
    [anon_sym_tied] = ACTIONS(2073),
    [anon_sym_uc] = ACTIONS(2073),
    [anon_sym_ucfirst] = ACTIONS(2073),
    [anon_sym_untie] = ACTIONS(2073),
    [anon_sym_umask] = ACTIONS(2073),
    [anon_sym_values] = ACTIONS(2073),
    [anon_sym_write] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2073),
    [anon_sym___END__] = ACTIONS(2073),
    [anon_sym_EOT] = ACTIONS(2073),
    [anon_sym_q] = ACTIONS(2073),
    [anon_sym_qq] = ACTIONS(2073),
    [anon_sym_qw] = ACTIONS(2073),
    [anon_sym_qx] = ACTIONS(2073),
    [anon_sym_qr] = ACTIONS(2073),
    [anon_sym_m] = ACTIONS(2073),
    [anon_sym_s] = ACTIONS(2073),
    [anon_sym_tr] = ACTIONS(2073),
    [anon_sym_y] = ACTIONS(2073),
    [anon_sym_if] = ACTIONS(2073),
    [anon_sym_unless] = ACTIONS(2073),
    [anon_sym_while] = ACTIONS(2073),
    [anon_sym_until] = ACTIONS(2073),
    [aux_sym__bareword_token1] = ACTIONS(2073),
    [sym_number] = ACTIONS(2073),
    [anon_sym_true] = ACTIONS(2073),
    [anon_sym_false] = ACTIONS(2073),
    [sym__single_quote] = ACTIONS(2071),
    [sym__double_quote] = ACTIONS(2071),
    [sym__backtick_quote] = ACTIONS(2071),
    [sym__search_slash_quote] = ACTIONS(2071),
    [sym__open_readline_bracket] = ACTIONS(2071),
    [sym__open_fileglob_bracket] = ACTIONS(2071),
    [sym__PERLY_HEREDOC] = ACTIONS(2071),
    [sym__ctrl_z_hack] = ACTIONS(2071),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2071),
    [sym__filetest] = ACTIONS(2071),
  },
  [909] = {
    [sym_heredoc_content] = STATE(909),
    [ts_builtin_sym_end] = ACTIONS(2075),
    [sym__identifier] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_package] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_role] = ACTIONS(2077),
    [anon_sym_BUILD] = ACTIONS(2077),
    [anon_sym_ADJUST] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_my] = ACTIONS(2077),
    [anon_sym_extended] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_sub] = ACTIONS(2077),
    [anon_sym_method] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_state] = ACTIONS(2077),
    [anon_sym_our] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_defer] = ACTIONS(2077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_SLASH_SLASH] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_BSLASH] = ACTIONS(2075),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_eval] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_field] = ACTIONS(2077),
    [anon_sym_local] = ACTIONS(2077),
    [anon_sym_dynamically] = ACTIONS(2077),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2077),
    [anon_sym_require] = ACTIONS(2077),
    [anon_sym_map] = ACTIONS(2077),
    [anon_sym_grep] = ACTIONS(2077),
    [anon_sym_sort] = ACTIONS(2077),
    [anon_sym_goto] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_undef] = ACTIONS(2077),
    [anon_sym_PERCENT2] = ACTIONS(2077),
    [anon_sym_AMP2] = ACTIONS(2077),
    [anon_sym_STAR2] = ACTIONS(2077),
    [anon_sym_use] = ACTIONS(2077),
    [anon_sym_no] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_foreach] = ACTIONS(2077),
    [anon_sym_last] = ACTIONS(2077),
    [anon_sym_next] = ACTIONS(2077),
    [anon_sym_redo] = ACTIONS(2077),
    [anon_sym_BEGIN] = ACTIONS(2077),
    [anon_sym_INIT] = ACTIONS(2077),
    [anon_sym_CHECK] = ACTIONS(2077),
    [anon_sym_UNITCHECK] = ACTIONS(2077),
    [anon_sym_END] = ACTIONS(2077),
    [anon_sym___FILE__] = ACTIONS(2077),
    [anon_sym___LINE__] = ACTIONS(2077),
    [anon_sym___PACKAGE__] = ACTIONS(2077),
    [anon_sym___SUB__] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_fork] = ACTIONS(2077),
    [anon_sym_getppid] = ACTIONS(2077),
    [anon_sym_time] = ACTIONS(2077),
    [anon_sym_times] = ACTIONS(2077),
    [anon_sym_wait] = ACTIONS(2077),
    [anon_sym_wantarray] = ACTIONS(2077),
    [anon_sym_abs] = ACTIONS(2077),
    [anon_sym_alarm] = ACTIONS(2077),
    [anon_sym_chop] = ACTIONS(2077),
    [anon_sym_chdir] = ACTIONS(2077),
    [anon_sym_close] = ACTIONS(2077),
    [anon_sym_closedir] = ACTIONS(2077),
    [anon_sym_caller] = ACTIONS(2077),
    [anon_sym_chomp] = ACTIONS(2077),
    [anon_sym_chr] = ACTIONS(2077),
    [anon_sym_cos] = ACTIONS(2077),
    [anon_sym_chroot] = ACTIONS(2077),
    [anon_sym_defined] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_dbmclose] = ACTIONS(2077),
    [anon_sym_exists] = ACTIONS(2077),
    [anon_sym_exit] = ACTIONS(2077),
    [anon_sym_eof] = ACTIONS(2077),
    [anon_sym_exp] = ACTIONS(2077),
    [anon_sym_each] = ACTIONS(2077),
    [anon_sym_fc] = ACTIONS(2077),
    [anon_sym_fileno] = ACTIONS(2077),
    [anon_sym_gmtime] = ACTIONS(2077),
    [anon_sym_getc] = ACTIONS(2077),
    [anon_sym_getpgrp] = ACTIONS(2077),
    [anon_sym_getprotobyname] = ACTIONS(2077),
    [anon_sym_getpwname] = ACTIONS(2077),
    [anon_sym_getpwuid] = ACTIONS(2077),
    [anon_sym_getpeername] = ACTIONS(2077),
    [anon_sym_getnetbyname] = ACTIONS(2077),
    [anon_sym_getsockname] = ACTIONS(2077),
    [anon_sym_getgrnam] = ACTIONS(2077),
    [anon_sym_getgrgid] = ACTIONS(2077),
    [anon_sym_hex] = ACTIONS(2077),
    [anon_sym_int] = ACTIONS(2077),
    [anon_sym_keys] = ACTIONS(2077),
    [anon_sym_lc] = ACTIONS(2077),
    [anon_sym_lcfirst] = ACTIONS(2077),
    [anon_sym_length] = ACTIONS(2077),
    [anon_sym_localtime] = ACTIONS(2077),
    [anon_sym_log] = ACTIONS(2077),
    [anon_sym_lock] = ACTIONS(2077),
    [anon_sym_lstat] = ACTIONS(2077),
    [anon_sym_oct] = ACTIONS(2077),
    [anon_sym_ord] = ACTIONS(2077),
    [anon_sym_prototype] = ACTIONS(2077),
    [anon_sym_pop] = ACTIONS(2077),
    [anon_sym_pos] = ACTIONS(2077),
    [anon_sym_quotemeta] = ACTIONS(2077),
    [anon_sym_reset] = ACTIONS(2077),
    [anon_sym_rand] = ACTIONS(2077),
    [anon_sym_rmdir] = ACTIONS(2077),
    [anon_sym_readdir] = ACTIONS(2077),
    [anon_sym_readline] = ACTIONS(2077),
    [anon_sym_readpipe] = ACTIONS(2077),
    [anon_sym_rewinddir] = ACTIONS(2077),
    [anon_sym_readlink] = ACTIONS(2077),
    [anon_sym_ref] = ACTIONS(2077),
    [anon_sym_scalar] = ACTIONS(2077),
    [anon_sym_shift] = ACTIONS(2077),
    [anon_sym_sin] = ACTIONS(2077),
    [anon_sym_sleep] = ACTIONS(2077),
    [anon_sym_sqrt] = ACTIONS(2077),
    [anon_sym_srand] = ACTIONS(2077),
    [anon_sym_stat] = ACTIONS(2077),
    [anon_sym_study] = ACTIONS(2077),
    [anon_sym_tell] = ACTIONS(2077),
    [anon_sym_telldir] = ACTIONS(2077),
    [anon_sym_tied] = ACTIONS(2077),
    [anon_sym_uc] = ACTIONS(2077),
    [anon_sym_ucfirst] = ACTIONS(2077),
    [anon_sym_untie] = ACTIONS(2077),
    [anon_sym_umask] = ACTIONS(2077),
    [anon_sym_values] = ACTIONS(2077),
    [anon_sym_write] = ACTIONS(2077),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2077),
    [anon_sym___END__] = ACTIONS(2077),
    [anon_sym_EOT] = ACTIONS(2077),
    [anon_sym_q] = ACTIONS(2077),
    [anon_sym_qq] = ACTIONS(2077),
    [anon_sym_qw] = ACTIONS(2077),
    [anon_sym_qx] = ACTIONS(2077),
    [anon_sym_qr] = ACTIONS(2077),
    [anon_sym_m] = ACTIONS(2077),
    [anon_sym_s] = ACTIONS(2077),
    [anon_sym_tr] = ACTIONS(2077),
    [anon_sym_y] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_unless] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_until] = ACTIONS(2077),
    [aux_sym__bareword_token1] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(2077),
    [anon_sym_false] = ACTIONS(2077),
    [sym__single_quote] = ACTIONS(2075),
    [sym__double_quote] = ACTIONS(2075),
    [sym__backtick_quote] = ACTIONS(2075),
    [sym__search_slash_quote] = ACTIONS(2075),
    [sym__open_readline_bracket] = ACTIONS(2075),
    [sym__open_fileglob_bracket] = ACTIONS(2075),
    [sym__PERLY_HEREDOC] = ACTIONS(2075),
    [sym__ctrl_z_hack] = ACTIONS(2075),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2075),
    [sym__filetest] = ACTIONS(2075),
  },
  [910] = {
    [sym_heredoc_content] = STATE(910),
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_package] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_role] = ACTIONS(2081),
    [anon_sym_BUILD] = ACTIONS(2081),
    [anon_sym_ADJUST] = ACTIONS(2081),
    [anon_sym_DOLLAR] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_my] = ACTIONS(2081),
    [anon_sym_extended] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_sub] = ACTIONS(2081),
    [anon_sym_method] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_state] = ACTIONS(2081),
    [anon_sym_our] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_defer] = ACTIONS(2081),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_SLASH_SLASH] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [anon_sym_BSLASH] = ACTIONS(2079),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_eval] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_field] = ACTIONS(2081),
    [anon_sym_local] = ACTIONS(2081),
    [anon_sym_dynamically] = ACTIONS(2081),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2081),
    [anon_sym_require] = ACTIONS(2081),
    [anon_sym_map] = ACTIONS(2081),
    [anon_sym_grep] = ACTIONS(2081),
    [anon_sym_sort] = ACTIONS(2081),
    [anon_sym_goto] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_undef] = ACTIONS(2081),
    [anon_sym_PERCENT2] = ACTIONS(2081),
    [anon_sym_AMP2] = ACTIONS(2081),
    [anon_sym_STAR2] = ACTIONS(2081),
    [anon_sym_use] = ACTIONS(2081),
    [anon_sym_no] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_foreach] = ACTIONS(2081),
    [anon_sym_last] = ACTIONS(2081),
    [anon_sym_next] = ACTIONS(2081),
    [anon_sym_redo] = ACTIONS(2081),
    [anon_sym_BEGIN] = ACTIONS(2081),
    [anon_sym_INIT] = ACTIONS(2081),
    [anon_sym_CHECK] = ACTIONS(2081),
    [anon_sym_UNITCHECK] = ACTIONS(2081),
    [anon_sym_END] = ACTIONS(2081),
    [anon_sym___FILE__] = ACTIONS(2081),
    [anon_sym___LINE__] = ACTIONS(2081),
    [anon_sym___PACKAGE__] = ACTIONS(2081),
    [anon_sym___SUB__] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_fork] = ACTIONS(2081),
    [anon_sym_getppid] = ACTIONS(2081),
    [anon_sym_time] = ACTIONS(2081),
    [anon_sym_times] = ACTIONS(2081),
    [anon_sym_wait] = ACTIONS(2081),
    [anon_sym_wantarray] = ACTIONS(2081),
    [anon_sym_abs] = ACTIONS(2081),
    [anon_sym_alarm] = ACTIONS(2081),
    [anon_sym_chop] = ACTIONS(2081),
    [anon_sym_chdir] = ACTIONS(2081),
    [anon_sym_close] = ACTIONS(2081),
    [anon_sym_closedir] = ACTIONS(2081),
    [anon_sym_caller] = ACTIONS(2081),
    [anon_sym_chomp] = ACTIONS(2081),
    [anon_sym_chr] = ACTIONS(2081),
    [anon_sym_cos] = ACTIONS(2081),
    [anon_sym_chroot] = ACTIONS(2081),
    [anon_sym_defined] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_dbmclose] = ACTIONS(2081),
    [anon_sym_exists] = ACTIONS(2081),
    [anon_sym_exit] = ACTIONS(2081),
    [anon_sym_eof] = ACTIONS(2081),
    [anon_sym_exp] = ACTIONS(2081),
    [anon_sym_each] = ACTIONS(2081),
    [anon_sym_fc] = ACTIONS(2081),
    [anon_sym_fileno] = ACTIONS(2081),
    [anon_sym_gmtime] = ACTIONS(2081),
    [anon_sym_getc] = ACTIONS(2081),
    [anon_sym_getpgrp] = ACTIONS(2081),
    [anon_sym_getprotobyname] = ACTIONS(2081),
    [anon_sym_getpwname] = ACTIONS(2081),
    [anon_sym_getpwuid] = ACTIONS(2081),
    [anon_sym_getpeername] = ACTIONS(2081),
    [anon_sym_getnetbyname] = ACTIONS(2081),
    [anon_sym_getsockname] = ACTIONS(2081),
    [anon_sym_getgrnam] = ACTIONS(2081),
    [anon_sym_getgrgid] = ACTIONS(2081),
    [anon_sym_hex] = ACTIONS(2081),
    [anon_sym_int] = ACTIONS(2081),
    [anon_sym_keys] = ACTIONS(2081),
    [anon_sym_lc] = ACTIONS(2081),
    [anon_sym_lcfirst] = ACTIONS(2081),
    [anon_sym_length] = ACTIONS(2081),
    [anon_sym_localtime] = ACTIONS(2081),
    [anon_sym_log] = ACTIONS(2081),
    [anon_sym_lock] = ACTIONS(2081),
    [anon_sym_lstat] = ACTIONS(2081),
    [anon_sym_oct] = ACTIONS(2081),
    [anon_sym_ord] = ACTIONS(2081),
    [anon_sym_prototype] = ACTIONS(2081),
    [anon_sym_pop] = ACTIONS(2081),
    [anon_sym_pos] = ACTIONS(2081),
    [anon_sym_quotemeta] = ACTIONS(2081),
    [anon_sym_reset] = ACTIONS(2081),
    [anon_sym_rand] = ACTIONS(2081),
    [anon_sym_rmdir] = ACTIONS(2081),
    [anon_sym_readdir] = ACTIONS(2081),
    [anon_sym_readline] = ACTIONS(2081),
    [anon_sym_readpipe] = ACTIONS(2081),
    [anon_sym_rewinddir] = ACTIONS(2081),
    [anon_sym_readlink] = ACTIONS(2081),
    [anon_sym_ref] = ACTIONS(2081),
    [anon_sym_scalar] = ACTIONS(2081),
    [anon_sym_shift] = ACTIONS(2081),
    [anon_sym_sin] = ACTIONS(2081),
    [anon_sym_sleep] = ACTIONS(2081),
    [anon_sym_sqrt] = ACTIONS(2081),
    [anon_sym_srand] = ACTIONS(2081),
    [anon_sym_stat] = ACTIONS(2081),
    [anon_sym_study] = ACTIONS(2081),
    [anon_sym_tell] = ACTIONS(2081),
    [anon_sym_telldir] = ACTIONS(2081),
    [anon_sym_tied] = ACTIONS(2081),
    [anon_sym_uc] = ACTIONS(2081),
    [anon_sym_ucfirst] = ACTIONS(2081),
    [anon_sym_untie] = ACTIONS(2081),
    [anon_sym_umask] = ACTIONS(2081),
    [anon_sym_values] = ACTIONS(2081),
    [anon_sym_write] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2081),
    [anon_sym___END__] = ACTIONS(2081),
    [anon_sym_EOT] = ACTIONS(2081),
    [anon_sym_q] = ACTIONS(2081),
    [anon_sym_qq] = ACTIONS(2081),
    [anon_sym_qw] = ACTIONS(2081),
    [anon_sym_qx] = ACTIONS(2081),
    [anon_sym_qr] = ACTIONS(2081),
    [anon_sym_m] = ACTIONS(2081),
    [anon_sym_s] = ACTIONS(2081),
    [anon_sym_tr] = ACTIONS(2081),
    [anon_sym_y] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_unless] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_until] = ACTIONS(2081),
    [aux_sym__bareword_token1] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [anon_sym_true] = ACTIONS(2081),
    [anon_sym_false] = ACTIONS(2081),
    [sym__single_quote] = ACTIONS(2079),
    [sym__double_quote] = ACTIONS(2079),
    [sym__backtick_quote] = ACTIONS(2079),
    [sym__search_slash_quote] = ACTIONS(2079),
    [sym__open_readline_bracket] = ACTIONS(2079),
    [sym__open_fileglob_bracket] = ACTIONS(2079),
    [sym__PERLY_HEREDOC] = ACTIONS(2079),
    [sym__ctrl_z_hack] = ACTIONS(2079),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2079),
    [sym__filetest] = ACTIONS(2079),
  },
  [911] = {
    [sym_heredoc_content] = STATE(911),
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym__identifier] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_package] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_role] = ACTIONS(2085),
    [anon_sym_BUILD] = ACTIONS(2085),
    [anon_sym_ADJUST] = ACTIONS(2085),
    [anon_sym_DOLLAR] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_my] = ACTIONS(2085),
    [anon_sym_extended] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_sub] = ACTIONS(2085),
    [anon_sym_method] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_state] = ACTIONS(2085),
    [anon_sym_our] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_defer] = ACTIONS(2085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_SLASH_SLASH] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_BSLASH] = ACTIONS(2083),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_eval] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_field] = ACTIONS(2085),
    [anon_sym_local] = ACTIONS(2085),
    [anon_sym_dynamically] = ACTIONS(2085),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2085),
    [anon_sym_require] = ACTIONS(2085),
    [anon_sym_map] = ACTIONS(2085),
    [anon_sym_grep] = ACTIONS(2085),
    [anon_sym_sort] = ACTIONS(2085),
    [anon_sym_goto] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_undef] = ACTIONS(2085),
    [anon_sym_PERCENT2] = ACTIONS(2085),
    [anon_sym_AMP2] = ACTIONS(2085),
    [anon_sym_STAR2] = ACTIONS(2085),
    [anon_sym_use] = ACTIONS(2085),
    [anon_sym_no] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_foreach] = ACTIONS(2085),
    [anon_sym_last] = ACTIONS(2085),
    [anon_sym_next] = ACTIONS(2085),
    [anon_sym_redo] = ACTIONS(2085),
    [anon_sym_BEGIN] = ACTIONS(2085),
    [anon_sym_INIT] = ACTIONS(2085),
    [anon_sym_CHECK] = ACTIONS(2085),
    [anon_sym_UNITCHECK] = ACTIONS(2085),
    [anon_sym_END] = ACTIONS(2085),
    [anon_sym___FILE__] = ACTIONS(2085),
    [anon_sym___LINE__] = ACTIONS(2085),
    [anon_sym___PACKAGE__] = ACTIONS(2085),
    [anon_sym___SUB__] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_fork] = ACTIONS(2085),
    [anon_sym_getppid] = ACTIONS(2085),
    [anon_sym_time] = ACTIONS(2085),
    [anon_sym_times] = ACTIONS(2085),
    [anon_sym_wait] = ACTIONS(2085),
    [anon_sym_wantarray] = ACTIONS(2085),
    [anon_sym_abs] = ACTIONS(2085),
    [anon_sym_alarm] = ACTIONS(2085),
    [anon_sym_chop] = ACTIONS(2085),
    [anon_sym_chdir] = ACTIONS(2085),
    [anon_sym_close] = ACTIONS(2085),
    [anon_sym_closedir] = ACTIONS(2085),
    [anon_sym_caller] = ACTIONS(2085),
    [anon_sym_chomp] = ACTIONS(2085),
    [anon_sym_chr] = ACTIONS(2085),
    [anon_sym_cos] = ACTIONS(2085),
    [anon_sym_chroot] = ACTIONS(2085),
    [anon_sym_defined] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_dbmclose] = ACTIONS(2085),
    [anon_sym_exists] = ACTIONS(2085),
    [anon_sym_exit] = ACTIONS(2085),
    [anon_sym_eof] = ACTIONS(2085),
    [anon_sym_exp] = ACTIONS(2085),
    [anon_sym_each] = ACTIONS(2085),
    [anon_sym_fc] = ACTIONS(2085),
    [anon_sym_fileno] = ACTIONS(2085),
    [anon_sym_gmtime] = ACTIONS(2085),
    [anon_sym_getc] = ACTIONS(2085),
    [anon_sym_getpgrp] = ACTIONS(2085),
    [anon_sym_getprotobyname] = ACTIONS(2085),
    [anon_sym_getpwname] = ACTIONS(2085),
    [anon_sym_getpwuid] = ACTIONS(2085),
    [anon_sym_getpeername] = ACTIONS(2085),
    [anon_sym_getnetbyname] = ACTIONS(2085),
    [anon_sym_getsockname] = ACTIONS(2085),
    [anon_sym_getgrnam] = ACTIONS(2085),
    [anon_sym_getgrgid] = ACTIONS(2085),
    [anon_sym_hex] = ACTIONS(2085),
    [anon_sym_int] = ACTIONS(2085),
    [anon_sym_keys] = ACTIONS(2085),
    [anon_sym_lc] = ACTIONS(2085),
    [anon_sym_lcfirst] = ACTIONS(2085),
    [anon_sym_length] = ACTIONS(2085),
    [anon_sym_localtime] = ACTIONS(2085),
    [anon_sym_log] = ACTIONS(2085),
    [anon_sym_lock] = ACTIONS(2085),
    [anon_sym_lstat] = ACTIONS(2085),
    [anon_sym_oct] = ACTIONS(2085),
    [anon_sym_ord] = ACTIONS(2085),
    [anon_sym_prototype] = ACTIONS(2085),
    [anon_sym_pop] = ACTIONS(2085),
    [anon_sym_pos] = ACTIONS(2085),
    [anon_sym_quotemeta] = ACTIONS(2085),
    [anon_sym_reset] = ACTIONS(2085),
    [anon_sym_rand] = ACTIONS(2085),
    [anon_sym_rmdir] = ACTIONS(2085),
    [anon_sym_readdir] = ACTIONS(2085),
    [anon_sym_readline] = ACTIONS(2085),
    [anon_sym_readpipe] = ACTIONS(2085),
    [anon_sym_rewinddir] = ACTIONS(2085),
    [anon_sym_readlink] = ACTIONS(2085),
    [anon_sym_ref] = ACTIONS(2085),
    [anon_sym_scalar] = ACTIONS(2085),
    [anon_sym_shift] = ACTIONS(2085),
    [anon_sym_sin] = ACTIONS(2085),
    [anon_sym_sleep] = ACTIONS(2085),
    [anon_sym_sqrt] = ACTIONS(2085),
    [anon_sym_srand] = ACTIONS(2085),
    [anon_sym_stat] = ACTIONS(2085),
    [anon_sym_study] = ACTIONS(2085),
    [anon_sym_tell] = ACTIONS(2085),
    [anon_sym_telldir] = ACTIONS(2085),
    [anon_sym_tied] = ACTIONS(2085),
    [anon_sym_uc] = ACTIONS(2085),
    [anon_sym_ucfirst] = ACTIONS(2085),
    [anon_sym_untie] = ACTIONS(2085),
    [anon_sym_umask] = ACTIONS(2085),
    [anon_sym_values] = ACTIONS(2085),
    [anon_sym_write] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2085),
    [anon_sym___END__] = ACTIONS(2085),
    [anon_sym_EOT] = ACTIONS(2085),
    [anon_sym_q] = ACTIONS(2085),
    [anon_sym_qq] = ACTIONS(2085),
    [anon_sym_qw] = ACTIONS(2085),
    [anon_sym_qx] = ACTIONS(2085),
    [anon_sym_qr] = ACTIONS(2085),
    [anon_sym_m] = ACTIONS(2085),
    [anon_sym_s] = ACTIONS(2085),
    [anon_sym_tr] = ACTIONS(2085),
    [anon_sym_y] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_unless] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_until] = ACTIONS(2085),
    [aux_sym__bareword_token1] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [anon_sym_true] = ACTIONS(2085),
    [anon_sym_false] = ACTIONS(2085),
    [sym__single_quote] = ACTIONS(2083),
    [sym__double_quote] = ACTIONS(2083),
    [sym__backtick_quote] = ACTIONS(2083),
    [sym__search_slash_quote] = ACTIONS(2083),
    [sym__open_readline_bracket] = ACTIONS(2083),
    [sym__open_fileglob_bracket] = ACTIONS(2083),
    [sym__PERLY_HEREDOC] = ACTIONS(2083),
    [sym__ctrl_z_hack] = ACTIONS(2083),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2083),
    [sym__filetest] = ACTIONS(2083),
  },
  [912] = {
    [sym_heredoc_content] = STATE(912),
    [ts_builtin_sym_end] = ACTIONS(2087),
    [sym__identifier] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_package] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_role] = ACTIONS(2089),
    [anon_sym_BUILD] = ACTIONS(2089),
    [anon_sym_ADJUST] = ACTIONS(2089),
    [anon_sym_DOLLAR] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_my] = ACTIONS(2089),
    [anon_sym_extended] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_sub] = ACTIONS(2089),
    [anon_sym_method] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_state] = ACTIONS(2089),
    [anon_sym_our] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_defer] = ACTIONS(2089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_SLASH_SLASH] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_BSLASH] = ACTIONS(2087),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_eval] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_field] = ACTIONS(2089),
    [anon_sym_local] = ACTIONS(2089),
    [anon_sym_dynamically] = ACTIONS(2089),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2089),
    [anon_sym_require] = ACTIONS(2089),
    [anon_sym_map] = ACTIONS(2089),
    [anon_sym_grep] = ACTIONS(2089),
    [anon_sym_sort] = ACTIONS(2089),
    [anon_sym_goto] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_undef] = ACTIONS(2089),
    [anon_sym_PERCENT2] = ACTIONS(2089),
    [anon_sym_AMP2] = ACTIONS(2089),
    [anon_sym_STAR2] = ACTIONS(2089),
    [anon_sym_use] = ACTIONS(2089),
    [anon_sym_no] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_foreach] = ACTIONS(2089),
    [anon_sym_last] = ACTIONS(2089),
    [anon_sym_next] = ACTIONS(2089),
    [anon_sym_redo] = ACTIONS(2089),
    [anon_sym_BEGIN] = ACTIONS(2089),
    [anon_sym_INIT] = ACTIONS(2089),
    [anon_sym_CHECK] = ACTIONS(2089),
    [anon_sym_UNITCHECK] = ACTIONS(2089),
    [anon_sym_END] = ACTIONS(2089),
    [anon_sym___FILE__] = ACTIONS(2089),
    [anon_sym___LINE__] = ACTIONS(2089),
    [anon_sym___PACKAGE__] = ACTIONS(2089),
    [anon_sym___SUB__] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_fork] = ACTIONS(2089),
    [anon_sym_getppid] = ACTIONS(2089),
    [anon_sym_time] = ACTIONS(2089),
    [anon_sym_times] = ACTIONS(2089),
    [anon_sym_wait] = ACTIONS(2089),
    [anon_sym_wantarray] = ACTIONS(2089),
    [anon_sym_abs] = ACTIONS(2089),
    [anon_sym_alarm] = ACTIONS(2089),
    [anon_sym_chop] = ACTIONS(2089),
    [anon_sym_chdir] = ACTIONS(2089),
    [anon_sym_close] = ACTIONS(2089),
    [anon_sym_closedir] = ACTIONS(2089),
    [anon_sym_caller] = ACTIONS(2089),
    [anon_sym_chomp] = ACTIONS(2089),
    [anon_sym_chr] = ACTIONS(2089),
    [anon_sym_cos] = ACTIONS(2089),
    [anon_sym_chroot] = ACTIONS(2089),
    [anon_sym_defined] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_dbmclose] = ACTIONS(2089),
    [anon_sym_exists] = ACTIONS(2089),
    [anon_sym_exit] = ACTIONS(2089),
    [anon_sym_eof] = ACTIONS(2089),
    [anon_sym_exp] = ACTIONS(2089),
    [anon_sym_each] = ACTIONS(2089),
    [anon_sym_fc] = ACTIONS(2089),
    [anon_sym_fileno] = ACTIONS(2089),
    [anon_sym_gmtime] = ACTIONS(2089),
    [anon_sym_getc] = ACTIONS(2089),
    [anon_sym_getpgrp] = ACTIONS(2089),
    [anon_sym_getprotobyname] = ACTIONS(2089),
    [anon_sym_getpwname] = ACTIONS(2089),
    [anon_sym_getpwuid] = ACTIONS(2089),
    [anon_sym_getpeername] = ACTIONS(2089),
    [anon_sym_getnetbyname] = ACTIONS(2089),
    [anon_sym_getsockname] = ACTIONS(2089),
    [anon_sym_getgrnam] = ACTIONS(2089),
    [anon_sym_getgrgid] = ACTIONS(2089),
    [anon_sym_hex] = ACTIONS(2089),
    [anon_sym_int] = ACTIONS(2089),
    [anon_sym_keys] = ACTIONS(2089),
    [anon_sym_lc] = ACTIONS(2089),
    [anon_sym_lcfirst] = ACTIONS(2089),
    [anon_sym_length] = ACTIONS(2089),
    [anon_sym_localtime] = ACTIONS(2089),
    [anon_sym_log] = ACTIONS(2089),
    [anon_sym_lock] = ACTIONS(2089),
    [anon_sym_lstat] = ACTIONS(2089),
    [anon_sym_oct] = ACTIONS(2089),
    [anon_sym_ord] = ACTIONS(2089),
    [anon_sym_prototype] = ACTIONS(2089),
    [anon_sym_pop] = ACTIONS(2089),
    [anon_sym_pos] = ACTIONS(2089),
    [anon_sym_quotemeta] = ACTIONS(2089),
    [anon_sym_reset] = ACTIONS(2089),
    [anon_sym_rand] = ACTIONS(2089),
    [anon_sym_rmdir] = ACTIONS(2089),
    [anon_sym_readdir] = ACTIONS(2089),
    [anon_sym_readline] = ACTIONS(2089),
    [anon_sym_readpipe] = ACTIONS(2089),
    [anon_sym_rewinddir] = ACTIONS(2089),
    [anon_sym_readlink] = ACTIONS(2089),
    [anon_sym_ref] = ACTIONS(2089),
    [anon_sym_scalar] = ACTIONS(2089),
    [anon_sym_shift] = ACTIONS(2089),
    [anon_sym_sin] = ACTIONS(2089),
    [anon_sym_sleep] = ACTIONS(2089),
    [anon_sym_sqrt] = ACTIONS(2089),
    [anon_sym_srand] = ACTIONS(2089),
    [anon_sym_stat] = ACTIONS(2089),
    [anon_sym_study] = ACTIONS(2089),
    [anon_sym_tell] = ACTIONS(2089),
    [anon_sym_telldir] = ACTIONS(2089),
    [anon_sym_tied] = ACTIONS(2089),
    [anon_sym_uc] = ACTIONS(2089),
    [anon_sym_ucfirst] = ACTIONS(2089),
    [anon_sym_untie] = ACTIONS(2089),
    [anon_sym_umask] = ACTIONS(2089),
    [anon_sym_values] = ACTIONS(2089),
    [anon_sym_write] = ACTIONS(2089),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2089),
    [anon_sym___END__] = ACTIONS(2089),
    [anon_sym_EOT] = ACTIONS(2089),
    [anon_sym_q] = ACTIONS(2089),
    [anon_sym_qq] = ACTIONS(2089),
    [anon_sym_qw] = ACTIONS(2089),
    [anon_sym_qx] = ACTIONS(2089),
    [anon_sym_qr] = ACTIONS(2089),
    [anon_sym_m] = ACTIONS(2089),
    [anon_sym_s] = ACTIONS(2089),
    [anon_sym_tr] = ACTIONS(2089),
    [anon_sym_y] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_unless] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_until] = ACTIONS(2089),
    [aux_sym__bareword_token1] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [sym__single_quote] = ACTIONS(2087),
    [sym__double_quote] = ACTIONS(2087),
    [sym__backtick_quote] = ACTIONS(2087),
    [sym__search_slash_quote] = ACTIONS(2087),
    [sym__open_readline_bracket] = ACTIONS(2087),
    [sym__open_fileglob_bracket] = ACTIONS(2087),
    [sym__PERLY_HEREDOC] = ACTIONS(2087),
    [sym__ctrl_z_hack] = ACTIONS(2087),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2087),
    [sym__filetest] = ACTIONS(2087),
  },
  [913] = {
    [sym_heredoc_content] = STATE(913),
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym__identifier] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_package] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_role] = ACTIONS(2093),
    [anon_sym_BUILD] = ACTIONS(2093),
    [anon_sym_ADJUST] = ACTIONS(2093),
    [anon_sym_DOLLAR] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_my] = ACTIONS(2093),
    [anon_sym_extended] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_sub] = ACTIONS(2093),
    [anon_sym_method] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_state] = ACTIONS(2093),
    [anon_sym_our] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_defer] = ACTIONS(2093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_SLASH_SLASH] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_BSLASH] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_eval] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_field] = ACTIONS(2093),
    [anon_sym_local] = ACTIONS(2093),
    [anon_sym_dynamically] = ACTIONS(2093),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2093),
    [anon_sym_require] = ACTIONS(2093),
    [anon_sym_map] = ACTIONS(2093),
    [anon_sym_grep] = ACTIONS(2093),
    [anon_sym_sort] = ACTIONS(2093),
    [anon_sym_goto] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_undef] = ACTIONS(2093),
    [anon_sym_PERCENT2] = ACTIONS(2093),
    [anon_sym_AMP2] = ACTIONS(2093),
    [anon_sym_STAR2] = ACTIONS(2093),
    [anon_sym_use] = ACTIONS(2093),
    [anon_sym_no] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_foreach] = ACTIONS(2093),
    [anon_sym_last] = ACTIONS(2093),
    [anon_sym_next] = ACTIONS(2093),
    [anon_sym_redo] = ACTIONS(2093),
    [anon_sym_BEGIN] = ACTIONS(2093),
    [anon_sym_INIT] = ACTIONS(2093),
    [anon_sym_CHECK] = ACTIONS(2093),
    [anon_sym_UNITCHECK] = ACTIONS(2093),
    [anon_sym_END] = ACTIONS(2093),
    [anon_sym___FILE__] = ACTIONS(2093),
    [anon_sym___LINE__] = ACTIONS(2093),
    [anon_sym___PACKAGE__] = ACTIONS(2093),
    [anon_sym___SUB__] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_fork] = ACTIONS(2093),
    [anon_sym_getppid] = ACTIONS(2093),
    [anon_sym_time] = ACTIONS(2093),
    [anon_sym_times] = ACTIONS(2093),
    [anon_sym_wait] = ACTIONS(2093),
    [anon_sym_wantarray] = ACTIONS(2093),
    [anon_sym_abs] = ACTIONS(2093),
    [anon_sym_alarm] = ACTIONS(2093),
    [anon_sym_chop] = ACTIONS(2093),
    [anon_sym_chdir] = ACTIONS(2093),
    [anon_sym_close] = ACTIONS(2093),
    [anon_sym_closedir] = ACTIONS(2093),
    [anon_sym_caller] = ACTIONS(2093),
    [anon_sym_chomp] = ACTIONS(2093),
    [anon_sym_chr] = ACTIONS(2093),
    [anon_sym_cos] = ACTIONS(2093),
    [anon_sym_chroot] = ACTIONS(2093),
    [anon_sym_defined] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_dbmclose] = ACTIONS(2093),
    [anon_sym_exists] = ACTIONS(2093),
    [anon_sym_exit] = ACTIONS(2093),
    [anon_sym_eof] = ACTIONS(2093),
    [anon_sym_exp] = ACTIONS(2093),
    [anon_sym_each] = ACTIONS(2093),
    [anon_sym_fc] = ACTIONS(2093),
    [anon_sym_fileno] = ACTIONS(2093),
    [anon_sym_gmtime] = ACTIONS(2093),
    [anon_sym_getc] = ACTIONS(2093),
    [anon_sym_getpgrp] = ACTIONS(2093),
    [anon_sym_getprotobyname] = ACTIONS(2093),
    [anon_sym_getpwname] = ACTIONS(2093),
    [anon_sym_getpwuid] = ACTIONS(2093),
    [anon_sym_getpeername] = ACTIONS(2093),
    [anon_sym_getnetbyname] = ACTIONS(2093),
    [anon_sym_getsockname] = ACTIONS(2093),
    [anon_sym_getgrnam] = ACTIONS(2093),
    [anon_sym_getgrgid] = ACTIONS(2093),
    [anon_sym_hex] = ACTIONS(2093),
    [anon_sym_int] = ACTIONS(2093),
    [anon_sym_keys] = ACTIONS(2093),
    [anon_sym_lc] = ACTIONS(2093),
    [anon_sym_lcfirst] = ACTIONS(2093),
    [anon_sym_length] = ACTIONS(2093),
    [anon_sym_localtime] = ACTIONS(2093),
    [anon_sym_log] = ACTIONS(2093),
    [anon_sym_lock] = ACTIONS(2093),
    [anon_sym_lstat] = ACTIONS(2093),
    [anon_sym_oct] = ACTIONS(2093),
    [anon_sym_ord] = ACTIONS(2093),
    [anon_sym_prototype] = ACTIONS(2093),
    [anon_sym_pop] = ACTIONS(2093),
    [anon_sym_pos] = ACTIONS(2093),
    [anon_sym_quotemeta] = ACTIONS(2093),
    [anon_sym_reset] = ACTIONS(2093),
    [anon_sym_rand] = ACTIONS(2093),
    [anon_sym_rmdir] = ACTIONS(2093),
    [anon_sym_readdir] = ACTIONS(2093),
    [anon_sym_readline] = ACTIONS(2093),
    [anon_sym_readpipe] = ACTIONS(2093),
    [anon_sym_rewinddir] = ACTIONS(2093),
    [anon_sym_readlink] = ACTIONS(2093),
    [anon_sym_ref] = ACTIONS(2093),
    [anon_sym_scalar] = ACTIONS(2093),
    [anon_sym_shift] = ACTIONS(2093),
    [anon_sym_sin] = ACTIONS(2093),
    [anon_sym_sleep] = ACTIONS(2093),
    [anon_sym_sqrt] = ACTIONS(2093),
    [anon_sym_srand] = ACTIONS(2093),
    [anon_sym_stat] = ACTIONS(2093),
    [anon_sym_study] = ACTIONS(2093),
    [anon_sym_tell] = ACTIONS(2093),
    [anon_sym_telldir] = ACTIONS(2093),
    [anon_sym_tied] = ACTIONS(2093),
    [anon_sym_uc] = ACTIONS(2093),
    [anon_sym_ucfirst] = ACTIONS(2093),
    [anon_sym_untie] = ACTIONS(2093),
    [anon_sym_umask] = ACTIONS(2093),
    [anon_sym_values] = ACTIONS(2093),
    [anon_sym_write] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2093),
    [anon_sym___END__] = ACTIONS(2093),
    [anon_sym_EOT] = ACTIONS(2093),
    [anon_sym_q] = ACTIONS(2093),
    [anon_sym_qq] = ACTIONS(2093),
    [anon_sym_qw] = ACTIONS(2093),
    [anon_sym_qx] = ACTIONS(2093),
    [anon_sym_qr] = ACTIONS(2093),
    [anon_sym_m] = ACTIONS(2093),
    [anon_sym_s] = ACTIONS(2093),
    [anon_sym_tr] = ACTIONS(2093),
    [anon_sym_y] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_unless] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_until] = ACTIONS(2093),
    [aux_sym__bareword_token1] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [anon_sym_true] = ACTIONS(2093),
    [anon_sym_false] = ACTIONS(2093),
    [sym__single_quote] = ACTIONS(2091),
    [sym__double_quote] = ACTIONS(2091),
    [sym__backtick_quote] = ACTIONS(2091),
    [sym__search_slash_quote] = ACTIONS(2091),
    [sym__open_readline_bracket] = ACTIONS(2091),
    [sym__open_fileglob_bracket] = ACTIONS(2091),
    [sym__PERLY_HEREDOC] = ACTIONS(2091),
    [sym__ctrl_z_hack] = ACTIONS(2091),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2091),
    [sym__filetest] = ACTIONS(2091),
  },
  [914] = {
    [sym_heredoc_content] = STATE(914),
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym__identifier] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_package] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_role] = ACTIONS(2097),
    [anon_sym_BUILD] = ACTIONS(2097),
    [anon_sym_ADJUST] = ACTIONS(2097),
    [anon_sym_DOLLAR] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_my] = ACTIONS(2097),
    [anon_sym_extended] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_sub] = ACTIONS(2097),
    [anon_sym_method] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_state] = ACTIONS(2097),
    [anon_sym_our] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_defer] = ACTIONS(2097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LT_LT] = ACTIONS(2097),
    [anon_sym_SLASH_SLASH] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [anon_sym_BSLASH] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_eval] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_field] = ACTIONS(2097),
    [anon_sym_local] = ACTIONS(2097),
    [anon_sym_dynamically] = ACTIONS(2097),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2097),
    [anon_sym_require] = ACTIONS(2097),
    [anon_sym_map] = ACTIONS(2097),
    [anon_sym_grep] = ACTIONS(2097),
    [anon_sym_sort] = ACTIONS(2097),
    [anon_sym_goto] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_undef] = ACTIONS(2097),
    [anon_sym_PERCENT2] = ACTIONS(2097),
    [anon_sym_AMP2] = ACTIONS(2097),
    [anon_sym_STAR2] = ACTIONS(2097),
    [anon_sym_use] = ACTIONS(2097),
    [anon_sym_no] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_foreach] = ACTIONS(2097),
    [anon_sym_last] = ACTIONS(2097),
    [anon_sym_next] = ACTIONS(2097),
    [anon_sym_redo] = ACTIONS(2097),
    [anon_sym_BEGIN] = ACTIONS(2097),
    [anon_sym_INIT] = ACTIONS(2097),
    [anon_sym_CHECK] = ACTIONS(2097),
    [anon_sym_UNITCHECK] = ACTIONS(2097),
    [anon_sym_END] = ACTIONS(2097),
    [anon_sym___FILE__] = ACTIONS(2097),
    [anon_sym___LINE__] = ACTIONS(2097),
    [anon_sym___PACKAGE__] = ACTIONS(2097),
    [anon_sym___SUB__] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_fork] = ACTIONS(2097),
    [anon_sym_getppid] = ACTIONS(2097),
    [anon_sym_time] = ACTIONS(2097),
    [anon_sym_times] = ACTIONS(2097),
    [anon_sym_wait] = ACTIONS(2097),
    [anon_sym_wantarray] = ACTIONS(2097),
    [anon_sym_abs] = ACTIONS(2097),
    [anon_sym_alarm] = ACTIONS(2097),
    [anon_sym_chop] = ACTIONS(2097),
    [anon_sym_chdir] = ACTIONS(2097),
    [anon_sym_close] = ACTIONS(2097),
    [anon_sym_closedir] = ACTIONS(2097),
    [anon_sym_caller] = ACTIONS(2097),
    [anon_sym_chomp] = ACTIONS(2097),
    [anon_sym_chr] = ACTIONS(2097),
    [anon_sym_cos] = ACTIONS(2097),
    [anon_sym_chroot] = ACTIONS(2097),
    [anon_sym_defined] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_dbmclose] = ACTIONS(2097),
    [anon_sym_exists] = ACTIONS(2097),
    [anon_sym_exit] = ACTIONS(2097),
    [anon_sym_eof] = ACTIONS(2097),
    [anon_sym_exp] = ACTIONS(2097),
    [anon_sym_each] = ACTIONS(2097),
    [anon_sym_fc] = ACTIONS(2097),
    [anon_sym_fileno] = ACTIONS(2097),
    [anon_sym_gmtime] = ACTIONS(2097),
    [anon_sym_getc] = ACTIONS(2097),
    [anon_sym_getpgrp] = ACTIONS(2097),
    [anon_sym_getprotobyname] = ACTIONS(2097),
    [anon_sym_getpwname] = ACTIONS(2097),
    [anon_sym_getpwuid] = ACTIONS(2097),
    [anon_sym_getpeername] = ACTIONS(2097),
    [anon_sym_getnetbyname] = ACTIONS(2097),
    [anon_sym_getsockname] = ACTIONS(2097),
    [anon_sym_getgrnam] = ACTIONS(2097),
    [anon_sym_getgrgid] = ACTIONS(2097),
    [anon_sym_hex] = ACTIONS(2097),
    [anon_sym_int] = ACTIONS(2097),
    [anon_sym_keys] = ACTIONS(2097),
    [anon_sym_lc] = ACTIONS(2097),
    [anon_sym_lcfirst] = ACTIONS(2097),
    [anon_sym_length] = ACTIONS(2097),
    [anon_sym_localtime] = ACTIONS(2097),
    [anon_sym_log] = ACTIONS(2097),
    [anon_sym_lock] = ACTIONS(2097),
    [anon_sym_lstat] = ACTIONS(2097),
    [anon_sym_oct] = ACTIONS(2097),
    [anon_sym_ord] = ACTIONS(2097),
    [anon_sym_prototype] = ACTIONS(2097),
    [anon_sym_pop] = ACTIONS(2097),
    [anon_sym_pos] = ACTIONS(2097),
    [anon_sym_quotemeta] = ACTIONS(2097),
    [anon_sym_reset] = ACTIONS(2097),
    [anon_sym_rand] = ACTIONS(2097),
    [anon_sym_rmdir] = ACTIONS(2097),
    [anon_sym_readdir] = ACTIONS(2097),
    [anon_sym_readline] = ACTIONS(2097),
    [anon_sym_readpipe] = ACTIONS(2097),
    [anon_sym_rewinddir] = ACTIONS(2097),
    [anon_sym_readlink] = ACTIONS(2097),
    [anon_sym_ref] = ACTIONS(2097),
    [anon_sym_scalar] = ACTIONS(2097),
    [anon_sym_shift] = ACTIONS(2097),
    [anon_sym_sin] = ACTIONS(2097),
    [anon_sym_sleep] = ACTIONS(2097),
    [anon_sym_sqrt] = ACTIONS(2097),
    [anon_sym_srand] = ACTIONS(2097),
    [anon_sym_stat] = ACTIONS(2097),
    [anon_sym_study] = ACTIONS(2097),
    [anon_sym_tell] = ACTIONS(2097),
    [anon_sym_telldir] = ACTIONS(2097),
    [anon_sym_tied] = ACTIONS(2097),
    [anon_sym_uc] = ACTIONS(2097),
    [anon_sym_ucfirst] = ACTIONS(2097),
    [anon_sym_untie] = ACTIONS(2097),
    [anon_sym_umask] = ACTIONS(2097),
    [anon_sym_values] = ACTIONS(2097),
    [anon_sym_write] = ACTIONS(2097),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2097),
    [anon_sym___END__] = ACTIONS(2097),
    [anon_sym_EOT] = ACTIONS(2097),
    [anon_sym_q] = ACTIONS(2097),
    [anon_sym_qq] = ACTIONS(2097),
    [anon_sym_qw] = ACTIONS(2097),
    [anon_sym_qx] = ACTIONS(2097),
    [anon_sym_qr] = ACTIONS(2097),
    [anon_sym_m] = ACTIONS(2097),
    [anon_sym_s] = ACTIONS(2097),
    [anon_sym_tr] = ACTIONS(2097),
    [anon_sym_y] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_unless] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_until] = ACTIONS(2097),
    [aux_sym__bareword_token1] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [anon_sym_true] = ACTIONS(2097),
    [anon_sym_false] = ACTIONS(2097),
    [sym__single_quote] = ACTIONS(2095),
    [sym__double_quote] = ACTIONS(2095),
    [sym__backtick_quote] = ACTIONS(2095),
    [sym__search_slash_quote] = ACTIONS(2095),
    [sym__open_readline_bracket] = ACTIONS(2095),
    [sym__open_fileglob_bracket] = ACTIONS(2095),
    [sym__PERLY_HEREDOC] = ACTIONS(2095),
    [sym__ctrl_z_hack] = ACTIONS(2095),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2095),
    [sym__filetest] = ACTIONS(2095),
  },
  [915] = {
    [sym_heredoc_content] = STATE(915),
    [ts_builtin_sym_end] = ACTIONS(2099),
    [sym__identifier] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_package] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_role] = ACTIONS(2101),
    [anon_sym_BUILD] = ACTIONS(2101),
    [anon_sym_ADJUST] = ACTIONS(2101),
    [anon_sym_DOLLAR] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_my] = ACTIONS(2101),
    [anon_sym_extended] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_sub] = ACTIONS(2101),
    [anon_sym_method] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_state] = ACTIONS(2101),
    [anon_sym_our] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_defer] = ACTIONS(2101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_SLASH_SLASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_BSLASH] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_eval] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_field] = ACTIONS(2101),
    [anon_sym_local] = ACTIONS(2101),
    [anon_sym_dynamically] = ACTIONS(2101),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2101),
    [anon_sym_require] = ACTIONS(2101),
    [anon_sym_map] = ACTIONS(2101),
    [anon_sym_grep] = ACTIONS(2101),
    [anon_sym_sort] = ACTIONS(2101),
    [anon_sym_goto] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_undef] = ACTIONS(2101),
    [anon_sym_PERCENT2] = ACTIONS(2101),
    [anon_sym_AMP2] = ACTIONS(2101),
    [anon_sym_STAR2] = ACTIONS(2101),
    [anon_sym_use] = ACTIONS(2101),
    [anon_sym_no] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_foreach] = ACTIONS(2101),
    [anon_sym_last] = ACTIONS(2101),
    [anon_sym_next] = ACTIONS(2101),
    [anon_sym_redo] = ACTIONS(2101),
    [anon_sym_BEGIN] = ACTIONS(2101),
    [anon_sym_INIT] = ACTIONS(2101),
    [anon_sym_CHECK] = ACTIONS(2101),
    [anon_sym_UNITCHECK] = ACTIONS(2101),
    [anon_sym_END] = ACTIONS(2101),
    [anon_sym___FILE__] = ACTIONS(2101),
    [anon_sym___LINE__] = ACTIONS(2101),
    [anon_sym___PACKAGE__] = ACTIONS(2101),
    [anon_sym___SUB__] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_fork] = ACTIONS(2101),
    [anon_sym_getppid] = ACTIONS(2101),
    [anon_sym_time] = ACTIONS(2101),
    [anon_sym_times] = ACTIONS(2101),
    [anon_sym_wait] = ACTIONS(2101),
    [anon_sym_wantarray] = ACTIONS(2101),
    [anon_sym_abs] = ACTIONS(2101),
    [anon_sym_alarm] = ACTIONS(2101),
    [anon_sym_chop] = ACTIONS(2101),
    [anon_sym_chdir] = ACTIONS(2101),
    [anon_sym_close] = ACTIONS(2101),
    [anon_sym_closedir] = ACTIONS(2101),
    [anon_sym_caller] = ACTIONS(2101),
    [anon_sym_chomp] = ACTIONS(2101),
    [anon_sym_chr] = ACTIONS(2101),
    [anon_sym_cos] = ACTIONS(2101),
    [anon_sym_chroot] = ACTIONS(2101),
    [anon_sym_defined] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_dbmclose] = ACTIONS(2101),
    [anon_sym_exists] = ACTIONS(2101),
    [anon_sym_exit] = ACTIONS(2101),
    [anon_sym_eof] = ACTIONS(2101),
    [anon_sym_exp] = ACTIONS(2101),
    [anon_sym_each] = ACTIONS(2101),
    [anon_sym_fc] = ACTIONS(2101),
    [anon_sym_fileno] = ACTIONS(2101),
    [anon_sym_gmtime] = ACTIONS(2101),
    [anon_sym_getc] = ACTIONS(2101),
    [anon_sym_getpgrp] = ACTIONS(2101),
    [anon_sym_getprotobyname] = ACTIONS(2101),
    [anon_sym_getpwname] = ACTIONS(2101),
    [anon_sym_getpwuid] = ACTIONS(2101),
    [anon_sym_getpeername] = ACTIONS(2101),
    [anon_sym_getnetbyname] = ACTIONS(2101),
    [anon_sym_getsockname] = ACTIONS(2101),
    [anon_sym_getgrnam] = ACTIONS(2101),
    [anon_sym_getgrgid] = ACTIONS(2101),
    [anon_sym_hex] = ACTIONS(2101),
    [anon_sym_int] = ACTIONS(2101),
    [anon_sym_keys] = ACTIONS(2101),
    [anon_sym_lc] = ACTIONS(2101),
    [anon_sym_lcfirst] = ACTIONS(2101),
    [anon_sym_length] = ACTIONS(2101),
    [anon_sym_localtime] = ACTIONS(2101),
    [anon_sym_log] = ACTIONS(2101),
    [anon_sym_lock] = ACTIONS(2101),
    [anon_sym_lstat] = ACTIONS(2101),
    [anon_sym_oct] = ACTIONS(2101),
    [anon_sym_ord] = ACTIONS(2101),
    [anon_sym_prototype] = ACTIONS(2101),
    [anon_sym_pop] = ACTIONS(2101),
    [anon_sym_pos] = ACTIONS(2101),
    [anon_sym_quotemeta] = ACTIONS(2101),
    [anon_sym_reset] = ACTIONS(2101),
    [anon_sym_rand] = ACTIONS(2101),
    [anon_sym_rmdir] = ACTIONS(2101),
    [anon_sym_readdir] = ACTIONS(2101),
    [anon_sym_readline] = ACTIONS(2101),
    [anon_sym_readpipe] = ACTIONS(2101),
    [anon_sym_rewinddir] = ACTIONS(2101),
    [anon_sym_readlink] = ACTIONS(2101),
    [anon_sym_ref] = ACTIONS(2101),
    [anon_sym_scalar] = ACTIONS(2101),
    [anon_sym_shift] = ACTIONS(2101),
    [anon_sym_sin] = ACTIONS(2101),
    [anon_sym_sleep] = ACTIONS(2101),
    [anon_sym_sqrt] = ACTIONS(2101),
    [anon_sym_srand] = ACTIONS(2101),
    [anon_sym_stat] = ACTIONS(2101),
    [anon_sym_study] = ACTIONS(2101),
    [anon_sym_tell] = ACTIONS(2101),
    [anon_sym_telldir] = ACTIONS(2101),
    [anon_sym_tied] = ACTIONS(2101),
    [anon_sym_uc] = ACTIONS(2101),
    [anon_sym_ucfirst] = ACTIONS(2101),
    [anon_sym_untie] = ACTIONS(2101),
    [anon_sym_umask] = ACTIONS(2101),
    [anon_sym_values] = ACTIONS(2101),
    [anon_sym_write] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2101),
    [anon_sym___END__] = ACTIONS(2101),
    [anon_sym_EOT] = ACTIONS(2101),
    [anon_sym_q] = ACTIONS(2101),
    [anon_sym_qq] = ACTIONS(2101),
    [anon_sym_qw] = ACTIONS(2101),
    [anon_sym_qx] = ACTIONS(2101),
    [anon_sym_qr] = ACTIONS(2101),
    [anon_sym_m] = ACTIONS(2101),
    [anon_sym_s] = ACTIONS(2101),
    [anon_sym_tr] = ACTIONS(2101),
    [anon_sym_y] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_unless] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_until] = ACTIONS(2101),
    [aux_sym__bareword_token1] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [anon_sym_true] = ACTIONS(2101),
    [anon_sym_false] = ACTIONS(2101),
    [sym__single_quote] = ACTIONS(2099),
    [sym__double_quote] = ACTIONS(2099),
    [sym__backtick_quote] = ACTIONS(2099),
    [sym__search_slash_quote] = ACTIONS(2099),
    [sym__open_readline_bracket] = ACTIONS(2099),
    [sym__open_fileglob_bracket] = ACTIONS(2099),
    [sym__PERLY_HEREDOC] = ACTIONS(2099),
    [sym__ctrl_z_hack] = ACTIONS(2099),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2099),
    [sym__filetest] = ACTIONS(2099),
  },
  [916] = {
    [sym_heredoc_content] = STATE(916),
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym__identifier] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_package] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_role] = ACTIONS(2105),
    [anon_sym_BUILD] = ACTIONS(2105),
    [anon_sym_ADJUST] = ACTIONS(2105),
    [anon_sym_DOLLAR] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_my] = ACTIONS(2105),
    [anon_sym_extended] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_sub] = ACTIONS(2105),
    [anon_sym_method] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_state] = ACTIONS(2105),
    [anon_sym_our] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_defer] = ACTIONS(2105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_SLASH_SLASH] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_BSLASH] = ACTIONS(2103),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_eval] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_field] = ACTIONS(2105),
    [anon_sym_local] = ACTIONS(2105),
    [anon_sym_dynamically] = ACTIONS(2105),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2105),
    [anon_sym_require] = ACTIONS(2105),
    [anon_sym_map] = ACTIONS(2105),
    [anon_sym_grep] = ACTIONS(2105),
    [anon_sym_sort] = ACTIONS(2105),
    [anon_sym_goto] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_undef] = ACTIONS(2105),
    [anon_sym_PERCENT2] = ACTIONS(2105),
    [anon_sym_AMP2] = ACTIONS(2105),
    [anon_sym_STAR2] = ACTIONS(2105),
    [anon_sym_use] = ACTIONS(2105),
    [anon_sym_no] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_foreach] = ACTIONS(2105),
    [anon_sym_last] = ACTIONS(2105),
    [anon_sym_next] = ACTIONS(2105),
    [anon_sym_redo] = ACTIONS(2105),
    [anon_sym_BEGIN] = ACTIONS(2105),
    [anon_sym_INIT] = ACTIONS(2105),
    [anon_sym_CHECK] = ACTIONS(2105),
    [anon_sym_UNITCHECK] = ACTIONS(2105),
    [anon_sym_END] = ACTIONS(2105),
    [anon_sym___FILE__] = ACTIONS(2105),
    [anon_sym___LINE__] = ACTIONS(2105),
    [anon_sym___PACKAGE__] = ACTIONS(2105),
    [anon_sym___SUB__] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_fork] = ACTIONS(2105),
    [anon_sym_getppid] = ACTIONS(2105),
    [anon_sym_time] = ACTIONS(2105),
    [anon_sym_times] = ACTIONS(2105),
    [anon_sym_wait] = ACTIONS(2105),
    [anon_sym_wantarray] = ACTIONS(2105),
    [anon_sym_abs] = ACTIONS(2105),
    [anon_sym_alarm] = ACTIONS(2105),
    [anon_sym_chop] = ACTIONS(2105),
    [anon_sym_chdir] = ACTIONS(2105),
    [anon_sym_close] = ACTIONS(2105),
    [anon_sym_closedir] = ACTIONS(2105),
    [anon_sym_caller] = ACTIONS(2105),
    [anon_sym_chomp] = ACTIONS(2105),
    [anon_sym_chr] = ACTIONS(2105),
    [anon_sym_cos] = ACTIONS(2105),
    [anon_sym_chroot] = ACTIONS(2105),
    [anon_sym_defined] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_dbmclose] = ACTIONS(2105),
    [anon_sym_exists] = ACTIONS(2105),
    [anon_sym_exit] = ACTIONS(2105),
    [anon_sym_eof] = ACTIONS(2105),
    [anon_sym_exp] = ACTIONS(2105),
    [anon_sym_each] = ACTIONS(2105),
    [anon_sym_fc] = ACTIONS(2105),
    [anon_sym_fileno] = ACTIONS(2105),
    [anon_sym_gmtime] = ACTIONS(2105),
    [anon_sym_getc] = ACTIONS(2105),
    [anon_sym_getpgrp] = ACTIONS(2105),
    [anon_sym_getprotobyname] = ACTIONS(2105),
    [anon_sym_getpwname] = ACTIONS(2105),
    [anon_sym_getpwuid] = ACTIONS(2105),
    [anon_sym_getpeername] = ACTIONS(2105),
    [anon_sym_getnetbyname] = ACTIONS(2105),
    [anon_sym_getsockname] = ACTIONS(2105),
    [anon_sym_getgrnam] = ACTIONS(2105),
    [anon_sym_getgrgid] = ACTIONS(2105),
    [anon_sym_hex] = ACTIONS(2105),
    [anon_sym_int] = ACTIONS(2105),
    [anon_sym_keys] = ACTIONS(2105),
    [anon_sym_lc] = ACTIONS(2105),
    [anon_sym_lcfirst] = ACTIONS(2105),
    [anon_sym_length] = ACTIONS(2105),
    [anon_sym_localtime] = ACTIONS(2105),
    [anon_sym_log] = ACTIONS(2105),
    [anon_sym_lock] = ACTIONS(2105),
    [anon_sym_lstat] = ACTIONS(2105),
    [anon_sym_oct] = ACTIONS(2105),
    [anon_sym_ord] = ACTIONS(2105),
    [anon_sym_prototype] = ACTIONS(2105),
    [anon_sym_pop] = ACTIONS(2105),
    [anon_sym_pos] = ACTIONS(2105),
    [anon_sym_quotemeta] = ACTIONS(2105),
    [anon_sym_reset] = ACTIONS(2105),
    [anon_sym_rand] = ACTIONS(2105),
    [anon_sym_rmdir] = ACTIONS(2105),
    [anon_sym_readdir] = ACTIONS(2105),
    [anon_sym_readline] = ACTIONS(2105),
    [anon_sym_readpipe] = ACTIONS(2105),
    [anon_sym_rewinddir] = ACTIONS(2105),
    [anon_sym_readlink] = ACTIONS(2105),
    [anon_sym_ref] = ACTIONS(2105),
    [anon_sym_scalar] = ACTIONS(2105),
    [anon_sym_shift] = ACTIONS(2105),
    [anon_sym_sin] = ACTIONS(2105),
    [anon_sym_sleep] = ACTIONS(2105),
    [anon_sym_sqrt] = ACTIONS(2105),
    [anon_sym_srand] = ACTIONS(2105),
    [anon_sym_stat] = ACTIONS(2105),
    [anon_sym_study] = ACTIONS(2105),
    [anon_sym_tell] = ACTIONS(2105),
    [anon_sym_telldir] = ACTIONS(2105),
    [anon_sym_tied] = ACTIONS(2105),
    [anon_sym_uc] = ACTIONS(2105),
    [anon_sym_ucfirst] = ACTIONS(2105),
    [anon_sym_untie] = ACTIONS(2105),
    [anon_sym_umask] = ACTIONS(2105),
    [anon_sym_values] = ACTIONS(2105),
    [anon_sym_write] = ACTIONS(2105),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2105),
    [anon_sym___END__] = ACTIONS(2105),
    [anon_sym_EOT] = ACTIONS(2105),
    [anon_sym_q] = ACTIONS(2105),
    [anon_sym_qq] = ACTIONS(2105),
    [anon_sym_qw] = ACTIONS(2105),
    [anon_sym_qx] = ACTIONS(2105),
    [anon_sym_qr] = ACTIONS(2105),
    [anon_sym_m] = ACTIONS(2105),
    [anon_sym_s] = ACTIONS(2105),
    [anon_sym_tr] = ACTIONS(2105),
    [anon_sym_y] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_unless] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_until] = ACTIONS(2105),
    [aux_sym__bareword_token1] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [anon_sym_true] = ACTIONS(2105),
    [anon_sym_false] = ACTIONS(2105),
    [sym__single_quote] = ACTIONS(2103),
    [sym__double_quote] = ACTIONS(2103),
    [sym__backtick_quote] = ACTIONS(2103),
    [sym__search_slash_quote] = ACTIONS(2103),
    [sym__open_readline_bracket] = ACTIONS(2103),
    [sym__open_fileglob_bracket] = ACTIONS(2103),
    [sym__PERLY_HEREDOC] = ACTIONS(2103),
    [sym__ctrl_z_hack] = ACTIONS(2103),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2103),
    [sym__filetest] = ACTIONS(2103),
  },
  [917] = {
    [sym_heredoc_content] = STATE(917),
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym__identifier] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_package] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_role] = ACTIONS(2109),
    [anon_sym_BUILD] = ACTIONS(2109),
    [anon_sym_ADJUST] = ACTIONS(2109),
    [anon_sym_DOLLAR] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_my] = ACTIONS(2109),
    [anon_sym_extended] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_sub] = ACTIONS(2109),
    [anon_sym_method] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_state] = ACTIONS(2109),
    [anon_sym_our] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_defer] = ACTIONS(2109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_SLASH_SLASH] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_BSLASH] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_eval] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_field] = ACTIONS(2109),
    [anon_sym_local] = ACTIONS(2109),
    [anon_sym_dynamically] = ACTIONS(2109),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2109),
    [anon_sym_require] = ACTIONS(2109),
    [anon_sym_map] = ACTIONS(2109),
    [anon_sym_grep] = ACTIONS(2109),
    [anon_sym_sort] = ACTIONS(2109),
    [anon_sym_goto] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_undef] = ACTIONS(2109),
    [anon_sym_PERCENT2] = ACTIONS(2109),
    [anon_sym_AMP2] = ACTIONS(2109),
    [anon_sym_STAR2] = ACTIONS(2109),
    [anon_sym_use] = ACTIONS(2109),
    [anon_sym_no] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_foreach] = ACTIONS(2109),
    [anon_sym_last] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2109),
    [anon_sym_redo] = ACTIONS(2109),
    [anon_sym_BEGIN] = ACTIONS(2109),
    [anon_sym_INIT] = ACTIONS(2109),
    [anon_sym_CHECK] = ACTIONS(2109),
    [anon_sym_UNITCHECK] = ACTIONS(2109),
    [anon_sym_END] = ACTIONS(2109),
    [anon_sym___FILE__] = ACTIONS(2109),
    [anon_sym___LINE__] = ACTIONS(2109),
    [anon_sym___PACKAGE__] = ACTIONS(2109),
    [anon_sym___SUB__] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_fork] = ACTIONS(2109),
    [anon_sym_getppid] = ACTIONS(2109),
    [anon_sym_time] = ACTIONS(2109),
    [anon_sym_times] = ACTIONS(2109),
    [anon_sym_wait] = ACTIONS(2109),
    [anon_sym_wantarray] = ACTIONS(2109),
    [anon_sym_abs] = ACTIONS(2109),
    [anon_sym_alarm] = ACTIONS(2109),
    [anon_sym_chop] = ACTIONS(2109),
    [anon_sym_chdir] = ACTIONS(2109),
    [anon_sym_close] = ACTIONS(2109),
    [anon_sym_closedir] = ACTIONS(2109),
    [anon_sym_caller] = ACTIONS(2109),
    [anon_sym_chomp] = ACTIONS(2109),
    [anon_sym_chr] = ACTIONS(2109),
    [anon_sym_cos] = ACTIONS(2109),
    [anon_sym_chroot] = ACTIONS(2109),
    [anon_sym_defined] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_dbmclose] = ACTIONS(2109),
    [anon_sym_exists] = ACTIONS(2109),
    [anon_sym_exit] = ACTIONS(2109),
    [anon_sym_eof] = ACTIONS(2109),
    [anon_sym_exp] = ACTIONS(2109),
    [anon_sym_each] = ACTIONS(2109),
    [anon_sym_fc] = ACTIONS(2109),
    [anon_sym_fileno] = ACTIONS(2109),
    [anon_sym_gmtime] = ACTIONS(2109),
    [anon_sym_getc] = ACTIONS(2109),
    [anon_sym_getpgrp] = ACTIONS(2109),
    [anon_sym_getprotobyname] = ACTIONS(2109),
    [anon_sym_getpwname] = ACTIONS(2109),
    [anon_sym_getpwuid] = ACTIONS(2109),
    [anon_sym_getpeername] = ACTIONS(2109),
    [anon_sym_getnetbyname] = ACTIONS(2109),
    [anon_sym_getsockname] = ACTIONS(2109),
    [anon_sym_getgrnam] = ACTIONS(2109),
    [anon_sym_getgrgid] = ACTIONS(2109),
    [anon_sym_hex] = ACTIONS(2109),
    [anon_sym_int] = ACTIONS(2109),
    [anon_sym_keys] = ACTIONS(2109),
    [anon_sym_lc] = ACTIONS(2109),
    [anon_sym_lcfirst] = ACTIONS(2109),
    [anon_sym_length] = ACTIONS(2109),
    [anon_sym_localtime] = ACTIONS(2109),
    [anon_sym_log] = ACTIONS(2109),
    [anon_sym_lock] = ACTIONS(2109),
    [anon_sym_lstat] = ACTIONS(2109),
    [anon_sym_oct] = ACTIONS(2109),
    [anon_sym_ord] = ACTIONS(2109),
    [anon_sym_prototype] = ACTIONS(2109),
    [anon_sym_pop] = ACTIONS(2109),
    [anon_sym_pos] = ACTIONS(2109),
    [anon_sym_quotemeta] = ACTIONS(2109),
    [anon_sym_reset] = ACTIONS(2109),
    [anon_sym_rand] = ACTIONS(2109),
    [anon_sym_rmdir] = ACTIONS(2109),
    [anon_sym_readdir] = ACTIONS(2109),
    [anon_sym_readline] = ACTIONS(2109),
    [anon_sym_readpipe] = ACTIONS(2109),
    [anon_sym_rewinddir] = ACTIONS(2109),
    [anon_sym_readlink] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2109),
    [anon_sym_scalar] = ACTIONS(2109),
    [anon_sym_shift] = ACTIONS(2109),
    [anon_sym_sin] = ACTIONS(2109),
    [anon_sym_sleep] = ACTIONS(2109),
    [anon_sym_sqrt] = ACTIONS(2109),
    [anon_sym_srand] = ACTIONS(2109),
    [anon_sym_stat] = ACTIONS(2109),
    [anon_sym_study] = ACTIONS(2109),
    [anon_sym_tell] = ACTIONS(2109),
    [anon_sym_telldir] = ACTIONS(2109),
    [anon_sym_tied] = ACTIONS(2109),
    [anon_sym_uc] = ACTIONS(2109),
    [anon_sym_ucfirst] = ACTIONS(2109),
    [anon_sym_untie] = ACTIONS(2109),
    [anon_sym_umask] = ACTIONS(2109),
    [anon_sym_values] = ACTIONS(2109),
    [anon_sym_write] = ACTIONS(2109),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2109),
    [anon_sym___END__] = ACTIONS(2109),
    [anon_sym_EOT] = ACTIONS(2109),
    [anon_sym_q] = ACTIONS(2109),
    [anon_sym_qq] = ACTIONS(2109),
    [anon_sym_qw] = ACTIONS(2109),
    [anon_sym_qx] = ACTIONS(2109),
    [anon_sym_qr] = ACTIONS(2109),
    [anon_sym_m] = ACTIONS(2109),
    [anon_sym_s] = ACTIONS(2109),
    [anon_sym_tr] = ACTIONS(2109),
    [anon_sym_y] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_unless] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_until] = ACTIONS(2109),
    [aux_sym__bareword_token1] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [anon_sym_true] = ACTIONS(2109),
    [anon_sym_false] = ACTIONS(2109),
    [sym__single_quote] = ACTIONS(2107),
    [sym__double_quote] = ACTIONS(2107),
    [sym__backtick_quote] = ACTIONS(2107),
    [sym__search_slash_quote] = ACTIONS(2107),
    [sym__open_readline_bracket] = ACTIONS(2107),
    [sym__open_fileglob_bracket] = ACTIONS(2107),
    [sym__PERLY_HEREDOC] = ACTIONS(2107),
    [sym__ctrl_z_hack] = ACTIONS(2107),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2107),
    [sym__filetest] = ACTIONS(2107),
  },
  [918] = {
    [sym_heredoc_content] = STATE(918),
    [ts_builtin_sym_end] = ACTIONS(2111),
    [sym__identifier] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2113),
    [anon_sym_package] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_role] = ACTIONS(2113),
    [anon_sym_BUILD] = ACTIONS(2113),
    [anon_sym_ADJUST] = ACTIONS(2113),
    [anon_sym_DOLLAR] = ACTIONS(2113),
    [anon_sym_AT] = ACTIONS(2113),
    [anon_sym_my] = ACTIONS(2113),
    [anon_sym_extended] = ACTIONS(2113),
    [anon_sym_async] = ACTIONS(2113),
    [anon_sym_sub] = ACTIONS(2113),
    [anon_sym_method] = ACTIONS(2113),
    [anon_sym_LPAREN] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_state] = ACTIONS(2113),
    [anon_sym_our] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_defer] = ACTIONS(2113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_LT_LT] = ACTIONS(2113),
    [anon_sym_SLASH_SLASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_TILDE] = ACTIONS(2113),
    [anon_sym_BANG] = ACTIONS(2113),
    [anon_sym_PLUS_PLUS] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2113),
    [anon_sym_BSLASH] = ACTIONS(2111),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_eval] = ACTIONS(2113),
    [anon_sym_await] = ACTIONS(2113),
    [anon_sym_field] = ACTIONS(2113),
    [anon_sym_local] = ACTIONS(2113),
    [anon_sym_dynamically] = ACTIONS(2113),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2113),
    [anon_sym_require] = ACTIONS(2113),
    [anon_sym_map] = ACTIONS(2113),
    [anon_sym_grep] = ACTIONS(2113),
    [anon_sym_sort] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_undef] = ACTIONS(2113),
    [anon_sym_PERCENT2] = ACTIONS(2113),
    [anon_sym_AMP2] = ACTIONS(2113),
    [anon_sym_STAR2] = ACTIONS(2113),
    [anon_sym_use] = ACTIONS(2113),
    [anon_sym_no] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_foreach] = ACTIONS(2113),
    [anon_sym_last] = ACTIONS(2113),
    [anon_sym_next] = ACTIONS(2113),
    [anon_sym_redo] = ACTIONS(2113),
    [anon_sym_BEGIN] = ACTIONS(2113),
    [anon_sym_INIT] = ACTIONS(2113),
    [anon_sym_CHECK] = ACTIONS(2113),
    [anon_sym_UNITCHECK] = ACTIONS(2113),
    [anon_sym_END] = ACTIONS(2113),
    [anon_sym___FILE__] = ACTIONS(2113),
    [anon_sym___LINE__] = ACTIONS(2113),
    [anon_sym___PACKAGE__] = ACTIONS(2113),
    [anon_sym___SUB__] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_fork] = ACTIONS(2113),
    [anon_sym_getppid] = ACTIONS(2113),
    [anon_sym_time] = ACTIONS(2113),
    [anon_sym_times] = ACTIONS(2113),
    [anon_sym_wait] = ACTIONS(2113),
    [anon_sym_wantarray] = ACTIONS(2113),
    [anon_sym_abs] = ACTIONS(2113),
    [anon_sym_alarm] = ACTIONS(2113),
    [anon_sym_chop] = ACTIONS(2113),
    [anon_sym_chdir] = ACTIONS(2113),
    [anon_sym_close] = ACTIONS(2113),
    [anon_sym_closedir] = ACTIONS(2113),
    [anon_sym_caller] = ACTIONS(2113),
    [anon_sym_chomp] = ACTIONS(2113),
    [anon_sym_chr] = ACTIONS(2113),
    [anon_sym_cos] = ACTIONS(2113),
    [anon_sym_chroot] = ACTIONS(2113),
    [anon_sym_defined] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_dbmclose] = ACTIONS(2113),
    [anon_sym_exists] = ACTIONS(2113),
    [anon_sym_exit] = ACTIONS(2113),
    [anon_sym_eof] = ACTIONS(2113),
    [anon_sym_exp] = ACTIONS(2113),
    [anon_sym_each] = ACTIONS(2113),
    [anon_sym_fc] = ACTIONS(2113),
    [anon_sym_fileno] = ACTIONS(2113),
    [anon_sym_gmtime] = ACTIONS(2113),
    [anon_sym_getc] = ACTIONS(2113),
    [anon_sym_getpgrp] = ACTIONS(2113),
    [anon_sym_getprotobyname] = ACTIONS(2113),
    [anon_sym_getpwname] = ACTIONS(2113),
    [anon_sym_getpwuid] = ACTIONS(2113),
    [anon_sym_getpeername] = ACTIONS(2113),
    [anon_sym_getnetbyname] = ACTIONS(2113),
    [anon_sym_getsockname] = ACTIONS(2113),
    [anon_sym_getgrnam] = ACTIONS(2113),
    [anon_sym_getgrgid] = ACTIONS(2113),
    [anon_sym_hex] = ACTIONS(2113),
    [anon_sym_int] = ACTIONS(2113),
    [anon_sym_keys] = ACTIONS(2113),
    [anon_sym_lc] = ACTIONS(2113),
    [anon_sym_lcfirst] = ACTIONS(2113),
    [anon_sym_length] = ACTIONS(2113),
    [anon_sym_localtime] = ACTIONS(2113),
    [anon_sym_log] = ACTIONS(2113),
    [anon_sym_lock] = ACTIONS(2113),
    [anon_sym_lstat] = ACTIONS(2113),
    [anon_sym_oct] = ACTIONS(2113),
    [anon_sym_ord] = ACTIONS(2113),
    [anon_sym_prototype] = ACTIONS(2113),
    [anon_sym_pop] = ACTIONS(2113),
    [anon_sym_pos] = ACTIONS(2113),
    [anon_sym_quotemeta] = ACTIONS(2113),
    [anon_sym_reset] = ACTIONS(2113),
    [anon_sym_rand] = ACTIONS(2113),
    [anon_sym_rmdir] = ACTIONS(2113),
    [anon_sym_readdir] = ACTIONS(2113),
    [anon_sym_readline] = ACTIONS(2113),
    [anon_sym_readpipe] = ACTIONS(2113),
    [anon_sym_rewinddir] = ACTIONS(2113),
    [anon_sym_readlink] = ACTIONS(2113),
    [anon_sym_ref] = ACTIONS(2113),
    [anon_sym_scalar] = ACTIONS(2113),
    [anon_sym_shift] = ACTIONS(2113),
    [anon_sym_sin] = ACTIONS(2113),
    [anon_sym_sleep] = ACTIONS(2113),
    [anon_sym_sqrt] = ACTIONS(2113),
    [anon_sym_srand] = ACTIONS(2113),
    [anon_sym_stat] = ACTIONS(2113),
    [anon_sym_study] = ACTIONS(2113),
    [anon_sym_tell] = ACTIONS(2113),
    [anon_sym_telldir] = ACTIONS(2113),
    [anon_sym_tied] = ACTIONS(2113),
    [anon_sym_uc] = ACTIONS(2113),
    [anon_sym_ucfirst] = ACTIONS(2113),
    [anon_sym_untie] = ACTIONS(2113),
    [anon_sym_umask] = ACTIONS(2113),
    [anon_sym_values] = ACTIONS(2113),
    [anon_sym_write] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2113),
    [anon_sym___END__] = ACTIONS(2113),
    [anon_sym_EOT] = ACTIONS(2113),
    [anon_sym_q] = ACTIONS(2113),
    [anon_sym_qq] = ACTIONS(2113),
    [anon_sym_qw] = ACTIONS(2113),
    [anon_sym_qx] = ACTIONS(2113),
    [anon_sym_qr] = ACTIONS(2113),
    [anon_sym_m] = ACTIONS(2113),
    [anon_sym_s] = ACTIONS(2113),
    [anon_sym_tr] = ACTIONS(2113),
    [anon_sym_y] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_unless] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_until] = ACTIONS(2113),
    [aux_sym__bareword_token1] = ACTIONS(2113),
    [sym_number] = ACTIONS(2113),
    [anon_sym_true] = ACTIONS(2113),
    [anon_sym_false] = ACTIONS(2113),
    [sym__single_quote] = ACTIONS(2111),
    [sym__double_quote] = ACTIONS(2111),
    [sym__backtick_quote] = ACTIONS(2111),
    [sym__search_slash_quote] = ACTIONS(2111),
    [sym__open_readline_bracket] = ACTIONS(2111),
    [sym__open_fileglob_bracket] = ACTIONS(2111),
    [sym__PERLY_HEREDOC] = ACTIONS(2111),
    [sym__ctrl_z_hack] = ACTIONS(2111),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2111),
    [sym__filetest] = ACTIONS(2111),
  },
  [919] = {
    [sym_heredoc_content] = STATE(919),
    [ts_builtin_sym_end] = ACTIONS(2115),
    [sym__identifier] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_package] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_role] = ACTIONS(2117),
    [anon_sym_BUILD] = ACTIONS(2117),
    [anon_sym_ADJUST] = ACTIONS(2117),
    [anon_sym_DOLLAR] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_my] = ACTIONS(2117),
    [anon_sym_extended] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_sub] = ACTIONS(2117),
    [anon_sym_method] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_state] = ACTIONS(2117),
    [anon_sym_our] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_defer] = ACTIONS(2117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LT_LT] = ACTIONS(2117),
    [anon_sym_SLASH_SLASH] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_BSLASH] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_eval] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_field] = ACTIONS(2117),
    [anon_sym_local] = ACTIONS(2117),
    [anon_sym_dynamically] = ACTIONS(2117),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2117),
    [anon_sym_require] = ACTIONS(2117),
    [anon_sym_map] = ACTIONS(2117),
    [anon_sym_grep] = ACTIONS(2117),
    [anon_sym_sort] = ACTIONS(2117),
    [anon_sym_goto] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_undef] = ACTIONS(2117),
    [anon_sym_PERCENT2] = ACTIONS(2117),
    [anon_sym_AMP2] = ACTIONS(2117),
    [anon_sym_STAR2] = ACTIONS(2117),
    [anon_sym_use] = ACTIONS(2117),
    [anon_sym_no] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_foreach] = ACTIONS(2117),
    [anon_sym_last] = ACTIONS(2117),
    [anon_sym_next] = ACTIONS(2117),
    [anon_sym_redo] = ACTIONS(2117),
    [anon_sym_BEGIN] = ACTIONS(2117),
    [anon_sym_INIT] = ACTIONS(2117),
    [anon_sym_CHECK] = ACTIONS(2117),
    [anon_sym_UNITCHECK] = ACTIONS(2117),
    [anon_sym_END] = ACTIONS(2117),
    [anon_sym___FILE__] = ACTIONS(2117),
    [anon_sym___LINE__] = ACTIONS(2117),
    [anon_sym___PACKAGE__] = ACTIONS(2117),
    [anon_sym___SUB__] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_fork] = ACTIONS(2117),
    [anon_sym_getppid] = ACTIONS(2117),
    [anon_sym_time] = ACTIONS(2117),
    [anon_sym_times] = ACTIONS(2117),
    [anon_sym_wait] = ACTIONS(2117),
    [anon_sym_wantarray] = ACTIONS(2117),
    [anon_sym_abs] = ACTIONS(2117),
    [anon_sym_alarm] = ACTIONS(2117),
    [anon_sym_chop] = ACTIONS(2117),
    [anon_sym_chdir] = ACTIONS(2117),
    [anon_sym_close] = ACTIONS(2117),
    [anon_sym_closedir] = ACTIONS(2117),
    [anon_sym_caller] = ACTIONS(2117),
    [anon_sym_chomp] = ACTIONS(2117),
    [anon_sym_chr] = ACTIONS(2117),
    [anon_sym_cos] = ACTIONS(2117),
    [anon_sym_chroot] = ACTIONS(2117),
    [anon_sym_defined] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_dbmclose] = ACTIONS(2117),
    [anon_sym_exists] = ACTIONS(2117),
    [anon_sym_exit] = ACTIONS(2117),
    [anon_sym_eof] = ACTIONS(2117),
    [anon_sym_exp] = ACTIONS(2117),
    [anon_sym_each] = ACTIONS(2117),
    [anon_sym_fc] = ACTIONS(2117),
    [anon_sym_fileno] = ACTIONS(2117),
    [anon_sym_gmtime] = ACTIONS(2117),
    [anon_sym_getc] = ACTIONS(2117),
    [anon_sym_getpgrp] = ACTIONS(2117),
    [anon_sym_getprotobyname] = ACTIONS(2117),
    [anon_sym_getpwname] = ACTIONS(2117),
    [anon_sym_getpwuid] = ACTIONS(2117),
    [anon_sym_getpeername] = ACTIONS(2117),
    [anon_sym_getnetbyname] = ACTIONS(2117),
    [anon_sym_getsockname] = ACTIONS(2117),
    [anon_sym_getgrnam] = ACTIONS(2117),
    [anon_sym_getgrgid] = ACTIONS(2117),
    [anon_sym_hex] = ACTIONS(2117),
    [anon_sym_int] = ACTIONS(2117),
    [anon_sym_keys] = ACTIONS(2117),
    [anon_sym_lc] = ACTIONS(2117),
    [anon_sym_lcfirst] = ACTIONS(2117),
    [anon_sym_length] = ACTIONS(2117),
    [anon_sym_localtime] = ACTIONS(2117),
    [anon_sym_log] = ACTIONS(2117),
    [anon_sym_lock] = ACTIONS(2117),
    [anon_sym_lstat] = ACTIONS(2117),
    [anon_sym_oct] = ACTIONS(2117),
    [anon_sym_ord] = ACTIONS(2117),
    [anon_sym_prototype] = ACTIONS(2117),
    [anon_sym_pop] = ACTIONS(2117),
    [anon_sym_pos] = ACTIONS(2117),
    [anon_sym_quotemeta] = ACTIONS(2117),
    [anon_sym_reset] = ACTIONS(2117),
    [anon_sym_rand] = ACTIONS(2117),
    [anon_sym_rmdir] = ACTIONS(2117),
    [anon_sym_readdir] = ACTIONS(2117),
    [anon_sym_readline] = ACTIONS(2117),
    [anon_sym_readpipe] = ACTIONS(2117),
    [anon_sym_rewinddir] = ACTIONS(2117),
    [anon_sym_readlink] = ACTIONS(2117),
    [anon_sym_ref] = ACTIONS(2117),
    [anon_sym_scalar] = ACTIONS(2117),
    [anon_sym_shift] = ACTIONS(2117),
    [anon_sym_sin] = ACTIONS(2117),
    [anon_sym_sleep] = ACTIONS(2117),
    [anon_sym_sqrt] = ACTIONS(2117),
    [anon_sym_srand] = ACTIONS(2117),
    [anon_sym_stat] = ACTIONS(2117),
    [anon_sym_study] = ACTIONS(2117),
    [anon_sym_tell] = ACTIONS(2117),
    [anon_sym_telldir] = ACTIONS(2117),
    [anon_sym_tied] = ACTIONS(2117),
    [anon_sym_uc] = ACTIONS(2117),
    [anon_sym_ucfirst] = ACTIONS(2117),
    [anon_sym_untie] = ACTIONS(2117),
    [anon_sym_umask] = ACTIONS(2117),
    [anon_sym_values] = ACTIONS(2117),
    [anon_sym_write] = ACTIONS(2117),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2117),
    [anon_sym___END__] = ACTIONS(2117),
    [anon_sym_EOT] = ACTIONS(2117),
    [anon_sym_q] = ACTIONS(2117),
    [anon_sym_qq] = ACTIONS(2117),
    [anon_sym_qw] = ACTIONS(2117),
    [anon_sym_qx] = ACTIONS(2117),
    [anon_sym_qr] = ACTIONS(2117),
    [anon_sym_m] = ACTIONS(2117),
    [anon_sym_s] = ACTIONS(2117),
    [anon_sym_tr] = ACTIONS(2117),
    [anon_sym_y] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_unless] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_until] = ACTIONS(2117),
    [aux_sym__bareword_token1] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(2117),
    [anon_sym_false] = ACTIONS(2117),
    [sym__single_quote] = ACTIONS(2115),
    [sym__double_quote] = ACTIONS(2115),
    [sym__backtick_quote] = ACTIONS(2115),
    [sym__search_slash_quote] = ACTIONS(2115),
    [sym__open_readline_bracket] = ACTIONS(2115),
    [sym__open_fileglob_bracket] = ACTIONS(2115),
    [sym__PERLY_HEREDOC] = ACTIONS(2115),
    [sym__ctrl_z_hack] = ACTIONS(2115),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2115),
    [sym__filetest] = ACTIONS(2115),
  },
  [920] = {
    [sym_heredoc_content] = STATE(920),
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym__identifier] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym_package] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_role] = ACTIONS(2121),
    [anon_sym_BUILD] = ACTIONS(2121),
    [anon_sym_ADJUST] = ACTIONS(2121),
    [anon_sym_DOLLAR] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2121),
    [anon_sym_my] = ACTIONS(2121),
    [anon_sym_extended] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_sub] = ACTIONS(2121),
    [anon_sym_method] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_state] = ACTIONS(2121),
    [anon_sym_our] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_defer] = ACTIONS(2121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2121),
    [anon_sym_LT_LT] = ACTIONS(2121),
    [anon_sym_SLASH_SLASH] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_BSLASH] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_eval] = ACTIONS(2121),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_field] = ACTIONS(2121),
    [anon_sym_local] = ACTIONS(2121),
    [anon_sym_dynamically] = ACTIONS(2121),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2121),
    [anon_sym_require] = ACTIONS(2121),
    [anon_sym_map] = ACTIONS(2121),
    [anon_sym_grep] = ACTIONS(2121),
    [anon_sym_sort] = ACTIONS(2121),
    [anon_sym_goto] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_undef] = ACTIONS(2121),
    [anon_sym_PERCENT2] = ACTIONS(2121),
    [anon_sym_AMP2] = ACTIONS(2121),
    [anon_sym_STAR2] = ACTIONS(2121),
    [anon_sym_use] = ACTIONS(2121),
    [anon_sym_no] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_foreach] = ACTIONS(2121),
    [anon_sym_last] = ACTIONS(2121),
    [anon_sym_next] = ACTIONS(2121),
    [anon_sym_redo] = ACTIONS(2121),
    [anon_sym_BEGIN] = ACTIONS(2121),
    [anon_sym_INIT] = ACTIONS(2121),
    [anon_sym_CHECK] = ACTIONS(2121),
    [anon_sym_UNITCHECK] = ACTIONS(2121),
    [anon_sym_END] = ACTIONS(2121),
    [anon_sym___FILE__] = ACTIONS(2121),
    [anon_sym___LINE__] = ACTIONS(2121),
    [anon_sym___PACKAGE__] = ACTIONS(2121),
    [anon_sym___SUB__] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_fork] = ACTIONS(2121),
    [anon_sym_getppid] = ACTIONS(2121),
    [anon_sym_time] = ACTIONS(2121),
    [anon_sym_times] = ACTIONS(2121),
    [anon_sym_wait] = ACTIONS(2121),
    [anon_sym_wantarray] = ACTIONS(2121),
    [anon_sym_abs] = ACTIONS(2121),
    [anon_sym_alarm] = ACTIONS(2121),
    [anon_sym_chop] = ACTIONS(2121),
    [anon_sym_chdir] = ACTIONS(2121),
    [anon_sym_close] = ACTIONS(2121),
    [anon_sym_closedir] = ACTIONS(2121),
    [anon_sym_caller] = ACTIONS(2121),
    [anon_sym_chomp] = ACTIONS(2121),
    [anon_sym_chr] = ACTIONS(2121),
    [anon_sym_cos] = ACTIONS(2121),
    [anon_sym_chroot] = ACTIONS(2121),
    [anon_sym_defined] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_dbmclose] = ACTIONS(2121),
    [anon_sym_exists] = ACTIONS(2121),
    [anon_sym_exit] = ACTIONS(2121),
    [anon_sym_eof] = ACTIONS(2121),
    [anon_sym_exp] = ACTIONS(2121),
    [anon_sym_each] = ACTIONS(2121),
    [anon_sym_fc] = ACTIONS(2121),
    [anon_sym_fileno] = ACTIONS(2121),
    [anon_sym_gmtime] = ACTIONS(2121),
    [anon_sym_getc] = ACTIONS(2121),
    [anon_sym_getpgrp] = ACTIONS(2121),
    [anon_sym_getprotobyname] = ACTIONS(2121),
    [anon_sym_getpwname] = ACTIONS(2121),
    [anon_sym_getpwuid] = ACTIONS(2121),
    [anon_sym_getpeername] = ACTIONS(2121),
    [anon_sym_getnetbyname] = ACTIONS(2121),
    [anon_sym_getsockname] = ACTIONS(2121),
    [anon_sym_getgrnam] = ACTIONS(2121),
    [anon_sym_getgrgid] = ACTIONS(2121),
    [anon_sym_hex] = ACTIONS(2121),
    [anon_sym_int] = ACTIONS(2121),
    [anon_sym_keys] = ACTIONS(2121),
    [anon_sym_lc] = ACTIONS(2121),
    [anon_sym_lcfirst] = ACTIONS(2121),
    [anon_sym_length] = ACTIONS(2121),
    [anon_sym_localtime] = ACTIONS(2121),
    [anon_sym_log] = ACTIONS(2121),
    [anon_sym_lock] = ACTIONS(2121),
    [anon_sym_lstat] = ACTIONS(2121),
    [anon_sym_oct] = ACTIONS(2121),
    [anon_sym_ord] = ACTIONS(2121),
    [anon_sym_prototype] = ACTIONS(2121),
    [anon_sym_pop] = ACTIONS(2121),
    [anon_sym_pos] = ACTIONS(2121),
    [anon_sym_quotemeta] = ACTIONS(2121),
    [anon_sym_reset] = ACTIONS(2121),
    [anon_sym_rand] = ACTIONS(2121),
    [anon_sym_rmdir] = ACTIONS(2121),
    [anon_sym_readdir] = ACTIONS(2121),
    [anon_sym_readline] = ACTIONS(2121),
    [anon_sym_readpipe] = ACTIONS(2121),
    [anon_sym_rewinddir] = ACTIONS(2121),
    [anon_sym_readlink] = ACTIONS(2121),
    [anon_sym_ref] = ACTIONS(2121),
    [anon_sym_scalar] = ACTIONS(2121),
    [anon_sym_shift] = ACTIONS(2121),
    [anon_sym_sin] = ACTIONS(2121),
    [anon_sym_sleep] = ACTIONS(2121),
    [anon_sym_sqrt] = ACTIONS(2121),
    [anon_sym_srand] = ACTIONS(2121),
    [anon_sym_stat] = ACTIONS(2121),
    [anon_sym_study] = ACTIONS(2121),
    [anon_sym_tell] = ACTIONS(2121),
    [anon_sym_telldir] = ACTIONS(2121),
    [anon_sym_tied] = ACTIONS(2121),
    [anon_sym_uc] = ACTIONS(2121),
    [anon_sym_ucfirst] = ACTIONS(2121),
    [anon_sym_untie] = ACTIONS(2121),
    [anon_sym_umask] = ACTIONS(2121),
    [anon_sym_values] = ACTIONS(2121),
    [anon_sym_write] = ACTIONS(2121),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2121),
    [anon_sym___END__] = ACTIONS(2121),
    [anon_sym_EOT] = ACTIONS(2121),
    [anon_sym_q] = ACTIONS(2121),
    [anon_sym_qq] = ACTIONS(2121),
    [anon_sym_qw] = ACTIONS(2121),
    [anon_sym_qx] = ACTIONS(2121),
    [anon_sym_qr] = ACTIONS(2121),
    [anon_sym_m] = ACTIONS(2121),
    [anon_sym_s] = ACTIONS(2121),
    [anon_sym_tr] = ACTIONS(2121),
    [anon_sym_y] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_unless] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_until] = ACTIONS(2121),
    [aux_sym__bareword_token1] = ACTIONS(2121),
    [sym_number] = ACTIONS(2121),
    [anon_sym_true] = ACTIONS(2121),
    [anon_sym_false] = ACTIONS(2121),
    [sym__single_quote] = ACTIONS(2119),
    [sym__double_quote] = ACTIONS(2119),
    [sym__backtick_quote] = ACTIONS(2119),
    [sym__search_slash_quote] = ACTIONS(2119),
    [sym__open_readline_bracket] = ACTIONS(2119),
    [sym__open_fileglob_bracket] = ACTIONS(2119),
    [sym__PERLY_HEREDOC] = ACTIONS(2119),
    [sym__ctrl_z_hack] = ACTIONS(2119),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2119),
    [sym__filetest] = ACTIONS(2119),
  },
  [921] = {
    [sym_heredoc_content] = STATE(921),
    [ts_builtin_sym_end] = ACTIONS(2123),
    [sym__identifier] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym_package] = ACTIONS(2125),
    [anon_sym_class] = ACTIONS(2125),
    [anon_sym_role] = ACTIONS(2125),
    [anon_sym_BUILD] = ACTIONS(2125),
    [anon_sym_ADJUST] = ACTIONS(2125),
    [anon_sym_DOLLAR] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2125),
    [anon_sym_my] = ACTIONS(2125),
    [anon_sym_extended] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_sub] = ACTIONS(2125),
    [anon_sym_method] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_state] = ACTIONS(2125),
    [anon_sym_our] = ACTIONS(2125),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_defer] = ACTIONS(2125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2125),
    [anon_sym_LT_LT] = ACTIONS(2125),
    [anon_sym_SLASH_SLASH] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_BSLASH] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_eval] = ACTIONS(2125),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_field] = ACTIONS(2125),
    [anon_sym_local] = ACTIONS(2125),
    [anon_sym_dynamically] = ACTIONS(2125),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2125),
    [anon_sym_require] = ACTIONS(2125),
    [anon_sym_map] = ACTIONS(2125),
    [anon_sym_grep] = ACTIONS(2125),
    [anon_sym_sort] = ACTIONS(2125),
    [anon_sym_goto] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_undef] = ACTIONS(2125),
    [anon_sym_PERCENT2] = ACTIONS(2125),
    [anon_sym_AMP2] = ACTIONS(2125),
    [anon_sym_STAR2] = ACTIONS(2125),
    [anon_sym_use] = ACTIONS(2125),
    [anon_sym_no] = ACTIONS(2125),
    [anon_sym_for] = ACTIONS(2125),
    [anon_sym_foreach] = ACTIONS(2125),
    [anon_sym_last] = ACTIONS(2125),
    [anon_sym_next] = ACTIONS(2125),
    [anon_sym_redo] = ACTIONS(2125),
    [anon_sym_BEGIN] = ACTIONS(2125),
    [anon_sym_INIT] = ACTIONS(2125),
    [anon_sym_CHECK] = ACTIONS(2125),
    [anon_sym_UNITCHECK] = ACTIONS(2125),
    [anon_sym_END] = ACTIONS(2125),
    [anon_sym___FILE__] = ACTIONS(2125),
    [anon_sym___LINE__] = ACTIONS(2125),
    [anon_sym___PACKAGE__] = ACTIONS(2125),
    [anon_sym___SUB__] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_fork] = ACTIONS(2125),
    [anon_sym_getppid] = ACTIONS(2125),
    [anon_sym_time] = ACTIONS(2125),
    [anon_sym_times] = ACTIONS(2125),
    [anon_sym_wait] = ACTIONS(2125),
    [anon_sym_wantarray] = ACTIONS(2125),
    [anon_sym_abs] = ACTIONS(2125),
    [anon_sym_alarm] = ACTIONS(2125),
    [anon_sym_chop] = ACTIONS(2125),
    [anon_sym_chdir] = ACTIONS(2125),
    [anon_sym_close] = ACTIONS(2125),
    [anon_sym_closedir] = ACTIONS(2125),
    [anon_sym_caller] = ACTIONS(2125),
    [anon_sym_chomp] = ACTIONS(2125),
    [anon_sym_chr] = ACTIONS(2125),
    [anon_sym_cos] = ACTIONS(2125),
    [anon_sym_chroot] = ACTIONS(2125),
    [anon_sym_defined] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_dbmclose] = ACTIONS(2125),
    [anon_sym_exists] = ACTIONS(2125),
    [anon_sym_exit] = ACTIONS(2125),
    [anon_sym_eof] = ACTIONS(2125),
    [anon_sym_exp] = ACTIONS(2125),
    [anon_sym_each] = ACTIONS(2125),
    [anon_sym_fc] = ACTIONS(2125),
    [anon_sym_fileno] = ACTIONS(2125),
    [anon_sym_gmtime] = ACTIONS(2125),
    [anon_sym_getc] = ACTIONS(2125),
    [anon_sym_getpgrp] = ACTIONS(2125),
    [anon_sym_getprotobyname] = ACTIONS(2125),
    [anon_sym_getpwname] = ACTIONS(2125),
    [anon_sym_getpwuid] = ACTIONS(2125),
    [anon_sym_getpeername] = ACTIONS(2125),
    [anon_sym_getnetbyname] = ACTIONS(2125),
    [anon_sym_getsockname] = ACTIONS(2125),
    [anon_sym_getgrnam] = ACTIONS(2125),
    [anon_sym_getgrgid] = ACTIONS(2125),
    [anon_sym_hex] = ACTIONS(2125),
    [anon_sym_int] = ACTIONS(2125),
    [anon_sym_keys] = ACTIONS(2125),
    [anon_sym_lc] = ACTIONS(2125),
    [anon_sym_lcfirst] = ACTIONS(2125),
    [anon_sym_length] = ACTIONS(2125),
    [anon_sym_localtime] = ACTIONS(2125),
    [anon_sym_log] = ACTIONS(2125),
    [anon_sym_lock] = ACTIONS(2125),
    [anon_sym_lstat] = ACTIONS(2125),
    [anon_sym_oct] = ACTIONS(2125),
    [anon_sym_ord] = ACTIONS(2125),
    [anon_sym_prototype] = ACTIONS(2125),
    [anon_sym_pop] = ACTIONS(2125),
    [anon_sym_pos] = ACTIONS(2125),
    [anon_sym_quotemeta] = ACTIONS(2125),
    [anon_sym_reset] = ACTIONS(2125),
    [anon_sym_rand] = ACTIONS(2125),
    [anon_sym_rmdir] = ACTIONS(2125),
    [anon_sym_readdir] = ACTIONS(2125),
    [anon_sym_readline] = ACTIONS(2125),
    [anon_sym_readpipe] = ACTIONS(2125),
    [anon_sym_rewinddir] = ACTIONS(2125),
    [anon_sym_readlink] = ACTIONS(2125),
    [anon_sym_ref] = ACTIONS(2125),
    [anon_sym_scalar] = ACTIONS(2125),
    [anon_sym_shift] = ACTIONS(2125),
    [anon_sym_sin] = ACTIONS(2125),
    [anon_sym_sleep] = ACTIONS(2125),
    [anon_sym_sqrt] = ACTIONS(2125),
    [anon_sym_srand] = ACTIONS(2125),
    [anon_sym_stat] = ACTIONS(2125),
    [anon_sym_study] = ACTIONS(2125),
    [anon_sym_tell] = ACTIONS(2125),
    [anon_sym_telldir] = ACTIONS(2125),
    [anon_sym_tied] = ACTIONS(2125),
    [anon_sym_uc] = ACTIONS(2125),
    [anon_sym_ucfirst] = ACTIONS(2125),
    [anon_sym_untie] = ACTIONS(2125),
    [anon_sym_umask] = ACTIONS(2125),
    [anon_sym_values] = ACTIONS(2125),
    [anon_sym_write] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2125),
    [anon_sym___END__] = ACTIONS(2125),
    [anon_sym_EOT] = ACTIONS(2125),
    [anon_sym_q] = ACTIONS(2125),
    [anon_sym_qq] = ACTIONS(2125),
    [anon_sym_qw] = ACTIONS(2125),
    [anon_sym_qx] = ACTIONS(2125),
    [anon_sym_qr] = ACTIONS(2125),
    [anon_sym_m] = ACTIONS(2125),
    [anon_sym_s] = ACTIONS(2125),
    [anon_sym_tr] = ACTIONS(2125),
    [anon_sym_y] = ACTIONS(2125),
    [anon_sym_if] = ACTIONS(2125),
    [anon_sym_unless] = ACTIONS(2125),
    [anon_sym_while] = ACTIONS(2125),
    [anon_sym_until] = ACTIONS(2125),
    [aux_sym__bareword_token1] = ACTIONS(2125),
    [sym_number] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(2125),
    [anon_sym_false] = ACTIONS(2125),
    [sym__single_quote] = ACTIONS(2123),
    [sym__double_quote] = ACTIONS(2123),
    [sym__backtick_quote] = ACTIONS(2123),
    [sym__search_slash_quote] = ACTIONS(2123),
    [sym__open_readline_bracket] = ACTIONS(2123),
    [sym__open_fileglob_bracket] = ACTIONS(2123),
    [sym__PERLY_HEREDOC] = ACTIONS(2123),
    [sym__ctrl_z_hack] = ACTIONS(2123),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2123),
    [sym__filetest] = ACTIONS(2123),
  },
  [922] = {
    [sym_heredoc_content] = STATE(922),
    [ts_builtin_sym_end] = ACTIONS(2127),
    [sym__identifier] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym_package] = ACTIONS(2129),
    [anon_sym_class] = ACTIONS(2129),
    [anon_sym_role] = ACTIONS(2129),
    [anon_sym_BUILD] = ACTIONS(2129),
    [anon_sym_ADJUST] = ACTIONS(2129),
    [anon_sym_DOLLAR] = ACTIONS(2129),
    [anon_sym_AT] = ACTIONS(2129),
    [anon_sym_my] = ACTIONS(2129),
    [anon_sym_extended] = ACTIONS(2129),
    [anon_sym_async] = ACTIONS(2129),
    [anon_sym_sub] = ACTIONS(2129),
    [anon_sym_method] = ACTIONS(2129),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_continue] = ACTIONS(2129),
    [anon_sym_state] = ACTIONS(2129),
    [anon_sym_our] = ACTIONS(2129),
    [anon_sym_try] = ACTIONS(2129),
    [anon_sym_defer] = ACTIONS(2129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_SLASH_SLASH] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_BSLASH] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2129),
    [anon_sym_eval] = ACTIONS(2129),
    [anon_sym_await] = ACTIONS(2129),
    [anon_sym_field] = ACTIONS(2129),
    [anon_sym_local] = ACTIONS(2129),
    [anon_sym_dynamically] = ACTIONS(2129),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2129),
    [anon_sym_require] = ACTIONS(2129),
    [anon_sym_map] = ACTIONS(2129),
    [anon_sym_grep] = ACTIONS(2129),
    [anon_sym_sort] = ACTIONS(2129),
    [anon_sym_goto] = ACTIONS(2129),
    [anon_sym_return] = ACTIONS(2129),
    [anon_sym_undef] = ACTIONS(2129),
    [anon_sym_PERCENT2] = ACTIONS(2129),
    [anon_sym_AMP2] = ACTIONS(2129),
    [anon_sym_STAR2] = ACTIONS(2129),
    [anon_sym_use] = ACTIONS(2129),
    [anon_sym_no] = ACTIONS(2129),
    [anon_sym_for] = ACTIONS(2129),
    [anon_sym_foreach] = ACTIONS(2129),
    [anon_sym_last] = ACTIONS(2129),
    [anon_sym_next] = ACTIONS(2129),
    [anon_sym_redo] = ACTIONS(2129),
    [anon_sym_BEGIN] = ACTIONS(2129),
    [anon_sym_INIT] = ACTIONS(2129),
    [anon_sym_CHECK] = ACTIONS(2129),
    [anon_sym_UNITCHECK] = ACTIONS(2129),
    [anon_sym_END] = ACTIONS(2129),
    [anon_sym___FILE__] = ACTIONS(2129),
    [anon_sym___LINE__] = ACTIONS(2129),
    [anon_sym___PACKAGE__] = ACTIONS(2129),
    [anon_sym___SUB__] = ACTIONS(2129),
    [anon_sym_break] = ACTIONS(2129),
    [anon_sym_fork] = ACTIONS(2129),
    [anon_sym_getppid] = ACTIONS(2129),
    [anon_sym_time] = ACTIONS(2129),
    [anon_sym_times] = ACTIONS(2129),
    [anon_sym_wait] = ACTIONS(2129),
    [anon_sym_wantarray] = ACTIONS(2129),
    [anon_sym_abs] = ACTIONS(2129),
    [anon_sym_alarm] = ACTIONS(2129),
    [anon_sym_chop] = ACTIONS(2129),
    [anon_sym_chdir] = ACTIONS(2129),
    [anon_sym_close] = ACTIONS(2129),
    [anon_sym_closedir] = ACTIONS(2129),
    [anon_sym_caller] = ACTIONS(2129),
    [anon_sym_chomp] = ACTIONS(2129),
    [anon_sym_chr] = ACTIONS(2129),
    [anon_sym_cos] = ACTIONS(2129),
    [anon_sym_chroot] = ACTIONS(2129),
    [anon_sym_defined] = ACTIONS(2129),
    [anon_sym_delete] = ACTIONS(2129),
    [anon_sym_dbmclose] = ACTIONS(2129),
    [anon_sym_exists] = ACTIONS(2129),
    [anon_sym_exit] = ACTIONS(2129),
    [anon_sym_eof] = ACTIONS(2129),
    [anon_sym_exp] = ACTIONS(2129),
    [anon_sym_each] = ACTIONS(2129),
    [anon_sym_fc] = ACTIONS(2129),
    [anon_sym_fileno] = ACTIONS(2129),
    [anon_sym_gmtime] = ACTIONS(2129),
    [anon_sym_getc] = ACTIONS(2129),
    [anon_sym_getpgrp] = ACTIONS(2129),
    [anon_sym_getprotobyname] = ACTIONS(2129),
    [anon_sym_getpwname] = ACTIONS(2129),
    [anon_sym_getpwuid] = ACTIONS(2129),
    [anon_sym_getpeername] = ACTIONS(2129),
    [anon_sym_getnetbyname] = ACTIONS(2129),
    [anon_sym_getsockname] = ACTIONS(2129),
    [anon_sym_getgrnam] = ACTIONS(2129),
    [anon_sym_getgrgid] = ACTIONS(2129),
    [anon_sym_hex] = ACTIONS(2129),
    [anon_sym_int] = ACTIONS(2129),
    [anon_sym_keys] = ACTIONS(2129),
    [anon_sym_lc] = ACTIONS(2129),
    [anon_sym_lcfirst] = ACTIONS(2129),
    [anon_sym_length] = ACTIONS(2129),
    [anon_sym_localtime] = ACTIONS(2129),
    [anon_sym_log] = ACTIONS(2129),
    [anon_sym_lock] = ACTIONS(2129),
    [anon_sym_lstat] = ACTIONS(2129),
    [anon_sym_oct] = ACTIONS(2129),
    [anon_sym_ord] = ACTIONS(2129),
    [anon_sym_prototype] = ACTIONS(2129),
    [anon_sym_pop] = ACTIONS(2129),
    [anon_sym_pos] = ACTIONS(2129),
    [anon_sym_quotemeta] = ACTIONS(2129),
    [anon_sym_reset] = ACTIONS(2129),
    [anon_sym_rand] = ACTIONS(2129),
    [anon_sym_rmdir] = ACTIONS(2129),
    [anon_sym_readdir] = ACTIONS(2129),
    [anon_sym_readline] = ACTIONS(2129),
    [anon_sym_readpipe] = ACTIONS(2129),
    [anon_sym_rewinddir] = ACTIONS(2129),
    [anon_sym_readlink] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2129),
    [anon_sym_scalar] = ACTIONS(2129),
    [anon_sym_shift] = ACTIONS(2129),
    [anon_sym_sin] = ACTIONS(2129),
    [anon_sym_sleep] = ACTIONS(2129),
    [anon_sym_sqrt] = ACTIONS(2129),
    [anon_sym_srand] = ACTIONS(2129),
    [anon_sym_stat] = ACTIONS(2129),
    [anon_sym_study] = ACTIONS(2129),
    [anon_sym_tell] = ACTIONS(2129),
    [anon_sym_telldir] = ACTIONS(2129),
    [anon_sym_tied] = ACTIONS(2129),
    [anon_sym_uc] = ACTIONS(2129),
    [anon_sym_ucfirst] = ACTIONS(2129),
    [anon_sym_untie] = ACTIONS(2129),
    [anon_sym_umask] = ACTIONS(2129),
    [anon_sym_values] = ACTIONS(2129),
    [anon_sym_write] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2129),
    [anon_sym___END__] = ACTIONS(2129),
    [anon_sym_EOT] = ACTIONS(2129),
    [anon_sym_q] = ACTIONS(2129),
    [anon_sym_qq] = ACTIONS(2129),
    [anon_sym_qw] = ACTIONS(2129),
    [anon_sym_qx] = ACTIONS(2129),
    [anon_sym_qr] = ACTIONS(2129),
    [anon_sym_m] = ACTIONS(2129),
    [anon_sym_s] = ACTIONS(2129),
    [anon_sym_tr] = ACTIONS(2129),
    [anon_sym_y] = ACTIONS(2129),
    [anon_sym_if] = ACTIONS(2129),
    [anon_sym_unless] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2129),
    [anon_sym_until] = ACTIONS(2129),
    [aux_sym__bareword_token1] = ACTIONS(2129),
    [sym_number] = ACTIONS(2129),
    [anon_sym_true] = ACTIONS(2129),
    [anon_sym_false] = ACTIONS(2129),
    [sym__single_quote] = ACTIONS(2127),
    [sym__double_quote] = ACTIONS(2127),
    [sym__backtick_quote] = ACTIONS(2127),
    [sym__search_slash_quote] = ACTIONS(2127),
    [sym__open_readline_bracket] = ACTIONS(2127),
    [sym__open_fileglob_bracket] = ACTIONS(2127),
    [sym__PERLY_HEREDOC] = ACTIONS(2127),
    [sym__ctrl_z_hack] = ACTIONS(2127),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2127),
    [sym__filetest] = ACTIONS(2127),
  },
  [923] = {
    [sym_heredoc_content] = STATE(923),
    [ts_builtin_sym_end] = ACTIONS(2131),
    [sym__identifier] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_package] = ACTIONS(2133),
    [anon_sym_class] = ACTIONS(2133),
    [anon_sym_role] = ACTIONS(2133),
    [anon_sym_BUILD] = ACTIONS(2133),
    [anon_sym_ADJUST] = ACTIONS(2133),
    [anon_sym_DOLLAR] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2133),
    [anon_sym_my] = ACTIONS(2133),
    [anon_sym_extended] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_sub] = ACTIONS(2133),
    [anon_sym_method] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2133),
    [anon_sym_state] = ACTIONS(2133),
    [anon_sym_our] = ACTIONS(2133),
    [anon_sym_try] = ACTIONS(2133),
    [anon_sym_defer] = ACTIONS(2133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2133),
    [anon_sym_LT_LT] = ACTIONS(2133),
    [anon_sym_SLASH_SLASH] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_BSLASH] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2133),
    [anon_sym_eval] = ACTIONS(2133),
    [anon_sym_await] = ACTIONS(2133),
    [anon_sym_field] = ACTIONS(2133),
    [anon_sym_local] = ACTIONS(2133),
    [anon_sym_dynamically] = ACTIONS(2133),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2133),
    [anon_sym_require] = ACTIONS(2133),
    [anon_sym_map] = ACTIONS(2133),
    [anon_sym_grep] = ACTIONS(2133),
    [anon_sym_sort] = ACTIONS(2133),
    [anon_sym_goto] = ACTIONS(2133),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_undef] = ACTIONS(2133),
    [anon_sym_PERCENT2] = ACTIONS(2133),
    [anon_sym_AMP2] = ACTIONS(2133),
    [anon_sym_STAR2] = ACTIONS(2133),
    [anon_sym_use] = ACTIONS(2133),
    [anon_sym_no] = ACTIONS(2133),
    [anon_sym_for] = ACTIONS(2133),
    [anon_sym_foreach] = ACTIONS(2133),
    [anon_sym_last] = ACTIONS(2133),
    [anon_sym_next] = ACTIONS(2133),
    [anon_sym_redo] = ACTIONS(2133),
    [anon_sym_BEGIN] = ACTIONS(2133),
    [anon_sym_INIT] = ACTIONS(2133),
    [anon_sym_CHECK] = ACTIONS(2133),
    [anon_sym_UNITCHECK] = ACTIONS(2133),
    [anon_sym_END] = ACTIONS(2133),
    [anon_sym___FILE__] = ACTIONS(2133),
    [anon_sym___LINE__] = ACTIONS(2133),
    [anon_sym___PACKAGE__] = ACTIONS(2133),
    [anon_sym___SUB__] = ACTIONS(2133),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_fork] = ACTIONS(2133),
    [anon_sym_getppid] = ACTIONS(2133),
    [anon_sym_time] = ACTIONS(2133),
    [anon_sym_times] = ACTIONS(2133),
    [anon_sym_wait] = ACTIONS(2133),
    [anon_sym_wantarray] = ACTIONS(2133),
    [anon_sym_abs] = ACTIONS(2133),
    [anon_sym_alarm] = ACTIONS(2133),
    [anon_sym_chop] = ACTIONS(2133),
    [anon_sym_chdir] = ACTIONS(2133),
    [anon_sym_close] = ACTIONS(2133),
    [anon_sym_closedir] = ACTIONS(2133),
    [anon_sym_caller] = ACTIONS(2133),
    [anon_sym_chomp] = ACTIONS(2133),
    [anon_sym_chr] = ACTIONS(2133),
    [anon_sym_cos] = ACTIONS(2133),
    [anon_sym_chroot] = ACTIONS(2133),
    [anon_sym_defined] = ACTIONS(2133),
    [anon_sym_delete] = ACTIONS(2133),
    [anon_sym_dbmclose] = ACTIONS(2133),
    [anon_sym_exists] = ACTIONS(2133),
    [anon_sym_exit] = ACTIONS(2133),
    [anon_sym_eof] = ACTIONS(2133),
    [anon_sym_exp] = ACTIONS(2133),
    [anon_sym_each] = ACTIONS(2133),
    [anon_sym_fc] = ACTIONS(2133),
    [anon_sym_fileno] = ACTIONS(2133),
    [anon_sym_gmtime] = ACTIONS(2133),
    [anon_sym_getc] = ACTIONS(2133),
    [anon_sym_getpgrp] = ACTIONS(2133),
    [anon_sym_getprotobyname] = ACTIONS(2133),
    [anon_sym_getpwname] = ACTIONS(2133),
    [anon_sym_getpwuid] = ACTIONS(2133),
    [anon_sym_getpeername] = ACTIONS(2133),
    [anon_sym_getnetbyname] = ACTIONS(2133),
    [anon_sym_getsockname] = ACTIONS(2133),
    [anon_sym_getgrnam] = ACTIONS(2133),
    [anon_sym_getgrgid] = ACTIONS(2133),
    [anon_sym_hex] = ACTIONS(2133),
    [anon_sym_int] = ACTIONS(2133),
    [anon_sym_keys] = ACTIONS(2133),
    [anon_sym_lc] = ACTIONS(2133),
    [anon_sym_lcfirst] = ACTIONS(2133),
    [anon_sym_length] = ACTIONS(2133),
    [anon_sym_localtime] = ACTIONS(2133),
    [anon_sym_log] = ACTIONS(2133),
    [anon_sym_lock] = ACTIONS(2133),
    [anon_sym_lstat] = ACTIONS(2133),
    [anon_sym_oct] = ACTIONS(2133),
    [anon_sym_ord] = ACTIONS(2133),
    [anon_sym_prototype] = ACTIONS(2133),
    [anon_sym_pop] = ACTIONS(2133),
    [anon_sym_pos] = ACTIONS(2133),
    [anon_sym_quotemeta] = ACTIONS(2133),
    [anon_sym_reset] = ACTIONS(2133),
    [anon_sym_rand] = ACTIONS(2133),
    [anon_sym_rmdir] = ACTIONS(2133),
    [anon_sym_readdir] = ACTIONS(2133),
    [anon_sym_readline] = ACTIONS(2133),
    [anon_sym_readpipe] = ACTIONS(2133),
    [anon_sym_rewinddir] = ACTIONS(2133),
    [anon_sym_readlink] = ACTIONS(2133),
    [anon_sym_ref] = ACTIONS(2133),
    [anon_sym_scalar] = ACTIONS(2133),
    [anon_sym_shift] = ACTIONS(2133),
    [anon_sym_sin] = ACTIONS(2133),
    [anon_sym_sleep] = ACTIONS(2133),
    [anon_sym_sqrt] = ACTIONS(2133),
    [anon_sym_srand] = ACTIONS(2133),
    [anon_sym_stat] = ACTIONS(2133),
    [anon_sym_study] = ACTIONS(2133),
    [anon_sym_tell] = ACTIONS(2133),
    [anon_sym_telldir] = ACTIONS(2133),
    [anon_sym_tied] = ACTIONS(2133),
    [anon_sym_uc] = ACTIONS(2133),
    [anon_sym_ucfirst] = ACTIONS(2133),
    [anon_sym_untie] = ACTIONS(2133),
    [anon_sym_umask] = ACTIONS(2133),
    [anon_sym_values] = ACTIONS(2133),
    [anon_sym_write] = ACTIONS(2133),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2133),
    [anon_sym___END__] = ACTIONS(2133),
    [anon_sym_EOT] = ACTIONS(2133),
    [anon_sym_q] = ACTIONS(2133),
    [anon_sym_qq] = ACTIONS(2133),
    [anon_sym_qw] = ACTIONS(2133),
    [anon_sym_qx] = ACTIONS(2133),
    [anon_sym_qr] = ACTIONS(2133),
    [anon_sym_m] = ACTIONS(2133),
    [anon_sym_s] = ACTIONS(2133),
    [anon_sym_tr] = ACTIONS(2133),
    [anon_sym_y] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_unless] = ACTIONS(2133),
    [anon_sym_while] = ACTIONS(2133),
    [anon_sym_until] = ACTIONS(2133),
    [aux_sym__bareword_token1] = ACTIONS(2133),
    [sym_number] = ACTIONS(2133),
    [anon_sym_true] = ACTIONS(2133),
    [anon_sym_false] = ACTIONS(2133),
    [sym__single_quote] = ACTIONS(2131),
    [sym__double_quote] = ACTIONS(2131),
    [sym__backtick_quote] = ACTIONS(2131),
    [sym__search_slash_quote] = ACTIONS(2131),
    [sym__open_readline_bracket] = ACTIONS(2131),
    [sym__open_fileglob_bracket] = ACTIONS(2131),
    [sym__PERLY_HEREDOC] = ACTIONS(2131),
    [sym__ctrl_z_hack] = ACTIONS(2131),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2131),
    [sym__filetest] = ACTIONS(2131),
  },
  [924] = {
    [sym_heredoc_content] = STATE(924),
    [ts_builtin_sym_end] = ACTIONS(2135),
    [sym__identifier] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym_package] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_role] = ACTIONS(2137),
    [anon_sym_BUILD] = ACTIONS(2137),
    [anon_sym_ADJUST] = ACTIONS(2137),
    [anon_sym_DOLLAR] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2137),
    [anon_sym_my] = ACTIONS(2137),
    [anon_sym_extended] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_sub] = ACTIONS(2137),
    [anon_sym_method] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_state] = ACTIONS(2137),
    [anon_sym_our] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_defer] = ACTIONS(2137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_SLASH_SLASH] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_BSLASH] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_eval] = ACTIONS(2137),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_field] = ACTIONS(2137),
    [anon_sym_local] = ACTIONS(2137),
    [anon_sym_dynamically] = ACTIONS(2137),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2137),
    [anon_sym_require] = ACTIONS(2137),
    [anon_sym_map] = ACTIONS(2137),
    [anon_sym_grep] = ACTIONS(2137),
    [anon_sym_sort] = ACTIONS(2137),
    [anon_sym_goto] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_undef] = ACTIONS(2137),
    [anon_sym_PERCENT2] = ACTIONS(2137),
    [anon_sym_AMP2] = ACTIONS(2137),
    [anon_sym_STAR2] = ACTIONS(2137),
    [anon_sym_use] = ACTIONS(2137),
    [anon_sym_no] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_foreach] = ACTIONS(2137),
    [anon_sym_last] = ACTIONS(2137),
    [anon_sym_next] = ACTIONS(2137),
    [anon_sym_redo] = ACTIONS(2137),
    [anon_sym_BEGIN] = ACTIONS(2137),
    [anon_sym_INIT] = ACTIONS(2137),
    [anon_sym_CHECK] = ACTIONS(2137),
    [anon_sym_UNITCHECK] = ACTIONS(2137),
    [anon_sym_END] = ACTIONS(2137),
    [anon_sym___FILE__] = ACTIONS(2137),
    [anon_sym___LINE__] = ACTIONS(2137),
    [anon_sym___PACKAGE__] = ACTIONS(2137),
    [anon_sym___SUB__] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_fork] = ACTIONS(2137),
    [anon_sym_getppid] = ACTIONS(2137),
    [anon_sym_time] = ACTIONS(2137),
    [anon_sym_times] = ACTIONS(2137),
    [anon_sym_wait] = ACTIONS(2137),
    [anon_sym_wantarray] = ACTIONS(2137),
    [anon_sym_abs] = ACTIONS(2137),
    [anon_sym_alarm] = ACTIONS(2137),
    [anon_sym_chop] = ACTIONS(2137),
    [anon_sym_chdir] = ACTIONS(2137),
    [anon_sym_close] = ACTIONS(2137),
    [anon_sym_closedir] = ACTIONS(2137),
    [anon_sym_caller] = ACTIONS(2137),
    [anon_sym_chomp] = ACTIONS(2137),
    [anon_sym_chr] = ACTIONS(2137),
    [anon_sym_cos] = ACTIONS(2137),
    [anon_sym_chroot] = ACTIONS(2137),
    [anon_sym_defined] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_dbmclose] = ACTIONS(2137),
    [anon_sym_exists] = ACTIONS(2137),
    [anon_sym_exit] = ACTIONS(2137),
    [anon_sym_eof] = ACTIONS(2137),
    [anon_sym_exp] = ACTIONS(2137),
    [anon_sym_each] = ACTIONS(2137),
    [anon_sym_fc] = ACTIONS(2137),
    [anon_sym_fileno] = ACTIONS(2137),
    [anon_sym_gmtime] = ACTIONS(2137),
    [anon_sym_getc] = ACTIONS(2137),
    [anon_sym_getpgrp] = ACTIONS(2137),
    [anon_sym_getprotobyname] = ACTIONS(2137),
    [anon_sym_getpwname] = ACTIONS(2137),
    [anon_sym_getpwuid] = ACTIONS(2137),
    [anon_sym_getpeername] = ACTIONS(2137),
    [anon_sym_getnetbyname] = ACTIONS(2137),
    [anon_sym_getsockname] = ACTIONS(2137),
    [anon_sym_getgrnam] = ACTIONS(2137),
    [anon_sym_getgrgid] = ACTIONS(2137),
    [anon_sym_hex] = ACTIONS(2137),
    [anon_sym_int] = ACTIONS(2137),
    [anon_sym_keys] = ACTIONS(2137),
    [anon_sym_lc] = ACTIONS(2137),
    [anon_sym_lcfirst] = ACTIONS(2137),
    [anon_sym_length] = ACTIONS(2137),
    [anon_sym_localtime] = ACTIONS(2137),
    [anon_sym_log] = ACTIONS(2137),
    [anon_sym_lock] = ACTIONS(2137),
    [anon_sym_lstat] = ACTIONS(2137),
    [anon_sym_oct] = ACTIONS(2137),
    [anon_sym_ord] = ACTIONS(2137),
    [anon_sym_prototype] = ACTIONS(2137),
    [anon_sym_pop] = ACTIONS(2137),
    [anon_sym_pos] = ACTIONS(2137),
    [anon_sym_quotemeta] = ACTIONS(2137),
    [anon_sym_reset] = ACTIONS(2137),
    [anon_sym_rand] = ACTIONS(2137),
    [anon_sym_rmdir] = ACTIONS(2137),
    [anon_sym_readdir] = ACTIONS(2137),
    [anon_sym_readline] = ACTIONS(2137),
    [anon_sym_readpipe] = ACTIONS(2137),
    [anon_sym_rewinddir] = ACTIONS(2137),
    [anon_sym_readlink] = ACTIONS(2137),
    [anon_sym_ref] = ACTIONS(2137),
    [anon_sym_scalar] = ACTIONS(2137),
    [anon_sym_shift] = ACTIONS(2137),
    [anon_sym_sin] = ACTIONS(2137),
    [anon_sym_sleep] = ACTIONS(2137),
    [anon_sym_sqrt] = ACTIONS(2137),
    [anon_sym_srand] = ACTIONS(2137),
    [anon_sym_stat] = ACTIONS(2137),
    [anon_sym_study] = ACTIONS(2137),
    [anon_sym_tell] = ACTIONS(2137),
    [anon_sym_telldir] = ACTIONS(2137),
    [anon_sym_tied] = ACTIONS(2137),
    [anon_sym_uc] = ACTIONS(2137),
    [anon_sym_ucfirst] = ACTIONS(2137),
    [anon_sym_untie] = ACTIONS(2137),
    [anon_sym_umask] = ACTIONS(2137),
    [anon_sym_values] = ACTIONS(2137),
    [anon_sym_write] = ACTIONS(2137),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2137),
    [anon_sym___END__] = ACTIONS(2137),
    [anon_sym_EOT] = ACTIONS(2137),
    [anon_sym_q] = ACTIONS(2137),
    [anon_sym_qq] = ACTIONS(2137),
    [anon_sym_qw] = ACTIONS(2137),
    [anon_sym_qx] = ACTIONS(2137),
    [anon_sym_qr] = ACTIONS(2137),
    [anon_sym_m] = ACTIONS(2137),
    [anon_sym_s] = ACTIONS(2137),
    [anon_sym_tr] = ACTIONS(2137),
    [anon_sym_y] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_unless] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_until] = ACTIONS(2137),
    [aux_sym__bareword_token1] = ACTIONS(2137),
    [sym_number] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(2137),
    [anon_sym_false] = ACTIONS(2137),
    [sym__single_quote] = ACTIONS(2135),
    [sym__double_quote] = ACTIONS(2135),
    [sym__backtick_quote] = ACTIONS(2135),
    [sym__search_slash_quote] = ACTIONS(2135),
    [sym__open_readline_bracket] = ACTIONS(2135),
    [sym__open_fileglob_bracket] = ACTIONS(2135),
    [sym__PERLY_HEREDOC] = ACTIONS(2135),
    [sym__ctrl_z_hack] = ACTIONS(2135),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2135),
    [sym__filetest] = ACTIONS(2135),
  },
  [925] = {
    [sym_heredoc_content] = STATE(925),
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym__identifier] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_package] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_role] = ACTIONS(2141),
    [anon_sym_BUILD] = ACTIONS(2141),
    [anon_sym_ADJUST] = ACTIONS(2141),
    [anon_sym_DOLLAR] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_my] = ACTIONS(2141),
    [anon_sym_extended] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_sub] = ACTIONS(2141),
    [anon_sym_method] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_state] = ACTIONS(2141),
    [anon_sym_our] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_defer] = ACTIONS(2141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_SLASH_SLASH] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_BSLASH] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_eval] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_field] = ACTIONS(2141),
    [anon_sym_local] = ACTIONS(2141),
    [anon_sym_dynamically] = ACTIONS(2141),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2141),
    [anon_sym_require] = ACTIONS(2141),
    [anon_sym_map] = ACTIONS(2141),
    [anon_sym_grep] = ACTIONS(2141),
    [anon_sym_sort] = ACTIONS(2141),
    [anon_sym_goto] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_undef] = ACTIONS(2141),
    [anon_sym_PERCENT2] = ACTIONS(2141),
    [anon_sym_AMP2] = ACTIONS(2141),
    [anon_sym_STAR2] = ACTIONS(2141),
    [anon_sym_use] = ACTIONS(2141),
    [anon_sym_no] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_foreach] = ACTIONS(2141),
    [anon_sym_last] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2141),
    [anon_sym_redo] = ACTIONS(2141),
    [anon_sym_BEGIN] = ACTIONS(2141),
    [anon_sym_INIT] = ACTIONS(2141),
    [anon_sym_CHECK] = ACTIONS(2141),
    [anon_sym_UNITCHECK] = ACTIONS(2141),
    [anon_sym_END] = ACTIONS(2141),
    [anon_sym___FILE__] = ACTIONS(2141),
    [anon_sym___LINE__] = ACTIONS(2141),
    [anon_sym___PACKAGE__] = ACTIONS(2141),
    [anon_sym___SUB__] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_fork] = ACTIONS(2141),
    [anon_sym_getppid] = ACTIONS(2141),
    [anon_sym_time] = ACTIONS(2141),
    [anon_sym_times] = ACTIONS(2141),
    [anon_sym_wait] = ACTIONS(2141),
    [anon_sym_wantarray] = ACTIONS(2141),
    [anon_sym_abs] = ACTIONS(2141),
    [anon_sym_alarm] = ACTIONS(2141),
    [anon_sym_chop] = ACTIONS(2141),
    [anon_sym_chdir] = ACTIONS(2141),
    [anon_sym_close] = ACTIONS(2141),
    [anon_sym_closedir] = ACTIONS(2141),
    [anon_sym_caller] = ACTIONS(2141),
    [anon_sym_chomp] = ACTIONS(2141),
    [anon_sym_chr] = ACTIONS(2141),
    [anon_sym_cos] = ACTIONS(2141),
    [anon_sym_chroot] = ACTIONS(2141),
    [anon_sym_defined] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_dbmclose] = ACTIONS(2141),
    [anon_sym_exists] = ACTIONS(2141),
    [anon_sym_exit] = ACTIONS(2141),
    [anon_sym_eof] = ACTIONS(2141),
    [anon_sym_exp] = ACTIONS(2141),
    [anon_sym_each] = ACTIONS(2141),
    [anon_sym_fc] = ACTIONS(2141),
    [anon_sym_fileno] = ACTIONS(2141),
    [anon_sym_gmtime] = ACTIONS(2141),
    [anon_sym_getc] = ACTIONS(2141),
    [anon_sym_getpgrp] = ACTIONS(2141),
    [anon_sym_getprotobyname] = ACTIONS(2141),
    [anon_sym_getpwname] = ACTIONS(2141),
    [anon_sym_getpwuid] = ACTIONS(2141),
    [anon_sym_getpeername] = ACTIONS(2141),
    [anon_sym_getnetbyname] = ACTIONS(2141),
    [anon_sym_getsockname] = ACTIONS(2141),
    [anon_sym_getgrnam] = ACTIONS(2141),
    [anon_sym_getgrgid] = ACTIONS(2141),
    [anon_sym_hex] = ACTIONS(2141),
    [anon_sym_int] = ACTIONS(2141),
    [anon_sym_keys] = ACTIONS(2141),
    [anon_sym_lc] = ACTIONS(2141),
    [anon_sym_lcfirst] = ACTIONS(2141),
    [anon_sym_length] = ACTIONS(2141),
    [anon_sym_localtime] = ACTIONS(2141),
    [anon_sym_log] = ACTIONS(2141),
    [anon_sym_lock] = ACTIONS(2141),
    [anon_sym_lstat] = ACTIONS(2141),
    [anon_sym_oct] = ACTIONS(2141),
    [anon_sym_ord] = ACTIONS(2141),
    [anon_sym_prototype] = ACTIONS(2141),
    [anon_sym_pop] = ACTIONS(2141),
    [anon_sym_pos] = ACTIONS(2141),
    [anon_sym_quotemeta] = ACTIONS(2141),
    [anon_sym_reset] = ACTIONS(2141),
    [anon_sym_rand] = ACTIONS(2141),
    [anon_sym_rmdir] = ACTIONS(2141),
    [anon_sym_readdir] = ACTIONS(2141),
    [anon_sym_readline] = ACTIONS(2141),
    [anon_sym_readpipe] = ACTIONS(2141),
    [anon_sym_rewinddir] = ACTIONS(2141),
    [anon_sym_readlink] = ACTIONS(2141),
    [anon_sym_ref] = ACTIONS(2141),
    [anon_sym_scalar] = ACTIONS(2141),
    [anon_sym_shift] = ACTIONS(2141),
    [anon_sym_sin] = ACTIONS(2141),
    [anon_sym_sleep] = ACTIONS(2141),
    [anon_sym_sqrt] = ACTIONS(2141),
    [anon_sym_srand] = ACTIONS(2141),
    [anon_sym_stat] = ACTIONS(2141),
    [anon_sym_study] = ACTIONS(2141),
    [anon_sym_tell] = ACTIONS(2141),
    [anon_sym_telldir] = ACTIONS(2141),
    [anon_sym_tied] = ACTIONS(2141),
    [anon_sym_uc] = ACTIONS(2141),
    [anon_sym_ucfirst] = ACTIONS(2141),
    [anon_sym_untie] = ACTIONS(2141),
    [anon_sym_umask] = ACTIONS(2141),
    [anon_sym_values] = ACTIONS(2141),
    [anon_sym_write] = ACTIONS(2141),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2141),
    [anon_sym___END__] = ACTIONS(2141),
    [anon_sym_EOT] = ACTIONS(2141),
    [anon_sym_q] = ACTIONS(2141),
    [anon_sym_qq] = ACTIONS(2141),
    [anon_sym_qw] = ACTIONS(2141),
    [anon_sym_qx] = ACTIONS(2141),
    [anon_sym_qr] = ACTIONS(2141),
    [anon_sym_m] = ACTIONS(2141),
    [anon_sym_s] = ACTIONS(2141),
    [anon_sym_tr] = ACTIONS(2141),
    [anon_sym_y] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_unless] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_until] = ACTIONS(2141),
    [aux_sym__bareword_token1] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [anon_sym_true] = ACTIONS(2141),
    [anon_sym_false] = ACTIONS(2141),
    [sym__single_quote] = ACTIONS(2139),
    [sym__double_quote] = ACTIONS(2139),
    [sym__backtick_quote] = ACTIONS(2139),
    [sym__search_slash_quote] = ACTIONS(2139),
    [sym__open_readline_bracket] = ACTIONS(2139),
    [sym__open_fileglob_bracket] = ACTIONS(2139),
    [sym__PERLY_HEREDOC] = ACTIONS(2139),
    [sym__ctrl_z_hack] = ACTIONS(2139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2139),
    [sym__filetest] = ACTIONS(2139),
  },
  [926] = {
    [sym_heredoc_content] = STATE(926),
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym__identifier] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_package] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_role] = ACTIONS(2145),
    [anon_sym_BUILD] = ACTIONS(2145),
    [anon_sym_ADJUST] = ACTIONS(2145),
    [anon_sym_DOLLAR] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_my] = ACTIONS(2145),
    [anon_sym_extended] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_sub] = ACTIONS(2145),
    [anon_sym_method] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_state] = ACTIONS(2145),
    [anon_sym_our] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_defer] = ACTIONS(2145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_SLASH_SLASH] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_BSLASH] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_eval] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_field] = ACTIONS(2145),
    [anon_sym_local] = ACTIONS(2145),
    [anon_sym_dynamically] = ACTIONS(2145),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2145),
    [anon_sym_require] = ACTIONS(2145),
    [anon_sym_map] = ACTIONS(2145),
    [anon_sym_grep] = ACTIONS(2145),
    [anon_sym_sort] = ACTIONS(2145),
    [anon_sym_goto] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_undef] = ACTIONS(2145),
    [anon_sym_PERCENT2] = ACTIONS(2145),
    [anon_sym_AMP2] = ACTIONS(2145),
    [anon_sym_STAR2] = ACTIONS(2145),
    [anon_sym_use] = ACTIONS(2145),
    [anon_sym_no] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_foreach] = ACTIONS(2145),
    [anon_sym_last] = ACTIONS(2145),
    [anon_sym_next] = ACTIONS(2145),
    [anon_sym_redo] = ACTIONS(2145),
    [anon_sym_BEGIN] = ACTIONS(2145),
    [anon_sym_INIT] = ACTIONS(2145),
    [anon_sym_CHECK] = ACTIONS(2145),
    [anon_sym_UNITCHECK] = ACTIONS(2145),
    [anon_sym_END] = ACTIONS(2145),
    [anon_sym___FILE__] = ACTIONS(2145),
    [anon_sym___LINE__] = ACTIONS(2145),
    [anon_sym___PACKAGE__] = ACTIONS(2145),
    [anon_sym___SUB__] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_fork] = ACTIONS(2145),
    [anon_sym_getppid] = ACTIONS(2145),
    [anon_sym_time] = ACTIONS(2145),
    [anon_sym_times] = ACTIONS(2145),
    [anon_sym_wait] = ACTIONS(2145),
    [anon_sym_wantarray] = ACTIONS(2145),
    [anon_sym_abs] = ACTIONS(2145),
    [anon_sym_alarm] = ACTIONS(2145),
    [anon_sym_chop] = ACTIONS(2145),
    [anon_sym_chdir] = ACTIONS(2145),
    [anon_sym_close] = ACTIONS(2145),
    [anon_sym_closedir] = ACTIONS(2145),
    [anon_sym_caller] = ACTIONS(2145),
    [anon_sym_chomp] = ACTIONS(2145),
    [anon_sym_chr] = ACTIONS(2145),
    [anon_sym_cos] = ACTIONS(2145),
    [anon_sym_chroot] = ACTIONS(2145),
    [anon_sym_defined] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_dbmclose] = ACTIONS(2145),
    [anon_sym_exists] = ACTIONS(2145),
    [anon_sym_exit] = ACTIONS(2145),
    [anon_sym_eof] = ACTIONS(2145),
    [anon_sym_exp] = ACTIONS(2145),
    [anon_sym_each] = ACTIONS(2145),
    [anon_sym_fc] = ACTIONS(2145),
    [anon_sym_fileno] = ACTIONS(2145),
    [anon_sym_gmtime] = ACTIONS(2145),
    [anon_sym_getc] = ACTIONS(2145),
    [anon_sym_getpgrp] = ACTIONS(2145),
    [anon_sym_getprotobyname] = ACTIONS(2145),
    [anon_sym_getpwname] = ACTIONS(2145),
    [anon_sym_getpwuid] = ACTIONS(2145),
    [anon_sym_getpeername] = ACTIONS(2145),
    [anon_sym_getnetbyname] = ACTIONS(2145),
    [anon_sym_getsockname] = ACTIONS(2145),
    [anon_sym_getgrnam] = ACTIONS(2145),
    [anon_sym_getgrgid] = ACTIONS(2145),
    [anon_sym_hex] = ACTIONS(2145),
    [anon_sym_int] = ACTIONS(2145),
    [anon_sym_keys] = ACTIONS(2145),
    [anon_sym_lc] = ACTIONS(2145),
    [anon_sym_lcfirst] = ACTIONS(2145),
    [anon_sym_length] = ACTIONS(2145),
    [anon_sym_localtime] = ACTIONS(2145),
    [anon_sym_log] = ACTIONS(2145),
    [anon_sym_lock] = ACTIONS(2145),
    [anon_sym_lstat] = ACTIONS(2145),
    [anon_sym_oct] = ACTIONS(2145),
    [anon_sym_ord] = ACTIONS(2145),
    [anon_sym_prototype] = ACTIONS(2145),
    [anon_sym_pop] = ACTIONS(2145),
    [anon_sym_pos] = ACTIONS(2145),
    [anon_sym_quotemeta] = ACTIONS(2145),
    [anon_sym_reset] = ACTIONS(2145),
    [anon_sym_rand] = ACTIONS(2145),
    [anon_sym_rmdir] = ACTIONS(2145),
    [anon_sym_readdir] = ACTIONS(2145),
    [anon_sym_readline] = ACTIONS(2145),
    [anon_sym_readpipe] = ACTIONS(2145),
    [anon_sym_rewinddir] = ACTIONS(2145),
    [anon_sym_readlink] = ACTIONS(2145),
    [anon_sym_ref] = ACTIONS(2145),
    [anon_sym_scalar] = ACTIONS(2145),
    [anon_sym_shift] = ACTIONS(2145),
    [anon_sym_sin] = ACTIONS(2145),
    [anon_sym_sleep] = ACTIONS(2145),
    [anon_sym_sqrt] = ACTIONS(2145),
    [anon_sym_srand] = ACTIONS(2145),
    [anon_sym_stat] = ACTIONS(2145),
    [anon_sym_study] = ACTIONS(2145),
    [anon_sym_tell] = ACTIONS(2145),
    [anon_sym_telldir] = ACTIONS(2145),
    [anon_sym_tied] = ACTIONS(2145),
    [anon_sym_uc] = ACTIONS(2145),
    [anon_sym_ucfirst] = ACTIONS(2145),
    [anon_sym_untie] = ACTIONS(2145),
    [anon_sym_umask] = ACTIONS(2145),
    [anon_sym_values] = ACTIONS(2145),
    [anon_sym_write] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2145),
    [anon_sym___END__] = ACTIONS(2145),
    [anon_sym_EOT] = ACTIONS(2145),
    [anon_sym_q] = ACTIONS(2145),
    [anon_sym_qq] = ACTIONS(2145),
    [anon_sym_qw] = ACTIONS(2145),
    [anon_sym_qx] = ACTIONS(2145),
    [anon_sym_qr] = ACTIONS(2145),
    [anon_sym_m] = ACTIONS(2145),
    [anon_sym_s] = ACTIONS(2145),
    [anon_sym_tr] = ACTIONS(2145),
    [anon_sym_y] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_unless] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_until] = ACTIONS(2145),
    [aux_sym__bareword_token1] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [anon_sym_true] = ACTIONS(2145),
    [anon_sym_false] = ACTIONS(2145),
    [sym__single_quote] = ACTIONS(2143),
    [sym__double_quote] = ACTIONS(2143),
    [sym__backtick_quote] = ACTIONS(2143),
    [sym__search_slash_quote] = ACTIONS(2143),
    [sym__open_readline_bracket] = ACTIONS(2143),
    [sym__open_fileglob_bracket] = ACTIONS(2143),
    [sym__PERLY_HEREDOC] = ACTIONS(2143),
    [sym__ctrl_z_hack] = ACTIONS(2143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2143),
    [sym__filetest] = ACTIONS(2143),
  },
  [927] = {
    [sym_heredoc_content] = STATE(927),
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym__identifier] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_package] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_role] = ACTIONS(2149),
    [anon_sym_BUILD] = ACTIONS(2149),
    [anon_sym_ADJUST] = ACTIONS(2149),
    [anon_sym_DOLLAR] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_my] = ACTIONS(2149),
    [anon_sym_extended] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_sub] = ACTIONS(2149),
    [anon_sym_method] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_state] = ACTIONS(2149),
    [anon_sym_our] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_defer] = ACTIONS(2149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_SLASH_SLASH] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_BSLASH] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_eval] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_field] = ACTIONS(2149),
    [anon_sym_local] = ACTIONS(2149),
    [anon_sym_dynamically] = ACTIONS(2149),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2149),
    [anon_sym_require] = ACTIONS(2149),
    [anon_sym_map] = ACTIONS(2149),
    [anon_sym_grep] = ACTIONS(2149),
    [anon_sym_sort] = ACTIONS(2149),
    [anon_sym_goto] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_undef] = ACTIONS(2149),
    [anon_sym_PERCENT2] = ACTIONS(2149),
    [anon_sym_AMP2] = ACTIONS(2149),
    [anon_sym_STAR2] = ACTIONS(2149),
    [anon_sym_use] = ACTIONS(2149),
    [anon_sym_no] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_foreach] = ACTIONS(2149),
    [anon_sym_last] = ACTIONS(2149),
    [anon_sym_next] = ACTIONS(2149),
    [anon_sym_redo] = ACTIONS(2149),
    [anon_sym_BEGIN] = ACTIONS(2149),
    [anon_sym_INIT] = ACTIONS(2149),
    [anon_sym_CHECK] = ACTIONS(2149),
    [anon_sym_UNITCHECK] = ACTIONS(2149),
    [anon_sym_END] = ACTIONS(2149),
    [anon_sym___FILE__] = ACTIONS(2149),
    [anon_sym___LINE__] = ACTIONS(2149),
    [anon_sym___PACKAGE__] = ACTIONS(2149),
    [anon_sym___SUB__] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_fork] = ACTIONS(2149),
    [anon_sym_getppid] = ACTIONS(2149),
    [anon_sym_time] = ACTIONS(2149),
    [anon_sym_times] = ACTIONS(2149),
    [anon_sym_wait] = ACTIONS(2149),
    [anon_sym_wantarray] = ACTIONS(2149),
    [anon_sym_abs] = ACTIONS(2149),
    [anon_sym_alarm] = ACTIONS(2149),
    [anon_sym_chop] = ACTIONS(2149),
    [anon_sym_chdir] = ACTIONS(2149),
    [anon_sym_close] = ACTIONS(2149),
    [anon_sym_closedir] = ACTIONS(2149),
    [anon_sym_caller] = ACTIONS(2149),
    [anon_sym_chomp] = ACTIONS(2149),
    [anon_sym_chr] = ACTIONS(2149),
    [anon_sym_cos] = ACTIONS(2149),
    [anon_sym_chroot] = ACTIONS(2149),
    [anon_sym_defined] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_dbmclose] = ACTIONS(2149),
    [anon_sym_exists] = ACTIONS(2149),
    [anon_sym_exit] = ACTIONS(2149),
    [anon_sym_eof] = ACTIONS(2149),
    [anon_sym_exp] = ACTIONS(2149),
    [anon_sym_each] = ACTIONS(2149),
    [anon_sym_fc] = ACTIONS(2149),
    [anon_sym_fileno] = ACTIONS(2149),
    [anon_sym_gmtime] = ACTIONS(2149),
    [anon_sym_getc] = ACTIONS(2149),
    [anon_sym_getpgrp] = ACTIONS(2149),
    [anon_sym_getprotobyname] = ACTIONS(2149),
    [anon_sym_getpwname] = ACTIONS(2149),
    [anon_sym_getpwuid] = ACTIONS(2149),
    [anon_sym_getpeername] = ACTIONS(2149),
    [anon_sym_getnetbyname] = ACTIONS(2149),
    [anon_sym_getsockname] = ACTIONS(2149),
    [anon_sym_getgrnam] = ACTIONS(2149),
    [anon_sym_getgrgid] = ACTIONS(2149),
    [anon_sym_hex] = ACTIONS(2149),
    [anon_sym_int] = ACTIONS(2149),
    [anon_sym_keys] = ACTIONS(2149),
    [anon_sym_lc] = ACTIONS(2149),
    [anon_sym_lcfirst] = ACTIONS(2149),
    [anon_sym_length] = ACTIONS(2149),
    [anon_sym_localtime] = ACTIONS(2149),
    [anon_sym_log] = ACTIONS(2149),
    [anon_sym_lock] = ACTIONS(2149),
    [anon_sym_lstat] = ACTIONS(2149),
    [anon_sym_oct] = ACTIONS(2149),
    [anon_sym_ord] = ACTIONS(2149),
    [anon_sym_prototype] = ACTIONS(2149),
    [anon_sym_pop] = ACTIONS(2149),
    [anon_sym_pos] = ACTIONS(2149),
    [anon_sym_quotemeta] = ACTIONS(2149),
    [anon_sym_reset] = ACTIONS(2149),
    [anon_sym_rand] = ACTIONS(2149),
    [anon_sym_rmdir] = ACTIONS(2149),
    [anon_sym_readdir] = ACTIONS(2149),
    [anon_sym_readline] = ACTIONS(2149),
    [anon_sym_readpipe] = ACTIONS(2149),
    [anon_sym_rewinddir] = ACTIONS(2149),
    [anon_sym_readlink] = ACTIONS(2149),
    [anon_sym_ref] = ACTIONS(2149),
    [anon_sym_scalar] = ACTIONS(2149),
    [anon_sym_shift] = ACTIONS(2149),
    [anon_sym_sin] = ACTIONS(2149),
    [anon_sym_sleep] = ACTIONS(2149),
    [anon_sym_sqrt] = ACTIONS(2149),
    [anon_sym_srand] = ACTIONS(2149),
    [anon_sym_stat] = ACTIONS(2149),
    [anon_sym_study] = ACTIONS(2149),
    [anon_sym_tell] = ACTIONS(2149),
    [anon_sym_telldir] = ACTIONS(2149),
    [anon_sym_tied] = ACTIONS(2149),
    [anon_sym_uc] = ACTIONS(2149),
    [anon_sym_ucfirst] = ACTIONS(2149),
    [anon_sym_untie] = ACTIONS(2149),
    [anon_sym_umask] = ACTIONS(2149),
    [anon_sym_values] = ACTIONS(2149),
    [anon_sym_write] = ACTIONS(2149),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2149),
    [anon_sym___END__] = ACTIONS(2149),
    [anon_sym_EOT] = ACTIONS(2149),
    [anon_sym_q] = ACTIONS(2149),
    [anon_sym_qq] = ACTIONS(2149),
    [anon_sym_qw] = ACTIONS(2149),
    [anon_sym_qx] = ACTIONS(2149),
    [anon_sym_qr] = ACTIONS(2149),
    [anon_sym_m] = ACTIONS(2149),
    [anon_sym_s] = ACTIONS(2149),
    [anon_sym_tr] = ACTIONS(2149),
    [anon_sym_y] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_unless] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_until] = ACTIONS(2149),
    [aux_sym__bareword_token1] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [sym__single_quote] = ACTIONS(2147),
    [sym__double_quote] = ACTIONS(2147),
    [sym__backtick_quote] = ACTIONS(2147),
    [sym__search_slash_quote] = ACTIONS(2147),
    [sym__open_readline_bracket] = ACTIONS(2147),
    [sym__open_fileglob_bracket] = ACTIONS(2147),
    [sym__PERLY_HEREDOC] = ACTIONS(2147),
    [sym__ctrl_z_hack] = ACTIONS(2147),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2147),
    [sym__filetest] = ACTIONS(2147),
  },
  [928] = {
    [sym_heredoc_content] = STATE(928),
    [ts_builtin_sym_end] = ACTIONS(2151),
    [sym__identifier] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym_package] = ACTIONS(2153),
    [anon_sym_class] = ACTIONS(2153),
    [anon_sym_role] = ACTIONS(2153),
    [anon_sym_BUILD] = ACTIONS(2153),
    [anon_sym_ADJUST] = ACTIONS(2153),
    [anon_sym_DOLLAR] = ACTIONS(2153),
    [anon_sym_AT] = ACTIONS(2153),
    [anon_sym_my] = ACTIONS(2153),
    [anon_sym_extended] = ACTIONS(2153),
    [anon_sym_async] = ACTIONS(2153),
    [anon_sym_sub] = ACTIONS(2153),
    [anon_sym_method] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2153),
    [anon_sym_continue] = ACTIONS(2153),
    [anon_sym_state] = ACTIONS(2153),
    [anon_sym_our] = ACTIONS(2153),
    [anon_sym_try] = ACTIONS(2153),
    [anon_sym_defer] = ACTIONS(2153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(2153),
    [anon_sym_LT_LT] = ACTIONS(2153),
    [anon_sym_SLASH_SLASH] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_BSLASH] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2153),
    [anon_sym_eval] = ACTIONS(2153),
    [anon_sym_await] = ACTIONS(2153),
    [anon_sym_field] = ACTIONS(2153),
    [anon_sym_local] = ACTIONS(2153),
    [anon_sym_dynamically] = ACTIONS(2153),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2153),
    [anon_sym_require] = ACTIONS(2153),
    [anon_sym_map] = ACTIONS(2153),
    [anon_sym_grep] = ACTIONS(2153),
    [anon_sym_sort] = ACTIONS(2153),
    [anon_sym_goto] = ACTIONS(2153),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_undef] = ACTIONS(2153),
    [anon_sym_PERCENT2] = ACTIONS(2153),
    [anon_sym_AMP2] = ACTIONS(2153),
    [anon_sym_STAR2] = ACTIONS(2153),
    [anon_sym_use] = ACTIONS(2153),
    [anon_sym_no] = ACTIONS(2153),
    [anon_sym_for] = ACTIONS(2153),
    [anon_sym_foreach] = ACTIONS(2153),
    [anon_sym_last] = ACTIONS(2153),
    [anon_sym_next] = ACTIONS(2153),
    [anon_sym_redo] = ACTIONS(2153),
    [anon_sym_BEGIN] = ACTIONS(2153),
    [anon_sym_INIT] = ACTIONS(2153),
    [anon_sym_CHECK] = ACTIONS(2153),
    [anon_sym_UNITCHECK] = ACTIONS(2153),
    [anon_sym_END] = ACTIONS(2153),
    [anon_sym___FILE__] = ACTIONS(2153),
    [anon_sym___LINE__] = ACTIONS(2153),
    [anon_sym___PACKAGE__] = ACTIONS(2153),
    [anon_sym___SUB__] = ACTIONS(2153),
    [anon_sym_break] = ACTIONS(2153),
    [anon_sym_fork] = ACTIONS(2153),
    [anon_sym_getppid] = ACTIONS(2153),
    [anon_sym_time] = ACTIONS(2153),
    [anon_sym_times] = ACTIONS(2153),
    [anon_sym_wait] = ACTIONS(2153),
    [anon_sym_wantarray] = ACTIONS(2153),
    [anon_sym_abs] = ACTIONS(2153),
    [anon_sym_alarm] = ACTIONS(2153),
    [anon_sym_chop] = ACTIONS(2153),
    [anon_sym_chdir] = ACTIONS(2153),
    [anon_sym_close] = ACTIONS(2153),
    [anon_sym_closedir] = ACTIONS(2153),
    [anon_sym_caller] = ACTIONS(2153),
    [anon_sym_chomp] = ACTIONS(2153),
    [anon_sym_chr] = ACTIONS(2153),
    [anon_sym_cos] = ACTIONS(2153),
    [anon_sym_chroot] = ACTIONS(2153),
    [anon_sym_defined] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2153),
    [anon_sym_dbmclose] = ACTIONS(2153),
    [anon_sym_exists] = ACTIONS(2153),
    [anon_sym_exit] = ACTIONS(2153),
    [anon_sym_eof] = ACTIONS(2153),
    [anon_sym_exp] = ACTIONS(2153),
    [anon_sym_each] = ACTIONS(2153),
    [anon_sym_fc] = ACTIONS(2153),
    [anon_sym_fileno] = ACTIONS(2153),
    [anon_sym_gmtime] = ACTIONS(2153),
    [anon_sym_getc] = ACTIONS(2153),
    [anon_sym_getpgrp] = ACTIONS(2153),
    [anon_sym_getprotobyname] = ACTIONS(2153),
    [anon_sym_getpwname] = ACTIONS(2153),
    [anon_sym_getpwuid] = ACTIONS(2153),
    [anon_sym_getpeername] = ACTIONS(2153),
    [anon_sym_getnetbyname] = ACTIONS(2153),
    [anon_sym_getsockname] = ACTIONS(2153),
    [anon_sym_getgrnam] = ACTIONS(2153),
    [anon_sym_getgrgid] = ACTIONS(2153),
    [anon_sym_hex] = ACTIONS(2153),
    [anon_sym_int] = ACTIONS(2153),
    [anon_sym_keys] = ACTIONS(2153),
    [anon_sym_lc] = ACTIONS(2153),
    [anon_sym_lcfirst] = ACTIONS(2153),
    [anon_sym_length] = ACTIONS(2153),
    [anon_sym_localtime] = ACTIONS(2153),
    [anon_sym_log] = ACTIONS(2153),
    [anon_sym_lock] = ACTIONS(2153),
    [anon_sym_lstat] = ACTIONS(2153),
    [anon_sym_oct] = ACTIONS(2153),
    [anon_sym_ord] = ACTIONS(2153),
    [anon_sym_prototype] = ACTIONS(2153),
    [anon_sym_pop] = ACTIONS(2153),
    [anon_sym_pos] = ACTIONS(2153),
    [anon_sym_quotemeta] = ACTIONS(2153),
    [anon_sym_reset] = ACTIONS(2153),
    [anon_sym_rand] = ACTIONS(2153),
    [anon_sym_rmdir] = ACTIONS(2153),
    [anon_sym_readdir] = ACTIONS(2153),
    [anon_sym_readline] = ACTIONS(2153),
    [anon_sym_readpipe] = ACTIONS(2153),
    [anon_sym_rewinddir] = ACTIONS(2153),
    [anon_sym_readlink] = ACTIONS(2153),
    [anon_sym_ref] = ACTIONS(2153),
    [anon_sym_scalar] = ACTIONS(2153),
    [anon_sym_shift] = ACTIONS(2153),
    [anon_sym_sin] = ACTIONS(2153),
    [anon_sym_sleep] = ACTIONS(2153),
    [anon_sym_sqrt] = ACTIONS(2153),
    [anon_sym_srand] = ACTIONS(2153),
    [anon_sym_stat] = ACTIONS(2153),
    [anon_sym_study] = ACTIONS(2153),
    [anon_sym_tell] = ACTIONS(2153),
    [anon_sym_telldir] = ACTIONS(2153),
    [anon_sym_tied] = ACTIONS(2153),
    [anon_sym_uc] = ACTIONS(2153),
    [anon_sym_ucfirst] = ACTIONS(2153),
    [anon_sym_untie] = ACTIONS(2153),
    [anon_sym_umask] = ACTIONS(2153),
    [anon_sym_values] = ACTIONS(2153),
    [anon_sym_write] = ACTIONS(2153),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2153),
    [anon_sym___END__] = ACTIONS(2153),
    [anon_sym_EOT] = ACTIONS(2153),
    [anon_sym_q] = ACTIONS(2153),
    [anon_sym_qq] = ACTIONS(2153),
    [anon_sym_qw] = ACTIONS(2153),
    [anon_sym_qx] = ACTIONS(2153),
    [anon_sym_qr] = ACTIONS(2153),
    [anon_sym_m] = ACTIONS(2153),
    [anon_sym_s] = ACTIONS(2153),
    [anon_sym_tr] = ACTIONS(2153),
    [anon_sym_y] = ACTIONS(2153),
    [anon_sym_if] = ACTIONS(2153),
    [anon_sym_unless] = ACTIONS(2153),
    [anon_sym_while] = ACTIONS(2153),
    [anon_sym_until] = ACTIONS(2153),
    [aux_sym__bareword_token1] = ACTIONS(2153),
    [sym_number] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(2153),
    [anon_sym_false] = ACTIONS(2153),
    [sym__single_quote] = ACTIONS(2151),
    [sym__double_quote] = ACTIONS(2151),
    [sym__backtick_quote] = ACTIONS(2151),
    [sym__search_slash_quote] = ACTIONS(2151),
    [sym__open_readline_bracket] = ACTIONS(2151),
    [sym__open_fileglob_bracket] = ACTIONS(2151),
    [sym__PERLY_HEREDOC] = ACTIONS(2151),
    [sym__ctrl_z_hack] = ACTIONS(2151),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2151),
    [sym__filetest] = ACTIONS(2151),
  },
  [929] = {
    [sym_heredoc_content] = STATE(929),
    [ts_builtin_sym_end] = ACTIONS(1705),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1707),
    [anon_sym___END__] = ACTIONS(1707),
    [anon_sym_EOT] = ACTIONS(1707),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [930] = {
    [sym_heredoc_content] = STATE(930),
    [ts_builtin_sym_end] = ACTIONS(2155),
    [sym__identifier] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym_package] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2157),
    [anon_sym_role] = ACTIONS(2157),
    [anon_sym_BUILD] = ACTIONS(2157),
    [anon_sym_ADJUST] = ACTIONS(2157),
    [anon_sym_DOLLAR] = ACTIONS(2157),
    [anon_sym_AT] = ACTIONS(2157),
    [anon_sym_my] = ACTIONS(2157),
    [anon_sym_extended] = ACTIONS(2157),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_sub] = ACTIONS(2157),
    [anon_sym_method] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2157),
    [anon_sym_state] = ACTIONS(2157),
    [anon_sym_our] = ACTIONS(2157),
    [anon_sym_try] = ACTIONS(2157),
    [anon_sym_defer] = ACTIONS(2157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_SLASH_SLASH] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_BSLASH] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2157),
    [anon_sym_eval] = ACTIONS(2157),
    [anon_sym_await] = ACTIONS(2157),
    [anon_sym_field] = ACTIONS(2157),
    [anon_sym_local] = ACTIONS(2157),
    [anon_sym_dynamically] = ACTIONS(2157),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2157),
    [anon_sym_require] = ACTIONS(2157),
    [anon_sym_map] = ACTIONS(2157),
    [anon_sym_grep] = ACTIONS(2157),
    [anon_sym_sort] = ACTIONS(2157),
    [anon_sym_goto] = ACTIONS(2157),
    [anon_sym_return] = ACTIONS(2157),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_PERCENT2] = ACTIONS(2157),
    [anon_sym_AMP2] = ACTIONS(2157),
    [anon_sym_STAR2] = ACTIONS(2157),
    [anon_sym_use] = ACTIONS(2157),
    [anon_sym_no] = ACTIONS(2157),
    [anon_sym_for] = ACTIONS(2157),
    [anon_sym_foreach] = ACTIONS(2157),
    [anon_sym_last] = ACTIONS(2157),
    [anon_sym_next] = ACTIONS(2157),
    [anon_sym_redo] = ACTIONS(2157),
    [anon_sym_BEGIN] = ACTIONS(2157),
    [anon_sym_INIT] = ACTIONS(2157),
    [anon_sym_CHECK] = ACTIONS(2157),
    [anon_sym_UNITCHECK] = ACTIONS(2157),
    [anon_sym_END] = ACTIONS(2157),
    [anon_sym___FILE__] = ACTIONS(2157),
    [anon_sym___LINE__] = ACTIONS(2157),
    [anon_sym___PACKAGE__] = ACTIONS(2157),
    [anon_sym___SUB__] = ACTIONS(2157),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_fork] = ACTIONS(2157),
    [anon_sym_getppid] = ACTIONS(2157),
    [anon_sym_time] = ACTIONS(2157),
    [anon_sym_times] = ACTIONS(2157),
    [anon_sym_wait] = ACTIONS(2157),
    [anon_sym_wantarray] = ACTIONS(2157),
    [anon_sym_abs] = ACTIONS(2157),
    [anon_sym_alarm] = ACTIONS(2157),
    [anon_sym_chop] = ACTIONS(2157),
    [anon_sym_chdir] = ACTIONS(2157),
    [anon_sym_close] = ACTIONS(2157),
    [anon_sym_closedir] = ACTIONS(2157),
    [anon_sym_caller] = ACTIONS(2157),
    [anon_sym_chomp] = ACTIONS(2157),
    [anon_sym_chr] = ACTIONS(2157),
    [anon_sym_cos] = ACTIONS(2157),
    [anon_sym_chroot] = ACTIONS(2157),
    [anon_sym_defined] = ACTIONS(2157),
    [anon_sym_delete] = ACTIONS(2157),
    [anon_sym_dbmclose] = ACTIONS(2157),
    [anon_sym_exists] = ACTIONS(2157),
    [anon_sym_exit] = ACTIONS(2157),
    [anon_sym_eof] = ACTIONS(2157),
    [anon_sym_exp] = ACTIONS(2157),
    [anon_sym_each] = ACTIONS(2157),
    [anon_sym_fc] = ACTIONS(2157),
    [anon_sym_fileno] = ACTIONS(2157),
    [anon_sym_gmtime] = ACTIONS(2157),
    [anon_sym_getc] = ACTIONS(2157),
    [anon_sym_getpgrp] = ACTIONS(2157),
    [anon_sym_getprotobyname] = ACTIONS(2157),
    [anon_sym_getpwname] = ACTIONS(2157),
    [anon_sym_getpwuid] = ACTIONS(2157),
    [anon_sym_getpeername] = ACTIONS(2157),
    [anon_sym_getnetbyname] = ACTIONS(2157),
    [anon_sym_getsockname] = ACTIONS(2157),
    [anon_sym_getgrnam] = ACTIONS(2157),
    [anon_sym_getgrgid] = ACTIONS(2157),
    [anon_sym_hex] = ACTIONS(2157),
    [anon_sym_int] = ACTIONS(2157),
    [anon_sym_keys] = ACTIONS(2157),
    [anon_sym_lc] = ACTIONS(2157),
    [anon_sym_lcfirst] = ACTIONS(2157),
    [anon_sym_length] = ACTIONS(2157),
    [anon_sym_localtime] = ACTIONS(2157),
    [anon_sym_log] = ACTIONS(2157),
    [anon_sym_lock] = ACTIONS(2157),
    [anon_sym_lstat] = ACTIONS(2157),
    [anon_sym_oct] = ACTIONS(2157),
    [anon_sym_ord] = ACTIONS(2157),
    [anon_sym_prototype] = ACTIONS(2157),
    [anon_sym_pop] = ACTIONS(2157),
    [anon_sym_pos] = ACTIONS(2157),
    [anon_sym_quotemeta] = ACTIONS(2157),
    [anon_sym_reset] = ACTIONS(2157),
    [anon_sym_rand] = ACTIONS(2157),
    [anon_sym_rmdir] = ACTIONS(2157),
    [anon_sym_readdir] = ACTIONS(2157),
    [anon_sym_readline] = ACTIONS(2157),
    [anon_sym_readpipe] = ACTIONS(2157),
    [anon_sym_rewinddir] = ACTIONS(2157),
    [anon_sym_readlink] = ACTIONS(2157),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_scalar] = ACTIONS(2157),
    [anon_sym_shift] = ACTIONS(2157),
    [anon_sym_sin] = ACTIONS(2157),
    [anon_sym_sleep] = ACTIONS(2157),
    [anon_sym_sqrt] = ACTIONS(2157),
    [anon_sym_srand] = ACTIONS(2157),
    [anon_sym_stat] = ACTIONS(2157),
    [anon_sym_study] = ACTIONS(2157),
    [anon_sym_tell] = ACTIONS(2157),
    [anon_sym_telldir] = ACTIONS(2157),
    [anon_sym_tied] = ACTIONS(2157),
    [anon_sym_uc] = ACTIONS(2157),
    [anon_sym_ucfirst] = ACTIONS(2157),
    [anon_sym_untie] = ACTIONS(2157),
    [anon_sym_umask] = ACTIONS(2157),
    [anon_sym_values] = ACTIONS(2157),
    [anon_sym_write] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2157),
    [anon_sym___END__] = ACTIONS(2157),
    [anon_sym_EOT] = ACTIONS(2157),
    [anon_sym_q] = ACTIONS(2157),
    [anon_sym_qq] = ACTIONS(2157),
    [anon_sym_qw] = ACTIONS(2157),
    [anon_sym_qx] = ACTIONS(2157),
    [anon_sym_qr] = ACTIONS(2157),
    [anon_sym_m] = ACTIONS(2157),
    [anon_sym_s] = ACTIONS(2157),
    [anon_sym_tr] = ACTIONS(2157),
    [anon_sym_y] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2157),
    [anon_sym_unless] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2157),
    [anon_sym_until] = ACTIONS(2157),
    [aux_sym__bareword_token1] = ACTIONS(2157),
    [sym_number] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2157),
    [anon_sym_false] = ACTIONS(2157),
    [sym__single_quote] = ACTIONS(2155),
    [sym__double_quote] = ACTIONS(2155),
    [sym__backtick_quote] = ACTIONS(2155),
    [sym__search_slash_quote] = ACTIONS(2155),
    [sym__open_readline_bracket] = ACTIONS(2155),
    [sym__open_fileglob_bracket] = ACTIONS(2155),
    [sym__PERLY_HEREDOC] = ACTIONS(2155),
    [sym__ctrl_z_hack] = ACTIONS(2155),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2155),
    [sym__filetest] = ACTIONS(2155),
  },
  [931] = {
    [sym_heredoc_content] = STATE(931),
    [ts_builtin_sym_end] = ACTIONS(2159),
    [sym__identifier] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym_package] = ACTIONS(2161),
    [anon_sym_class] = ACTIONS(2161),
    [anon_sym_role] = ACTIONS(2161),
    [anon_sym_BUILD] = ACTIONS(2161),
    [anon_sym_ADJUST] = ACTIONS(2161),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(2161),
    [anon_sym_my] = ACTIONS(2161),
    [anon_sym_extended] = ACTIONS(2161),
    [anon_sym_async] = ACTIONS(2161),
    [anon_sym_sub] = ACTIONS(2161),
    [anon_sym_method] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_continue] = ACTIONS(2161),
    [anon_sym_state] = ACTIONS(2161),
    [anon_sym_our] = ACTIONS(2161),
    [anon_sym_try] = ACTIONS(2161),
    [anon_sym_defer] = ACTIONS(2161),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_SLASH_SLASH] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_BSLASH] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2161),
    [anon_sym_eval] = ACTIONS(2161),
    [anon_sym_await] = ACTIONS(2161),
    [anon_sym_field] = ACTIONS(2161),
    [anon_sym_local] = ACTIONS(2161),
    [anon_sym_dynamically] = ACTIONS(2161),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2161),
    [anon_sym_require] = ACTIONS(2161),
    [anon_sym_map] = ACTIONS(2161),
    [anon_sym_grep] = ACTIONS(2161),
    [anon_sym_sort] = ACTIONS(2161),
    [anon_sym_goto] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2161),
    [anon_sym_undef] = ACTIONS(2161),
    [anon_sym_PERCENT2] = ACTIONS(2161),
    [anon_sym_AMP2] = ACTIONS(2161),
    [anon_sym_STAR2] = ACTIONS(2161),
    [anon_sym_use] = ACTIONS(2161),
    [anon_sym_no] = ACTIONS(2161),
    [anon_sym_for] = ACTIONS(2161),
    [anon_sym_foreach] = ACTIONS(2161),
    [anon_sym_last] = ACTIONS(2161),
    [anon_sym_next] = ACTIONS(2161),
    [anon_sym_redo] = ACTIONS(2161),
    [anon_sym_BEGIN] = ACTIONS(2161),
    [anon_sym_INIT] = ACTIONS(2161),
    [anon_sym_CHECK] = ACTIONS(2161),
    [anon_sym_UNITCHECK] = ACTIONS(2161),
    [anon_sym_END] = ACTIONS(2161),
    [anon_sym___FILE__] = ACTIONS(2161),
    [anon_sym___LINE__] = ACTIONS(2161),
    [anon_sym___PACKAGE__] = ACTIONS(2161),
    [anon_sym___SUB__] = ACTIONS(2161),
    [anon_sym_break] = ACTIONS(2161),
    [anon_sym_fork] = ACTIONS(2161),
    [anon_sym_getppid] = ACTIONS(2161),
    [anon_sym_time] = ACTIONS(2161),
    [anon_sym_times] = ACTIONS(2161),
    [anon_sym_wait] = ACTIONS(2161),
    [anon_sym_wantarray] = ACTIONS(2161),
    [anon_sym_abs] = ACTIONS(2161),
    [anon_sym_alarm] = ACTIONS(2161),
    [anon_sym_chop] = ACTIONS(2161),
    [anon_sym_chdir] = ACTIONS(2161),
    [anon_sym_close] = ACTIONS(2161),
    [anon_sym_closedir] = ACTIONS(2161),
    [anon_sym_caller] = ACTIONS(2161),
    [anon_sym_chomp] = ACTIONS(2161),
    [anon_sym_chr] = ACTIONS(2161),
    [anon_sym_cos] = ACTIONS(2161),
    [anon_sym_chroot] = ACTIONS(2161),
    [anon_sym_defined] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2161),
    [anon_sym_dbmclose] = ACTIONS(2161),
    [anon_sym_exists] = ACTIONS(2161),
    [anon_sym_exit] = ACTIONS(2161),
    [anon_sym_eof] = ACTIONS(2161),
    [anon_sym_exp] = ACTIONS(2161),
    [anon_sym_each] = ACTIONS(2161),
    [anon_sym_fc] = ACTIONS(2161),
    [anon_sym_fileno] = ACTIONS(2161),
    [anon_sym_gmtime] = ACTIONS(2161),
    [anon_sym_getc] = ACTIONS(2161),
    [anon_sym_getpgrp] = ACTIONS(2161),
    [anon_sym_getprotobyname] = ACTIONS(2161),
    [anon_sym_getpwname] = ACTIONS(2161),
    [anon_sym_getpwuid] = ACTIONS(2161),
    [anon_sym_getpeername] = ACTIONS(2161),
    [anon_sym_getnetbyname] = ACTIONS(2161),
    [anon_sym_getsockname] = ACTIONS(2161),
    [anon_sym_getgrnam] = ACTIONS(2161),
    [anon_sym_getgrgid] = ACTIONS(2161),
    [anon_sym_hex] = ACTIONS(2161),
    [anon_sym_int] = ACTIONS(2161),
    [anon_sym_keys] = ACTIONS(2161),
    [anon_sym_lc] = ACTIONS(2161),
    [anon_sym_lcfirst] = ACTIONS(2161),
    [anon_sym_length] = ACTIONS(2161),
    [anon_sym_localtime] = ACTIONS(2161),
    [anon_sym_log] = ACTIONS(2161),
    [anon_sym_lock] = ACTIONS(2161),
    [anon_sym_lstat] = ACTIONS(2161),
    [anon_sym_oct] = ACTIONS(2161),
    [anon_sym_ord] = ACTIONS(2161),
    [anon_sym_prototype] = ACTIONS(2161),
    [anon_sym_pop] = ACTIONS(2161),
    [anon_sym_pos] = ACTIONS(2161),
    [anon_sym_quotemeta] = ACTIONS(2161),
    [anon_sym_reset] = ACTIONS(2161),
    [anon_sym_rand] = ACTIONS(2161),
    [anon_sym_rmdir] = ACTIONS(2161),
    [anon_sym_readdir] = ACTIONS(2161),
    [anon_sym_readline] = ACTIONS(2161),
    [anon_sym_readpipe] = ACTIONS(2161),
    [anon_sym_rewinddir] = ACTIONS(2161),
    [anon_sym_readlink] = ACTIONS(2161),
    [anon_sym_ref] = ACTIONS(2161),
    [anon_sym_scalar] = ACTIONS(2161),
    [anon_sym_shift] = ACTIONS(2161),
    [anon_sym_sin] = ACTIONS(2161),
    [anon_sym_sleep] = ACTIONS(2161),
    [anon_sym_sqrt] = ACTIONS(2161),
    [anon_sym_srand] = ACTIONS(2161),
    [anon_sym_stat] = ACTIONS(2161),
    [anon_sym_study] = ACTIONS(2161),
    [anon_sym_tell] = ACTIONS(2161),
    [anon_sym_telldir] = ACTIONS(2161),
    [anon_sym_tied] = ACTIONS(2161),
    [anon_sym_uc] = ACTIONS(2161),
    [anon_sym_ucfirst] = ACTIONS(2161),
    [anon_sym_untie] = ACTIONS(2161),
    [anon_sym_umask] = ACTIONS(2161),
    [anon_sym_values] = ACTIONS(2161),
    [anon_sym_write] = ACTIONS(2161),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2161),
    [anon_sym___END__] = ACTIONS(2161),
    [anon_sym_EOT] = ACTIONS(2161),
    [anon_sym_q] = ACTIONS(2161),
    [anon_sym_qq] = ACTIONS(2161),
    [anon_sym_qw] = ACTIONS(2161),
    [anon_sym_qx] = ACTIONS(2161),
    [anon_sym_qr] = ACTIONS(2161),
    [anon_sym_m] = ACTIONS(2161),
    [anon_sym_s] = ACTIONS(2161),
    [anon_sym_tr] = ACTIONS(2161),
    [anon_sym_y] = ACTIONS(2161),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_unless] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2161),
    [anon_sym_until] = ACTIONS(2161),
    [aux_sym__bareword_token1] = ACTIONS(2161),
    [sym_number] = ACTIONS(2161),
    [anon_sym_true] = ACTIONS(2161),
    [anon_sym_false] = ACTIONS(2161),
    [sym__single_quote] = ACTIONS(2159),
    [sym__double_quote] = ACTIONS(2159),
    [sym__backtick_quote] = ACTIONS(2159),
    [sym__search_slash_quote] = ACTIONS(2159),
    [sym__open_readline_bracket] = ACTIONS(2159),
    [sym__open_fileglob_bracket] = ACTIONS(2159),
    [sym__PERLY_HEREDOC] = ACTIONS(2159),
    [sym__ctrl_z_hack] = ACTIONS(2159),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2159),
    [sym__filetest] = ACTIONS(2159),
  },
  [932] = {
    [sym_heredoc_content] = STATE(932),
    [ts_builtin_sym_end] = ACTIONS(2163),
    [sym__identifier] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_package] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_role] = ACTIONS(2165),
    [anon_sym_BUILD] = ACTIONS(2165),
    [anon_sym_ADJUST] = ACTIONS(2165),
    [anon_sym_DOLLAR] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_my] = ACTIONS(2165),
    [anon_sym_extended] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_sub] = ACTIONS(2165),
    [anon_sym_method] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_state] = ACTIONS(2165),
    [anon_sym_our] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_defer] = ACTIONS(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_SLASH_SLASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_BSLASH] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_eval] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_field] = ACTIONS(2165),
    [anon_sym_local] = ACTIONS(2165),
    [anon_sym_dynamically] = ACTIONS(2165),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2165),
    [anon_sym_require] = ACTIONS(2165),
    [anon_sym_map] = ACTIONS(2165),
    [anon_sym_grep] = ACTIONS(2165),
    [anon_sym_sort] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_undef] = ACTIONS(2165),
    [anon_sym_PERCENT2] = ACTIONS(2165),
    [anon_sym_AMP2] = ACTIONS(2165),
    [anon_sym_STAR2] = ACTIONS(2165),
    [anon_sym_use] = ACTIONS(2165),
    [anon_sym_no] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_foreach] = ACTIONS(2165),
    [anon_sym_last] = ACTIONS(2165),
    [anon_sym_next] = ACTIONS(2165),
    [anon_sym_redo] = ACTIONS(2165),
    [anon_sym_BEGIN] = ACTIONS(2165),
    [anon_sym_INIT] = ACTIONS(2165),
    [anon_sym_CHECK] = ACTIONS(2165),
    [anon_sym_UNITCHECK] = ACTIONS(2165),
    [anon_sym_END] = ACTIONS(2165),
    [anon_sym___FILE__] = ACTIONS(2165),
    [anon_sym___LINE__] = ACTIONS(2165),
    [anon_sym___PACKAGE__] = ACTIONS(2165),
    [anon_sym___SUB__] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_fork] = ACTIONS(2165),
    [anon_sym_getppid] = ACTIONS(2165),
    [anon_sym_time] = ACTIONS(2165),
    [anon_sym_times] = ACTIONS(2165),
    [anon_sym_wait] = ACTIONS(2165),
    [anon_sym_wantarray] = ACTIONS(2165),
    [anon_sym_abs] = ACTIONS(2165),
    [anon_sym_alarm] = ACTIONS(2165),
    [anon_sym_chop] = ACTIONS(2165),
    [anon_sym_chdir] = ACTIONS(2165),
    [anon_sym_close] = ACTIONS(2165),
    [anon_sym_closedir] = ACTIONS(2165),
    [anon_sym_caller] = ACTIONS(2165),
    [anon_sym_chomp] = ACTIONS(2165),
    [anon_sym_chr] = ACTIONS(2165),
    [anon_sym_cos] = ACTIONS(2165),
    [anon_sym_chroot] = ACTIONS(2165),
    [anon_sym_defined] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_dbmclose] = ACTIONS(2165),
    [anon_sym_exists] = ACTIONS(2165),
    [anon_sym_exit] = ACTIONS(2165),
    [anon_sym_eof] = ACTIONS(2165),
    [anon_sym_exp] = ACTIONS(2165),
    [anon_sym_each] = ACTIONS(2165),
    [anon_sym_fc] = ACTIONS(2165),
    [anon_sym_fileno] = ACTIONS(2165),
    [anon_sym_gmtime] = ACTIONS(2165),
    [anon_sym_getc] = ACTIONS(2165),
    [anon_sym_getpgrp] = ACTIONS(2165),
    [anon_sym_getprotobyname] = ACTIONS(2165),
    [anon_sym_getpwname] = ACTIONS(2165),
    [anon_sym_getpwuid] = ACTIONS(2165),
    [anon_sym_getpeername] = ACTIONS(2165),
    [anon_sym_getnetbyname] = ACTIONS(2165),
    [anon_sym_getsockname] = ACTIONS(2165),
    [anon_sym_getgrnam] = ACTIONS(2165),
    [anon_sym_getgrgid] = ACTIONS(2165),
    [anon_sym_hex] = ACTIONS(2165),
    [anon_sym_int] = ACTIONS(2165),
    [anon_sym_keys] = ACTIONS(2165),
    [anon_sym_lc] = ACTIONS(2165),
    [anon_sym_lcfirst] = ACTIONS(2165),
    [anon_sym_length] = ACTIONS(2165),
    [anon_sym_localtime] = ACTIONS(2165),
    [anon_sym_log] = ACTIONS(2165),
    [anon_sym_lock] = ACTIONS(2165),
    [anon_sym_lstat] = ACTIONS(2165),
    [anon_sym_oct] = ACTIONS(2165),
    [anon_sym_ord] = ACTIONS(2165),
    [anon_sym_prototype] = ACTIONS(2165),
    [anon_sym_pop] = ACTIONS(2165),
    [anon_sym_pos] = ACTIONS(2165),
    [anon_sym_quotemeta] = ACTIONS(2165),
    [anon_sym_reset] = ACTIONS(2165),
    [anon_sym_rand] = ACTIONS(2165),
    [anon_sym_rmdir] = ACTIONS(2165),
    [anon_sym_readdir] = ACTIONS(2165),
    [anon_sym_readline] = ACTIONS(2165),
    [anon_sym_readpipe] = ACTIONS(2165),
    [anon_sym_rewinddir] = ACTIONS(2165),
    [anon_sym_readlink] = ACTIONS(2165),
    [anon_sym_ref] = ACTIONS(2165),
    [anon_sym_scalar] = ACTIONS(2165),
    [anon_sym_shift] = ACTIONS(2165),
    [anon_sym_sin] = ACTIONS(2165),
    [anon_sym_sleep] = ACTIONS(2165),
    [anon_sym_sqrt] = ACTIONS(2165),
    [anon_sym_srand] = ACTIONS(2165),
    [anon_sym_stat] = ACTIONS(2165),
    [anon_sym_study] = ACTIONS(2165),
    [anon_sym_tell] = ACTIONS(2165),
    [anon_sym_telldir] = ACTIONS(2165),
    [anon_sym_tied] = ACTIONS(2165),
    [anon_sym_uc] = ACTIONS(2165),
    [anon_sym_ucfirst] = ACTIONS(2165),
    [anon_sym_untie] = ACTIONS(2165),
    [anon_sym_umask] = ACTIONS(2165),
    [anon_sym_values] = ACTIONS(2165),
    [anon_sym_write] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2165),
    [anon_sym___END__] = ACTIONS(2165),
    [anon_sym_EOT] = ACTIONS(2165),
    [anon_sym_q] = ACTIONS(2165),
    [anon_sym_qq] = ACTIONS(2165),
    [anon_sym_qw] = ACTIONS(2165),
    [anon_sym_qx] = ACTIONS(2165),
    [anon_sym_qr] = ACTIONS(2165),
    [anon_sym_m] = ACTIONS(2165),
    [anon_sym_s] = ACTIONS(2165),
    [anon_sym_tr] = ACTIONS(2165),
    [anon_sym_y] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_unless] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_until] = ACTIONS(2165),
    [aux_sym__bareword_token1] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [anon_sym_true] = ACTIONS(2165),
    [anon_sym_false] = ACTIONS(2165),
    [sym__single_quote] = ACTIONS(2163),
    [sym__double_quote] = ACTIONS(2163),
    [sym__backtick_quote] = ACTIONS(2163),
    [sym__search_slash_quote] = ACTIONS(2163),
    [sym__open_readline_bracket] = ACTIONS(2163),
    [sym__open_fileglob_bracket] = ACTIONS(2163),
    [sym__PERLY_HEREDOC] = ACTIONS(2163),
    [sym__ctrl_z_hack] = ACTIONS(2163),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2163),
    [sym__filetest] = ACTIONS(2163),
  },
  [933] = {
    [sym_heredoc_content] = STATE(933),
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym__identifier] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_package] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_role] = ACTIONS(2169),
    [anon_sym_BUILD] = ACTIONS(2169),
    [anon_sym_ADJUST] = ACTIONS(2169),
    [anon_sym_DOLLAR] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_my] = ACTIONS(2169),
    [anon_sym_extended] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_sub] = ACTIONS(2169),
    [anon_sym_method] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_state] = ACTIONS(2169),
    [anon_sym_our] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_defer] = ACTIONS(2169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_SLASH_SLASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_BSLASH] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_eval] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_field] = ACTIONS(2169),
    [anon_sym_local] = ACTIONS(2169),
    [anon_sym_dynamically] = ACTIONS(2169),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2169),
    [anon_sym_require] = ACTIONS(2169),
    [anon_sym_map] = ACTIONS(2169),
    [anon_sym_grep] = ACTIONS(2169),
    [anon_sym_sort] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_undef] = ACTIONS(2169),
    [anon_sym_PERCENT2] = ACTIONS(2169),
    [anon_sym_AMP2] = ACTIONS(2169),
    [anon_sym_STAR2] = ACTIONS(2169),
    [anon_sym_use] = ACTIONS(2169),
    [anon_sym_no] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_foreach] = ACTIONS(2169),
    [anon_sym_last] = ACTIONS(2169),
    [anon_sym_next] = ACTIONS(2169),
    [anon_sym_redo] = ACTIONS(2169),
    [anon_sym_BEGIN] = ACTIONS(2169),
    [anon_sym_INIT] = ACTIONS(2169),
    [anon_sym_CHECK] = ACTIONS(2169),
    [anon_sym_UNITCHECK] = ACTIONS(2169),
    [anon_sym_END] = ACTIONS(2169),
    [anon_sym___FILE__] = ACTIONS(2169),
    [anon_sym___LINE__] = ACTIONS(2169),
    [anon_sym___PACKAGE__] = ACTIONS(2169),
    [anon_sym___SUB__] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_fork] = ACTIONS(2169),
    [anon_sym_getppid] = ACTIONS(2169),
    [anon_sym_time] = ACTIONS(2169),
    [anon_sym_times] = ACTIONS(2169),
    [anon_sym_wait] = ACTIONS(2169),
    [anon_sym_wantarray] = ACTIONS(2169),
    [anon_sym_abs] = ACTIONS(2169),
    [anon_sym_alarm] = ACTIONS(2169),
    [anon_sym_chop] = ACTIONS(2169),
    [anon_sym_chdir] = ACTIONS(2169),
    [anon_sym_close] = ACTIONS(2169),
    [anon_sym_closedir] = ACTIONS(2169),
    [anon_sym_caller] = ACTIONS(2169),
    [anon_sym_chomp] = ACTIONS(2169),
    [anon_sym_chr] = ACTIONS(2169),
    [anon_sym_cos] = ACTIONS(2169),
    [anon_sym_chroot] = ACTIONS(2169),
    [anon_sym_defined] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_dbmclose] = ACTIONS(2169),
    [anon_sym_exists] = ACTIONS(2169),
    [anon_sym_exit] = ACTIONS(2169),
    [anon_sym_eof] = ACTIONS(2169),
    [anon_sym_exp] = ACTIONS(2169),
    [anon_sym_each] = ACTIONS(2169),
    [anon_sym_fc] = ACTIONS(2169),
    [anon_sym_fileno] = ACTIONS(2169),
    [anon_sym_gmtime] = ACTIONS(2169),
    [anon_sym_getc] = ACTIONS(2169),
    [anon_sym_getpgrp] = ACTIONS(2169),
    [anon_sym_getprotobyname] = ACTIONS(2169),
    [anon_sym_getpwname] = ACTIONS(2169),
    [anon_sym_getpwuid] = ACTIONS(2169),
    [anon_sym_getpeername] = ACTIONS(2169),
    [anon_sym_getnetbyname] = ACTIONS(2169),
    [anon_sym_getsockname] = ACTIONS(2169),
    [anon_sym_getgrnam] = ACTIONS(2169),
    [anon_sym_getgrgid] = ACTIONS(2169),
    [anon_sym_hex] = ACTIONS(2169),
    [anon_sym_int] = ACTIONS(2169),
    [anon_sym_keys] = ACTIONS(2169),
    [anon_sym_lc] = ACTIONS(2169),
    [anon_sym_lcfirst] = ACTIONS(2169),
    [anon_sym_length] = ACTIONS(2169),
    [anon_sym_localtime] = ACTIONS(2169),
    [anon_sym_log] = ACTIONS(2169),
    [anon_sym_lock] = ACTIONS(2169),
    [anon_sym_lstat] = ACTIONS(2169),
    [anon_sym_oct] = ACTIONS(2169),
    [anon_sym_ord] = ACTIONS(2169),
    [anon_sym_prototype] = ACTIONS(2169),
    [anon_sym_pop] = ACTIONS(2169),
    [anon_sym_pos] = ACTIONS(2169),
    [anon_sym_quotemeta] = ACTIONS(2169),
    [anon_sym_reset] = ACTIONS(2169),
    [anon_sym_rand] = ACTIONS(2169),
    [anon_sym_rmdir] = ACTIONS(2169),
    [anon_sym_readdir] = ACTIONS(2169),
    [anon_sym_readline] = ACTIONS(2169),
    [anon_sym_readpipe] = ACTIONS(2169),
    [anon_sym_rewinddir] = ACTIONS(2169),
    [anon_sym_readlink] = ACTIONS(2169),
    [anon_sym_ref] = ACTIONS(2169),
    [anon_sym_scalar] = ACTIONS(2169),
    [anon_sym_shift] = ACTIONS(2169),
    [anon_sym_sin] = ACTIONS(2169),
    [anon_sym_sleep] = ACTIONS(2169),
    [anon_sym_sqrt] = ACTIONS(2169),
    [anon_sym_srand] = ACTIONS(2169),
    [anon_sym_stat] = ACTIONS(2169),
    [anon_sym_study] = ACTIONS(2169),
    [anon_sym_tell] = ACTIONS(2169),
    [anon_sym_telldir] = ACTIONS(2169),
    [anon_sym_tied] = ACTIONS(2169),
    [anon_sym_uc] = ACTIONS(2169),
    [anon_sym_ucfirst] = ACTIONS(2169),
    [anon_sym_untie] = ACTIONS(2169),
    [anon_sym_umask] = ACTIONS(2169),
    [anon_sym_values] = ACTIONS(2169),
    [anon_sym_write] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2169),
    [anon_sym___END__] = ACTIONS(2169),
    [anon_sym_EOT] = ACTIONS(2169),
    [anon_sym_q] = ACTIONS(2169),
    [anon_sym_qq] = ACTIONS(2169),
    [anon_sym_qw] = ACTIONS(2169),
    [anon_sym_qx] = ACTIONS(2169),
    [anon_sym_qr] = ACTIONS(2169),
    [anon_sym_m] = ACTIONS(2169),
    [anon_sym_s] = ACTIONS(2169),
    [anon_sym_tr] = ACTIONS(2169),
    [anon_sym_y] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_unless] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_until] = ACTIONS(2169),
    [aux_sym__bareword_token1] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [anon_sym_true] = ACTIONS(2169),
    [anon_sym_false] = ACTIONS(2169),
    [sym__single_quote] = ACTIONS(2167),
    [sym__double_quote] = ACTIONS(2167),
    [sym__backtick_quote] = ACTIONS(2167),
    [sym__search_slash_quote] = ACTIONS(2167),
    [sym__open_readline_bracket] = ACTIONS(2167),
    [sym__open_fileglob_bracket] = ACTIONS(2167),
    [sym__PERLY_HEREDOC] = ACTIONS(2167),
    [sym__ctrl_z_hack] = ACTIONS(2167),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2167),
    [sym__filetest] = ACTIONS(2167),
  },
  [934] = {
    [sym_heredoc_content] = STATE(934),
    [ts_builtin_sym_end] = ACTIONS(2171),
    [sym__identifier] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_package] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_role] = ACTIONS(2173),
    [anon_sym_BUILD] = ACTIONS(2173),
    [anon_sym_ADJUST] = ACTIONS(2173),
    [anon_sym_DOLLAR] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_my] = ACTIONS(2173),
    [anon_sym_extended] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_sub] = ACTIONS(2173),
    [anon_sym_method] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_state] = ACTIONS(2173),
    [anon_sym_our] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_defer] = ACTIONS(2173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_SLASH_SLASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [anon_sym_BSLASH] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_eval] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_field] = ACTIONS(2173),
    [anon_sym_local] = ACTIONS(2173),
    [anon_sym_dynamically] = ACTIONS(2173),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2173),
    [anon_sym_require] = ACTIONS(2173),
    [anon_sym_map] = ACTIONS(2173),
    [anon_sym_grep] = ACTIONS(2173),
    [anon_sym_sort] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_undef] = ACTIONS(2173),
    [anon_sym_PERCENT2] = ACTIONS(2173),
    [anon_sym_AMP2] = ACTIONS(2173),
    [anon_sym_STAR2] = ACTIONS(2173),
    [anon_sym_use] = ACTIONS(2173),
    [anon_sym_no] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_foreach] = ACTIONS(2173),
    [anon_sym_last] = ACTIONS(2173),
    [anon_sym_next] = ACTIONS(2173),
    [anon_sym_redo] = ACTIONS(2173),
    [anon_sym_BEGIN] = ACTIONS(2173),
    [anon_sym_INIT] = ACTIONS(2173),
    [anon_sym_CHECK] = ACTIONS(2173),
    [anon_sym_UNITCHECK] = ACTIONS(2173),
    [anon_sym_END] = ACTIONS(2173),
    [anon_sym___FILE__] = ACTIONS(2173),
    [anon_sym___LINE__] = ACTIONS(2173),
    [anon_sym___PACKAGE__] = ACTIONS(2173),
    [anon_sym___SUB__] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_fork] = ACTIONS(2173),
    [anon_sym_getppid] = ACTIONS(2173),
    [anon_sym_time] = ACTIONS(2173),
    [anon_sym_times] = ACTIONS(2173),
    [anon_sym_wait] = ACTIONS(2173),
    [anon_sym_wantarray] = ACTIONS(2173),
    [anon_sym_abs] = ACTIONS(2173),
    [anon_sym_alarm] = ACTIONS(2173),
    [anon_sym_chop] = ACTIONS(2173),
    [anon_sym_chdir] = ACTIONS(2173),
    [anon_sym_close] = ACTIONS(2173),
    [anon_sym_closedir] = ACTIONS(2173),
    [anon_sym_caller] = ACTIONS(2173),
    [anon_sym_chomp] = ACTIONS(2173),
    [anon_sym_chr] = ACTIONS(2173),
    [anon_sym_cos] = ACTIONS(2173),
    [anon_sym_chroot] = ACTIONS(2173),
    [anon_sym_defined] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_dbmclose] = ACTIONS(2173),
    [anon_sym_exists] = ACTIONS(2173),
    [anon_sym_exit] = ACTIONS(2173),
    [anon_sym_eof] = ACTIONS(2173),
    [anon_sym_exp] = ACTIONS(2173),
    [anon_sym_each] = ACTIONS(2173),
    [anon_sym_fc] = ACTIONS(2173),
    [anon_sym_fileno] = ACTIONS(2173),
    [anon_sym_gmtime] = ACTIONS(2173),
    [anon_sym_getc] = ACTIONS(2173),
    [anon_sym_getpgrp] = ACTIONS(2173),
    [anon_sym_getprotobyname] = ACTIONS(2173),
    [anon_sym_getpwname] = ACTIONS(2173),
    [anon_sym_getpwuid] = ACTIONS(2173),
    [anon_sym_getpeername] = ACTIONS(2173),
    [anon_sym_getnetbyname] = ACTIONS(2173),
    [anon_sym_getsockname] = ACTIONS(2173),
    [anon_sym_getgrnam] = ACTIONS(2173),
    [anon_sym_getgrgid] = ACTIONS(2173),
    [anon_sym_hex] = ACTIONS(2173),
    [anon_sym_int] = ACTIONS(2173),
    [anon_sym_keys] = ACTIONS(2173),
    [anon_sym_lc] = ACTIONS(2173),
    [anon_sym_lcfirst] = ACTIONS(2173),
    [anon_sym_length] = ACTIONS(2173),
    [anon_sym_localtime] = ACTIONS(2173),
    [anon_sym_log] = ACTIONS(2173),
    [anon_sym_lock] = ACTIONS(2173),
    [anon_sym_lstat] = ACTIONS(2173),
    [anon_sym_oct] = ACTIONS(2173),
    [anon_sym_ord] = ACTIONS(2173),
    [anon_sym_prototype] = ACTIONS(2173),
    [anon_sym_pop] = ACTIONS(2173),
    [anon_sym_pos] = ACTIONS(2173),
    [anon_sym_quotemeta] = ACTIONS(2173),
    [anon_sym_reset] = ACTIONS(2173),
    [anon_sym_rand] = ACTIONS(2173),
    [anon_sym_rmdir] = ACTIONS(2173),
    [anon_sym_readdir] = ACTIONS(2173),
    [anon_sym_readline] = ACTIONS(2173),
    [anon_sym_readpipe] = ACTIONS(2173),
    [anon_sym_rewinddir] = ACTIONS(2173),
    [anon_sym_readlink] = ACTIONS(2173),
    [anon_sym_ref] = ACTIONS(2173),
    [anon_sym_scalar] = ACTIONS(2173),
    [anon_sym_shift] = ACTIONS(2173),
    [anon_sym_sin] = ACTIONS(2173),
    [anon_sym_sleep] = ACTIONS(2173),
    [anon_sym_sqrt] = ACTIONS(2173),
    [anon_sym_srand] = ACTIONS(2173),
    [anon_sym_stat] = ACTIONS(2173),
    [anon_sym_study] = ACTIONS(2173),
    [anon_sym_tell] = ACTIONS(2173),
    [anon_sym_telldir] = ACTIONS(2173),
    [anon_sym_tied] = ACTIONS(2173),
    [anon_sym_uc] = ACTIONS(2173),
    [anon_sym_ucfirst] = ACTIONS(2173),
    [anon_sym_untie] = ACTIONS(2173),
    [anon_sym_umask] = ACTIONS(2173),
    [anon_sym_values] = ACTIONS(2173),
    [anon_sym_write] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2173),
    [anon_sym___END__] = ACTIONS(2173),
    [anon_sym_EOT] = ACTIONS(2173),
    [anon_sym_q] = ACTIONS(2173),
    [anon_sym_qq] = ACTIONS(2173),
    [anon_sym_qw] = ACTIONS(2173),
    [anon_sym_qx] = ACTIONS(2173),
    [anon_sym_qr] = ACTIONS(2173),
    [anon_sym_m] = ACTIONS(2173),
    [anon_sym_s] = ACTIONS(2173),
    [anon_sym_tr] = ACTIONS(2173),
    [anon_sym_y] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_unless] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_until] = ACTIONS(2173),
    [aux_sym__bareword_token1] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [anon_sym_true] = ACTIONS(2173),
    [anon_sym_false] = ACTIONS(2173),
    [sym__single_quote] = ACTIONS(2171),
    [sym__double_quote] = ACTIONS(2171),
    [sym__backtick_quote] = ACTIONS(2171),
    [sym__search_slash_quote] = ACTIONS(2171),
    [sym__open_readline_bracket] = ACTIONS(2171),
    [sym__open_fileglob_bracket] = ACTIONS(2171),
    [sym__PERLY_HEREDOC] = ACTIONS(2171),
    [sym__ctrl_z_hack] = ACTIONS(2171),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2171),
    [sym__filetest] = ACTIONS(2171),
  },
  [935] = {
    [sym_heredoc_content] = STATE(935),
    [ts_builtin_sym_end] = ACTIONS(2175),
    [sym__identifier] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_package] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_role] = ACTIONS(2177),
    [anon_sym_BUILD] = ACTIONS(2177),
    [anon_sym_ADJUST] = ACTIONS(2177),
    [anon_sym_DOLLAR] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_my] = ACTIONS(2177),
    [anon_sym_extended] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_sub] = ACTIONS(2177),
    [anon_sym_method] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_state] = ACTIONS(2177),
    [anon_sym_our] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_defer] = ACTIONS(2177),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_SLASH_SLASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_BSLASH] = ACTIONS(2175),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_eval] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_field] = ACTIONS(2177),
    [anon_sym_local] = ACTIONS(2177),
    [anon_sym_dynamically] = ACTIONS(2177),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2177),
    [anon_sym_require] = ACTIONS(2177),
    [anon_sym_map] = ACTIONS(2177),
    [anon_sym_grep] = ACTIONS(2177),
    [anon_sym_sort] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_undef] = ACTIONS(2177),
    [anon_sym_PERCENT2] = ACTIONS(2177),
    [anon_sym_AMP2] = ACTIONS(2177),
    [anon_sym_STAR2] = ACTIONS(2177),
    [anon_sym_use] = ACTIONS(2177),
    [anon_sym_no] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_foreach] = ACTIONS(2177),
    [anon_sym_last] = ACTIONS(2177),
    [anon_sym_next] = ACTIONS(2177),
    [anon_sym_redo] = ACTIONS(2177),
    [anon_sym_BEGIN] = ACTIONS(2177),
    [anon_sym_INIT] = ACTIONS(2177),
    [anon_sym_CHECK] = ACTIONS(2177),
    [anon_sym_UNITCHECK] = ACTIONS(2177),
    [anon_sym_END] = ACTIONS(2177),
    [anon_sym___FILE__] = ACTIONS(2177),
    [anon_sym___LINE__] = ACTIONS(2177),
    [anon_sym___PACKAGE__] = ACTIONS(2177),
    [anon_sym___SUB__] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_fork] = ACTIONS(2177),
    [anon_sym_getppid] = ACTIONS(2177),
    [anon_sym_time] = ACTIONS(2177),
    [anon_sym_times] = ACTIONS(2177),
    [anon_sym_wait] = ACTIONS(2177),
    [anon_sym_wantarray] = ACTIONS(2177),
    [anon_sym_abs] = ACTIONS(2177),
    [anon_sym_alarm] = ACTIONS(2177),
    [anon_sym_chop] = ACTIONS(2177),
    [anon_sym_chdir] = ACTIONS(2177),
    [anon_sym_close] = ACTIONS(2177),
    [anon_sym_closedir] = ACTIONS(2177),
    [anon_sym_caller] = ACTIONS(2177),
    [anon_sym_chomp] = ACTIONS(2177),
    [anon_sym_chr] = ACTIONS(2177),
    [anon_sym_cos] = ACTIONS(2177),
    [anon_sym_chroot] = ACTIONS(2177),
    [anon_sym_defined] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_dbmclose] = ACTIONS(2177),
    [anon_sym_exists] = ACTIONS(2177),
    [anon_sym_exit] = ACTIONS(2177),
    [anon_sym_eof] = ACTIONS(2177),
    [anon_sym_exp] = ACTIONS(2177),
    [anon_sym_each] = ACTIONS(2177),
    [anon_sym_fc] = ACTIONS(2177),
    [anon_sym_fileno] = ACTIONS(2177),
    [anon_sym_gmtime] = ACTIONS(2177),
    [anon_sym_getc] = ACTIONS(2177),
    [anon_sym_getpgrp] = ACTIONS(2177),
    [anon_sym_getprotobyname] = ACTIONS(2177),
    [anon_sym_getpwname] = ACTIONS(2177),
    [anon_sym_getpwuid] = ACTIONS(2177),
    [anon_sym_getpeername] = ACTIONS(2177),
    [anon_sym_getnetbyname] = ACTIONS(2177),
    [anon_sym_getsockname] = ACTIONS(2177),
    [anon_sym_getgrnam] = ACTIONS(2177),
    [anon_sym_getgrgid] = ACTIONS(2177),
    [anon_sym_hex] = ACTIONS(2177),
    [anon_sym_int] = ACTIONS(2177),
    [anon_sym_keys] = ACTIONS(2177),
    [anon_sym_lc] = ACTIONS(2177),
    [anon_sym_lcfirst] = ACTIONS(2177),
    [anon_sym_length] = ACTIONS(2177),
    [anon_sym_localtime] = ACTIONS(2177),
    [anon_sym_log] = ACTIONS(2177),
    [anon_sym_lock] = ACTIONS(2177),
    [anon_sym_lstat] = ACTIONS(2177),
    [anon_sym_oct] = ACTIONS(2177),
    [anon_sym_ord] = ACTIONS(2177),
    [anon_sym_prototype] = ACTIONS(2177),
    [anon_sym_pop] = ACTIONS(2177),
    [anon_sym_pos] = ACTIONS(2177),
    [anon_sym_quotemeta] = ACTIONS(2177),
    [anon_sym_reset] = ACTIONS(2177),
    [anon_sym_rand] = ACTIONS(2177),
    [anon_sym_rmdir] = ACTIONS(2177),
    [anon_sym_readdir] = ACTIONS(2177),
    [anon_sym_readline] = ACTIONS(2177),
    [anon_sym_readpipe] = ACTIONS(2177),
    [anon_sym_rewinddir] = ACTIONS(2177),
    [anon_sym_readlink] = ACTIONS(2177),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_scalar] = ACTIONS(2177),
    [anon_sym_shift] = ACTIONS(2177),
    [anon_sym_sin] = ACTIONS(2177),
    [anon_sym_sleep] = ACTIONS(2177),
    [anon_sym_sqrt] = ACTIONS(2177),
    [anon_sym_srand] = ACTIONS(2177),
    [anon_sym_stat] = ACTIONS(2177),
    [anon_sym_study] = ACTIONS(2177),
    [anon_sym_tell] = ACTIONS(2177),
    [anon_sym_telldir] = ACTIONS(2177),
    [anon_sym_tied] = ACTIONS(2177),
    [anon_sym_uc] = ACTIONS(2177),
    [anon_sym_ucfirst] = ACTIONS(2177),
    [anon_sym_untie] = ACTIONS(2177),
    [anon_sym_umask] = ACTIONS(2177),
    [anon_sym_values] = ACTIONS(2177),
    [anon_sym_write] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2177),
    [anon_sym___END__] = ACTIONS(2177),
    [anon_sym_EOT] = ACTIONS(2177),
    [anon_sym_q] = ACTIONS(2177),
    [anon_sym_qq] = ACTIONS(2177),
    [anon_sym_qw] = ACTIONS(2177),
    [anon_sym_qx] = ACTIONS(2177),
    [anon_sym_qr] = ACTIONS(2177),
    [anon_sym_m] = ACTIONS(2177),
    [anon_sym_s] = ACTIONS(2177),
    [anon_sym_tr] = ACTIONS(2177),
    [anon_sym_y] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_unless] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_until] = ACTIONS(2177),
    [aux_sym__bareword_token1] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [anon_sym_true] = ACTIONS(2177),
    [anon_sym_false] = ACTIONS(2177),
    [sym__single_quote] = ACTIONS(2175),
    [sym__double_quote] = ACTIONS(2175),
    [sym__backtick_quote] = ACTIONS(2175),
    [sym__search_slash_quote] = ACTIONS(2175),
    [sym__open_readline_bracket] = ACTIONS(2175),
    [sym__open_fileglob_bracket] = ACTIONS(2175),
    [sym__PERLY_HEREDOC] = ACTIONS(2175),
    [sym__ctrl_z_hack] = ACTIONS(2175),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2175),
    [sym__filetest] = ACTIONS(2175),
  },
  [936] = {
    [sym_heredoc_content] = STATE(936),
    [ts_builtin_sym_end] = ACTIONS(2179),
    [sym__identifier] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_package] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_role] = ACTIONS(2181),
    [anon_sym_BUILD] = ACTIONS(2181),
    [anon_sym_ADJUST] = ACTIONS(2181),
    [anon_sym_DOLLAR] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_my] = ACTIONS(2181),
    [anon_sym_extended] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_sub] = ACTIONS(2181),
    [anon_sym_method] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_state] = ACTIONS(2181),
    [anon_sym_our] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_defer] = ACTIONS(2181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_SLASH_SLASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_BSLASH] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_eval] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_field] = ACTIONS(2181),
    [anon_sym_local] = ACTIONS(2181),
    [anon_sym_dynamically] = ACTIONS(2181),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2181),
    [anon_sym_require] = ACTIONS(2181),
    [anon_sym_map] = ACTIONS(2181),
    [anon_sym_grep] = ACTIONS(2181),
    [anon_sym_sort] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2181),
    [anon_sym_PERCENT2] = ACTIONS(2181),
    [anon_sym_AMP2] = ACTIONS(2181),
    [anon_sym_STAR2] = ACTIONS(2181),
    [anon_sym_use] = ACTIONS(2181),
    [anon_sym_no] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_foreach] = ACTIONS(2181),
    [anon_sym_last] = ACTIONS(2181),
    [anon_sym_next] = ACTIONS(2181),
    [anon_sym_redo] = ACTIONS(2181),
    [anon_sym_BEGIN] = ACTIONS(2181),
    [anon_sym_INIT] = ACTIONS(2181),
    [anon_sym_CHECK] = ACTIONS(2181),
    [anon_sym_UNITCHECK] = ACTIONS(2181),
    [anon_sym_END] = ACTIONS(2181),
    [anon_sym___FILE__] = ACTIONS(2181),
    [anon_sym___LINE__] = ACTIONS(2181),
    [anon_sym___PACKAGE__] = ACTIONS(2181),
    [anon_sym___SUB__] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_fork] = ACTIONS(2181),
    [anon_sym_getppid] = ACTIONS(2181),
    [anon_sym_time] = ACTIONS(2181),
    [anon_sym_times] = ACTIONS(2181),
    [anon_sym_wait] = ACTIONS(2181),
    [anon_sym_wantarray] = ACTIONS(2181),
    [anon_sym_abs] = ACTIONS(2181),
    [anon_sym_alarm] = ACTIONS(2181),
    [anon_sym_chop] = ACTIONS(2181),
    [anon_sym_chdir] = ACTIONS(2181),
    [anon_sym_close] = ACTIONS(2181),
    [anon_sym_closedir] = ACTIONS(2181),
    [anon_sym_caller] = ACTIONS(2181),
    [anon_sym_chomp] = ACTIONS(2181),
    [anon_sym_chr] = ACTIONS(2181),
    [anon_sym_cos] = ACTIONS(2181),
    [anon_sym_chroot] = ACTIONS(2181),
    [anon_sym_defined] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_dbmclose] = ACTIONS(2181),
    [anon_sym_exists] = ACTIONS(2181),
    [anon_sym_exit] = ACTIONS(2181),
    [anon_sym_eof] = ACTIONS(2181),
    [anon_sym_exp] = ACTIONS(2181),
    [anon_sym_each] = ACTIONS(2181),
    [anon_sym_fc] = ACTIONS(2181),
    [anon_sym_fileno] = ACTIONS(2181),
    [anon_sym_gmtime] = ACTIONS(2181),
    [anon_sym_getc] = ACTIONS(2181),
    [anon_sym_getpgrp] = ACTIONS(2181),
    [anon_sym_getprotobyname] = ACTIONS(2181),
    [anon_sym_getpwname] = ACTIONS(2181),
    [anon_sym_getpwuid] = ACTIONS(2181),
    [anon_sym_getpeername] = ACTIONS(2181),
    [anon_sym_getnetbyname] = ACTIONS(2181),
    [anon_sym_getsockname] = ACTIONS(2181),
    [anon_sym_getgrnam] = ACTIONS(2181),
    [anon_sym_getgrgid] = ACTIONS(2181),
    [anon_sym_hex] = ACTIONS(2181),
    [anon_sym_int] = ACTIONS(2181),
    [anon_sym_keys] = ACTIONS(2181),
    [anon_sym_lc] = ACTIONS(2181),
    [anon_sym_lcfirst] = ACTIONS(2181),
    [anon_sym_length] = ACTIONS(2181),
    [anon_sym_localtime] = ACTIONS(2181),
    [anon_sym_log] = ACTIONS(2181),
    [anon_sym_lock] = ACTIONS(2181),
    [anon_sym_lstat] = ACTIONS(2181),
    [anon_sym_oct] = ACTIONS(2181),
    [anon_sym_ord] = ACTIONS(2181),
    [anon_sym_prototype] = ACTIONS(2181),
    [anon_sym_pop] = ACTIONS(2181),
    [anon_sym_pos] = ACTIONS(2181),
    [anon_sym_quotemeta] = ACTIONS(2181),
    [anon_sym_reset] = ACTIONS(2181),
    [anon_sym_rand] = ACTIONS(2181),
    [anon_sym_rmdir] = ACTIONS(2181),
    [anon_sym_readdir] = ACTIONS(2181),
    [anon_sym_readline] = ACTIONS(2181),
    [anon_sym_readpipe] = ACTIONS(2181),
    [anon_sym_rewinddir] = ACTIONS(2181),
    [anon_sym_readlink] = ACTIONS(2181),
    [anon_sym_ref] = ACTIONS(2181),
    [anon_sym_scalar] = ACTIONS(2181),
    [anon_sym_shift] = ACTIONS(2181),
    [anon_sym_sin] = ACTIONS(2181),
    [anon_sym_sleep] = ACTIONS(2181),
    [anon_sym_sqrt] = ACTIONS(2181),
    [anon_sym_srand] = ACTIONS(2181),
    [anon_sym_stat] = ACTIONS(2181),
    [anon_sym_study] = ACTIONS(2181),
    [anon_sym_tell] = ACTIONS(2181),
    [anon_sym_telldir] = ACTIONS(2181),
    [anon_sym_tied] = ACTIONS(2181),
    [anon_sym_uc] = ACTIONS(2181),
    [anon_sym_ucfirst] = ACTIONS(2181),
    [anon_sym_untie] = ACTIONS(2181),
    [anon_sym_umask] = ACTIONS(2181),
    [anon_sym_values] = ACTIONS(2181),
    [anon_sym_write] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2181),
    [anon_sym___END__] = ACTIONS(2181),
    [anon_sym_EOT] = ACTIONS(2181),
    [anon_sym_q] = ACTIONS(2181),
    [anon_sym_qq] = ACTIONS(2181),
    [anon_sym_qw] = ACTIONS(2181),
    [anon_sym_qx] = ACTIONS(2181),
    [anon_sym_qr] = ACTIONS(2181),
    [anon_sym_m] = ACTIONS(2181),
    [anon_sym_s] = ACTIONS(2181),
    [anon_sym_tr] = ACTIONS(2181),
    [anon_sym_y] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_unless] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_until] = ACTIONS(2181),
    [aux_sym__bareword_token1] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(2181),
    [anon_sym_false] = ACTIONS(2181),
    [sym__single_quote] = ACTIONS(2179),
    [sym__double_quote] = ACTIONS(2179),
    [sym__backtick_quote] = ACTIONS(2179),
    [sym__search_slash_quote] = ACTIONS(2179),
    [sym__open_readline_bracket] = ACTIONS(2179),
    [sym__open_fileglob_bracket] = ACTIONS(2179),
    [sym__PERLY_HEREDOC] = ACTIONS(2179),
    [sym__ctrl_z_hack] = ACTIONS(2179),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2179),
    [sym__filetest] = ACTIONS(2179),
  },
  [937] = {
    [sym_heredoc_content] = STATE(937),
    [ts_builtin_sym_end] = ACTIONS(2183),
    [sym__identifier] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_package] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_role] = ACTIONS(2185),
    [anon_sym_BUILD] = ACTIONS(2185),
    [anon_sym_ADJUST] = ACTIONS(2185),
    [anon_sym_DOLLAR] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_my] = ACTIONS(2185),
    [anon_sym_extended] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_sub] = ACTIONS(2185),
    [anon_sym_method] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_state] = ACTIONS(2185),
    [anon_sym_our] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_defer] = ACTIONS(2185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LT_LT] = ACTIONS(2185),
    [anon_sym_SLASH_SLASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_eval] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_field] = ACTIONS(2185),
    [anon_sym_local] = ACTIONS(2185),
    [anon_sym_dynamically] = ACTIONS(2185),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2185),
    [anon_sym_require] = ACTIONS(2185),
    [anon_sym_map] = ACTIONS(2185),
    [anon_sym_grep] = ACTIONS(2185),
    [anon_sym_sort] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_undef] = ACTIONS(2185),
    [anon_sym_PERCENT2] = ACTIONS(2185),
    [anon_sym_AMP2] = ACTIONS(2185),
    [anon_sym_STAR2] = ACTIONS(2185),
    [anon_sym_use] = ACTIONS(2185),
    [anon_sym_no] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_foreach] = ACTIONS(2185),
    [anon_sym_last] = ACTIONS(2185),
    [anon_sym_next] = ACTIONS(2185),
    [anon_sym_redo] = ACTIONS(2185),
    [anon_sym_BEGIN] = ACTIONS(2185),
    [anon_sym_INIT] = ACTIONS(2185),
    [anon_sym_CHECK] = ACTIONS(2185),
    [anon_sym_UNITCHECK] = ACTIONS(2185),
    [anon_sym_END] = ACTIONS(2185),
    [anon_sym___FILE__] = ACTIONS(2185),
    [anon_sym___LINE__] = ACTIONS(2185),
    [anon_sym___PACKAGE__] = ACTIONS(2185),
    [anon_sym___SUB__] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_fork] = ACTIONS(2185),
    [anon_sym_getppid] = ACTIONS(2185),
    [anon_sym_time] = ACTIONS(2185),
    [anon_sym_times] = ACTIONS(2185),
    [anon_sym_wait] = ACTIONS(2185),
    [anon_sym_wantarray] = ACTIONS(2185),
    [anon_sym_abs] = ACTIONS(2185),
    [anon_sym_alarm] = ACTIONS(2185),
    [anon_sym_chop] = ACTIONS(2185),
    [anon_sym_chdir] = ACTIONS(2185),
    [anon_sym_close] = ACTIONS(2185),
    [anon_sym_closedir] = ACTIONS(2185),
    [anon_sym_caller] = ACTIONS(2185),
    [anon_sym_chomp] = ACTIONS(2185),
    [anon_sym_chr] = ACTIONS(2185),
    [anon_sym_cos] = ACTIONS(2185),
    [anon_sym_chroot] = ACTIONS(2185),
    [anon_sym_defined] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_dbmclose] = ACTIONS(2185),
    [anon_sym_exists] = ACTIONS(2185),
    [anon_sym_exit] = ACTIONS(2185),
    [anon_sym_eof] = ACTIONS(2185),
    [anon_sym_exp] = ACTIONS(2185),
    [anon_sym_each] = ACTIONS(2185),
    [anon_sym_fc] = ACTIONS(2185),
    [anon_sym_fileno] = ACTIONS(2185),
    [anon_sym_gmtime] = ACTIONS(2185),
    [anon_sym_getc] = ACTIONS(2185),
    [anon_sym_getpgrp] = ACTIONS(2185),
    [anon_sym_getprotobyname] = ACTIONS(2185),
    [anon_sym_getpwname] = ACTIONS(2185),
    [anon_sym_getpwuid] = ACTIONS(2185),
    [anon_sym_getpeername] = ACTIONS(2185),
    [anon_sym_getnetbyname] = ACTIONS(2185),
    [anon_sym_getsockname] = ACTIONS(2185),
    [anon_sym_getgrnam] = ACTIONS(2185),
    [anon_sym_getgrgid] = ACTIONS(2185),
    [anon_sym_hex] = ACTIONS(2185),
    [anon_sym_int] = ACTIONS(2185),
    [anon_sym_keys] = ACTIONS(2185),
    [anon_sym_lc] = ACTIONS(2185),
    [anon_sym_lcfirst] = ACTIONS(2185),
    [anon_sym_length] = ACTIONS(2185),
    [anon_sym_localtime] = ACTIONS(2185),
    [anon_sym_log] = ACTIONS(2185),
    [anon_sym_lock] = ACTIONS(2185),
    [anon_sym_lstat] = ACTIONS(2185),
    [anon_sym_oct] = ACTIONS(2185),
    [anon_sym_ord] = ACTIONS(2185),
    [anon_sym_prototype] = ACTIONS(2185),
    [anon_sym_pop] = ACTIONS(2185),
    [anon_sym_pos] = ACTIONS(2185),
    [anon_sym_quotemeta] = ACTIONS(2185),
    [anon_sym_reset] = ACTIONS(2185),
    [anon_sym_rand] = ACTIONS(2185),
    [anon_sym_rmdir] = ACTIONS(2185),
    [anon_sym_readdir] = ACTIONS(2185),
    [anon_sym_readline] = ACTIONS(2185),
    [anon_sym_readpipe] = ACTIONS(2185),
    [anon_sym_rewinddir] = ACTIONS(2185),
    [anon_sym_readlink] = ACTIONS(2185),
    [anon_sym_ref] = ACTIONS(2185),
    [anon_sym_scalar] = ACTIONS(2185),
    [anon_sym_shift] = ACTIONS(2185),
    [anon_sym_sin] = ACTIONS(2185),
    [anon_sym_sleep] = ACTIONS(2185),
    [anon_sym_sqrt] = ACTIONS(2185),
    [anon_sym_srand] = ACTIONS(2185),
    [anon_sym_stat] = ACTIONS(2185),
    [anon_sym_study] = ACTIONS(2185),
    [anon_sym_tell] = ACTIONS(2185),
    [anon_sym_telldir] = ACTIONS(2185),
    [anon_sym_tied] = ACTIONS(2185),
    [anon_sym_uc] = ACTIONS(2185),
    [anon_sym_ucfirst] = ACTIONS(2185),
    [anon_sym_untie] = ACTIONS(2185),
    [anon_sym_umask] = ACTIONS(2185),
    [anon_sym_values] = ACTIONS(2185),
    [anon_sym_write] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2185),
    [anon_sym___END__] = ACTIONS(2185),
    [anon_sym_EOT] = ACTIONS(2185),
    [anon_sym_q] = ACTIONS(2185),
    [anon_sym_qq] = ACTIONS(2185),
    [anon_sym_qw] = ACTIONS(2185),
    [anon_sym_qx] = ACTIONS(2185),
    [anon_sym_qr] = ACTIONS(2185),
    [anon_sym_m] = ACTIONS(2185),
    [anon_sym_s] = ACTIONS(2185),
    [anon_sym_tr] = ACTIONS(2185),
    [anon_sym_y] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_unless] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_until] = ACTIONS(2185),
    [aux_sym__bareword_token1] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [sym__single_quote] = ACTIONS(2183),
    [sym__double_quote] = ACTIONS(2183),
    [sym__backtick_quote] = ACTIONS(2183),
    [sym__search_slash_quote] = ACTIONS(2183),
    [sym__open_readline_bracket] = ACTIONS(2183),
    [sym__open_fileglob_bracket] = ACTIONS(2183),
    [sym__PERLY_HEREDOC] = ACTIONS(2183),
    [sym__ctrl_z_hack] = ACTIONS(2183),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2183),
    [sym__filetest] = ACTIONS(2183),
  },
  [938] = {
    [sym_heredoc_content] = STATE(938),
    [ts_builtin_sym_end] = ACTIONS(2187),
    [sym__identifier] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_package] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_role] = ACTIONS(2189),
    [anon_sym_BUILD] = ACTIONS(2189),
    [anon_sym_ADJUST] = ACTIONS(2189),
    [anon_sym_DOLLAR] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_my] = ACTIONS(2189),
    [anon_sym_extended] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_sub] = ACTIONS(2189),
    [anon_sym_method] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_state] = ACTIONS(2189),
    [anon_sym_our] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_defer] = ACTIONS(2189),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_SLASH_SLASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [anon_sym_BSLASH] = ACTIONS(2187),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_eval] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_field] = ACTIONS(2189),
    [anon_sym_local] = ACTIONS(2189),
    [anon_sym_dynamically] = ACTIONS(2189),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2189),
    [anon_sym_require] = ACTIONS(2189),
    [anon_sym_map] = ACTIONS(2189),
    [anon_sym_grep] = ACTIONS(2189),
    [anon_sym_sort] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_undef] = ACTIONS(2189),
    [anon_sym_PERCENT2] = ACTIONS(2189),
    [anon_sym_AMP2] = ACTIONS(2189),
    [anon_sym_STAR2] = ACTIONS(2189),
    [anon_sym_use] = ACTIONS(2189),
    [anon_sym_no] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_foreach] = ACTIONS(2189),
    [anon_sym_last] = ACTIONS(2189),
    [anon_sym_next] = ACTIONS(2189),
    [anon_sym_redo] = ACTIONS(2189),
    [anon_sym_BEGIN] = ACTIONS(2189),
    [anon_sym_INIT] = ACTIONS(2189),
    [anon_sym_CHECK] = ACTIONS(2189),
    [anon_sym_UNITCHECK] = ACTIONS(2189),
    [anon_sym_END] = ACTIONS(2189),
    [anon_sym___FILE__] = ACTIONS(2189),
    [anon_sym___LINE__] = ACTIONS(2189),
    [anon_sym___PACKAGE__] = ACTIONS(2189),
    [anon_sym___SUB__] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_fork] = ACTIONS(2189),
    [anon_sym_getppid] = ACTIONS(2189),
    [anon_sym_time] = ACTIONS(2189),
    [anon_sym_times] = ACTIONS(2189),
    [anon_sym_wait] = ACTIONS(2189),
    [anon_sym_wantarray] = ACTIONS(2189),
    [anon_sym_abs] = ACTIONS(2189),
    [anon_sym_alarm] = ACTIONS(2189),
    [anon_sym_chop] = ACTIONS(2189),
    [anon_sym_chdir] = ACTIONS(2189),
    [anon_sym_close] = ACTIONS(2189),
    [anon_sym_closedir] = ACTIONS(2189),
    [anon_sym_caller] = ACTIONS(2189),
    [anon_sym_chomp] = ACTIONS(2189),
    [anon_sym_chr] = ACTIONS(2189),
    [anon_sym_cos] = ACTIONS(2189),
    [anon_sym_chroot] = ACTIONS(2189),
    [anon_sym_defined] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_dbmclose] = ACTIONS(2189),
    [anon_sym_exists] = ACTIONS(2189),
    [anon_sym_exit] = ACTIONS(2189),
    [anon_sym_eof] = ACTIONS(2189),
    [anon_sym_exp] = ACTIONS(2189),
    [anon_sym_each] = ACTIONS(2189),
    [anon_sym_fc] = ACTIONS(2189),
    [anon_sym_fileno] = ACTIONS(2189),
    [anon_sym_gmtime] = ACTIONS(2189),
    [anon_sym_getc] = ACTIONS(2189),
    [anon_sym_getpgrp] = ACTIONS(2189),
    [anon_sym_getprotobyname] = ACTIONS(2189),
    [anon_sym_getpwname] = ACTIONS(2189),
    [anon_sym_getpwuid] = ACTIONS(2189),
    [anon_sym_getpeername] = ACTIONS(2189),
    [anon_sym_getnetbyname] = ACTIONS(2189),
    [anon_sym_getsockname] = ACTIONS(2189),
    [anon_sym_getgrnam] = ACTIONS(2189),
    [anon_sym_getgrgid] = ACTIONS(2189),
    [anon_sym_hex] = ACTIONS(2189),
    [anon_sym_int] = ACTIONS(2189),
    [anon_sym_keys] = ACTIONS(2189),
    [anon_sym_lc] = ACTIONS(2189),
    [anon_sym_lcfirst] = ACTIONS(2189),
    [anon_sym_length] = ACTIONS(2189),
    [anon_sym_localtime] = ACTIONS(2189),
    [anon_sym_log] = ACTIONS(2189),
    [anon_sym_lock] = ACTIONS(2189),
    [anon_sym_lstat] = ACTIONS(2189),
    [anon_sym_oct] = ACTIONS(2189),
    [anon_sym_ord] = ACTIONS(2189),
    [anon_sym_prototype] = ACTIONS(2189),
    [anon_sym_pop] = ACTIONS(2189),
    [anon_sym_pos] = ACTIONS(2189),
    [anon_sym_quotemeta] = ACTIONS(2189),
    [anon_sym_reset] = ACTIONS(2189),
    [anon_sym_rand] = ACTIONS(2189),
    [anon_sym_rmdir] = ACTIONS(2189),
    [anon_sym_readdir] = ACTIONS(2189),
    [anon_sym_readline] = ACTIONS(2189),
    [anon_sym_readpipe] = ACTIONS(2189),
    [anon_sym_rewinddir] = ACTIONS(2189),
    [anon_sym_readlink] = ACTIONS(2189),
    [anon_sym_ref] = ACTIONS(2189),
    [anon_sym_scalar] = ACTIONS(2189),
    [anon_sym_shift] = ACTIONS(2189),
    [anon_sym_sin] = ACTIONS(2189),
    [anon_sym_sleep] = ACTIONS(2189),
    [anon_sym_sqrt] = ACTIONS(2189),
    [anon_sym_srand] = ACTIONS(2189),
    [anon_sym_stat] = ACTIONS(2189),
    [anon_sym_study] = ACTIONS(2189),
    [anon_sym_tell] = ACTIONS(2189),
    [anon_sym_telldir] = ACTIONS(2189),
    [anon_sym_tied] = ACTIONS(2189),
    [anon_sym_uc] = ACTIONS(2189),
    [anon_sym_ucfirst] = ACTIONS(2189),
    [anon_sym_untie] = ACTIONS(2189),
    [anon_sym_umask] = ACTIONS(2189),
    [anon_sym_values] = ACTIONS(2189),
    [anon_sym_write] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2189),
    [anon_sym___END__] = ACTIONS(2189),
    [anon_sym_EOT] = ACTIONS(2189),
    [anon_sym_q] = ACTIONS(2189),
    [anon_sym_qq] = ACTIONS(2189),
    [anon_sym_qw] = ACTIONS(2189),
    [anon_sym_qx] = ACTIONS(2189),
    [anon_sym_qr] = ACTIONS(2189),
    [anon_sym_m] = ACTIONS(2189),
    [anon_sym_s] = ACTIONS(2189),
    [anon_sym_tr] = ACTIONS(2189),
    [anon_sym_y] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_unless] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_until] = ACTIONS(2189),
    [aux_sym__bareword_token1] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [anon_sym_true] = ACTIONS(2189),
    [anon_sym_false] = ACTIONS(2189),
    [sym__single_quote] = ACTIONS(2187),
    [sym__double_quote] = ACTIONS(2187),
    [sym__backtick_quote] = ACTIONS(2187),
    [sym__search_slash_quote] = ACTIONS(2187),
    [sym__open_readline_bracket] = ACTIONS(2187),
    [sym__open_fileglob_bracket] = ACTIONS(2187),
    [sym__PERLY_HEREDOC] = ACTIONS(2187),
    [sym__ctrl_z_hack] = ACTIONS(2187),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2187),
    [sym__filetest] = ACTIONS(2187),
  },
  [939] = {
    [sym_heredoc_content] = STATE(939),
    [ts_builtin_sym_end] = ACTIONS(2191),
    [sym__identifier] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_package] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_role] = ACTIONS(2193),
    [anon_sym_BUILD] = ACTIONS(2193),
    [anon_sym_ADJUST] = ACTIONS(2193),
    [anon_sym_DOLLAR] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_my] = ACTIONS(2193),
    [anon_sym_extended] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_sub] = ACTIONS(2193),
    [anon_sym_method] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_state] = ACTIONS(2193),
    [anon_sym_our] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_defer] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LT_LT] = ACTIONS(2193),
    [anon_sym_SLASH_SLASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_BSLASH] = ACTIONS(2191),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_eval] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_field] = ACTIONS(2193),
    [anon_sym_local] = ACTIONS(2193),
    [anon_sym_dynamically] = ACTIONS(2193),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2193),
    [anon_sym_require] = ACTIONS(2193),
    [anon_sym_map] = ACTIONS(2193),
    [anon_sym_grep] = ACTIONS(2193),
    [anon_sym_sort] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_undef] = ACTIONS(2193),
    [anon_sym_PERCENT2] = ACTIONS(2193),
    [anon_sym_AMP2] = ACTIONS(2193),
    [anon_sym_STAR2] = ACTIONS(2193),
    [anon_sym_use] = ACTIONS(2193),
    [anon_sym_no] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_foreach] = ACTIONS(2193),
    [anon_sym_last] = ACTIONS(2193),
    [anon_sym_next] = ACTIONS(2193),
    [anon_sym_redo] = ACTIONS(2193),
    [anon_sym_BEGIN] = ACTIONS(2193),
    [anon_sym_INIT] = ACTIONS(2193),
    [anon_sym_CHECK] = ACTIONS(2193),
    [anon_sym_UNITCHECK] = ACTIONS(2193),
    [anon_sym_END] = ACTIONS(2193),
    [anon_sym___FILE__] = ACTIONS(2193),
    [anon_sym___LINE__] = ACTIONS(2193),
    [anon_sym___PACKAGE__] = ACTIONS(2193),
    [anon_sym___SUB__] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_fork] = ACTIONS(2193),
    [anon_sym_getppid] = ACTIONS(2193),
    [anon_sym_time] = ACTIONS(2193),
    [anon_sym_times] = ACTIONS(2193),
    [anon_sym_wait] = ACTIONS(2193),
    [anon_sym_wantarray] = ACTIONS(2193),
    [anon_sym_abs] = ACTIONS(2193),
    [anon_sym_alarm] = ACTIONS(2193),
    [anon_sym_chop] = ACTIONS(2193),
    [anon_sym_chdir] = ACTIONS(2193),
    [anon_sym_close] = ACTIONS(2193),
    [anon_sym_closedir] = ACTIONS(2193),
    [anon_sym_caller] = ACTIONS(2193),
    [anon_sym_chomp] = ACTIONS(2193),
    [anon_sym_chr] = ACTIONS(2193),
    [anon_sym_cos] = ACTIONS(2193),
    [anon_sym_chroot] = ACTIONS(2193),
    [anon_sym_defined] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_dbmclose] = ACTIONS(2193),
    [anon_sym_exists] = ACTIONS(2193),
    [anon_sym_exit] = ACTIONS(2193),
    [anon_sym_eof] = ACTIONS(2193),
    [anon_sym_exp] = ACTIONS(2193),
    [anon_sym_each] = ACTIONS(2193),
    [anon_sym_fc] = ACTIONS(2193),
    [anon_sym_fileno] = ACTIONS(2193),
    [anon_sym_gmtime] = ACTIONS(2193),
    [anon_sym_getc] = ACTIONS(2193),
    [anon_sym_getpgrp] = ACTIONS(2193),
    [anon_sym_getprotobyname] = ACTIONS(2193),
    [anon_sym_getpwname] = ACTIONS(2193),
    [anon_sym_getpwuid] = ACTIONS(2193),
    [anon_sym_getpeername] = ACTIONS(2193),
    [anon_sym_getnetbyname] = ACTIONS(2193),
    [anon_sym_getsockname] = ACTIONS(2193),
    [anon_sym_getgrnam] = ACTIONS(2193),
    [anon_sym_getgrgid] = ACTIONS(2193),
    [anon_sym_hex] = ACTIONS(2193),
    [anon_sym_int] = ACTIONS(2193),
    [anon_sym_keys] = ACTIONS(2193),
    [anon_sym_lc] = ACTIONS(2193),
    [anon_sym_lcfirst] = ACTIONS(2193),
    [anon_sym_length] = ACTIONS(2193),
    [anon_sym_localtime] = ACTIONS(2193),
    [anon_sym_log] = ACTIONS(2193),
    [anon_sym_lock] = ACTIONS(2193),
    [anon_sym_lstat] = ACTIONS(2193),
    [anon_sym_oct] = ACTIONS(2193),
    [anon_sym_ord] = ACTIONS(2193),
    [anon_sym_prototype] = ACTIONS(2193),
    [anon_sym_pop] = ACTIONS(2193),
    [anon_sym_pos] = ACTIONS(2193),
    [anon_sym_quotemeta] = ACTIONS(2193),
    [anon_sym_reset] = ACTIONS(2193),
    [anon_sym_rand] = ACTIONS(2193),
    [anon_sym_rmdir] = ACTIONS(2193),
    [anon_sym_readdir] = ACTIONS(2193),
    [anon_sym_readline] = ACTIONS(2193),
    [anon_sym_readpipe] = ACTIONS(2193),
    [anon_sym_rewinddir] = ACTIONS(2193),
    [anon_sym_readlink] = ACTIONS(2193),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_scalar] = ACTIONS(2193),
    [anon_sym_shift] = ACTIONS(2193),
    [anon_sym_sin] = ACTIONS(2193),
    [anon_sym_sleep] = ACTIONS(2193),
    [anon_sym_sqrt] = ACTIONS(2193),
    [anon_sym_srand] = ACTIONS(2193),
    [anon_sym_stat] = ACTIONS(2193),
    [anon_sym_study] = ACTIONS(2193),
    [anon_sym_tell] = ACTIONS(2193),
    [anon_sym_telldir] = ACTIONS(2193),
    [anon_sym_tied] = ACTIONS(2193),
    [anon_sym_uc] = ACTIONS(2193),
    [anon_sym_ucfirst] = ACTIONS(2193),
    [anon_sym_untie] = ACTIONS(2193),
    [anon_sym_umask] = ACTIONS(2193),
    [anon_sym_values] = ACTIONS(2193),
    [anon_sym_write] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2193),
    [anon_sym___END__] = ACTIONS(2193),
    [anon_sym_EOT] = ACTIONS(2193),
    [anon_sym_q] = ACTIONS(2193),
    [anon_sym_qq] = ACTIONS(2193),
    [anon_sym_qw] = ACTIONS(2193),
    [anon_sym_qx] = ACTIONS(2193),
    [anon_sym_qr] = ACTIONS(2193),
    [anon_sym_m] = ACTIONS(2193),
    [anon_sym_s] = ACTIONS(2193),
    [anon_sym_tr] = ACTIONS(2193),
    [anon_sym_y] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_unless] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_until] = ACTIONS(2193),
    [aux_sym__bareword_token1] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [anon_sym_true] = ACTIONS(2193),
    [anon_sym_false] = ACTIONS(2193),
    [sym__single_quote] = ACTIONS(2191),
    [sym__double_quote] = ACTIONS(2191),
    [sym__backtick_quote] = ACTIONS(2191),
    [sym__search_slash_quote] = ACTIONS(2191),
    [sym__open_readline_bracket] = ACTIONS(2191),
    [sym__open_fileglob_bracket] = ACTIONS(2191),
    [sym__PERLY_HEREDOC] = ACTIONS(2191),
    [sym__ctrl_z_hack] = ACTIONS(2191),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2191),
    [sym__filetest] = ACTIONS(2191),
  },
  [940] = {
    [sym_heredoc_content] = STATE(940),
    [ts_builtin_sym_end] = ACTIONS(2195),
    [sym__identifier] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_package] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_role] = ACTIONS(2197),
    [anon_sym_BUILD] = ACTIONS(2197),
    [anon_sym_ADJUST] = ACTIONS(2197),
    [anon_sym_DOLLAR] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_my] = ACTIONS(2197),
    [anon_sym_extended] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_sub] = ACTIONS(2197),
    [anon_sym_method] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_state] = ACTIONS(2197),
    [anon_sym_our] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_defer] = ACTIONS(2197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [anon_sym_BSLASH] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_eval] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_field] = ACTIONS(2197),
    [anon_sym_local] = ACTIONS(2197),
    [anon_sym_dynamically] = ACTIONS(2197),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2197),
    [anon_sym_require] = ACTIONS(2197),
    [anon_sym_map] = ACTIONS(2197),
    [anon_sym_grep] = ACTIONS(2197),
    [anon_sym_sort] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_undef] = ACTIONS(2197),
    [anon_sym_PERCENT2] = ACTIONS(2197),
    [anon_sym_AMP2] = ACTIONS(2197),
    [anon_sym_STAR2] = ACTIONS(2197),
    [anon_sym_use] = ACTIONS(2197),
    [anon_sym_no] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_foreach] = ACTIONS(2197),
    [anon_sym_last] = ACTIONS(2197),
    [anon_sym_next] = ACTIONS(2197),
    [anon_sym_redo] = ACTIONS(2197),
    [anon_sym_BEGIN] = ACTIONS(2197),
    [anon_sym_INIT] = ACTIONS(2197),
    [anon_sym_CHECK] = ACTIONS(2197),
    [anon_sym_UNITCHECK] = ACTIONS(2197),
    [anon_sym_END] = ACTIONS(2197),
    [anon_sym___FILE__] = ACTIONS(2197),
    [anon_sym___LINE__] = ACTIONS(2197),
    [anon_sym___PACKAGE__] = ACTIONS(2197),
    [anon_sym___SUB__] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_fork] = ACTIONS(2197),
    [anon_sym_getppid] = ACTIONS(2197),
    [anon_sym_time] = ACTIONS(2197),
    [anon_sym_times] = ACTIONS(2197),
    [anon_sym_wait] = ACTIONS(2197),
    [anon_sym_wantarray] = ACTIONS(2197),
    [anon_sym_abs] = ACTIONS(2197),
    [anon_sym_alarm] = ACTIONS(2197),
    [anon_sym_chop] = ACTIONS(2197),
    [anon_sym_chdir] = ACTIONS(2197),
    [anon_sym_close] = ACTIONS(2197),
    [anon_sym_closedir] = ACTIONS(2197),
    [anon_sym_caller] = ACTIONS(2197),
    [anon_sym_chomp] = ACTIONS(2197),
    [anon_sym_chr] = ACTIONS(2197),
    [anon_sym_cos] = ACTIONS(2197),
    [anon_sym_chroot] = ACTIONS(2197),
    [anon_sym_defined] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_dbmclose] = ACTIONS(2197),
    [anon_sym_exists] = ACTIONS(2197),
    [anon_sym_exit] = ACTIONS(2197),
    [anon_sym_eof] = ACTIONS(2197),
    [anon_sym_exp] = ACTIONS(2197),
    [anon_sym_each] = ACTIONS(2197),
    [anon_sym_fc] = ACTIONS(2197),
    [anon_sym_fileno] = ACTIONS(2197),
    [anon_sym_gmtime] = ACTIONS(2197),
    [anon_sym_getc] = ACTIONS(2197),
    [anon_sym_getpgrp] = ACTIONS(2197),
    [anon_sym_getprotobyname] = ACTIONS(2197),
    [anon_sym_getpwname] = ACTIONS(2197),
    [anon_sym_getpwuid] = ACTIONS(2197),
    [anon_sym_getpeername] = ACTIONS(2197),
    [anon_sym_getnetbyname] = ACTIONS(2197),
    [anon_sym_getsockname] = ACTIONS(2197),
    [anon_sym_getgrnam] = ACTIONS(2197),
    [anon_sym_getgrgid] = ACTIONS(2197),
    [anon_sym_hex] = ACTIONS(2197),
    [anon_sym_int] = ACTIONS(2197),
    [anon_sym_keys] = ACTIONS(2197),
    [anon_sym_lc] = ACTIONS(2197),
    [anon_sym_lcfirst] = ACTIONS(2197),
    [anon_sym_length] = ACTIONS(2197),
    [anon_sym_localtime] = ACTIONS(2197),
    [anon_sym_log] = ACTIONS(2197),
    [anon_sym_lock] = ACTIONS(2197),
    [anon_sym_lstat] = ACTIONS(2197),
    [anon_sym_oct] = ACTIONS(2197),
    [anon_sym_ord] = ACTIONS(2197),
    [anon_sym_prototype] = ACTIONS(2197),
    [anon_sym_pop] = ACTIONS(2197),
    [anon_sym_pos] = ACTIONS(2197),
    [anon_sym_quotemeta] = ACTIONS(2197),
    [anon_sym_reset] = ACTIONS(2197),
    [anon_sym_rand] = ACTIONS(2197),
    [anon_sym_rmdir] = ACTIONS(2197),
    [anon_sym_readdir] = ACTIONS(2197),
    [anon_sym_readline] = ACTIONS(2197),
    [anon_sym_readpipe] = ACTIONS(2197),
    [anon_sym_rewinddir] = ACTIONS(2197),
    [anon_sym_readlink] = ACTIONS(2197),
    [anon_sym_ref] = ACTIONS(2197),
    [anon_sym_scalar] = ACTIONS(2197),
    [anon_sym_shift] = ACTIONS(2197),
    [anon_sym_sin] = ACTIONS(2197),
    [anon_sym_sleep] = ACTIONS(2197),
    [anon_sym_sqrt] = ACTIONS(2197),
    [anon_sym_srand] = ACTIONS(2197),
    [anon_sym_stat] = ACTIONS(2197),
    [anon_sym_study] = ACTIONS(2197),
    [anon_sym_tell] = ACTIONS(2197),
    [anon_sym_telldir] = ACTIONS(2197),
    [anon_sym_tied] = ACTIONS(2197),
    [anon_sym_uc] = ACTIONS(2197),
    [anon_sym_ucfirst] = ACTIONS(2197),
    [anon_sym_untie] = ACTIONS(2197),
    [anon_sym_umask] = ACTIONS(2197),
    [anon_sym_values] = ACTIONS(2197),
    [anon_sym_write] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2197),
    [anon_sym___END__] = ACTIONS(2197),
    [anon_sym_EOT] = ACTIONS(2197),
    [anon_sym_q] = ACTIONS(2197),
    [anon_sym_qq] = ACTIONS(2197),
    [anon_sym_qw] = ACTIONS(2197),
    [anon_sym_qx] = ACTIONS(2197),
    [anon_sym_qr] = ACTIONS(2197),
    [anon_sym_m] = ACTIONS(2197),
    [anon_sym_s] = ACTIONS(2197),
    [anon_sym_tr] = ACTIONS(2197),
    [anon_sym_y] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_unless] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_until] = ACTIONS(2197),
    [aux_sym__bareword_token1] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [sym__single_quote] = ACTIONS(2195),
    [sym__double_quote] = ACTIONS(2195),
    [sym__backtick_quote] = ACTIONS(2195),
    [sym__search_slash_quote] = ACTIONS(2195),
    [sym__open_readline_bracket] = ACTIONS(2195),
    [sym__open_fileglob_bracket] = ACTIONS(2195),
    [sym__PERLY_HEREDOC] = ACTIONS(2195),
    [sym__ctrl_z_hack] = ACTIONS(2195),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2195),
    [sym__filetest] = ACTIONS(2195),
  },
  [941] = {
    [sym_heredoc_content] = STATE(941),
    [ts_builtin_sym_end] = ACTIONS(1847),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_package] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_role] = ACTIONS(1845),
    [anon_sym_BUILD] = ACTIONS(1845),
    [anon_sym_ADJUST] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_defer] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_use] = ACTIONS(1845),
    [anon_sym_no] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym_BEGIN] = ACTIONS(1845),
    [anon_sym_INIT] = ACTIONS(1845),
    [anon_sym_CHECK] = ACTIONS(1845),
    [anon_sym_UNITCHECK] = ACTIONS(1845),
    [anon_sym_END] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(1845),
    [anon_sym___END__] = ACTIONS(1845),
    [anon_sym_EOT] = ACTIONS(1845),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym__ctrl_z_hack] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [942] = {
    [sym_heredoc_content] = STATE(942),
    [ts_builtin_sym_end] = ACTIONS(2199),
    [sym__identifier] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2201),
    [anon_sym_package] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_role] = ACTIONS(2201),
    [anon_sym_BUILD] = ACTIONS(2201),
    [anon_sym_ADJUST] = ACTIONS(2201),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2201),
    [anon_sym_my] = ACTIONS(2201),
    [anon_sym_extended] = ACTIONS(2201),
    [anon_sym_async] = ACTIONS(2201),
    [anon_sym_sub] = ACTIONS(2201),
    [anon_sym_method] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_state] = ACTIONS(2201),
    [anon_sym_our] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_defer] = ACTIONS(2201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_LT_LT] = ACTIONS(2201),
    [anon_sym_SLASH_SLASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_TILDE] = ACTIONS(2201),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_PLUS_PLUS] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2201),
    [anon_sym_BSLASH] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_eval] = ACTIONS(2201),
    [anon_sym_await] = ACTIONS(2201),
    [anon_sym_field] = ACTIONS(2201),
    [anon_sym_local] = ACTIONS(2201),
    [anon_sym_dynamically] = ACTIONS(2201),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2201),
    [anon_sym_require] = ACTIONS(2201),
    [anon_sym_map] = ACTIONS(2201),
    [anon_sym_grep] = ACTIONS(2201),
    [anon_sym_sort] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_undef] = ACTIONS(2201),
    [anon_sym_PERCENT2] = ACTIONS(2201),
    [anon_sym_AMP2] = ACTIONS(2201),
    [anon_sym_STAR2] = ACTIONS(2201),
    [anon_sym_use] = ACTIONS(2201),
    [anon_sym_no] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_foreach] = ACTIONS(2201),
    [anon_sym_last] = ACTIONS(2201),
    [anon_sym_next] = ACTIONS(2201),
    [anon_sym_redo] = ACTIONS(2201),
    [anon_sym_BEGIN] = ACTIONS(2201),
    [anon_sym_INIT] = ACTIONS(2201),
    [anon_sym_CHECK] = ACTIONS(2201),
    [anon_sym_UNITCHECK] = ACTIONS(2201),
    [anon_sym_END] = ACTIONS(2201),
    [anon_sym___FILE__] = ACTIONS(2201),
    [anon_sym___LINE__] = ACTIONS(2201),
    [anon_sym___PACKAGE__] = ACTIONS(2201),
    [anon_sym___SUB__] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_fork] = ACTIONS(2201),
    [anon_sym_getppid] = ACTIONS(2201),
    [anon_sym_time] = ACTIONS(2201),
    [anon_sym_times] = ACTIONS(2201),
    [anon_sym_wait] = ACTIONS(2201),
    [anon_sym_wantarray] = ACTIONS(2201),
    [anon_sym_abs] = ACTIONS(2201),
    [anon_sym_alarm] = ACTIONS(2201),
    [anon_sym_chop] = ACTIONS(2201),
    [anon_sym_chdir] = ACTIONS(2201),
    [anon_sym_close] = ACTIONS(2201),
    [anon_sym_closedir] = ACTIONS(2201),
    [anon_sym_caller] = ACTIONS(2201),
    [anon_sym_chomp] = ACTIONS(2201),
    [anon_sym_chr] = ACTIONS(2201),
    [anon_sym_cos] = ACTIONS(2201),
    [anon_sym_chroot] = ACTIONS(2201),
    [anon_sym_defined] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_dbmclose] = ACTIONS(2201),
    [anon_sym_exists] = ACTIONS(2201),
    [anon_sym_exit] = ACTIONS(2201),
    [anon_sym_eof] = ACTIONS(2201),
    [anon_sym_exp] = ACTIONS(2201),
    [anon_sym_each] = ACTIONS(2201),
    [anon_sym_fc] = ACTIONS(2201),
    [anon_sym_fileno] = ACTIONS(2201),
    [anon_sym_gmtime] = ACTIONS(2201),
    [anon_sym_getc] = ACTIONS(2201),
    [anon_sym_getpgrp] = ACTIONS(2201),
    [anon_sym_getprotobyname] = ACTIONS(2201),
    [anon_sym_getpwname] = ACTIONS(2201),
    [anon_sym_getpwuid] = ACTIONS(2201),
    [anon_sym_getpeername] = ACTIONS(2201),
    [anon_sym_getnetbyname] = ACTIONS(2201),
    [anon_sym_getsockname] = ACTIONS(2201),
    [anon_sym_getgrnam] = ACTIONS(2201),
    [anon_sym_getgrgid] = ACTIONS(2201),
    [anon_sym_hex] = ACTIONS(2201),
    [anon_sym_int] = ACTIONS(2201),
    [anon_sym_keys] = ACTIONS(2201),
    [anon_sym_lc] = ACTIONS(2201),
    [anon_sym_lcfirst] = ACTIONS(2201),
    [anon_sym_length] = ACTIONS(2201),
    [anon_sym_localtime] = ACTIONS(2201),
    [anon_sym_log] = ACTIONS(2201),
    [anon_sym_lock] = ACTIONS(2201),
    [anon_sym_lstat] = ACTIONS(2201),
    [anon_sym_oct] = ACTIONS(2201),
    [anon_sym_ord] = ACTIONS(2201),
    [anon_sym_prototype] = ACTIONS(2201),
    [anon_sym_pop] = ACTIONS(2201),
    [anon_sym_pos] = ACTIONS(2201),
    [anon_sym_quotemeta] = ACTIONS(2201),
    [anon_sym_reset] = ACTIONS(2201),
    [anon_sym_rand] = ACTIONS(2201),
    [anon_sym_rmdir] = ACTIONS(2201),
    [anon_sym_readdir] = ACTIONS(2201),
    [anon_sym_readline] = ACTIONS(2201),
    [anon_sym_readpipe] = ACTIONS(2201),
    [anon_sym_rewinddir] = ACTIONS(2201),
    [anon_sym_readlink] = ACTIONS(2201),
    [anon_sym_ref] = ACTIONS(2201),
    [anon_sym_scalar] = ACTIONS(2201),
    [anon_sym_shift] = ACTIONS(2201),
    [anon_sym_sin] = ACTIONS(2201),
    [anon_sym_sleep] = ACTIONS(2201),
    [anon_sym_sqrt] = ACTIONS(2201),
    [anon_sym_srand] = ACTIONS(2201),
    [anon_sym_stat] = ACTIONS(2201),
    [anon_sym_study] = ACTIONS(2201),
    [anon_sym_tell] = ACTIONS(2201),
    [anon_sym_telldir] = ACTIONS(2201),
    [anon_sym_tied] = ACTIONS(2201),
    [anon_sym_uc] = ACTIONS(2201),
    [anon_sym_ucfirst] = ACTIONS(2201),
    [anon_sym_untie] = ACTIONS(2201),
    [anon_sym_umask] = ACTIONS(2201),
    [anon_sym_values] = ACTIONS(2201),
    [anon_sym_write] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2201),
    [anon_sym___END__] = ACTIONS(2201),
    [anon_sym_EOT] = ACTIONS(2201),
    [anon_sym_q] = ACTIONS(2201),
    [anon_sym_qq] = ACTIONS(2201),
    [anon_sym_qw] = ACTIONS(2201),
    [anon_sym_qx] = ACTIONS(2201),
    [anon_sym_qr] = ACTIONS(2201),
    [anon_sym_m] = ACTIONS(2201),
    [anon_sym_s] = ACTIONS(2201),
    [anon_sym_tr] = ACTIONS(2201),
    [anon_sym_y] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_unless] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_until] = ACTIONS(2201),
    [aux_sym__bareword_token1] = ACTIONS(2201),
    [sym_number] = ACTIONS(2201),
    [anon_sym_true] = ACTIONS(2201),
    [anon_sym_false] = ACTIONS(2201),
    [sym__single_quote] = ACTIONS(2199),
    [sym__double_quote] = ACTIONS(2199),
    [sym__backtick_quote] = ACTIONS(2199),
    [sym__search_slash_quote] = ACTIONS(2199),
    [sym__open_readline_bracket] = ACTIONS(2199),
    [sym__open_fileglob_bracket] = ACTIONS(2199),
    [sym__PERLY_HEREDOC] = ACTIONS(2199),
    [sym__ctrl_z_hack] = ACTIONS(2199),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2199),
    [sym__filetest] = ACTIONS(2199),
  },
  [943] = {
    [sym_heredoc_content] = STATE(943),
    [ts_builtin_sym_end] = ACTIONS(2203),
    [sym__identifier] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_package] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_role] = ACTIONS(2205),
    [anon_sym_BUILD] = ACTIONS(2205),
    [anon_sym_ADJUST] = ACTIONS(2205),
    [anon_sym_DOLLAR] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_my] = ACTIONS(2205),
    [anon_sym_extended] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_sub] = ACTIONS(2205),
    [anon_sym_method] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_state] = ACTIONS(2205),
    [anon_sym_our] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_defer] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_SLASH_SLASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_BSLASH] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_eval] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_field] = ACTIONS(2205),
    [anon_sym_local] = ACTIONS(2205),
    [anon_sym_dynamically] = ACTIONS(2205),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2205),
    [anon_sym_require] = ACTIONS(2205),
    [anon_sym_map] = ACTIONS(2205),
    [anon_sym_grep] = ACTIONS(2205),
    [anon_sym_sort] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_undef] = ACTIONS(2205),
    [anon_sym_PERCENT2] = ACTIONS(2205),
    [anon_sym_AMP2] = ACTIONS(2205),
    [anon_sym_STAR2] = ACTIONS(2205),
    [anon_sym_use] = ACTIONS(2205),
    [anon_sym_no] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_foreach] = ACTIONS(2205),
    [anon_sym_last] = ACTIONS(2205),
    [anon_sym_next] = ACTIONS(2205),
    [anon_sym_redo] = ACTIONS(2205),
    [anon_sym_BEGIN] = ACTIONS(2205),
    [anon_sym_INIT] = ACTIONS(2205),
    [anon_sym_CHECK] = ACTIONS(2205),
    [anon_sym_UNITCHECK] = ACTIONS(2205),
    [anon_sym_END] = ACTIONS(2205),
    [anon_sym___FILE__] = ACTIONS(2205),
    [anon_sym___LINE__] = ACTIONS(2205),
    [anon_sym___PACKAGE__] = ACTIONS(2205),
    [anon_sym___SUB__] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_fork] = ACTIONS(2205),
    [anon_sym_getppid] = ACTIONS(2205),
    [anon_sym_time] = ACTIONS(2205),
    [anon_sym_times] = ACTIONS(2205),
    [anon_sym_wait] = ACTIONS(2205),
    [anon_sym_wantarray] = ACTIONS(2205),
    [anon_sym_abs] = ACTIONS(2205),
    [anon_sym_alarm] = ACTIONS(2205),
    [anon_sym_chop] = ACTIONS(2205),
    [anon_sym_chdir] = ACTIONS(2205),
    [anon_sym_close] = ACTIONS(2205),
    [anon_sym_closedir] = ACTIONS(2205),
    [anon_sym_caller] = ACTIONS(2205),
    [anon_sym_chomp] = ACTIONS(2205),
    [anon_sym_chr] = ACTIONS(2205),
    [anon_sym_cos] = ACTIONS(2205),
    [anon_sym_chroot] = ACTIONS(2205),
    [anon_sym_defined] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_dbmclose] = ACTIONS(2205),
    [anon_sym_exists] = ACTIONS(2205),
    [anon_sym_exit] = ACTIONS(2205),
    [anon_sym_eof] = ACTIONS(2205),
    [anon_sym_exp] = ACTIONS(2205),
    [anon_sym_each] = ACTIONS(2205),
    [anon_sym_fc] = ACTIONS(2205),
    [anon_sym_fileno] = ACTIONS(2205),
    [anon_sym_gmtime] = ACTIONS(2205),
    [anon_sym_getc] = ACTIONS(2205),
    [anon_sym_getpgrp] = ACTIONS(2205),
    [anon_sym_getprotobyname] = ACTIONS(2205),
    [anon_sym_getpwname] = ACTIONS(2205),
    [anon_sym_getpwuid] = ACTIONS(2205),
    [anon_sym_getpeername] = ACTIONS(2205),
    [anon_sym_getnetbyname] = ACTIONS(2205),
    [anon_sym_getsockname] = ACTIONS(2205),
    [anon_sym_getgrnam] = ACTIONS(2205),
    [anon_sym_getgrgid] = ACTIONS(2205),
    [anon_sym_hex] = ACTIONS(2205),
    [anon_sym_int] = ACTIONS(2205),
    [anon_sym_keys] = ACTIONS(2205),
    [anon_sym_lc] = ACTIONS(2205),
    [anon_sym_lcfirst] = ACTIONS(2205),
    [anon_sym_length] = ACTIONS(2205),
    [anon_sym_localtime] = ACTIONS(2205),
    [anon_sym_log] = ACTIONS(2205),
    [anon_sym_lock] = ACTIONS(2205),
    [anon_sym_lstat] = ACTIONS(2205),
    [anon_sym_oct] = ACTIONS(2205),
    [anon_sym_ord] = ACTIONS(2205),
    [anon_sym_prototype] = ACTIONS(2205),
    [anon_sym_pop] = ACTIONS(2205),
    [anon_sym_pos] = ACTIONS(2205),
    [anon_sym_quotemeta] = ACTIONS(2205),
    [anon_sym_reset] = ACTIONS(2205),
    [anon_sym_rand] = ACTIONS(2205),
    [anon_sym_rmdir] = ACTIONS(2205),
    [anon_sym_readdir] = ACTIONS(2205),
    [anon_sym_readline] = ACTIONS(2205),
    [anon_sym_readpipe] = ACTIONS(2205),
    [anon_sym_rewinddir] = ACTIONS(2205),
    [anon_sym_readlink] = ACTIONS(2205),
    [anon_sym_ref] = ACTIONS(2205),
    [anon_sym_scalar] = ACTIONS(2205),
    [anon_sym_shift] = ACTIONS(2205),
    [anon_sym_sin] = ACTIONS(2205),
    [anon_sym_sleep] = ACTIONS(2205),
    [anon_sym_sqrt] = ACTIONS(2205),
    [anon_sym_srand] = ACTIONS(2205),
    [anon_sym_stat] = ACTIONS(2205),
    [anon_sym_study] = ACTIONS(2205),
    [anon_sym_tell] = ACTIONS(2205),
    [anon_sym_telldir] = ACTIONS(2205),
    [anon_sym_tied] = ACTIONS(2205),
    [anon_sym_uc] = ACTIONS(2205),
    [anon_sym_ucfirst] = ACTIONS(2205),
    [anon_sym_untie] = ACTIONS(2205),
    [anon_sym_umask] = ACTIONS(2205),
    [anon_sym_values] = ACTIONS(2205),
    [anon_sym_write] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2205),
    [anon_sym___END__] = ACTIONS(2205),
    [anon_sym_EOT] = ACTIONS(2205),
    [anon_sym_q] = ACTIONS(2205),
    [anon_sym_qq] = ACTIONS(2205),
    [anon_sym_qw] = ACTIONS(2205),
    [anon_sym_qx] = ACTIONS(2205),
    [anon_sym_qr] = ACTIONS(2205),
    [anon_sym_m] = ACTIONS(2205),
    [anon_sym_s] = ACTIONS(2205),
    [anon_sym_tr] = ACTIONS(2205),
    [anon_sym_y] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [aux_sym__bareword_token1] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [anon_sym_true] = ACTIONS(2205),
    [anon_sym_false] = ACTIONS(2205),
    [sym__single_quote] = ACTIONS(2203),
    [sym__double_quote] = ACTIONS(2203),
    [sym__backtick_quote] = ACTIONS(2203),
    [sym__search_slash_quote] = ACTIONS(2203),
    [sym__open_readline_bracket] = ACTIONS(2203),
    [sym__open_fileglob_bracket] = ACTIONS(2203),
    [sym__PERLY_HEREDOC] = ACTIONS(2203),
    [sym__ctrl_z_hack] = ACTIONS(2203),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2203),
    [sym__filetest] = ACTIONS(2203),
  },
  [944] = {
    [sym_heredoc_content] = STATE(944),
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym__identifier] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_package] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_role] = ACTIONS(2209),
    [anon_sym_BUILD] = ACTIONS(2209),
    [anon_sym_ADJUST] = ACTIONS(2209),
    [anon_sym_DOLLAR] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_my] = ACTIONS(2209),
    [anon_sym_extended] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_sub] = ACTIONS(2209),
    [anon_sym_method] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_state] = ACTIONS(2209),
    [anon_sym_our] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_defer] = ACTIONS(2209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_SLASH_SLASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [anon_sym_BSLASH] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_eval] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_field] = ACTIONS(2209),
    [anon_sym_local] = ACTIONS(2209),
    [anon_sym_dynamically] = ACTIONS(2209),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2209),
    [anon_sym_require] = ACTIONS(2209),
    [anon_sym_map] = ACTIONS(2209),
    [anon_sym_grep] = ACTIONS(2209),
    [anon_sym_sort] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_undef] = ACTIONS(2209),
    [anon_sym_PERCENT2] = ACTIONS(2209),
    [anon_sym_AMP2] = ACTIONS(2209),
    [anon_sym_STAR2] = ACTIONS(2209),
    [anon_sym_use] = ACTIONS(2209),
    [anon_sym_no] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_foreach] = ACTIONS(2209),
    [anon_sym_last] = ACTIONS(2209),
    [anon_sym_next] = ACTIONS(2209),
    [anon_sym_redo] = ACTIONS(2209),
    [anon_sym_BEGIN] = ACTIONS(2209),
    [anon_sym_INIT] = ACTIONS(2209),
    [anon_sym_CHECK] = ACTIONS(2209),
    [anon_sym_UNITCHECK] = ACTIONS(2209),
    [anon_sym_END] = ACTIONS(2209),
    [anon_sym___FILE__] = ACTIONS(2209),
    [anon_sym___LINE__] = ACTIONS(2209),
    [anon_sym___PACKAGE__] = ACTIONS(2209),
    [anon_sym___SUB__] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_fork] = ACTIONS(2209),
    [anon_sym_getppid] = ACTIONS(2209),
    [anon_sym_time] = ACTIONS(2209),
    [anon_sym_times] = ACTIONS(2209),
    [anon_sym_wait] = ACTIONS(2209),
    [anon_sym_wantarray] = ACTIONS(2209),
    [anon_sym_abs] = ACTIONS(2209),
    [anon_sym_alarm] = ACTIONS(2209),
    [anon_sym_chop] = ACTIONS(2209),
    [anon_sym_chdir] = ACTIONS(2209),
    [anon_sym_close] = ACTIONS(2209),
    [anon_sym_closedir] = ACTIONS(2209),
    [anon_sym_caller] = ACTIONS(2209),
    [anon_sym_chomp] = ACTIONS(2209),
    [anon_sym_chr] = ACTIONS(2209),
    [anon_sym_cos] = ACTIONS(2209),
    [anon_sym_chroot] = ACTIONS(2209),
    [anon_sym_defined] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_dbmclose] = ACTIONS(2209),
    [anon_sym_exists] = ACTIONS(2209),
    [anon_sym_exit] = ACTIONS(2209),
    [anon_sym_eof] = ACTIONS(2209),
    [anon_sym_exp] = ACTIONS(2209),
    [anon_sym_each] = ACTIONS(2209),
    [anon_sym_fc] = ACTIONS(2209),
    [anon_sym_fileno] = ACTIONS(2209),
    [anon_sym_gmtime] = ACTIONS(2209),
    [anon_sym_getc] = ACTIONS(2209),
    [anon_sym_getpgrp] = ACTIONS(2209),
    [anon_sym_getprotobyname] = ACTIONS(2209),
    [anon_sym_getpwname] = ACTIONS(2209),
    [anon_sym_getpwuid] = ACTIONS(2209),
    [anon_sym_getpeername] = ACTIONS(2209),
    [anon_sym_getnetbyname] = ACTIONS(2209),
    [anon_sym_getsockname] = ACTIONS(2209),
    [anon_sym_getgrnam] = ACTIONS(2209),
    [anon_sym_getgrgid] = ACTIONS(2209),
    [anon_sym_hex] = ACTIONS(2209),
    [anon_sym_int] = ACTIONS(2209),
    [anon_sym_keys] = ACTIONS(2209),
    [anon_sym_lc] = ACTIONS(2209),
    [anon_sym_lcfirst] = ACTIONS(2209),
    [anon_sym_length] = ACTIONS(2209),
    [anon_sym_localtime] = ACTIONS(2209),
    [anon_sym_log] = ACTIONS(2209),
    [anon_sym_lock] = ACTIONS(2209),
    [anon_sym_lstat] = ACTIONS(2209),
    [anon_sym_oct] = ACTIONS(2209),
    [anon_sym_ord] = ACTIONS(2209),
    [anon_sym_prototype] = ACTIONS(2209),
    [anon_sym_pop] = ACTIONS(2209),
    [anon_sym_pos] = ACTIONS(2209),
    [anon_sym_quotemeta] = ACTIONS(2209),
    [anon_sym_reset] = ACTIONS(2209),
    [anon_sym_rand] = ACTIONS(2209),
    [anon_sym_rmdir] = ACTIONS(2209),
    [anon_sym_readdir] = ACTIONS(2209),
    [anon_sym_readline] = ACTIONS(2209),
    [anon_sym_readpipe] = ACTIONS(2209),
    [anon_sym_rewinddir] = ACTIONS(2209),
    [anon_sym_readlink] = ACTIONS(2209),
    [anon_sym_ref] = ACTIONS(2209),
    [anon_sym_scalar] = ACTIONS(2209),
    [anon_sym_shift] = ACTIONS(2209),
    [anon_sym_sin] = ACTIONS(2209),
    [anon_sym_sleep] = ACTIONS(2209),
    [anon_sym_sqrt] = ACTIONS(2209),
    [anon_sym_srand] = ACTIONS(2209),
    [anon_sym_stat] = ACTIONS(2209),
    [anon_sym_study] = ACTIONS(2209),
    [anon_sym_tell] = ACTIONS(2209),
    [anon_sym_telldir] = ACTIONS(2209),
    [anon_sym_tied] = ACTIONS(2209),
    [anon_sym_uc] = ACTIONS(2209),
    [anon_sym_ucfirst] = ACTIONS(2209),
    [anon_sym_untie] = ACTIONS(2209),
    [anon_sym_umask] = ACTIONS(2209),
    [anon_sym_values] = ACTIONS(2209),
    [anon_sym_write] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2209),
    [anon_sym___END__] = ACTIONS(2209),
    [anon_sym_EOT] = ACTIONS(2209),
    [anon_sym_q] = ACTIONS(2209),
    [anon_sym_qq] = ACTIONS(2209),
    [anon_sym_qw] = ACTIONS(2209),
    [anon_sym_qx] = ACTIONS(2209),
    [anon_sym_qr] = ACTIONS(2209),
    [anon_sym_m] = ACTIONS(2209),
    [anon_sym_s] = ACTIONS(2209),
    [anon_sym_tr] = ACTIONS(2209),
    [anon_sym_y] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_unless] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_until] = ACTIONS(2209),
    [aux_sym__bareword_token1] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [anon_sym_true] = ACTIONS(2209),
    [anon_sym_false] = ACTIONS(2209),
    [sym__single_quote] = ACTIONS(2207),
    [sym__double_quote] = ACTIONS(2207),
    [sym__backtick_quote] = ACTIONS(2207),
    [sym__search_slash_quote] = ACTIONS(2207),
    [sym__open_readline_bracket] = ACTIONS(2207),
    [sym__open_fileglob_bracket] = ACTIONS(2207),
    [sym__PERLY_HEREDOC] = ACTIONS(2207),
    [sym__ctrl_z_hack] = ACTIONS(2207),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2207),
    [sym__filetest] = ACTIONS(2207),
  },
  [945] = {
    [sym_heredoc_content] = STATE(945),
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym__identifier] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_package] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_role] = ACTIONS(2213),
    [anon_sym_BUILD] = ACTIONS(2213),
    [anon_sym_ADJUST] = ACTIONS(2213),
    [anon_sym_DOLLAR] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_my] = ACTIONS(2213),
    [anon_sym_extended] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_sub] = ACTIONS(2213),
    [anon_sym_method] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_state] = ACTIONS(2213),
    [anon_sym_our] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_defer] = ACTIONS(2213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LT_LT] = ACTIONS(2213),
    [anon_sym_SLASH_SLASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_BSLASH] = ACTIONS(2211),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_eval] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_field] = ACTIONS(2213),
    [anon_sym_local] = ACTIONS(2213),
    [anon_sym_dynamically] = ACTIONS(2213),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2213),
    [anon_sym_require] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2213),
    [anon_sym_grep] = ACTIONS(2213),
    [anon_sym_sort] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_undef] = ACTIONS(2213),
    [anon_sym_PERCENT2] = ACTIONS(2213),
    [anon_sym_AMP2] = ACTIONS(2213),
    [anon_sym_STAR2] = ACTIONS(2213),
    [anon_sym_use] = ACTIONS(2213),
    [anon_sym_no] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_foreach] = ACTIONS(2213),
    [anon_sym_last] = ACTIONS(2213),
    [anon_sym_next] = ACTIONS(2213),
    [anon_sym_redo] = ACTIONS(2213),
    [anon_sym_BEGIN] = ACTIONS(2213),
    [anon_sym_INIT] = ACTIONS(2213),
    [anon_sym_CHECK] = ACTIONS(2213),
    [anon_sym_UNITCHECK] = ACTIONS(2213),
    [anon_sym_END] = ACTIONS(2213),
    [anon_sym___FILE__] = ACTIONS(2213),
    [anon_sym___LINE__] = ACTIONS(2213),
    [anon_sym___PACKAGE__] = ACTIONS(2213),
    [anon_sym___SUB__] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_fork] = ACTIONS(2213),
    [anon_sym_getppid] = ACTIONS(2213),
    [anon_sym_time] = ACTIONS(2213),
    [anon_sym_times] = ACTIONS(2213),
    [anon_sym_wait] = ACTIONS(2213),
    [anon_sym_wantarray] = ACTIONS(2213),
    [anon_sym_abs] = ACTIONS(2213),
    [anon_sym_alarm] = ACTIONS(2213),
    [anon_sym_chop] = ACTIONS(2213),
    [anon_sym_chdir] = ACTIONS(2213),
    [anon_sym_close] = ACTIONS(2213),
    [anon_sym_closedir] = ACTIONS(2213),
    [anon_sym_caller] = ACTIONS(2213),
    [anon_sym_chomp] = ACTIONS(2213),
    [anon_sym_chr] = ACTIONS(2213),
    [anon_sym_cos] = ACTIONS(2213),
    [anon_sym_chroot] = ACTIONS(2213),
    [anon_sym_defined] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_dbmclose] = ACTIONS(2213),
    [anon_sym_exists] = ACTIONS(2213),
    [anon_sym_exit] = ACTIONS(2213),
    [anon_sym_eof] = ACTIONS(2213),
    [anon_sym_exp] = ACTIONS(2213),
    [anon_sym_each] = ACTIONS(2213),
    [anon_sym_fc] = ACTIONS(2213),
    [anon_sym_fileno] = ACTIONS(2213),
    [anon_sym_gmtime] = ACTIONS(2213),
    [anon_sym_getc] = ACTIONS(2213),
    [anon_sym_getpgrp] = ACTIONS(2213),
    [anon_sym_getprotobyname] = ACTIONS(2213),
    [anon_sym_getpwname] = ACTIONS(2213),
    [anon_sym_getpwuid] = ACTIONS(2213),
    [anon_sym_getpeername] = ACTIONS(2213),
    [anon_sym_getnetbyname] = ACTIONS(2213),
    [anon_sym_getsockname] = ACTIONS(2213),
    [anon_sym_getgrnam] = ACTIONS(2213),
    [anon_sym_getgrgid] = ACTIONS(2213),
    [anon_sym_hex] = ACTIONS(2213),
    [anon_sym_int] = ACTIONS(2213),
    [anon_sym_keys] = ACTIONS(2213),
    [anon_sym_lc] = ACTIONS(2213),
    [anon_sym_lcfirst] = ACTIONS(2213),
    [anon_sym_length] = ACTIONS(2213),
    [anon_sym_localtime] = ACTIONS(2213),
    [anon_sym_log] = ACTIONS(2213),
    [anon_sym_lock] = ACTIONS(2213),
    [anon_sym_lstat] = ACTIONS(2213),
    [anon_sym_oct] = ACTIONS(2213),
    [anon_sym_ord] = ACTIONS(2213),
    [anon_sym_prototype] = ACTIONS(2213),
    [anon_sym_pop] = ACTIONS(2213),
    [anon_sym_pos] = ACTIONS(2213),
    [anon_sym_quotemeta] = ACTIONS(2213),
    [anon_sym_reset] = ACTIONS(2213),
    [anon_sym_rand] = ACTIONS(2213),
    [anon_sym_rmdir] = ACTIONS(2213),
    [anon_sym_readdir] = ACTIONS(2213),
    [anon_sym_readline] = ACTIONS(2213),
    [anon_sym_readpipe] = ACTIONS(2213),
    [anon_sym_rewinddir] = ACTIONS(2213),
    [anon_sym_readlink] = ACTIONS(2213),
    [anon_sym_ref] = ACTIONS(2213),
    [anon_sym_scalar] = ACTIONS(2213),
    [anon_sym_shift] = ACTIONS(2213),
    [anon_sym_sin] = ACTIONS(2213),
    [anon_sym_sleep] = ACTIONS(2213),
    [anon_sym_sqrt] = ACTIONS(2213),
    [anon_sym_srand] = ACTIONS(2213),
    [anon_sym_stat] = ACTIONS(2213),
    [anon_sym_study] = ACTIONS(2213),
    [anon_sym_tell] = ACTIONS(2213),
    [anon_sym_telldir] = ACTIONS(2213),
    [anon_sym_tied] = ACTIONS(2213),
    [anon_sym_uc] = ACTIONS(2213),
    [anon_sym_ucfirst] = ACTIONS(2213),
    [anon_sym_untie] = ACTIONS(2213),
    [anon_sym_umask] = ACTIONS(2213),
    [anon_sym_values] = ACTIONS(2213),
    [anon_sym_write] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2213),
    [anon_sym___END__] = ACTIONS(2213),
    [anon_sym_EOT] = ACTIONS(2213),
    [anon_sym_q] = ACTIONS(2213),
    [anon_sym_qq] = ACTIONS(2213),
    [anon_sym_qw] = ACTIONS(2213),
    [anon_sym_qx] = ACTIONS(2213),
    [anon_sym_qr] = ACTIONS(2213),
    [anon_sym_m] = ACTIONS(2213),
    [anon_sym_s] = ACTIONS(2213),
    [anon_sym_tr] = ACTIONS(2213),
    [anon_sym_y] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_unless] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_until] = ACTIONS(2213),
    [aux_sym__bareword_token1] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [anon_sym_true] = ACTIONS(2213),
    [anon_sym_false] = ACTIONS(2213),
    [sym__single_quote] = ACTIONS(2211),
    [sym__double_quote] = ACTIONS(2211),
    [sym__backtick_quote] = ACTIONS(2211),
    [sym__search_slash_quote] = ACTIONS(2211),
    [sym__open_readline_bracket] = ACTIONS(2211),
    [sym__open_fileglob_bracket] = ACTIONS(2211),
    [sym__PERLY_HEREDOC] = ACTIONS(2211),
    [sym__ctrl_z_hack] = ACTIONS(2211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2211),
    [sym__filetest] = ACTIONS(2211),
  },
  [946] = {
    [sym_heredoc_content] = STATE(946),
    [ts_builtin_sym_end] = ACTIONS(2215),
    [sym__identifier] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2217),
    [anon_sym_package] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_role] = ACTIONS(2217),
    [anon_sym_BUILD] = ACTIONS(2217),
    [anon_sym_ADJUST] = ACTIONS(2217),
    [anon_sym_DOLLAR] = ACTIONS(2217),
    [anon_sym_AT] = ACTIONS(2217),
    [anon_sym_my] = ACTIONS(2217),
    [anon_sym_extended] = ACTIONS(2217),
    [anon_sym_async] = ACTIONS(2217),
    [anon_sym_sub] = ACTIONS(2217),
    [anon_sym_method] = ACTIONS(2217),
    [anon_sym_LPAREN] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_state] = ACTIONS(2217),
    [anon_sym_our] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_defer] = ACTIONS(2217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_LT_LT] = ACTIONS(2217),
    [anon_sym_SLASH_SLASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_PLUS_PLUS] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2217),
    [anon_sym_BSLASH] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_eval] = ACTIONS(2217),
    [anon_sym_await] = ACTIONS(2217),
    [anon_sym_field] = ACTIONS(2217),
    [anon_sym_local] = ACTIONS(2217),
    [anon_sym_dynamically] = ACTIONS(2217),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2217),
    [anon_sym_require] = ACTIONS(2217),
    [anon_sym_map] = ACTIONS(2217),
    [anon_sym_grep] = ACTIONS(2217),
    [anon_sym_sort] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_undef] = ACTIONS(2217),
    [anon_sym_PERCENT2] = ACTIONS(2217),
    [anon_sym_AMP2] = ACTIONS(2217),
    [anon_sym_STAR2] = ACTIONS(2217),
    [anon_sym_use] = ACTIONS(2217),
    [anon_sym_no] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_foreach] = ACTIONS(2217),
    [anon_sym_last] = ACTIONS(2217),
    [anon_sym_next] = ACTIONS(2217),
    [anon_sym_redo] = ACTIONS(2217),
    [anon_sym_BEGIN] = ACTIONS(2217),
    [anon_sym_INIT] = ACTIONS(2217),
    [anon_sym_CHECK] = ACTIONS(2217),
    [anon_sym_UNITCHECK] = ACTIONS(2217),
    [anon_sym_END] = ACTIONS(2217),
    [anon_sym___FILE__] = ACTIONS(2217),
    [anon_sym___LINE__] = ACTIONS(2217),
    [anon_sym___PACKAGE__] = ACTIONS(2217),
    [anon_sym___SUB__] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_fork] = ACTIONS(2217),
    [anon_sym_getppid] = ACTIONS(2217),
    [anon_sym_time] = ACTIONS(2217),
    [anon_sym_times] = ACTIONS(2217),
    [anon_sym_wait] = ACTIONS(2217),
    [anon_sym_wantarray] = ACTIONS(2217),
    [anon_sym_abs] = ACTIONS(2217),
    [anon_sym_alarm] = ACTIONS(2217),
    [anon_sym_chop] = ACTIONS(2217),
    [anon_sym_chdir] = ACTIONS(2217),
    [anon_sym_close] = ACTIONS(2217),
    [anon_sym_closedir] = ACTIONS(2217),
    [anon_sym_caller] = ACTIONS(2217),
    [anon_sym_chomp] = ACTIONS(2217),
    [anon_sym_chr] = ACTIONS(2217),
    [anon_sym_cos] = ACTIONS(2217),
    [anon_sym_chroot] = ACTIONS(2217),
    [anon_sym_defined] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_dbmclose] = ACTIONS(2217),
    [anon_sym_exists] = ACTIONS(2217),
    [anon_sym_exit] = ACTIONS(2217),
    [anon_sym_eof] = ACTIONS(2217),
    [anon_sym_exp] = ACTIONS(2217),
    [anon_sym_each] = ACTIONS(2217),
    [anon_sym_fc] = ACTIONS(2217),
    [anon_sym_fileno] = ACTIONS(2217),
    [anon_sym_gmtime] = ACTIONS(2217),
    [anon_sym_getc] = ACTIONS(2217),
    [anon_sym_getpgrp] = ACTIONS(2217),
    [anon_sym_getprotobyname] = ACTIONS(2217),
    [anon_sym_getpwname] = ACTIONS(2217),
    [anon_sym_getpwuid] = ACTIONS(2217),
    [anon_sym_getpeername] = ACTIONS(2217),
    [anon_sym_getnetbyname] = ACTIONS(2217),
    [anon_sym_getsockname] = ACTIONS(2217),
    [anon_sym_getgrnam] = ACTIONS(2217),
    [anon_sym_getgrgid] = ACTIONS(2217),
    [anon_sym_hex] = ACTIONS(2217),
    [anon_sym_int] = ACTIONS(2217),
    [anon_sym_keys] = ACTIONS(2217),
    [anon_sym_lc] = ACTIONS(2217),
    [anon_sym_lcfirst] = ACTIONS(2217),
    [anon_sym_length] = ACTIONS(2217),
    [anon_sym_localtime] = ACTIONS(2217),
    [anon_sym_log] = ACTIONS(2217),
    [anon_sym_lock] = ACTIONS(2217),
    [anon_sym_lstat] = ACTIONS(2217),
    [anon_sym_oct] = ACTIONS(2217),
    [anon_sym_ord] = ACTIONS(2217),
    [anon_sym_prototype] = ACTIONS(2217),
    [anon_sym_pop] = ACTIONS(2217),
    [anon_sym_pos] = ACTIONS(2217),
    [anon_sym_quotemeta] = ACTIONS(2217),
    [anon_sym_reset] = ACTIONS(2217),
    [anon_sym_rand] = ACTIONS(2217),
    [anon_sym_rmdir] = ACTIONS(2217),
    [anon_sym_readdir] = ACTIONS(2217),
    [anon_sym_readline] = ACTIONS(2217),
    [anon_sym_readpipe] = ACTIONS(2217),
    [anon_sym_rewinddir] = ACTIONS(2217),
    [anon_sym_readlink] = ACTIONS(2217),
    [anon_sym_ref] = ACTIONS(2217),
    [anon_sym_scalar] = ACTIONS(2217),
    [anon_sym_shift] = ACTIONS(2217),
    [anon_sym_sin] = ACTIONS(2217),
    [anon_sym_sleep] = ACTIONS(2217),
    [anon_sym_sqrt] = ACTIONS(2217),
    [anon_sym_srand] = ACTIONS(2217),
    [anon_sym_stat] = ACTIONS(2217),
    [anon_sym_study] = ACTIONS(2217),
    [anon_sym_tell] = ACTIONS(2217),
    [anon_sym_telldir] = ACTIONS(2217),
    [anon_sym_tied] = ACTIONS(2217),
    [anon_sym_uc] = ACTIONS(2217),
    [anon_sym_ucfirst] = ACTIONS(2217),
    [anon_sym_untie] = ACTIONS(2217),
    [anon_sym_umask] = ACTIONS(2217),
    [anon_sym_values] = ACTIONS(2217),
    [anon_sym_write] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2217),
    [anon_sym___END__] = ACTIONS(2217),
    [anon_sym_EOT] = ACTIONS(2217),
    [anon_sym_q] = ACTIONS(2217),
    [anon_sym_qq] = ACTIONS(2217),
    [anon_sym_qw] = ACTIONS(2217),
    [anon_sym_qx] = ACTIONS(2217),
    [anon_sym_qr] = ACTIONS(2217),
    [anon_sym_m] = ACTIONS(2217),
    [anon_sym_s] = ACTIONS(2217),
    [anon_sym_tr] = ACTIONS(2217),
    [anon_sym_y] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_unless] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_until] = ACTIONS(2217),
    [aux_sym__bareword_token1] = ACTIONS(2217),
    [sym_number] = ACTIONS(2217),
    [anon_sym_true] = ACTIONS(2217),
    [anon_sym_false] = ACTIONS(2217),
    [sym__single_quote] = ACTIONS(2215),
    [sym__double_quote] = ACTIONS(2215),
    [sym__backtick_quote] = ACTIONS(2215),
    [sym__search_slash_quote] = ACTIONS(2215),
    [sym__open_readline_bracket] = ACTIONS(2215),
    [sym__open_fileglob_bracket] = ACTIONS(2215),
    [sym__PERLY_HEREDOC] = ACTIONS(2215),
    [sym__ctrl_z_hack] = ACTIONS(2215),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2215),
    [sym__filetest] = ACTIONS(2215),
  },
  [947] = {
    [sym_heredoc_content] = STATE(947),
    [ts_builtin_sym_end] = ACTIONS(2219),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_package] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_role] = ACTIONS(2221),
    [anon_sym_BUILD] = ACTIONS(2221),
    [anon_sym_ADJUST] = ACTIONS(2221),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_my] = ACTIONS(2221),
    [anon_sym_extended] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_sub] = ACTIONS(2221),
    [anon_sym_method] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_state] = ACTIONS(2221),
    [anon_sym_our] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_defer] = ACTIONS(2221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_SLASH_SLASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [anon_sym_BSLASH] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_eval] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_field] = ACTIONS(2221),
    [anon_sym_local] = ACTIONS(2221),
    [anon_sym_dynamically] = ACTIONS(2221),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2221),
    [anon_sym_require] = ACTIONS(2221),
    [anon_sym_map] = ACTIONS(2221),
    [anon_sym_grep] = ACTIONS(2221),
    [anon_sym_sort] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_undef] = ACTIONS(2221),
    [anon_sym_PERCENT2] = ACTIONS(2221),
    [anon_sym_AMP2] = ACTIONS(2221),
    [anon_sym_STAR2] = ACTIONS(2221),
    [anon_sym_use] = ACTIONS(2221),
    [anon_sym_no] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_foreach] = ACTIONS(2221),
    [anon_sym_last] = ACTIONS(2221),
    [anon_sym_next] = ACTIONS(2221),
    [anon_sym_redo] = ACTIONS(2221),
    [anon_sym_BEGIN] = ACTIONS(2221),
    [anon_sym_INIT] = ACTIONS(2221),
    [anon_sym_CHECK] = ACTIONS(2221),
    [anon_sym_UNITCHECK] = ACTIONS(2221),
    [anon_sym_END] = ACTIONS(2221),
    [anon_sym___FILE__] = ACTIONS(2221),
    [anon_sym___LINE__] = ACTIONS(2221),
    [anon_sym___PACKAGE__] = ACTIONS(2221),
    [anon_sym___SUB__] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_fork] = ACTIONS(2221),
    [anon_sym_getppid] = ACTIONS(2221),
    [anon_sym_time] = ACTIONS(2221),
    [anon_sym_times] = ACTIONS(2221),
    [anon_sym_wait] = ACTIONS(2221),
    [anon_sym_wantarray] = ACTIONS(2221),
    [anon_sym_abs] = ACTIONS(2221),
    [anon_sym_alarm] = ACTIONS(2221),
    [anon_sym_chop] = ACTIONS(2221),
    [anon_sym_chdir] = ACTIONS(2221),
    [anon_sym_close] = ACTIONS(2221),
    [anon_sym_closedir] = ACTIONS(2221),
    [anon_sym_caller] = ACTIONS(2221),
    [anon_sym_chomp] = ACTIONS(2221),
    [anon_sym_chr] = ACTIONS(2221),
    [anon_sym_cos] = ACTIONS(2221),
    [anon_sym_chroot] = ACTIONS(2221),
    [anon_sym_defined] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_dbmclose] = ACTIONS(2221),
    [anon_sym_exists] = ACTIONS(2221),
    [anon_sym_exit] = ACTIONS(2221),
    [anon_sym_eof] = ACTIONS(2221),
    [anon_sym_exp] = ACTIONS(2221),
    [anon_sym_each] = ACTIONS(2221),
    [anon_sym_fc] = ACTIONS(2221),
    [anon_sym_fileno] = ACTIONS(2221),
    [anon_sym_gmtime] = ACTIONS(2221),
    [anon_sym_getc] = ACTIONS(2221),
    [anon_sym_getpgrp] = ACTIONS(2221),
    [anon_sym_getprotobyname] = ACTIONS(2221),
    [anon_sym_getpwname] = ACTIONS(2221),
    [anon_sym_getpwuid] = ACTIONS(2221),
    [anon_sym_getpeername] = ACTIONS(2221),
    [anon_sym_getnetbyname] = ACTIONS(2221),
    [anon_sym_getsockname] = ACTIONS(2221),
    [anon_sym_getgrnam] = ACTIONS(2221),
    [anon_sym_getgrgid] = ACTIONS(2221),
    [anon_sym_hex] = ACTIONS(2221),
    [anon_sym_int] = ACTIONS(2221),
    [anon_sym_keys] = ACTIONS(2221),
    [anon_sym_lc] = ACTIONS(2221),
    [anon_sym_lcfirst] = ACTIONS(2221),
    [anon_sym_length] = ACTIONS(2221),
    [anon_sym_localtime] = ACTIONS(2221),
    [anon_sym_log] = ACTIONS(2221),
    [anon_sym_lock] = ACTIONS(2221),
    [anon_sym_lstat] = ACTIONS(2221),
    [anon_sym_oct] = ACTIONS(2221),
    [anon_sym_ord] = ACTIONS(2221),
    [anon_sym_prototype] = ACTIONS(2221),
    [anon_sym_pop] = ACTIONS(2221),
    [anon_sym_pos] = ACTIONS(2221),
    [anon_sym_quotemeta] = ACTIONS(2221),
    [anon_sym_reset] = ACTIONS(2221),
    [anon_sym_rand] = ACTIONS(2221),
    [anon_sym_rmdir] = ACTIONS(2221),
    [anon_sym_readdir] = ACTIONS(2221),
    [anon_sym_readline] = ACTIONS(2221),
    [anon_sym_readpipe] = ACTIONS(2221),
    [anon_sym_rewinddir] = ACTIONS(2221),
    [anon_sym_readlink] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2221),
    [anon_sym_scalar] = ACTIONS(2221),
    [anon_sym_shift] = ACTIONS(2221),
    [anon_sym_sin] = ACTIONS(2221),
    [anon_sym_sleep] = ACTIONS(2221),
    [anon_sym_sqrt] = ACTIONS(2221),
    [anon_sym_srand] = ACTIONS(2221),
    [anon_sym_stat] = ACTIONS(2221),
    [anon_sym_study] = ACTIONS(2221),
    [anon_sym_tell] = ACTIONS(2221),
    [anon_sym_telldir] = ACTIONS(2221),
    [anon_sym_tied] = ACTIONS(2221),
    [anon_sym_uc] = ACTIONS(2221),
    [anon_sym_ucfirst] = ACTIONS(2221),
    [anon_sym_untie] = ACTIONS(2221),
    [anon_sym_umask] = ACTIONS(2221),
    [anon_sym_values] = ACTIONS(2221),
    [anon_sym_write] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2221),
    [anon_sym___END__] = ACTIONS(2221),
    [anon_sym_EOT] = ACTIONS(2221),
    [anon_sym_q] = ACTIONS(2221),
    [anon_sym_qq] = ACTIONS(2221),
    [anon_sym_qw] = ACTIONS(2221),
    [anon_sym_qx] = ACTIONS(2221),
    [anon_sym_qr] = ACTIONS(2221),
    [anon_sym_m] = ACTIONS(2221),
    [anon_sym_s] = ACTIONS(2221),
    [anon_sym_tr] = ACTIONS(2221),
    [anon_sym_y] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_unless] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_until] = ACTIONS(2221),
    [aux_sym__bareword_token1] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [anon_sym_true] = ACTIONS(2221),
    [anon_sym_false] = ACTIONS(2221),
    [sym__single_quote] = ACTIONS(2219),
    [sym__double_quote] = ACTIONS(2219),
    [sym__backtick_quote] = ACTIONS(2219),
    [sym__search_slash_quote] = ACTIONS(2219),
    [sym__open_readline_bracket] = ACTIONS(2219),
    [sym__open_fileglob_bracket] = ACTIONS(2219),
    [sym__PERLY_HEREDOC] = ACTIONS(2219),
    [sym__ctrl_z_hack] = ACTIONS(2219),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2219),
    [sym__filetest] = ACTIONS(2219),
  },
  [948] = {
    [sym_heredoc_content] = STATE(948),
    [ts_builtin_sym_end] = ACTIONS(2223),
    [sym__identifier] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_package] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_role] = ACTIONS(2225),
    [anon_sym_BUILD] = ACTIONS(2225),
    [anon_sym_ADJUST] = ACTIONS(2225),
    [anon_sym_DOLLAR] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_my] = ACTIONS(2225),
    [anon_sym_extended] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_sub] = ACTIONS(2225),
    [anon_sym_method] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_state] = ACTIONS(2225),
    [anon_sym_our] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_defer] = ACTIONS(2225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_SLASH_SLASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_eval] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_field] = ACTIONS(2225),
    [anon_sym_local] = ACTIONS(2225),
    [anon_sym_dynamically] = ACTIONS(2225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2225),
    [anon_sym_require] = ACTIONS(2225),
    [anon_sym_map] = ACTIONS(2225),
    [anon_sym_grep] = ACTIONS(2225),
    [anon_sym_sort] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_undef] = ACTIONS(2225),
    [anon_sym_PERCENT2] = ACTIONS(2225),
    [anon_sym_AMP2] = ACTIONS(2225),
    [anon_sym_STAR2] = ACTIONS(2225),
    [anon_sym_use] = ACTIONS(2225),
    [anon_sym_no] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_foreach] = ACTIONS(2225),
    [anon_sym_last] = ACTIONS(2225),
    [anon_sym_next] = ACTIONS(2225),
    [anon_sym_redo] = ACTIONS(2225),
    [anon_sym_BEGIN] = ACTIONS(2225),
    [anon_sym_INIT] = ACTIONS(2225),
    [anon_sym_CHECK] = ACTIONS(2225),
    [anon_sym_UNITCHECK] = ACTIONS(2225),
    [anon_sym_END] = ACTIONS(2225),
    [anon_sym___FILE__] = ACTIONS(2225),
    [anon_sym___LINE__] = ACTIONS(2225),
    [anon_sym___PACKAGE__] = ACTIONS(2225),
    [anon_sym___SUB__] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_fork] = ACTIONS(2225),
    [anon_sym_getppid] = ACTIONS(2225),
    [anon_sym_time] = ACTIONS(2225),
    [anon_sym_times] = ACTIONS(2225),
    [anon_sym_wait] = ACTIONS(2225),
    [anon_sym_wantarray] = ACTIONS(2225),
    [anon_sym_abs] = ACTIONS(2225),
    [anon_sym_alarm] = ACTIONS(2225),
    [anon_sym_chop] = ACTIONS(2225),
    [anon_sym_chdir] = ACTIONS(2225),
    [anon_sym_close] = ACTIONS(2225),
    [anon_sym_closedir] = ACTIONS(2225),
    [anon_sym_caller] = ACTIONS(2225),
    [anon_sym_chomp] = ACTIONS(2225),
    [anon_sym_chr] = ACTIONS(2225),
    [anon_sym_cos] = ACTIONS(2225),
    [anon_sym_chroot] = ACTIONS(2225),
    [anon_sym_defined] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_dbmclose] = ACTIONS(2225),
    [anon_sym_exists] = ACTIONS(2225),
    [anon_sym_exit] = ACTIONS(2225),
    [anon_sym_eof] = ACTIONS(2225),
    [anon_sym_exp] = ACTIONS(2225),
    [anon_sym_each] = ACTIONS(2225),
    [anon_sym_fc] = ACTIONS(2225),
    [anon_sym_fileno] = ACTIONS(2225),
    [anon_sym_gmtime] = ACTIONS(2225),
    [anon_sym_getc] = ACTIONS(2225),
    [anon_sym_getpgrp] = ACTIONS(2225),
    [anon_sym_getprotobyname] = ACTIONS(2225),
    [anon_sym_getpwname] = ACTIONS(2225),
    [anon_sym_getpwuid] = ACTIONS(2225),
    [anon_sym_getpeername] = ACTIONS(2225),
    [anon_sym_getnetbyname] = ACTIONS(2225),
    [anon_sym_getsockname] = ACTIONS(2225),
    [anon_sym_getgrnam] = ACTIONS(2225),
    [anon_sym_getgrgid] = ACTIONS(2225),
    [anon_sym_hex] = ACTIONS(2225),
    [anon_sym_int] = ACTIONS(2225),
    [anon_sym_keys] = ACTIONS(2225),
    [anon_sym_lc] = ACTIONS(2225),
    [anon_sym_lcfirst] = ACTIONS(2225),
    [anon_sym_length] = ACTIONS(2225),
    [anon_sym_localtime] = ACTIONS(2225),
    [anon_sym_log] = ACTIONS(2225),
    [anon_sym_lock] = ACTIONS(2225),
    [anon_sym_lstat] = ACTIONS(2225),
    [anon_sym_oct] = ACTIONS(2225),
    [anon_sym_ord] = ACTIONS(2225),
    [anon_sym_prototype] = ACTIONS(2225),
    [anon_sym_pop] = ACTIONS(2225),
    [anon_sym_pos] = ACTIONS(2225),
    [anon_sym_quotemeta] = ACTIONS(2225),
    [anon_sym_reset] = ACTIONS(2225),
    [anon_sym_rand] = ACTIONS(2225),
    [anon_sym_rmdir] = ACTIONS(2225),
    [anon_sym_readdir] = ACTIONS(2225),
    [anon_sym_readline] = ACTIONS(2225),
    [anon_sym_readpipe] = ACTIONS(2225),
    [anon_sym_rewinddir] = ACTIONS(2225),
    [anon_sym_readlink] = ACTIONS(2225),
    [anon_sym_ref] = ACTIONS(2225),
    [anon_sym_scalar] = ACTIONS(2225),
    [anon_sym_shift] = ACTIONS(2225),
    [anon_sym_sin] = ACTIONS(2225),
    [anon_sym_sleep] = ACTIONS(2225),
    [anon_sym_sqrt] = ACTIONS(2225),
    [anon_sym_srand] = ACTIONS(2225),
    [anon_sym_stat] = ACTIONS(2225),
    [anon_sym_study] = ACTIONS(2225),
    [anon_sym_tell] = ACTIONS(2225),
    [anon_sym_telldir] = ACTIONS(2225),
    [anon_sym_tied] = ACTIONS(2225),
    [anon_sym_uc] = ACTIONS(2225),
    [anon_sym_ucfirst] = ACTIONS(2225),
    [anon_sym_untie] = ACTIONS(2225),
    [anon_sym_umask] = ACTIONS(2225),
    [anon_sym_values] = ACTIONS(2225),
    [anon_sym_write] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2225),
    [anon_sym___END__] = ACTIONS(2225),
    [anon_sym_EOT] = ACTIONS(2225),
    [anon_sym_q] = ACTIONS(2225),
    [anon_sym_qq] = ACTIONS(2225),
    [anon_sym_qw] = ACTIONS(2225),
    [anon_sym_qx] = ACTIONS(2225),
    [anon_sym_qr] = ACTIONS(2225),
    [anon_sym_m] = ACTIONS(2225),
    [anon_sym_s] = ACTIONS(2225),
    [anon_sym_tr] = ACTIONS(2225),
    [anon_sym_y] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_unless] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_until] = ACTIONS(2225),
    [aux_sym__bareword_token1] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [anon_sym_true] = ACTIONS(2225),
    [anon_sym_false] = ACTIONS(2225),
    [sym__single_quote] = ACTIONS(2223),
    [sym__double_quote] = ACTIONS(2223),
    [sym__backtick_quote] = ACTIONS(2223),
    [sym__search_slash_quote] = ACTIONS(2223),
    [sym__open_readline_bracket] = ACTIONS(2223),
    [sym__open_fileglob_bracket] = ACTIONS(2223),
    [sym__PERLY_HEREDOC] = ACTIONS(2223),
    [sym__ctrl_z_hack] = ACTIONS(2223),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2223),
    [sym__filetest] = ACTIONS(2223),
  },
  [949] = {
    [sym_heredoc_content] = STATE(949),
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym__identifier] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_package] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_role] = ACTIONS(2229),
    [anon_sym_BUILD] = ACTIONS(2229),
    [anon_sym_ADJUST] = ACTIONS(2229),
    [anon_sym_DOLLAR] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_my] = ACTIONS(2229),
    [anon_sym_extended] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_sub] = ACTIONS(2229),
    [anon_sym_method] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_state] = ACTIONS(2229),
    [anon_sym_our] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_defer] = ACTIONS(2229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2229),
    [anon_sym_SLASH_SLASH] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_BSLASH] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_eval] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_field] = ACTIONS(2229),
    [anon_sym_local] = ACTIONS(2229),
    [anon_sym_dynamically] = ACTIONS(2229),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2229),
    [anon_sym_require] = ACTIONS(2229),
    [anon_sym_map] = ACTIONS(2229),
    [anon_sym_grep] = ACTIONS(2229),
    [anon_sym_sort] = ACTIONS(2229),
    [anon_sym_goto] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_undef] = ACTIONS(2229),
    [anon_sym_PERCENT2] = ACTIONS(2229),
    [anon_sym_AMP2] = ACTIONS(2229),
    [anon_sym_STAR2] = ACTIONS(2229),
    [anon_sym_use] = ACTIONS(2229),
    [anon_sym_no] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_foreach] = ACTIONS(2229),
    [anon_sym_last] = ACTIONS(2229),
    [anon_sym_next] = ACTIONS(2229),
    [anon_sym_redo] = ACTIONS(2229),
    [anon_sym_BEGIN] = ACTIONS(2229),
    [anon_sym_INIT] = ACTIONS(2229),
    [anon_sym_CHECK] = ACTIONS(2229),
    [anon_sym_UNITCHECK] = ACTIONS(2229),
    [anon_sym_END] = ACTIONS(2229),
    [anon_sym___FILE__] = ACTIONS(2229),
    [anon_sym___LINE__] = ACTIONS(2229),
    [anon_sym___PACKAGE__] = ACTIONS(2229),
    [anon_sym___SUB__] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_fork] = ACTIONS(2229),
    [anon_sym_getppid] = ACTIONS(2229),
    [anon_sym_time] = ACTIONS(2229),
    [anon_sym_times] = ACTIONS(2229),
    [anon_sym_wait] = ACTIONS(2229),
    [anon_sym_wantarray] = ACTIONS(2229),
    [anon_sym_abs] = ACTIONS(2229),
    [anon_sym_alarm] = ACTIONS(2229),
    [anon_sym_chop] = ACTIONS(2229),
    [anon_sym_chdir] = ACTIONS(2229),
    [anon_sym_close] = ACTIONS(2229),
    [anon_sym_closedir] = ACTIONS(2229),
    [anon_sym_caller] = ACTIONS(2229),
    [anon_sym_chomp] = ACTIONS(2229),
    [anon_sym_chr] = ACTIONS(2229),
    [anon_sym_cos] = ACTIONS(2229),
    [anon_sym_chroot] = ACTIONS(2229),
    [anon_sym_defined] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_dbmclose] = ACTIONS(2229),
    [anon_sym_exists] = ACTIONS(2229),
    [anon_sym_exit] = ACTIONS(2229),
    [anon_sym_eof] = ACTIONS(2229),
    [anon_sym_exp] = ACTIONS(2229),
    [anon_sym_each] = ACTIONS(2229),
    [anon_sym_fc] = ACTIONS(2229),
    [anon_sym_fileno] = ACTIONS(2229),
    [anon_sym_gmtime] = ACTIONS(2229),
    [anon_sym_getc] = ACTIONS(2229),
    [anon_sym_getpgrp] = ACTIONS(2229),
    [anon_sym_getprotobyname] = ACTIONS(2229),
    [anon_sym_getpwname] = ACTIONS(2229),
    [anon_sym_getpwuid] = ACTIONS(2229),
    [anon_sym_getpeername] = ACTIONS(2229),
    [anon_sym_getnetbyname] = ACTIONS(2229),
    [anon_sym_getsockname] = ACTIONS(2229),
    [anon_sym_getgrnam] = ACTIONS(2229),
    [anon_sym_getgrgid] = ACTIONS(2229),
    [anon_sym_hex] = ACTIONS(2229),
    [anon_sym_int] = ACTIONS(2229),
    [anon_sym_keys] = ACTIONS(2229),
    [anon_sym_lc] = ACTIONS(2229),
    [anon_sym_lcfirst] = ACTIONS(2229),
    [anon_sym_length] = ACTIONS(2229),
    [anon_sym_localtime] = ACTIONS(2229),
    [anon_sym_log] = ACTIONS(2229),
    [anon_sym_lock] = ACTIONS(2229),
    [anon_sym_lstat] = ACTIONS(2229),
    [anon_sym_oct] = ACTIONS(2229),
    [anon_sym_ord] = ACTIONS(2229),
    [anon_sym_prototype] = ACTIONS(2229),
    [anon_sym_pop] = ACTIONS(2229),
    [anon_sym_pos] = ACTIONS(2229),
    [anon_sym_quotemeta] = ACTIONS(2229),
    [anon_sym_reset] = ACTIONS(2229),
    [anon_sym_rand] = ACTIONS(2229),
    [anon_sym_rmdir] = ACTIONS(2229),
    [anon_sym_readdir] = ACTIONS(2229),
    [anon_sym_readline] = ACTIONS(2229),
    [anon_sym_readpipe] = ACTIONS(2229),
    [anon_sym_rewinddir] = ACTIONS(2229),
    [anon_sym_readlink] = ACTIONS(2229),
    [anon_sym_ref] = ACTIONS(2229),
    [anon_sym_scalar] = ACTIONS(2229),
    [anon_sym_shift] = ACTIONS(2229),
    [anon_sym_sin] = ACTIONS(2229),
    [anon_sym_sleep] = ACTIONS(2229),
    [anon_sym_sqrt] = ACTIONS(2229),
    [anon_sym_srand] = ACTIONS(2229),
    [anon_sym_stat] = ACTIONS(2229),
    [anon_sym_study] = ACTIONS(2229),
    [anon_sym_tell] = ACTIONS(2229),
    [anon_sym_telldir] = ACTIONS(2229),
    [anon_sym_tied] = ACTIONS(2229),
    [anon_sym_uc] = ACTIONS(2229),
    [anon_sym_ucfirst] = ACTIONS(2229),
    [anon_sym_untie] = ACTIONS(2229),
    [anon_sym_umask] = ACTIONS(2229),
    [anon_sym_values] = ACTIONS(2229),
    [anon_sym_write] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2229),
    [anon_sym___END__] = ACTIONS(2229),
    [anon_sym_EOT] = ACTIONS(2229),
    [anon_sym_q] = ACTIONS(2229),
    [anon_sym_qq] = ACTIONS(2229),
    [anon_sym_qw] = ACTIONS(2229),
    [anon_sym_qx] = ACTIONS(2229),
    [anon_sym_qr] = ACTIONS(2229),
    [anon_sym_m] = ACTIONS(2229),
    [anon_sym_s] = ACTIONS(2229),
    [anon_sym_tr] = ACTIONS(2229),
    [anon_sym_y] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_unless] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_until] = ACTIONS(2229),
    [aux_sym__bareword_token1] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [sym__single_quote] = ACTIONS(2227),
    [sym__double_quote] = ACTIONS(2227),
    [sym__backtick_quote] = ACTIONS(2227),
    [sym__search_slash_quote] = ACTIONS(2227),
    [sym__open_readline_bracket] = ACTIONS(2227),
    [sym__open_fileglob_bracket] = ACTIONS(2227),
    [sym__PERLY_HEREDOC] = ACTIONS(2227),
    [sym__ctrl_z_hack] = ACTIONS(2227),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2227),
    [sym__filetest] = ACTIONS(2227),
  },
  [950] = {
    [sym_heredoc_content] = STATE(950),
    [ts_builtin_sym_end] = ACTIONS(2231),
    [sym__identifier] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_SEMI] = ACTIONS(2233),
    [anon_sym_package] = ACTIONS(2233),
    [anon_sym_class] = ACTIONS(2233),
    [anon_sym_role] = ACTIONS(2233),
    [anon_sym_BUILD] = ACTIONS(2233),
    [anon_sym_ADJUST] = ACTIONS(2233),
    [anon_sym_DOLLAR] = ACTIONS(2233),
    [anon_sym_AT] = ACTIONS(2233),
    [anon_sym_my] = ACTIONS(2233),
    [anon_sym_extended] = ACTIONS(2233),
    [anon_sym_async] = ACTIONS(2233),
    [anon_sym_sub] = ACTIONS(2233),
    [anon_sym_method] = ACTIONS(2233),
    [anon_sym_LPAREN] = ACTIONS(2233),
    [anon_sym_continue] = ACTIONS(2233),
    [anon_sym_state] = ACTIONS(2233),
    [anon_sym_our] = ACTIONS(2233),
    [anon_sym_try] = ACTIONS(2233),
    [anon_sym_defer] = ACTIONS(2233),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LT_LT] = ACTIONS(2233),
    [anon_sym_SLASH_SLASH] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_DASH] = ACTIONS(2233),
    [anon_sym_TILDE] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(2233),
    [anon_sym_PLUS_PLUS] = ACTIONS(2233),
    [anon_sym_DASH_DASH] = ACTIONS(2233),
    [anon_sym_BSLASH] = ACTIONS(2231),
    [anon_sym_do] = ACTIONS(2233),
    [anon_sym_eval] = ACTIONS(2233),
    [anon_sym_await] = ACTIONS(2233),
    [anon_sym_field] = ACTIONS(2233),
    [anon_sym_local] = ACTIONS(2233),
    [anon_sym_dynamically] = ACTIONS(2233),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2233),
    [anon_sym_require] = ACTIONS(2233),
    [anon_sym_map] = ACTIONS(2233),
    [anon_sym_grep] = ACTIONS(2233),
    [anon_sym_sort] = ACTIONS(2233),
    [anon_sym_goto] = ACTIONS(2233),
    [anon_sym_return] = ACTIONS(2233),
    [anon_sym_undef] = ACTIONS(2233),
    [anon_sym_PERCENT2] = ACTIONS(2233),
    [anon_sym_AMP2] = ACTIONS(2233),
    [anon_sym_STAR2] = ACTIONS(2233),
    [anon_sym_use] = ACTIONS(2233),
    [anon_sym_no] = ACTIONS(2233),
    [anon_sym_for] = ACTIONS(2233),
    [anon_sym_foreach] = ACTIONS(2233),
    [anon_sym_last] = ACTIONS(2233),
    [anon_sym_next] = ACTIONS(2233),
    [anon_sym_redo] = ACTIONS(2233),
    [anon_sym_BEGIN] = ACTIONS(2233),
    [anon_sym_INIT] = ACTIONS(2233),
    [anon_sym_CHECK] = ACTIONS(2233),
    [anon_sym_UNITCHECK] = ACTIONS(2233),
    [anon_sym_END] = ACTIONS(2233),
    [anon_sym___FILE__] = ACTIONS(2233),
    [anon_sym___LINE__] = ACTIONS(2233),
    [anon_sym___PACKAGE__] = ACTIONS(2233),
    [anon_sym___SUB__] = ACTIONS(2233),
    [anon_sym_break] = ACTIONS(2233),
    [anon_sym_fork] = ACTIONS(2233),
    [anon_sym_getppid] = ACTIONS(2233),
    [anon_sym_time] = ACTIONS(2233),
    [anon_sym_times] = ACTIONS(2233),
    [anon_sym_wait] = ACTIONS(2233),
    [anon_sym_wantarray] = ACTIONS(2233),
    [anon_sym_abs] = ACTIONS(2233),
    [anon_sym_alarm] = ACTIONS(2233),
    [anon_sym_chop] = ACTIONS(2233),
    [anon_sym_chdir] = ACTIONS(2233),
    [anon_sym_close] = ACTIONS(2233),
    [anon_sym_closedir] = ACTIONS(2233),
    [anon_sym_caller] = ACTIONS(2233),
    [anon_sym_chomp] = ACTIONS(2233),
    [anon_sym_chr] = ACTIONS(2233),
    [anon_sym_cos] = ACTIONS(2233),
    [anon_sym_chroot] = ACTIONS(2233),
    [anon_sym_defined] = ACTIONS(2233),
    [anon_sym_delete] = ACTIONS(2233),
    [anon_sym_dbmclose] = ACTIONS(2233),
    [anon_sym_exists] = ACTIONS(2233),
    [anon_sym_exit] = ACTIONS(2233),
    [anon_sym_eof] = ACTIONS(2233),
    [anon_sym_exp] = ACTIONS(2233),
    [anon_sym_each] = ACTIONS(2233),
    [anon_sym_fc] = ACTIONS(2233),
    [anon_sym_fileno] = ACTIONS(2233),
    [anon_sym_gmtime] = ACTIONS(2233),
    [anon_sym_getc] = ACTIONS(2233),
    [anon_sym_getpgrp] = ACTIONS(2233),
    [anon_sym_getprotobyname] = ACTIONS(2233),
    [anon_sym_getpwname] = ACTIONS(2233),
    [anon_sym_getpwuid] = ACTIONS(2233),
    [anon_sym_getpeername] = ACTIONS(2233),
    [anon_sym_getnetbyname] = ACTIONS(2233),
    [anon_sym_getsockname] = ACTIONS(2233),
    [anon_sym_getgrnam] = ACTIONS(2233),
    [anon_sym_getgrgid] = ACTIONS(2233),
    [anon_sym_hex] = ACTIONS(2233),
    [anon_sym_int] = ACTIONS(2233),
    [anon_sym_keys] = ACTIONS(2233),
    [anon_sym_lc] = ACTIONS(2233),
    [anon_sym_lcfirst] = ACTIONS(2233),
    [anon_sym_length] = ACTIONS(2233),
    [anon_sym_localtime] = ACTIONS(2233),
    [anon_sym_log] = ACTIONS(2233),
    [anon_sym_lock] = ACTIONS(2233),
    [anon_sym_lstat] = ACTIONS(2233),
    [anon_sym_oct] = ACTIONS(2233),
    [anon_sym_ord] = ACTIONS(2233),
    [anon_sym_prototype] = ACTIONS(2233),
    [anon_sym_pop] = ACTIONS(2233),
    [anon_sym_pos] = ACTIONS(2233),
    [anon_sym_quotemeta] = ACTIONS(2233),
    [anon_sym_reset] = ACTIONS(2233),
    [anon_sym_rand] = ACTIONS(2233),
    [anon_sym_rmdir] = ACTIONS(2233),
    [anon_sym_readdir] = ACTIONS(2233),
    [anon_sym_readline] = ACTIONS(2233),
    [anon_sym_readpipe] = ACTIONS(2233),
    [anon_sym_rewinddir] = ACTIONS(2233),
    [anon_sym_readlink] = ACTIONS(2233),
    [anon_sym_ref] = ACTIONS(2233),
    [anon_sym_scalar] = ACTIONS(2233),
    [anon_sym_shift] = ACTIONS(2233),
    [anon_sym_sin] = ACTIONS(2233),
    [anon_sym_sleep] = ACTIONS(2233),
    [anon_sym_sqrt] = ACTIONS(2233),
    [anon_sym_srand] = ACTIONS(2233),
    [anon_sym_stat] = ACTIONS(2233),
    [anon_sym_study] = ACTIONS(2233),
    [anon_sym_tell] = ACTIONS(2233),
    [anon_sym_telldir] = ACTIONS(2233),
    [anon_sym_tied] = ACTIONS(2233),
    [anon_sym_uc] = ACTIONS(2233),
    [anon_sym_ucfirst] = ACTIONS(2233),
    [anon_sym_untie] = ACTIONS(2233),
    [anon_sym_umask] = ACTIONS(2233),
    [anon_sym_values] = ACTIONS(2233),
    [anon_sym_write] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2233),
    [anon_sym___END__] = ACTIONS(2233),
    [anon_sym_EOT] = ACTIONS(2233),
    [anon_sym_q] = ACTIONS(2233),
    [anon_sym_qq] = ACTIONS(2233),
    [anon_sym_qw] = ACTIONS(2233),
    [anon_sym_qx] = ACTIONS(2233),
    [anon_sym_qr] = ACTIONS(2233),
    [anon_sym_m] = ACTIONS(2233),
    [anon_sym_s] = ACTIONS(2233),
    [anon_sym_tr] = ACTIONS(2233),
    [anon_sym_y] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2233),
    [anon_sym_unless] = ACTIONS(2233),
    [anon_sym_while] = ACTIONS(2233),
    [anon_sym_until] = ACTIONS(2233),
    [aux_sym__bareword_token1] = ACTIONS(2233),
    [sym_number] = ACTIONS(2233),
    [anon_sym_true] = ACTIONS(2233),
    [anon_sym_false] = ACTIONS(2233),
    [sym__single_quote] = ACTIONS(2231),
    [sym__double_quote] = ACTIONS(2231),
    [sym__backtick_quote] = ACTIONS(2231),
    [sym__search_slash_quote] = ACTIONS(2231),
    [sym__open_readline_bracket] = ACTIONS(2231),
    [sym__open_fileglob_bracket] = ACTIONS(2231),
    [sym__PERLY_HEREDOC] = ACTIONS(2231),
    [sym__ctrl_z_hack] = ACTIONS(2231),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2231),
    [sym__filetest] = ACTIONS(2231),
  },
  [951] = {
    [sym_heredoc_content] = STATE(951),
    [ts_builtin_sym_end] = ACTIONS(2235),
    [sym__identifier] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_package] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_role] = ACTIONS(2237),
    [anon_sym_BUILD] = ACTIONS(2237),
    [anon_sym_ADJUST] = ACTIONS(2237),
    [anon_sym_DOLLAR] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_my] = ACTIONS(2237),
    [anon_sym_extended] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_sub] = ACTIONS(2237),
    [anon_sym_method] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_state] = ACTIONS(2237),
    [anon_sym_our] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_defer] = ACTIONS(2237),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_SLASH_SLASH] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [anon_sym_BSLASH] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_eval] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_field] = ACTIONS(2237),
    [anon_sym_local] = ACTIONS(2237),
    [anon_sym_dynamically] = ACTIONS(2237),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2237),
    [anon_sym_require] = ACTIONS(2237),
    [anon_sym_map] = ACTIONS(2237),
    [anon_sym_grep] = ACTIONS(2237),
    [anon_sym_sort] = ACTIONS(2237),
    [anon_sym_goto] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_undef] = ACTIONS(2237),
    [anon_sym_PERCENT2] = ACTIONS(2237),
    [anon_sym_AMP2] = ACTIONS(2237),
    [anon_sym_STAR2] = ACTIONS(2237),
    [anon_sym_use] = ACTIONS(2237),
    [anon_sym_no] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_foreach] = ACTIONS(2237),
    [anon_sym_last] = ACTIONS(2237),
    [anon_sym_next] = ACTIONS(2237),
    [anon_sym_redo] = ACTIONS(2237),
    [anon_sym_BEGIN] = ACTIONS(2237),
    [anon_sym_INIT] = ACTIONS(2237),
    [anon_sym_CHECK] = ACTIONS(2237),
    [anon_sym_UNITCHECK] = ACTIONS(2237),
    [anon_sym_END] = ACTIONS(2237),
    [anon_sym___FILE__] = ACTIONS(2237),
    [anon_sym___LINE__] = ACTIONS(2237),
    [anon_sym___PACKAGE__] = ACTIONS(2237),
    [anon_sym___SUB__] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_fork] = ACTIONS(2237),
    [anon_sym_getppid] = ACTIONS(2237),
    [anon_sym_time] = ACTIONS(2237),
    [anon_sym_times] = ACTIONS(2237),
    [anon_sym_wait] = ACTIONS(2237),
    [anon_sym_wantarray] = ACTIONS(2237),
    [anon_sym_abs] = ACTIONS(2237),
    [anon_sym_alarm] = ACTIONS(2237),
    [anon_sym_chop] = ACTIONS(2237),
    [anon_sym_chdir] = ACTIONS(2237),
    [anon_sym_close] = ACTIONS(2237),
    [anon_sym_closedir] = ACTIONS(2237),
    [anon_sym_caller] = ACTIONS(2237),
    [anon_sym_chomp] = ACTIONS(2237),
    [anon_sym_chr] = ACTIONS(2237),
    [anon_sym_cos] = ACTIONS(2237),
    [anon_sym_chroot] = ACTIONS(2237),
    [anon_sym_defined] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_dbmclose] = ACTIONS(2237),
    [anon_sym_exists] = ACTIONS(2237),
    [anon_sym_exit] = ACTIONS(2237),
    [anon_sym_eof] = ACTIONS(2237),
    [anon_sym_exp] = ACTIONS(2237),
    [anon_sym_each] = ACTIONS(2237),
    [anon_sym_fc] = ACTIONS(2237),
    [anon_sym_fileno] = ACTIONS(2237),
    [anon_sym_gmtime] = ACTIONS(2237),
    [anon_sym_getc] = ACTIONS(2237),
    [anon_sym_getpgrp] = ACTIONS(2237),
    [anon_sym_getprotobyname] = ACTIONS(2237),
    [anon_sym_getpwname] = ACTIONS(2237),
    [anon_sym_getpwuid] = ACTIONS(2237),
    [anon_sym_getpeername] = ACTIONS(2237),
    [anon_sym_getnetbyname] = ACTIONS(2237),
    [anon_sym_getsockname] = ACTIONS(2237),
    [anon_sym_getgrnam] = ACTIONS(2237),
    [anon_sym_getgrgid] = ACTIONS(2237),
    [anon_sym_hex] = ACTIONS(2237),
    [anon_sym_int] = ACTIONS(2237),
    [anon_sym_keys] = ACTIONS(2237),
    [anon_sym_lc] = ACTIONS(2237),
    [anon_sym_lcfirst] = ACTIONS(2237),
    [anon_sym_length] = ACTIONS(2237),
    [anon_sym_localtime] = ACTIONS(2237),
    [anon_sym_log] = ACTIONS(2237),
    [anon_sym_lock] = ACTIONS(2237),
    [anon_sym_lstat] = ACTIONS(2237),
    [anon_sym_oct] = ACTIONS(2237),
    [anon_sym_ord] = ACTIONS(2237),
    [anon_sym_prototype] = ACTIONS(2237),
    [anon_sym_pop] = ACTIONS(2237),
    [anon_sym_pos] = ACTIONS(2237),
    [anon_sym_quotemeta] = ACTIONS(2237),
    [anon_sym_reset] = ACTIONS(2237),
    [anon_sym_rand] = ACTIONS(2237),
    [anon_sym_rmdir] = ACTIONS(2237),
    [anon_sym_readdir] = ACTIONS(2237),
    [anon_sym_readline] = ACTIONS(2237),
    [anon_sym_readpipe] = ACTIONS(2237),
    [anon_sym_rewinddir] = ACTIONS(2237),
    [anon_sym_readlink] = ACTIONS(2237),
    [anon_sym_ref] = ACTIONS(2237),
    [anon_sym_scalar] = ACTIONS(2237),
    [anon_sym_shift] = ACTIONS(2237),
    [anon_sym_sin] = ACTIONS(2237),
    [anon_sym_sleep] = ACTIONS(2237),
    [anon_sym_sqrt] = ACTIONS(2237),
    [anon_sym_srand] = ACTIONS(2237),
    [anon_sym_stat] = ACTIONS(2237),
    [anon_sym_study] = ACTIONS(2237),
    [anon_sym_tell] = ACTIONS(2237),
    [anon_sym_telldir] = ACTIONS(2237),
    [anon_sym_tied] = ACTIONS(2237),
    [anon_sym_uc] = ACTIONS(2237),
    [anon_sym_ucfirst] = ACTIONS(2237),
    [anon_sym_untie] = ACTIONS(2237),
    [anon_sym_umask] = ACTIONS(2237),
    [anon_sym_values] = ACTIONS(2237),
    [anon_sym_write] = ACTIONS(2237),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2237),
    [anon_sym___END__] = ACTIONS(2237),
    [anon_sym_EOT] = ACTIONS(2237),
    [anon_sym_q] = ACTIONS(2237),
    [anon_sym_qq] = ACTIONS(2237),
    [anon_sym_qw] = ACTIONS(2237),
    [anon_sym_qx] = ACTIONS(2237),
    [anon_sym_qr] = ACTIONS(2237),
    [anon_sym_m] = ACTIONS(2237),
    [anon_sym_s] = ACTIONS(2237),
    [anon_sym_tr] = ACTIONS(2237),
    [anon_sym_y] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_unless] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_until] = ACTIONS(2237),
    [aux_sym__bareword_token1] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [anon_sym_true] = ACTIONS(2237),
    [anon_sym_false] = ACTIONS(2237),
    [sym__single_quote] = ACTIONS(2235),
    [sym__double_quote] = ACTIONS(2235),
    [sym__backtick_quote] = ACTIONS(2235),
    [sym__search_slash_quote] = ACTIONS(2235),
    [sym__open_readline_bracket] = ACTIONS(2235),
    [sym__open_fileglob_bracket] = ACTIONS(2235),
    [sym__PERLY_HEREDOC] = ACTIONS(2235),
    [sym__ctrl_z_hack] = ACTIONS(2235),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2235),
    [sym__filetest] = ACTIONS(2235),
  },
  [952] = {
    [sym_heredoc_content] = STATE(952),
    [ts_builtin_sym_end] = ACTIONS(2239),
    [sym__identifier] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym_package] = ACTIONS(2241),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_role] = ACTIONS(2241),
    [anon_sym_BUILD] = ACTIONS(2241),
    [anon_sym_ADJUST] = ACTIONS(2241),
    [anon_sym_DOLLAR] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2241),
    [anon_sym_my] = ACTIONS(2241),
    [anon_sym_extended] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_sub] = ACTIONS(2241),
    [anon_sym_method] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_state] = ACTIONS(2241),
    [anon_sym_our] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_defer] = ACTIONS(2241),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_LT_LT] = ACTIONS(2241),
    [anon_sym_SLASH_SLASH] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_BSLASH] = ACTIONS(2239),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_eval] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_field] = ACTIONS(2241),
    [anon_sym_local] = ACTIONS(2241),
    [anon_sym_dynamically] = ACTIONS(2241),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2241),
    [anon_sym_require] = ACTIONS(2241),
    [anon_sym_map] = ACTIONS(2241),
    [anon_sym_grep] = ACTIONS(2241),
    [anon_sym_sort] = ACTIONS(2241),
    [anon_sym_goto] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_undef] = ACTIONS(2241),
    [anon_sym_PERCENT2] = ACTIONS(2241),
    [anon_sym_AMP2] = ACTIONS(2241),
    [anon_sym_STAR2] = ACTIONS(2241),
    [anon_sym_use] = ACTIONS(2241),
    [anon_sym_no] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_foreach] = ACTIONS(2241),
    [anon_sym_last] = ACTIONS(2241),
    [anon_sym_next] = ACTIONS(2241),
    [anon_sym_redo] = ACTIONS(2241),
    [anon_sym_BEGIN] = ACTIONS(2241),
    [anon_sym_INIT] = ACTIONS(2241),
    [anon_sym_CHECK] = ACTIONS(2241),
    [anon_sym_UNITCHECK] = ACTIONS(2241),
    [anon_sym_END] = ACTIONS(2241),
    [anon_sym___FILE__] = ACTIONS(2241),
    [anon_sym___LINE__] = ACTIONS(2241),
    [anon_sym___PACKAGE__] = ACTIONS(2241),
    [anon_sym___SUB__] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_fork] = ACTIONS(2241),
    [anon_sym_getppid] = ACTIONS(2241),
    [anon_sym_time] = ACTIONS(2241),
    [anon_sym_times] = ACTIONS(2241),
    [anon_sym_wait] = ACTIONS(2241),
    [anon_sym_wantarray] = ACTIONS(2241),
    [anon_sym_abs] = ACTIONS(2241),
    [anon_sym_alarm] = ACTIONS(2241),
    [anon_sym_chop] = ACTIONS(2241),
    [anon_sym_chdir] = ACTIONS(2241),
    [anon_sym_close] = ACTIONS(2241),
    [anon_sym_closedir] = ACTIONS(2241),
    [anon_sym_caller] = ACTIONS(2241),
    [anon_sym_chomp] = ACTIONS(2241),
    [anon_sym_chr] = ACTIONS(2241),
    [anon_sym_cos] = ACTIONS(2241),
    [anon_sym_chroot] = ACTIONS(2241),
    [anon_sym_defined] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_dbmclose] = ACTIONS(2241),
    [anon_sym_exists] = ACTIONS(2241),
    [anon_sym_exit] = ACTIONS(2241),
    [anon_sym_eof] = ACTIONS(2241),
    [anon_sym_exp] = ACTIONS(2241),
    [anon_sym_each] = ACTIONS(2241),
    [anon_sym_fc] = ACTIONS(2241),
    [anon_sym_fileno] = ACTIONS(2241),
    [anon_sym_gmtime] = ACTIONS(2241),
    [anon_sym_getc] = ACTIONS(2241),
    [anon_sym_getpgrp] = ACTIONS(2241),
    [anon_sym_getprotobyname] = ACTIONS(2241),
    [anon_sym_getpwname] = ACTIONS(2241),
    [anon_sym_getpwuid] = ACTIONS(2241),
    [anon_sym_getpeername] = ACTIONS(2241),
    [anon_sym_getnetbyname] = ACTIONS(2241),
    [anon_sym_getsockname] = ACTIONS(2241),
    [anon_sym_getgrnam] = ACTIONS(2241),
    [anon_sym_getgrgid] = ACTIONS(2241),
    [anon_sym_hex] = ACTIONS(2241),
    [anon_sym_int] = ACTIONS(2241),
    [anon_sym_keys] = ACTIONS(2241),
    [anon_sym_lc] = ACTIONS(2241),
    [anon_sym_lcfirst] = ACTIONS(2241),
    [anon_sym_length] = ACTIONS(2241),
    [anon_sym_localtime] = ACTIONS(2241),
    [anon_sym_log] = ACTIONS(2241),
    [anon_sym_lock] = ACTIONS(2241),
    [anon_sym_lstat] = ACTIONS(2241),
    [anon_sym_oct] = ACTIONS(2241),
    [anon_sym_ord] = ACTIONS(2241),
    [anon_sym_prototype] = ACTIONS(2241),
    [anon_sym_pop] = ACTIONS(2241),
    [anon_sym_pos] = ACTIONS(2241),
    [anon_sym_quotemeta] = ACTIONS(2241),
    [anon_sym_reset] = ACTIONS(2241),
    [anon_sym_rand] = ACTIONS(2241),
    [anon_sym_rmdir] = ACTIONS(2241),
    [anon_sym_readdir] = ACTIONS(2241),
    [anon_sym_readline] = ACTIONS(2241),
    [anon_sym_readpipe] = ACTIONS(2241),
    [anon_sym_rewinddir] = ACTIONS(2241),
    [anon_sym_readlink] = ACTIONS(2241),
    [anon_sym_ref] = ACTIONS(2241),
    [anon_sym_scalar] = ACTIONS(2241),
    [anon_sym_shift] = ACTIONS(2241),
    [anon_sym_sin] = ACTIONS(2241),
    [anon_sym_sleep] = ACTIONS(2241),
    [anon_sym_sqrt] = ACTIONS(2241),
    [anon_sym_srand] = ACTIONS(2241),
    [anon_sym_stat] = ACTIONS(2241),
    [anon_sym_study] = ACTIONS(2241),
    [anon_sym_tell] = ACTIONS(2241),
    [anon_sym_telldir] = ACTIONS(2241),
    [anon_sym_tied] = ACTIONS(2241),
    [anon_sym_uc] = ACTIONS(2241),
    [anon_sym_ucfirst] = ACTIONS(2241),
    [anon_sym_untie] = ACTIONS(2241),
    [anon_sym_umask] = ACTIONS(2241),
    [anon_sym_values] = ACTIONS(2241),
    [anon_sym_write] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2241),
    [anon_sym___END__] = ACTIONS(2241),
    [anon_sym_EOT] = ACTIONS(2241),
    [anon_sym_q] = ACTIONS(2241),
    [anon_sym_qq] = ACTIONS(2241),
    [anon_sym_qw] = ACTIONS(2241),
    [anon_sym_qx] = ACTIONS(2241),
    [anon_sym_qr] = ACTIONS(2241),
    [anon_sym_m] = ACTIONS(2241),
    [anon_sym_s] = ACTIONS(2241),
    [anon_sym_tr] = ACTIONS(2241),
    [anon_sym_y] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_unless] = ACTIONS(2241),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_until] = ACTIONS(2241),
    [aux_sym__bareword_token1] = ACTIONS(2241),
    [sym_number] = ACTIONS(2241),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [sym__single_quote] = ACTIONS(2239),
    [sym__double_quote] = ACTIONS(2239),
    [sym__backtick_quote] = ACTIONS(2239),
    [sym__search_slash_quote] = ACTIONS(2239),
    [sym__open_readline_bracket] = ACTIONS(2239),
    [sym__open_fileglob_bracket] = ACTIONS(2239),
    [sym__PERLY_HEREDOC] = ACTIONS(2239),
    [sym__ctrl_z_hack] = ACTIONS(2239),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2239),
    [sym__filetest] = ACTIONS(2239),
  },
  [953] = {
    [sym_heredoc_content] = STATE(953),
    [ts_builtin_sym_end] = ACTIONS(2243),
    [sym__identifier] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_SEMI] = ACTIONS(2245),
    [anon_sym_package] = ACTIONS(2245),
    [anon_sym_class] = ACTIONS(2245),
    [anon_sym_role] = ACTIONS(2245),
    [anon_sym_BUILD] = ACTIONS(2245),
    [anon_sym_ADJUST] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2245),
    [anon_sym_AT] = ACTIONS(2245),
    [anon_sym_my] = ACTIONS(2245),
    [anon_sym_extended] = ACTIONS(2245),
    [anon_sym_async] = ACTIONS(2245),
    [anon_sym_sub] = ACTIONS(2245),
    [anon_sym_method] = ACTIONS(2245),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_continue] = ACTIONS(2245),
    [anon_sym_state] = ACTIONS(2245),
    [anon_sym_our] = ACTIONS(2245),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_defer] = ACTIONS(2245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2245),
    [anon_sym_LT_LT] = ACTIONS(2245),
    [anon_sym_SLASH_SLASH] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2245),
    [anon_sym_DASH] = ACTIONS(2245),
    [anon_sym_TILDE] = ACTIONS(2245),
    [anon_sym_BANG] = ACTIONS(2245),
    [anon_sym_PLUS_PLUS] = ACTIONS(2245),
    [anon_sym_DASH_DASH] = ACTIONS(2245),
    [anon_sym_BSLASH] = ACTIONS(2243),
    [anon_sym_do] = ACTIONS(2245),
    [anon_sym_eval] = ACTIONS(2245),
    [anon_sym_await] = ACTIONS(2245),
    [anon_sym_field] = ACTIONS(2245),
    [anon_sym_local] = ACTIONS(2245),
    [anon_sym_dynamically] = ACTIONS(2245),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2245),
    [anon_sym_require] = ACTIONS(2245),
    [anon_sym_map] = ACTIONS(2245),
    [anon_sym_grep] = ACTIONS(2245),
    [anon_sym_sort] = ACTIONS(2245),
    [anon_sym_goto] = ACTIONS(2245),
    [anon_sym_return] = ACTIONS(2245),
    [anon_sym_undef] = ACTIONS(2245),
    [anon_sym_PERCENT2] = ACTIONS(2245),
    [anon_sym_AMP2] = ACTIONS(2245),
    [anon_sym_STAR2] = ACTIONS(2245),
    [anon_sym_use] = ACTIONS(2245),
    [anon_sym_no] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2245),
    [anon_sym_foreach] = ACTIONS(2245),
    [anon_sym_last] = ACTIONS(2245),
    [anon_sym_next] = ACTIONS(2245),
    [anon_sym_redo] = ACTIONS(2245),
    [anon_sym_BEGIN] = ACTIONS(2245),
    [anon_sym_INIT] = ACTIONS(2245),
    [anon_sym_CHECK] = ACTIONS(2245),
    [anon_sym_UNITCHECK] = ACTIONS(2245),
    [anon_sym_END] = ACTIONS(2245),
    [anon_sym___FILE__] = ACTIONS(2245),
    [anon_sym___LINE__] = ACTIONS(2245),
    [anon_sym___PACKAGE__] = ACTIONS(2245),
    [anon_sym___SUB__] = ACTIONS(2245),
    [anon_sym_break] = ACTIONS(2245),
    [anon_sym_fork] = ACTIONS(2245),
    [anon_sym_getppid] = ACTIONS(2245),
    [anon_sym_time] = ACTIONS(2245),
    [anon_sym_times] = ACTIONS(2245),
    [anon_sym_wait] = ACTIONS(2245),
    [anon_sym_wantarray] = ACTIONS(2245),
    [anon_sym_abs] = ACTIONS(2245),
    [anon_sym_alarm] = ACTIONS(2245),
    [anon_sym_chop] = ACTIONS(2245),
    [anon_sym_chdir] = ACTIONS(2245),
    [anon_sym_close] = ACTIONS(2245),
    [anon_sym_closedir] = ACTIONS(2245),
    [anon_sym_caller] = ACTIONS(2245),
    [anon_sym_chomp] = ACTIONS(2245),
    [anon_sym_chr] = ACTIONS(2245),
    [anon_sym_cos] = ACTIONS(2245),
    [anon_sym_chroot] = ACTIONS(2245),
    [anon_sym_defined] = ACTIONS(2245),
    [anon_sym_delete] = ACTIONS(2245),
    [anon_sym_dbmclose] = ACTIONS(2245),
    [anon_sym_exists] = ACTIONS(2245),
    [anon_sym_exit] = ACTIONS(2245),
    [anon_sym_eof] = ACTIONS(2245),
    [anon_sym_exp] = ACTIONS(2245),
    [anon_sym_each] = ACTIONS(2245),
    [anon_sym_fc] = ACTIONS(2245),
    [anon_sym_fileno] = ACTIONS(2245),
    [anon_sym_gmtime] = ACTIONS(2245),
    [anon_sym_getc] = ACTIONS(2245),
    [anon_sym_getpgrp] = ACTIONS(2245),
    [anon_sym_getprotobyname] = ACTIONS(2245),
    [anon_sym_getpwname] = ACTIONS(2245),
    [anon_sym_getpwuid] = ACTIONS(2245),
    [anon_sym_getpeername] = ACTIONS(2245),
    [anon_sym_getnetbyname] = ACTIONS(2245),
    [anon_sym_getsockname] = ACTIONS(2245),
    [anon_sym_getgrnam] = ACTIONS(2245),
    [anon_sym_getgrgid] = ACTIONS(2245),
    [anon_sym_hex] = ACTIONS(2245),
    [anon_sym_int] = ACTIONS(2245),
    [anon_sym_keys] = ACTIONS(2245),
    [anon_sym_lc] = ACTIONS(2245),
    [anon_sym_lcfirst] = ACTIONS(2245),
    [anon_sym_length] = ACTIONS(2245),
    [anon_sym_localtime] = ACTIONS(2245),
    [anon_sym_log] = ACTIONS(2245),
    [anon_sym_lock] = ACTIONS(2245),
    [anon_sym_lstat] = ACTIONS(2245),
    [anon_sym_oct] = ACTIONS(2245),
    [anon_sym_ord] = ACTIONS(2245),
    [anon_sym_prototype] = ACTIONS(2245),
    [anon_sym_pop] = ACTIONS(2245),
    [anon_sym_pos] = ACTIONS(2245),
    [anon_sym_quotemeta] = ACTIONS(2245),
    [anon_sym_reset] = ACTIONS(2245),
    [anon_sym_rand] = ACTIONS(2245),
    [anon_sym_rmdir] = ACTIONS(2245),
    [anon_sym_readdir] = ACTIONS(2245),
    [anon_sym_readline] = ACTIONS(2245),
    [anon_sym_readpipe] = ACTIONS(2245),
    [anon_sym_rewinddir] = ACTIONS(2245),
    [anon_sym_readlink] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2245),
    [anon_sym_scalar] = ACTIONS(2245),
    [anon_sym_shift] = ACTIONS(2245),
    [anon_sym_sin] = ACTIONS(2245),
    [anon_sym_sleep] = ACTIONS(2245),
    [anon_sym_sqrt] = ACTIONS(2245),
    [anon_sym_srand] = ACTIONS(2245),
    [anon_sym_stat] = ACTIONS(2245),
    [anon_sym_study] = ACTIONS(2245),
    [anon_sym_tell] = ACTIONS(2245),
    [anon_sym_telldir] = ACTIONS(2245),
    [anon_sym_tied] = ACTIONS(2245),
    [anon_sym_uc] = ACTIONS(2245),
    [anon_sym_ucfirst] = ACTIONS(2245),
    [anon_sym_untie] = ACTIONS(2245),
    [anon_sym_umask] = ACTIONS(2245),
    [anon_sym_values] = ACTIONS(2245),
    [anon_sym_write] = ACTIONS(2245),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2245),
    [anon_sym___END__] = ACTIONS(2245),
    [anon_sym_EOT] = ACTIONS(2245),
    [anon_sym_q] = ACTIONS(2245),
    [anon_sym_qq] = ACTIONS(2245),
    [anon_sym_qw] = ACTIONS(2245),
    [anon_sym_qx] = ACTIONS(2245),
    [anon_sym_qr] = ACTIONS(2245),
    [anon_sym_m] = ACTIONS(2245),
    [anon_sym_s] = ACTIONS(2245),
    [anon_sym_tr] = ACTIONS(2245),
    [anon_sym_y] = ACTIONS(2245),
    [anon_sym_if] = ACTIONS(2245),
    [anon_sym_unless] = ACTIONS(2245),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_until] = ACTIONS(2245),
    [aux_sym__bareword_token1] = ACTIONS(2245),
    [sym_number] = ACTIONS(2245),
    [anon_sym_true] = ACTIONS(2245),
    [anon_sym_false] = ACTIONS(2245),
    [sym__single_quote] = ACTIONS(2243),
    [sym__double_quote] = ACTIONS(2243),
    [sym__backtick_quote] = ACTIONS(2243),
    [sym__search_slash_quote] = ACTIONS(2243),
    [sym__open_readline_bracket] = ACTIONS(2243),
    [sym__open_fileglob_bracket] = ACTIONS(2243),
    [sym__PERLY_HEREDOC] = ACTIONS(2243),
    [sym__ctrl_z_hack] = ACTIONS(2243),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2243),
    [sym__filetest] = ACTIONS(2243),
  },
  [954] = {
    [sym_heredoc_content] = STATE(954),
    [ts_builtin_sym_end] = ACTIONS(2247),
    [sym__identifier] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_package] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_role] = ACTIONS(2249),
    [anon_sym_BUILD] = ACTIONS(2249),
    [anon_sym_ADJUST] = ACTIONS(2249),
    [anon_sym_DOLLAR] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_my] = ACTIONS(2249),
    [anon_sym_extended] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_sub] = ACTIONS(2249),
    [anon_sym_method] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_state] = ACTIONS(2249),
    [anon_sym_our] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_defer] = ACTIONS(2249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LT_LT] = ACTIONS(2249),
    [anon_sym_SLASH_SLASH] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_BSLASH] = ACTIONS(2247),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_eval] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_field] = ACTIONS(2249),
    [anon_sym_local] = ACTIONS(2249),
    [anon_sym_dynamically] = ACTIONS(2249),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2249),
    [anon_sym_require] = ACTIONS(2249),
    [anon_sym_map] = ACTIONS(2249),
    [anon_sym_grep] = ACTIONS(2249),
    [anon_sym_sort] = ACTIONS(2249),
    [anon_sym_goto] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_undef] = ACTIONS(2249),
    [anon_sym_PERCENT2] = ACTIONS(2249),
    [anon_sym_AMP2] = ACTIONS(2249),
    [anon_sym_STAR2] = ACTIONS(2249),
    [anon_sym_use] = ACTIONS(2249),
    [anon_sym_no] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_foreach] = ACTIONS(2249),
    [anon_sym_last] = ACTIONS(2249),
    [anon_sym_next] = ACTIONS(2249),
    [anon_sym_redo] = ACTIONS(2249),
    [anon_sym_BEGIN] = ACTIONS(2249),
    [anon_sym_INIT] = ACTIONS(2249),
    [anon_sym_CHECK] = ACTIONS(2249),
    [anon_sym_UNITCHECK] = ACTIONS(2249),
    [anon_sym_END] = ACTIONS(2249),
    [anon_sym___FILE__] = ACTIONS(2249),
    [anon_sym___LINE__] = ACTIONS(2249),
    [anon_sym___PACKAGE__] = ACTIONS(2249),
    [anon_sym___SUB__] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_fork] = ACTIONS(2249),
    [anon_sym_getppid] = ACTIONS(2249),
    [anon_sym_time] = ACTIONS(2249),
    [anon_sym_times] = ACTIONS(2249),
    [anon_sym_wait] = ACTIONS(2249),
    [anon_sym_wantarray] = ACTIONS(2249),
    [anon_sym_abs] = ACTIONS(2249),
    [anon_sym_alarm] = ACTIONS(2249),
    [anon_sym_chop] = ACTIONS(2249),
    [anon_sym_chdir] = ACTIONS(2249),
    [anon_sym_close] = ACTIONS(2249),
    [anon_sym_closedir] = ACTIONS(2249),
    [anon_sym_caller] = ACTIONS(2249),
    [anon_sym_chomp] = ACTIONS(2249),
    [anon_sym_chr] = ACTIONS(2249),
    [anon_sym_cos] = ACTIONS(2249),
    [anon_sym_chroot] = ACTIONS(2249),
    [anon_sym_defined] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_dbmclose] = ACTIONS(2249),
    [anon_sym_exists] = ACTIONS(2249),
    [anon_sym_exit] = ACTIONS(2249),
    [anon_sym_eof] = ACTIONS(2249),
    [anon_sym_exp] = ACTIONS(2249),
    [anon_sym_each] = ACTIONS(2249),
    [anon_sym_fc] = ACTIONS(2249),
    [anon_sym_fileno] = ACTIONS(2249),
    [anon_sym_gmtime] = ACTIONS(2249),
    [anon_sym_getc] = ACTIONS(2249),
    [anon_sym_getpgrp] = ACTIONS(2249),
    [anon_sym_getprotobyname] = ACTIONS(2249),
    [anon_sym_getpwname] = ACTIONS(2249),
    [anon_sym_getpwuid] = ACTIONS(2249),
    [anon_sym_getpeername] = ACTIONS(2249),
    [anon_sym_getnetbyname] = ACTIONS(2249),
    [anon_sym_getsockname] = ACTIONS(2249),
    [anon_sym_getgrnam] = ACTIONS(2249),
    [anon_sym_getgrgid] = ACTIONS(2249),
    [anon_sym_hex] = ACTIONS(2249),
    [anon_sym_int] = ACTIONS(2249),
    [anon_sym_keys] = ACTIONS(2249),
    [anon_sym_lc] = ACTIONS(2249),
    [anon_sym_lcfirst] = ACTIONS(2249),
    [anon_sym_length] = ACTIONS(2249),
    [anon_sym_localtime] = ACTIONS(2249),
    [anon_sym_log] = ACTIONS(2249),
    [anon_sym_lock] = ACTIONS(2249),
    [anon_sym_lstat] = ACTIONS(2249),
    [anon_sym_oct] = ACTIONS(2249),
    [anon_sym_ord] = ACTIONS(2249),
    [anon_sym_prototype] = ACTIONS(2249),
    [anon_sym_pop] = ACTIONS(2249),
    [anon_sym_pos] = ACTIONS(2249),
    [anon_sym_quotemeta] = ACTIONS(2249),
    [anon_sym_reset] = ACTIONS(2249),
    [anon_sym_rand] = ACTIONS(2249),
    [anon_sym_rmdir] = ACTIONS(2249),
    [anon_sym_readdir] = ACTIONS(2249),
    [anon_sym_readline] = ACTIONS(2249),
    [anon_sym_readpipe] = ACTIONS(2249),
    [anon_sym_rewinddir] = ACTIONS(2249),
    [anon_sym_readlink] = ACTIONS(2249),
    [anon_sym_ref] = ACTIONS(2249),
    [anon_sym_scalar] = ACTIONS(2249),
    [anon_sym_shift] = ACTIONS(2249),
    [anon_sym_sin] = ACTIONS(2249),
    [anon_sym_sleep] = ACTIONS(2249),
    [anon_sym_sqrt] = ACTIONS(2249),
    [anon_sym_srand] = ACTIONS(2249),
    [anon_sym_stat] = ACTIONS(2249),
    [anon_sym_study] = ACTIONS(2249),
    [anon_sym_tell] = ACTIONS(2249),
    [anon_sym_telldir] = ACTIONS(2249),
    [anon_sym_tied] = ACTIONS(2249),
    [anon_sym_uc] = ACTIONS(2249),
    [anon_sym_ucfirst] = ACTIONS(2249),
    [anon_sym_untie] = ACTIONS(2249),
    [anon_sym_umask] = ACTIONS(2249),
    [anon_sym_values] = ACTIONS(2249),
    [anon_sym_write] = ACTIONS(2249),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2249),
    [anon_sym___END__] = ACTIONS(2249),
    [anon_sym_EOT] = ACTIONS(2249),
    [anon_sym_q] = ACTIONS(2249),
    [anon_sym_qq] = ACTIONS(2249),
    [anon_sym_qw] = ACTIONS(2249),
    [anon_sym_qx] = ACTIONS(2249),
    [anon_sym_qr] = ACTIONS(2249),
    [anon_sym_m] = ACTIONS(2249),
    [anon_sym_s] = ACTIONS(2249),
    [anon_sym_tr] = ACTIONS(2249),
    [anon_sym_y] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_unless] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_until] = ACTIONS(2249),
    [aux_sym__bareword_token1] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [sym__single_quote] = ACTIONS(2247),
    [sym__double_quote] = ACTIONS(2247),
    [sym__backtick_quote] = ACTIONS(2247),
    [sym__search_slash_quote] = ACTIONS(2247),
    [sym__open_readline_bracket] = ACTIONS(2247),
    [sym__open_fileglob_bracket] = ACTIONS(2247),
    [sym__PERLY_HEREDOC] = ACTIONS(2247),
    [sym__ctrl_z_hack] = ACTIONS(2247),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2247),
    [sym__filetest] = ACTIONS(2247),
  },
  [955] = {
    [sym_heredoc_content] = STATE(955),
    [ts_builtin_sym_end] = ACTIONS(2251),
    [sym__identifier] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_package] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_role] = ACTIONS(2253),
    [anon_sym_BUILD] = ACTIONS(2253),
    [anon_sym_ADJUST] = ACTIONS(2253),
    [anon_sym_DOLLAR] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_my] = ACTIONS(2253),
    [anon_sym_extended] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_sub] = ACTIONS(2253),
    [anon_sym_method] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_state] = ACTIONS(2253),
    [anon_sym_our] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_defer] = ACTIONS(2253),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_SLASH_SLASH] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_BSLASH] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_eval] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_field] = ACTIONS(2253),
    [anon_sym_local] = ACTIONS(2253),
    [anon_sym_dynamically] = ACTIONS(2253),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2253),
    [anon_sym_require] = ACTIONS(2253),
    [anon_sym_map] = ACTIONS(2253),
    [anon_sym_grep] = ACTIONS(2253),
    [anon_sym_sort] = ACTIONS(2253),
    [anon_sym_goto] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_undef] = ACTIONS(2253),
    [anon_sym_PERCENT2] = ACTIONS(2253),
    [anon_sym_AMP2] = ACTIONS(2253),
    [anon_sym_STAR2] = ACTIONS(2253),
    [anon_sym_use] = ACTIONS(2253),
    [anon_sym_no] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_foreach] = ACTIONS(2253),
    [anon_sym_last] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2253),
    [anon_sym_redo] = ACTIONS(2253),
    [anon_sym_BEGIN] = ACTIONS(2253),
    [anon_sym_INIT] = ACTIONS(2253),
    [anon_sym_CHECK] = ACTIONS(2253),
    [anon_sym_UNITCHECK] = ACTIONS(2253),
    [anon_sym_END] = ACTIONS(2253),
    [anon_sym___FILE__] = ACTIONS(2253),
    [anon_sym___LINE__] = ACTIONS(2253),
    [anon_sym___PACKAGE__] = ACTIONS(2253),
    [anon_sym___SUB__] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_fork] = ACTIONS(2253),
    [anon_sym_getppid] = ACTIONS(2253),
    [anon_sym_time] = ACTIONS(2253),
    [anon_sym_times] = ACTIONS(2253),
    [anon_sym_wait] = ACTIONS(2253),
    [anon_sym_wantarray] = ACTIONS(2253),
    [anon_sym_abs] = ACTIONS(2253),
    [anon_sym_alarm] = ACTIONS(2253),
    [anon_sym_chop] = ACTIONS(2253),
    [anon_sym_chdir] = ACTIONS(2253),
    [anon_sym_close] = ACTIONS(2253),
    [anon_sym_closedir] = ACTIONS(2253),
    [anon_sym_caller] = ACTIONS(2253),
    [anon_sym_chomp] = ACTIONS(2253),
    [anon_sym_chr] = ACTIONS(2253),
    [anon_sym_cos] = ACTIONS(2253),
    [anon_sym_chroot] = ACTIONS(2253),
    [anon_sym_defined] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_dbmclose] = ACTIONS(2253),
    [anon_sym_exists] = ACTIONS(2253),
    [anon_sym_exit] = ACTIONS(2253),
    [anon_sym_eof] = ACTIONS(2253),
    [anon_sym_exp] = ACTIONS(2253),
    [anon_sym_each] = ACTIONS(2253),
    [anon_sym_fc] = ACTIONS(2253),
    [anon_sym_fileno] = ACTIONS(2253),
    [anon_sym_gmtime] = ACTIONS(2253),
    [anon_sym_getc] = ACTIONS(2253),
    [anon_sym_getpgrp] = ACTIONS(2253),
    [anon_sym_getprotobyname] = ACTIONS(2253),
    [anon_sym_getpwname] = ACTIONS(2253),
    [anon_sym_getpwuid] = ACTIONS(2253),
    [anon_sym_getpeername] = ACTIONS(2253),
    [anon_sym_getnetbyname] = ACTIONS(2253),
    [anon_sym_getsockname] = ACTIONS(2253),
    [anon_sym_getgrnam] = ACTIONS(2253),
    [anon_sym_getgrgid] = ACTIONS(2253),
    [anon_sym_hex] = ACTIONS(2253),
    [anon_sym_int] = ACTIONS(2253),
    [anon_sym_keys] = ACTIONS(2253),
    [anon_sym_lc] = ACTIONS(2253),
    [anon_sym_lcfirst] = ACTIONS(2253),
    [anon_sym_length] = ACTIONS(2253),
    [anon_sym_localtime] = ACTIONS(2253),
    [anon_sym_log] = ACTIONS(2253),
    [anon_sym_lock] = ACTIONS(2253),
    [anon_sym_lstat] = ACTIONS(2253),
    [anon_sym_oct] = ACTIONS(2253),
    [anon_sym_ord] = ACTIONS(2253),
    [anon_sym_prototype] = ACTIONS(2253),
    [anon_sym_pop] = ACTIONS(2253),
    [anon_sym_pos] = ACTIONS(2253),
    [anon_sym_quotemeta] = ACTIONS(2253),
    [anon_sym_reset] = ACTIONS(2253),
    [anon_sym_rand] = ACTIONS(2253),
    [anon_sym_rmdir] = ACTIONS(2253),
    [anon_sym_readdir] = ACTIONS(2253),
    [anon_sym_readline] = ACTIONS(2253),
    [anon_sym_readpipe] = ACTIONS(2253),
    [anon_sym_rewinddir] = ACTIONS(2253),
    [anon_sym_readlink] = ACTIONS(2253),
    [anon_sym_ref] = ACTIONS(2253),
    [anon_sym_scalar] = ACTIONS(2253),
    [anon_sym_shift] = ACTIONS(2253),
    [anon_sym_sin] = ACTIONS(2253),
    [anon_sym_sleep] = ACTIONS(2253),
    [anon_sym_sqrt] = ACTIONS(2253),
    [anon_sym_srand] = ACTIONS(2253),
    [anon_sym_stat] = ACTIONS(2253),
    [anon_sym_study] = ACTIONS(2253),
    [anon_sym_tell] = ACTIONS(2253),
    [anon_sym_telldir] = ACTIONS(2253),
    [anon_sym_tied] = ACTIONS(2253),
    [anon_sym_uc] = ACTIONS(2253),
    [anon_sym_ucfirst] = ACTIONS(2253),
    [anon_sym_untie] = ACTIONS(2253),
    [anon_sym_umask] = ACTIONS(2253),
    [anon_sym_values] = ACTIONS(2253),
    [anon_sym_write] = ACTIONS(2253),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2253),
    [anon_sym___END__] = ACTIONS(2253),
    [anon_sym_EOT] = ACTIONS(2253),
    [anon_sym_q] = ACTIONS(2253),
    [anon_sym_qq] = ACTIONS(2253),
    [anon_sym_qw] = ACTIONS(2253),
    [anon_sym_qx] = ACTIONS(2253),
    [anon_sym_qr] = ACTIONS(2253),
    [anon_sym_m] = ACTIONS(2253),
    [anon_sym_s] = ACTIONS(2253),
    [anon_sym_tr] = ACTIONS(2253),
    [anon_sym_y] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_unless] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_until] = ACTIONS(2253),
    [aux_sym__bareword_token1] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(2253),
    [anon_sym_false] = ACTIONS(2253),
    [sym__single_quote] = ACTIONS(2251),
    [sym__double_quote] = ACTIONS(2251),
    [sym__backtick_quote] = ACTIONS(2251),
    [sym__search_slash_quote] = ACTIONS(2251),
    [sym__open_readline_bracket] = ACTIONS(2251),
    [sym__open_fileglob_bracket] = ACTIONS(2251),
    [sym__PERLY_HEREDOC] = ACTIONS(2251),
    [sym__ctrl_z_hack] = ACTIONS(2251),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2251),
    [sym__filetest] = ACTIONS(2251),
  },
  [956] = {
    [sym_heredoc_content] = STATE(956),
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym__identifier] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_package] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_role] = ACTIONS(2257),
    [anon_sym_BUILD] = ACTIONS(2257),
    [anon_sym_ADJUST] = ACTIONS(2257),
    [anon_sym_DOLLAR] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_my] = ACTIONS(2257),
    [anon_sym_extended] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_sub] = ACTIONS(2257),
    [anon_sym_method] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_state] = ACTIONS(2257),
    [anon_sym_our] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_defer] = ACTIONS(2257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LT_LT] = ACTIONS(2257),
    [anon_sym_SLASH_SLASH] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [anon_sym_BSLASH] = ACTIONS(2255),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_eval] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_field] = ACTIONS(2257),
    [anon_sym_local] = ACTIONS(2257),
    [anon_sym_dynamically] = ACTIONS(2257),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2257),
    [anon_sym_require] = ACTIONS(2257),
    [anon_sym_map] = ACTIONS(2257),
    [anon_sym_grep] = ACTIONS(2257),
    [anon_sym_sort] = ACTIONS(2257),
    [anon_sym_goto] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_undef] = ACTIONS(2257),
    [anon_sym_PERCENT2] = ACTIONS(2257),
    [anon_sym_AMP2] = ACTIONS(2257),
    [anon_sym_STAR2] = ACTIONS(2257),
    [anon_sym_use] = ACTIONS(2257),
    [anon_sym_no] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_foreach] = ACTIONS(2257),
    [anon_sym_last] = ACTIONS(2257),
    [anon_sym_next] = ACTIONS(2257),
    [anon_sym_redo] = ACTIONS(2257),
    [anon_sym_BEGIN] = ACTIONS(2257),
    [anon_sym_INIT] = ACTIONS(2257),
    [anon_sym_CHECK] = ACTIONS(2257),
    [anon_sym_UNITCHECK] = ACTIONS(2257),
    [anon_sym_END] = ACTIONS(2257),
    [anon_sym___FILE__] = ACTIONS(2257),
    [anon_sym___LINE__] = ACTIONS(2257),
    [anon_sym___PACKAGE__] = ACTIONS(2257),
    [anon_sym___SUB__] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_fork] = ACTIONS(2257),
    [anon_sym_getppid] = ACTIONS(2257),
    [anon_sym_time] = ACTIONS(2257),
    [anon_sym_times] = ACTIONS(2257),
    [anon_sym_wait] = ACTIONS(2257),
    [anon_sym_wantarray] = ACTIONS(2257),
    [anon_sym_abs] = ACTIONS(2257),
    [anon_sym_alarm] = ACTIONS(2257),
    [anon_sym_chop] = ACTIONS(2257),
    [anon_sym_chdir] = ACTIONS(2257),
    [anon_sym_close] = ACTIONS(2257),
    [anon_sym_closedir] = ACTIONS(2257),
    [anon_sym_caller] = ACTIONS(2257),
    [anon_sym_chomp] = ACTIONS(2257),
    [anon_sym_chr] = ACTIONS(2257),
    [anon_sym_cos] = ACTIONS(2257),
    [anon_sym_chroot] = ACTIONS(2257),
    [anon_sym_defined] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_dbmclose] = ACTIONS(2257),
    [anon_sym_exists] = ACTIONS(2257),
    [anon_sym_exit] = ACTIONS(2257),
    [anon_sym_eof] = ACTIONS(2257),
    [anon_sym_exp] = ACTIONS(2257),
    [anon_sym_each] = ACTIONS(2257),
    [anon_sym_fc] = ACTIONS(2257),
    [anon_sym_fileno] = ACTIONS(2257),
    [anon_sym_gmtime] = ACTIONS(2257),
    [anon_sym_getc] = ACTIONS(2257),
    [anon_sym_getpgrp] = ACTIONS(2257),
    [anon_sym_getprotobyname] = ACTIONS(2257),
    [anon_sym_getpwname] = ACTIONS(2257),
    [anon_sym_getpwuid] = ACTIONS(2257),
    [anon_sym_getpeername] = ACTIONS(2257),
    [anon_sym_getnetbyname] = ACTIONS(2257),
    [anon_sym_getsockname] = ACTIONS(2257),
    [anon_sym_getgrnam] = ACTIONS(2257),
    [anon_sym_getgrgid] = ACTIONS(2257),
    [anon_sym_hex] = ACTIONS(2257),
    [anon_sym_int] = ACTIONS(2257),
    [anon_sym_keys] = ACTIONS(2257),
    [anon_sym_lc] = ACTIONS(2257),
    [anon_sym_lcfirst] = ACTIONS(2257),
    [anon_sym_length] = ACTIONS(2257),
    [anon_sym_localtime] = ACTIONS(2257),
    [anon_sym_log] = ACTIONS(2257),
    [anon_sym_lock] = ACTIONS(2257),
    [anon_sym_lstat] = ACTIONS(2257),
    [anon_sym_oct] = ACTIONS(2257),
    [anon_sym_ord] = ACTIONS(2257),
    [anon_sym_prototype] = ACTIONS(2257),
    [anon_sym_pop] = ACTIONS(2257),
    [anon_sym_pos] = ACTIONS(2257),
    [anon_sym_quotemeta] = ACTIONS(2257),
    [anon_sym_reset] = ACTIONS(2257),
    [anon_sym_rand] = ACTIONS(2257),
    [anon_sym_rmdir] = ACTIONS(2257),
    [anon_sym_readdir] = ACTIONS(2257),
    [anon_sym_readline] = ACTIONS(2257),
    [anon_sym_readpipe] = ACTIONS(2257),
    [anon_sym_rewinddir] = ACTIONS(2257),
    [anon_sym_readlink] = ACTIONS(2257),
    [anon_sym_ref] = ACTIONS(2257),
    [anon_sym_scalar] = ACTIONS(2257),
    [anon_sym_shift] = ACTIONS(2257),
    [anon_sym_sin] = ACTIONS(2257),
    [anon_sym_sleep] = ACTIONS(2257),
    [anon_sym_sqrt] = ACTIONS(2257),
    [anon_sym_srand] = ACTIONS(2257),
    [anon_sym_stat] = ACTIONS(2257),
    [anon_sym_study] = ACTIONS(2257),
    [anon_sym_tell] = ACTIONS(2257),
    [anon_sym_telldir] = ACTIONS(2257),
    [anon_sym_tied] = ACTIONS(2257),
    [anon_sym_uc] = ACTIONS(2257),
    [anon_sym_ucfirst] = ACTIONS(2257),
    [anon_sym_untie] = ACTIONS(2257),
    [anon_sym_umask] = ACTIONS(2257),
    [anon_sym_values] = ACTIONS(2257),
    [anon_sym_write] = ACTIONS(2257),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2257),
    [anon_sym___END__] = ACTIONS(2257),
    [anon_sym_EOT] = ACTIONS(2257),
    [anon_sym_q] = ACTIONS(2257),
    [anon_sym_qq] = ACTIONS(2257),
    [anon_sym_qw] = ACTIONS(2257),
    [anon_sym_qx] = ACTIONS(2257),
    [anon_sym_qr] = ACTIONS(2257),
    [anon_sym_m] = ACTIONS(2257),
    [anon_sym_s] = ACTIONS(2257),
    [anon_sym_tr] = ACTIONS(2257),
    [anon_sym_y] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_unless] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_until] = ACTIONS(2257),
    [aux_sym__bareword_token1] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(2257),
    [anon_sym_false] = ACTIONS(2257),
    [sym__single_quote] = ACTIONS(2255),
    [sym__double_quote] = ACTIONS(2255),
    [sym__backtick_quote] = ACTIONS(2255),
    [sym__search_slash_quote] = ACTIONS(2255),
    [sym__open_readline_bracket] = ACTIONS(2255),
    [sym__open_fileglob_bracket] = ACTIONS(2255),
    [sym__PERLY_HEREDOC] = ACTIONS(2255),
    [sym__ctrl_z_hack] = ACTIONS(2255),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2255),
    [sym__filetest] = ACTIONS(2255),
  },
  [957] = {
    [sym_heredoc_content] = STATE(957),
    [ts_builtin_sym_end] = ACTIONS(2259),
    [sym__identifier] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2261),
    [anon_sym_package] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_role] = ACTIONS(2261),
    [anon_sym_BUILD] = ACTIONS(2261),
    [anon_sym_ADJUST] = ACTIONS(2261),
    [anon_sym_DOLLAR] = ACTIONS(2261),
    [anon_sym_AT] = ACTIONS(2261),
    [anon_sym_my] = ACTIONS(2261),
    [anon_sym_extended] = ACTIONS(2261),
    [anon_sym_async] = ACTIONS(2261),
    [anon_sym_sub] = ACTIONS(2261),
    [anon_sym_method] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_state] = ACTIONS(2261),
    [anon_sym_our] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_defer] = ACTIONS(2261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_SLASH_SLASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2261),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_PLUS_PLUS] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2261),
    [anon_sym_BSLASH] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_eval] = ACTIONS(2261),
    [anon_sym_await] = ACTIONS(2261),
    [anon_sym_field] = ACTIONS(2261),
    [anon_sym_local] = ACTIONS(2261),
    [anon_sym_dynamically] = ACTIONS(2261),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2261),
    [anon_sym_require] = ACTIONS(2261),
    [anon_sym_map] = ACTIONS(2261),
    [anon_sym_grep] = ACTIONS(2261),
    [anon_sym_sort] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_undef] = ACTIONS(2261),
    [anon_sym_PERCENT2] = ACTIONS(2261),
    [anon_sym_AMP2] = ACTIONS(2261),
    [anon_sym_STAR2] = ACTIONS(2261),
    [anon_sym_use] = ACTIONS(2261),
    [anon_sym_no] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_foreach] = ACTIONS(2261),
    [anon_sym_last] = ACTIONS(2261),
    [anon_sym_next] = ACTIONS(2261),
    [anon_sym_redo] = ACTIONS(2261),
    [anon_sym_BEGIN] = ACTIONS(2261),
    [anon_sym_INIT] = ACTIONS(2261),
    [anon_sym_CHECK] = ACTIONS(2261),
    [anon_sym_UNITCHECK] = ACTIONS(2261),
    [anon_sym_END] = ACTIONS(2261),
    [anon_sym___FILE__] = ACTIONS(2261),
    [anon_sym___LINE__] = ACTIONS(2261),
    [anon_sym___PACKAGE__] = ACTIONS(2261),
    [anon_sym___SUB__] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_fork] = ACTIONS(2261),
    [anon_sym_getppid] = ACTIONS(2261),
    [anon_sym_time] = ACTIONS(2261),
    [anon_sym_times] = ACTIONS(2261),
    [anon_sym_wait] = ACTIONS(2261),
    [anon_sym_wantarray] = ACTIONS(2261),
    [anon_sym_abs] = ACTIONS(2261),
    [anon_sym_alarm] = ACTIONS(2261),
    [anon_sym_chop] = ACTIONS(2261),
    [anon_sym_chdir] = ACTIONS(2261),
    [anon_sym_close] = ACTIONS(2261),
    [anon_sym_closedir] = ACTIONS(2261),
    [anon_sym_caller] = ACTIONS(2261),
    [anon_sym_chomp] = ACTIONS(2261),
    [anon_sym_chr] = ACTIONS(2261),
    [anon_sym_cos] = ACTIONS(2261),
    [anon_sym_chroot] = ACTIONS(2261),
    [anon_sym_defined] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_dbmclose] = ACTIONS(2261),
    [anon_sym_exists] = ACTIONS(2261),
    [anon_sym_exit] = ACTIONS(2261),
    [anon_sym_eof] = ACTIONS(2261),
    [anon_sym_exp] = ACTIONS(2261),
    [anon_sym_each] = ACTIONS(2261),
    [anon_sym_fc] = ACTIONS(2261),
    [anon_sym_fileno] = ACTIONS(2261),
    [anon_sym_gmtime] = ACTIONS(2261),
    [anon_sym_getc] = ACTIONS(2261),
    [anon_sym_getpgrp] = ACTIONS(2261),
    [anon_sym_getprotobyname] = ACTIONS(2261),
    [anon_sym_getpwname] = ACTIONS(2261),
    [anon_sym_getpwuid] = ACTIONS(2261),
    [anon_sym_getpeername] = ACTIONS(2261),
    [anon_sym_getnetbyname] = ACTIONS(2261),
    [anon_sym_getsockname] = ACTIONS(2261),
    [anon_sym_getgrnam] = ACTIONS(2261),
    [anon_sym_getgrgid] = ACTIONS(2261),
    [anon_sym_hex] = ACTIONS(2261),
    [anon_sym_int] = ACTIONS(2261),
    [anon_sym_keys] = ACTIONS(2261),
    [anon_sym_lc] = ACTIONS(2261),
    [anon_sym_lcfirst] = ACTIONS(2261),
    [anon_sym_length] = ACTIONS(2261),
    [anon_sym_localtime] = ACTIONS(2261),
    [anon_sym_log] = ACTIONS(2261),
    [anon_sym_lock] = ACTIONS(2261),
    [anon_sym_lstat] = ACTIONS(2261),
    [anon_sym_oct] = ACTIONS(2261),
    [anon_sym_ord] = ACTIONS(2261),
    [anon_sym_prototype] = ACTIONS(2261),
    [anon_sym_pop] = ACTIONS(2261),
    [anon_sym_pos] = ACTIONS(2261),
    [anon_sym_quotemeta] = ACTIONS(2261),
    [anon_sym_reset] = ACTIONS(2261),
    [anon_sym_rand] = ACTIONS(2261),
    [anon_sym_rmdir] = ACTIONS(2261),
    [anon_sym_readdir] = ACTIONS(2261),
    [anon_sym_readline] = ACTIONS(2261),
    [anon_sym_readpipe] = ACTIONS(2261),
    [anon_sym_rewinddir] = ACTIONS(2261),
    [anon_sym_readlink] = ACTIONS(2261),
    [anon_sym_ref] = ACTIONS(2261),
    [anon_sym_scalar] = ACTIONS(2261),
    [anon_sym_shift] = ACTIONS(2261),
    [anon_sym_sin] = ACTIONS(2261),
    [anon_sym_sleep] = ACTIONS(2261),
    [anon_sym_sqrt] = ACTIONS(2261),
    [anon_sym_srand] = ACTIONS(2261),
    [anon_sym_stat] = ACTIONS(2261),
    [anon_sym_study] = ACTIONS(2261),
    [anon_sym_tell] = ACTIONS(2261),
    [anon_sym_telldir] = ACTIONS(2261),
    [anon_sym_tied] = ACTIONS(2261),
    [anon_sym_uc] = ACTIONS(2261),
    [anon_sym_ucfirst] = ACTIONS(2261),
    [anon_sym_untie] = ACTIONS(2261),
    [anon_sym_umask] = ACTIONS(2261),
    [anon_sym_values] = ACTIONS(2261),
    [anon_sym_write] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2261),
    [anon_sym___END__] = ACTIONS(2261),
    [anon_sym_EOT] = ACTIONS(2261),
    [anon_sym_q] = ACTIONS(2261),
    [anon_sym_qq] = ACTIONS(2261),
    [anon_sym_qw] = ACTIONS(2261),
    [anon_sym_qx] = ACTIONS(2261),
    [anon_sym_qr] = ACTIONS(2261),
    [anon_sym_m] = ACTIONS(2261),
    [anon_sym_s] = ACTIONS(2261),
    [anon_sym_tr] = ACTIONS(2261),
    [anon_sym_y] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_unless] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_until] = ACTIONS(2261),
    [aux_sym__bareword_token1] = ACTIONS(2261),
    [sym_number] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2261),
    [anon_sym_false] = ACTIONS(2261),
    [sym__single_quote] = ACTIONS(2259),
    [sym__double_quote] = ACTIONS(2259),
    [sym__backtick_quote] = ACTIONS(2259),
    [sym__search_slash_quote] = ACTIONS(2259),
    [sym__open_readline_bracket] = ACTIONS(2259),
    [sym__open_fileglob_bracket] = ACTIONS(2259),
    [sym__PERLY_HEREDOC] = ACTIONS(2259),
    [sym__ctrl_z_hack] = ACTIONS(2259),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2259),
    [sym__filetest] = ACTIONS(2259),
  },
  [958] = {
    [sym_heredoc_content] = STATE(958),
    [ts_builtin_sym_end] = ACTIONS(2263),
    [sym__identifier] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2265),
    [anon_sym_package] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_role] = ACTIONS(2265),
    [anon_sym_BUILD] = ACTIONS(2265),
    [anon_sym_ADJUST] = ACTIONS(2265),
    [anon_sym_DOLLAR] = ACTIONS(2265),
    [anon_sym_AT] = ACTIONS(2265),
    [anon_sym_my] = ACTIONS(2265),
    [anon_sym_extended] = ACTIONS(2265),
    [anon_sym_async] = ACTIONS(2265),
    [anon_sym_sub] = ACTIONS(2265),
    [anon_sym_method] = ACTIONS(2265),
    [anon_sym_LPAREN] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_state] = ACTIONS(2265),
    [anon_sym_our] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_defer] = ACTIONS(2265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_LT_LT] = ACTIONS(2265),
    [anon_sym_SLASH_SLASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_TILDE] = ACTIONS(2265),
    [anon_sym_BANG] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2265),
    [anon_sym_BSLASH] = ACTIONS(2263),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_eval] = ACTIONS(2265),
    [anon_sym_await] = ACTIONS(2265),
    [anon_sym_field] = ACTIONS(2265),
    [anon_sym_local] = ACTIONS(2265),
    [anon_sym_dynamically] = ACTIONS(2265),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2265),
    [anon_sym_require] = ACTIONS(2265),
    [anon_sym_map] = ACTIONS(2265),
    [anon_sym_grep] = ACTIONS(2265),
    [anon_sym_sort] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_undef] = ACTIONS(2265),
    [anon_sym_PERCENT2] = ACTIONS(2265),
    [anon_sym_AMP2] = ACTIONS(2265),
    [anon_sym_STAR2] = ACTIONS(2265),
    [anon_sym_use] = ACTIONS(2265),
    [anon_sym_no] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_foreach] = ACTIONS(2265),
    [anon_sym_last] = ACTIONS(2265),
    [anon_sym_next] = ACTIONS(2265),
    [anon_sym_redo] = ACTIONS(2265),
    [anon_sym_BEGIN] = ACTIONS(2265),
    [anon_sym_INIT] = ACTIONS(2265),
    [anon_sym_CHECK] = ACTIONS(2265),
    [anon_sym_UNITCHECK] = ACTIONS(2265),
    [anon_sym_END] = ACTIONS(2265),
    [anon_sym___FILE__] = ACTIONS(2265),
    [anon_sym___LINE__] = ACTIONS(2265),
    [anon_sym___PACKAGE__] = ACTIONS(2265),
    [anon_sym___SUB__] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_fork] = ACTIONS(2265),
    [anon_sym_getppid] = ACTIONS(2265),
    [anon_sym_time] = ACTIONS(2265),
    [anon_sym_times] = ACTIONS(2265),
    [anon_sym_wait] = ACTIONS(2265),
    [anon_sym_wantarray] = ACTIONS(2265),
    [anon_sym_abs] = ACTIONS(2265),
    [anon_sym_alarm] = ACTIONS(2265),
    [anon_sym_chop] = ACTIONS(2265),
    [anon_sym_chdir] = ACTIONS(2265),
    [anon_sym_close] = ACTIONS(2265),
    [anon_sym_closedir] = ACTIONS(2265),
    [anon_sym_caller] = ACTIONS(2265),
    [anon_sym_chomp] = ACTIONS(2265),
    [anon_sym_chr] = ACTIONS(2265),
    [anon_sym_cos] = ACTIONS(2265),
    [anon_sym_chroot] = ACTIONS(2265),
    [anon_sym_defined] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_dbmclose] = ACTIONS(2265),
    [anon_sym_exists] = ACTIONS(2265),
    [anon_sym_exit] = ACTIONS(2265),
    [anon_sym_eof] = ACTIONS(2265),
    [anon_sym_exp] = ACTIONS(2265),
    [anon_sym_each] = ACTIONS(2265),
    [anon_sym_fc] = ACTIONS(2265),
    [anon_sym_fileno] = ACTIONS(2265),
    [anon_sym_gmtime] = ACTIONS(2265),
    [anon_sym_getc] = ACTIONS(2265),
    [anon_sym_getpgrp] = ACTIONS(2265),
    [anon_sym_getprotobyname] = ACTIONS(2265),
    [anon_sym_getpwname] = ACTIONS(2265),
    [anon_sym_getpwuid] = ACTIONS(2265),
    [anon_sym_getpeername] = ACTIONS(2265),
    [anon_sym_getnetbyname] = ACTIONS(2265),
    [anon_sym_getsockname] = ACTIONS(2265),
    [anon_sym_getgrnam] = ACTIONS(2265),
    [anon_sym_getgrgid] = ACTIONS(2265),
    [anon_sym_hex] = ACTIONS(2265),
    [anon_sym_int] = ACTIONS(2265),
    [anon_sym_keys] = ACTIONS(2265),
    [anon_sym_lc] = ACTIONS(2265),
    [anon_sym_lcfirst] = ACTIONS(2265),
    [anon_sym_length] = ACTIONS(2265),
    [anon_sym_localtime] = ACTIONS(2265),
    [anon_sym_log] = ACTIONS(2265),
    [anon_sym_lock] = ACTIONS(2265),
    [anon_sym_lstat] = ACTIONS(2265),
    [anon_sym_oct] = ACTIONS(2265),
    [anon_sym_ord] = ACTIONS(2265),
    [anon_sym_prototype] = ACTIONS(2265),
    [anon_sym_pop] = ACTIONS(2265),
    [anon_sym_pos] = ACTIONS(2265),
    [anon_sym_quotemeta] = ACTIONS(2265),
    [anon_sym_reset] = ACTIONS(2265),
    [anon_sym_rand] = ACTIONS(2265),
    [anon_sym_rmdir] = ACTIONS(2265),
    [anon_sym_readdir] = ACTIONS(2265),
    [anon_sym_readline] = ACTIONS(2265),
    [anon_sym_readpipe] = ACTIONS(2265),
    [anon_sym_rewinddir] = ACTIONS(2265),
    [anon_sym_readlink] = ACTIONS(2265),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_scalar] = ACTIONS(2265),
    [anon_sym_shift] = ACTIONS(2265),
    [anon_sym_sin] = ACTIONS(2265),
    [anon_sym_sleep] = ACTIONS(2265),
    [anon_sym_sqrt] = ACTIONS(2265),
    [anon_sym_srand] = ACTIONS(2265),
    [anon_sym_stat] = ACTIONS(2265),
    [anon_sym_study] = ACTIONS(2265),
    [anon_sym_tell] = ACTIONS(2265),
    [anon_sym_telldir] = ACTIONS(2265),
    [anon_sym_tied] = ACTIONS(2265),
    [anon_sym_uc] = ACTIONS(2265),
    [anon_sym_ucfirst] = ACTIONS(2265),
    [anon_sym_untie] = ACTIONS(2265),
    [anon_sym_umask] = ACTIONS(2265),
    [anon_sym_values] = ACTIONS(2265),
    [anon_sym_write] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2265),
    [anon_sym___END__] = ACTIONS(2265),
    [anon_sym_EOT] = ACTIONS(2265),
    [anon_sym_q] = ACTIONS(2265),
    [anon_sym_qq] = ACTIONS(2265),
    [anon_sym_qw] = ACTIONS(2265),
    [anon_sym_qx] = ACTIONS(2265),
    [anon_sym_qr] = ACTIONS(2265),
    [anon_sym_m] = ACTIONS(2265),
    [anon_sym_s] = ACTIONS(2265),
    [anon_sym_tr] = ACTIONS(2265),
    [anon_sym_y] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_unless] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_until] = ACTIONS(2265),
    [aux_sym__bareword_token1] = ACTIONS(2265),
    [sym_number] = ACTIONS(2265),
    [anon_sym_true] = ACTIONS(2265),
    [anon_sym_false] = ACTIONS(2265),
    [sym__single_quote] = ACTIONS(2263),
    [sym__double_quote] = ACTIONS(2263),
    [sym__backtick_quote] = ACTIONS(2263),
    [sym__search_slash_quote] = ACTIONS(2263),
    [sym__open_readline_bracket] = ACTIONS(2263),
    [sym__open_fileglob_bracket] = ACTIONS(2263),
    [sym__PERLY_HEREDOC] = ACTIONS(2263),
    [sym__ctrl_z_hack] = ACTIONS(2263),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2263),
    [sym__filetest] = ACTIONS(2263),
  },
  [959] = {
    [sym_heredoc_content] = STATE(959),
    [ts_builtin_sym_end] = ACTIONS(2267),
    [sym__identifier] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_SEMI] = ACTIONS(2269),
    [anon_sym_package] = ACTIONS(2269),
    [anon_sym_class] = ACTIONS(2269),
    [anon_sym_role] = ACTIONS(2269),
    [anon_sym_BUILD] = ACTIONS(2269),
    [anon_sym_ADJUST] = ACTIONS(2269),
    [anon_sym_DOLLAR] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_my] = ACTIONS(2269),
    [anon_sym_extended] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_sub] = ACTIONS(2269),
    [anon_sym_method] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_state] = ACTIONS(2269),
    [anon_sym_our] = ACTIONS(2269),
    [anon_sym_try] = ACTIONS(2269),
    [anon_sym_defer] = ACTIONS(2269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_SLASH_SLASH] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_BSLASH] = ACTIONS(2267),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_eval] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_field] = ACTIONS(2269),
    [anon_sym_local] = ACTIONS(2269),
    [anon_sym_dynamically] = ACTIONS(2269),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2269),
    [anon_sym_require] = ACTIONS(2269),
    [anon_sym_map] = ACTIONS(2269),
    [anon_sym_grep] = ACTIONS(2269),
    [anon_sym_sort] = ACTIONS(2269),
    [anon_sym_goto] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_undef] = ACTIONS(2269),
    [anon_sym_PERCENT2] = ACTIONS(2269),
    [anon_sym_AMP2] = ACTIONS(2269),
    [anon_sym_STAR2] = ACTIONS(2269),
    [anon_sym_use] = ACTIONS(2269),
    [anon_sym_no] = ACTIONS(2269),
    [anon_sym_for] = ACTIONS(2269),
    [anon_sym_foreach] = ACTIONS(2269),
    [anon_sym_last] = ACTIONS(2269),
    [anon_sym_next] = ACTIONS(2269),
    [anon_sym_redo] = ACTIONS(2269),
    [anon_sym_BEGIN] = ACTIONS(2269),
    [anon_sym_INIT] = ACTIONS(2269),
    [anon_sym_CHECK] = ACTIONS(2269),
    [anon_sym_UNITCHECK] = ACTIONS(2269),
    [anon_sym_END] = ACTIONS(2269),
    [anon_sym___FILE__] = ACTIONS(2269),
    [anon_sym___LINE__] = ACTIONS(2269),
    [anon_sym___PACKAGE__] = ACTIONS(2269),
    [anon_sym___SUB__] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_fork] = ACTIONS(2269),
    [anon_sym_getppid] = ACTIONS(2269),
    [anon_sym_time] = ACTIONS(2269),
    [anon_sym_times] = ACTIONS(2269),
    [anon_sym_wait] = ACTIONS(2269),
    [anon_sym_wantarray] = ACTIONS(2269),
    [anon_sym_abs] = ACTIONS(2269),
    [anon_sym_alarm] = ACTIONS(2269),
    [anon_sym_chop] = ACTIONS(2269),
    [anon_sym_chdir] = ACTIONS(2269),
    [anon_sym_close] = ACTIONS(2269),
    [anon_sym_closedir] = ACTIONS(2269),
    [anon_sym_caller] = ACTIONS(2269),
    [anon_sym_chomp] = ACTIONS(2269),
    [anon_sym_chr] = ACTIONS(2269),
    [anon_sym_cos] = ACTIONS(2269),
    [anon_sym_chroot] = ACTIONS(2269),
    [anon_sym_defined] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_dbmclose] = ACTIONS(2269),
    [anon_sym_exists] = ACTIONS(2269),
    [anon_sym_exit] = ACTIONS(2269),
    [anon_sym_eof] = ACTIONS(2269),
    [anon_sym_exp] = ACTIONS(2269),
    [anon_sym_each] = ACTIONS(2269),
    [anon_sym_fc] = ACTIONS(2269),
    [anon_sym_fileno] = ACTIONS(2269),
    [anon_sym_gmtime] = ACTIONS(2269),
    [anon_sym_getc] = ACTIONS(2269),
    [anon_sym_getpgrp] = ACTIONS(2269),
    [anon_sym_getprotobyname] = ACTIONS(2269),
    [anon_sym_getpwname] = ACTIONS(2269),
    [anon_sym_getpwuid] = ACTIONS(2269),
    [anon_sym_getpeername] = ACTIONS(2269),
    [anon_sym_getnetbyname] = ACTIONS(2269),
    [anon_sym_getsockname] = ACTIONS(2269),
    [anon_sym_getgrnam] = ACTIONS(2269),
    [anon_sym_getgrgid] = ACTIONS(2269),
    [anon_sym_hex] = ACTIONS(2269),
    [anon_sym_int] = ACTIONS(2269),
    [anon_sym_keys] = ACTIONS(2269),
    [anon_sym_lc] = ACTIONS(2269),
    [anon_sym_lcfirst] = ACTIONS(2269),
    [anon_sym_length] = ACTIONS(2269),
    [anon_sym_localtime] = ACTIONS(2269),
    [anon_sym_log] = ACTIONS(2269),
    [anon_sym_lock] = ACTIONS(2269),
    [anon_sym_lstat] = ACTIONS(2269),
    [anon_sym_oct] = ACTIONS(2269),
    [anon_sym_ord] = ACTIONS(2269),
    [anon_sym_prototype] = ACTIONS(2269),
    [anon_sym_pop] = ACTIONS(2269),
    [anon_sym_pos] = ACTIONS(2269),
    [anon_sym_quotemeta] = ACTIONS(2269),
    [anon_sym_reset] = ACTIONS(2269),
    [anon_sym_rand] = ACTIONS(2269),
    [anon_sym_rmdir] = ACTIONS(2269),
    [anon_sym_readdir] = ACTIONS(2269),
    [anon_sym_readline] = ACTIONS(2269),
    [anon_sym_readpipe] = ACTIONS(2269),
    [anon_sym_rewinddir] = ACTIONS(2269),
    [anon_sym_readlink] = ACTIONS(2269),
    [anon_sym_ref] = ACTIONS(2269),
    [anon_sym_scalar] = ACTIONS(2269),
    [anon_sym_shift] = ACTIONS(2269),
    [anon_sym_sin] = ACTIONS(2269),
    [anon_sym_sleep] = ACTIONS(2269),
    [anon_sym_sqrt] = ACTIONS(2269),
    [anon_sym_srand] = ACTIONS(2269),
    [anon_sym_stat] = ACTIONS(2269),
    [anon_sym_study] = ACTIONS(2269),
    [anon_sym_tell] = ACTIONS(2269),
    [anon_sym_telldir] = ACTIONS(2269),
    [anon_sym_tied] = ACTIONS(2269),
    [anon_sym_uc] = ACTIONS(2269),
    [anon_sym_ucfirst] = ACTIONS(2269),
    [anon_sym_untie] = ACTIONS(2269),
    [anon_sym_umask] = ACTIONS(2269),
    [anon_sym_values] = ACTIONS(2269),
    [anon_sym_write] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2269),
    [anon_sym___END__] = ACTIONS(2269),
    [anon_sym_EOT] = ACTIONS(2269),
    [anon_sym_q] = ACTIONS(2269),
    [anon_sym_qq] = ACTIONS(2269),
    [anon_sym_qw] = ACTIONS(2269),
    [anon_sym_qx] = ACTIONS(2269),
    [anon_sym_qr] = ACTIONS(2269),
    [anon_sym_m] = ACTIONS(2269),
    [anon_sym_s] = ACTIONS(2269),
    [anon_sym_tr] = ACTIONS(2269),
    [anon_sym_y] = ACTIONS(2269),
    [anon_sym_if] = ACTIONS(2269),
    [anon_sym_unless] = ACTIONS(2269),
    [anon_sym_while] = ACTIONS(2269),
    [anon_sym_until] = ACTIONS(2269),
    [aux_sym__bareword_token1] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(2269),
    [anon_sym_false] = ACTIONS(2269),
    [sym__single_quote] = ACTIONS(2267),
    [sym__double_quote] = ACTIONS(2267),
    [sym__backtick_quote] = ACTIONS(2267),
    [sym__search_slash_quote] = ACTIONS(2267),
    [sym__open_readline_bracket] = ACTIONS(2267),
    [sym__open_fileglob_bracket] = ACTIONS(2267),
    [sym__PERLY_HEREDOC] = ACTIONS(2267),
    [sym__ctrl_z_hack] = ACTIONS(2267),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2267),
    [sym__filetest] = ACTIONS(2267),
  },
  [960] = {
    [sym_heredoc_content] = STATE(960),
    [ts_builtin_sym_end] = ACTIONS(2271),
    [sym__identifier] = ACTIONS(2273),
    [anon_sym_LBRACE] = ACTIONS(2273),
    [anon_sym_SEMI] = ACTIONS(2273),
    [anon_sym_package] = ACTIONS(2273),
    [anon_sym_class] = ACTIONS(2273),
    [anon_sym_role] = ACTIONS(2273),
    [anon_sym_BUILD] = ACTIONS(2273),
    [anon_sym_ADJUST] = ACTIONS(2273),
    [anon_sym_DOLLAR] = ACTIONS(2273),
    [anon_sym_AT] = ACTIONS(2273),
    [anon_sym_my] = ACTIONS(2273),
    [anon_sym_extended] = ACTIONS(2273),
    [anon_sym_async] = ACTIONS(2273),
    [anon_sym_sub] = ACTIONS(2273),
    [anon_sym_method] = ACTIONS(2273),
    [anon_sym_LPAREN] = ACTIONS(2273),
    [anon_sym_continue] = ACTIONS(2273),
    [anon_sym_state] = ACTIONS(2273),
    [anon_sym_our] = ACTIONS(2273),
    [anon_sym_try] = ACTIONS(2273),
    [anon_sym_defer] = ACTIONS(2273),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [anon_sym_LT_LT] = ACTIONS(2273),
    [anon_sym_SLASH_SLASH] = ACTIONS(2273),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_TILDE] = ACTIONS(2273),
    [anon_sym_BANG] = ACTIONS(2273),
    [anon_sym_PLUS_PLUS] = ACTIONS(2273),
    [anon_sym_DASH_DASH] = ACTIONS(2273),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_do] = ACTIONS(2273),
    [anon_sym_eval] = ACTIONS(2273),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_field] = ACTIONS(2273),
    [anon_sym_local] = ACTIONS(2273),
    [anon_sym_dynamically] = ACTIONS(2273),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2273),
    [anon_sym_require] = ACTIONS(2273),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_grep] = ACTIONS(2273),
    [anon_sym_sort] = ACTIONS(2273),
    [anon_sym_goto] = ACTIONS(2273),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_undef] = ACTIONS(2273),
    [anon_sym_PERCENT2] = ACTIONS(2273),
    [anon_sym_AMP2] = ACTIONS(2273),
    [anon_sym_STAR2] = ACTIONS(2273),
    [anon_sym_use] = ACTIONS(2273),
    [anon_sym_no] = ACTIONS(2273),
    [anon_sym_for] = ACTIONS(2273),
    [anon_sym_foreach] = ACTIONS(2273),
    [anon_sym_last] = ACTIONS(2273),
    [anon_sym_next] = ACTIONS(2273),
    [anon_sym_redo] = ACTIONS(2273),
    [anon_sym_BEGIN] = ACTIONS(2273),
    [anon_sym_INIT] = ACTIONS(2273),
    [anon_sym_CHECK] = ACTIONS(2273),
    [anon_sym_UNITCHECK] = ACTIONS(2273),
    [anon_sym_END] = ACTIONS(2273),
    [anon_sym___FILE__] = ACTIONS(2273),
    [anon_sym___LINE__] = ACTIONS(2273),
    [anon_sym___PACKAGE__] = ACTIONS(2273),
    [anon_sym___SUB__] = ACTIONS(2273),
    [anon_sym_break] = ACTIONS(2273),
    [anon_sym_fork] = ACTIONS(2273),
    [anon_sym_getppid] = ACTIONS(2273),
    [anon_sym_time] = ACTIONS(2273),
    [anon_sym_times] = ACTIONS(2273),
    [anon_sym_wait] = ACTIONS(2273),
    [anon_sym_wantarray] = ACTIONS(2273),
    [anon_sym_abs] = ACTIONS(2273),
    [anon_sym_alarm] = ACTIONS(2273),
    [anon_sym_chop] = ACTIONS(2273),
    [anon_sym_chdir] = ACTIONS(2273),
    [anon_sym_close] = ACTIONS(2273),
    [anon_sym_closedir] = ACTIONS(2273),
    [anon_sym_caller] = ACTIONS(2273),
    [anon_sym_chomp] = ACTIONS(2273),
    [anon_sym_chr] = ACTIONS(2273),
    [anon_sym_cos] = ACTIONS(2273),
    [anon_sym_chroot] = ACTIONS(2273),
    [anon_sym_defined] = ACTIONS(2273),
    [anon_sym_delete] = ACTIONS(2273),
    [anon_sym_dbmclose] = ACTIONS(2273),
    [anon_sym_exists] = ACTIONS(2273),
    [anon_sym_exit] = ACTIONS(2273),
    [anon_sym_eof] = ACTIONS(2273),
    [anon_sym_exp] = ACTIONS(2273),
    [anon_sym_each] = ACTIONS(2273),
    [anon_sym_fc] = ACTIONS(2273),
    [anon_sym_fileno] = ACTIONS(2273),
    [anon_sym_gmtime] = ACTIONS(2273),
    [anon_sym_getc] = ACTIONS(2273),
    [anon_sym_getpgrp] = ACTIONS(2273),
    [anon_sym_getprotobyname] = ACTIONS(2273),
    [anon_sym_getpwname] = ACTIONS(2273),
    [anon_sym_getpwuid] = ACTIONS(2273),
    [anon_sym_getpeername] = ACTIONS(2273),
    [anon_sym_getnetbyname] = ACTIONS(2273),
    [anon_sym_getsockname] = ACTIONS(2273),
    [anon_sym_getgrnam] = ACTIONS(2273),
    [anon_sym_getgrgid] = ACTIONS(2273),
    [anon_sym_hex] = ACTIONS(2273),
    [anon_sym_int] = ACTIONS(2273),
    [anon_sym_keys] = ACTIONS(2273),
    [anon_sym_lc] = ACTIONS(2273),
    [anon_sym_lcfirst] = ACTIONS(2273),
    [anon_sym_length] = ACTIONS(2273),
    [anon_sym_localtime] = ACTIONS(2273),
    [anon_sym_log] = ACTIONS(2273),
    [anon_sym_lock] = ACTIONS(2273),
    [anon_sym_lstat] = ACTIONS(2273),
    [anon_sym_oct] = ACTIONS(2273),
    [anon_sym_ord] = ACTIONS(2273),
    [anon_sym_prototype] = ACTIONS(2273),
    [anon_sym_pop] = ACTIONS(2273),
    [anon_sym_pos] = ACTIONS(2273),
    [anon_sym_quotemeta] = ACTIONS(2273),
    [anon_sym_reset] = ACTIONS(2273),
    [anon_sym_rand] = ACTIONS(2273),
    [anon_sym_rmdir] = ACTIONS(2273),
    [anon_sym_readdir] = ACTIONS(2273),
    [anon_sym_readline] = ACTIONS(2273),
    [anon_sym_readpipe] = ACTIONS(2273),
    [anon_sym_rewinddir] = ACTIONS(2273),
    [anon_sym_readlink] = ACTIONS(2273),
    [anon_sym_ref] = ACTIONS(2273),
    [anon_sym_scalar] = ACTIONS(2273),
    [anon_sym_shift] = ACTIONS(2273),
    [anon_sym_sin] = ACTIONS(2273),
    [anon_sym_sleep] = ACTIONS(2273),
    [anon_sym_sqrt] = ACTIONS(2273),
    [anon_sym_srand] = ACTIONS(2273),
    [anon_sym_stat] = ACTIONS(2273),
    [anon_sym_study] = ACTIONS(2273),
    [anon_sym_tell] = ACTIONS(2273),
    [anon_sym_telldir] = ACTIONS(2273),
    [anon_sym_tied] = ACTIONS(2273),
    [anon_sym_uc] = ACTIONS(2273),
    [anon_sym_ucfirst] = ACTIONS(2273),
    [anon_sym_untie] = ACTIONS(2273),
    [anon_sym_umask] = ACTIONS(2273),
    [anon_sym_values] = ACTIONS(2273),
    [anon_sym_write] = ACTIONS(2273),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2273),
    [anon_sym___END__] = ACTIONS(2273),
    [anon_sym_EOT] = ACTIONS(2273),
    [anon_sym_q] = ACTIONS(2273),
    [anon_sym_qq] = ACTIONS(2273),
    [anon_sym_qw] = ACTIONS(2273),
    [anon_sym_qx] = ACTIONS(2273),
    [anon_sym_qr] = ACTIONS(2273),
    [anon_sym_m] = ACTIONS(2273),
    [anon_sym_s] = ACTIONS(2273),
    [anon_sym_tr] = ACTIONS(2273),
    [anon_sym_y] = ACTIONS(2273),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_unless] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(2273),
    [anon_sym_until] = ACTIONS(2273),
    [aux_sym__bareword_token1] = ACTIONS(2273),
    [sym_number] = ACTIONS(2273),
    [anon_sym_true] = ACTIONS(2273),
    [anon_sym_false] = ACTIONS(2273),
    [sym__single_quote] = ACTIONS(2271),
    [sym__double_quote] = ACTIONS(2271),
    [sym__backtick_quote] = ACTIONS(2271),
    [sym__search_slash_quote] = ACTIONS(2271),
    [sym__open_readline_bracket] = ACTIONS(2271),
    [sym__open_fileglob_bracket] = ACTIONS(2271),
    [sym__PERLY_HEREDOC] = ACTIONS(2271),
    [sym__ctrl_z_hack] = ACTIONS(2271),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2271),
    [sym__filetest] = ACTIONS(2271),
  },
  [961] = {
    [sym_heredoc_content] = STATE(961),
    [ts_builtin_sym_end] = ACTIONS(2275),
    [sym__identifier] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_SEMI] = ACTIONS(2277),
    [anon_sym_package] = ACTIONS(2277),
    [anon_sym_class] = ACTIONS(2277),
    [anon_sym_role] = ACTIONS(2277),
    [anon_sym_BUILD] = ACTIONS(2277),
    [anon_sym_ADJUST] = ACTIONS(2277),
    [anon_sym_DOLLAR] = ACTIONS(2277),
    [anon_sym_AT] = ACTIONS(2277),
    [anon_sym_my] = ACTIONS(2277),
    [anon_sym_extended] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2277),
    [anon_sym_sub] = ACTIONS(2277),
    [anon_sym_method] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [anon_sym_continue] = ACTIONS(2277),
    [anon_sym_state] = ACTIONS(2277),
    [anon_sym_our] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2277),
    [anon_sym_defer] = ACTIONS(2277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2277),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_LT_LT] = ACTIONS(2277),
    [anon_sym_SLASH_SLASH] = ACTIONS(2277),
    [anon_sym_PLUS] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_BSLASH] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2277),
    [anon_sym_eval] = ACTIONS(2277),
    [anon_sym_await] = ACTIONS(2277),
    [anon_sym_field] = ACTIONS(2277),
    [anon_sym_local] = ACTIONS(2277),
    [anon_sym_dynamically] = ACTIONS(2277),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2277),
    [anon_sym_require] = ACTIONS(2277),
    [anon_sym_map] = ACTIONS(2277),
    [anon_sym_grep] = ACTIONS(2277),
    [anon_sym_sort] = ACTIONS(2277),
    [anon_sym_goto] = ACTIONS(2277),
    [anon_sym_return] = ACTIONS(2277),
    [anon_sym_undef] = ACTIONS(2277),
    [anon_sym_PERCENT2] = ACTIONS(2277),
    [anon_sym_AMP2] = ACTIONS(2277),
    [anon_sym_STAR2] = ACTIONS(2277),
    [anon_sym_use] = ACTIONS(2277),
    [anon_sym_no] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2277),
    [anon_sym_foreach] = ACTIONS(2277),
    [anon_sym_last] = ACTIONS(2277),
    [anon_sym_next] = ACTIONS(2277),
    [anon_sym_redo] = ACTIONS(2277),
    [anon_sym_BEGIN] = ACTIONS(2277),
    [anon_sym_INIT] = ACTIONS(2277),
    [anon_sym_CHECK] = ACTIONS(2277),
    [anon_sym_UNITCHECK] = ACTIONS(2277),
    [anon_sym_END] = ACTIONS(2277),
    [anon_sym___FILE__] = ACTIONS(2277),
    [anon_sym___LINE__] = ACTIONS(2277),
    [anon_sym___PACKAGE__] = ACTIONS(2277),
    [anon_sym___SUB__] = ACTIONS(2277),
    [anon_sym_break] = ACTIONS(2277),
    [anon_sym_fork] = ACTIONS(2277),
    [anon_sym_getppid] = ACTIONS(2277),
    [anon_sym_time] = ACTIONS(2277),
    [anon_sym_times] = ACTIONS(2277),
    [anon_sym_wait] = ACTIONS(2277),
    [anon_sym_wantarray] = ACTIONS(2277),
    [anon_sym_abs] = ACTIONS(2277),
    [anon_sym_alarm] = ACTIONS(2277),
    [anon_sym_chop] = ACTIONS(2277),
    [anon_sym_chdir] = ACTIONS(2277),
    [anon_sym_close] = ACTIONS(2277),
    [anon_sym_closedir] = ACTIONS(2277),
    [anon_sym_caller] = ACTIONS(2277),
    [anon_sym_chomp] = ACTIONS(2277),
    [anon_sym_chr] = ACTIONS(2277),
    [anon_sym_cos] = ACTIONS(2277),
    [anon_sym_chroot] = ACTIONS(2277),
    [anon_sym_defined] = ACTIONS(2277),
    [anon_sym_delete] = ACTIONS(2277),
    [anon_sym_dbmclose] = ACTIONS(2277),
    [anon_sym_exists] = ACTIONS(2277),
    [anon_sym_exit] = ACTIONS(2277),
    [anon_sym_eof] = ACTIONS(2277),
    [anon_sym_exp] = ACTIONS(2277),
    [anon_sym_each] = ACTIONS(2277),
    [anon_sym_fc] = ACTIONS(2277),
    [anon_sym_fileno] = ACTIONS(2277),
    [anon_sym_gmtime] = ACTIONS(2277),
    [anon_sym_getc] = ACTIONS(2277),
    [anon_sym_getpgrp] = ACTIONS(2277),
    [anon_sym_getprotobyname] = ACTIONS(2277),
    [anon_sym_getpwname] = ACTIONS(2277),
    [anon_sym_getpwuid] = ACTIONS(2277),
    [anon_sym_getpeername] = ACTIONS(2277),
    [anon_sym_getnetbyname] = ACTIONS(2277),
    [anon_sym_getsockname] = ACTIONS(2277),
    [anon_sym_getgrnam] = ACTIONS(2277),
    [anon_sym_getgrgid] = ACTIONS(2277),
    [anon_sym_hex] = ACTIONS(2277),
    [anon_sym_int] = ACTIONS(2277),
    [anon_sym_keys] = ACTIONS(2277),
    [anon_sym_lc] = ACTIONS(2277),
    [anon_sym_lcfirst] = ACTIONS(2277),
    [anon_sym_length] = ACTIONS(2277),
    [anon_sym_localtime] = ACTIONS(2277),
    [anon_sym_log] = ACTIONS(2277),
    [anon_sym_lock] = ACTIONS(2277),
    [anon_sym_lstat] = ACTIONS(2277),
    [anon_sym_oct] = ACTIONS(2277),
    [anon_sym_ord] = ACTIONS(2277),
    [anon_sym_prototype] = ACTIONS(2277),
    [anon_sym_pop] = ACTIONS(2277),
    [anon_sym_pos] = ACTIONS(2277),
    [anon_sym_quotemeta] = ACTIONS(2277),
    [anon_sym_reset] = ACTIONS(2277),
    [anon_sym_rand] = ACTIONS(2277),
    [anon_sym_rmdir] = ACTIONS(2277),
    [anon_sym_readdir] = ACTIONS(2277),
    [anon_sym_readline] = ACTIONS(2277),
    [anon_sym_readpipe] = ACTIONS(2277),
    [anon_sym_rewinddir] = ACTIONS(2277),
    [anon_sym_readlink] = ACTIONS(2277),
    [anon_sym_ref] = ACTIONS(2277),
    [anon_sym_scalar] = ACTIONS(2277),
    [anon_sym_shift] = ACTIONS(2277),
    [anon_sym_sin] = ACTIONS(2277),
    [anon_sym_sleep] = ACTIONS(2277),
    [anon_sym_sqrt] = ACTIONS(2277),
    [anon_sym_srand] = ACTIONS(2277),
    [anon_sym_stat] = ACTIONS(2277),
    [anon_sym_study] = ACTIONS(2277),
    [anon_sym_tell] = ACTIONS(2277),
    [anon_sym_telldir] = ACTIONS(2277),
    [anon_sym_tied] = ACTIONS(2277),
    [anon_sym_uc] = ACTIONS(2277),
    [anon_sym_ucfirst] = ACTIONS(2277),
    [anon_sym_untie] = ACTIONS(2277),
    [anon_sym_umask] = ACTIONS(2277),
    [anon_sym_values] = ACTIONS(2277),
    [anon_sym_write] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2277),
    [anon_sym___END__] = ACTIONS(2277),
    [anon_sym_EOT] = ACTIONS(2277),
    [anon_sym_q] = ACTIONS(2277),
    [anon_sym_qq] = ACTIONS(2277),
    [anon_sym_qw] = ACTIONS(2277),
    [anon_sym_qx] = ACTIONS(2277),
    [anon_sym_qr] = ACTIONS(2277),
    [anon_sym_m] = ACTIONS(2277),
    [anon_sym_s] = ACTIONS(2277),
    [anon_sym_tr] = ACTIONS(2277),
    [anon_sym_y] = ACTIONS(2277),
    [anon_sym_if] = ACTIONS(2277),
    [anon_sym_unless] = ACTIONS(2277),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_until] = ACTIONS(2277),
    [aux_sym__bareword_token1] = ACTIONS(2277),
    [sym_number] = ACTIONS(2277),
    [anon_sym_true] = ACTIONS(2277),
    [anon_sym_false] = ACTIONS(2277),
    [sym__single_quote] = ACTIONS(2275),
    [sym__double_quote] = ACTIONS(2275),
    [sym__backtick_quote] = ACTIONS(2275),
    [sym__search_slash_quote] = ACTIONS(2275),
    [sym__open_readline_bracket] = ACTIONS(2275),
    [sym__open_fileglob_bracket] = ACTIONS(2275),
    [sym__PERLY_HEREDOC] = ACTIONS(2275),
    [sym__ctrl_z_hack] = ACTIONS(2275),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2275),
    [sym__filetest] = ACTIONS(2275),
  },
  [962] = {
    [sym_heredoc_content] = STATE(962),
    [ts_builtin_sym_end] = ACTIONS(2279),
    [sym__identifier] = ACTIONS(2281),
    [anon_sym_LBRACE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2281),
    [anon_sym_package] = ACTIONS(2281),
    [anon_sym_class] = ACTIONS(2281),
    [anon_sym_role] = ACTIONS(2281),
    [anon_sym_BUILD] = ACTIONS(2281),
    [anon_sym_ADJUST] = ACTIONS(2281),
    [anon_sym_DOLLAR] = ACTIONS(2281),
    [anon_sym_AT] = ACTIONS(2281),
    [anon_sym_my] = ACTIONS(2281),
    [anon_sym_extended] = ACTIONS(2281),
    [anon_sym_async] = ACTIONS(2281),
    [anon_sym_sub] = ACTIONS(2281),
    [anon_sym_method] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(2281),
    [anon_sym_continue] = ACTIONS(2281),
    [anon_sym_state] = ACTIONS(2281),
    [anon_sym_our] = ACTIONS(2281),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_defer] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2281),
    [anon_sym_LBRACK] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_SLASH_SLASH] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(2281),
    [anon_sym_TILDE] = ACTIONS(2281),
    [anon_sym_BANG] = ACTIONS(2281),
    [anon_sym_PLUS_PLUS] = ACTIONS(2281),
    [anon_sym_DASH_DASH] = ACTIONS(2281),
    [anon_sym_BSLASH] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2281),
    [anon_sym_eval] = ACTIONS(2281),
    [anon_sym_await] = ACTIONS(2281),
    [anon_sym_field] = ACTIONS(2281),
    [anon_sym_local] = ACTIONS(2281),
    [anon_sym_dynamically] = ACTIONS(2281),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2281),
    [anon_sym_require] = ACTIONS(2281),
    [anon_sym_map] = ACTIONS(2281),
    [anon_sym_grep] = ACTIONS(2281),
    [anon_sym_sort] = ACTIONS(2281),
    [anon_sym_goto] = ACTIONS(2281),
    [anon_sym_return] = ACTIONS(2281),
    [anon_sym_undef] = ACTIONS(2281),
    [anon_sym_PERCENT2] = ACTIONS(2281),
    [anon_sym_AMP2] = ACTIONS(2281),
    [anon_sym_STAR2] = ACTIONS(2281),
    [anon_sym_use] = ACTIONS(2281),
    [anon_sym_no] = ACTIONS(2281),
    [anon_sym_for] = ACTIONS(2281),
    [anon_sym_foreach] = ACTIONS(2281),
    [anon_sym_last] = ACTIONS(2281),
    [anon_sym_next] = ACTIONS(2281),
    [anon_sym_redo] = ACTIONS(2281),
    [anon_sym_BEGIN] = ACTIONS(2281),
    [anon_sym_INIT] = ACTIONS(2281),
    [anon_sym_CHECK] = ACTIONS(2281),
    [anon_sym_UNITCHECK] = ACTIONS(2281),
    [anon_sym_END] = ACTIONS(2281),
    [anon_sym___FILE__] = ACTIONS(2281),
    [anon_sym___LINE__] = ACTIONS(2281),
    [anon_sym___PACKAGE__] = ACTIONS(2281),
    [anon_sym___SUB__] = ACTIONS(2281),
    [anon_sym_break] = ACTIONS(2281),
    [anon_sym_fork] = ACTIONS(2281),
    [anon_sym_getppid] = ACTIONS(2281),
    [anon_sym_time] = ACTIONS(2281),
    [anon_sym_times] = ACTIONS(2281),
    [anon_sym_wait] = ACTIONS(2281),
    [anon_sym_wantarray] = ACTIONS(2281),
    [anon_sym_abs] = ACTIONS(2281),
    [anon_sym_alarm] = ACTIONS(2281),
    [anon_sym_chop] = ACTIONS(2281),
    [anon_sym_chdir] = ACTIONS(2281),
    [anon_sym_close] = ACTIONS(2281),
    [anon_sym_closedir] = ACTIONS(2281),
    [anon_sym_caller] = ACTIONS(2281),
    [anon_sym_chomp] = ACTIONS(2281),
    [anon_sym_chr] = ACTIONS(2281),
    [anon_sym_cos] = ACTIONS(2281),
    [anon_sym_chroot] = ACTIONS(2281),
    [anon_sym_defined] = ACTIONS(2281),
    [anon_sym_delete] = ACTIONS(2281),
    [anon_sym_dbmclose] = ACTIONS(2281),
    [anon_sym_exists] = ACTIONS(2281),
    [anon_sym_exit] = ACTIONS(2281),
    [anon_sym_eof] = ACTIONS(2281),
    [anon_sym_exp] = ACTIONS(2281),
    [anon_sym_each] = ACTIONS(2281),
    [anon_sym_fc] = ACTIONS(2281),
    [anon_sym_fileno] = ACTIONS(2281),
    [anon_sym_gmtime] = ACTIONS(2281),
    [anon_sym_getc] = ACTIONS(2281),
    [anon_sym_getpgrp] = ACTIONS(2281),
    [anon_sym_getprotobyname] = ACTIONS(2281),
    [anon_sym_getpwname] = ACTIONS(2281),
    [anon_sym_getpwuid] = ACTIONS(2281),
    [anon_sym_getpeername] = ACTIONS(2281),
    [anon_sym_getnetbyname] = ACTIONS(2281),
    [anon_sym_getsockname] = ACTIONS(2281),
    [anon_sym_getgrnam] = ACTIONS(2281),
    [anon_sym_getgrgid] = ACTIONS(2281),
    [anon_sym_hex] = ACTIONS(2281),
    [anon_sym_int] = ACTIONS(2281),
    [anon_sym_keys] = ACTIONS(2281),
    [anon_sym_lc] = ACTIONS(2281),
    [anon_sym_lcfirst] = ACTIONS(2281),
    [anon_sym_length] = ACTIONS(2281),
    [anon_sym_localtime] = ACTIONS(2281),
    [anon_sym_log] = ACTIONS(2281),
    [anon_sym_lock] = ACTIONS(2281),
    [anon_sym_lstat] = ACTIONS(2281),
    [anon_sym_oct] = ACTIONS(2281),
    [anon_sym_ord] = ACTIONS(2281),
    [anon_sym_prototype] = ACTIONS(2281),
    [anon_sym_pop] = ACTIONS(2281),
    [anon_sym_pos] = ACTIONS(2281),
    [anon_sym_quotemeta] = ACTIONS(2281),
    [anon_sym_reset] = ACTIONS(2281),
    [anon_sym_rand] = ACTIONS(2281),
    [anon_sym_rmdir] = ACTIONS(2281),
    [anon_sym_readdir] = ACTIONS(2281),
    [anon_sym_readline] = ACTIONS(2281),
    [anon_sym_readpipe] = ACTIONS(2281),
    [anon_sym_rewinddir] = ACTIONS(2281),
    [anon_sym_readlink] = ACTIONS(2281),
    [anon_sym_ref] = ACTIONS(2281),
    [anon_sym_scalar] = ACTIONS(2281),
    [anon_sym_shift] = ACTIONS(2281),
    [anon_sym_sin] = ACTIONS(2281),
    [anon_sym_sleep] = ACTIONS(2281),
    [anon_sym_sqrt] = ACTIONS(2281),
    [anon_sym_srand] = ACTIONS(2281),
    [anon_sym_stat] = ACTIONS(2281),
    [anon_sym_study] = ACTIONS(2281),
    [anon_sym_tell] = ACTIONS(2281),
    [anon_sym_telldir] = ACTIONS(2281),
    [anon_sym_tied] = ACTIONS(2281),
    [anon_sym_uc] = ACTIONS(2281),
    [anon_sym_ucfirst] = ACTIONS(2281),
    [anon_sym_untie] = ACTIONS(2281),
    [anon_sym_umask] = ACTIONS(2281),
    [anon_sym_values] = ACTIONS(2281),
    [anon_sym_write] = ACTIONS(2281),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2281),
    [anon_sym___END__] = ACTIONS(2281),
    [anon_sym_EOT] = ACTIONS(2281),
    [anon_sym_q] = ACTIONS(2281),
    [anon_sym_qq] = ACTIONS(2281),
    [anon_sym_qw] = ACTIONS(2281),
    [anon_sym_qx] = ACTIONS(2281),
    [anon_sym_qr] = ACTIONS(2281),
    [anon_sym_m] = ACTIONS(2281),
    [anon_sym_s] = ACTIONS(2281),
    [anon_sym_tr] = ACTIONS(2281),
    [anon_sym_y] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2281),
    [anon_sym_unless] = ACTIONS(2281),
    [anon_sym_while] = ACTIONS(2281),
    [anon_sym_until] = ACTIONS(2281),
    [aux_sym__bareword_token1] = ACTIONS(2281),
    [sym_number] = ACTIONS(2281),
    [anon_sym_true] = ACTIONS(2281),
    [anon_sym_false] = ACTIONS(2281),
    [sym__single_quote] = ACTIONS(2279),
    [sym__double_quote] = ACTIONS(2279),
    [sym__backtick_quote] = ACTIONS(2279),
    [sym__search_slash_quote] = ACTIONS(2279),
    [sym__open_readline_bracket] = ACTIONS(2279),
    [sym__open_fileglob_bracket] = ACTIONS(2279),
    [sym__PERLY_HEREDOC] = ACTIONS(2279),
    [sym__ctrl_z_hack] = ACTIONS(2279),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2279),
    [sym__filetest] = ACTIONS(2279),
  },
  [963] = {
    [sym_heredoc_content] = STATE(963),
    [ts_builtin_sym_end] = ACTIONS(2283),
    [sym__identifier] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2285),
    [anon_sym_package] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_role] = ACTIONS(2285),
    [anon_sym_BUILD] = ACTIONS(2285),
    [anon_sym_ADJUST] = ACTIONS(2285),
    [anon_sym_DOLLAR] = ACTIONS(2285),
    [anon_sym_AT] = ACTIONS(2285),
    [anon_sym_my] = ACTIONS(2285),
    [anon_sym_extended] = ACTIONS(2285),
    [anon_sym_async] = ACTIONS(2285),
    [anon_sym_sub] = ACTIONS(2285),
    [anon_sym_method] = ACTIONS(2285),
    [anon_sym_LPAREN] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_state] = ACTIONS(2285),
    [anon_sym_our] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_defer] = ACTIONS(2285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_LT_LT] = ACTIONS(2285),
    [anon_sym_SLASH_SLASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_PLUS_PLUS] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2285),
    [anon_sym_BSLASH] = ACTIONS(2283),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_eval] = ACTIONS(2285),
    [anon_sym_await] = ACTIONS(2285),
    [anon_sym_field] = ACTIONS(2285),
    [anon_sym_local] = ACTIONS(2285),
    [anon_sym_dynamically] = ACTIONS(2285),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2285),
    [anon_sym_require] = ACTIONS(2285),
    [anon_sym_map] = ACTIONS(2285),
    [anon_sym_grep] = ACTIONS(2285),
    [anon_sym_sort] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_undef] = ACTIONS(2285),
    [anon_sym_PERCENT2] = ACTIONS(2285),
    [anon_sym_AMP2] = ACTIONS(2285),
    [anon_sym_STAR2] = ACTIONS(2285),
    [anon_sym_use] = ACTIONS(2285),
    [anon_sym_no] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_foreach] = ACTIONS(2285),
    [anon_sym_last] = ACTIONS(2285),
    [anon_sym_next] = ACTIONS(2285),
    [anon_sym_redo] = ACTIONS(2285),
    [anon_sym_BEGIN] = ACTIONS(2285),
    [anon_sym_INIT] = ACTIONS(2285),
    [anon_sym_CHECK] = ACTIONS(2285),
    [anon_sym_UNITCHECK] = ACTIONS(2285),
    [anon_sym_END] = ACTIONS(2285),
    [anon_sym___FILE__] = ACTIONS(2285),
    [anon_sym___LINE__] = ACTIONS(2285),
    [anon_sym___PACKAGE__] = ACTIONS(2285),
    [anon_sym___SUB__] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_fork] = ACTIONS(2285),
    [anon_sym_getppid] = ACTIONS(2285),
    [anon_sym_time] = ACTIONS(2285),
    [anon_sym_times] = ACTIONS(2285),
    [anon_sym_wait] = ACTIONS(2285),
    [anon_sym_wantarray] = ACTIONS(2285),
    [anon_sym_abs] = ACTIONS(2285),
    [anon_sym_alarm] = ACTIONS(2285),
    [anon_sym_chop] = ACTIONS(2285),
    [anon_sym_chdir] = ACTIONS(2285),
    [anon_sym_close] = ACTIONS(2285),
    [anon_sym_closedir] = ACTIONS(2285),
    [anon_sym_caller] = ACTIONS(2285),
    [anon_sym_chomp] = ACTIONS(2285),
    [anon_sym_chr] = ACTIONS(2285),
    [anon_sym_cos] = ACTIONS(2285),
    [anon_sym_chroot] = ACTIONS(2285),
    [anon_sym_defined] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_dbmclose] = ACTIONS(2285),
    [anon_sym_exists] = ACTIONS(2285),
    [anon_sym_exit] = ACTIONS(2285),
    [anon_sym_eof] = ACTIONS(2285),
    [anon_sym_exp] = ACTIONS(2285),
    [anon_sym_each] = ACTIONS(2285),
    [anon_sym_fc] = ACTIONS(2285),
    [anon_sym_fileno] = ACTIONS(2285),
    [anon_sym_gmtime] = ACTIONS(2285),
    [anon_sym_getc] = ACTIONS(2285),
    [anon_sym_getpgrp] = ACTIONS(2285),
    [anon_sym_getprotobyname] = ACTIONS(2285),
    [anon_sym_getpwname] = ACTIONS(2285),
    [anon_sym_getpwuid] = ACTIONS(2285),
    [anon_sym_getpeername] = ACTIONS(2285),
    [anon_sym_getnetbyname] = ACTIONS(2285),
    [anon_sym_getsockname] = ACTIONS(2285),
    [anon_sym_getgrnam] = ACTIONS(2285),
    [anon_sym_getgrgid] = ACTIONS(2285),
    [anon_sym_hex] = ACTIONS(2285),
    [anon_sym_int] = ACTIONS(2285),
    [anon_sym_keys] = ACTIONS(2285),
    [anon_sym_lc] = ACTIONS(2285),
    [anon_sym_lcfirst] = ACTIONS(2285),
    [anon_sym_length] = ACTIONS(2285),
    [anon_sym_localtime] = ACTIONS(2285),
    [anon_sym_log] = ACTIONS(2285),
    [anon_sym_lock] = ACTIONS(2285),
    [anon_sym_lstat] = ACTIONS(2285),
    [anon_sym_oct] = ACTIONS(2285),
    [anon_sym_ord] = ACTIONS(2285),
    [anon_sym_prototype] = ACTIONS(2285),
    [anon_sym_pop] = ACTIONS(2285),
    [anon_sym_pos] = ACTIONS(2285),
    [anon_sym_quotemeta] = ACTIONS(2285),
    [anon_sym_reset] = ACTIONS(2285),
    [anon_sym_rand] = ACTIONS(2285),
    [anon_sym_rmdir] = ACTIONS(2285),
    [anon_sym_readdir] = ACTIONS(2285),
    [anon_sym_readline] = ACTIONS(2285),
    [anon_sym_readpipe] = ACTIONS(2285),
    [anon_sym_rewinddir] = ACTIONS(2285),
    [anon_sym_readlink] = ACTIONS(2285),
    [anon_sym_ref] = ACTIONS(2285),
    [anon_sym_scalar] = ACTIONS(2285),
    [anon_sym_shift] = ACTIONS(2285),
    [anon_sym_sin] = ACTIONS(2285),
    [anon_sym_sleep] = ACTIONS(2285),
    [anon_sym_sqrt] = ACTIONS(2285),
    [anon_sym_srand] = ACTIONS(2285),
    [anon_sym_stat] = ACTIONS(2285),
    [anon_sym_study] = ACTIONS(2285),
    [anon_sym_tell] = ACTIONS(2285),
    [anon_sym_telldir] = ACTIONS(2285),
    [anon_sym_tied] = ACTIONS(2285),
    [anon_sym_uc] = ACTIONS(2285),
    [anon_sym_ucfirst] = ACTIONS(2285),
    [anon_sym_untie] = ACTIONS(2285),
    [anon_sym_umask] = ACTIONS(2285),
    [anon_sym_values] = ACTIONS(2285),
    [anon_sym_write] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2285),
    [anon_sym___END__] = ACTIONS(2285),
    [anon_sym_EOT] = ACTIONS(2285),
    [anon_sym_q] = ACTIONS(2285),
    [anon_sym_qq] = ACTIONS(2285),
    [anon_sym_qw] = ACTIONS(2285),
    [anon_sym_qx] = ACTIONS(2285),
    [anon_sym_qr] = ACTIONS(2285),
    [anon_sym_m] = ACTIONS(2285),
    [anon_sym_s] = ACTIONS(2285),
    [anon_sym_tr] = ACTIONS(2285),
    [anon_sym_y] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_unless] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_until] = ACTIONS(2285),
    [aux_sym__bareword_token1] = ACTIONS(2285),
    [sym_number] = ACTIONS(2285),
    [anon_sym_true] = ACTIONS(2285),
    [anon_sym_false] = ACTIONS(2285),
    [sym__single_quote] = ACTIONS(2283),
    [sym__double_quote] = ACTIONS(2283),
    [sym__backtick_quote] = ACTIONS(2283),
    [sym__search_slash_quote] = ACTIONS(2283),
    [sym__open_readline_bracket] = ACTIONS(2283),
    [sym__open_fileglob_bracket] = ACTIONS(2283),
    [sym__PERLY_HEREDOC] = ACTIONS(2283),
    [sym__ctrl_z_hack] = ACTIONS(2283),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2283),
    [sym__filetest] = ACTIONS(2283),
  },
  [964] = {
    [sym_heredoc_content] = STATE(964),
    [ts_builtin_sym_end] = ACTIONS(2287),
    [sym__identifier] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2289),
    [anon_sym_package] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_role] = ACTIONS(2289),
    [anon_sym_BUILD] = ACTIONS(2289),
    [anon_sym_ADJUST] = ACTIONS(2289),
    [anon_sym_DOLLAR] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2289),
    [anon_sym_my] = ACTIONS(2289),
    [anon_sym_extended] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_sub] = ACTIONS(2289),
    [anon_sym_method] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_state] = ACTIONS(2289),
    [anon_sym_our] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_defer] = ACTIONS(2289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_SLASH_SLASH] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2289),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_BSLASH] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_eval] = ACTIONS(2289),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_field] = ACTIONS(2289),
    [anon_sym_local] = ACTIONS(2289),
    [anon_sym_dynamically] = ACTIONS(2289),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2289),
    [anon_sym_require] = ACTIONS(2289),
    [anon_sym_map] = ACTIONS(2289),
    [anon_sym_grep] = ACTIONS(2289),
    [anon_sym_sort] = ACTIONS(2289),
    [anon_sym_goto] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_undef] = ACTIONS(2289),
    [anon_sym_PERCENT2] = ACTIONS(2289),
    [anon_sym_AMP2] = ACTIONS(2289),
    [anon_sym_STAR2] = ACTIONS(2289),
    [anon_sym_use] = ACTIONS(2289),
    [anon_sym_no] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_foreach] = ACTIONS(2289),
    [anon_sym_last] = ACTIONS(2289),
    [anon_sym_next] = ACTIONS(2289),
    [anon_sym_redo] = ACTIONS(2289),
    [anon_sym_BEGIN] = ACTIONS(2289),
    [anon_sym_INIT] = ACTIONS(2289),
    [anon_sym_CHECK] = ACTIONS(2289),
    [anon_sym_UNITCHECK] = ACTIONS(2289),
    [anon_sym_END] = ACTIONS(2289),
    [anon_sym___FILE__] = ACTIONS(2289),
    [anon_sym___LINE__] = ACTIONS(2289),
    [anon_sym___PACKAGE__] = ACTIONS(2289),
    [anon_sym___SUB__] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_fork] = ACTIONS(2289),
    [anon_sym_getppid] = ACTIONS(2289),
    [anon_sym_time] = ACTIONS(2289),
    [anon_sym_times] = ACTIONS(2289),
    [anon_sym_wait] = ACTIONS(2289),
    [anon_sym_wantarray] = ACTIONS(2289),
    [anon_sym_abs] = ACTIONS(2289),
    [anon_sym_alarm] = ACTIONS(2289),
    [anon_sym_chop] = ACTIONS(2289),
    [anon_sym_chdir] = ACTIONS(2289),
    [anon_sym_close] = ACTIONS(2289),
    [anon_sym_closedir] = ACTIONS(2289),
    [anon_sym_caller] = ACTIONS(2289),
    [anon_sym_chomp] = ACTIONS(2289),
    [anon_sym_chr] = ACTIONS(2289),
    [anon_sym_cos] = ACTIONS(2289),
    [anon_sym_chroot] = ACTIONS(2289),
    [anon_sym_defined] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_dbmclose] = ACTIONS(2289),
    [anon_sym_exists] = ACTIONS(2289),
    [anon_sym_exit] = ACTIONS(2289),
    [anon_sym_eof] = ACTIONS(2289),
    [anon_sym_exp] = ACTIONS(2289),
    [anon_sym_each] = ACTIONS(2289),
    [anon_sym_fc] = ACTIONS(2289),
    [anon_sym_fileno] = ACTIONS(2289),
    [anon_sym_gmtime] = ACTIONS(2289),
    [anon_sym_getc] = ACTIONS(2289),
    [anon_sym_getpgrp] = ACTIONS(2289),
    [anon_sym_getprotobyname] = ACTIONS(2289),
    [anon_sym_getpwname] = ACTIONS(2289),
    [anon_sym_getpwuid] = ACTIONS(2289),
    [anon_sym_getpeername] = ACTIONS(2289),
    [anon_sym_getnetbyname] = ACTIONS(2289),
    [anon_sym_getsockname] = ACTIONS(2289),
    [anon_sym_getgrnam] = ACTIONS(2289),
    [anon_sym_getgrgid] = ACTIONS(2289),
    [anon_sym_hex] = ACTIONS(2289),
    [anon_sym_int] = ACTIONS(2289),
    [anon_sym_keys] = ACTIONS(2289),
    [anon_sym_lc] = ACTIONS(2289),
    [anon_sym_lcfirst] = ACTIONS(2289),
    [anon_sym_length] = ACTIONS(2289),
    [anon_sym_localtime] = ACTIONS(2289),
    [anon_sym_log] = ACTIONS(2289),
    [anon_sym_lock] = ACTIONS(2289),
    [anon_sym_lstat] = ACTIONS(2289),
    [anon_sym_oct] = ACTIONS(2289),
    [anon_sym_ord] = ACTIONS(2289),
    [anon_sym_prototype] = ACTIONS(2289),
    [anon_sym_pop] = ACTIONS(2289),
    [anon_sym_pos] = ACTIONS(2289),
    [anon_sym_quotemeta] = ACTIONS(2289),
    [anon_sym_reset] = ACTIONS(2289),
    [anon_sym_rand] = ACTIONS(2289),
    [anon_sym_rmdir] = ACTIONS(2289),
    [anon_sym_readdir] = ACTIONS(2289),
    [anon_sym_readline] = ACTIONS(2289),
    [anon_sym_readpipe] = ACTIONS(2289),
    [anon_sym_rewinddir] = ACTIONS(2289),
    [anon_sym_readlink] = ACTIONS(2289),
    [anon_sym_ref] = ACTIONS(2289),
    [anon_sym_scalar] = ACTIONS(2289),
    [anon_sym_shift] = ACTIONS(2289),
    [anon_sym_sin] = ACTIONS(2289),
    [anon_sym_sleep] = ACTIONS(2289),
    [anon_sym_sqrt] = ACTIONS(2289),
    [anon_sym_srand] = ACTIONS(2289),
    [anon_sym_stat] = ACTIONS(2289),
    [anon_sym_study] = ACTIONS(2289),
    [anon_sym_tell] = ACTIONS(2289),
    [anon_sym_telldir] = ACTIONS(2289),
    [anon_sym_tied] = ACTIONS(2289),
    [anon_sym_uc] = ACTIONS(2289),
    [anon_sym_ucfirst] = ACTIONS(2289),
    [anon_sym_untie] = ACTIONS(2289),
    [anon_sym_umask] = ACTIONS(2289),
    [anon_sym_values] = ACTIONS(2289),
    [anon_sym_write] = ACTIONS(2289),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2289),
    [anon_sym___END__] = ACTIONS(2289),
    [anon_sym_EOT] = ACTIONS(2289),
    [anon_sym_q] = ACTIONS(2289),
    [anon_sym_qq] = ACTIONS(2289),
    [anon_sym_qw] = ACTIONS(2289),
    [anon_sym_qx] = ACTIONS(2289),
    [anon_sym_qr] = ACTIONS(2289),
    [anon_sym_m] = ACTIONS(2289),
    [anon_sym_s] = ACTIONS(2289),
    [anon_sym_tr] = ACTIONS(2289),
    [anon_sym_y] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_unless] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_until] = ACTIONS(2289),
    [aux_sym__bareword_token1] = ACTIONS(2289),
    [sym_number] = ACTIONS(2289),
    [anon_sym_true] = ACTIONS(2289),
    [anon_sym_false] = ACTIONS(2289),
    [sym__single_quote] = ACTIONS(2287),
    [sym__double_quote] = ACTIONS(2287),
    [sym__backtick_quote] = ACTIONS(2287),
    [sym__search_slash_quote] = ACTIONS(2287),
    [sym__open_readline_bracket] = ACTIONS(2287),
    [sym__open_fileglob_bracket] = ACTIONS(2287),
    [sym__PERLY_HEREDOC] = ACTIONS(2287),
    [sym__ctrl_z_hack] = ACTIONS(2287),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2287),
    [sym__filetest] = ACTIONS(2287),
  },
  [965] = {
    [sym_heredoc_content] = STATE(965),
    [ts_builtin_sym_end] = ACTIONS(2291),
    [sym__identifier] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym_package] = ACTIONS(2293),
    [anon_sym_class] = ACTIONS(2293),
    [anon_sym_role] = ACTIONS(2293),
    [anon_sym_BUILD] = ACTIONS(2293),
    [anon_sym_ADJUST] = ACTIONS(2293),
    [anon_sym_DOLLAR] = ACTIONS(2293),
    [anon_sym_AT] = ACTIONS(2293),
    [anon_sym_my] = ACTIONS(2293),
    [anon_sym_extended] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2293),
    [anon_sym_sub] = ACTIONS(2293),
    [anon_sym_method] = ACTIONS(2293),
    [anon_sym_LPAREN] = ACTIONS(2293),
    [anon_sym_continue] = ACTIONS(2293),
    [anon_sym_state] = ACTIONS(2293),
    [anon_sym_our] = ACTIONS(2293),
    [anon_sym_try] = ACTIONS(2293),
    [anon_sym_defer] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_SLASH_SLASH] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_BSLASH] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2293),
    [anon_sym_eval] = ACTIONS(2293),
    [anon_sym_await] = ACTIONS(2293),
    [anon_sym_field] = ACTIONS(2293),
    [anon_sym_local] = ACTIONS(2293),
    [anon_sym_dynamically] = ACTIONS(2293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2293),
    [anon_sym_require] = ACTIONS(2293),
    [anon_sym_map] = ACTIONS(2293),
    [anon_sym_grep] = ACTIONS(2293),
    [anon_sym_sort] = ACTIONS(2293),
    [anon_sym_goto] = ACTIONS(2293),
    [anon_sym_return] = ACTIONS(2293),
    [anon_sym_undef] = ACTIONS(2293),
    [anon_sym_PERCENT2] = ACTIONS(2293),
    [anon_sym_AMP2] = ACTIONS(2293),
    [anon_sym_STAR2] = ACTIONS(2293),
    [anon_sym_use] = ACTIONS(2293),
    [anon_sym_no] = ACTIONS(2293),
    [anon_sym_for] = ACTIONS(2293),
    [anon_sym_foreach] = ACTIONS(2293),
    [anon_sym_last] = ACTIONS(2293),
    [anon_sym_next] = ACTIONS(2293),
    [anon_sym_redo] = ACTIONS(2293),
    [anon_sym_BEGIN] = ACTIONS(2293),
    [anon_sym_INIT] = ACTIONS(2293),
    [anon_sym_CHECK] = ACTIONS(2293),
    [anon_sym_UNITCHECK] = ACTIONS(2293),
    [anon_sym_END] = ACTIONS(2293),
    [anon_sym___FILE__] = ACTIONS(2293),
    [anon_sym___LINE__] = ACTIONS(2293),
    [anon_sym___PACKAGE__] = ACTIONS(2293),
    [anon_sym___SUB__] = ACTIONS(2293),
    [anon_sym_break] = ACTIONS(2293),
    [anon_sym_fork] = ACTIONS(2293),
    [anon_sym_getppid] = ACTIONS(2293),
    [anon_sym_time] = ACTIONS(2293),
    [anon_sym_times] = ACTIONS(2293),
    [anon_sym_wait] = ACTIONS(2293),
    [anon_sym_wantarray] = ACTIONS(2293),
    [anon_sym_abs] = ACTIONS(2293),
    [anon_sym_alarm] = ACTIONS(2293),
    [anon_sym_chop] = ACTIONS(2293),
    [anon_sym_chdir] = ACTIONS(2293),
    [anon_sym_close] = ACTIONS(2293),
    [anon_sym_closedir] = ACTIONS(2293),
    [anon_sym_caller] = ACTIONS(2293),
    [anon_sym_chomp] = ACTIONS(2293),
    [anon_sym_chr] = ACTIONS(2293),
    [anon_sym_cos] = ACTIONS(2293),
    [anon_sym_chroot] = ACTIONS(2293),
    [anon_sym_defined] = ACTIONS(2293),
    [anon_sym_delete] = ACTIONS(2293),
    [anon_sym_dbmclose] = ACTIONS(2293),
    [anon_sym_exists] = ACTIONS(2293),
    [anon_sym_exit] = ACTIONS(2293),
    [anon_sym_eof] = ACTIONS(2293),
    [anon_sym_exp] = ACTIONS(2293),
    [anon_sym_each] = ACTIONS(2293),
    [anon_sym_fc] = ACTIONS(2293),
    [anon_sym_fileno] = ACTIONS(2293),
    [anon_sym_gmtime] = ACTIONS(2293),
    [anon_sym_getc] = ACTIONS(2293),
    [anon_sym_getpgrp] = ACTIONS(2293),
    [anon_sym_getprotobyname] = ACTIONS(2293),
    [anon_sym_getpwname] = ACTIONS(2293),
    [anon_sym_getpwuid] = ACTIONS(2293),
    [anon_sym_getpeername] = ACTIONS(2293),
    [anon_sym_getnetbyname] = ACTIONS(2293),
    [anon_sym_getsockname] = ACTIONS(2293),
    [anon_sym_getgrnam] = ACTIONS(2293),
    [anon_sym_getgrgid] = ACTIONS(2293),
    [anon_sym_hex] = ACTIONS(2293),
    [anon_sym_int] = ACTIONS(2293),
    [anon_sym_keys] = ACTIONS(2293),
    [anon_sym_lc] = ACTIONS(2293),
    [anon_sym_lcfirst] = ACTIONS(2293),
    [anon_sym_length] = ACTIONS(2293),
    [anon_sym_localtime] = ACTIONS(2293),
    [anon_sym_log] = ACTIONS(2293),
    [anon_sym_lock] = ACTIONS(2293),
    [anon_sym_lstat] = ACTIONS(2293),
    [anon_sym_oct] = ACTIONS(2293),
    [anon_sym_ord] = ACTIONS(2293),
    [anon_sym_prototype] = ACTIONS(2293),
    [anon_sym_pop] = ACTIONS(2293),
    [anon_sym_pos] = ACTIONS(2293),
    [anon_sym_quotemeta] = ACTIONS(2293),
    [anon_sym_reset] = ACTIONS(2293),
    [anon_sym_rand] = ACTIONS(2293),
    [anon_sym_rmdir] = ACTIONS(2293),
    [anon_sym_readdir] = ACTIONS(2293),
    [anon_sym_readline] = ACTIONS(2293),
    [anon_sym_readpipe] = ACTIONS(2293),
    [anon_sym_rewinddir] = ACTIONS(2293),
    [anon_sym_readlink] = ACTIONS(2293),
    [anon_sym_ref] = ACTIONS(2293),
    [anon_sym_scalar] = ACTIONS(2293),
    [anon_sym_shift] = ACTIONS(2293),
    [anon_sym_sin] = ACTIONS(2293),
    [anon_sym_sleep] = ACTIONS(2293),
    [anon_sym_sqrt] = ACTIONS(2293),
    [anon_sym_srand] = ACTIONS(2293),
    [anon_sym_stat] = ACTIONS(2293),
    [anon_sym_study] = ACTIONS(2293),
    [anon_sym_tell] = ACTIONS(2293),
    [anon_sym_telldir] = ACTIONS(2293),
    [anon_sym_tied] = ACTIONS(2293),
    [anon_sym_uc] = ACTIONS(2293),
    [anon_sym_ucfirst] = ACTIONS(2293),
    [anon_sym_untie] = ACTIONS(2293),
    [anon_sym_umask] = ACTIONS(2293),
    [anon_sym_values] = ACTIONS(2293),
    [anon_sym_write] = ACTIONS(2293),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2293),
    [anon_sym___END__] = ACTIONS(2293),
    [anon_sym_EOT] = ACTIONS(2293),
    [anon_sym_q] = ACTIONS(2293),
    [anon_sym_qq] = ACTIONS(2293),
    [anon_sym_qw] = ACTIONS(2293),
    [anon_sym_qx] = ACTIONS(2293),
    [anon_sym_qr] = ACTIONS(2293),
    [anon_sym_m] = ACTIONS(2293),
    [anon_sym_s] = ACTIONS(2293),
    [anon_sym_tr] = ACTIONS(2293),
    [anon_sym_y] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2293),
    [anon_sym_unless] = ACTIONS(2293),
    [anon_sym_while] = ACTIONS(2293),
    [anon_sym_until] = ACTIONS(2293),
    [aux_sym__bareword_token1] = ACTIONS(2293),
    [sym_number] = ACTIONS(2293),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [sym__single_quote] = ACTIONS(2291),
    [sym__double_quote] = ACTIONS(2291),
    [sym__backtick_quote] = ACTIONS(2291),
    [sym__search_slash_quote] = ACTIONS(2291),
    [sym__open_readline_bracket] = ACTIONS(2291),
    [sym__open_fileglob_bracket] = ACTIONS(2291),
    [sym__PERLY_HEREDOC] = ACTIONS(2291),
    [sym__ctrl_z_hack] = ACTIONS(2291),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2291),
    [sym__filetest] = ACTIONS(2291),
  },
  [966] = {
    [sym_heredoc_content] = STATE(966),
    [ts_builtin_sym_end] = ACTIONS(2295),
    [sym__identifier] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_package] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_role] = ACTIONS(2297),
    [anon_sym_BUILD] = ACTIONS(2297),
    [anon_sym_ADJUST] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_my] = ACTIONS(2297),
    [anon_sym_extended] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_sub] = ACTIONS(2297),
    [anon_sym_method] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_state] = ACTIONS(2297),
    [anon_sym_our] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_defer] = ACTIONS(2297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_SLASH_SLASH] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [anon_sym_BSLASH] = ACTIONS(2295),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_eval] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_field] = ACTIONS(2297),
    [anon_sym_local] = ACTIONS(2297),
    [anon_sym_dynamically] = ACTIONS(2297),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2297),
    [anon_sym_require] = ACTIONS(2297),
    [anon_sym_map] = ACTIONS(2297),
    [anon_sym_grep] = ACTIONS(2297),
    [anon_sym_sort] = ACTIONS(2297),
    [anon_sym_goto] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_undef] = ACTIONS(2297),
    [anon_sym_PERCENT2] = ACTIONS(2297),
    [anon_sym_AMP2] = ACTIONS(2297),
    [anon_sym_STAR2] = ACTIONS(2297),
    [anon_sym_use] = ACTIONS(2297),
    [anon_sym_no] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_foreach] = ACTIONS(2297),
    [anon_sym_last] = ACTIONS(2297),
    [anon_sym_next] = ACTIONS(2297),
    [anon_sym_redo] = ACTIONS(2297),
    [anon_sym_BEGIN] = ACTIONS(2297),
    [anon_sym_INIT] = ACTIONS(2297),
    [anon_sym_CHECK] = ACTIONS(2297),
    [anon_sym_UNITCHECK] = ACTIONS(2297),
    [anon_sym_END] = ACTIONS(2297),
    [anon_sym___FILE__] = ACTIONS(2297),
    [anon_sym___LINE__] = ACTIONS(2297),
    [anon_sym___PACKAGE__] = ACTIONS(2297),
    [anon_sym___SUB__] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_fork] = ACTIONS(2297),
    [anon_sym_getppid] = ACTIONS(2297),
    [anon_sym_time] = ACTIONS(2297),
    [anon_sym_times] = ACTIONS(2297),
    [anon_sym_wait] = ACTIONS(2297),
    [anon_sym_wantarray] = ACTIONS(2297),
    [anon_sym_abs] = ACTIONS(2297),
    [anon_sym_alarm] = ACTIONS(2297),
    [anon_sym_chop] = ACTIONS(2297),
    [anon_sym_chdir] = ACTIONS(2297),
    [anon_sym_close] = ACTIONS(2297),
    [anon_sym_closedir] = ACTIONS(2297),
    [anon_sym_caller] = ACTIONS(2297),
    [anon_sym_chomp] = ACTIONS(2297),
    [anon_sym_chr] = ACTIONS(2297),
    [anon_sym_cos] = ACTIONS(2297),
    [anon_sym_chroot] = ACTIONS(2297),
    [anon_sym_defined] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_dbmclose] = ACTIONS(2297),
    [anon_sym_exists] = ACTIONS(2297),
    [anon_sym_exit] = ACTIONS(2297),
    [anon_sym_eof] = ACTIONS(2297),
    [anon_sym_exp] = ACTIONS(2297),
    [anon_sym_each] = ACTIONS(2297),
    [anon_sym_fc] = ACTIONS(2297),
    [anon_sym_fileno] = ACTIONS(2297),
    [anon_sym_gmtime] = ACTIONS(2297),
    [anon_sym_getc] = ACTIONS(2297),
    [anon_sym_getpgrp] = ACTIONS(2297),
    [anon_sym_getprotobyname] = ACTIONS(2297),
    [anon_sym_getpwname] = ACTIONS(2297),
    [anon_sym_getpwuid] = ACTIONS(2297),
    [anon_sym_getpeername] = ACTIONS(2297),
    [anon_sym_getnetbyname] = ACTIONS(2297),
    [anon_sym_getsockname] = ACTIONS(2297),
    [anon_sym_getgrnam] = ACTIONS(2297),
    [anon_sym_getgrgid] = ACTIONS(2297),
    [anon_sym_hex] = ACTIONS(2297),
    [anon_sym_int] = ACTIONS(2297),
    [anon_sym_keys] = ACTIONS(2297),
    [anon_sym_lc] = ACTIONS(2297),
    [anon_sym_lcfirst] = ACTIONS(2297),
    [anon_sym_length] = ACTIONS(2297),
    [anon_sym_localtime] = ACTIONS(2297),
    [anon_sym_log] = ACTIONS(2297),
    [anon_sym_lock] = ACTIONS(2297),
    [anon_sym_lstat] = ACTIONS(2297),
    [anon_sym_oct] = ACTIONS(2297),
    [anon_sym_ord] = ACTIONS(2297),
    [anon_sym_prototype] = ACTIONS(2297),
    [anon_sym_pop] = ACTIONS(2297),
    [anon_sym_pos] = ACTIONS(2297),
    [anon_sym_quotemeta] = ACTIONS(2297),
    [anon_sym_reset] = ACTIONS(2297),
    [anon_sym_rand] = ACTIONS(2297),
    [anon_sym_rmdir] = ACTIONS(2297),
    [anon_sym_readdir] = ACTIONS(2297),
    [anon_sym_readline] = ACTIONS(2297),
    [anon_sym_readpipe] = ACTIONS(2297),
    [anon_sym_rewinddir] = ACTIONS(2297),
    [anon_sym_readlink] = ACTIONS(2297),
    [anon_sym_ref] = ACTIONS(2297),
    [anon_sym_scalar] = ACTIONS(2297),
    [anon_sym_shift] = ACTIONS(2297),
    [anon_sym_sin] = ACTIONS(2297),
    [anon_sym_sleep] = ACTIONS(2297),
    [anon_sym_sqrt] = ACTIONS(2297),
    [anon_sym_srand] = ACTIONS(2297),
    [anon_sym_stat] = ACTIONS(2297),
    [anon_sym_study] = ACTIONS(2297),
    [anon_sym_tell] = ACTIONS(2297),
    [anon_sym_telldir] = ACTIONS(2297),
    [anon_sym_tied] = ACTIONS(2297),
    [anon_sym_uc] = ACTIONS(2297),
    [anon_sym_ucfirst] = ACTIONS(2297),
    [anon_sym_untie] = ACTIONS(2297),
    [anon_sym_umask] = ACTIONS(2297),
    [anon_sym_values] = ACTIONS(2297),
    [anon_sym_write] = ACTIONS(2297),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2297),
    [anon_sym___END__] = ACTIONS(2297),
    [anon_sym_EOT] = ACTIONS(2297),
    [anon_sym_q] = ACTIONS(2297),
    [anon_sym_qq] = ACTIONS(2297),
    [anon_sym_qw] = ACTIONS(2297),
    [anon_sym_qx] = ACTIONS(2297),
    [anon_sym_qr] = ACTIONS(2297),
    [anon_sym_m] = ACTIONS(2297),
    [anon_sym_s] = ACTIONS(2297),
    [anon_sym_tr] = ACTIONS(2297),
    [anon_sym_y] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_unless] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_until] = ACTIONS(2297),
    [aux_sym__bareword_token1] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [anon_sym_true] = ACTIONS(2297),
    [anon_sym_false] = ACTIONS(2297),
    [sym__single_quote] = ACTIONS(2295),
    [sym__double_quote] = ACTIONS(2295),
    [sym__backtick_quote] = ACTIONS(2295),
    [sym__search_slash_quote] = ACTIONS(2295),
    [sym__open_readline_bracket] = ACTIONS(2295),
    [sym__open_fileglob_bracket] = ACTIONS(2295),
    [sym__PERLY_HEREDOC] = ACTIONS(2295),
    [sym__ctrl_z_hack] = ACTIONS(2295),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2295),
    [sym__filetest] = ACTIONS(2295),
  },
  [967] = {
    [sym_heredoc_content] = STATE(967),
    [ts_builtin_sym_end] = ACTIONS(2299),
    [sym__identifier] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2301),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym_package] = ACTIONS(2301),
    [anon_sym_class] = ACTIONS(2301),
    [anon_sym_role] = ACTIONS(2301),
    [anon_sym_BUILD] = ACTIONS(2301),
    [anon_sym_ADJUST] = ACTIONS(2301),
    [anon_sym_DOLLAR] = ACTIONS(2301),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_my] = ACTIONS(2301),
    [anon_sym_extended] = ACTIONS(2301),
    [anon_sym_async] = ACTIONS(2301),
    [anon_sym_sub] = ACTIONS(2301),
    [anon_sym_method] = ACTIONS(2301),
    [anon_sym_LPAREN] = ACTIONS(2301),
    [anon_sym_continue] = ACTIONS(2301),
    [anon_sym_state] = ACTIONS(2301),
    [anon_sym_our] = ACTIONS(2301),
    [anon_sym_try] = ACTIONS(2301),
    [anon_sym_defer] = ACTIONS(2301),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2301),
    [anon_sym_LBRACK] = ACTIONS(2301),
    [anon_sym_LT_LT] = ACTIONS(2301),
    [anon_sym_SLASH_SLASH] = ACTIONS(2301),
    [anon_sym_PLUS] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2301),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_BSLASH] = ACTIONS(2299),
    [anon_sym_do] = ACTIONS(2301),
    [anon_sym_eval] = ACTIONS(2301),
    [anon_sym_await] = ACTIONS(2301),
    [anon_sym_field] = ACTIONS(2301),
    [anon_sym_local] = ACTIONS(2301),
    [anon_sym_dynamically] = ACTIONS(2301),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2301),
    [anon_sym_require] = ACTIONS(2301),
    [anon_sym_map] = ACTIONS(2301),
    [anon_sym_grep] = ACTIONS(2301),
    [anon_sym_sort] = ACTIONS(2301),
    [anon_sym_goto] = ACTIONS(2301),
    [anon_sym_return] = ACTIONS(2301),
    [anon_sym_undef] = ACTIONS(2301),
    [anon_sym_PERCENT2] = ACTIONS(2301),
    [anon_sym_AMP2] = ACTIONS(2301),
    [anon_sym_STAR2] = ACTIONS(2301),
    [anon_sym_use] = ACTIONS(2301),
    [anon_sym_no] = ACTIONS(2301),
    [anon_sym_for] = ACTIONS(2301),
    [anon_sym_foreach] = ACTIONS(2301),
    [anon_sym_last] = ACTIONS(2301),
    [anon_sym_next] = ACTIONS(2301),
    [anon_sym_redo] = ACTIONS(2301),
    [anon_sym_BEGIN] = ACTIONS(2301),
    [anon_sym_INIT] = ACTIONS(2301),
    [anon_sym_CHECK] = ACTIONS(2301),
    [anon_sym_UNITCHECK] = ACTIONS(2301),
    [anon_sym_END] = ACTIONS(2301),
    [anon_sym___FILE__] = ACTIONS(2301),
    [anon_sym___LINE__] = ACTIONS(2301),
    [anon_sym___PACKAGE__] = ACTIONS(2301),
    [anon_sym___SUB__] = ACTIONS(2301),
    [anon_sym_break] = ACTIONS(2301),
    [anon_sym_fork] = ACTIONS(2301),
    [anon_sym_getppid] = ACTIONS(2301),
    [anon_sym_time] = ACTIONS(2301),
    [anon_sym_times] = ACTIONS(2301),
    [anon_sym_wait] = ACTIONS(2301),
    [anon_sym_wantarray] = ACTIONS(2301),
    [anon_sym_abs] = ACTIONS(2301),
    [anon_sym_alarm] = ACTIONS(2301),
    [anon_sym_chop] = ACTIONS(2301),
    [anon_sym_chdir] = ACTIONS(2301),
    [anon_sym_close] = ACTIONS(2301),
    [anon_sym_closedir] = ACTIONS(2301),
    [anon_sym_caller] = ACTIONS(2301),
    [anon_sym_chomp] = ACTIONS(2301),
    [anon_sym_chr] = ACTIONS(2301),
    [anon_sym_cos] = ACTIONS(2301),
    [anon_sym_chroot] = ACTIONS(2301),
    [anon_sym_defined] = ACTIONS(2301),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_dbmclose] = ACTIONS(2301),
    [anon_sym_exists] = ACTIONS(2301),
    [anon_sym_exit] = ACTIONS(2301),
    [anon_sym_eof] = ACTIONS(2301),
    [anon_sym_exp] = ACTIONS(2301),
    [anon_sym_each] = ACTIONS(2301),
    [anon_sym_fc] = ACTIONS(2301),
    [anon_sym_fileno] = ACTIONS(2301),
    [anon_sym_gmtime] = ACTIONS(2301),
    [anon_sym_getc] = ACTIONS(2301),
    [anon_sym_getpgrp] = ACTIONS(2301),
    [anon_sym_getprotobyname] = ACTIONS(2301),
    [anon_sym_getpwname] = ACTIONS(2301),
    [anon_sym_getpwuid] = ACTIONS(2301),
    [anon_sym_getpeername] = ACTIONS(2301),
    [anon_sym_getnetbyname] = ACTIONS(2301),
    [anon_sym_getsockname] = ACTIONS(2301),
    [anon_sym_getgrnam] = ACTIONS(2301),
    [anon_sym_getgrgid] = ACTIONS(2301),
    [anon_sym_hex] = ACTIONS(2301),
    [anon_sym_int] = ACTIONS(2301),
    [anon_sym_keys] = ACTIONS(2301),
    [anon_sym_lc] = ACTIONS(2301),
    [anon_sym_lcfirst] = ACTIONS(2301),
    [anon_sym_length] = ACTIONS(2301),
    [anon_sym_localtime] = ACTIONS(2301),
    [anon_sym_log] = ACTIONS(2301),
    [anon_sym_lock] = ACTIONS(2301),
    [anon_sym_lstat] = ACTIONS(2301),
    [anon_sym_oct] = ACTIONS(2301),
    [anon_sym_ord] = ACTIONS(2301),
    [anon_sym_prototype] = ACTIONS(2301),
    [anon_sym_pop] = ACTIONS(2301),
    [anon_sym_pos] = ACTIONS(2301),
    [anon_sym_quotemeta] = ACTIONS(2301),
    [anon_sym_reset] = ACTIONS(2301),
    [anon_sym_rand] = ACTIONS(2301),
    [anon_sym_rmdir] = ACTIONS(2301),
    [anon_sym_readdir] = ACTIONS(2301),
    [anon_sym_readline] = ACTIONS(2301),
    [anon_sym_readpipe] = ACTIONS(2301),
    [anon_sym_rewinddir] = ACTIONS(2301),
    [anon_sym_readlink] = ACTIONS(2301),
    [anon_sym_ref] = ACTIONS(2301),
    [anon_sym_scalar] = ACTIONS(2301),
    [anon_sym_shift] = ACTIONS(2301),
    [anon_sym_sin] = ACTIONS(2301),
    [anon_sym_sleep] = ACTIONS(2301),
    [anon_sym_sqrt] = ACTIONS(2301),
    [anon_sym_srand] = ACTIONS(2301),
    [anon_sym_stat] = ACTIONS(2301),
    [anon_sym_study] = ACTIONS(2301),
    [anon_sym_tell] = ACTIONS(2301),
    [anon_sym_telldir] = ACTIONS(2301),
    [anon_sym_tied] = ACTIONS(2301),
    [anon_sym_uc] = ACTIONS(2301),
    [anon_sym_ucfirst] = ACTIONS(2301),
    [anon_sym_untie] = ACTIONS(2301),
    [anon_sym_umask] = ACTIONS(2301),
    [anon_sym_values] = ACTIONS(2301),
    [anon_sym_write] = ACTIONS(2301),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2301),
    [anon_sym___END__] = ACTIONS(2301),
    [anon_sym_EOT] = ACTIONS(2301),
    [anon_sym_q] = ACTIONS(2301),
    [anon_sym_qq] = ACTIONS(2301),
    [anon_sym_qw] = ACTIONS(2301),
    [anon_sym_qx] = ACTIONS(2301),
    [anon_sym_qr] = ACTIONS(2301),
    [anon_sym_m] = ACTIONS(2301),
    [anon_sym_s] = ACTIONS(2301),
    [anon_sym_tr] = ACTIONS(2301),
    [anon_sym_y] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2301),
    [anon_sym_unless] = ACTIONS(2301),
    [anon_sym_while] = ACTIONS(2301),
    [anon_sym_until] = ACTIONS(2301),
    [aux_sym__bareword_token1] = ACTIONS(2301),
    [sym_number] = ACTIONS(2301),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [sym__single_quote] = ACTIONS(2299),
    [sym__double_quote] = ACTIONS(2299),
    [sym__backtick_quote] = ACTIONS(2299),
    [sym__search_slash_quote] = ACTIONS(2299),
    [sym__open_readline_bracket] = ACTIONS(2299),
    [sym__open_fileglob_bracket] = ACTIONS(2299),
    [sym__PERLY_HEREDOC] = ACTIONS(2299),
    [sym__ctrl_z_hack] = ACTIONS(2299),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2299),
    [sym__filetest] = ACTIONS(2299),
  },
  [968] = {
    [sym_heredoc_content] = STATE(968),
    [ts_builtin_sym_end] = ACTIONS(2303),
    [sym__identifier] = ACTIONS(2305),
    [anon_sym_LBRACE] = ACTIONS(2305),
    [anon_sym_SEMI] = ACTIONS(2305),
    [anon_sym_package] = ACTIONS(2305),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_role] = ACTIONS(2305),
    [anon_sym_BUILD] = ACTIONS(2305),
    [anon_sym_ADJUST] = ACTIONS(2305),
    [anon_sym_DOLLAR] = ACTIONS(2305),
    [anon_sym_AT] = ACTIONS(2305),
    [anon_sym_my] = ACTIONS(2305),
    [anon_sym_extended] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2305),
    [anon_sym_sub] = ACTIONS(2305),
    [anon_sym_method] = ACTIONS(2305),
    [anon_sym_LPAREN] = ACTIONS(2305),
    [anon_sym_continue] = ACTIONS(2305),
    [anon_sym_state] = ACTIONS(2305),
    [anon_sym_our] = ACTIONS(2305),
    [anon_sym_try] = ACTIONS(2305),
    [anon_sym_defer] = ACTIONS(2305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2305),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [anon_sym_LT_LT] = ACTIONS(2305),
    [anon_sym_SLASH_SLASH] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2305),
    [anon_sym_TILDE] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2305),
    [anon_sym_PLUS_PLUS] = ACTIONS(2305),
    [anon_sym_DASH_DASH] = ACTIONS(2305),
    [anon_sym_BSLASH] = ACTIONS(2303),
    [anon_sym_do] = ACTIONS(2305),
    [anon_sym_eval] = ACTIONS(2305),
    [anon_sym_await] = ACTIONS(2305),
    [anon_sym_field] = ACTIONS(2305),
    [anon_sym_local] = ACTIONS(2305),
    [anon_sym_dynamically] = ACTIONS(2305),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2305),
    [anon_sym_require] = ACTIONS(2305),
    [anon_sym_map] = ACTIONS(2305),
    [anon_sym_grep] = ACTIONS(2305),
    [anon_sym_sort] = ACTIONS(2305),
    [anon_sym_goto] = ACTIONS(2305),
    [anon_sym_return] = ACTIONS(2305),
    [anon_sym_undef] = ACTIONS(2305),
    [anon_sym_PERCENT2] = ACTIONS(2305),
    [anon_sym_AMP2] = ACTIONS(2305),
    [anon_sym_STAR2] = ACTIONS(2305),
    [anon_sym_use] = ACTIONS(2305),
    [anon_sym_no] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2305),
    [anon_sym_foreach] = ACTIONS(2305),
    [anon_sym_last] = ACTIONS(2305),
    [anon_sym_next] = ACTIONS(2305),
    [anon_sym_redo] = ACTIONS(2305),
    [anon_sym_BEGIN] = ACTIONS(2305),
    [anon_sym_INIT] = ACTIONS(2305),
    [anon_sym_CHECK] = ACTIONS(2305),
    [anon_sym_UNITCHECK] = ACTIONS(2305),
    [anon_sym_END] = ACTIONS(2305),
    [anon_sym___FILE__] = ACTIONS(2305),
    [anon_sym___LINE__] = ACTIONS(2305),
    [anon_sym___PACKAGE__] = ACTIONS(2305),
    [anon_sym___SUB__] = ACTIONS(2305),
    [anon_sym_break] = ACTIONS(2305),
    [anon_sym_fork] = ACTIONS(2305),
    [anon_sym_getppid] = ACTIONS(2305),
    [anon_sym_time] = ACTIONS(2305),
    [anon_sym_times] = ACTIONS(2305),
    [anon_sym_wait] = ACTIONS(2305),
    [anon_sym_wantarray] = ACTIONS(2305),
    [anon_sym_abs] = ACTIONS(2305),
    [anon_sym_alarm] = ACTIONS(2305),
    [anon_sym_chop] = ACTIONS(2305),
    [anon_sym_chdir] = ACTIONS(2305),
    [anon_sym_close] = ACTIONS(2305),
    [anon_sym_closedir] = ACTIONS(2305),
    [anon_sym_caller] = ACTIONS(2305),
    [anon_sym_chomp] = ACTIONS(2305),
    [anon_sym_chr] = ACTIONS(2305),
    [anon_sym_cos] = ACTIONS(2305),
    [anon_sym_chroot] = ACTIONS(2305),
    [anon_sym_defined] = ACTIONS(2305),
    [anon_sym_delete] = ACTIONS(2305),
    [anon_sym_dbmclose] = ACTIONS(2305),
    [anon_sym_exists] = ACTIONS(2305),
    [anon_sym_exit] = ACTIONS(2305),
    [anon_sym_eof] = ACTIONS(2305),
    [anon_sym_exp] = ACTIONS(2305),
    [anon_sym_each] = ACTIONS(2305),
    [anon_sym_fc] = ACTIONS(2305),
    [anon_sym_fileno] = ACTIONS(2305),
    [anon_sym_gmtime] = ACTIONS(2305),
    [anon_sym_getc] = ACTIONS(2305),
    [anon_sym_getpgrp] = ACTIONS(2305),
    [anon_sym_getprotobyname] = ACTIONS(2305),
    [anon_sym_getpwname] = ACTIONS(2305),
    [anon_sym_getpwuid] = ACTIONS(2305),
    [anon_sym_getpeername] = ACTIONS(2305),
    [anon_sym_getnetbyname] = ACTIONS(2305),
    [anon_sym_getsockname] = ACTIONS(2305),
    [anon_sym_getgrnam] = ACTIONS(2305),
    [anon_sym_getgrgid] = ACTIONS(2305),
    [anon_sym_hex] = ACTIONS(2305),
    [anon_sym_int] = ACTIONS(2305),
    [anon_sym_keys] = ACTIONS(2305),
    [anon_sym_lc] = ACTIONS(2305),
    [anon_sym_lcfirst] = ACTIONS(2305),
    [anon_sym_length] = ACTIONS(2305),
    [anon_sym_localtime] = ACTIONS(2305),
    [anon_sym_log] = ACTIONS(2305),
    [anon_sym_lock] = ACTIONS(2305),
    [anon_sym_lstat] = ACTIONS(2305),
    [anon_sym_oct] = ACTIONS(2305),
    [anon_sym_ord] = ACTIONS(2305),
    [anon_sym_prototype] = ACTIONS(2305),
    [anon_sym_pop] = ACTIONS(2305),
    [anon_sym_pos] = ACTIONS(2305),
    [anon_sym_quotemeta] = ACTIONS(2305),
    [anon_sym_reset] = ACTIONS(2305),
    [anon_sym_rand] = ACTIONS(2305),
    [anon_sym_rmdir] = ACTIONS(2305),
    [anon_sym_readdir] = ACTIONS(2305),
    [anon_sym_readline] = ACTIONS(2305),
    [anon_sym_readpipe] = ACTIONS(2305),
    [anon_sym_rewinddir] = ACTIONS(2305),
    [anon_sym_readlink] = ACTIONS(2305),
    [anon_sym_ref] = ACTIONS(2305),
    [anon_sym_scalar] = ACTIONS(2305),
    [anon_sym_shift] = ACTIONS(2305),
    [anon_sym_sin] = ACTIONS(2305),
    [anon_sym_sleep] = ACTIONS(2305),
    [anon_sym_sqrt] = ACTIONS(2305),
    [anon_sym_srand] = ACTIONS(2305),
    [anon_sym_stat] = ACTIONS(2305),
    [anon_sym_study] = ACTIONS(2305),
    [anon_sym_tell] = ACTIONS(2305),
    [anon_sym_telldir] = ACTIONS(2305),
    [anon_sym_tied] = ACTIONS(2305),
    [anon_sym_uc] = ACTIONS(2305),
    [anon_sym_ucfirst] = ACTIONS(2305),
    [anon_sym_untie] = ACTIONS(2305),
    [anon_sym_umask] = ACTIONS(2305),
    [anon_sym_values] = ACTIONS(2305),
    [anon_sym_write] = ACTIONS(2305),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2305),
    [anon_sym___END__] = ACTIONS(2305),
    [anon_sym_EOT] = ACTIONS(2305),
    [anon_sym_q] = ACTIONS(2305),
    [anon_sym_qq] = ACTIONS(2305),
    [anon_sym_qw] = ACTIONS(2305),
    [anon_sym_qx] = ACTIONS(2305),
    [anon_sym_qr] = ACTIONS(2305),
    [anon_sym_m] = ACTIONS(2305),
    [anon_sym_s] = ACTIONS(2305),
    [anon_sym_tr] = ACTIONS(2305),
    [anon_sym_y] = ACTIONS(2305),
    [anon_sym_if] = ACTIONS(2305),
    [anon_sym_unless] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_until] = ACTIONS(2305),
    [aux_sym__bareword_token1] = ACTIONS(2305),
    [sym_number] = ACTIONS(2305),
    [anon_sym_true] = ACTIONS(2305),
    [anon_sym_false] = ACTIONS(2305),
    [sym__single_quote] = ACTIONS(2303),
    [sym__double_quote] = ACTIONS(2303),
    [sym__backtick_quote] = ACTIONS(2303),
    [sym__search_slash_quote] = ACTIONS(2303),
    [sym__open_readline_bracket] = ACTIONS(2303),
    [sym__open_fileglob_bracket] = ACTIONS(2303),
    [sym__PERLY_HEREDOC] = ACTIONS(2303),
    [sym__ctrl_z_hack] = ACTIONS(2303),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2303),
    [sym__filetest] = ACTIONS(2303),
  },
  [969] = {
    [sym_heredoc_content] = STATE(969),
    [ts_builtin_sym_end] = ACTIONS(2307),
    [sym__identifier] = ACTIONS(2309),
    [anon_sym_LBRACE] = ACTIONS(2309),
    [anon_sym_SEMI] = ACTIONS(2309),
    [anon_sym_package] = ACTIONS(2309),
    [anon_sym_class] = ACTIONS(2309),
    [anon_sym_role] = ACTIONS(2309),
    [anon_sym_BUILD] = ACTIONS(2309),
    [anon_sym_ADJUST] = ACTIONS(2309),
    [anon_sym_DOLLAR] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(2309),
    [anon_sym_my] = ACTIONS(2309),
    [anon_sym_extended] = ACTIONS(2309),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_sub] = ACTIONS(2309),
    [anon_sym_method] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_continue] = ACTIONS(2309),
    [anon_sym_state] = ACTIONS(2309),
    [anon_sym_our] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_defer] = ACTIONS(2309),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2309),
    [anon_sym_LT_LT] = ACTIONS(2309),
    [anon_sym_SLASH_SLASH] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2309),
    [anon_sym_DASH_DASH] = ACTIONS(2309),
    [anon_sym_BSLASH] = ACTIONS(2307),
    [anon_sym_do] = ACTIONS(2309),
    [anon_sym_eval] = ACTIONS(2309),
    [anon_sym_await] = ACTIONS(2309),
    [anon_sym_field] = ACTIONS(2309),
    [anon_sym_local] = ACTIONS(2309),
    [anon_sym_dynamically] = ACTIONS(2309),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2309),
    [anon_sym_require] = ACTIONS(2309),
    [anon_sym_map] = ACTIONS(2309),
    [anon_sym_grep] = ACTIONS(2309),
    [anon_sym_sort] = ACTIONS(2309),
    [anon_sym_goto] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_undef] = ACTIONS(2309),
    [anon_sym_PERCENT2] = ACTIONS(2309),
    [anon_sym_AMP2] = ACTIONS(2309),
    [anon_sym_STAR2] = ACTIONS(2309),
    [anon_sym_use] = ACTIONS(2309),
    [anon_sym_no] = ACTIONS(2309),
    [anon_sym_for] = ACTIONS(2309),
    [anon_sym_foreach] = ACTIONS(2309),
    [anon_sym_last] = ACTIONS(2309),
    [anon_sym_next] = ACTIONS(2309),
    [anon_sym_redo] = ACTIONS(2309),
    [anon_sym_BEGIN] = ACTIONS(2309),
    [anon_sym_INIT] = ACTIONS(2309),
    [anon_sym_CHECK] = ACTIONS(2309),
    [anon_sym_UNITCHECK] = ACTIONS(2309),
    [anon_sym_END] = ACTIONS(2309),
    [anon_sym___FILE__] = ACTIONS(2309),
    [anon_sym___LINE__] = ACTIONS(2309),
    [anon_sym___PACKAGE__] = ACTIONS(2309),
    [anon_sym___SUB__] = ACTIONS(2309),
    [anon_sym_break] = ACTIONS(2309),
    [anon_sym_fork] = ACTIONS(2309),
    [anon_sym_getppid] = ACTIONS(2309),
    [anon_sym_time] = ACTIONS(2309),
    [anon_sym_times] = ACTIONS(2309),
    [anon_sym_wait] = ACTIONS(2309),
    [anon_sym_wantarray] = ACTIONS(2309),
    [anon_sym_abs] = ACTIONS(2309),
    [anon_sym_alarm] = ACTIONS(2309),
    [anon_sym_chop] = ACTIONS(2309),
    [anon_sym_chdir] = ACTIONS(2309),
    [anon_sym_close] = ACTIONS(2309),
    [anon_sym_closedir] = ACTIONS(2309),
    [anon_sym_caller] = ACTIONS(2309),
    [anon_sym_chomp] = ACTIONS(2309),
    [anon_sym_chr] = ACTIONS(2309),
    [anon_sym_cos] = ACTIONS(2309),
    [anon_sym_chroot] = ACTIONS(2309),
    [anon_sym_defined] = ACTIONS(2309),
    [anon_sym_delete] = ACTIONS(2309),
    [anon_sym_dbmclose] = ACTIONS(2309),
    [anon_sym_exists] = ACTIONS(2309),
    [anon_sym_exit] = ACTIONS(2309),
    [anon_sym_eof] = ACTIONS(2309),
    [anon_sym_exp] = ACTIONS(2309),
    [anon_sym_each] = ACTIONS(2309),
    [anon_sym_fc] = ACTIONS(2309),
    [anon_sym_fileno] = ACTIONS(2309),
    [anon_sym_gmtime] = ACTIONS(2309),
    [anon_sym_getc] = ACTIONS(2309),
    [anon_sym_getpgrp] = ACTIONS(2309),
    [anon_sym_getprotobyname] = ACTIONS(2309),
    [anon_sym_getpwname] = ACTIONS(2309),
    [anon_sym_getpwuid] = ACTIONS(2309),
    [anon_sym_getpeername] = ACTIONS(2309),
    [anon_sym_getnetbyname] = ACTIONS(2309),
    [anon_sym_getsockname] = ACTIONS(2309),
    [anon_sym_getgrnam] = ACTIONS(2309),
    [anon_sym_getgrgid] = ACTIONS(2309),
    [anon_sym_hex] = ACTIONS(2309),
    [anon_sym_int] = ACTIONS(2309),
    [anon_sym_keys] = ACTIONS(2309),
    [anon_sym_lc] = ACTIONS(2309),
    [anon_sym_lcfirst] = ACTIONS(2309),
    [anon_sym_length] = ACTIONS(2309),
    [anon_sym_localtime] = ACTIONS(2309),
    [anon_sym_log] = ACTIONS(2309),
    [anon_sym_lock] = ACTIONS(2309),
    [anon_sym_lstat] = ACTIONS(2309),
    [anon_sym_oct] = ACTIONS(2309),
    [anon_sym_ord] = ACTIONS(2309),
    [anon_sym_prototype] = ACTIONS(2309),
    [anon_sym_pop] = ACTIONS(2309),
    [anon_sym_pos] = ACTIONS(2309),
    [anon_sym_quotemeta] = ACTIONS(2309),
    [anon_sym_reset] = ACTIONS(2309),
    [anon_sym_rand] = ACTIONS(2309),
    [anon_sym_rmdir] = ACTIONS(2309),
    [anon_sym_readdir] = ACTIONS(2309),
    [anon_sym_readline] = ACTIONS(2309),
    [anon_sym_readpipe] = ACTIONS(2309),
    [anon_sym_rewinddir] = ACTIONS(2309),
    [anon_sym_readlink] = ACTIONS(2309),
    [anon_sym_ref] = ACTIONS(2309),
    [anon_sym_scalar] = ACTIONS(2309),
    [anon_sym_shift] = ACTIONS(2309),
    [anon_sym_sin] = ACTIONS(2309),
    [anon_sym_sleep] = ACTIONS(2309),
    [anon_sym_sqrt] = ACTIONS(2309),
    [anon_sym_srand] = ACTIONS(2309),
    [anon_sym_stat] = ACTIONS(2309),
    [anon_sym_study] = ACTIONS(2309),
    [anon_sym_tell] = ACTIONS(2309),
    [anon_sym_telldir] = ACTIONS(2309),
    [anon_sym_tied] = ACTIONS(2309),
    [anon_sym_uc] = ACTIONS(2309),
    [anon_sym_ucfirst] = ACTIONS(2309),
    [anon_sym_untie] = ACTIONS(2309),
    [anon_sym_umask] = ACTIONS(2309),
    [anon_sym_values] = ACTIONS(2309),
    [anon_sym_write] = ACTIONS(2309),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2309),
    [anon_sym___END__] = ACTIONS(2309),
    [anon_sym_EOT] = ACTIONS(2309),
    [anon_sym_q] = ACTIONS(2309),
    [anon_sym_qq] = ACTIONS(2309),
    [anon_sym_qw] = ACTIONS(2309),
    [anon_sym_qx] = ACTIONS(2309),
    [anon_sym_qr] = ACTIONS(2309),
    [anon_sym_m] = ACTIONS(2309),
    [anon_sym_s] = ACTIONS(2309),
    [anon_sym_tr] = ACTIONS(2309),
    [anon_sym_y] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_unless] = ACTIONS(2309),
    [anon_sym_while] = ACTIONS(2309),
    [anon_sym_until] = ACTIONS(2309),
    [aux_sym__bareword_token1] = ACTIONS(2309),
    [sym_number] = ACTIONS(2309),
    [anon_sym_true] = ACTIONS(2309),
    [anon_sym_false] = ACTIONS(2309),
    [sym__single_quote] = ACTIONS(2307),
    [sym__double_quote] = ACTIONS(2307),
    [sym__backtick_quote] = ACTIONS(2307),
    [sym__search_slash_quote] = ACTIONS(2307),
    [sym__open_readline_bracket] = ACTIONS(2307),
    [sym__open_fileglob_bracket] = ACTIONS(2307),
    [sym__PERLY_HEREDOC] = ACTIONS(2307),
    [sym__ctrl_z_hack] = ACTIONS(2307),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2307),
    [sym__filetest] = ACTIONS(2307),
  },
  [970] = {
    [sym_heredoc_content] = STATE(970),
    [ts_builtin_sym_end] = ACTIONS(2311),
    [sym__identifier] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2313),
    [anon_sym_SEMI] = ACTIONS(2313),
    [anon_sym_package] = ACTIONS(2313),
    [anon_sym_class] = ACTIONS(2313),
    [anon_sym_role] = ACTIONS(2313),
    [anon_sym_BUILD] = ACTIONS(2313),
    [anon_sym_ADJUST] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2313),
    [anon_sym_AT] = ACTIONS(2313),
    [anon_sym_my] = ACTIONS(2313),
    [anon_sym_extended] = ACTIONS(2313),
    [anon_sym_async] = ACTIONS(2313),
    [anon_sym_sub] = ACTIONS(2313),
    [anon_sym_method] = ACTIONS(2313),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_continue] = ACTIONS(2313),
    [anon_sym_state] = ACTIONS(2313),
    [anon_sym_our] = ACTIONS(2313),
    [anon_sym_try] = ACTIONS(2313),
    [anon_sym_defer] = ACTIONS(2313),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2313),
    [anon_sym_LT_LT] = ACTIONS(2313),
    [anon_sym_SLASH_SLASH] = ACTIONS(2313),
    [anon_sym_PLUS] = ACTIONS(2313),
    [anon_sym_DASH] = ACTIONS(2313),
    [anon_sym_TILDE] = ACTIONS(2313),
    [anon_sym_BANG] = ACTIONS(2313),
    [anon_sym_PLUS_PLUS] = ACTIONS(2313),
    [anon_sym_DASH_DASH] = ACTIONS(2313),
    [anon_sym_BSLASH] = ACTIONS(2311),
    [anon_sym_do] = ACTIONS(2313),
    [anon_sym_eval] = ACTIONS(2313),
    [anon_sym_await] = ACTIONS(2313),
    [anon_sym_field] = ACTIONS(2313),
    [anon_sym_local] = ACTIONS(2313),
    [anon_sym_dynamically] = ACTIONS(2313),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2313),
    [anon_sym_require] = ACTIONS(2313),
    [anon_sym_map] = ACTIONS(2313),
    [anon_sym_grep] = ACTIONS(2313),
    [anon_sym_sort] = ACTIONS(2313),
    [anon_sym_goto] = ACTIONS(2313),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_undef] = ACTIONS(2313),
    [anon_sym_PERCENT2] = ACTIONS(2313),
    [anon_sym_AMP2] = ACTIONS(2313),
    [anon_sym_STAR2] = ACTIONS(2313),
    [anon_sym_use] = ACTIONS(2313),
    [anon_sym_no] = ACTIONS(2313),
    [anon_sym_for] = ACTIONS(2313),
    [anon_sym_foreach] = ACTIONS(2313),
    [anon_sym_last] = ACTIONS(2313),
    [anon_sym_next] = ACTIONS(2313),
    [anon_sym_redo] = ACTIONS(2313),
    [anon_sym_BEGIN] = ACTIONS(2313),
    [anon_sym_INIT] = ACTIONS(2313),
    [anon_sym_CHECK] = ACTIONS(2313),
    [anon_sym_UNITCHECK] = ACTIONS(2313),
    [anon_sym_END] = ACTIONS(2313),
    [anon_sym___FILE__] = ACTIONS(2313),
    [anon_sym___LINE__] = ACTIONS(2313),
    [anon_sym___PACKAGE__] = ACTIONS(2313),
    [anon_sym___SUB__] = ACTIONS(2313),
    [anon_sym_break] = ACTIONS(2313),
    [anon_sym_fork] = ACTIONS(2313),
    [anon_sym_getppid] = ACTIONS(2313),
    [anon_sym_time] = ACTIONS(2313),
    [anon_sym_times] = ACTIONS(2313),
    [anon_sym_wait] = ACTIONS(2313),
    [anon_sym_wantarray] = ACTIONS(2313),
    [anon_sym_abs] = ACTIONS(2313),
    [anon_sym_alarm] = ACTIONS(2313),
    [anon_sym_chop] = ACTIONS(2313),
    [anon_sym_chdir] = ACTIONS(2313),
    [anon_sym_close] = ACTIONS(2313),
    [anon_sym_closedir] = ACTIONS(2313),
    [anon_sym_caller] = ACTIONS(2313),
    [anon_sym_chomp] = ACTIONS(2313),
    [anon_sym_chr] = ACTIONS(2313),
    [anon_sym_cos] = ACTIONS(2313),
    [anon_sym_chroot] = ACTIONS(2313),
    [anon_sym_defined] = ACTIONS(2313),
    [anon_sym_delete] = ACTIONS(2313),
    [anon_sym_dbmclose] = ACTIONS(2313),
    [anon_sym_exists] = ACTIONS(2313),
    [anon_sym_exit] = ACTIONS(2313),
    [anon_sym_eof] = ACTIONS(2313),
    [anon_sym_exp] = ACTIONS(2313),
    [anon_sym_each] = ACTIONS(2313),
    [anon_sym_fc] = ACTIONS(2313),
    [anon_sym_fileno] = ACTIONS(2313),
    [anon_sym_gmtime] = ACTIONS(2313),
    [anon_sym_getc] = ACTIONS(2313),
    [anon_sym_getpgrp] = ACTIONS(2313),
    [anon_sym_getprotobyname] = ACTIONS(2313),
    [anon_sym_getpwname] = ACTIONS(2313),
    [anon_sym_getpwuid] = ACTIONS(2313),
    [anon_sym_getpeername] = ACTIONS(2313),
    [anon_sym_getnetbyname] = ACTIONS(2313),
    [anon_sym_getsockname] = ACTIONS(2313),
    [anon_sym_getgrnam] = ACTIONS(2313),
    [anon_sym_getgrgid] = ACTIONS(2313),
    [anon_sym_hex] = ACTIONS(2313),
    [anon_sym_int] = ACTIONS(2313),
    [anon_sym_keys] = ACTIONS(2313),
    [anon_sym_lc] = ACTIONS(2313),
    [anon_sym_lcfirst] = ACTIONS(2313),
    [anon_sym_length] = ACTIONS(2313),
    [anon_sym_localtime] = ACTIONS(2313),
    [anon_sym_log] = ACTIONS(2313),
    [anon_sym_lock] = ACTIONS(2313),
    [anon_sym_lstat] = ACTIONS(2313),
    [anon_sym_oct] = ACTIONS(2313),
    [anon_sym_ord] = ACTIONS(2313),
    [anon_sym_prototype] = ACTIONS(2313),
    [anon_sym_pop] = ACTIONS(2313),
    [anon_sym_pos] = ACTIONS(2313),
    [anon_sym_quotemeta] = ACTIONS(2313),
    [anon_sym_reset] = ACTIONS(2313),
    [anon_sym_rand] = ACTIONS(2313),
    [anon_sym_rmdir] = ACTIONS(2313),
    [anon_sym_readdir] = ACTIONS(2313),
    [anon_sym_readline] = ACTIONS(2313),
    [anon_sym_readpipe] = ACTIONS(2313),
    [anon_sym_rewinddir] = ACTIONS(2313),
    [anon_sym_readlink] = ACTIONS(2313),
    [anon_sym_ref] = ACTIONS(2313),
    [anon_sym_scalar] = ACTIONS(2313),
    [anon_sym_shift] = ACTIONS(2313),
    [anon_sym_sin] = ACTIONS(2313),
    [anon_sym_sleep] = ACTIONS(2313),
    [anon_sym_sqrt] = ACTIONS(2313),
    [anon_sym_srand] = ACTIONS(2313),
    [anon_sym_stat] = ACTIONS(2313),
    [anon_sym_study] = ACTIONS(2313),
    [anon_sym_tell] = ACTIONS(2313),
    [anon_sym_telldir] = ACTIONS(2313),
    [anon_sym_tied] = ACTIONS(2313),
    [anon_sym_uc] = ACTIONS(2313),
    [anon_sym_ucfirst] = ACTIONS(2313),
    [anon_sym_untie] = ACTIONS(2313),
    [anon_sym_umask] = ACTIONS(2313),
    [anon_sym_values] = ACTIONS(2313),
    [anon_sym_write] = ACTIONS(2313),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2313),
    [anon_sym___END__] = ACTIONS(2313),
    [anon_sym_EOT] = ACTIONS(2313),
    [anon_sym_q] = ACTIONS(2313),
    [anon_sym_qq] = ACTIONS(2313),
    [anon_sym_qw] = ACTIONS(2313),
    [anon_sym_qx] = ACTIONS(2313),
    [anon_sym_qr] = ACTIONS(2313),
    [anon_sym_m] = ACTIONS(2313),
    [anon_sym_s] = ACTIONS(2313),
    [anon_sym_tr] = ACTIONS(2313),
    [anon_sym_y] = ACTIONS(2313),
    [anon_sym_if] = ACTIONS(2313),
    [anon_sym_unless] = ACTIONS(2313),
    [anon_sym_while] = ACTIONS(2313),
    [anon_sym_until] = ACTIONS(2313),
    [aux_sym__bareword_token1] = ACTIONS(2313),
    [sym_number] = ACTIONS(2313),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [sym__single_quote] = ACTIONS(2311),
    [sym__double_quote] = ACTIONS(2311),
    [sym__backtick_quote] = ACTIONS(2311),
    [sym__search_slash_quote] = ACTIONS(2311),
    [sym__open_readline_bracket] = ACTIONS(2311),
    [sym__open_fileglob_bracket] = ACTIONS(2311),
    [sym__PERLY_HEREDOC] = ACTIONS(2311),
    [sym__ctrl_z_hack] = ACTIONS(2311),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2311),
    [sym__filetest] = ACTIONS(2311),
  },
  [971] = {
    [sym_heredoc_content] = STATE(971),
    [ts_builtin_sym_end] = ACTIONS(2315),
    [sym__identifier] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2317),
    [anon_sym_package] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2317),
    [anon_sym_role] = ACTIONS(2317),
    [anon_sym_BUILD] = ACTIONS(2317),
    [anon_sym_ADJUST] = ACTIONS(2317),
    [anon_sym_DOLLAR] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2317),
    [anon_sym_my] = ACTIONS(2317),
    [anon_sym_extended] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_sub] = ACTIONS(2317),
    [anon_sym_method] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_state] = ACTIONS(2317),
    [anon_sym_our] = ACTIONS(2317),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_defer] = ACTIONS(2317),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_LT_LT] = ACTIONS(2317),
    [anon_sym_SLASH_SLASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_BSLASH] = ACTIONS(2315),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_eval] = ACTIONS(2317),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_field] = ACTIONS(2317),
    [anon_sym_local] = ACTIONS(2317),
    [anon_sym_dynamically] = ACTIONS(2317),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2317),
    [anon_sym_require] = ACTIONS(2317),
    [anon_sym_map] = ACTIONS(2317),
    [anon_sym_grep] = ACTIONS(2317),
    [anon_sym_sort] = ACTIONS(2317),
    [anon_sym_goto] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_undef] = ACTIONS(2317),
    [anon_sym_PERCENT2] = ACTIONS(2317),
    [anon_sym_AMP2] = ACTIONS(2317),
    [anon_sym_STAR2] = ACTIONS(2317),
    [anon_sym_use] = ACTIONS(2317),
    [anon_sym_no] = ACTIONS(2317),
    [anon_sym_for] = ACTIONS(2317),
    [anon_sym_foreach] = ACTIONS(2317),
    [anon_sym_last] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2317),
    [anon_sym_redo] = ACTIONS(2317),
    [anon_sym_BEGIN] = ACTIONS(2317),
    [anon_sym_INIT] = ACTIONS(2317),
    [anon_sym_CHECK] = ACTIONS(2317),
    [anon_sym_UNITCHECK] = ACTIONS(2317),
    [anon_sym_END] = ACTIONS(2317),
    [anon_sym___FILE__] = ACTIONS(2317),
    [anon_sym___LINE__] = ACTIONS(2317),
    [anon_sym___PACKAGE__] = ACTIONS(2317),
    [anon_sym___SUB__] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_fork] = ACTIONS(2317),
    [anon_sym_getppid] = ACTIONS(2317),
    [anon_sym_time] = ACTIONS(2317),
    [anon_sym_times] = ACTIONS(2317),
    [anon_sym_wait] = ACTIONS(2317),
    [anon_sym_wantarray] = ACTIONS(2317),
    [anon_sym_abs] = ACTIONS(2317),
    [anon_sym_alarm] = ACTIONS(2317),
    [anon_sym_chop] = ACTIONS(2317),
    [anon_sym_chdir] = ACTIONS(2317),
    [anon_sym_close] = ACTIONS(2317),
    [anon_sym_closedir] = ACTIONS(2317),
    [anon_sym_caller] = ACTIONS(2317),
    [anon_sym_chomp] = ACTIONS(2317),
    [anon_sym_chr] = ACTIONS(2317),
    [anon_sym_cos] = ACTIONS(2317),
    [anon_sym_chroot] = ACTIONS(2317),
    [anon_sym_defined] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_dbmclose] = ACTIONS(2317),
    [anon_sym_exists] = ACTIONS(2317),
    [anon_sym_exit] = ACTIONS(2317),
    [anon_sym_eof] = ACTIONS(2317),
    [anon_sym_exp] = ACTIONS(2317),
    [anon_sym_each] = ACTIONS(2317),
    [anon_sym_fc] = ACTIONS(2317),
    [anon_sym_fileno] = ACTIONS(2317),
    [anon_sym_gmtime] = ACTIONS(2317),
    [anon_sym_getc] = ACTIONS(2317),
    [anon_sym_getpgrp] = ACTIONS(2317),
    [anon_sym_getprotobyname] = ACTIONS(2317),
    [anon_sym_getpwname] = ACTIONS(2317),
    [anon_sym_getpwuid] = ACTIONS(2317),
    [anon_sym_getpeername] = ACTIONS(2317),
    [anon_sym_getnetbyname] = ACTIONS(2317),
    [anon_sym_getsockname] = ACTIONS(2317),
    [anon_sym_getgrnam] = ACTIONS(2317),
    [anon_sym_getgrgid] = ACTIONS(2317),
    [anon_sym_hex] = ACTIONS(2317),
    [anon_sym_int] = ACTIONS(2317),
    [anon_sym_keys] = ACTIONS(2317),
    [anon_sym_lc] = ACTIONS(2317),
    [anon_sym_lcfirst] = ACTIONS(2317),
    [anon_sym_length] = ACTIONS(2317),
    [anon_sym_localtime] = ACTIONS(2317),
    [anon_sym_log] = ACTIONS(2317),
    [anon_sym_lock] = ACTIONS(2317),
    [anon_sym_lstat] = ACTIONS(2317),
    [anon_sym_oct] = ACTIONS(2317),
    [anon_sym_ord] = ACTIONS(2317),
    [anon_sym_prototype] = ACTIONS(2317),
    [anon_sym_pop] = ACTIONS(2317),
    [anon_sym_pos] = ACTIONS(2317),
    [anon_sym_quotemeta] = ACTIONS(2317),
    [anon_sym_reset] = ACTIONS(2317),
    [anon_sym_rand] = ACTIONS(2317),
    [anon_sym_rmdir] = ACTIONS(2317),
    [anon_sym_readdir] = ACTIONS(2317),
    [anon_sym_readline] = ACTIONS(2317),
    [anon_sym_readpipe] = ACTIONS(2317),
    [anon_sym_rewinddir] = ACTIONS(2317),
    [anon_sym_readlink] = ACTIONS(2317),
    [anon_sym_ref] = ACTIONS(2317),
    [anon_sym_scalar] = ACTIONS(2317),
    [anon_sym_shift] = ACTIONS(2317),
    [anon_sym_sin] = ACTIONS(2317),
    [anon_sym_sleep] = ACTIONS(2317),
    [anon_sym_sqrt] = ACTIONS(2317),
    [anon_sym_srand] = ACTIONS(2317),
    [anon_sym_stat] = ACTIONS(2317),
    [anon_sym_study] = ACTIONS(2317),
    [anon_sym_tell] = ACTIONS(2317),
    [anon_sym_telldir] = ACTIONS(2317),
    [anon_sym_tied] = ACTIONS(2317),
    [anon_sym_uc] = ACTIONS(2317),
    [anon_sym_ucfirst] = ACTIONS(2317),
    [anon_sym_untie] = ACTIONS(2317),
    [anon_sym_umask] = ACTIONS(2317),
    [anon_sym_values] = ACTIONS(2317),
    [anon_sym_write] = ACTIONS(2317),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2317),
    [anon_sym___END__] = ACTIONS(2317),
    [anon_sym_EOT] = ACTIONS(2317),
    [anon_sym_q] = ACTIONS(2317),
    [anon_sym_qq] = ACTIONS(2317),
    [anon_sym_qw] = ACTIONS(2317),
    [anon_sym_qx] = ACTIONS(2317),
    [anon_sym_qr] = ACTIONS(2317),
    [anon_sym_m] = ACTIONS(2317),
    [anon_sym_s] = ACTIONS(2317),
    [anon_sym_tr] = ACTIONS(2317),
    [anon_sym_y] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2317),
    [anon_sym_unless] = ACTIONS(2317),
    [anon_sym_while] = ACTIONS(2317),
    [anon_sym_until] = ACTIONS(2317),
    [aux_sym__bareword_token1] = ACTIONS(2317),
    [sym_number] = ACTIONS(2317),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [sym__single_quote] = ACTIONS(2315),
    [sym__double_quote] = ACTIONS(2315),
    [sym__backtick_quote] = ACTIONS(2315),
    [sym__search_slash_quote] = ACTIONS(2315),
    [sym__open_readline_bracket] = ACTIONS(2315),
    [sym__open_fileglob_bracket] = ACTIONS(2315),
    [sym__PERLY_HEREDOC] = ACTIONS(2315),
    [sym__ctrl_z_hack] = ACTIONS(2315),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2315),
    [sym__filetest] = ACTIONS(2315),
  },
  [972] = {
    [sym_heredoc_content] = STATE(972),
    [ts_builtin_sym_end] = ACTIONS(2319),
    [sym__identifier] = ACTIONS(2321),
    [anon_sym_LBRACE] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2321),
    [anon_sym_package] = ACTIONS(2321),
    [anon_sym_class] = ACTIONS(2321),
    [anon_sym_role] = ACTIONS(2321),
    [anon_sym_BUILD] = ACTIONS(2321),
    [anon_sym_ADJUST] = ACTIONS(2321),
    [anon_sym_DOLLAR] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(2321),
    [anon_sym_my] = ACTIONS(2321),
    [anon_sym_extended] = ACTIONS(2321),
    [anon_sym_async] = ACTIONS(2321),
    [anon_sym_sub] = ACTIONS(2321),
    [anon_sym_method] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_continue] = ACTIONS(2321),
    [anon_sym_state] = ACTIONS(2321),
    [anon_sym_our] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_defer] = ACTIONS(2321),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_SLASH_SLASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_TILDE] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(2321),
    [anon_sym_BSLASH] = ACTIONS(2319),
    [anon_sym_do] = ACTIONS(2321),
    [anon_sym_eval] = ACTIONS(2321),
    [anon_sym_await] = ACTIONS(2321),
    [anon_sym_field] = ACTIONS(2321),
    [anon_sym_local] = ACTIONS(2321),
    [anon_sym_dynamically] = ACTIONS(2321),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2321),
    [anon_sym_require] = ACTIONS(2321),
    [anon_sym_map] = ACTIONS(2321),
    [anon_sym_grep] = ACTIONS(2321),
    [anon_sym_sort] = ACTIONS(2321),
    [anon_sym_goto] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_undef] = ACTIONS(2321),
    [anon_sym_PERCENT2] = ACTIONS(2321),
    [anon_sym_AMP2] = ACTIONS(2321),
    [anon_sym_STAR2] = ACTIONS(2321),
    [anon_sym_use] = ACTIONS(2321),
    [anon_sym_no] = ACTIONS(2321),
    [anon_sym_for] = ACTIONS(2321),
    [anon_sym_foreach] = ACTIONS(2321),
    [anon_sym_last] = ACTIONS(2321),
    [anon_sym_next] = ACTIONS(2321),
    [anon_sym_redo] = ACTIONS(2321),
    [anon_sym_BEGIN] = ACTIONS(2321),
    [anon_sym_INIT] = ACTIONS(2321),
    [anon_sym_CHECK] = ACTIONS(2321),
    [anon_sym_UNITCHECK] = ACTIONS(2321),
    [anon_sym_END] = ACTIONS(2321),
    [anon_sym___FILE__] = ACTIONS(2321),
    [anon_sym___LINE__] = ACTIONS(2321),
    [anon_sym___PACKAGE__] = ACTIONS(2321),
    [anon_sym___SUB__] = ACTIONS(2321),
    [anon_sym_break] = ACTIONS(2321),
    [anon_sym_fork] = ACTIONS(2321),
    [anon_sym_getppid] = ACTIONS(2321),
    [anon_sym_time] = ACTIONS(2321),
    [anon_sym_times] = ACTIONS(2321),
    [anon_sym_wait] = ACTIONS(2321),
    [anon_sym_wantarray] = ACTIONS(2321),
    [anon_sym_abs] = ACTIONS(2321),
    [anon_sym_alarm] = ACTIONS(2321),
    [anon_sym_chop] = ACTIONS(2321),
    [anon_sym_chdir] = ACTIONS(2321),
    [anon_sym_close] = ACTIONS(2321),
    [anon_sym_closedir] = ACTIONS(2321),
    [anon_sym_caller] = ACTIONS(2321),
    [anon_sym_chomp] = ACTIONS(2321),
    [anon_sym_chr] = ACTIONS(2321),
    [anon_sym_cos] = ACTIONS(2321),
    [anon_sym_chroot] = ACTIONS(2321),
    [anon_sym_defined] = ACTIONS(2321),
    [anon_sym_delete] = ACTIONS(2321),
    [anon_sym_dbmclose] = ACTIONS(2321),
    [anon_sym_exists] = ACTIONS(2321),
    [anon_sym_exit] = ACTIONS(2321),
    [anon_sym_eof] = ACTIONS(2321),
    [anon_sym_exp] = ACTIONS(2321),
    [anon_sym_each] = ACTIONS(2321),
    [anon_sym_fc] = ACTIONS(2321),
    [anon_sym_fileno] = ACTIONS(2321),
    [anon_sym_gmtime] = ACTIONS(2321),
    [anon_sym_getc] = ACTIONS(2321),
    [anon_sym_getpgrp] = ACTIONS(2321),
    [anon_sym_getprotobyname] = ACTIONS(2321),
    [anon_sym_getpwname] = ACTIONS(2321),
    [anon_sym_getpwuid] = ACTIONS(2321),
    [anon_sym_getpeername] = ACTIONS(2321),
    [anon_sym_getnetbyname] = ACTIONS(2321),
    [anon_sym_getsockname] = ACTIONS(2321),
    [anon_sym_getgrnam] = ACTIONS(2321),
    [anon_sym_getgrgid] = ACTIONS(2321),
    [anon_sym_hex] = ACTIONS(2321),
    [anon_sym_int] = ACTIONS(2321),
    [anon_sym_keys] = ACTIONS(2321),
    [anon_sym_lc] = ACTIONS(2321),
    [anon_sym_lcfirst] = ACTIONS(2321),
    [anon_sym_length] = ACTIONS(2321),
    [anon_sym_localtime] = ACTIONS(2321),
    [anon_sym_log] = ACTIONS(2321),
    [anon_sym_lock] = ACTIONS(2321),
    [anon_sym_lstat] = ACTIONS(2321),
    [anon_sym_oct] = ACTIONS(2321),
    [anon_sym_ord] = ACTIONS(2321),
    [anon_sym_prototype] = ACTIONS(2321),
    [anon_sym_pop] = ACTIONS(2321),
    [anon_sym_pos] = ACTIONS(2321),
    [anon_sym_quotemeta] = ACTIONS(2321),
    [anon_sym_reset] = ACTIONS(2321),
    [anon_sym_rand] = ACTIONS(2321),
    [anon_sym_rmdir] = ACTIONS(2321),
    [anon_sym_readdir] = ACTIONS(2321),
    [anon_sym_readline] = ACTIONS(2321),
    [anon_sym_readpipe] = ACTIONS(2321),
    [anon_sym_rewinddir] = ACTIONS(2321),
    [anon_sym_readlink] = ACTIONS(2321),
    [anon_sym_ref] = ACTIONS(2321),
    [anon_sym_scalar] = ACTIONS(2321),
    [anon_sym_shift] = ACTIONS(2321),
    [anon_sym_sin] = ACTIONS(2321),
    [anon_sym_sleep] = ACTIONS(2321),
    [anon_sym_sqrt] = ACTIONS(2321),
    [anon_sym_srand] = ACTIONS(2321),
    [anon_sym_stat] = ACTIONS(2321),
    [anon_sym_study] = ACTIONS(2321),
    [anon_sym_tell] = ACTIONS(2321),
    [anon_sym_telldir] = ACTIONS(2321),
    [anon_sym_tied] = ACTIONS(2321),
    [anon_sym_uc] = ACTIONS(2321),
    [anon_sym_ucfirst] = ACTIONS(2321),
    [anon_sym_untie] = ACTIONS(2321),
    [anon_sym_umask] = ACTIONS(2321),
    [anon_sym_values] = ACTIONS(2321),
    [anon_sym_write] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2321),
    [anon_sym___END__] = ACTIONS(2321),
    [anon_sym_EOT] = ACTIONS(2321),
    [anon_sym_q] = ACTIONS(2321),
    [anon_sym_qq] = ACTIONS(2321),
    [anon_sym_qw] = ACTIONS(2321),
    [anon_sym_qx] = ACTIONS(2321),
    [anon_sym_qr] = ACTIONS(2321),
    [anon_sym_m] = ACTIONS(2321),
    [anon_sym_s] = ACTIONS(2321),
    [anon_sym_tr] = ACTIONS(2321),
    [anon_sym_y] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_unless] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2321),
    [anon_sym_until] = ACTIONS(2321),
    [aux_sym__bareword_token1] = ACTIONS(2321),
    [sym_number] = ACTIONS(2321),
    [anon_sym_true] = ACTIONS(2321),
    [anon_sym_false] = ACTIONS(2321),
    [sym__single_quote] = ACTIONS(2319),
    [sym__double_quote] = ACTIONS(2319),
    [sym__backtick_quote] = ACTIONS(2319),
    [sym__search_slash_quote] = ACTIONS(2319),
    [sym__open_readline_bracket] = ACTIONS(2319),
    [sym__open_fileglob_bracket] = ACTIONS(2319),
    [sym__PERLY_HEREDOC] = ACTIONS(2319),
    [sym__ctrl_z_hack] = ACTIONS(2319),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2319),
    [sym__filetest] = ACTIONS(2319),
  },
  [973] = {
    [sym_heredoc_content] = STATE(973),
    [ts_builtin_sym_end] = ACTIONS(2323),
    [sym__identifier] = ACTIONS(2325),
    [anon_sym_LBRACE] = ACTIONS(2325),
    [anon_sym_SEMI] = ACTIONS(2325),
    [anon_sym_package] = ACTIONS(2325),
    [anon_sym_class] = ACTIONS(2325),
    [anon_sym_role] = ACTIONS(2325),
    [anon_sym_BUILD] = ACTIONS(2325),
    [anon_sym_ADJUST] = ACTIONS(2325),
    [anon_sym_DOLLAR] = ACTIONS(2325),
    [anon_sym_AT] = ACTIONS(2325),
    [anon_sym_my] = ACTIONS(2325),
    [anon_sym_extended] = ACTIONS(2325),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_sub] = ACTIONS(2325),
    [anon_sym_method] = ACTIONS(2325),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_continue] = ACTIONS(2327),
    [anon_sym_state] = ACTIONS(2325),
    [anon_sym_our] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2325),
    [anon_sym_defer] = ACTIONS(2325),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_LT_LT] = ACTIONS(2325),
    [anon_sym_SLASH_SLASH] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2325),
    [anon_sym_DASH] = ACTIONS(2325),
    [anon_sym_TILDE] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2325),
    [anon_sym_PLUS_PLUS] = ACTIONS(2325),
    [anon_sym_DASH_DASH] = ACTIONS(2325),
    [anon_sym_BSLASH] = ACTIONS(2323),
    [anon_sym_do] = ACTIONS(2325),
    [anon_sym_eval] = ACTIONS(2325),
    [anon_sym_await] = ACTIONS(2325),
    [anon_sym_field] = ACTIONS(2325),
    [anon_sym_local] = ACTIONS(2325),
    [anon_sym_dynamically] = ACTIONS(2325),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2325),
    [anon_sym_require] = ACTIONS(2325),
    [anon_sym_map] = ACTIONS(2325),
    [anon_sym_grep] = ACTIONS(2325),
    [anon_sym_sort] = ACTIONS(2325),
    [anon_sym_goto] = ACTIONS(2325),
    [anon_sym_return] = ACTIONS(2325),
    [anon_sym_undef] = ACTIONS(2325),
    [anon_sym_PERCENT2] = ACTIONS(2325),
    [anon_sym_AMP2] = ACTIONS(2325),
    [anon_sym_STAR2] = ACTIONS(2325),
    [anon_sym_use] = ACTIONS(2325),
    [anon_sym_no] = ACTIONS(2325),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_foreach] = ACTIONS(2325),
    [anon_sym_last] = ACTIONS(2325),
    [anon_sym_next] = ACTIONS(2325),
    [anon_sym_redo] = ACTIONS(2325),
    [anon_sym_BEGIN] = ACTIONS(2325),
    [anon_sym_INIT] = ACTIONS(2325),
    [anon_sym_CHECK] = ACTIONS(2325),
    [anon_sym_UNITCHECK] = ACTIONS(2325),
    [anon_sym_END] = ACTIONS(2325),
    [anon_sym___FILE__] = ACTIONS(2325),
    [anon_sym___LINE__] = ACTIONS(2325),
    [anon_sym___PACKAGE__] = ACTIONS(2325),
    [anon_sym___SUB__] = ACTIONS(2325),
    [anon_sym_break] = ACTIONS(2325),
    [anon_sym_fork] = ACTIONS(2325),
    [anon_sym_getppid] = ACTIONS(2325),
    [anon_sym_time] = ACTIONS(2325),
    [anon_sym_times] = ACTIONS(2325),
    [anon_sym_wait] = ACTIONS(2325),
    [anon_sym_wantarray] = ACTIONS(2325),
    [anon_sym_abs] = ACTIONS(2325),
    [anon_sym_alarm] = ACTIONS(2325),
    [anon_sym_chop] = ACTIONS(2325),
    [anon_sym_chdir] = ACTIONS(2325),
    [anon_sym_close] = ACTIONS(2325),
    [anon_sym_closedir] = ACTIONS(2325),
    [anon_sym_caller] = ACTIONS(2325),
    [anon_sym_chomp] = ACTIONS(2325),
    [anon_sym_chr] = ACTIONS(2325),
    [anon_sym_cos] = ACTIONS(2325),
    [anon_sym_chroot] = ACTIONS(2325),
    [anon_sym_defined] = ACTIONS(2325),
    [anon_sym_delete] = ACTIONS(2325),
    [anon_sym_dbmclose] = ACTIONS(2325),
    [anon_sym_exists] = ACTIONS(2325),
    [anon_sym_exit] = ACTIONS(2325),
    [anon_sym_eof] = ACTIONS(2325),
    [anon_sym_exp] = ACTIONS(2325),
    [anon_sym_each] = ACTIONS(2325),
    [anon_sym_fc] = ACTIONS(2325),
    [anon_sym_fileno] = ACTIONS(2325),
    [anon_sym_gmtime] = ACTIONS(2325),
    [anon_sym_getc] = ACTIONS(2325),
    [anon_sym_getpgrp] = ACTIONS(2325),
    [anon_sym_getprotobyname] = ACTIONS(2325),
    [anon_sym_getpwname] = ACTIONS(2325),
    [anon_sym_getpwuid] = ACTIONS(2325),
    [anon_sym_getpeername] = ACTIONS(2325),
    [anon_sym_getnetbyname] = ACTIONS(2325),
    [anon_sym_getsockname] = ACTIONS(2325),
    [anon_sym_getgrnam] = ACTIONS(2325),
    [anon_sym_getgrgid] = ACTIONS(2325),
    [anon_sym_hex] = ACTIONS(2325),
    [anon_sym_int] = ACTIONS(2325),
    [anon_sym_keys] = ACTIONS(2325),
    [anon_sym_lc] = ACTIONS(2325),
    [anon_sym_lcfirst] = ACTIONS(2325),
    [anon_sym_length] = ACTIONS(2325),
    [anon_sym_localtime] = ACTIONS(2325),
    [anon_sym_log] = ACTIONS(2325),
    [anon_sym_lock] = ACTIONS(2325),
    [anon_sym_lstat] = ACTIONS(2325),
    [anon_sym_oct] = ACTIONS(2325),
    [anon_sym_ord] = ACTIONS(2325),
    [anon_sym_prototype] = ACTIONS(2325),
    [anon_sym_pop] = ACTIONS(2325),
    [anon_sym_pos] = ACTIONS(2325),
    [anon_sym_quotemeta] = ACTIONS(2325),
    [anon_sym_reset] = ACTIONS(2325),
    [anon_sym_rand] = ACTIONS(2325),
    [anon_sym_rmdir] = ACTIONS(2325),
    [anon_sym_readdir] = ACTIONS(2325),
    [anon_sym_readline] = ACTIONS(2325),
    [anon_sym_readpipe] = ACTIONS(2325),
    [anon_sym_rewinddir] = ACTIONS(2325),
    [anon_sym_readlink] = ACTIONS(2325),
    [anon_sym_ref] = ACTIONS(2325),
    [anon_sym_scalar] = ACTIONS(2325),
    [anon_sym_shift] = ACTIONS(2325),
    [anon_sym_sin] = ACTIONS(2325),
    [anon_sym_sleep] = ACTIONS(2325),
    [anon_sym_sqrt] = ACTIONS(2325),
    [anon_sym_srand] = ACTIONS(2325),
    [anon_sym_stat] = ACTIONS(2325),
    [anon_sym_study] = ACTIONS(2325),
    [anon_sym_tell] = ACTIONS(2325),
    [anon_sym_telldir] = ACTIONS(2325),
    [anon_sym_tied] = ACTIONS(2325),
    [anon_sym_uc] = ACTIONS(2325),
    [anon_sym_ucfirst] = ACTIONS(2325),
    [anon_sym_untie] = ACTIONS(2325),
    [anon_sym_umask] = ACTIONS(2325),
    [anon_sym_values] = ACTIONS(2325),
    [anon_sym_write] = ACTIONS(2325),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2325),
    [anon_sym___END__] = ACTIONS(2325),
    [anon_sym_EOT] = ACTIONS(2325),
    [anon_sym_q] = ACTIONS(2325),
    [anon_sym_qq] = ACTIONS(2325),
    [anon_sym_qw] = ACTIONS(2325),
    [anon_sym_qx] = ACTIONS(2325),
    [anon_sym_qr] = ACTIONS(2325),
    [anon_sym_m] = ACTIONS(2325),
    [anon_sym_s] = ACTIONS(2325),
    [anon_sym_tr] = ACTIONS(2325),
    [anon_sym_y] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_unless] = ACTIONS(2325),
    [anon_sym_while] = ACTIONS(2325),
    [anon_sym_until] = ACTIONS(2325),
    [aux_sym__bareword_token1] = ACTIONS(2325),
    [sym_number] = ACTIONS(2325),
    [anon_sym_true] = ACTIONS(2325),
    [anon_sym_false] = ACTIONS(2325),
    [sym__single_quote] = ACTIONS(2323),
    [sym__double_quote] = ACTIONS(2323),
    [sym__backtick_quote] = ACTIONS(2323),
    [sym__search_slash_quote] = ACTIONS(2323),
    [sym__open_readline_bracket] = ACTIONS(2323),
    [sym__open_fileglob_bracket] = ACTIONS(2323),
    [sym__PERLY_HEREDOC] = ACTIONS(2323),
    [sym__ctrl_z_hack] = ACTIONS(2323),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2323),
    [sym__filetest] = ACTIONS(2323),
  },
  [974] = {
    [sym_heredoc_content] = STATE(974),
    [ts_builtin_sym_end] = ACTIONS(2330),
    [sym__identifier] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_package] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_role] = ACTIONS(2332),
    [anon_sym_BUILD] = ACTIONS(2332),
    [anon_sym_ADJUST] = ACTIONS(2332),
    [anon_sym_DOLLAR] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_my] = ACTIONS(2332),
    [anon_sym_extended] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_sub] = ACTIONS(2332),
    [anon_sym_method] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_state] = ACTIONS(2332),
    [anon_sym_our] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_defer] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_BSLASH] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_eval] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_field] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2332),
    [anon_sym_dynamically] = ACTIONS(2332),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2332),
    [anon_sym_require] = ACTIONS(2332),
    [anon_sym_map] = ACTIONS(2332),
    [anon_sym_grep] = ACTIONS(2332),
    [anon_sym_sort] = ACTIONS(2332),
    [anon_sym_goto] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_undef] = ACTIONS(2332),
    [anon_sym_PERCENT2] = ACTIONS(2332),
    [anon_sym_AMP2] = ACTIONS(2332),
    [anon_sym_STAR2] = ACTIONS(2332),
    [anon_sym_use] = ACTIONS(2332),
    [anon_sym_no] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_foreach] = ACTIONS(2332),
    [anon_sym_last] = ACTIONS(2332),
    [anon_sym_next] = ACTIONS(2332),
    [anon_sym_redo] = ACTIONS(2332),
    [anon_sym_BEGIN] = ACTIONS(2332),
    [anon_sym_INIT] = ACTIONS(2332),
    [anon_sym_CHECK] = ACTIONS(2332),
    [anon_sym_UNITCHECK] = ACTIONS(2332),
    [anon_sym_END] = ACTIONS(2332),
    [anon_sym___FILE__] = ACTIONS(2332),
    [anon_sym___LINE__] = ACTIONS(2332),
    [anon_sym___PACKAGE__] = ACTIONS(2332),
    [anon_sym___SUB__] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_fork] = ACTIONS(2332),
    [anon_sym_getppid] = ACTIONS(2332),
    [anon_sym_time] = ACTIONS(2332),
    [anon_sym_times] = ACTIONS(2332),
    [anon_sym_wait] = ACTIONS(2332),
    [anon_sym_wantarray] = ACTIONS(2332),
    [anon_sym_abs] = ACTIONS(2332),
    [anon_sym_alarm] = ACTIONS(2332),
    [anon_sym_chop] = ACTIONS(2332),
    [anon_sym_chdir] = ACTIONS(2332),
    [anon_sym_close] = ACTIONS(2332),
    [anon_sym_closedir] = ACTIONS(2332),
    [anon_sym_caller] = ACTIONS(2332),
    [anon_sym_chomp] = ACTIONS(2332),
    [anon_sym_chr] = ACTIONS(2332),
    [anon_sym_cos] = ACTIONS(2332),
    [anon_sym_chroot] = ACTIONS(2332),
    [anon_sym_defined] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_dbmclose] = ACTIONS(2332),
    [anon_sym_exists] = ACTIONS(2332),
    [anon_sym_exit] = ACTIONS(2332),
    [anon_sym_eof] = ACTIONS(2332),
    [anon_sym_exp] = ACTIONS(2332),
    [anon_sym_each] = ACTIONS(2332),
    [anon_sym_fc] = ACTIONS(2332),
    [anon_sym_fileno] = ACTIONS(2332),
    [anon_sym_gmtime] = ACTIONS(2332),
    [anon_sym_getc] = ACTIONS(2332),
    [anon_sym_getpgrp] = ACTIONS(2332),
    [anon_sym_getprotobyname] = ACTIONS(2332),
    [anon_sym_getpwname] = ACTIONS(2332),
    [anon_sym_getpwuid] = ACTIONS(2332),
    [anon_sym_getpeername] = ACTIONS(2332),
    [anon_sym_getnetbyname] = ACTIONS(2332),
    [anon_sym_getsockname] = ACTIONS(2332),
    [anon_sym_getgrnam] = ACTIONS(2332),
    [anon_sym_getgrgid] = ACTIONS(2332),
    [anon_sym_hex] = ACTIONS(2332),
    [anon_sym_int] = ACTIONS(2332),
    [anon_sym_keys] = ACTIONS(2332),
    [anon_sym_lc] = ACTIONS(2332),
    [anon_sym_lcfirst] = ACTIONS(2332),
    [anon_sym_length] = ACTIONS(2332),
    [anon_sym_localtime] = ACTIONS(2332),
    [anon_sym_log] = ACTIONS(2332),
    [anon_sym_lock] = ACTIONS(2332),
    [anon_sym_lstat] = ACTIONS(2332),
    [anon_sym_oct] = ACTIONS(2332),
    [anon_sym_ord] = ACTIONS(2332),
    [anon_sym_prototype] = ACTIONS(2332),
    [anon_sym_pop] = ACTIONS(2332),
    [anon_sym_pos] = ACTIONS(2332),
    [anon_sym_quotemeta] = ACTIONS(2332),
    [anon_sym_reset] = ACTIONS(2332),
    [anon_sym_rand] = ACTIONS(2332),
    [anon_sym_rmdir] = ACTIONS(2332),
    [anon_sym_readdir] = ACTIONS(2332),
    [anon_sym_readline] = ACTIONS(2332),
    [anon_sym_readpipe] = ACTIONS(2332),
    [anon_sym_rewinddir] = ACTIONS(2332),
    [anon_sym_readlink] = ACTIONS(2332),
    [anon_sym_ref] = ACTIONS(2332),
    [anon_sym_scalar] = ACTIONS(2332),
    [anon_sym_shift] = ACTIONS(2332),
    [anon_sym_sin] = ACTIONS(2332),
    [anon_sym_sleep] = ACTIONS(2332),
    [anon_sym_sqrt] = ACTIONS(2332),
    [anon_sym_srand] = ACTIONS(2332),
    [anon_sym_stat] = ACTIONS(2332),
    [anon_sym_study] = ACTIONS(2332),
    [anon_sym_tell] = ACTIONS(2332),
    [anon_sym_telldir] = ACTIONS(2332),
    [anon_sym_tied] = ACTIONS(2332),
    [anon_sym_uc] = ACTIONS(2332),
    [anon_sym_ucfirst] = ACTIONS(2332),
    [anon_sym_untie] = ACTIONS(2332),
    [anon_sym_umask] = ACTIONS(2332),
    [anon_sym_values] = ACTIONS(2332),
    [anon_sym_write] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2332),
    [anon_sym___END__] = ACTIONS(2332),
    [anon_sym_EOT] = ACTIONS(2332),
    [anon_sym_q] = ACTIONS(2332),
    [anon_sym_qq] = ACTIONS(2332),
    [anon_sym_qw] = ACTIONS(2332),
    [anon_sym_qx] = ACTIONS(2332),
    [anon_sym_qr] = ACTIONS(2332),
    [anon_sym_m] = ACTIONS(2332),
    [anon_sym_s] = ACTIONS(2332),
    [anon_sym_tr] = ACTIONS(2332),
    [anon_sym_y] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_unless] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_until] = ACTIONS(2332),
    [aux_sym__bareword_token1] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [anon_sym_true] = ACTIONS(2332),
    [anon_sym_false] = ACTIONS(2332),
    [sym__single_quote] = ACTIONS(2330),
    [sym__double_quote] = ACTIONS(2330),
    [sym__backtick_quote] = ACTIONS(2330),
    [sym__search_slash_quote] = ACTIONS(2330),
    [sym__open_readline_bracket] = ACTIONS(2330),
    [sym__open_fileglob_bracket] = ACTIONS(2330),
    [sym__PERLY_HEREDOC] = ACTIONS(2330),
    [sym__ctrl_z_hack] = ACTIONS(2330),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2330),
    [sym__filetest] = ACTIONS(2330),
  },
  [975] = {
    [sym_heredoc_content] = STATE(975),
    [ts_builtin_sym_end] = ACTIONS(2334),
    [sym__identifier] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_package] = ACTIONS(2336),
    [anon_sym_class] = ACTIONS(2336),
    [anon_sym_role] = ACTIONS(2336),
    [anon_sym_BUILD] = ACTIONS(2336),
    [anon_sym_ADJUST] = ACTIONS(2336),
    [anon_sym_DOLLAR] = ACTIONS(2336),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_my] = ACTIONS(2336),
    [anon_sym_extended] = ACTIONS(2336),
    [anon_sym_async] = ACTIONS(2336),
    [anon_sym_sub] = ACTIONS(2336),
    [anon_sym_method] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_continue] = ACTIONS(2336),
    [anon_sym_state] = ACTIONS(2336),
    [anon_sym_our] = ACTIONS(2336),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_defer] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_BSLASH] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2336),
    [anon_sym_eval] = ACTIONS(2336),
    [anon_sym_await] = ACTIONS(2336),
    [anon_sym_field] = ACTIONS(2336),
    [anon_sym_local] = ACTIONS(2336),
    [anon_sym_dynamically] = ACTIONS(2336),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2336),
    [anon_sym_require] = ACTIONS(2336),
    [anon_sym_map] = ACTIONS(2336),
    [anon_sym_grep] = ACTIONS(2336),
    [anon_sym_sort] = ACTIONS(2336),
    [anon_sym_goto] = ACTIONS(2336),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_undef] = ACTIONS(2336),
    [anon_sym_PERCENT2] = ACTIONS(2336),
    [anon_sym_AMP2] = ACTIONS(2336),
    [anon_sym_STAR2] = ACTIONS(2336),
    [anon_sym_use] = ACTIONS(2336),
    [anon_sym_no] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2336),
    [anon_sym_foreach] = ACTIONS(2336),
    [anon_sym_last] = ACTIONS(2336),
    [anon_sym_next] = ACTIONS(2336),
    [anon_sym_redo] = ACTIONS(2336),
    [anon_sym_BEGIN] = ACTIONS(2336),
    [anon_sym_INIT] = ACTIONS(2336),
    [anon_sym_CHECK] = ACTIONS(2336),
    [anon_sym_UNITCHECK] = ACTIONS(2336),
    [anon_sym_END] = ACTIONS(2336),
    [anon_sym___FILE__] = ACTIONS(2336),
    [anon_sym___LINE__] = ACTIONS(2336),
    [anon_sym___PACKAGE__] = ACTIONS(2336),
    [anon_sym___SUB__] = ACTIONS(2336),
    [anon_sym_break] = ACTIONS(2336),
    [anon_sym_fork] = ACTIONS(2336),
    [anon_sym_getppid] = ACTIONS(2336),
    [anon_sym_time] = ACTIONS(2336),
    [anon_sym_times] = ACTIONS(2336),
    [anon_sym_wait] = ACTIONS(2336),
    [anon_sym_wantarray] = ACTIONS(2336),
    [anon_sym_abs] = ACTIONS(2336),
    [anon_sym_alarm] = ACTIONS(2336),
    [anon_sym_chop] = ACTIONS(2336),
    [anon_sym_chdir] = ACTIONS(2336),
    [anon_sym_close] = ACTIONS(2336),
    [anon_sym_closedir] = ACTIONS(2336),
    [anon_sym_caller] = ACTIONS(2336),
    [anon_sym_chomp] = ACTIONS(2336),
    [anon_sym_chr] = ACTIONS(2336),
    [anon_sym_cos] = ACTIONS(2336),
    [anon_sym_chroot] = ACTIONS(2336),
    [anon_sym_defined] = ACTIONS(2336),
    [anon_sym_delete] = ACTIONS(2336),
    [anon_sym_dbmclose] = ACTIONS(2336),
    [anon_sym_exists] = ACTIONS(2336),
    [anon_sym_exit] = ACTIONS(2336),
    [anon_sym_eof] = ACTIONS(2336),
    [anon_sym_exp] = ACTIONS(2336),
    [anon_sym_each] = ACTIONS(2336),
    [anon_sym_fc] = ACTIONS(2336),
    [anon_sym_fileno] = ACTIONS(2336),
    [anon_sym_gmtime] = ACTIONS(2336),
    [anon_sym_getc] = ACTIONS(2336),
    [anon_sym_getpgrp] = ACTIONS(2336),
    [anon_sym_getprotobyname] = ACTIONS(2336),
    [anon_sym_getpwname] = ACTIONS(2336),
    [anon_sym_getpwuid] = ACTIONS(2336),
    [anon_sym_getpeername] = ACTIONS(2336),
    [anon_sym_getnetbyname] = ACTIONS(2336),
    [anon_sym_getsockname] = ACTIONS(2336),
    [anon_sym_getgrnam] = ACTIONS(2336),
    [anon_sym_getgrgid] = ACTIONS(2336),
    [anon_sym_hex] = ACTIONS(2336),
    [anon_sym_int] = ACTIONS(2336),
    [anon_sym_keys] = ACTIONS(2336),
    [anon_sym_lc] = ACTIONS(2336),
    [anon_sym_lcfirst] = ACTIONS(2336),
    [anon_sym_length] = ACTIONS(2336),
    [anon_sym_localtime] = ACTIONS(2336),
    [anon_sym_log] = ACTIONS(2336),
    [anon_sym_lock] = ACTIONS(2336),
    [anon_sym_lstat] = ACTIONS(2336),
    [anon_sym_oct] = ACTIONS(2336),
    [anon_sym_ord] = ACTIONS(2336),
    [anon_sym_prototype] = ACTIONS(2336),
    [anon_sym_pop] = ACTIONS(2336),
    [anon_sym_pos] = ACTIONS(2336),
    [anon_sym_quotemeta] = ACTIONS(2336),
    [anon_sym_reset] = ACTIONS(2336),
    [anon_sym_rand] = ACTIONS(2336),
    [anon_sym_rmdir] = ACTIONS(2336),
    [anon_sym_readdir] = ACTIONS(2336),
    [anon_sym_readline] = ACTIONS(2336),
    [anon_sym_readpipe] = ACTIONS(2336),
    [anon_sym_rewinddir] = ACTIONS(2336),
    [anon_sym_readlink] = ACTIONS(2336),
    [anon_sym_ref] = ACTIONS(2336),
    [anon_sym_scalar] = ACTIONS(2336),
    [anon_sym_shift] = ACTIONS(2336),
    [anon_sym_sin] = ACTIONS(2336),
    [anon_sym_sleep] = ACTIONS(2336),
    [anon_sym_sqrt] = ACTIONS(2336),
    [anon_sym_srand] = ACTIONS(2336),
    [anon_sym_stat] = ACTIONS(2336),
    [anon_sym_study] = ACTIONS(2336),
    [anon_sym_tell] = ACTIONS(2336),
    [anon_sym_telldir] = ACTIONS(2336),
    [anon_sym_tied] = ACTIONS(2336),
    [anon_sym_uc] = ACTIONS(2336),
    [anon_sym_ucfirst] = ACTIONS(2336),
    [anon_sym_untie] = ACTIONS(2336),
    [anon_sym_umask] = ACTIONS(2336),
    [anon_sym_values] = ACTIONS(2336),
    [anon_sym_write] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2336),
    [anon_sym___END__] = ACTIONS(2336),
    [anon_sym_EOT] = ACTIONS(2336),
    [anon_sym_q] = ACTIONS(2336),
    [anon_sym_qq] = ACTIONS(2336),
    [anon_sym_qw] = ACTIONS(2336),
    [anon_sym_qx] = ACTIONS(2336),
    [anon_sym_qr] = ACTIONS(2336),
    [anon_sym_m] = ACTIONS(2336),
    [anon_sym_s] = ACTIONS(2336),
    [anon_sym_tr] = ACTIONS(2336),
    [anon_sym_y] = ACTIONS(2336),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_unless] = ACTIONS(2336),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_until] = ACTIONS(2336),
    [aux_sym__bareword_token1] = ACTIONS(2336),
    [sym_number] = ACTIONS(2336),
    [anon_sym_true] = ACTIONS(2336),
    [anon_sym_false] = ACTIONS(2336),
    [sym__single_quote] = ACTIONS(2334),
    [sym__double_quote] = ACTIONS(2334),
    [sym__backtick_quote] = ACTIONS(2334),
    [sym__search_slash_quote] = ACTIONS(2334),
    [sym__open_readline_bracket] = ACTIONS(2334),
    [sym__open_fileglob_bracket] = ACTIONS(2334),
    [sym__PERLY_HEREDOC] = ACTIONS(2334),
    [sym__ctrl_z_hack] = ACTIONS(2334),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2334),
    [sym__filetest] = ACTIONS(2334),
  },
  [976] = {
    [sym_heredoc_content] = STATE(976),
    [ts_builtin_sym_end] = ACTIONS(2338),
    [sym__identifier] = ACTIONS(2340),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_package] = ACTIONS(2340),
    [anon_sym_class] = ACTIONS(2340),
    [anon_sym_role] = ACTIONS(2340),
    [anon_sym_BUILD] = ACTIONS(2340),
    [anon_sym_ADJUST] = ACTIONS(2340),
    [anon_sym_DOLLAR] = ACTIONS(2340),
    [anon_sym_AT] = ACTIONS(2340),
    [anon_sym_my] = ACTIONS(2340),
    [anon_sym_extended] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2340),
    [anon_sym_sub] = ACTIONS(2340),
    [anon_sym_method] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_continue] = ACTIONS(2340),
    [anon_sym_state] = ACTIONS(2340),
    [anon_sym_our] = ACTIONS(2340),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_defer] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT_LT] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_BSLASH] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2340),
    [anon_sym_eval] = ACTIONS(2340),
    [anon_sym_await] = ACTIONS(2340),
    [anon_sym_field] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2340),
    [anon_sym_dynamically] = ACTIONS(2340),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2340),
    [anon_sym_require] = ACTIONS(2340),
    [anon_sym_map] = ACTIONS(2340),
    [anon_sym_grep] = ACTIONS(2340),
    [anon_sym_sort] = ACTIONS(2340),
    [anon_sym_goto] = ACTIONS(2340),
    [anon_sym_return] = ACTIONS(2340),
    [anon_sym_undef] = ACTIONS(2340),
    [anon_sym_PERCENT2] = ACTIONS(2340),
    [anon_sym_AMP2] = ACTIONS(2340),
    [anon_sym_STAR2] = ACTIONS(2340),
    [anon_sym_use] = ACTIONS(2340),
    [anon_sym_no] = ACTIONS(2340),
    [anon_sym_for] = ACTIONS(2340),
    [anon_sym_foreach] = ACTIONS(2340),
    [anon_sym_last] = ACTIONS(2340),
    [anon_sym_next] = ACTIONS(2340),
    [anon_sym_redo] = ACTIONS(2340),
    [anon_sym_BEGIN] = ACTIONS(2340),
    [anon_sym_INIT] = ACTIONS(2340),
    [anon_sym_CHECK] = ACTIONS(2340),
    [anon_sym_UNITCHECK] = ACTIONS(2340),
    [anon_sym_END] = ACTIONS(2340),
    [anon_sym___FILE__] = ACTIONS(2340),
    [anon_sym___LINE__] = ACTIONS(2340),
    [anon_sym___PACKAGE__] = ACTIONS(2340),
    [anon_sym___SUB__] = ACTIONS(2340),
    [anon_sym_break] = ACTIONS(2340),
    [anon_sym_fork] = ACTIONS(2340),
    [anon_sym_getppid] = ACTIONS(2340),
    [anon_sym_time] = ACTIONS(2340),
    [anon_sym_times] = ACTIONS(2340),
    [anon_sym_wait] = ACTIONS(2340),
    [anon_sym_wantarray] = ACTIONS(2340),
    [anon_sym_abs] = ACTIONS(2340),
    [anon_sym_alarm] = ACTIONS(2340),
    [anon_sym_chop] = ACTIONS(2340),
    [anon_sym_chdir] = ACTIONS(2340),
    [anon_sym_close] = ACTIONS(2340),
    [anon_sym_closedir] = ACTIONS(2340),
    [anon_sym_caller] = ACTIONS(2340),
    [anon_sym_chomp] = ACTIONS(2340),
    [anon_sym_chr] = ACTIONS(2340),
    [anon_sym_cos] = ACTIONS(2340),
    [anon_sym_chroot] = ACTIONS(2340),
    [anon_sym_defined] = ACTIONS(2340),
    [anon_sym_delete] = ACTIONS(2340),
    [anon_sym_dbmclose] = ACTIONS(2340),
    [anon_sym_exists] = ACTIONS(2340),
    [anon_sym_exit] = ACTIONS(2340),
    [anon_sym_eof] = ACTIONS(2340),
    [anon_sym_exp] = ACTIONS(2340),
    [anon_sym_each] = ACTIONS(2340),
    [anon_sym_fc] = ACTIONS(2340),
    [anon_sym_fileno] = ACTIONS(2340),
    [anon_sym_gmtime] = ACTIONS(2340),
    [anon_sym_getc] = ACTIONS(2340),
    [anon_sym_getpgrp] = ACTIONS(2340),
    [anon_sym_getprotobyname] = ACTIONS(2340),
    [anon_sym_getpwname] = ACTIONS(2340),
    [anon_sym_getpwuid] = ACTIONS(2340),
    [anon_sym_getpeername] = ACTIONS(2340),
    [anon_sym_getnetbyname] = ACTIONS(2340),
    [anon_sym_getsockname] = ACTIONS(2340),
    [anon_sym_getgrnam] = ACTIONS(2340),
    [anon_sym_getgrgid] = ACTIONS(2340),
    [anon_sym_hex] = ACTIONS(2340),
    [anon_sym_int] = ACTIONS(2340),
    [anon_sym_keys] = ACTIONS(2340),
    [anon_sym_lc] = ACTIONS(2340),
    [anon_sym_lcfirst] = ACTIONS(2340),
    [anon_sym_length] = ACTIONS(2340),
    [anon_sym_localtime] = ACTIONS(2340),
    [anon_sym_log] = ACTIONS(2340),
    [anon_sym_lock] = ACTIONS(2340),
    [anon_sym_lstat] = ACTIONS(2340),
    [anon_sym_oct] = ACTIONS(2340),
    [anon_sym_ord] = ACTIONS(2340),
    [anon_sym_prototype] = ACTIONS(2340),
    [anon_sym_pop] = ACTIONS(2340),
    [anon_sym_pos] = ACTIONS(2340),
    [anon_sym_quotemeta] = ACTIONS(2340),
    [anon_sym_reset] = ACTIONS(2340),
    [anon_sym_rand] = ACTIONS(2340),
    [anon_sym_rmdir] = ACTIONS(2340),
    [anon_sym_readdir] = ACTIONS(2340),
    [anon_sym_readline] = ACTIONS(2340),
    [anon_sym_readpipe] = ACTIONS(2340),
    [anon_sym_rewinddir] = ACTIONS(2340),
    [anon_sym_readlink] = ACTIONS(2340),
    [anon_sym_ref] = ACTIONS(2340),
    [anon_sym_scalar] = ACTIONS(2340),
    [anon_sym_shift] = ACTIONS(2340),
    [anon_sym_sin] = ACTIONS(2340),
    [anon_sym_sleep] = ACTIONS(2340),
    [anon_sym_sqrt] = ACTIONS(2340),
    [anon_sym_srand] = ACTIONS(2340),
    [anon_sym_stat] = ACTIONS(2340),
    [anon_sym_study] = ACTIONS(2340),
    [anon_sym_tell] = ACTIONS(2340),
    [anon_sym_telldir] = ACTIONS(2340),
    [anon_sym_tied] = ACTIONS(2340),
    [anon_sym_uc] = ACTIONS(2340),
    [anon_sym_ucfirst] = ACTIONS(2340),
    [anon_sym_untie] = ACTIONS(2340),
    [anon_sym_umask] = ACTIONS(2340),
    [anon_sym_values] = ACTIONS(2340),
    [anon_sym_write] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2340),
    [anon_sym___END__] = ACTIONS(2340),
    [anon_sym_EOT] = ACTIONS(2340),
    [anon_sym_q] = ACTIONS(2340),
    [anon_sym_qq] = ACTIONS(2340),
    [anon_sym_qw] = ACTIONS(2340),
    [anon_sym_qx] = ACTIONS(2340),
    [anon_sym_qr] = ACTIONS(2340),
    [anon_sym_m] = ACTIONS(2340),
    [anon_sym_s] = ACTIONS(2340),
    [anon_sym_tr] = ACTIONS(2340),
    [anon_sym_y] = ACTIONS(2340),
    [anon_sym_if] = ACTIONS(2340),
    [anon_sym_unless] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2340),
    [anon_sym_until] = ACTIONS(2340),
    [aux_sym__bareword_token1] = ACTIONS(2340),
    [sym_number] = ACTIONS(2340),
    [anon_sym_true] = ACTIONS(2340),
    [anon_sym_false] = ACTIONS(2340),
    [sym__single_quote] = ACTIONS(2338),
    [sym__double_quote] = ACTIONS(2338),
    [sym__backtick_quote] = ACTIONS(2338),
    [sym__search_slash_quote] = ACTIONS(2338),
    [sym__open_readline_bracket] = ACTIONS(2338),
    [sym__open_fileglob_bracket] = ACTIONS(2338),
    [sym__PERLY_HEREDOC] = ACTIONS(2338),
    [sym__ctrl_z_hack] = ACTIONS(2338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2338),
    [sym__filetest] = ACTIONS(2338),
  },
  [977] = {
    [sym_heredoc_content] = STATE(977),
    [ts_builtin_sym_end] = ACTIONS(2342),
    [sym__identifier] = ACTIONS(2344),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_package] = ACTIONS(2344),
    [anon_sym_class] = ACTIONS(2344),
    [anon_sym_role] = ACTIONS(2344),
    [anon_sym_BUILD] = ACTIONS(2344),
    [anon_sym_ADJUST] = ACTIONS(2344),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_AT] = ACTIONS(2344),
    [anon_sym_my] = ACTIONS(2344),
    [anon_sym_extended] = ACTIONS(2344),
    [anon_sym_async] = ACTIONS(2344),
    [anon_sym_sub] = ACTIONS(2344),
    [anon_sym_method] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_continue] = ACTIONS(2344),
    [anon_sym_state] = ACTIONS(2344),
    [anon_sym_our] = ACTIONS(2344),
    [anon_sym_try] = ACTIONS(2344),
    [anon_sym_defer] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_BSLASH] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2344),
    [anon_sym_eval] = ACTIONS(2344),
    [anon_sym_await] = ACTIONS(2344),
    [anon_sym_field] = ACTIONS(2344),
    [anon_sym_local] = ACTIONS(2344),
    [anon_sym_dynamically] = ACTIONS(2344),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2344),
    [anon_sym_require] = ACTIONS(2344),
    [anon_sym_map] = ACTIONS(2344),
    [anon_sym_grep] = ACTIONS(2344),
    [anon_sym_sort] = ACTIONS(2344),
    [anon_sym_goto] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(2344),
    [anon_sym_undef] = ACTIONS(2344),
    [anon_sym_PERCENT2] = ACTIONS(2344),
    [anon_sym_AMP2] = ACTIONS(2344),
    [anon_sym_STAR2] = ACTIONS(2344),
    [anon_sym_use] = ACTIONS(2344),
    [anon_sym_no] = ACTIONS(2344),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_foreach] = ACTIONS(2344),
    [anon_sym_last] = ACTIONS(2344),
    [anon_sym_next] = ACTIONS(2344),
    [anon_sym_redo] = ACTIONS(2344),
    [anon_sym_BEGIN] = ACTIONS(2344),
    [anon_sym_INIT] = ACTIONS(2344),
    [anon_sym_CHECK] = ACTIONS(2344),
    [anon_sym_UNITCHECK] = ACTIONS(2344),
    [anon_sym_END] = ACTIONS(2344),
    [anon_sym___FILE__] = ACTIONS(2344),
    [anon_sym___LINE__] = ACTIONS(2344),
    [anon_sym___PACKAGE__] = ACTIONS(2344),
    [anon_sym___SUB__] = ACTIONS(2344),
    [anon_sym_break] = ACTIONS(2344),
    [anon_sym_fork] = ACTIONS(2344),
    [anon_sym_getppid] = ACTIONS(2344),
    [anon_sym_time] = ACTIONS(2344),
    [anon_sym_times] = ACTIONS(2344),
    [anon_sym_wait] = ACTIONS(2344),
    [anon_sym_wantarray] = ACTIONS(2344),
    [anon_sym_abs] = ACTIONS(2344),
    [anon_sym_alarm] = ACTIONS(2344),
    [anon_sym_chop] = ACTIONS(2344),
    [anon_sym_chdir] = ACTIONS(2344),
    [anon_sym_close] = ACTIONS(2344),
    [anon_sym_closedir] = ACTIONS(2344),
    [anon_sym_caller] = ACTIONS(2344),
    [anon_sym_chomp] = ACTIONS(2344),
    [anon_sym_chr] = ACTIONS(2344),
    [anon_sym_cos] = ACTIONS(2344),
    [anon_sym_chroot] = ACTIONS(2344),
    [anon_sym_defined] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(2344),
    [anon_sym_dbmclose] = ACTIONS(2344),
    [anon_sym_exists] = ACTIONS(2344),
    [anon_sym_exit] = ACTIONS(2344),
    [anon_sym_eof] = ACTIONS(2344),
    [anon_sym_exp] = ACTIONS(2344),
    [anon_sym_each] = ACTIONS(2344),
    [anon_sym_fc] = ACTIONS(2344),
    [anon_sym_fileno] = ACTIONS(2344),
    [anon_sym_gmtime] = ACTIONS(2344),
    [anon_sym_getc] = ACTIONS(2344),
    [anon_sym_getpgrp] = ACTIONS(2344),
    [anon_sym_getprotobyname] = ACTIONS(2344),
    [anon_sym_getpwname] = ACTIONS(2344),
    [anon_sym_getpwuid] = ACTIONS(2344),
    [anon_sym_getpeername] = ACTIONS(2344),
    [anon_sym_getnetbyname] = ACTIONS(2344),
    [anon_sym_getsockname] = ACTIONS(2344),
    [anon_sym_getgrnam] = ACTIONS(2344),
    [anon_sym_getgrgid] = ACTIONS(2344),
    [anon_sym_hex] = ACTIONS(2344),
    [anon_sym_int] = ACTIONS(2344),
    [anon_sym_keys] = ACTIONS(2344),
    [anon_sym_lc] = ACTIONS(2344),
    [anon_sym_lcfirst] = ACTIONS(2344),
    [anon_sym_length] = ACTIONS(2344),
    [anon_sym_localtime] = ACTIONS(2344),
    [anon_sym_log] = ACTIONS(2344),
    [anon_sym_lock] = ACTIONS(2344),
    [anon_sym_lstat] = ACTIONS(2344),
    [anon_sym_oct] = ACTIONS(2344),
    [anon_sym_ord] = ACTIONS(2344),
    [anon_sym_prototype] = ACTIONS(2344),
    [anon_sym_pop] = ACTIONS(2344),
    [anon_sym_pos] = ACTIONS(2344),
    [anon_sym_quotemeta] = ACTIONS(2344),
    [anon_sym_reset] = ACTIONS(2344),
    [anon_sym_rand] = ACTIONS(2344),
    [anon_sym_rmdir] = ACTIONS(2344),
    [anon_sym_readdir] = ACTIONS(2344),
    [anon_sym_readline] = ACTIONS(2344),
    [anon_sym_readpipe] = ACTIONS(2344),
    [anon_sym_rewinddir] = ACTIONS(2344),
    [anon_sym_readlink] = ACTIONS(2344),
    [anon_sym_ref] = ACTIONS(2344),
    [anon_sym_scalar] = ACTIONS(2344),
    [anon_sym_shift] = ACTIONS(2344),
    [anon_sym_sin] = ACTIONS(2344),
    [anon_sym_sleep] = ACTIONS(2344),
    [anon_sym_sqrt] = ACTIONS(2344),
    [anon_sym_srand] = ACTIONS(2344),
    [anon_sym_stat] = ACTIONS(2344),
    [anon_sym_study] = ACTIONS(2344),
    [anon_sym_tell] = ACTIONS(2344),
    [anon_sym_telldir] = ACTIONS(2344),
    [anon_sym_tied] = ACTIONS(2344),
    [anon_sym_uc] = ACTIONS(2344),
    [anon_sym_ucfirst] = ACTIONS(2344),
    [anon_sym_untie] = ACTIONS(2344),
    [anon_sym_umask] = ACTIONS(2344),
    [anon_sym_values] = ACTIONS(2344),
    [anon_sym_write] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2344),
    [anon_sym___END__] = ACTIONS(2344),
    [anon_sym_EOT] = ACTIONS(2344),
    [anon_sym_q] = ACTIONS(2344),
    [anon_sym_qq] = ACTIONS(2344),
    [anon_sym_qw] = ACTIONS(2344),
    [anon_sym_qx] = ACTIONS(2344),
    [anon_sym_qr] = ACTIONS(2344),
    [anon_sym_m] = ACTIONS(2344),
    [anon_sym_s] = ACTIONS(2344),
    [anon_sym_tr] = ACTIONS(2344),
    [anon_sym_y] = ACTIONS(2344),
    [anon_sym_if] = ACTIONS(2344),
    [anon_sym_unless] = ACTIONS(2344),
    [anon_sym_while] = ACTIONS(2344),
    [anon_sym_until] = ACTIONS(2344),
    [aux_sym__bareword_token1] = ACTIONS(2344),
    [sym_number] = ACTIONS(2344),
    [anon_sym_true] = ACTIONS(2344),
    [anon_sym_false] = ACTIONS(2344),
    [sym__single_quote] = ACTIONS(2342),
    [sym__double_quote] = ACTIONS(2342),
    [sym__backtick_quote] = ACTIONS(2342),
    [sym__search_slash_quote] = ACTIONS(2342),
    [sym__open_readline_bracket] = ACTIONS(2342),
    [sym__open_fileglob_bracket] = ACTIONS(2342),
    [sym__PERLY_HEREDOC] = ACTIONS(2342),
    [sym__ctrl_z_hack] = ACTIONS(2342),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2342),
    [sym__filetest] = ACTIONS(2342),
  },
  [978] = {
    [sym_heredoc_content] = STATE(978),
    [ts_builtin_sym_end] = ACTIONS(2346),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym_package] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2348),
    [anon_sym_role] = ACTIONS(2348),
    [anon_sym_BUILD] = ACTIONS(2348),
    [anon_sym_ADJUST] = ACTIONS(2348),
    [anon_sym_DOLLAR] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2348),
    [anon_sym_my] = ACTIONS(2348),
    [anon_sym_extended] = ACTIONS(2348),
    [anon_sym_async] = ACTIONS(2348),
    [anon_sym_sub] = ACTIONS(2348),
    [anon_sym_method] = ACTIONS(2348),
    [anon_sym_LPAREN] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_state] = ACTIONS(2348),
    [anon_sym_our] = ACTIONS(2348),
    [anon_sym_try] = ACTIONS(2348),
    [anon_sym_defer] = ACTIONS(2348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_BSLASH] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_eval] = ACTIONS(2348),
    [anon_sym_await] = ACTIONS(2348),
    [anon_sym_field] = ACTIONS(2348),
    [anon_sym_local] = ACTIONS(2348),
    [anon_sym_dynamically] = ACTIONS(2348),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2348),
    [anon_sym_require] = ACTIONS(2348),
    [anon_sym_map] = ACTIONS(2348),
    [anon_sym_grep] = ACTIONS(2348),
    [anon_sym_sort] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_undef] = ACTIONS(2348),
    [anon_sym_PERCENT2] = ACTIONS(2348),
    [anon_sym_AMP2] = ACTIONS(2348),
    [anon_sym_STAR2] = ACTIONS(2348),
    [anon_sym_use] = ACTIONS(2348),
    [anon_sym_no] = ACTIONS(2348),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_foreach] = ACTIONS(2348),
    [anon_sym_last] = ACTIONS(2348),
    [anon_sym_next] = ACTIONS(2348),
    [anon_sym_redo] = ACTIONS(2348),
    [anon_sym_BEGIN] = ACTIONS(2348),
    [anon_sym_INIT] = ACTIONS(2348),
    [anon_sym_CHECK] = ACTIONS(2348),
    [anon_sym_UNITCHECK] = ACTIONS(2348),
    [anon_sym_END] = ACTIONS(2348),
    [anon_sym___FILE__] = ACTIONS(2348),
    [anon_sym___LINE__] = ACTIONS(2348),
    [anon_sym___PACKAGE__] = ACTIONS(2348),
    [anon_sym___SUB__] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_fork] = ACTIONS(2348),
    [anon_sym_getppid] = ACTIONS(2348),
    [anon_sym_time] = ACTIONS(2348),
    [anon_sym_times] = ACTIONS(2348),
    [anon_sym_wait] = ACTIONS(2348),
    [anon_sym_wantarray] = ACTIONS(2348),
    [anon_sym_abs] = ACTIONS(2348),
    [anon_sym_alarm] = ACTIONS(2348),
    [anon_sym_chop] = ACTIONS(2348),
    [anon_sym_chdir] = ACTIONS(2348),
    [anon_sym_close] = ACTIONS(2348),
    [anon_sym_closedir] = ACTIONS(2348),
    [anon_sym_caller] = ACTIONS(2348),
    [anon_sym_chomp] = ACTIONS(2348),
    [anon_sym_chr] = ACTIONS(2348),
    [anon_sym_cos] = ACTIONS(2348),
    [anon_sym_chroot] = ACTIONS(2348),
    [anon_sym_defined] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_dbmclose] = ACTIONS(2348),
    [anon_sym_exists] = ACTIONS(2348),
    [anon_sym_exit] = ACTIONS(2348),
    [anon_sym_eof] = ACTIONS(2348),
    [anon_sym_exp] = ACTIONS(2348),
    [anon_sym_each] = ACTIONS(2348),
    [anon_sym_fc] = ACTIONS(2348),
    [anon_sym_fileno] = ACTIONS(2348),
    [anon_sym_gmtime] = ACTIONS(2348),
    [anon_sym_getc] = ACTIONS(2348),
    [anon_sym_getpgrp] = ACTIONS(2348),
    [anon_sym_getprotobyname] = ACTIONS(2348),
    [anon_sym_getpwname] = ACTIONS(2348),
    [anon_sym_getpwuid] = ACTIONS(2348),
    [anon_sym_getpeername] = ACTIONS(2348),
    [anon_sym_getnetbyname] = ACTIONS(2348),
    [anon_sym_getsockname] = ACTIONS(2348),
    [anon_sym_getgrnam] = ACTIONS(2348),
    [anon_sym_getgrgid] = ACTIONS(2348),
    [anon_sym_hex] = ACTIONS(2348),
    [anon_sym_int] = ACTIONS(2348),
    [anon_sym_keys] = ACTIONS(2348),
    [anon_sym_lc] = ACTIONS(2348),
    [anon_sym_lcfirst] = ACTIONS(2348),
    [anon_sym_length] = ACTIONS(2348),
    [anon_sym_localtime] = ACTIONS(2348),
    [anon_sym_log] = ACTIONS(2348),
    [anon_sym_lock] = ACTIONS(2348),
    [anon_sym_lstat] = ACTIONS(2348),
    [anon_sym_oct] = ACTIONS(2348),
    [anon_sym_ord] = ACTIONS(2348),
    [anon_sym_prototype] = ACTIONS(2348),
    [anon_sym_pop] = ACTIONS(2348),
    [anon_sym_pos] = ACTIONS(2348),
    [anon_sym_quotemeta] = ACTIONS(2348),
    [anon_sym_reset] = ACTIONS(2348),
    [anon_sym_rand] = ACTIONS(2348),
    [anon_sym_rmdir] = ACTIONS(2348),
    [anon_sym_readdir] = ACTIONS(2348),
    [anon_sym_readline] = ACTIONS(2348),
    [anon_sym_readpipe] = ACTIONS(2348),
    [anon_sym_rewinddir] = ACTIONS(2348),
    [anon_sym_readlink] = ACTIONS(2348),
    [anon_sym_ref] = ACTIONS(2348),
    [anon_sym_scalar] = ACTIONS(2348),
    [anon_sym_shift] = ACTIONS(2348),
    [anon_sym_sin] = ACTIONS(2348),
    [anon_sym_sleep] = ACTIONS(2348),
    [anon_sym_sqrt] = ACTIONS(2348),
    [anon_sym_srand] = ACTIONS(2348),
    [anon_sym_stat] = ACTIONS(2348),
    [anon_sym_study] = ACTIONS(2348),
    [anon_sym_tell] = ACTIONS(2348),
    [anon_sym_telldir] = ACTIONS(2348),
    [anon_sym_tied] = ACTIONS(2348),
    [anon_sym_uc] = ACTIONS(2348),
    [anon_sym_ucfirst] = ACTIONS(2348),
    [anon_sym_untie] = ACTIONS(2348),
    [anon_sym_umask] = ACTIONS(2348),
    [anon_sym_values] = ACTIONS(2348),
    [anon_sym_write] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2348),
    [anon_sym___END__] = ACTIONS(2348),
    [anon_sym_EOT] = ACTIONS(2348),
    [anon_sym_q] = ACTIONS(2348),
    [anon_sym_qq] = ACTIONS(2348),
    [anon_sym_qw] = ACTIONS(2348),
    [anon_sym_qx] = ACTIONS(2348),
    [anon_sym_qr] = ACTIONS(2348),
    [anon_sym_m] = ACTIONS(2348),
    [anon_sym_s] = ACTIONS(2348),
    [anon_sym_tr] = ACTIONS(2348),
    [anon_sym_y] = ACTIONS(2348),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_unless] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_until] = ACTIONS(2348),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym_number] = ACTIONS(2348),
    [anon_sym_true] = ACTIONS(2348),
    [anon_sym_false] = ACTIONS(2348),
    [sym__single_quote] = ACTIONS(2346),
    [sym__double_quote] = ACTIONS(2346),
    [sym__backtick_quote] = ACTIONS(2346),
    [sym__search_slash_quote] = ACTIONS(2346),
    [sym__open_readline_bracket] = ACTIONS(2346),
    [sym__open_fileglob_bracket] = ACTIONS(2346),
    [sym__PERLY_HEREDOC] = ACTIONS(2346),
    [sym__ctrl_z_hack] = ACTIONS(2346),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2346),
    [sym__filetest] = ACTIONS(2346),
  },
  [979] = {
    [sym_heredoc_content] = STATE(979),
    [ts_builtin_sym_end] = ACTIONS(2350),
    [sym__identifier] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym_package] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2352),
    [anon_sym_role] = ACTIONS(2352),
    [anon_sym_BUILD] = ACTIONS(2352),
    [anon_sym_ADJUST] = ACTIONS(2352),
    [anon_sym_DOLLAR] = ACTIONS(2352),
    [anon_sym_AT] = ACTIONS(2352),
    [anon_sym_my] = ACTIONS(2352),
    [anon_sym_extended] = ACTIONS(2352),
    [anon_sym_async] = ACTIONS(2352),
    [anon_sym_sub] = ACTIONS(2352),
    [anon_sym_method] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_state] = ACTIONS(2352),
    [anon_sym_our] = ACTIONS(2352),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_defer] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_LT_LT] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_BSLASH] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_eval] = ACTIONS(2352),
    [anon_sym_await] = ACTIONS(2352),
    [anon_sym_field] = ACTIONS(2352),
    [anon_sym_local] = ACTIONS(2352),
    [anon_sym_dynamically] = ACTIONS(2352),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2352),
    [anon_sym_require] = ACTIONS(2352),
    [anon_sym_map] = ACTIONS(2352),
    [anon_sym_grep] = ACTIONS(2352),
    [anon_sym_sort] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_undef] = ACTIONS(2352),
    [anon_sym_PERCENT2] = ACTIONS(2352),
    [anon_sym_AMP2] = ACTIONS(2352),
    [anon_sym_STAR2] = ACTIONS(2352),
    [anon_sym_use] = ACTIONS(2352),
    [anon_sym_no] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_foreach] = ACTIONS(2352),
    [anon_sym_last] = ACTIONS(2352),
    [anon_sym_next] = ACTIONS(2352),
    [anon_sym_redo] = ACTIONS(2352),
    [anon_sym_BEGIN] = ACTIONS(2352),
    [anon_sym_INIT] = ACTIONS(2352),
    [anon_sym_CHECK] = ACTIONS(2352),
    [anon_sym_UNITCHECK] = ACTIONS(2352),
    [anon_sym_END] = ACTIONS(2352),
    [anon_sym___FILE__] = ACTIONS(2352),
    [anon_sym___LINE__] = ACTIONS(2352),
    [anon_sym___PACKAGE__] = ACTIONS(2352),
    [anon_sym___SUB__] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_fork] = ACTIONS(2352),
    [anon_sym_getppid] = ACTIONS(2352),
    [anon_sym_time] = ACTIONS(2352),
    [anon_sym_times] = ACTIONS(2352),
    [anon_sym_wait] = ACTIONS(2352),
    [anon_sym_wantarray] = ACTIONS(2352),
    [anon_sym_abs] = ACTIONS(2352),
    [anon_sym_alarm] = ACTIONS(2352),
    [anon_sym_chop] = ACTIONS(2352),
    [anon_sym_chdir] = ACTIONS(2352),
    [anon_sym_close] = ACTIONS(2352),
    [anon_sym_closedir] = ACTIONS(2352),
    [anon_sym_caller] = ACTIONS(2352),
    [anon_sym_chomp] = ACTIONS(2352),
    [anon_sym_chr] = ACTIONS(2352),
    [anon_sym_cos] = ACTIONS(2352),
    [anon_sym_chroot] = ACTIONS(2352),
    [anon_sym_defined] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_dbmclose] = ACTIONS(2352),
    [anon_sym_exists] = ACTIONS(2352),
    [anon_sym_exit] = ACTIONS(2352),
    [anon_sym_eof] = ACTIONS(2352),
    [anon_sym_exp] = ACTIONS(2352),
    [anon_sym_each] = ACTIONS(2352),
    [anon_sym_fc] = ACTIONS(2352),
    [anon_sym_fileno] = ACTIONS(2352),
    [anon_sym_gmtime] = ACTIONS(2352),
    [anon_sym_getc] = ACTIONS(2352),
    [anon_sym_getpgrp] = ACTIONS(2352),
    [anon_sym_getprotobyname] = ACTIONS(2352),
    [anon_sym_getpwname] = ACTIONS(2352),
    [anon_sym_getpwuid] = ACTIONS(2352),
    [anon_sym_getpeername] = ACTIONS(2352),
    [anon_sym_getnetbyname] = ACTIONS(2352),
    [anon_sym_getsockname] = ACTIONS(2352),
    [anon_sym_getgrnam] = ACTIONS(2352),
    [anon_sym_getgrgid] = ACTIONS(2352),
    [anon_sym_hex] = ACTIONS(2352),
    [anon_sym_int] = ACTIONS(2352),
    [anon_sym_keys] = ACTIONS(2352),
    [anon_sym_lc] = ACTIONS(2352),
    [anon_sym_lcfirst] = ACTIONS(2352),
    [anon_sym_length] = ACTIONS(2352),
    [anon_sym_localtime] = ACTIONS(2352),
    [anon_sym_log] = ACTIONS(2352),
    [anon_sym_lock] = ACTIONS(2352),
    [anon_sym_lstat] = ACTIONS(2352),
    [anon_sym_oct] = ACTIONS(2352),
    [anon_sym_ord] = ACTIONS(2352),
    [anon_sym_prototype] = ACTIONS(2352),
    [anon_sym_pop] = ACTIONS(2352),
    [anon_sym_pos] = ACTIONS(2352),
    [anon_sym_quotemeta] = ACTIONS(2352),
    [anon_sym_reset] = ACTIONS(2352),
    [anon_sym_rand] = ACTIONS(2352),
    [anon_sym_rmdir] = ACTIONS(2352),
    [anon_sym_readdir] = ACTIONS(2352),
    [anon_sym_readline] = ACTIONS(2352),
    [anon_sym_readpipe] = ACTIONS(2352),
    [anon_sym_rewinddir] = ACTIONS(2352),
    [anon_sym_readlink] = ACTIONS(2352),
    [anon_sym_ref] = ACTIONS(2352),
    [anon_sym_scalar] = ACTIONS(2352),
    [anon_sym_shift] = ACTIONS(2352),
    [anon_sym_sin] = ACTIONS(2352),
    [anon_sym_sleep] = ACTIONS(2352),
    [anon_sym_sqrt] = ACTIONS(2352),
    [anon_sym_srand] = ACTIONS(2352),
    [anon_sym_stat] = ACTIONS(2352),
    [anon_sym_study] = ACTIONS(2352),
    [anon_sym_tell] = ACTIONS(2352),
    [anon_sym_telldir] = ACTIONS(2352),
    [anon_sym_tied] = ACTIONS(2352),
    [anon_sym_uc] = ACTIONS(2352),
    [anon_sym_ucfirst] = ACTIONS(2352),
    [anon_sym_untie] = ACTIONS(2352),
    [anon_sym_umask] = ACTIONS(2352),
    [anon_sym_values] = ACTIONS(2352),
    [anon_sym_write] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2352),
    [anon_sym___END__] = ACTIONS(2352),
    [anon_sym_EOT] = ACTIONS(2352),
    [anon_sym_q] = ACTIONS(2352),
    [anon_sym_qq] = ACTIONS(2352),
    [anon_sym_qw] = ACTIONS(2352),
    [anon_sym_qx] = ACTIONS(2352),
    [anon_sym_qr] = ACTIONS(2352),
    [anon_sym_m] = ACTIONS(2352),
    [anon_sym_s] = ACTIONS(2352),
    [anon_sym_tr] = ACTIONS(2352),
    [anon_sym_y] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_unless] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_until] = ACTIONS(2352),
    [aux_sym__bareword_token1] = ACTIONS(2352),
    [sym_number] = ACTIONS(2352),
    [anon_sym_true] = ACTIONS(2352),
    [anon_sym_false] = ACTIONS(2352),
    [sym__single_quote] = ACTIONS(2350),
    [sym__double_quote] = ACTIONS(2350),
    [sym__backtick_quote] = ACTIONS(2350),
    [sym__search_slash_quote] = ACTIONS(2350),
    [sym__open_readline_bracket] = ACTIONS(2350),
    [sym__open_fileglob_bracket] = ACTIONS(2350),
    [sym__PERLY_HEREDOC] = ACTIONS(2350),
    [sym__ctrl_z_hack] = ACTIONS(2350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2350),
    [sym__filetest] = ACTIONS(2350),
  },
  [980] = {
    [sym_heredoc_content] = STATE(980),
    [ts_builtin_sym_end] = ACTIONS(2354),
    [sym__identifier] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_package] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2356),
    [anon_sym_role] = ACTIONS(2356),
    [anon_sym_BUILD] = ACTIONS(2356),
    [anon_sym_ADJUST] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2356),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_my] = ACTIONS(2356),
    [anon_sym_extended] = ACTIONS(2356),
    [anon_sym_async] = ACTIONS(2356),
    [anon_sym_sub] = ACTIONS(2356),
    [anon_sym_method] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_state] = ACTIONS(2356),
    [anon_sym_our] = ACTIONS(2356),
    [anon_sym_try] = ACTIONS(2356),
    [anon_sym_defer] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_BSLASH] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_eval] = ACTIONS(2356),
    [anon_sym_await] = ACTIONS(2356),
    [anon_sym_field] = ACTIONS(2356),
    [anon_sym_local] = ACTIONS(2356),
    [anon_sym_dynamically] = ACTIONS(2356),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2356),
    [anon_sym_require] = ACTIONS(2356),
    [anon_sym_map] = ACTIONS(2356),
    [anon_sym_grep] = ACTIONS(2356),
    [anon_sym_sort] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_undef] = ACTIONS(2356),
    [anon_sym_PERCENT2] = ACTIONS(2356),
    [anon_sym_AMP2] = ACTIONS(2356),
    [anon_sym_STAR2] = ACTIONS(2356),
    [anon_sym_use] = ACTIONS(2356),
    [anon_sym_no] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_foreach] = ACTIONS(2356),
    [anon_sym_last] = ACTIONS(2356),
    [anon_sym_next] = ACTIONS(2356),
    [anon_sym_redo] = ACTIONS(2356),
    [anon_sym_BEGIN] = ACTIONS(2356),
    [anon_sym_INIT] = ACTIONS(2356),
    [anon_sym_CHECK] = ACTIONS(2356),
    [anon_sym_UNITCHECK] = ACTIONS(2356),
    [anon_sym_END] = ACTIONS(2356),
    [anon_sym___FILE__] = ACTIONS(2356),
    [anon_sym___LINE__] = ACTIONS(2356),
    [anon_sym___PACKAGE__] = ACTIONS(2356),
    [anon_sym___SUB__] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_fork] = ACTIONS(2356),
    [anon_sym_getppid] = ACTIONS(2356),
    [anon_sym_time] = ACTIONS(2356),
    [anon_sym_times] = ACTIONS(2356),
    [anon_sym_wait] = ACTIONS(2356),
    [anon_sym_wantarray] = ACTIONS(2356),
    [anon_sym_abs] = ACTIONS(2356),
    [anon_sym_alarm] = ACTIONS(2356),
    [anon_sym_chop] = ACTIONS(2356),
    [anon_sym_chdir] = ACTIONS(2356),
    [anon_sym_close] = ACTIONS(2356),
    [anon_sym_closedir] = ACTIONS(2356),
    [anon_sym_caller] = ACTIONS(2356),
    [anon_sym_chomp] = ACTIONS(2356),
    [anon_sym_chr] = ACTIONS(2356),
    [anon_sym_cos] = ACTIONS(2356),
    [anon_sym_chroot] = ACTIONS(2356),
    [anon_sym_defined] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_dbmclose] = ACTIONS(2356),
    [anon_sym_exists] = ACTIONS(2356),
    [anon_sym_exit] = ACTIONS(2356),
    [anon_sym_eof] = ACTIONS(2356),
    [anon_sym_exp] = ACTIONS(2356),
    [anon_sym_each] = ACTIONS(2356),
    [anon_sym_fc] = ACTIONS(2356),
    [anon_sym_fileno] = ACTIONS(2356),
    [anon_sym_gmtime] = ACTIONS(2356),
    [anon_sym_getc] = ACTIONS(2356),
    [anon_sym_getpgrp] = ACTIONS(2356),
    [anon_sym_getprotobyname] = ACTIONS(2356),
    [anon_sym_getpwname] = ACTIONS(2356),
    [anon_sym_getpwuid] = ACTIONS(2356),
    [anon_sym_getpeername] = ACTIONS(2356),
    [anon_sym_getnetbyname] = ACTIONS(2356),
    [anon_sym_getsockname] = ACTIONS(2356),
    [anon_sym_getgrnam] = ACTIONS(2356),
    [anon_sym_getgrgid] = ACTIONS(2356),
    [anon_sym_hex] = ACTIONS(2356),
    [anon_sym_int] = ACTIONS(2356),
    [anon_sym_keys] = ACTIONS(2356),
    [anon_sym_lc] = ACTIONS(2356),
    [anon_sym_lcfirst] = ACTIONS(2356),
    [anon_sym_length] = ACTIONS(2356),
    [anon_sym_localtime] = ACTIONS(2356),
    [anon_sym_log] = ACTIONS(2356),
    [anon_sym_lock] = ACTIONS(2356),
    [anon_sym_lstat] = ACTIONS(2356),
    [anon_sym_oct] = ACTIONS(2356),
    [anon_sym_ord] = ACTIONS(2356),
    [anon_sym_prototype] = ACTIONS(2356),
    [anon_sym_pop] = ACTIONS(2356),
    [anon_sym_pos] = ACTIONS(2356),
    [anon_sym_quotemeta] = ACTIONS(2356),
    [anon_sym_reset] = ACTIONS(2356),
    [anon_sym_rand] = ACTIONS(2356),
    [anon_sym_rmdir] = ACTIONS(2356),
    [anon_sym_readdir] = ACTIONS(2356),
    [anon_sym_readline] = ACTIONS(2356),
    [anon_sym_readpipe] = ACTIONS(2356),
    [anon_sym_rewinddir] = ACTIONS(2356),
    [anon_sym_readlink] = ACTIONS(2356),
    [anon_sym_ref] = ACTIONS(2356),
    [anon_sym_scalar] = ACTIONS(2356),
    [anon_sym_shift] = ACTIONS(2356),
    [anon_sym_sin] = ACTIONS(2356),
    [anon_sym_sleep] = ACTIONS(2356),
    [anon_sym_sqrt] = ACTIONS(2356),
    [anon_sym_srand] = ACTIONS(2356),
    [anon_sym_stat] = ACTIONS(2356),
    [anon_sym_study] = ACTIONS(2356),
    [anon_sym_tell] = ACTIONS(2356),
    [anon_sym_telldir] = ACTIONS(2356),
    [anon_sym_tied] = ACTIONS(2356),
    [anon_sym_uc] = ACTIONS(2356),
    [anon_sym_ucfirst] = ACTIONS(2356),
    [anon_sym_untie] = ACTIONS(2356),
    [anon_sym_umask] = ACTIONS(2356),
    [anon_sym_values] = ACTIONS(2356),
    [anon_sym_write] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2356),
    [anon_sym___END__] = ACTIONS(2356),
    [anon_sym_EOT] = ACTIONS(2356),
    [anon_sym_q] = ACTIONS(2356),
    [anon_sym_qq] = ACTIONS(2356),
    [anon_sym_qw] = ACTIONS(2356),
    [anon_sym_qx] = ACTIONS(2356),
    [anon_sym_qr] = ACTIONS(2356),
    [anon_sym_m] = ACTIONS(2356),
    [anon_sym_s] = ACTIONS(2356),
    [anon_sym_tr] = ACTIONS(2356),
    [anon_sym_y] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_unless] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_until] = ACTIONS(2356),
    [aux_sym__bareword_token1] = ACTIONS(2356),
    [sym_number] = ACTIONS(2356),
    [anon_sym_true] = ACTIONS(2356),
    [anon_sym_false] = ACTIONS(2356),
    [sym__single_quote] = ACTIONS(2354),
    [sym__double_quote] = ACTIONS(2354),
    [sym__backtick_quote] = ACTIONS(2354),
    [sym__search_slash_quote] = ACTIONS(2354),
    [sym__open_readline_bracket] = ACTIONS(2354),
    [sym__open_fileglob_bracket] = ACTIONS(2354),
    [sym__PERLY_HEREDOC] = ACTIONS(2354),
    [sym__ctrl_z_hack] = ACTIONS(2354),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2354),
    [sym__filetest] = ACTIONS(2354),
  },
  [981] = {
    [sym_heredoc_content] = STATE(981),
    [ts_builtin_sym_end] = ACTIONS(2358),
    [sym__identifier] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_package] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_role] = ACTIONS(2360),
    [anon_sym_BUILD] = ACTIONS(2360),
    [anon_sym_ADJUST] = ACTIONS(2360),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_my] = ACTIONS(2360),
    [anon_sym_extended] = ACTIONS(2360),
    [anon_sym_async] = ACTIONS(2360),
    [anon_sym_sub] = ACTIONS(2360),
    [anon_sym_method] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_state] = ACTIONS(2360),
    [anon_sym_our] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_defer] = ACTIONS(2360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_TILDE] = ACTIONS(2360),
    [anon_sym_BANG] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_BSLASH] = ACTIONS(2358),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_eval] = ACTIONS(2360),
    [anon_sym_await] = ACTIONS(2360),
    [anon_sym_field] = ACTIONS(2360),
    [anon_sym_local] = ACTIONS(2360),
    [anon_sym_dynamically] = ACTIONS(2360),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2360),
    [anon_sym_require] = ACTIONS(2360),
    [anon_sym_map] = ACTIONS(2360),
    [anon_sym_grep] = ACTIONS(2360),
    [anon_sym_sort] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_undef] = ACTIONS(2360),
    [anon_sym_PERCENT2] = ACTIONS(2360),
    [anon_sym_AMP2] = ACTIONS(2360),
    [anon_sym_STAR2] = ACTIONS(2360),
    [anon_sym_use] = ACTIONS(2360),
    [anon_sym_no] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_foreach] = ACTIONS(2360),
    [anon_sym_last] = ACTIONS(2360),
    [anon_sym_next] = ACTIONS(2360),
    [anon_sym_redo] = ACTIONS(2360),
    [anon_sym_BEGIN] = ACTIONS(2360),
    [anon_sym_INIT] = ACTIONS(2360),
    [anon_sym_CHECK] = ACTIONS(2360),
    [anon_sym_UNITCHECK] = ACTIONS(2360),
    [anon_sym_END] = ACTIONS(2360),
    [anon_sym___FILE__] = ACTIONS(2360),
    [anon_sym___LINE__] = ACTIONS(2360),
    [anon_sym___PACKAGE__] = ACTIONS(2360),
    [anon_sym___SUB__] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_fork] = ACTIONS(2360),
    [anon_sym_getppid] = ACTIONS(2360),
    [anon_sym_time] = ACTIONS(2360),
    [anon_sym_times] = ACTIONS(2360),
    [anon_sym_wait] = ACTIONS(2360),
    [anon_sym_wantarray] = ACTIONS(2360),
    [anon_sym_abs] = ACTIONS(2360),
    [anon_sym_alarm] = ACTIONS(2360),
    [anon_sym_chop] = ACTIONS(2360),
    [anon_sym_chdir] = ACTIONS(2360),
    [anon_sym_close] = ACTIONS(2360),
    [anon_sym_closedir] = ACTIONS(2360),
    [anon_sym_caller] = ACTIONS(2360),
    [anon_sym_chomp] = ACTIONS(2360),
    [anon_sym_chr] = ACTIONS(2360),
    [anon_sym_cos] = ACTIONS(2360),
    [anon_sym_chroot] = ACTIONS(2360),
    [anon_sym_defined] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_dbmclose] = ACTIONS(2360),
    [anon_sym_exists] = ACTIONS(2360),
    [anon_sym_exit] = ACTIONS(2360),
    [anon_sym_eof] = ACTIONS(2360),
    [anon_sym_exp] = ACTIONS(2360),
    [anon_sym_each] = ACTIONS(2360),
    [anon_sym_fc] = ACTIONS(2360),
    [anon_sym_fileno] = ACTIONS(2360),
    [anon_sym_gmtime] = ACTIONS(2360),
    [anon_sym_getc] = ACTIONS(2360),
    [anon_sym_getpgrp] = ACTIONS(2360),
    [anon_sym_getprotobyname] = ACTIONS(2360),
    [anon_sym_getpwname] = ACTIONS(2360),
    [anon_sym_getpwuid] = ACTIONS(2360),
    [anon_sym_getpeername] = ACTIONS(2360),
    [anon_sym_getnetbyname] = ACTIONS(2360),
    [anon_sym_getsockname] = ACTIONS(2360),
    [anon_sym_getgrnam] = ACTIONS(2360),
    [anon_sym_getgrgid] = ACTIONS(2360),
    [anon_sym_hex] = ACTIONS(2360),
    [anon_sym_int] = ACTIONS(2360),
    [anon_sym_keys] = ACTIONS(2360),
    [anon_sym_lc] = ACTIONS(2360),
    [anon_sym_lcfirst] = ACTIONS(2360),
    [anon_sym_length] = ACTIONS(2360),
    [anon_sym_localtime] = ACTIONS(2360),
    [anon_sym_log] = ACTIONS(2360),
    [anon_sym_lock] = ACTIONS(2360),
    [anon_sym_lstat] = ACTIONS(2360),
    [anon_sym_oct] = ACTIONS(2360),
    [anon_sym_ord] = ACTIONS(2360),
    [anon_sym_prototype] = ACTIONS(2360),
    [anon_sym_pop] = ACTIONS(2360),
    [anon_sym_pos] = ACTIONS(2360),
    [anon_sym_quotemeta] = ACTIONS(2360),
    [anon_sym_reset] = ACTIONS(2360),
    [anon_sym_rand] = ACTIONS(2360),
    [anon_sym_rmdir] = ACTIONS(2360),
    [anon_sym_readdir] = ACTIONS(2360),
    [anon_sym_readline] = ACTIONS(2360),
    [anon_sym_readpipe] = ACTIONS(2360),
    [anon_sym_rewinddir] = ACTIONS(2360),
    [anon_sym_readlink] = ACTIONS(2360),
    [anon_sym_ref] = ACTIONS(2360),
    [anon_sym_scalar] = ACTIONS(2360),
    [anon_sym_shift] = ACTIONS(2360),
    [anon_sym_sin] = ACTIONS(2360),
    [anon_sym_sleep] = ACTIONS(2360),
    [anon_sym_sqrt] = ACTIONS(2360),
    [anon_sym_srand] = ACTIONS(2360),
    [anon_sym_stat] = ACTIONS(2360),
    [anon_sym_study] = ACTIONS(2360),
    [anon_sym_tell] = ACTIONS(2360),
    [anon_sym_telldir] = ACTIONS(2360),
    [anon_sym_tied] = ACTIONS(2360),
    [anon_sym_uc] = ACTIONS(2360),
    [anon_sym_ucfirst] = ACTIONS(2360),
    [anon_sym_untie] = ACTIONS(2360),
    [anon_sym_umask] = ACTIONS(2360),
    [anon_sym_values] = ACTIONS(2360),
    [anon_sym_write] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2360),
    [anon_sym___END__] = ACTIONS(2360),
    [anon_sym_EOT] = ACTIONS(2360),
    [anon_sym_q] = ACTIONS(2360),
    [anon_sym_qq] = ACTIONS(2360),
    [anon_sym_qw] = ACTIONS(2360),
    [anon_sym_qx] = ACTIONS(2360),
    [anon_sym_qr] = ACTIONS(2360),
    [anon_sym_m] = ACTIONS(2360),
    [anon_sym_s] = ACTIONS(2360),
    [anon_sym_tr] = ACTIONS(2360),
    [anon_sym_y] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_unless] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_until] = ACTIONS(2360),
    [aux_sym__bareword_token1] = ACTIONS(2360),
    [sym_number] = ACTIONS(2360),
    [anon_sym_true] = ACTIONS(2360),
    [anon_sym_false] = ACTIONS(2360),
    [sym__single_quote] = ACTIONS(2358),
    [sym__double_quote] = ACTIONS(2358),
    [sym__backtick_quote] = ACTIONS(2358),
    [sym__search_slash_quote] = ACTIONS(2358),
    [sym__open_readline_bracket] = ACTIONS(2358),
    [sym__open_fileglob_bracket] = ACTIONS(2358),
    [sym__PERLY_HEREDOC] = ACTIONS(2358),
    [sym__ctrl_z_hack] = ACTIONS(2358),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2358),
    [sym__filetest] = ACTIONS(2358),
  },
  [982] = {
    [sym_heredoc_content] = STATE(982),
    [ts_builtin_sym_end] = ACTIONS(2362),
    [sym__identifier] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2364),
    [anon_sym_package] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_role] = ACTIONS(2364),
    [anon_sym_BUILD] = ACTIONS(2364),
    [anon_sym_ADJUST] = ACTIONS(2364),
    [anon_sym_DOLLAR] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_my] = ACTIONS(2364),
    [anon_sym_extended] = ACTIONS(2364),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_sub] = ACTIONS(2364),
    [anon_sym_method] = ACTIONS(2364),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_state] = ACTIONS(2364),
    [anon_sym_our] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_defer] = ACTIONS(2364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_SLASH_SLASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2364),
    [anon_sym_BSLASH] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_eval] = ACTIONS(2364),
    [anon_sym_await] = ACTIONS(2364),
    [anon_sym_field] = ACTIONS(2364),
    [anon_sym_local] = ACTIONS(2364),
    [anon_sym_dynamically] = ACTIONS(2364),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2364),
    [anon_sym_require] = ACTIONS(2364),
    [anon_sym_map] = ACTIONS(2364),
    [anon_sym_grep] = ACTIONS(2364),
    [anon_sym_sort] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_undef] = ACTIONS(2364),
    [anon_sym_PERCENT2] = ACTIONS(2364),
    [anon_sym_AMP2] = ACTIONS(2364),
    [anon_sym_STAR2] = ACTIONS(2364),
    [anon_sym_use] = ACTIONS(2364),
    [anon_sym_no] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_foreach] = ACTIONS(2364),
    [anon_sym_last] = ACTIONS(2364),
    [anon_sym_next] = ACTIONS(2364),
    [anon_sym_redo] = ACTIONS(2364),
    [anon_sym_BEGIN] = ACTIONS(2364),
    [anon_sym_INIT] = ACTIONS(2364),
    [anon_sym_CHECK] = ACTIONS(2364),
    [anon_sym_UNITCHECK] = ACTIONS(2364),
    [anon_sym_END] = ACTIONS(2364),
    [anon_sym___FILE__] = ACTIONS(2364),
    [anon_sym___LINE__] = ACTIONS(2364),
    [anon_sym___PACKAGE__] = ACTIONS(2364),
    [anon_sym___SUB__] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_fork] = ACTIONS(2364),
    [anon_sym_getppid] = ACTIONS(2364),
    [anon_sym_time] = ACTIONS(2364),
    [anon_sym_times] = ACTIONS(2364),
    [anon_sym_wait] = ACTIONS(2364),
    [anon_sym_wantarray] = ACTIONS(2364),
    [anon_sym_abs] = ACTIONS(2364),
    [anon_sym_alarm] = ACTIONS(2364),
    [anon_sym_chop] = ACTIONS(2364),
    [anon_sym_chdir] = ACTIONS(2364),
    [anon_sym_close] = ACTIONS(2364),
    [anon_sym_closedir] = ACTIONS(2364),
    [anon_sym_caller] = ACTIONS(2364),
    [anon_sym_chomp] = ACTIONS(2364),
    [anon_sym_chr] = ACTIONS(2364),
    [anon_sym_cos] = ACTIONS(2364),
    [anon_sym_chroot] = ACTIONS(2364),
    [anon_sym_defined] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_dbmclose] = ACTIONS(2364),
    [anon_sym_exists] = ACTIONS(2364),
    [anon_sym_exit] = ACTIONS(2364),
    [anon_sym_eof] = ACTIONS(2364),
    [anon_sym_exp] = ACTIONS(2364),
    [anon_sym_each] = ACTIONS(2364),
    [anon_sym_fc] = ACTIONS(2364),
    [anon_sym_fileno] = ACTIONS(2364),
    [anon_sym_gmtime] = ACTIONS(2364),
    [anon_sym_getc] = ACTIONS(2364),
    [anon_sym_getpgrp] = ACTIONS(2364),
    [anon_sym_getprotobyname] = ACTIONS(2364),
    [anon_sym_getpwname] = ACTIONS(2364),
    [anon_sym_getpwuid] = ACTIONS(2364),
    [anon_sym_getpeername] = ACTIONS(2364),
    [anon_sym_getnetbyname] = ACTIONS(2364),
    [anon_sym_getsockname] = ACTIONS(2364),
    [anon_sym_getgrnam] = ACTIONS(2364),
    [anon_sym_getgrgid] = ACTIONS(2364),
    [anon_sym_hex] = ACTIONS(2364),
    [anon_sym_int] = ACTIONS(2364),
    [anon_sym_keys] = ACTIONS(2364),
    [anon_sym_lc] = ACTIONS(2364),
    [anon_sym_lcfirst] = ACTIONS(2364),
    [anon_sym_length] = ACTIONS(2364),
    [anon_sym_localtime] = ACTIONS(2364),
    [anon_sym_log] = ACTIONS(2364),
    [anon_sym_lock] = ACTIONS(2364),
    [anon_sym_lstat] = ACTIONS(2364),
    [anon_sym_oct] = ACTIONS(2364),
    [anon_sym_ord] = ACTIONS(2364),
    [anon_sym_prototype] = ACTIONS(2364),
    [anon_sym_pop] = ACTIONS(2364),
    [anon_sym_pos] = ACTIONS(2364),
    [anon_sym_quotemeta] = ACTIONS(2364),
    [anon_sym_reset] = ACTIONS(2364),
    [anon_sym_rand] = ACTIONS(2364),
    [anon_sym_rmdir] = ACTIONS(2364),
    [anon_sym_readdir] = ACTIONS(2364),
    [anon_sym_readline] = ACTIONS(2364),
    [anon_sym_readpipe] = ACTIONS(2364),
    [anon_sym_rewinddir] = ACTIONS(2364),
    [anon_sym_readlink] = ACTIONS(2364),
    [anon_sym_ref] = ACTIONS(2364),
    [anon_sym_scalar] = ACTIONS(2364),
    [anon_sym_shift] = ACTIONS(2364),
    [anon_sym_sin] = ACTIONS(2364),
    [anon_sym_sleep] = ACTIONS(2364),
    [anon_sym_sqrt] = ACTIONS(2364),
    [anon_sym_srand] = ACTIONS(2364),
    [anon_sym_stat] = ACTIONS(2364),
    [anon_sym_study] = ACTIONS(2364),
    [anon_sym_tell] = ACTIONS(2364),
    [anon_sym_telldir] = ACTIONS(2364),
    [anon_sym_tied] = ACTIONS(2364),
    [anon_sym_uc] = ACTIONS(2364),
    [anon_sym_ucfirst] = ACTIONS(2364),
    [anon_sym_untie] = ACTIONS(2364),
    [anon_sym_umask] = ACTIONS(2364),
    [anon_sym_values] = ACTIONS(2364),
    [anon_sym_write] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2364),
    [anon_sym___END__] = ACTIONS(2364),
    [anon_sym_EOT] = ACTIONS(2364),
    [anon_sym_q] = ACTIONS(2364),
    [anon_sym_qq] = ACTIONS(2364),
    [anon_sym_qw] = ACTIONS(2364),
    [anon_sym_qx] = ACTIONS(2364),
    [anon_sym_qr] = ACTIONS(2364),
    [anon_sym_m] = ACTIONS(2364),
    [anon_sym_s] = ACTIONS(2364),
    [anon_sym_tr] = ACTIONS(2364),
    [anon_sym_y] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_unless] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_until] = ACTIONS(2364),
    [aux_sym__bareword_token1] = ACTIONS(2364),
    [sym_number] = ACTIONS(2364),
    [anon_sym_true] = ACTIONS(2364),
    [anon_sym_false] = ACTIONS(2364),
    [sym__single_quote] = ACTIONS(2362),
    [sym__double_quote] = ACTIONS(2362),
    [sym__backtick_quote] = ACTIONS(2362),
    [sym__search_slash_quote] = ACTIONS(2362),
    [sym__open_readline_bracket] = ACTIONS(2362),
    [sym__open_fileglob_bracket] = ACTIONS(2362),
    [sym__PERLY_HEREDOC] = ACTIONS(2362),
    [sym__ctrl_z_hack] = ACTIONS(2362),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2362),
    [sym__filetest] = ACTIONS(2362),
  },
  [983] = {
    [sym_heredoc_content] = STATE(983),
    [ts_builtin_sym_end] = ACTIONS(2366),
    [sym__identifier] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym_package] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_role] = ACTIONS(2368),
    [anon_sym_BUILD] = ACTIONS(2368),
    [anon_sym_ADJUST] = ACTIONS(2368),
    [anon_sym_DOLLAR] = ACTIONS(2368),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_my] = ACTIONS(2368),
    [anon_sym_extended] = ACTIONS(2368),
    [anon_sym_async] = ACTIONS(2368),
    [anon_sym_sub] = ACTIONS(2368),
    [anon_sym_method] = ACTIONS(2368),
    [anon_sym_LPAREN] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_state] = ACTIONS(2368),
    [anon_sym_our] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_defer] = ACTIONS(2368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_LT_LT] = ACTIONS(2368),
    [anon_sym_SLASH_SLASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_BSLASH] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_eval] = ACTIONS(2368),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_field] = ACTIONS(2368),
    [anon_sym_local] = ACTIONS(2368),
    [anon_sym_dynamically] = ACTIONS(2368),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2368),
    [anon_sym_require] = ACTIONS(2368),
    [anon_sym_map] = ACTIONS(2368),
    [anon_sym_grep] = ACTIONS(2368),
    [anon_sym_sort] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_undef] = ACTIONS(2368),
    [anon_sym_PERCENT2] = ACTIONS(2368),
    [anon_sym_AMP2] = ACTIONS(2368),
    [anon_sym_STAR2] = ACTIONS(2368),
    [anon_sym_use] = ACTIONS(2368),
    [anon_sym_no] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_foreach] = ACTIONS(2368),
    [anon_sym_last] = ACTIONS(2368),
    [anon_sym_next] = ACTIONS(2368),
    [anon_sym_redo] = ACTIONS(2368),
    [anon_sym_BEGIN] = ACTIONS(2368),
    [anon_sym_INIT] = ACTIONS(2368),
    [anon_sym_CHECK] = ACTIONS(2368),
    [anon_sym_UNITCHECK] = ACTIONS(2368),
    [anon_sym_END] = ACTIONS(2368),
    [anon_sym___FILE__] = ACTIONS(2368),
    [anon_sym___LINE__] = ACTIONS(2368),
    [anon_sym___PACKAGE__] = ACTIONS(2368),
    [anon_sym___SUB__] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_fork] = ACTIONS(2368),
    [anon_sym_getppid] = ACTIONS(2368),
    [anon_sym_time] = ACTIONS(2368),
    [anon_sym_times] = ACTIONS(2368),
    [anon_sym_wait] = ACTIONS(2368),
    [anon_sym_wantarray] = ACTIONS(2368),
    [anon_sym_abs] = ACTIONS(2368),
    [anon_sym_alarm] = ACTIONS(2368),
    [anon_sym_chop] = ACTIONS(2368),
    [anon_sym_chdir] = ACTIONS(2368),
    [anon_sym_close] = ACTIONS(2368),
    [anon_sym_closedir] = ACTIONS(2368),
    [anon_sym_caller] = ACTIONS(2368),
    [anon_sym_chomp] = ACTIONS(2368),
    [anon_sym_chr] = ACTIONS(2368),
    [anon_sym_cos] = ACTIONS(2368),
    [anon_sym_chroot] = ACTIONS(2368),
    [anon_sym_defined] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_dbmclose] = ACTIONS(2368),
    [anon_sym_exists] = ACTIONS(2368),
    [anon_sym_exit] = ACTIONS(2368),
    [anon_sym_eof] = ACTIONS(2368),
    [anon_sym_exp] = ACTIONS(2368),
    [anon_sym_each] = ACTIONS(2368),
    [anon_sym_fc] = ACTIONS(2368),
    [anon_sym_fileno] = ACTIONS(2368),
    [anon_sym_gmtime] = ACTIONS(2368),
    [anon_sym_getc] = ACTIONS(2368),
    [anon_sym_getpgrp] = ACTIONS(2368),
    [anon_sym_getprotobyname] = ACTIONS(2368),
    [anon_sym_getpwname] = ACTIONS(2368),
    [anon_sym_getpwuid] = ACTIONS(2368),
    [anon_sym_getpeername] = ACTIONS(2368),
    [anon_sym_getnetbyname] = ACTIONS(2368),
    [anon_sym_getsockname] = ACTIONS(2368),
    [anon_sym_getgrnam] = ACTIONS(2368),
    [anon_sym_getgrgid] = ACTIONS(2368),
    [anon_sym_hex] = ACTIONS(2368),
    [anon_sym_int] = ACTIONS(2368),
    [anon_sym_keys] = ACTIONS(2368),
    [anon_sym_lc] = ACTIONS(2368),
    [anon_sym_lcfirst] = ACTIONS(2368),
    [anon_sym_length] = ACTIONS(2368),
    [anon_sym_localtime] = ACTIONS(2368),
    [anon_sym_log] = ACTIONS(2368),
    [anon_sym_lock] = ACTIONS(2368),
    [anon_sym_lstat] = ACTIONS(2368),
    [anon_sym_oct] = ACTIONS(2368),
    [anon_sym_ord] = ACTIONS(2368),
    [anon_sym_prototype] = ACTIONS(2368),
    [anon_sym_pop] = ACTIONS(2368),
    [anon_sym_pos] = ACTIONS(2368),
    [anon_sym_quotemeta] = ACTIONS(2368),
    [anon_sym_reset] = ACTIONS(2368),
    [anon_sym_rand] = ACTIONS(2368),
    [anon_sym_rmdir] = ACTIONS(2368),
    [anon_sym_readdir] = ACTIONS(2368),
    [anon_sym_readline] = ACTIONS(2368),
    [anon_sym_readpipe] = ACTIONS(2368),
    [anon_sym_rewinddir] = ACTIONS(2368),
    [anon_sym_readlink] = ACTIONS(2368),
    [anon_sym_ref] = ACTIONS(2368),
    [anon_sym_scalar] = ACTIONS(2368),
    [anon_sym_shift] = ACTIONS(2368),
    [anon_sym_sin] = ACTIONS(2368),
    [anon_sym_sleep] = ACTIONS(2368),
    [anon_sym_sqrt] = ACTIONS(2368),
    [anon_sym_srand] = ACTIONS(2368),
    [anon_sym_stat] = ACTIONS(2368),
    [anon_sym_study] = ACTIONS(2368),
    [anon_sym_tell] = ACTIONS(2368),
    [anon_sym_telldir] = ACTIONS(2368),
    [anon_sym_tied] = ACTIONS(2368),
    [anon_sym_uc] = ACTIONS(2368),
    [anon_sym_ucfirst] = ACTIONS(2368),
    [anon_sym_untie] = ACTIONS(2368),
    [anon_sym_umask] = ACTIONS(2368),
    [anon_sym_values] = ACTIONS(2368),
    [anon_sym_write] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym___DATA__] = ACTIONS(2368),
    [anon_sym___END__] = ACTIONS(2368),
    [anon_sym_EOT] = ACTIONS(2368),
    [anon_sym_q] = ACTIONS(2368),
    [anon_sym_qq] = ACTIONS(2368),
    [anon_sym_qw] = ACTIONS(2368),
    [anon_sym_qx] = ACTIONS(2368),
    [anon_sym_qr] = ACTIONS(2368),
    [anon_sym_m] = ACTIONS(2368),
    [anon_sym_s] = ACTIONS(2368),
    [anon_sym_tr] = ACTIONS(2368),
    [anon_sym_y] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_unless] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_until] = ACTIONS(2368),
    [aux_sym__bareword_token1] = ACTIONS(2368),
    [sym_number] = ACTIONS(2368),
    [anon_sym_true] = ACTIONS(2368),
    [anon_sym_false] = ACTIONS(2368),
    [sym__single_quote] = ACTIONS(2366),
    [sym__double_quote] = ACTIONS(2366),
    [sym__backtick_quote] = ACTIONS(2366),
    [sym__search_slash_quote] = ACTIONS(2366),
    [sym__open_readline_bracket] = ACTIONS(2366),
    [sym__open_fileglob_bracket] = ACTIONS(2366),
    [sym__PERLY_HEREDOC] = ACTIONS(2366),
    [sym__ctrl_z_hack] = ACTIONS(2366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2366),
    [sym__filetest] = ACTIONS(2366),
  },
  [984] = {
    [sym_heredoc_content] = STATE(984),
    [sym__identifier] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_package] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_role] = ACTIONS(2370),
    [anon_sym_BUILD] = ACTIONS(2370),
    [anon_sym_ADJUST] = ACTIONS(2370),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_my] = ACTIONS(2370),
    [anon_sym_extended] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_sub] = ACTIONS(2370),
    [anon_sym_method] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_state] = ACTIONS(2370),
    [anon_sym_our] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_defer] = ACTIONS(2370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_BSLASH] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_eval] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_field] = ACTIONS(2370),
    [anon_sym_local] = ACTIONS(2370),
    [anon_sym_dynamically] = ACTIONS(2370),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2370),
    [anon_sym_require] = ACTIONS(2370),
    [anon_sym_map] = ACTIONS(2370),
    [anon_sym_grep] = ACTIONS(2370),
    [anon_sym_sort] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_undef] = ACTIONS(2370),
    [anon_sym_PERCENT2] = ACTIONS(2370),
    [anon_sym_AMP2] = ACTIONS(2370),
    [anon_sym_STAR2] = ACTIONS(2370),
    [aux_sym__var_indirob_autoquote_token1] = ACTIONS(2370),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_no] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_foreach] = ACTIONS(2370),
    [anon_sym_last] = ACTIONS(2370),
    [anon_sym_next] = ACTIONS(2370),
    [anon_sym_redo] = ACTIONS(2370),
    [anon_sym_BEGIN] = ACTIONS(2370),
    [anon_sym_INIT] = ACTIONS(2370),
    [anon_sym_CHECK] = ACTIONS(2370),
    [anon_sym_UNITCHECK] = ACTIONS(2370),
    [anon_sym_END] = ACTIONS(2370),
    [anon_sym___FILE__] = ACTIONS(2370),
    [anon_sym___LINE__] = ACTIONS(2370),
    [anon_sym___PACKAGE__] = ACTIONS(2370),
    [anon_sym___SUB__] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_fork] = ACTIONS(2370),
    [anon_sym_getppid] = ACTIONS(2370),
    [anon_sym_time] = ACTIONS(2370),
    [anon_sym_times] = ACTIONS(2370),
    [anon_sym_wait] = ACTIONS(2370),
    [anon_sym_wantarray] = ACTIONS(2370),
    [anon_sym_abs] = ACTIONS(2370),
    [anon_sym_alarm] = ACTIONS(2370),
    [anon_sym_chop] = ACTIONS(2370),
    [anon_sym_chdir] = ACTIONS(2370),
    [anon_sym_close] = ACTIONS(2370),
    [anon_sym_closedir] = ACTIONS(2370),
    [anon_sym_caller] = ACTIONS(2370),
    [anon_sym_chomp] = ACTIONS(2370),
    [anon_sym_chr] = ACTIONS(2370),
    [anon_sym_cos] = ACTIONS(2370),
    [anon_sym_chroot] = ACTIONS(2370),
    [anon_sym_defined] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_dbmclose] = ACTIONS(2370),
    [anon_sym_exists] = ACTIONS(2370),
    [anon_sym_exit] = ACTIONS(2370),
    [anon_sym_eof] = ACTIONS(2370),
    [anon_sym_exp] = ACTIONS(2370),
    [anon_sym_each] = ACTIONS(2370),
    [anon_sym_fc] = ACTIONS(2370),
    [anon_sym_fileno] = ACTIONS(2370),
    [anon_sym_gmtime] = ACTIONS(2370),
    [anon_sym_getc] = ACTIONS(2370),
    [anon_sym_getpgrp] = ACTIONS(2370),
    [anon_sym_getprotobyname] = ACTIONS(2370),
    [anon_sym_getpwname] = ACTIONS(2370),
    [anon_sym_getpwuid] = ACTIONS(2370),
    [anon_sym_getpeername] = ACTIONS(2370),
    [anon_sym_getnetbyname] = ACTIONS(2370),
    [anon_sym_getsockname] = ACTIONS(2370),
    [anon_sym_getgrnam] = ACTIONS(2370),
    [anon_sym_getgrgid] = ACTIONS(2370),
    [anon_sym_hex] = ACTIONS(2370),
    [anon_sym_int] = ACTIONS(2370),
    [anon_sym_keys] = ACTIONS(2370),
    [anon_sym_lc] = ACTIONS(2370),
    [anon_sym_lcfirst] = ACTIONS(2370),
    [anon_sym_length] = ACTIONS(2370),
    [anon_sym_localtime] = ACTIONS(2370),
    [anon_sym_log] = ACTIONS(2370),
    [anon_sym_lock] = ACTIONS(2370),
    [anon_sym_lstat] = ACTIONS(2370),
    [anon_sym_oct] = ACTIONS(2370),
    [anon_sym_ord] = ACTIONS(2370),
    [anon_sym_prototype] = ACTIONS(2370),
    [anon_sym_pop] = ACTIONS(2370),
    [anon_sym_pos] = ACTIONS(2370),
    [anon_sym_quotemeta] = ACTIONS(2370),
    [anon_sym_reset] = ACTIONS(2370),
    [anon_sym_rand] = ACTIONS(2370),
    [anon_sym_rmdir] = ACTIONS(2370),
    [anon_sym_readdir] = ACTIONS(2370),
    [anon_sym_readline] = ACTIONS(2370),
    [anon_sym_readpipe] = ACTIONS(2370),
    [anon_sym_rewinddir] = ACTIONS(2370),
    [anon_sym_readlink] = ACTIONS(2370),
    [anon_sym_ref] = ACTIONS(2370),
    [anon_sym_scalar] = ACTIONS(2370),
    [anon_sym_shift] = ACTIONS(2370),
    [anon_sym_sin] = ACTIONS(2370),
    [anon_sym_sleep] = ACTIONS(2370),
    [anon_sym_sqrt] = ACTIONS(2370),
    [anon_sym_srand] = ACTIONS(2370),
    [anon_sym_stat] = ACTIONS(2370),
    [anon_sym_study] = ACTIONS(2370),
    [anon_sym_tell] = ACTIONS(2370),
    [anon_sym_telldir] = ACTIONS(2370),
    [anon_sym_tied] = ACTIONS(2370),
    [anon_sym_uc] = ACTIONS(2370),
    [anon_sym_ucfirst] = ACTIONS(2370),
    [anon_sym_untie] = ACTIONS(2370),
    [anon_sym_umask] = ACTIONS(2370),
    [anon_sym_values] = ACTIONS(2370),
    [anon_sym_write] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2370),
    [anon_sym_qq] = ACTIONS(2370),
    [anon_sym_qw] = ACTIONS(2370),
    [anon_sym_qx] = ACTIONS(2370),
    [anon_sym_qr] = ACTIONS(2370),
    [anon_sym_m] = ACTIONS(2370),
    [anon_sym_s] = ACTIONS(2370),
    [anon_sym_tr] = ACTIONS(2370),
    [anon_sym_y] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_unless] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_until] = ACTIONS(2370),
    [aux_sym__ident_special_token1] = ACTIONS(2370),
    [aux_sym__bareword_token1] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [anon_sym_true] = ACTIONS(2370),
    [anon_sym_false] = ACTIONS(2370),
    [sym__single_quote] = ACTIONS(2372),
    [sym__double_quote] = ACTIONS(2372),
    [sym__backtick_quote] = ACTIONS(2372),
    [sym__search_slash_quote] = ACTIONS(2372),
    [sym__open_readline_bracket] = ACTIONS(2372),
    [sym__open_fileglob_bracket] = ACTIONS(2372),
    [sym__PERLY_HEREDOC] = ACTIONS(2372),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2372),
    [sym__filetest] = ACTIONS(2372),
    [sym__brace_autoquoted_token] = ACTIONS(2372),
  },
  [985] = {
    [sym_heredoc_content] = STATE(985),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_catch] = ACTIONS(1707),
    [anon_sym_finally] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [986] = {
    [sym_heredoc_content] = STATE(986),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_else] = ACTIONS(1707),
    [anon_sym_elsif] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [987] = {
    [sym_heredoc_content] = STATE(987),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_package] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_role] = ACTIONS(1845),
    [anon_sym_BUILD] = ACTIONS(1845),
    [anon_sym_ADJUST] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_catch] = ACTIONS(1845),
    [anon_sym_finally] = ACTIONS(1845),
    [anon_sym_defer] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_use] = ACTIONS(1845),
    [anon_sym_no] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym_BEGIN] = ACTIONS(1845),
    [anon_sym_INIT] = ACTIONS(1845),
    [anon_sym_CHECK] = ACTIONS(1845),
    [anon_sym_UNITCHECK] = ACTIONS(1845),
    [anon_sym_END] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [988] = {
    [sym_heredoc_content] = STATE(988),
    [sym__identifier] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_RBRACE] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [anon_sym_package] = ACTIONS(1989),
    [anon_sym_class] = ACTIONS(1989),
    [anon_sym_role] = ACTIONS(1989),
    [anon_sym_BUILD] = ACTIONS(1989),
    [anon_sym_ADJUST] = ACTIONS(1989),
    [anon_sym_DOLLAR] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1989),
    [anon_sym_my] = ACTIONS(1989),
    [anon_sym_extended] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_sub] = ACTIONS(1989),
    [anon_sym_method] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1989),
    [anon_sym_continue] = ACTIONS(1989),
    [anon_sym_state] = ACTIONS(1989),
    [anon_sym_our] = ACTIONS(1989),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_catch] = ACTIONS(2374),
    [anon_sym_finally] = ACTIONS(2376),
    [anon_sym_defer] = ACTIONS(1989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_LT_LT] = ACTIONS(1989),
    [anon_sym_SLASH_SLASH] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_BSLASH] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1989),
    [anon_sym_eval] = ACTIONS(1989),
    [anon_sym_await] = ACTIONS(1989),
    [anon_sym_field] = ACTIONS(1989),
    [anon_sym_local] = ACTIONS(1989),
    [anon_sym_dynamically] = ACTIONS(1989),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1989),
    [anon_sym_require] = ACTIONS(1989),
    [anon_sym_map] = ACTIONS(1989),
    [anon_sym_grep] = ACTIONS(1989),
    [anon_sym_sort] = ACTIONS(1989),
    [anon_sym_goto] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_undef] = ACTIONS(1989),
    [anon_sym_PERCENT2] = ACTIONS(1989),
    [anon_sym_AMP2] = ACTIONS(1989),
    [anon_sym_STAR2] = ACTIONS(1989),
    [anon_sym_use] = ACTIONS(1989),
    [anon_sym_no] = ACTIONS(1989),
    [anon_sym_for] = ACTIONS(1989),
    [anon_sym_foreach] = ACTIONS(1989),
    [anon_sym_last] = ACTIONS(1989),
    [anon_sym_next] = ACTIONS(1989),
    [anon_sym_redo] = ACTIONS(1989),
    [anon_sym_BEGIN] = ACTIONS(1989),
    [anon_sym_INIT] = ACTIONS(1989),
    [anon_sym_CHECK] = ACTIONS(1989),
    [anon_sym_UNITCHECK] = ACTIONS(1989),
    [anon_sym_END] = ACTIONS(1989),
    [anon_sym___FILE__] = ACTIONS(1989),
    [anon_sym___LINE__] = ACTIONS(1989),
    [anon_sym___PACKAGE__] = ACTIONS(1989),
    [anon_sym___SUB__] = ACTIONS(1989),
    [anon_sym_break] = ACTIONS(1989),
    [anon_sym_fork] = ACTIONS(1989),
    [anon_sym_getppid] = ACTIONS(1989),
    [anon_sym_time] = ACTIONS(1989),
    [anon_sym_times] = ACTIONS(1989),
    [anon_sym_wait] = ACTIONS(1989),
    [anon_sym_wantarray] = ACTIONS(1989),
    [anon_sym_abs] = ACTIONS(1989),
    [anon_sym_alarm] = ACTIONS(1989),
    [anon_sym_chop] = ACTIONS(1989),
    [anon_sym_chdir] = ACTIONS(1989),
    [anon_sym_close] = ACTIONS(1989),
    [anon_sym_closedir] = ACTIONS(1989),
    [anon_sym_caller] = ACTIONS(1989),
    [anon_sym_chomp] = ACTIONS(1989),
    [anon_sym_chr] = ACTIONS(1989),
    [anon_sym_cos] = ACTIONS(1989),
    [anon_sym_chroot] = ACTIONS(1989),
    [anon_sym_defined] = ACTIONS(1989),
    [anon_sym_delete] = ACTIONS(1989),
    [anon_sym_dbmclose] = ACTIONS(1989),
    [anon_sym_exists] = ACTIONS(1989),
    [anon_sym_exit] = ACTIONS(1989),
    [anon_sym_eof] = ACTIONS(1989),
    [anon_sym_exp] = ACTIONS(1989),
    [anon_sym_each] = ACTIONS(1989),
    [anon_sym_fc] = ACTIONS(1989),
    [anon_sym_fileno] = ACTIONS(1989),
    [anon_sym_gmtime] = ACTIONS(1989),
    [anon_sym_getc] = ACTIONS(1989),
    [anon_sym_getpgrp] = ACTIONS(1989),
    [anon_sym_getprotobyname] = ACTIONS(1989),
    [anon_sym_getpwname] = ACTIONS(1989),
    [anon_sym_getpwuid] = ACTIONS(1989),
    [anon_sym_getpeername] = ACTIONS(1989),
    [anon_sym_getnetbyname] = ACTIONS(1989),
    [anon_sym_getsockname] = ACTIONS(1989),
    [anon_sym_getgrnam] = ACTIONS(1989),
    [anon_sym_getgrgid] = ACTIONS(1989),
    [anon_sym_hex] = ACTIONS(1989),
    [anon_sym_int] = ACTIONS(1989),
    [anon_sym_keys] = ACTIONS(1989),
    [anon_sym_lc] = ACTIONS(1989),
    [anon_sym_lcfirst] = ACTIONS(1989),
    [anon_sym_length] = ACTIONS(1989),
    [anon_sym_localtime] = ACTIONS(1989),
    [anon_sym_log] = ACTIONS(1989),
    [anon_sym_lock] = ACTIONS(1989),
    [anon_sym_lstat] = ACTIONS(1989),
    [anon_sym_oct] = ACTIONS(1989),
    [anon_sym_ord] = ACTIONS(1989),
    [anon_sym_prototype] = ACTIONS(1989),
    [anon_sym_pop] = ACTIONS(1989),
    [anon_sym_pos] = ACTIONS(1989),
    [anon_sym_quotemeta] = ACTIONS(1989),
    [anon_sym_reset] = ACTIONS(1989),
    [anon_sym_rand] = ACTIONS(1989),
    [anon_sym_rmdir] = ACTIONS(1989),
    [anon_sym_readdir] = ACTIONS(1989),
    [anon_sym_readline] = ACTIONS(1989),
    [anon_sym_readpipe] = ACTIONS(1989),
    [anon_sym_rewinddir] = ACTIONS(1989),
    [anon_sym_readlink] = ACTIONS(1989),
    [anon_sym_ref] = ACTIONS(1989),
    [anon_sym_scalar] = ACTIONS(1989),
    [anon_sym_shift] = ACTIONS(1989),
    [anon_sym_sin] = ACTIONS(1989),
    [anon_sym_sleep] = ACTIONS(1989),
    [anon_sym_sqrt] = ACTIONS(1989),
    [anon_sym_srand] = ACTIONS(1989),
    [anon_sym_stat] = ACTIONS(1989),
    [anon_sym_study] = ACTIONS(1989),
    [anon_sym_tell] = ACTIONS(1989),
    [anon_sym_telldir] = ACTIONS(1989),
    [anon_sym_tied] = ACTIONS(1989),
    [anon_sym_uc] = ACTIONS(1989),
    [anon_sym_ucfirst] = ACTIONS(1989),
    [anon_sym_untie] = ACTIONS(1989),
    [anon_sym_umask] = ACTIONS(1989),
    [anon_sym_values] = ACTIONS(1989),
    [anon_sym_write] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1989),
    [anon_sym_qq] = ACTIONS(1989),
    [anon_sym_qw] = ACTIONS(1989),
    [anon_sym_qx] = ACTIONS(1989),
    [anon_sym_qr] = ACTIONS(1989),
    [anon_sym_m] = ACTIONS(1989),
    [anon_sym_s] = ACTIONS(1989),
    [anon_sym_tr] = ACTIONS(1989),
    [anon_sym_y] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_unless] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1989),
    [anon_sym_until] = ACTIONS(1989),
    [aux_sym__bareword_token1] = ACTIONS(1989),
    [sym_number] = ACTIONS(1989),
    [anon_sym_true] = ACTIONS(1989),
    [anon_sym_false] = ACTIONS(1989),
    [sym__single_quote] = ACTIONS(1987),
    [sym__double_quote] = ACTIONS(1987),
    [sym__backtick_quote] = ACTIONS(1987),
    [sym__search_slash_quote] = ACTIONS(1987),
    [sym__open_readline_bracket] = ACTIONS(1987),
    [sym__open_fileglob_bracket] = ACTIONS(1987),
    [sym__PERLY_HEREDOC] = ACTIONS(1987),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1987),
    [sym__filetest] = ACTIONS(1987),
  },
  [989] = {
    [sym_heredoc_content] = STATE(989),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_package] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_role] = ACTIONS(1845),
    [anon_sym_BUILD] = ACTIONS(1845),
    [anon_sym_ADJUST] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_defer] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_elsif] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_use] = ACTIONS(1845),
    [anon_sym_no] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym_BEGIN] = ACTIONS(1845),
    [anon_sym_INIT] = ACTIONS(1845),
    [anon_sym_CHECK] = ACTIONS(1845),
    [anon_sym_UNITCHECK] = ACTIONS(1845),
    [anon_sym_END] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [990] = {
    [sym_heredoc_content] = STATE(990),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_finally] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [991] = {
    [sym_heredoc_content] = STATE(991),
    [sym__identifier] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_RBRACE] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_package] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2007),
    [anon_sym_role] = ACTIONS(2007),
    [anon_sym_BUILD] = ACTIONS(2007),
    [anon_sym_ADJUST] = ACTIONS(2007),
    [anon_sym_DOLLAR] = ACTIONS(2007),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_my] = ACTIONS(2007),
    [anon_sym_extended] = ACTIONS(2007),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_sub] = ACTIONS(2007),
    [anon_sym_method] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_state] = ACTIONS(2007),
    [anon_sym_our] = ACTIONS(2007),
    [anon_sym_try] = ACTIONS(2007),
    [anon_sym_finally] = ACTIONS(2378),
    [anon_sym_defer] = ACTIONS(2007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LT_LT] = ACTIONS(2007),
    [anon_sym_SLASH_SLASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2007),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [anon_sym_BSLASH] = ACTIONS(2005),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_eval] = ACTIONS(2007),
    [anon_sym_await] = ACTIONS(2007),
    [anon_sym_field] = ACTIONS(2007),
    [anon_sym_local] = ACTIONS(2007),
    [anon_sym_dynamically] = ACTIONS(2007),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2007),
    [anon_sym_require] = ACTIONS(2007),
    [anon_sym_map] = ACTIONS(2007),
    [anon_sym_grep] = ACTIONS(2007),
    [anon_sym_sort] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_undef] = ACTIONS(2007),
    [anon_sym_PERCENT2] = ACTIONS(2007),
    [anon_sym_AMP2] = ACTIONS(2007),
    [anon_sym_STAR2] = ACTIONS(2007),
    [anon_sym_use] = ACTIONS(2007),
    [anon_sym_no] = ACTIONS(2007),
    [anon_sym_for] = ACTIONS(2007),
    [anon_sym_foreach] = ACTIONS(2007),
    [anon_sym_last] = ACTIONS(2007),
    [anon_sym_next] = ACTIONS(2007),
    [anon_sym_redo] = ACTIONS(2007),
    [anon_sym_BEGIN] = ACTIONS(2007),
    [anon_sym_INIT] = ACTIONS(2007),
    [anon_sym_CHECK] = ACTIONS(2007),
    [anon_sym_UNITCHECK] = ACTIONS(2007),
    [anon_sym_END] = ACTIONS(2007),
    [anon_sym___FILE__] = ACTIONS(2007),
    [anon_sym___LINE__] = ACTIONS(2007),
    [anon_sym___PACKAGE__] = ACTIONS(2007),
    [anon_sym___SUB__] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_fork] = ACTIONS(2007),
    [anon_sym_getppid] = ACTIONS(2007),
    [anon_sym_time] = ACTIONS(2007),
    [anon_sym_times] = ACTIONS(2007),
    [anon_sym_wait] = ACTIONS(2007),
    [anon_sym_wantarray] = ACTIONS(2007),
    [anon_sym_abs] = ACTIONS(2007),
    [anon_sym_alarm] = ACTIONS(2007),
    [anon_sym_chop] = ACTIONS(2007),
    [anon_sym_chdir] = ACTIONS(2007),
    [anon_sym_close] = ACTIONS(2007),
    [anon_sym_closedir] = ACTIONS(2007),
    [anon_sym_caller] = ACTIONS(2007),
    [anon_sym_chomp] = ACTIONS(2007),
    [anon_sym_chr] = ACTIONS(2007),
    [anon_sym_cos] = ACTIONS(2007),
    [anon_sym_chroot] = ACTIONS(2007),
    [anon_sym_defined] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_dbmclose] = ACTIONS(2007),
    [anon_sym_exists] = ACTIONS(2007),
    [anon_sym_exit] = ACTIONS(2007),
    [anon_sym_eof] = ACTIONS(2007),
    [anon_sym_exp] = ACTIONS(2007),
    [anon_sym_each] = ACTIONS(2007),
    [anon_sym_fc] = ACTIONS(2007),
    [anon_sym_fileno] = ACTIONS(2007),
    [anon_sym_gmtime] = ACTIONS(2007),
    [anon_sym_getc] = ACTIONS(2007),
    [anon_sym_getpgrp] = ACTIONS(2007),
    [anon_sym_getprotobyname] = ACTIONS(2007),
    [anon_sym_getpwname] = ACTIONS(2007),
    [anon_sym_getpwuid] = ACTIONS(2007),
    [anon_sym_getpeername] = ACTIONS(2007),
    [anon_sym_getnetbyname] = ACTIONS(2007),
    [anon_sym_getsockname] = ACTIONS(2007),
    [anon_sym_getgrnam] = ACTIONS(2007),
    [anon_sym_getgrgid] = ACTIONS(2007),
    [anon_sym_hex] = ACTIONS(2007),
    [anon_sym_int] = ACTIONS(2007),
    [anon_sym_keys] = ACTIONS(2007),
    [anon_sym_lc] = ACTIONS(2007),
    [anon_sym_lcfirst] = ACTIONS(2007),
    [anon_sym_length] = ACTIONS(2007),
    [anon_sym_localtime] = ACTIONS(2007),
    [anon_sym_log] = ACTIONS(2007),
    [anon_sym_lock] = ACTIONS(2007),
    [anon_sym_lstat] = ACTIONS(2007),
    [anon_sym_oct] = ACTIONS(2007),
    [anon_sym_ord] = ACTIONS(2007),
    [anon_sym_prototype] = ACTIONS(2007),
    [anon_sym_pop] = ACTIONS(2007),
    [anon_sym_pos] = ACTIONS(2007),
    [anon_sym_quotemeta] = ACTIONS(2007),
    [anon_sym_reset] = ACTIONS(2007),
    [anon_sym_rand] = ACTIONS(2007),
    [anon_sym_rmdir] = ACTIONS(2007),
    [anon_sym_readdir] = ACTIONS(2007),
    [anon_sym_readline] = ACTIONS(2007),
    [anon_sym_readpipe] = ACTIONS(2007),
    [anon_sym_rewinddir] = ACTIONS(2007),
    [anon_sym_readlink] = ACTIONS(2007),
    [anon_sym_ref] = ACTIONS(2007),
    [anon_sym_scalar] = ACTIONS(2007),
    [anon_sym_shift] = ACTIONS(2007),
    [anon_sym_sin] = ACTIONS(2007),
    [anon_sym_sleep] = ACTIONS(2007),
    [anon_sym_sqrt] = ACTIONS(2007),
    [anon_sym_srand] = ACTIONS(2007),
    [anon_sym_stat] = ACTIONS(2007),
    [anon_sym_study] = ACTIONS(2007),
    [anon_sym_tell] = ACTIONS(2007),
    [anon_sym_telldir] = ACTIONS(2007),
    [anon_sym_tied] = ACTIONS(2007),
    [anon_sym_uc] = ACTIONS(2007),
    [anon_sym_ucfirst] = ACTIONS(2007),
    [anon_sym_untie] = ACTIONS(2007),
    [anon_sym_umask] = ACTIONS(2007),
    [anon_sym_values] = ACTIONS(2007),
    [anon_sym_write] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2007),
    [anon_sym_qq] = ACTIONS(2007),
    [anon_sym_qw] = ACTIONS(2007),
    [anon_sym_qx] = ACTIONS(2007),
    [anon_sym_qr] = ACTIONS(2007),
    [anon_sym_m] = ACTIONS(2007),
    [anon_sym_s] = ACTIONS(2007),
    [anon_sym_tr] = ACTIONS(2007),
    [anon_sym_y] = ACTIONS(2007),
    [anon_sym_if] = ACTIONS(2007),
    [anon_sym_unless] = ACTIONS(2007),
    [anon_sym_while] = ACTIONS(2007),
    [anon_sym_until] = ACTIONS(2007),
    [aux_sym__bareword_token1] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [anon_sym_true] = ACTIONS(2007),
    [anon_sym_false] = ACTIONS(2007),
    [sym__single_quote] = ACTIONS(2005),
    [sym__double_quote] = ACTIONS(2005),
    [sym__backtick_quote] = ACTIONS(2005),
    [sym__search_slash_quote] = ACTIONS(2005),
    [sym__open_readline_bracket] = ACTIONS(2005),
    [sym__open_fileglob_bracket] = ACTIONS(2005),
    [sym__PERLY_HEREDOC] = ACTIONS(2005),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2005),
    [sym__filetest] = ACTIONS(2005),
  },
  [992] = {
    [sym_heredoc_content] = STATE(992),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_package] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_role] = ACTIONS(1845),
    [anon_sym_BUILD] = ACTIONS(1845),
    [anon_sym_ADJUST] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_finally] = ACTIONS(1845),
    [anon_sym_defer] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_use] = ACTIONS(1845),
    [anon_sym_no] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym_BEGIN] = ACTIONS(1845),
    [anon_sym_INIT] = ACTIONS(1845),
    [anon_sym_CHECK] = ACTIONS(1845),
    [anon_sym_UNITCHECK] = ACTIONS(1845),
    [anon_sym_END] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [993] = {
    [sym_heredoc_content] = STATE(993),
    [sym__identifier] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1997),
    [anon_sym_RBRACE] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1997),
    [anon_sym_package] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_role] = ACTIONS(1997),
    [anon_sym_BUILD] = ACTIONS(1997),
    [anon_sym_ADJUST] = ACTIONS(1997),
    [anon_sym_DOLLAR] = ACTIONS(1997),
    [anon_sym_AT] = ACTIONS(1997),
    [anon_sym_my] = ACTIONS(1997),
    [anon_sym_extended] = ACTIONS(1997),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_sub] = ACTIONS(1997),
    [anon_sym_method] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_state] = ACTIONS(1997),
    [anon_sym_our] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1997),
    [anon_sym_finally] = ACTIONS(2380),
    [anon_sym_defer] = ACTIONS(1997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_SLASH_SLASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_TILDE] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_BSLASH] = ACTIONS(1995),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_eval] = ACTIONS(1997),
    [anon_sym_await] = ACTIONS(1997),
    [anon_sym_field] = ACTIONS(1997),
    [anon_sym_local] = ACTIONS(1997),
    [anon_sym_dynamically] = ACTIONS(1997),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1997),
    [anon_sym_require] = ACTIONS(1997),
    [anon_sym_map] = ACTIONS(1997),
    [anon_sym_grep] = ACTIONS(1997),
    [anon_sym_sort] = ACTIONS(1997),
    [anon_sym_goto] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_undef] = ACTIONS(1997),
    [anon_sym_PERCENT2] = ACTIONS(1997),
    [anon_sym_AMP2] = ACTIONS(1997),
    [anon_sym_STAR2] = ACTIONS(1997),
    [anon_sym_use] = ACTIONS(1997),
    [anon_sym_no] = ACTIONS(1997),
    [anon_sym_for] = ACTIONS(1997),
    [anon_sym_foreach] = ACTIONS(1997),
    [anon_sym_last] = ACTIONS(1997),
    [anon_sym_next] = ACTIONS(1997),
    [anon_sym_redo] = ACTIONS(1997),
    [anon_sym_BEGIN] = ACTIONS(1997),
    [anon_sym_INIT] = ACTIONS(1997),
    [anon_sym_CHECK] = ACTIONS(1997),
    [anon_sym_UNITCHECK] = ACTIONS(1997),
    [anon_sym_END] = ACTIONS(1997),
    [anon_sym___FILE__] = ACTIONS(1997),
    [anon_sym___LINE__] = ACTIONS(1997),
    [anon_sym___PACKAGE__] = ACTIONS(1997),
    [anon_sym___SUB__] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_fork] = ACTIONS(1997),
    [anon_sym_getppid] = ACTIONS(1997),
    [anon_sym_time] = ACTIONS(1997),
    [anon_sym_times] = ACTIONS(1997),
    [anon_sym_wait] = ACTIONS(1997),
    [anon_sym_wantarray] = ACTIONS(1997),
    [anon_sym_abs] = ACTIONS(1997),
    [anon_sym_alarm] = ACTIONS(1997),
    [anon_sym_chop] = ACTIONS(1997),
    [anon_sym_chdir] = ACTIONS(1997),
    [anon_sym_close] = ACTIONS(1997),
    [anon_sym_closedir] = ACTIONS(1997),
    [anon_sym_caller] = ACTIONS(1997),
    [anon_sym_chomp] = ACTIONS(1997),
    [anon_sym_chr] = ACTIONS(1997),
    [anon_sym_cos] = ACTIONS(1997),
    [anon_sym_chroot] = ACTIONS(1997),
    [anon_sym_defined] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_dbmclose] = ACTIONS(1997),
    [anon_sym_exists] = ACTIONS(1997),
    [anon_sym_exit] = ACTIONS(1997),
    [anon_sym_eof] = ACTIONS(1997),
    [anon_sym_exp] = ACTIONS(1997),
    [anon_sym_each] = ACTIONS(1997),
    [anon_sym_fc] = ACTIONS(1997),
    [anon_sym_fileno] = ACTIONS(1997),
    [anon_sym_gmtime] = ACTIONS(1997),
    [anon_sym_getc] = ACTIONS(1997),
    [anon_sym_getpgrp] = ACTIONS(1997),
    [anon_sym_getprotobyname] = ACTIONS(1997),
    [anon_sym_getpwname] = ACTIONS(1997),
    [anon_sym_getpwuid] = ACTIONS(1997),
    [anon_sym_getpeername] = ACTIONS(1997),
    [anon_sym_getnetbyname] = ACTIONS(1997),
    [anon_sym_getsockname] = ACTIONS(1997),
    [anon_sym_getgrnam] = ACTIONS(1997),
    [anon_sym_getgrgid] = ACTIONS(1997),
    [anon_sym_hex] = ACTIONS(1997),
    [anon_sym_int] = ACTIONS(1997),
    [anon_sym_keys] = ACTIONS(1997),
    [anon_sym_lc] = ACTIONS(1997),
    [anon_sym_lcfirst] = ACTIONS(1997),
    [anon_sym_length] = ACTIONS(1997),
    [anon_sym_localtime] = ACTIONS(1997),
    [anon_sym_log] = ACTIONS(1997),
    [anon_sym_lock] = ACTIONS(1997),
    [anon_sym_lstat] = ACTIONS(1997),
    [anon_sym_oct] = ACTIONS(1997),
    [anon_sym_ord] = ACTIONS(1997),
    [anon_sym_prototype] = ACTIONS(1997),
    [anon_sym_pop] = ACTIONS(1997),
    [anon_sym_pos] = ACTIONS(1997),
    [anon_sym_quotemeta] = ACTIONS(1997),
    [anon_sym_reset] = ACTIONS(1997),
    [anon_sym_rand] = ACTIONS(1997),
    [anon_sym_rmdir] = ACTIONS(1997),
    [anon_sym_readdir] = ACTIONS(1997),
    [anon_sym_readline] = ACTIONS(1997),
    [anon_sym_readpipe] = ACTIONS(1997),
    [anon_sym_rewinddir] = ACTIONS(1997),
    [anon_sym_readlink] = ACTIONS(1997),
    [anon_sym_ref] = ACTIONS(1997),
    [anon_sym_scalar] = ACTIONS(1997),
    [anon_sym_shift] = ACTIONS(1997),
    [anon_sym_sin] = ACTIONS(1997),
    [anon_sym_sleep] = ACTIONS(1997),
    [anon_sym_sqrt] = ACTIONS(1997),
    [anon_sym_srand] = ACTIONS(1997),
    [anon_sym_stat] = ACTIONS(1997),
    [anon_sym_study] = ACTIONS(1997),
    [anon_sym_tell] = ACTIONS(1997),
    [anon_sym_telldir] = ACTIONS(1997),
    [anon_sym_tied] = ACTIONS(1997),
    [anon_sym_uc] = ACTIONS(1997),
    [anon_sym_ucfirst] = ACTIONS(1997),
    [anon_sym_untie] = ACTIONS(1997),
    [anon_sym_umask] = ACTIONS(1997),
    [anon_sym_values] = ACTIONS(1997),
    [anon_sym_write] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1997),
    [anon_sym_qq] = ACTIONS(1997),
    [anon_sym_qw] = ACTIONS(1997),
    [anon_sym_qx] = ACTIONS(1997),
    [anon_sym_qr] = ACTIONS(1997),
    [anon_sym_m] = ACTIONS(1997),
    [anon_sym_s] = ACTIONS(1997),
    [anon_sym_tr] = ACTIONS(1997),
    [anon_sym_y] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_unless] = ACTIONS(1997),
    [anon_sym_while] = ACTIONS(1997),
    [anon_sym_until] = ACTIONS(1997),
    [aux_sym__bareword_token1] = ACTIONS(1997),
    [sym_number] = ACTIONS(1997),
    [anon_sym_true] = ACTIONS(1997),
    [anon_sym_false] = ACTIONS(1997),
    [sym__single_quote] = ACTIONS(1995),
    [sym__double_quote] = ACTIONS(1995),
    [sym__backtick_quote] = ACTIONS(1995),
    [sym__search_slash_quote] = ACTIONS(1995),
    [sym__open_readline_bracket] = ACTIONS(1995),
    [sym__open_fileglob_bracket] = ACTIONS(1995),
    [sym__PERLY_HEREDOC] = ACTIONS(1995),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1995),
    [sym__filetest] = ACTIONS(1995),
  },
  [994] = {
    [sym_heredoc_content] = STATE(994),
    [sym__identifier] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_RBRACE] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2197),
    [anon_sym_package] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_role] = ACTIONS(2197),
    [anon_sym_BUILD] = ACTIONS(2197),
    [anon_sym_ADJUST] = ACTIONS(2197),
    [anon_sym_DOLLAR] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_my] = ACTIONS(2197),
    [anon_sym_extended] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_sub] = ACTIONS(2197),
    [anon_sym_method] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_state] = ACTIONS(2197),
    [anon_sym_our] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_defer] = ACTIONS(2197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [anon_sym_BSLASH] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_eval] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_field] = ACTIONS(2197),
    [anon_sym_local] = ACTIONS(2197),
    [anon_sym_dynamically] = ACTIONS(2197),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2197),
    [anon_sym_require] = ACTIONS(2197),
    [anon_sym_map] = ACTIONS(2197),
    [anon_sym_grep] = ACTIONS(2197),
    [anon_sym_sort] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_undef] = ACTIONS(2197),
    [anon_sym_PERCENT2] = ACTIONS(2197),
    [anon_sym_AMP2] = ACTIONS(2197),
    [anon_sym_STAR2] = ACTIONS(2197),
    [anon_sym_use] = ACTIONS(2197),
    [anon_sym_no] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_foreach] = ACTIONS(2197),
    [anon_sym_last] = ACTIONS(2197),
    [anon_sym_next] = ACTIONS(2197),
    [anon_sym_redo] = ACTIONS(2197),
    [anon_sym_BEGIN] = ACTIONS(2197),
    [anon_sym_INIT] = ACTIONS(2197),
    [anon_sym_CHECK] = ACTIONS(2197),
    [anon_sym_UNITCHECK] = ACTIONS(2197),
    [anon_sym_END] = ACTIONS(2197),
    [anon_sym___FILE__] = ACTIONS(2197),
    [anon_sym___LINE__] = ACTIONS(2197),
    [anon_sym___PACKAGE__] = ACTIONS(2197),
    [anon_sym___SUB__] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_fork] = ACTIONS(2197),
    [anon_sym_getppid] = ACTIONS(2197),
    [anon_sym_time] = ACTIONS(2197),
    [anon_sym_times] = ACTIONS(2197),
    [anon_sym_wait] = ACTIONS(2197),
    [anon_sym_wantarray] = ACTIONS(2197),
    [anon_sym_abs] = ACTIONS(2197),
    [anon_sym_alarm] = ACTIONS(2197),
    [anon_sym_chop] = ACTIONS(2197),
    [anon_sym_chdir] = ACTIONS(2197),
    [anon_sym_close] = ACTIONS(2197),
    [anon_sym_closedir] = ACTIONS(2197),
    [anon_sym_caller] = ACTIONS(2197),
    [anon_sym_chomp] = ACTIONS(2197),
    [anon_sym_chr] = ACTIONS(2197),
    [anon_sym_cos] = ACTIONS(2197),
    [anon_sym_chroot] = ACTIONS(2197),
    [anon_sym_defined] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_dbmclose] = ACTIONS(2197),
    [anon_sym_exists] = ACTIONS(2197),
    [anon_sym_exit] = ACTIONS(2197),
    [anon_sym_eof] = ACTIONS(2197),
    [anon_sym_exp] = ACTIONS(2197),
    [anon_sym_each] = ACTIONS(2197),
    [anon_sym_fc] = ACTIONS(2197),
    [anon_sym_fileno] = ACTIONS(2197),
    [anon_sym_gmtime] = ACTIONS(2197),
    [anon_sym_getc] = ACTIONS(2197),
    [anon_sym_getpgrp] = ACTIONS(2197),
    [anon_sym_getprotobyname] = ACTIONS(2197),
    [anon_sym_getpwname] = ACTIONS(2197),
    [anon_sym_getpwuid] = ACTIONS(2197),
    [anon_sym_getpeername] = ACTIONS(2197),
    [anon_sym_getnetbyname] = ACTIONS(2197),
    [anon_sym_getsockname] = ACTIONS(2197),
    [anon_sym_getgrnam] = ACTIONS(2197),
    [anon_sym_getgrgid] = ACTIONS(2197),
    [anon_sym_hex] = ACTIONS(2197),
    [anon_sym_int] = ACTIONS(2197),
    [anon_sym_keys] = ACTIONS(2197),
    [anon_sym_lc] = ACTIONS(2197),
    [anon_sym_lcfirst] = ACTIONS(2197),
    [anon_sym_length] = ACTIONS(2197),
    [anon_sym_localtime] = ACTIONS(2197),
    [anon_sym_log] = ACTIONS(2197),
    [anon_sym_lock] = ACTIONS(2197),
    [anon_sym_lstat] = ACTIONS(2197),
    [anon_sym_oct] = ACTIONS(2197),
    [anon_sym_ord] = ACTIONS(2197),
    [anon_sym_prototype] = ACTIONS(2197),
    [anon_sym_pop] = ACTIONS(2197),
    [anon_sym_pos] = ACTIONS(2197),
    [anon_sym_quotemeta] = ACTIONS(2197),
    [anon_sym_reset] = ACTIONS(2197),
    [anon_sym_rand] = ACTIONS(2197),
    [anon_sym_rmdir] = ACTIONS(2197),
    [anon_sym_readdir] = ACTIONS(2197),
    [anon_sym_readline] = ACTIONS(2197),
    [anon_sym_readpipe] = ACTIONS(2197),
    [anon_sym_rewinddir] = ACTIONS(2197),
    [anon_sym_readlink] = ACTIONS(2197),
    [anon_sym_ref] = ACTIONS(2197),
    [anon_sym_scalar] = ACTIONS(2197),
    [anon_sym_shift] = ACTIONS(2197),
    [anon_sym_sin] = ACTIONS(2197),
    [anon_sym_sleep] = ACTIONS(2197),
    [anon_sym_sqrt] = ACTIONS(2197),
    [anon_sym_srand] = ACTIONS(2197),
    [anon_sym_stat] = ACTIONS(2197),
    [anon_sym_study] = ACTIONS(2197),
    [anon_sym_tell] = ACTIONS(2197),
    [anon_sym_telldir] = ACTIONS(2197),
    [anon_sym_tied] = ACTIONS(2197),
    [anon_sym_uc] = ACTIONS(2197),
    [anon_sym_ucfirst] = ACTIONS(2197),
    [anon_sym_untie] = ACTIONS(2197),
    [anon_sym_umask] = ACTIONS(2197),
    [anon_sym_values] = ACTIONS(2197),
    [anon_sym_write] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2197),
    [anon_sym_qq] = ACTIONS(2197),
    [anon_sym_qw] = ACTIONS(2197),
    [anon_sym_qx] = ACTIONS(2197),
    [anon_sym_qr] = ACTIONS(2197),
    [anon_sym_m] = ACTIONS(2197),
    [anon_sym_s] = ACTIONS(2197),
    [anon_sym_tr] = ACTIONS(2197),
    [anon_sym_y] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_unless] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_until] = ACTIONS(2197),
    [aux_sym__bareword_token1] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [sym__single_quote] = ACTIONS(2195),
    [sym__double_quote] = ACTIONS(2195),
    [sym__backtick_quote] = ACTIONS(2195),
    [sym__search_slash_quote] = ACTIONS(2195),
    [sym__open_readline_bracket] = ACTIONS(2195),
    [sym__open_fileglob_bracket] = ACTIONS(2195),
    [sym__PERLY_HEREDOC] = ACTIONS(2195),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2195),
    [sym__filetest] = ACTIONS(2195),
  },
  [995] = {
    [sym_heredoc_content] = STATE(995),
    [sym__identifier] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_RBRACE] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2109),
    [anon_sym_package] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_role] = ACTIONS(2109),
    [anon_sym_BUILD] = ACTIONS(2109),
    [anon_sym_ADJUST] = ACTIONS(2109),
    [anon_sym_DOLLAR] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_my] = ACTIONS(2109),
    [anon_sym_extended] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_sub] = ACTIONS(2109),
    [anon_sym_method] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_state] = ACTIONS(2109),
    [anon_sym_our] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_defer] = ACTIONS(2109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_SLASH_SLASH] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_BSLASH] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_eval] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_field] = ACTIONS(2109),
    [anon_sym_local] = ACTIONS(2109),
    [anon_sym_dynamically] = ACTIONS(2109),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2109),
    [anon_sym_require] = ACTIONS(2109),
    [anon_sym_map] = ACTIONS(2109),
    [anon_sym_grep] = ACTIONS(2109),
    [anon_sym_sort] = ACTIONS(2109),
    [anon_sym_goto] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_undef] = ACTIONS(2109),
    [anon_sym_PERCENT2] = ACTIONS(2109),
    [anon_sym_AMP2] = ACTIONS(2109),
    [anon_sym_STAR2] = ACTIONS(2109),
    [anon_sym_use] = ACTIONS(2109),
    [anon_sym_no] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_foreach] = ACTIONS(2109),
    [anon_sym_last] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2109),
    [anon_sym_redo] = ACTIONS(2109),
    [anon_sym_BEGIN] = ACTIONS(2109),
    [anon_sym_INIT] = ACTIONS(2109),
    [anon_sym_CHECK] = ACTIONS(2109),
    [anon_sym_UNITCHECK] = ACTIONS(2109),
    [anon_sym_END] = ACTIONS(2109),
    [anon_sym___FILE__] = ACTIONS(2109),
    [anon_sym___LINE__] = ACTIONS(2109),
    [anon_sym___PACKAGE__] = ACTIONS(2109),
    [anon_sym___SUB__] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_fork] = ACTIONS(2109),
    [anon_sym_getppid] = ACTIONS(2109),
    [anon_sym_time] = ACTIONS(2109),
    [anon_sym_times] = ACTIONS(2109),
    [anon_sym_wait] = ACTIONS(2109),
    [anon_sym_wantarray] = ACTIONS(2109),
    [anon_sym_abs] = ACTIONS(2109),
    [anon_sym_alarm] = ACTIONS(2109),
    [anon_sym_chop] = ACTIONS(2109),
    [anon_sym_chdir] = ACTIONS(2109),
    [anon_sym_close] = ACTIONS(2109),
    [anon_sym_closedir] = ACTIONS(2109),
    [anon_sym_caller] = ACTIONS(2109),
    [anon_sym_chomp] = ACTIONS(2109),
    [anon_sym_chr] = ACTIONS(2109),
    [anon_sym_cos] = ACTIONS(2109),
    [anon_sym_chroot] = ACTIONS(2109),
    [anon_sym_defined] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_dbmclose] = ACTIONS(2109),
    [anon_sym_exists] = ACTIONS(2109),
    [anon_sym_exit] = ACTIONS(2109),
    [anon_sym_eof] = ACTIONS(2109),
    [anon_sym_exp] = ACTIONS(2109),
    [anon_sym_each] = ACTIONS(2109),
    [anon_sym_fc] = ACTIONS(2109),
    [anon_sym_fileno] = ACTIONS(2109),
    [anon_sym_gmtime] = ACTIONS(2109),
    [anon_sym_getc] = ACTIONS(2109),
    [anon_sym_getpgrp] = ACTIONS(2109),
    [anon_sym_getprotobyname] = ACTIONS(2109),
    [anon_sym_getpwname] = ACTIONS(2109),
    [anon_sym_getpwuid] = ACTIONS(2109),
    [anon_sym_getpeername] = ACTIONS(2109),
    [anon_sym_getnetbyname] = ACTIONS(2109),
    [anon_sym_getsockname] = ACTIONS(2109),
    [anon_sym_getgrnam] = ACTIONS(2109),
    [anon_sym_getgrgid] = ACTIONS(2109),
    [anon_sym_hex] = ACTIONS(2109),
    [anon_sym_int] = ACTIONS(2109),
    [anon_sym_keys] = ACTIONS(2109),
    [anon_sym_lc] = ACTIONS(2109),
    [anon_sym_lcfirst] = ACTIONS(2109),
    [anon_sym_length] = ACTIONS(2109),
    [anon_sym_localtime] = ACTIONS(2109),
    [anon_sym_log] = ACTIONS(2109),
    [anon_sym_lock] = ACTIONS(2109),
    [anon_sym_lstat] = ACTIONS(2109),
    [anon_sym_oct] = ACTIONS(2109),
    [anon_sym_ord] = ACTIONS(2109),
    [anon_sym_prototype] = ACTIONS(2109),
    [anon_sym_pop] = ACTIONS(2109),
    [anon_sym_pos] = ACTIONS(2109),
    [anon_sym_quotemeta] = ACTIONS(2109),
    [anon_sym_reset] = ACTIONS(2109),
    [anon_sym_rand] = ACTIONS(2109),
    [anon_sym_rmdir] = ACTIONS(2109),
    [anon_sym_readdir] = ACTIONS(2109),
    [anon_sym_readline] = ACTIONS(2109),
    [anon_sym_readpipe] = ACTIONS(2109),
    [anon_sym_rewinddir] = ACTIONS(2109),
    [anon_sym_readlink] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2109),
    [anon_sym_scalar] = ACTIONS(2109),
    [anon_sym_shift] = ACTIONS(2109),
    [anon_sym_sin] = ACTIONS(2109),
    [anon_sym_sleep] = ACTIONS(2109),
    [anon_sym_sqrt] = ACTIONS(2109),
    [anon_sym_srand] = ACTIONS(2109),
    [anon_sym_stat] = ACTIONS(2109),
    [anon_sym_study] = ACTIONS(2109),
    [anon_sym_tell] = ACTIONS(2109),
    [anon_sym_telldir] = ACTIONS(2109),
    [anon_sym_tied] = ACTIONS(2109),
    [anon_sym_uc] = ACTIONS(2109),
    [anon_sym_ucfirst] = ACTIONS(2109),
    [anon_sym_untie] = ACTIONS(2109),
    [anon_sym_umask] = ACTIONS(2109),
    [anon_sym_values] = ACTIONS(2109),
    [anon_sym_write] = ACTIONS(2109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2109),
    [anon_sym_qq] = ACTIONS(2109),
    [anon_sym_qw] = ACTIONS(2109),
    [anon_sym_qx] = ACTIONS(2109),
    [anon_sym_qr] = ACTIONS(2109),
    [anon_sym_m] = ACTIONS(2109),
    [anon_sym_s] = ACTIONS(2109),
    [anon_sym_tr] = ACTIONS(2109),
    [anon_sym_y] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_unless] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_until] = ACTIONS(2109),
    [aux_sym__bareword_token1] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [anon_sym_true] = ACTIONS(2109),
    [anon_sym_false] = ACTIONS(2109),
    [sym__single_quote] = ACTIONS(2107),
    [sym__double_quote] = ACTIONS(2107),
    [sym__backtick_quote] = ACTIONS(2107),
    [sym__search_slash_quote] = ACTIONS(2107),
    [sym__open_readline_bracket] = ACTIONS(2107),
    [sym__open_fileglob_bracket] = ACTIONS(2107),
    [sym__PERLY_HEREDOC] = ACTIONS(2107),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2107),
    [sym__filetest] = ACTIONS(2107),
  },
  [996] = {
    [sym_heredoc_content] = STATE(996),
    [sym__identifier] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_package] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2356),
    [anon_sym_role] = ACTIONS(2356),
    [anon_sym_BUILD] = ACTIONS(2356),
    [anon_sym_ADJUST] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2356),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_my] = ACTIONS(2356),
    [anon_sym_extended] = ACTIONS(2356),
    [anon_sym_async] = ACTIONS(2356),
    [anon_sym_sub] = ACTIONS(2356),
    [anon_sym_method] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_state] = ACTIONS(2356),
    [anon_sym_our] = ACTIONS(2356),
    [anon_sym_try] = ACTIONS(2356),
    [anon_sym_defer] = ACTIONS(2356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_BSLASH] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_eval] = ACTIONS(2356),
    [anon_sym_await] = ACTIONS(2356),
    [anon_sym_field] = ACTIONS(2356),
    [anon_sym_local] = ACTIONS(2356),
    [anon_sym_dynamically] = ACTIONS(2356),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2356),
    [anon_sym_require] = ACTIONS(2356),
    [anon_sym_map] = ACTIONS(2356),
    [anon_sym_grep] = ACTIONS(2356),
    [anon_sym_sort] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_undef] = ACTIONS(2356),
    [anon_sym_PERCENT2] = ACTIONS(2356),
    [anon_sym_AMP2] = ACTIONS(2356),
    [anon_sym_STAR2] = ACTIONS(2356),
    [anon_sym_use] = ACTIONS(2356),
    [anon_sym_no] = ACTIONS(2356),
    [anon_sym_for] = ACTIONS(2356),
    [anon_sym_foreach] = ACTIONS(2356),
    [anon_sym_last] = ACTIONS(2356),
    [anon_sym_next] = ACTIONS(2356),
    [anon_sym_redo] = ACTIONS(2356),
    [anon_sym_BEGIN] = ACTIONS(2356),
    [anon_sym_INIT] = ACTIONS(2356),
    [anon_sym_CHECK] = ACTIONS(2356),
    [anon_sym_UNITCHECK] = ACTIONS(2356),
    [anon_sym_END] = ACTIONS(2356),
    [anon_sym___FILE__] = ACTIONS(2356),
    [anon_sym___LINE__] = ACTIONS(2356),
    [anon_sym___PACKAGE__] = ACTIONS(2356),
    [anon_sym___SUB__] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_fork] = ACTIONS(2356),
    [anon_sym_getppid] = ACTIONS(2356),
    [anon_sym_time] = ACTIONS(2356),
    [anon_sym_times] = ACTIONS(2356),
    [anon_sym_wait] = ACTIONS(2356),
    [anon_sym_wantarray] = ACTIONS(2356),
    [anon_sym_abs] = ACTIONS(2356),
    [anon_sym_alarm] = ACTIONS(2356),
    [anon_sym_chop] = ACTIONS(2356),
    [anon_sym_chdir] = ACTIONS(2356),
    [anon_sym_close] = ACTIONS(2356),
    [anon_sym_closedir] = ACTIONS(2356),
    [anon_sym_caller] = ACTIONS(2356),
    [anon_sym_chomp] = ACTIONS(2356),
    [anon_sym_chr] = ACTIONS(2356),
    [anon_sym_cos] = ACTIONS(2356),
    [anon_sym_chroot] = ACTIONS(2356),
    [anon_sym_defined] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_dbmclose] = ACTIONS(2356),
    [anon_sym_exists] = ACTIONS(2356),
    [anon_sym_exit] = ACTIONS(2356),
    [anon_sym_eof] = ACTIONS(2356),
    [anon_sym_exp] = ACTIONS(2356),
    [anon_sym_each] = ACTIONS(2356),
    [anon_sym_fc] = ACTIONS(2356),
    [anon_sym_fileno] = ACTIONS(2356),
    [anon_sym_gmtime] = ACTIONS(2356),
    [anon_sym_getc] = ACTIONS(2356),
    [anon_sym_getpgrp] = ACTIONS(2356),
    [anon_sym_getprotobyname] = ACTIONS(2356),
    [anon_sym_getpwname] = ACTIONS(2356),
    [anon_sym_getpwuid] = ACTIONS(2356),
    [anon_sym_getpeername] = ACTIONS(2356),
    [anon_sym_getnetbyname] = ACTIONS(2356),
    [anon_sym_getsockname] = ACTIONS(2356),
    [anon_sym_getgrnam] = ACTIONS(2356),
    [anon_sym_getgrgid] = ACTIONS(2356),
    [anon_sym_hex] = ACTIONS(2356),
    [anon_sym_int] = ACTIONS(2356),
    [anon_sym_keys] = ACTIONS(2356),
    [anon_sym_lc] = ACTIONS(2356),
    [anon_sym_lcfirst] = ACTIONS(2356),
    [anon_sym_length] = ACTIONS(2356),
    [anon_sym_localtime] = ACTIONS(2356),
    [anon_sym_log] = ACTIONS(2356),
    [anon_sym_lock] = ACTIONS(2356),
    [anon_sym_lstat] = ACTIONS(2356),
    [anon_sym_oct] = ACTIONS(2356),
    [anon_sym_ord] = ACTIONS(2356),
    [anon_sym_prototype] = ACTIONS(2356),
    [anon_sym_pop] = ACTIONS(2356),
    [anon_sym_pos] = ACTIONS(2356),
    [anon_sym_quotemeta] = ACTIONS(2356),
    [anon_sym_reset] = ACTIONS(2356),
    [anon_sym_rand] = ACTIONS(2356),
    [anon_sym_rmdir] = ACTIONS(2356),
    [anon_sym_readdir] = ACTIONS(2356),
    [anon_sym_readline] = ACTIONS(2356),
    [anon_sym_readpipe] = ACTIONS(2356),
    [anon_sym_rewinddir] = ACTIONS(2356),
    [anon_sym_readlink] = ACTIONS(2356),
    [anon_sym_ref] = ACTIONS(2356),
    [anon_sym_scalar] = ACTIONS(2356),
    [anon_sym_shift] = ACTIONS(2356),
    [anon_sym_sin] = ACTIONS(2356),
    [anon_sym_sleep] = ACTIONS(2356),
    [anon_sym_sqrt] = ACTIONS(2356),
    [anon_sym_srand] = ACTIONS(2356),
    [anon_sym_stat] = ACTIONS(2356),
    [anon_sym_study] = ACTIONS(2356),
    [anon_sym_tell] = ACTIONS(2356),
    [anon_sym_telldir] = ACTIONS(2356),
    [anon_sym_tied] = ACTIONS(2356),
    [anon_sym_uc] = ACTIONS(2356),
    [anon_sym_ucfirst] = ACTIONS(2356),
    [anon_sym_untie] = ACTIONS(2356),
    [anon_sym_umask] = ACTIONS(2356),
    [anon_sym_values] = ACTIONS(2356),
    [anon_sym_write] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2356),
    [anon_sym_qq] = ACTIONS(2356),
    [anon_sym_qw] = ACTIONS(2356),
    [anon_sym_qx] = ACTIONS(2356),
    [anon_sym_qr] = ACTIONS(2356),
    [anon_sym_m] = ACTIONS(2356),
    [anon_sym_s] = ACTIONS(2356),
    [anon_sym_tr] = ACTIONS(2356),
    [anon_sym_y] = ACTIONS(2356),
    [anon_sym_if] = ACTIONS(2356),
    [anon_sym_unless] = ACTIONS(2356),
    [anon_sym_while] = ACTIONS(2356),
    [anon_sym_until] = ACTIONS(2356),
    [aux_sym__bareword_token1] = ACTIONS(2356),
    [sym_number] = ACTIONS(2356),
    [anon_sym_true] = ACTIONS(2356),
    [anon_sym_false] = ACTIONS(2356),
    [sym__single_quote] = ACTIONS(2354),
    [sym__double_quote] = ACTIONS(2354),
    [sym__backtick_quote] = ACTIONS(2354),
    [sym__search_slash_quote] = ACTIONS(2354),
    [sym__open_readline_bracket] = ACTIONS(2354),
    [sym__open_fileglob_bracket] = ACTIONS(2354),
    [sym__PERLY_HEREDOC] = ACTIONS(2354),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2354),
    [sym__filetest] = ACTIONS(2354),
  },
  [997] = {
    [sym_heredoc_content] = STATE(997),
    [sym__identifier] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_package] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2360),
    [anon_sym_role] = ACTIONS(2360),
    [anon_sym_BUILD] = ACTIONS(2360),
    [anon_sym_ADJUST] = ACTIONS(2360),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_my] = ACTIONS(2360),
    [anon_sym_extended] = ACTIONS(2360),
    [anon_sym_async] = ACTIONS(2360),
    [anon_sym_sub] = ACTIONS(2360),
    [anon_sym_method] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_state] = ACTIONS(2360),
    [anon_sym_our] = ACTIONS(2360),
    [anon_sym_try] = ACTIONS(2360),
    [anon_sym_defer] = ACTIONS(2360),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_TILDE] = ACTIONS(2360),
    [anon_sym_BANG] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_BSLASH] = ACTIONS(2358),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_eval] = ACTIONS(2360),
    [anon_sym_await] = ACTIONS(2360),
    [anon_sym_field] = ACTIONS(2360),
    [anon_sym_local] = ACTIONS(2360),
    [anon_sym_dynamically] = ACTIONS(2360),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2360),
    [anon_sym_require] = ACTIONS(2360),
    [anon_sym_map] = ACTIONS(2360),
    [anon_sym_grep] = ACTIONS(2360),
    [anon_sym_sort] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_undef] = ACTIONS(2360),
    [anon_sym_PERCENT2] = ACTIONS(2360),
    [anon_sym_AMP2] = ACTIONS(2360),
    [anon_sym_STAR2] = ACTIONS(2360),
    [anon_sym_use] = ACTIONS(2360),
    [anon_sym_no] = ACTIONS(2360),
    [anon_sym_for] = ACTIONS(2360),
    [anon_sym_foreach] = ACTIONS(2360),
    [anon_sym_last] = ACTIONS(2360),
    [anon_sym_next] = ACTIONS(2360),
    [anon_sym_redo] = ACTIONS(2360),
    [anon_sym_BEGIN] = ACTIONS(2360),
    [anon_sym_INIT] = ACTIONS(2360),
    [anon_sym_CHECK] = ACTIONS(2360),
    [anon_sym_UNITCHECK] = ACTIONS(2360),
    [anon_sym_END] = ACTIONS(2360),
    [anon_sym___FILE__] = ACTIONS(2360),
    [anon_sym___LINE__] = ACTIONS(2360),
    [anon_sym___PACKAGE__] = ACTIONS(2360),
    [anon_sym___SUB__] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_fork] = ACTIONS(2360),
    [anon_sym_getppid] = ACTIONS(2360),
    [anon_sym_time] = ACTIONS(2360),
    [anon_sym_times] = ACTIONS(2360),
    [anon_sym_wait] = ACTIONS(2360),
    [anon_sym_wantarray] = ACTIONS(2360),
    [anon_sym_abs] = ACTIONS(2360),
    [anon_sym_alarm] = ACTIONS(2360),
    [anon_sym_chop] = ACTIONS(2360),
    [anon_sym_chdir] = ACTIONS(2360),
    [anon_sym_close] = ACTIONS(2360),
    [anon_sym_closedir] = ACTIONS(2360),
    [anon_sym_caller] = ACTIONS(2360),
    [anon_sym_chomp] = ACTIONS(2360),
    [anon_sym_chr] = ACTIONS(2360),
    [anon_sym_cos] = ACTIONS(2360),
    [anon_sym_chroot] = ACTIONS(2360),
    [anon_sym_defined] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_dbmclose] = ACTIONS(2360),
    [anon_sym_exists] = ACTIONS(2360),
    [anon_sym_exit] = ACTIONS(2360),
    [anon_sym_eof] = ACTIONS(2360),
    [anon_sym_exp] = ACTIONS(2360),
    [anon_sym_each] = ACTIONS(2360),
    [anon_sym_fc] = ACTIONS(2360),
    [anon_sym_fileno] = ACTIONS(2360),
    [anon_sym_gmtime] = ACTIONS(2360),
    [anon_sym_getc] = ACTIONS(2360),
    [anon_sym_getpgrp] = ACTIONS(2360),
    [anon_sym_getprotobyname] = ACTIONS(2360),
    [anon_sym_getpwname] = ACTIONS(2360),
    [anon_sym_getpwuid] = ACTIONS(2360),
    [anon_sym_getpeername] = ACTIONS(2360),
    [anon_sym_getnetbyname] = ACTIONS(2360),
    [anon_sym_getsockname] = ACTIONS(2360),
    [anon_sym_getgrnam] = ACTIONS(2360),
    [anon_sym_getgrgid] = ACTIONS(2360),
    [anon_sym_hex] = ACTIONS(2360),
    [anon_sym_int] = ACTIONS(2360),
    [anon_sym_keys] = ACTIONS(2360),
    [anon_sym_lc] = ACTIONS(2360),
    [anon_sym_lcfirst] = ACTIONS(2360),
    [anon_sym_length] = ACTIONS(2360),
    [anon_sym_localtime] = ACTIONS(2360),
    [anon_sym_log] = ACTIONS(2360),
    [anon_sym_lock] = ACTIONS(2360),
    [anon_sym_lstat] = ACTIONS(2360),
    [anon_sym_oct] = ACTIONS(2360),
    [anon_sym_ord] = ACTIONS(2360),
    [anon_sym_prototype] = ACTIONS(2360),
    [anon_sym_pop] = ACTIONS(2360),
    [anon_sym_pos] = ACTIONS(2360),
    [anon_sym_quotemeta] = ACTIONS(2360),
    [anon_sym_reset] = ACTIONS(2360),
    [anon_sym_rand] = ACTIONS(2360),
    [anon_sym_rmdir] = ACTIONS(2360),
    [anon_sym_readdir] = ACTIONS(2360),
    [anon_sym_readline] = ACTIONS(2360),
    [anon_sym_readpipe] = ACTIONS(2360),
    [anon_sym_rewinddir] = ACTIONS(2360),
    [anon_sym_readlink] = ACTIONS(2360),
    [anon_sym_ref] = ACTIONS(2360),
    [anon_sym_scalar] = ACTIONS(2360),
    [anon_sym_shift] = ACTIONS(2360),
    [anon_sym_sin] = ACTIONS(2360),
    [anon_sym_sleep] = ACTIONS(2360),
    [anon_sym_sqrt] = ACTIONS(2360),
    [anon_sym_srand] = ACTIONS(2360),
    [anon_sym_stat] = ACTIONS(2360),
    [anon_sym_study] = ACTIONS(2360),
    [anon_sym_tell] = ACTIONS(2360),
    [anon_sym_telldir] = ACTIONS(2360),
    [anon_sym_tied] = ACTIONS(2360),
    [anon_sym_uc] = ACTIONS(2360),
    [anon_sym_ucfirst] = ACTIONS(2360),
    [anon_sym_untie] = ACTIONS(2360),
    [anon_sym_umask] = ACTIONS(2360),
    [anon_sym_values] = ACTIONS(2360),
    [anon_sym_write] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2360),
    [anon_sym_qq] = ACTIONS(2360),
    [anon_sym_qw] = ACTIONS(2360),
    [anon_sym_qx] = ACTIONS(2360),
    [anon_sym_qr] = ACTIONS(2360),
    [anon_sym_m] = ACTIONS(2360),
    [anon_sym_s] = ACTIONS(2360),
    [anon_sym_tr] = ACTIONS(2360),
    [anon_sym_y] = ACTIONS(2360),
    [anon_sym_if] = ACTIONS(2360),
    [anon_sym_unless] = ACTIONS(2360),
    [anon_sym_while] = ACTIONS(2360),
    [anon_sym_until] = ACTIONS(2360),
    [aux_sym__bareword_token1] = ACTIONS(2360),
    [sym_number] = ACTIONS(2360),
    [anon_sym_true] = ACTIONS(2360),
    [anon_sym_false] = ACTIONS(2360),
    [sym__single_quote] = ACTIONS(2358),
    [sym__double_quote] = ACTIONS(2358),
    [sym__backtick_quote] = ACTIONS(2358),
    [sym__search_slash_quote] = ACTIONS(2358),
    [sym__open_readline_bracket] = ACTIONS(2358),
    [sym__open_fileglob_bracket] = ACTIONS(2358),
    [sym__PERLY_HEREDOC] = ACTIONS(2358),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2358),
    [sym__filetest] = ACTIONS(2358),
  },
  [998] = {
    [sym_heredoc_content] = STATE(998),
    [sym__identifier] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_package] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2332),
    [anon_sym_role] = ACTIONS(2332),
    [anon_sym_BUILD] = ACTIONS(2332),
    [anon_sym_ADJUST] = ACTIONS(2332),
    [anon_sym_DOLLAR] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_my] = ACTIONS(2332),
    [anon_sym_extended] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_sub] = ACTIONS(2332),
    [anon_sym_method] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_state] = ACTIONS(2332),
    [anon_sym_our] = ACTIONS(2332),
    [anon_sym_try] = ACTIONS(2332),
    [anon_sym_defer] = ACTIONS(2332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_BSLASH] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_eval] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_field] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2332),
    [anon_sym_dynamically] = ACTIONS(2332),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2332),
    [anon_sym_require] = ACTIONS(2332),
    [anon_sym_map] = ACTIONS(2332),
    [anon_sym_grep] = ACTIONS(2332),
    [anon_sym_sort] = ACTIONS(2332),
    [anon_sym_goto] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_undef] = ACTIONS(2332),
    [anon_sym_PERCENT2] = ACTIONS(2332),
    [anon_sym_AMP2] = ACTIONS(2332),
    [anon_sym_STAR2] = ACTIONS(2332),
    [anon_sym_use] = ACTIONS(2332),
    [anon_sym_no] = ACTIONS(2332),
    [anon_sym_for] = ACTIONS(2332),
    [anon_sym_foreach] = ACTIONS(2332),
    [anon_sym_last] = ACTIONS(2332),
    [anon_sym_next] = ACTIONS(2332),
    [anon_sym_redo] = ACTIONS(2332),
    [anon_sym_BEGIN] = ACTIONS(2332),
    [anon_sym_INIT] = ACTIONS(2332),
    [anon_sym_CHECK] = ACTIONS(2332),
    [anon_sym_UNITCHECK] = ACTIONS(2332),
    [anon_sym_END] = ACTIONS(2332),
    [anon_sym___FILE__] = ACTIONS(2332),
    [anon_sym___LINE__] = ACTIONS(2332),
    [anon_sym___PACKAGE__] = ACTIONS(2332),
    [anon_sym___SUB__] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_fork] = ACTIONS(2332),
    [anon_sym_getppid] = ACTIONS(2332),
    [anon_sym_time] = ACTIONS(2332),
    [anon_sym_times] = ACTIONS(2332),
    [anon_sym_wait] = ACTIONS(2332),
    [anon_sym_wantarray] = ACTIONS(2332),
    [anon_sym_abs] = ACTIONS(2332),
    [anon_sym_alarm] = ACTIONS(2332),
    [anon_sym_chop] = ACTIONS(2332),
    [anon_sym_chdir] = ACTIONS(2332),
    [anon_sym_close] = ACTIONS(2332),
    [anon_sym_closedir] = ACTIONS(2332),
    [anon_sym_caller] = ACTIONS(2332),
    [anon_sym_chomp] = ACTIONS(2332),
    [anon_sym_chr] = ACTIONS(2332),
    [anon_sym_cos] = ACTIONS(2332),
    [anon_sym_chroot] = ACTIONS(2332),
    [anon_sym_defined] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_dbmclose] = ACTIONS(2332),
    [anon_sym_exists] = ACTIONS(2332),
    [anon_sym_exit] = ACTIONS(2332),
    [anon_sym_eof] = ACTIONS(2332),
    [anon_sym_exp] = ACTIONS(2332),
    [anon_sym_each] = ACTIONS(2332),
    [anon_sym_fc] = ACTIONS(2332),
    [anon_sym_fileno] = ACTIONS(2332),
    [anon_sym_gmtime] = ACTIONS(2332),
    [anon_sym_getc] = ACTIONS(2332),
    [anon_sym_getpgrp] = ACTIONS(2332),
    [anon_sym_getprotobyname] = ACTIONS(2332),
    [anon_sym_getpwname] = ACTIONS(2332),
    [anon_sym_getpwuid] = ACTIONS(2332),
    [anon_sym_getpeername] = ACTIONS(2332),
    [anon_sym_getnetbyname] = ACTIONS(2332),
    [anon_sym_getsockname] = ACTIONS(2332),
    [anon_sym_getgrnam] = ACTIONS(2332),
    [anon_sym_getgrgid] = ACTIONS(2332),
    [anon_sym_hex] = ACTIONS(2332),
    [anon_sym_int] = ACTIONS(2332),
    [anon_sym_keys] = ACTIONS(2332),
    [anon_sym_lc] = ACTIONS(2332),
    [anon_sym_lcfirst] = ACTIONS(2332),
    [anon_sym_length] = ACTIONS(2332),
    [anon_sym_localtime] = ACTIONS(2332),
    [anon_sym_log] = ACTIONS(2332),
    [anon_sym_lock] = ACTIONS(2332),
    [anon_sym_lstat] = ACTIONS(2332),
    [anon_sym_oct] = ACTIONS(2332),
    [anon_sym_ord] = ACTIONS(2332),
    [anon_sym_prototype] = ACTIONS(2332),
    [anon_sym_pop] = ACTIONS(2332),
    [anon_sym_pos] = ACTIONS(2332),
    [anon_sym_quotemeta] = ACTIONS(2332),
    [anon_sym_reset] = ACTIONS(2332),
    [anon_sym_rand] = ACTIONS(2332),
    [anon_sym_rmdir] = ACTIONS(2332),
    [anon_sym_readdir] = ACTIONS(2332),
    [anon_sym_readline] = ACTIONS(2332),
    [anon_sym_readpipe] = ACTIONS(2332),
    [anon_sym_rewinddir] = ACTIONS(2332),
    [anon_sym_readlink] = ACTIONS(2332),
    [anon_sym_ref] = ACTIONS(2332),
    [anon_sym_scalar] = ACTIONS(2332),
    [anon_sym_shift] = ACTIONS(2332),
    [anon_sym_sin] = ACTIONS(2332),
    [anon_sym_sleep] = ACTIONS(2332),
    [anon_sym_sqrt] = ACTIONS(2332),
    [anon_sym_srand] = ACTIONS(2332),
    [anon_sym_stat] = ACTIONS(2332),
    [anon_sym_study] = ACTIONS(2332),
    [anon_sym_tell] = ACTIONS(2332),
    [anon_sym_telldir] = ACTIONS(2332),
    [anon_sym_tied] = ACTIONS(2332),
    [anon_sym_uc] = ACTIONS(2332),
    [anon_sym_ucfirst] = ACTIONS(2332),
    [anon_sym_untie] = ACTIONS(2332),
    [anon_sym_umask] = ACTIONS(2332),
    [anon_sym_values] = ACTIONS(2332),
    [anon_sym_write] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2332),
    [anon_sym_qq] = ACTIONS(2332),
    [anon_sym_qw] = ACTIONS(2332),
    [anon_sym_qx] = ACTIONS(2332),
    [anon_sym_qr] = ACTIONS(2332),
    [anon_sym_m] = ACTIONS(2332),
    [anon_sym_s] = ACTIONS(2332),
    [anon_sym_tr] = ACTIONS(2332),
    [anon_sym_y] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2332),
    [anon_sym_unless] = ACTIONS(2332),
    [anon_sym_while] = ACTIONS(2332),
    [anon_sym_until] = ACTIONS(2332),
    [aux_sym__bareword_token1] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [anon_sym_true] = ACTIONS(2332),
    [anon_sym_false] = ACTIONS(2332),
    [sym__single_quote] = ACTIONS(2330),
    [sym__double_quote] = ACTIONS(2330),
    [sym__backtick_quote] = ACTIONS(2330),
    [sym__search_slash_quote] = ACTIONS(2330),
    [sym__open_readline_bracket] = ACTIONS(2330),
    [sym__open_fileglob_bracket] = ACTIONS(2330),
    [sym__PERLY_HEREDOC] = ACTIONS(2330),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2330),
    [sym__filetest] = ACTIONS(2330),
  },
  [999] = {
    [sym_heredoc_content] = STATE(999),
    [sym__identifier] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_RBRACE] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2141),
    [anon_sym_package] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_role] = ACTIONS(2141),
    [anon_sym_BUILD] = ACTIONS(2141),
    [anon_sym_ADJUST] = ACTIONS(2141),
    [anon_sym_DOLLAR] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_my] = ACTIONS(2141),
    [anon_sym_extended] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_sub] = ACTIONS(2141),
    [anon_sym_method] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_state] = ACTIONS(2141),
    [anon_sym_our] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_defer] = ACTIONS(2141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_SLASH_SLASH] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_BSLASH] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_eval] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_field] = ACTIONS(2141),
    [anon_sym_local] = ACTIONS(2141),
    [anon_sym_dynamically] = ACTIONS(2141),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2141),
    [anon_sym_require] = ACTIONS(2141),
    [anon_sym_map] = ACTIONS(2141),
    [anon_sym_grep] = ACTIONS(2141),
    [anon_sym_sort] = ACTIONS(2141),
    [anon_sym_goto] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_undef] = ACTIONS(2141),
    [anon_sym_PERCENT2] = ACTIONS(2141),
    [anon_sym_AMP2] = ACTIONS(2141),
    [anon_sym_STAR2] = ACTIONS(2141),
    [anon_sym_use] = ACTIONS(2141),
    [anon_sym_no] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_foreach] = ACTIONS(2141),
    [anon_sym_last] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2141),
    [anon_sym_redo] = ACTIONS(2141),
    [anon_sym_BEGIN] = ACTIONS(2141),
    [anon_sym_INIT] = ACTIONS(2141),
    [anon_sym_CHECK] = ACTIONS(2141),
    [anon_sym_UNITCHECK] = ACTIONS(2141),
    [anon_sym_END] = ACTIONS(2141),
    [anon_sym___FILE__] = ACTIONS(2141),
    [anon_sym___LINE__] = ACTIONS(2141),
    [anon_sym___PACKAGE__] = ACTIONS(2141),
    [anon_sym___SUB__] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_fork] = ACTIONS(2141),
    [anon_sym_getppid] = ACTIONS(2141),
    [anon_sym_time] = ACTIONS(2141),
    [anon_sym_times] = ACTIONS(2141),
    [anon_sym_wait] = ACTIONS(2141),
    [anon_sym_wantarray] = ACTIONS(2141),
    [anon_sym_abs] = ACTIONS(2141),
    [anon_sym_alarm] = ACTIONS(2141),
    [anon_sym_chop] = ACTIONS(2141),
    [anon_sym_chdir] = ACTIONS(2141),
    [anon_sym_close] = ACTIONS(2141),
    [anon_sym_closedir] = ACTIONS(2141),
    [anon_sym_caller] = ACTIONS(2141),
    [anon_sym_chomp] = ACTIONS(2141),
    [anon_sym_chr] = ACTIONS(2141),
    [anon_sym_cos] = ACTIONS(2141),
    [anon_sym_chroot] = ACTIONS(2141),
    [anon_sym_defined] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_dbmclose] = ACTIONS(2141),
    [anon_sym_exists] = ACTIONS(2141),
    [anon_sym_exit] = ACTIONS(2141),
    [anon_sym_eof] = ACTIONS(2141),
    [anon_sym_exp] = ACTIONS(2141),
    [anon_sym_each] = ACTIONS(2141),
    [anon_sym_fc] = ACTIONS(2141),
    [anon_sym_fileno] = ACTIONS(2141),
    [anon_sym_gmtime] = ACTIONS(2141),
    [anon_sym_getc] = ACTIONS(2141),
    [anon_sym_getpgrp] = ACTIONS(2141),
    [anon_sym_getprotobyname] = ACTIONS(2141),
    [anon_sym_getpwname] = ACTIONS(2141),
    [anon_sym_getpwuid] = ACTIONS(2141),
    [anon_sym_getpeername] = ACTIONS(2141),
    [anon_sym_getnetbyname] = ACTIONS(2141),
    [anon_sym_getsockname] = ACTIONS(2141),
    [anon_sym_getgrnam] = ACTIONS(2141),
    [anon_sym_getgrgid] = ACTIONS(2141),
    [anon_sym_hex] = ACTIONS(2141),
    [anon_sym_int] = ACTIONS(2141),
    [anon_sym_keys] = ACTIONS(2141),
    [anon_sym_lc] = ACTIONS(2141),
    [anon_sym_lcfirst] = ACTIONS(2141),
    [anon_sym_length] = ACTIONS(2141),
    [anon_sym_localtime] = ACTIONS(2141),
    [anon_sym_log] = ACTIONS(2141),
    [anon_sym_lock] = ACTIONS(2141),
    [anon_sym_lstat] = ACTIONS(2141),
    [anon_sym_oct] = ACTIONS(2141),
    [anon_sym_ord] = ACTIONS(2141),
    [anon_sym_prototype] = ACTIONS(2141),
    [anon_sym_pop] = ACTIONS(2141),
    [anon_sym_pos] = ACTIONS(2141),
    [anon_sym_quotemeta] = ACTIONS(2141),
    [anon_sym_reset] = ACTIONS(2141),
    [anon_sym_rand] = ACTIONS(2141),
    [anon_sym_rmdir] = ACTIONS(2141),
    [anon_sym_readdir] = ACTIONS(2141),
    [anon_sym_readline] = ACTIONS(2141),
    [anon_sym_readpipe] = ACTIONS(2141),
    [anon_sym_rewinddir] = ACTIONS(2141),
    [anon_sym_readlink] = ACTIONS(2141),
    [anon_sym_ref] = ACTIONS(2141),
    [anon_sym_scalar] = ACTIONS(2141),
    [anon_sym_shift] = ACTIONS(2141),
    [anon_sym_sin] = ACTIONS(2141),
    [anon_sym_sleep] = ACTIONS(2141),
    [anon_sym_sqrt] = ACTIONS(2141),
    [anon_sym_srand] = ACTIONS(2141),
    [anon_sym_stat] = ACTIONS(2141),
    [anon_sym_study] = ACTIONS(2141),
    [anon_sym_tell] = ACTIONS(2141),
    [anon_sym_telldir] = ACTIONS(2141),
    [anon_sym_tied] = ACTIONS(2141),
    [anon_sym_uc] = ACTIONS(2141),
    [anon_sym_ucfirst] = ACTIONS(2141),
    [anon_sym_untie] = ACTIONS(2141),
    [anon_sym_umask] = ACTIONS(2141),
    [anon_sym_values] = ACTIONS(2141),
    [anon_sym_write] = ACTIONS(2141),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2141),
    [anon_sym_qq] = ACTIONS(2141),
    [anon_sym_qw] = ACTIONS(2141),
    [anon_sym_qx] = ACTIONS(2141),
    [anon_sym_qr] = ACTIONS(2141),
    [anon_sym_m] = ACTIONS(2141),
    [anon_sym_s] = ACTIONS(2141),
    [anon_sym_tr] = ACTIONS(2141),
    [anon_sym_y] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_unless] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_until] = ACTIONS(2141),
    [aux_sym__bareword_token1] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [anon_sym_true] = ACTIONS(2141),
    [anon_sym_false] = ACTIONS(2141),
    [sym__single_quote] = ACTIONS(2139),
    [sym__double_quote] = ACTIONS(2139),
    [sym__backtick_quote] = ACTIONS(2139),
    [sym__search_slash_quote] = ACTIONS(2139),
    [sym__open_readline_bracket] = ACTIONS(2139),
    [sym__open_fileglob_bracket] = ACTIONS(2139),
    [sym__PERLY_HEREDOC] = ACTIONS(2139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2139),
    [sym__filetest] = ACTIONS(2139),
  },
  [1000] = {
    [sym_heredoc_content] = STATE(1000),
    [sym__identifier] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_RBRACE] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2145),
    [anon_sym_package] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_role] = ACTIONS(2145),
    [anon_sym_BUILD] = ACTIONS(2145),
    [anon_sym_ADJUST] = ACTIONS(2145),
    [anon_sym_DOLLAR] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_my] = ACTIONS(2145),
    [anon_sym_extended] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_sub] = ACTIONS(2145),
    [anon_sym_method] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_state] = ACTIONS(2145),
    [anon_sym_our] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_defer] = ACTIONS(2145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_SLASH_SLASH] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_BSLASH] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_eval] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_field] = ACTIONS(2145),
    [anon_sym_local] = ACTIONS(2145),
    [anon_sym_dynamically] = ACTIONS(2145),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2145),
    [anon_sym_require] = ACTIONS(2145),
    [anon_sym_map] = ACTIONS(2145),
    [anon_sym_grep] = ACTIONS(2145),
    [anon_sym_sort] = ACTIONS(2145),
    [anon_sym_goto] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_undef] = ACTIONS(2145),
    [anon_sym_PERCENT2] = ACTIONS(2145),
    [anon_sym_AMP2] = ACTIONS(2145),
    [anon_sym_STAR2] = ACTIONS(2145),
    [anon_sym_use] = ACTIONS(2145),
    [anon_sym_no] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_foreach] = ACTIONS(2145),
    [anon_sym_last] = ACTIONS(2145),
    [anon_sym_next] = ACTIONS(2145),
    [anon_sym_redo] = ACTIONS(2145),
    [anon_sym_BEGIN] = ACTIONS(2145),
    [anon_sym_INIT] = ACTIONS(2145),
    [anon_sym_CHECK] = ACTIONS(2145),
    [anon_sym_UNITCHECK] = ACTIONS(2145),
    [anon_sym_END] = ACTIONS(2145),
    [anon_sym___FILE__] = ACTIONS(2145),
    [anon_sym___LINE__] = ACTIONS(2145),
    [anon_sym___PACKAGE__] = ACTIONS(2145),
    [anon_sym___SUB__] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_fork] = ACTIONS(2145),
    [anon_sym_getppid] = ACTIONS(2145),
    [anon_sym_time] = ACTIONS(2145),
    [anon_sym_times] = ACTIONS(2145),
    [anon_sym_wait] = ACTIONS(2145),
    [anon_sym_wantarray] = ACTIONS(2145),
    [anon_sym_abs] = ACTIONS(2145),
    [anon_sym_alarm] = ACTIONS(2145),
    [anon_sym_chop] = ACTIONS(2145),
    [anon_sym_chdir] = ACTIONS(2145),
    [anon_sym_close] = ACTIONS(2145),
    [anon_sym_closedir] = ACTIONS(2145),
    [anon_sym_caller] = ACTIONS(2145),
    [anon_sym_chomp] = ACTIONS(2145),
    [anon_sym_chr] = ACTIONS(2145),
    [anon_sym_cos] = ACTIONS(2145),
    [anon_sym_chroot] = ACTIONS(2145),
    [anon_sym_defined] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_dbmclose] = ACTIONS(2145),
    [anon_sym_exists] = ACTIONS(2145),
    [anon_sym_exit] = ACTIONS(2145),
    [anon_sym_eof] = ACTIONS(2145),
    [anon_sym_exp] = ACTIONS(2145),
    [anon_sym_each] = ACTIONS(2145),
    [anon_sym_fc] = ACTIONS(2145),
    [anon_sym_fileno] = ACTIONS(2145),
    [anon_sym_gmtime] = ACTIONS(2145),
    [anon_sym_getc] = ACTIONS(2145),
    [anon_sym_getpgrp] = ACTIONS(2145),
    [anon_sym_getprotobyname] = ACTIONS(2145),
    [anon_sym_getpwname] = ACTIONS(2145),
    [anon_sym_getpwuid] = ACTIONS(2145),
    [anon_sym_getpeername] = ACTIONS(2145),
    [anon_sym_getnetbyname] = ACTIONS(2145),
    [anon_sym_getsockname] = ACTIONS(2145),
    [anon_sym_getgrnam] = ACTIONS(2145),
    [anon_sym_getgrgid] = ACTIONS(2145),
    [anon_sym_hex] = ACTIONS(2145),
    [anon_sym_int] = ACTIONS(2145),
    [anon_sym_keys] = ACTIONS(2145),
    [anon_sym_lc] = ACTIONS(2145),
    [anon_sym_lcfirst] = ACTIONS(2145),
    [anon_sym_length] = ACTIONS(2145),
    [anon_sym_localtime] = ACTIONS(2145),
    [anon_sym_log] = ACTIONS(2145),
    [anon_sym_lock] = ACTIONS(2145),
    [anon_sym_lstat] = ACTIONS(2145),
    [anon_sym_oct] = ACTIONS(2145),
    [anon_sym_ord] = ACTIONS(2145),
    [anon_sym_prototype] = ACTIONS(2145),
    [anon_sym_pop] = ACTIONS(2145),
    [anon_sym_pos] = ACTIONS(2145),
    [anon_sym_quotemeta] = ACTIONS(2145),
    [anon_sym_reset] = ACTIONS(2145),
    [anon_sym_rand] = ACTIONS(2145),
    [anon_sym_rmdir] = ACTIONS(2145),
    [anon_sym_readdir] = ACTIONS(2145),
    [anon_sym_readline] = ACTIONS(2145),
    [anon_sym_readpipe] = ACTIONS(2145),
    [anon_sym_rewinddir] = ACTIONS(2145),
    [anon_sym_readlink] = ACTIONS(2145),
    [anon_sym_ref] = ACTIONS(2145),
    [anon_sym_scalar] = ACTIONS(2145),
    [anon_sym_shift] = ACTIONS(2145),
    [anon_sym_sin] = ACTIONS(2145),
    [anon_sym_sleep] = ACTIONS(2145),
    [anon_sym_sqrt] = ACTIONS(2145),
    [anon_sym_srand] = ACTIONS(2145),
    [anon_sym_stat] = ACTIONS(2145),
    [anon_sym_study] = ACTIONS(2145),
    [anon_sym_tell] = ACTIONS(2145),
    [anon_sym_telldir] = ACTIONS(2145),
    [anon_sym_tied] = ACTIONS(2145),
    [anon_sym_uc] = ACTIONS(2145),
    [anon_sym_ucfirst] = ACTIONS(2145),
    [anon_sym_untie] = ACTIONS(2145),
    [anon_sym_umask] = ACTIONS(2145),
    [anon_sym_values] = ACTIONS(2145),
    [anon_sym_write] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2145),
    [anon_sym_qq] = ACTIONS(2145),
    [anon_sym_qw] = ACTIONS(2145),
    [anon_sym_qx] = ACTIONS(2145),
    [anon_sym_qr] = ACTIONS(2145),
    [anon_sym_m] = ACTIONS(2145),
    [anon_sym_s] = ACTIONS(2145),
    [anon_sym_tr] = ACTIONS(2145),
    [anon_sym_y] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_unless] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_until] = ACTIONS(2145),
    [aux_sym__bareword_token1] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [anon_sym_true] = ACTIONS(2145),
    [anon_sym_false] = ACTIONS(2145),
    [sym__single_quote] = ACTIONS(2143),
    [sym__double_quote] = ACTIONS(2143),
    [sym__backtick_quote] = ACTIONS(2143),
    [sym__search_slash_quote] = ACTIONS(2143),
    [sym__open_readline_bracket] = ACTIONS(2143),
    [sym__open_fileglob_bracket] = ACTIONS(2143),
    [sym__PERLY_HEREDOC] = ACTIONS(2143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2143),
    [sym__filetest] = ACTIONS(2143),
  },
  [1001] = {
    [sym_heredoc_content] = STATE(1001),
    [sym__identifier] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_RBRACE] = ACTIONS(2153),
    [anon_sym_SEMI] = ACTIONS(2153),
    [anon_sym_package] = ACTIONS(2153),
    [anon_sym_class] = ACTIONS(2153),
    [anon_sym_role] = ACTIONS(2153),
    [anon_sym_BUILD] = ACTIONS(2153),
    [anon_sym_ADJUST] = ACTIONS(2153),
    [anon_sym_DOLLAR] = ACTIONS(2153),
    [anon_sym_AT] = ACTIONS(2153),
    [anon_sym_my] = ACTIONS(2153),
    [anon_sym_extended] = ACTIONS(2153),
    [anon_sym_async] = ACTIONS(2153),
    [anon_sym_sub] = ACTIONS(2153),
    [anon_sym_method] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2153),
    [anon_sym_continue] = ACTIONS(2153),
    [anon_sym_state] = ACTIONS(2153),
    [anon_sym_our] = ACTIONS(2153),
    [anon_sym_try] = ACTIONS(2153),
    [anon_sym_defer] = ACTIONS(2153),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(2153),
    [anon_sym_LT_LT] = ACTIONS(2153),
    [anon_sym_SLASH_SLASH] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_BSLASH] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2153),
    [anon_sym_eval] = ACTIONS(2153),
    [anon_sym_await] = ACTIONS(2153),
    [anon_sym_field] = ACTIONS(2153),
    [anon_sym_local] = ACTIONS(2153),
    [anon_sym_dynamically] = ACTIONS(2153),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2153),
    [anon_sym_require] = ACTIONS(2153),
    [anon_sym_map] = ACTIONS(2153),
    [anon_sym_grep] = ACTIONS(2153),
    [anon_sym_sort] = ACTIONS(2153),
    [anon_sym_goto] = ACTIONS(2153),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_undef] = ACTIONS(2153),
    [anon_sym_PERCENT2] = ACTIONS(2153),
    [anon_sym_AMP2] = ACTIONS(2153),
    [anon_sym_STAR2] = ACTIONS(2153),
    [anon_sym_use] = ACTIONS(2153),
    [anon_sym_no] = ACTIONS(2153),
    [anon_sym_for] = ACTIONS(2153),
    [anon_sym_foreach] = ACTIONS(2153),
    [anon_sym_last] = ACTIONS(2153),
    [anon_sym_next] = ACTIONS(2153),
    [anon_sym_redo] = ACTIONS(2153),
    [anon_sym_BEGIN] = ACTIONS(2153),
    [anon_sym_INIT] = ACTIONS(2153),
    [anon_sym_CHECK] = ACTIONS(2153),
    [anon_sym_UNITCHECK] = ACTIONS(2153),
    [anon_sym_END] = ACTIONS(2153),
    [anon_sym___FILE__] = ACTIONS(2153),
    [anon_sym___LINE__] = ACTIONS(2153),
    [anon_sym___PACKAGE__] = ACTIONS(2153),
    [anon_sym___SUB__] = ACTIONS(2153),
    [anon_sym_break] = ACTIONS(2153),
    [anon_sym_fork] = ACTIONS(2153),
    [anon_sym_getppid] = ACTIONS(2153),
    [anon_sym_time] = ACTIONS(2153),
    [anon_sym_times] = ACTIONS(2153),
    [anon_sym_wait] = ACTIONS(2153),
    [anon_sym_wantarray] = ACTIONS(2153),
    [anon_sym_abs] = ACTIONS(2153),
    [anon_sym_alarm] = ACTIONS(2153),
    [anon_sym_chop] = ACTIONS(2153),
    [anon_sym_chdir] = ACTIONS(2153),
    [anon_sym_close] = ACTIONS(2153),
    [anon_sym_closedir] = ACTIONS(2153),
    [anon_sym_caller] = ACTIONS(2153),
    [anon_sym_chomp] = ACTIONS(2153),
    [anon_sym_chr] = ACTIONS(2153),
    [anon_sym_cos] = ACTIONS(2153),
    [anon_sym_chroot] = ACTIONS(2153),
    [anon_sym_defined] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2153),
    [anon_sym_dbmclose] = ACTIONS(2153),
    [anon_sym_exists] = ACTIONS(2153),
    [anon_sym_exit] = ACTIONS(2153),
    [anon_sym_eof] = ACTIONS(2153),
    [anon_sym_exp] = ACTIONS(2153),
    [anon_sym_each] = ACTIONS(2153),
    [anon_sym_fc] = ACTIONS(2153),
    [anon_sym_fileno] = ACTIONS(2153),
    [anon_sym_gmtime] = ACTIONS(2153),
    [anon_sym_getc] = ACTIONS(2153),
    [anon_sym_getpgrp] = ACTIONS(2153),
    [anon_sym_getprotobyname] = ACTIONS(2153),
    [anon_sym_getpwname] = ACTIONS(2153),
    [anon_sym_getpwuid] = ACTIONS(2153),
    [anon_sym_getpeername] = ACTIONS(2153),
    [anon_sym_getnetbyname] = ACTIONS(2153),
    [anon_sym_getsockname] = ACTIONS(2153),
    [anon_sym_getgrnam] = ACTIONS(2153),
    [anon_sym_getgrgid] = ACTIONS(2153),
    [anon_sym_hex] = ACTIONS(2153),
    [anon_sym_int] = ACTIONS(2153),
    [anon_sym_keys] = ACTIONS(2153),
    [anon_sym_lc] = ACTIONS(2153),
    [anon_sym_lcfirst] = ACTIONS(2153),
    [anon_sym_length] = ACTIONS(2153),
    [anon_sym_localtime] = ACTIONS(2153),
    [anon_sym_log] = ACTIONS(2153),
    [anon_sym_lock] = ACTIONS(2153),
    [anon_sym_lstat] = ACTIONS(2153),
    [anon_sym_oct] = ACTIONS(2153),
    [anon_sym_ord] = ACTIONS(2153),
    [anon_sym_prototype] = ACTIONS(2153),
    [anon_sym_pop] = ACTIONS(2153),
    [anon_sym_pos] = ACTIONS(2153),
    [anon_sym_quotemeta] = ACTIONS(2153),
    [anon_sym_reset] = ACTIONS(2153),
    [anon_sym_rand] = ACTIONS(2153),
    [anon_sym_rmdir] = ACTIONS(2153),
    [anon_sym_readdir] = ACTIONS(2153),
    [anon_sym_readline] = ACTIONS(2153),
    [anon_sym_readpipe] = ACTIONS(2153),
    [anon_sym_rewinddir] = ACTIONS(2153),
    [anon_sym_readlink] = ACTIONS(2153),
    [anon_sym_ref] = ACTIONS(2153),
    [anon_sym_scalar] = ACTIONS(2153),
    [anon_sym_shift] = ACTIONS(2153),
    [anon_sym_sin] = ACTIONS(2153),
    [anon_sym_sleep] = ACTIONS(2153),
    [anon_sym_sqrt] = ACTIONS(2153),
    [anon_sym_srand] = ACTIONS(2153),
    [anon_sym_stat] = ACTIONS(2153),
    [anon_sym_study] = ACTIONS(2153),
    [anon_sym_tell] = ACTIONS(2153),
    [anon_sym_telldir] = ACTIONS(2153),
    [anon_sym_tied] = ACTIONS(2153),
    [anon_sym_uc] = ACTIONS(2153),
    [anon_sym_ucfirst] = ACTIONS(2153),
    [anon_sym_untie] = ACTIONS(2153),
    [anon_sym_umask] = ACTIONS(2153),
    [anon_sym_values] = ACTIONS(2153),
    [anon_sym_write] = ACTIONS(2153),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2153),
    [anon_sym_qq] = ACTIONS(2153),
    [anon_sym_qw] = ACTIONS(2153),
    [anon_sym_qx] = ACTIONS(2153),
    [anon_sym_qr] = ACTIONS(2153),
    [anon_sym_m] = ACTIONS(2153),
    [anon_sym_s] = ACTIONS(2153),
    [anon_sym_tr] = ACTIONS(2153),
    [anon_sym_y] = ACTIONS(2153),
    [anon_sym_if] = ACTIONS(2153),
    [anon_sym_unless] = ACTIONS(2153),
    [anon_sym_while] = ACTIONS(2153),
    [anon_sym_until] = ACTIONS(2153),
    [aux_sym__bareword_token1] = ACTIONS(2153),
    [sym_number] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(2153),
    [anon_sym_false] = ACTIONS(2153),
    [sym__single_quote] = ACTIONS(2151),
    [sym__double_quote] = ACTIONS(2151),
    [sym__backtick_quote] = ACTIONS(2151),
    [sym__search_slash_quote] = ACTIONS(2151),
    [sym__open_readline_bracket] = ACTIONS(2151),
    [sym__open_fileglob_bracket] = ACTIONS(2151),
    [sym__PERLY_HEREDOC] = ACTIONS(2151),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2151),
    [sym__filetest] = ACTIONS(2151),
  },
  [1002] = {
    [sym_heredoc_content] = STATE(1002),
    [sym__identifier] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2185),
    [anon_sym_package] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_role] = ACTIONS(2185),
    [anon_sym_BUILD] = ACTIONS(2185),
    [anon_sym_ADJUST] = ACTIONS(2185),
    [anon_sym_DOLLAR] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_my] = ACTIONS(2185),
    [anon_sym_extended] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_sub] = ACTIONS(2185),
    [anon_sym_method] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_state] = ACTIONS(2185),
    [anon_sym_our] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_defer] = ACTIONS(2185),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LT_LT] = ACTIONS(2185),
    [anon_sym_SLASH_SLASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_eval] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_field] = ACTIONS(2185),
    [anon_sym_local] = ACTIONS(2185),
    [anon_sym_dynamically] = ACTIONS(2185),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2185),
    [anon_sym_require] = ACTIONS(2185),
    [anon_sym_map] = ACTIONS(2185),
    [anon_sym_grep] = ACTIONS(2185),
    [anon_sym_sort] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_undef] = ACTIONS(2185),
    [anon_sym_PERCENT2] = ACTIONS(2185),
    [anon_sym_AMP2] = ACTIONS(2185),
    [anon_sym_STAR2] = ACTIONS(2185),
    [anon_sym_use] = ACTIONS(2185),
    [anon_sym_no] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_foreach] = ACTIONS(2185),
    [anon_sym_last] = ACTIONS(2185),
    [anon_sym_next] = ACTIONS(2185),
    [anon_sym_redo] = ACTIONS(2185),
    [anon_sym_BEGIN] = ACTIONS(2185),
    [anon_sym_INIT] = ACTIONS(2185),
    [anon_sym_CHECK] = ACTIONS(2185),
    [anon_sym_UNITCHECK] = ACTIONS(2185),
    [anon_sym_END] = ACTIONS(2185),
    [anon_sym___FILE__] = ACTIONS(2185),
    [anon_sym___LINE__] = ACTIONS(2185),
    [anon_sym___PACKAGE__] = ACTIONS(2185),
    [anon_sym___SUB__] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_fork] = ACTIONS(2185),
    [anon_sym_getppid] = ACTIONS(2185),
    [anon_sym_time] = ACTIONS(2185),
    [anon_sym_times] = ACTIONS(2185),
    [anon_sym_wait] = ACTIONS(2185),
    [anon_sym_wantarray] = ACTIONS(2185),
    [anon_sym_abs] = ACTIONS(2185),
    [anon_sym_alarm] = ACTIONS(2185),
    [anon_sym_chop] = ACTIONS(2185),
    [anon_sym_chdir] = ACTIONS(2185),
    [anon_sym_close] = ACTIONS(2185),
    [anon_sym_closedir] = ACTIONS(2185),
    [anon_sym_caller] = ACTIONS(2185),
    [anon_sym_chomp] = ACTIONS(2185),
    [anon_sym_chr] = ACTIONS(2185),
    [anon_sym_cos] = ACTIONS(2185),
    [anon_sym_chroot] = ACTIONS(2185),
    [anon_sym_defined] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_dbmclose] = ACTIONS(2185),
    [anon_sym_exists] = ACTIONS(2185),
    [anon_sym_exit] = ACTIONS(2185),
    [anon_sym_eof] = ACTIONS(2185),
    [anon_sym_exp] = ACTIONS(2185),
    [anon_sym_each] = ACTIONS(2185),
    [anon_sym_fc] = ACTIONS(2185),
    [anon_sym_fileno] = ACTIONS(2185),
    [anon_sym_gmtime] = ACTIONS(2185),
    [anon_sym_getc] = ACTIONS(2185),
    [anon_sym_getpgrp] = ACTIONS(2185),
    [anon_sym_getprotobyname] = ACTIONS(2185),
    [anon_sym_getpwname] = ACTIONS(2185),
    [anon_sym_getpwuid] = ACTIONS(2185),
    [anon_sym_getpeername] = ACTIONS(2185),
    [anon_sym_getnetbyname] = ACTIONS(2185),
    [anon_sym_getsockname] = ACTIONS(2185),
    [anon_sym_getgrnam] = ACTIONS(2185),
    [anon_sym_getgrgid] = ACTIONS(2185),
    [anon_sym_hex] = ACTIONS(2185),
    [anon_sym_int] = ACTIONS(2185),
    [anon_sym_keys] = ACTIONS(2185),
    [anon_sym_lc] = ACTIONS(2185),
    [anon_sym_lcfirst] = ACTIONS(2185),
    [anon_sym_length] = ACTIONS(2185),
    [anon_sym_localtime] = ACTIONS(2185),
    [anon_sym_log] = ACTIONS(2185),
    [anon_sym_lock] = ACTIONS(2185),
    [anon_sym_lstat] = ACTIONS(2185),
    [anon_sym_oct] = ACTIONS(2185),
    [anon_sym_ord] = ACTIONS(2185),
    [anon_sym_prototype] = ACTIONS(2185),
    [anon_sym_pop] = ACTIONS(2185),
    [anon_sym_pos] = ACTIONS(2185),
    [anon_sym_quotemeta] = ACTIONS(2185),
    [anon_sym_reset] = ACTIONS(2185),
    [anon_sym_rand] = ACTIONS(2185),
    [anon_sym_rmdir] = ACTIONS(2185),
    [anon_sym_readdir] = ACTIONS(2185),
    [anon_sym_readline] = ACTIONS(2185),
    [anon_sym_readpipe] = ACTIONS(2185),
    [anon_sym_rewinddir] = ACTIONS(2185),
    [anon_sym_readlink] = ACTIONS(2185),
    [anon_sym_ref] = ACTIONS(2185),
    [anon_sym_scalar] = ACTIONS(2185),
    [anon_sym_shift] = ACTIONS(2185),
    [anon_sym_sin] = ACTIONS(2185),
    [anon_sym_sleep] = ACTIONS(2185),
    [anon_sym_sqrt] = ACTIONS(2185),
    [anon_sym_srand] = ACTIONS(2185),
    [anon_sym_stat] = ACTIONS(2185),
    [anon_sym_study] = ACTIONS(2185),
    [anon_sym_tell] = ACTIONS(2185),
    [anon_sym_telldir] = ACTIONS(2185),
    [anon_sym_tied] = ACTIONS(2185),
    [anon_sym_uc] = ACTIONS(2185),
    [anon_sym_ucfirst] = ACTIONS(2185),
    [anon_sym_untie] = ACTIONS(2185),
    [anon_sym_umask] = ACTIONS(2185),
    [anon_sym_values] = ACTIONS(2185),
    [anon_sym_write] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2185),
    [anon_sym_qq] = ACTIONS(2185),
    [anon_sym_qw] = ACTIONS(2185),
    [anon_sym_qx] = ACTIONS(2185),
    [anon_sym_qr] = ACTIONS(2185),
    [anon_sym_m] = ACTIONS(2185),
    [anon_sym_s] = ACTIONS(2185),
    [anon_sym_tr] = ACTIONS(2185),
    [anon_sym_y] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_unless] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_until] = ACTIONS(2185),
    [aux_sym__bareword_token1] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [sym__single_quote] = ACTIONS(2183),
    [sym__double_quote] = ACTIONS(2183),
    [sym__backtick_quote] = ACTIONS(2183),
    [sym__search_slash_quote] = ACTIONS(2183),
    [sym__open_readline_bracket] = ACTIONS(2183),
    [sym__open_fileglob_bracket] = ACTIONS(2183),
    [sym__PERLY_HEREDOC] = ACTIONS(2183),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2183),
    [sym__filetest] = ACTIONS(2183),
  },
  [1003] = {
    [sym_heredoc_content] = STATE(1003),
    [sym__identifier] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_RBRACE] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2189),
    [anon_sym_package] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_role] = ACTIONS(2189),
    [anon_sym_BUILD] = ACTIONS(2189),
    [anon_sym_ADJUST] = ACTIONS(2189),
    [anon_sym_DOLLAR] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_my] = ACTIONS(2189),
    [anon_sym_extended] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_sub] = ACTIONS(2189),
    [anon_sym_method] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_state] = ACTIONS(2189),
    [anon_sym_our] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_defer] = ACTIONS(2189),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_SLASH_SLASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [anon_sym_BSLASH] = ACTIONS(2187),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_eval] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_field] = ACTIONS(2189),
    [anon_sym_local] = ACTIONS(2189),
    [anon_sym_dynamically] = ACTIONS(2189),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2189),
    [anon_sym_require] = ACTIONS(2189),
    [anon_sym_map] = ACTIONS(2189),
    [anon_sym_grep] = ACTIONS(2189),
    [anon_sym_sort] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_undef] = ACTIONS(2189),
    [anon_sym_PERCENT2] = ACTIONS(2189),
    [anon_sym_AMP2] = ACTIONS(2189),
    [anon_sym_STAR2] = ACTIONS(2189),
    [anon_sym_use] = ACTIONS(2189),
    [anon_sym_no] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_foreach] = ACTIONS(2189),
    [anon_sym_last] = ACTIONS(2189),
    [anon_sym_next] = ACTIONS(2189),
    [anon_sym_redo] = ACTIONS(2189),
    [anon_sym_BEGIN] = ACTIONS(2189),
    [anon_sym_INIT] = ACTIONS(2189),
    [anon_sym_CHECK] = ACTIONS(2189),
    [anon_sym_UNITCHECK] = ACTIONS(2189),
    [anon_sym_END] = ACTIONS(2189),
    [anon_sym___FILE__] = ACTIONS(2189),
    [anon_sym___LINE__] = ACTIONS(2189),
    [anon_sym___PACKAGE__] = ACTIONS(2189),
    [anon_sym___SUB__] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_fork] = ACTIONS(2189),
    [anon_sym_getppid] = ACTIONS(2189),
    [anon_sym_time] = ACTIONS(2189),
    [anon_sym_times] = ACTIONS(2189),
    [anon_sym_wait] = ACTIONS(2189),
    [anon_sym_wantarray] = ACTIONS(2189),
    [anon_sym_abs] = ACTIONS(2189),
    [anon_sym_alarm] = ACTIONS(2189),
    [anon_sym_chop] = ACTIONS(2189),
    [anon_sym_chdir] = ACTIONS(2189),
    [anon_sym_close] = ACTIONS(2189),
    [anon_sym_closedir] = ACTIONS(2189),
    [anon_sym_caller] = ACTIONS(2189),
    [anon_sym_chomp] = ACTIONS(2189),
    [anon_sym_chr] = ACTIONS(2189),
    [anon_sym_cos] = ACTIONS(2189),
    [anon_sym_chroot] = ACTIONS(2189),
    [anon_sym_defined] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_dbmclose] = ACTIONS(2189),
    [anon_sym_exists] = ACTIONS(2189),
    [anon_sym_exit] = ACTIONS(2189),
    [anon_sym_eof] = ACTIONS(2189),
    [anon_sym_exp] = ACTIONS(2189),
    [anon_sym_each] = ACTIONS(2189),
    [anon_sym_fc] = ACTIONS(2189),
    [anon_sym_fileno] = ACTIONS(2189),
    [anon_sym_gmtime] = ACTIONS(2189),
    [anon_sym_getc] = ACTIONS(2189),
    [anon_sym_getpgrp] = ACTIONS(2189),
    [anon_sym_getprotobyname] = ACTIONS(2189),
    [anon_sym_getpwname] = ACTIONS(2189),
    [anon_sym_getpwuid] = ACTIONS(2189),
    [anon_sym_getpeername] = ACTIONS(2189),
    [anon_sym_getnetbyname] = ACTIONS(2189),
    [anon_sym_getsockname] = ACTIONS(2189),
    [anon_sym_getgrnam] = ACTIONS(2189),
    [anon_sym_getgrgid] = ACTIONS(2189),
    [anon_sym_hex] = ACTIONS(2189),
    [anon_sym_int] = ACTIONS(2189),
    [anon_sym_keys] = ACTIONS(2189),
    [anon_sym_lc] = ACTIONS(2189),
    [anon_sym_lcfirst] = ACTIONS(2189),
    [anon_sym_length] = ACTIONS(2189),
    [anon_sym_localtime] = ACTIONS(2189),
    [anon_sym_log] = ACTIONS(2189),
    [anon_sym_lock] = ACTIONS(2189),
    [anon_sym_lstat] = ACTIONS(2189),
    [anon_sym_oct] = ACTIONS(2189),
    [anon_sym_ord] = ACTIONS(2189),
    [anon_sym_prototype] = ACTIONS(2189),
    [anon_sym_pop] = ACTIONS(2189),
    [anon_sym_pos] = ACTIONS(2189),
    [anon_sym_quotemeta] = ACTIONS(2189),
    [anon_sym_reset] = ACTIONS(2189),
    [anon_sym_rand] = ACTIONS(2189),
    [anon_sym_rmdir] = ACTIONS(2189),
    [anon_sym_readdir] = ACTIONS(2189),
    [anon_sym_readline] = ACTIONS(2189),
    [anon_sym_readpipe] = ACTIONS(2189),
    [anon_sym_rewinddir] = ACTIONS(2189),
    [anon_sym_readlink] = ACTIONS(2189),
    [anon_sym_ref] = ACTIONS(2189),
    [anon_sym_scalar] = ACTIONS(2189),
    [anon_sym_shift] = ACTIONS(2189),
    [anon_sym_sin] = ACTIONS(2189),
    [anon_sym_sleep] = ACTIONS(2189),
    [anon_sym_sqrt] = ACTIONS(2189),
    [anon_sym_srand] = ACTIONS(2189),
    [anon_sym_stat] = ACTIONS(2189),
    [anon_sym_study] = ACTIONS(2189),
    [anon_sym_tell] = ACTIONS(2189),
    [anon_sym_telldir] = ACTIONS(2189),
    [anon_sym_tied] = ACTIONS(2189),
    [anon_sym_uc] = ACTIONS(2189),
    [anon_sym_ucfirst] = ACTIONS(2189),
    [anon_sym_untie] = ACTIONS(2189),
    [anon_sym_umask] = ACTIONS(2189),
    [anon_sym_values] = ACTIONS(2189),
    [anon_sym_write] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2189),
    [anon_sym_qq] = ACTIONS(2189),
    [anon_sym_qw] = ACTIONS(2189),
    [anon_sym_qx] = ACTIONS(2189),
    [anon_sym_qr] = ACTIONS(2189),
    [anon_sym_m] = ACTIONS(2189),
    [anon_sym_s] = ACTIONS(2189),
    [anon_sym_tr] = ACTIONS(2189),
    [anon_sym_y] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_unless] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_until] = ACTIONS(2189),
    [aux_sym__bareword_token1] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [anon_sym_true] = ACTIONS(2189),
    [anon_sym_false] = ACTIONS(2189),
    [sym__single_quote] = ACTIONS(2187),
    [sym__double_quote] = ACTIONS(2187),
    [sym__backtick_quote] = ACTIONS(2187),
    [sym__search_slash_quote] = ACTIONS(2187),
    [sym__open_readline_bracket] = ACTIONS(2187),
    [sym__open_fileglob_bracket] = ACTIONS(2187),
    [sym__PERLY_HEREDOC] = ACTIONS(2187),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2187),
    [sym__filetest] = ACTIONS(2187),
  },
  [1004] = {
    [sym_heredoc_content] = STATE(1004),
    [sym__identifier] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_RBRACE] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2193),
    [anon_sym_package] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_role] = ACTIONS(2193),
    [anon_sym_BUILD] = ACTIONS(2193),
    [anon_sym_ADJUST] = ACTIONS(2193),
    [anon_sym_DOLLAR] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_my] = ACTIONS(2193),
    [anon_sym_extended] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_sub] = ACTIONS(2193),
    [anon_sym_method] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_state] = ACTIONS(2193),
    [anon_sym_our] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_defer] = ACTIONS(2193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LT_LT] = ACTIONS(2193),
    [anon_sym_SLASH_SLASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_BSLASH] = ACTIONS(2191),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_eval] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_field] = ACTIONS(2193),
    [anon_sym_local] = ACTIONS(2193),
    [anon_sym_dynamically] = ACTIONS(2193),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2193),
    [anon_sym_require] = ACTIONS(2193),
    [anon_sym_map] = ACTIONS(2193),
    [anon_sym_grep] = ACTIONS(2193),
    [anon_sym_sort] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_undef] = ACTIONS(2193),
    [anon_sym_PERCENT2] = ACTIONS(2193),
    [anon_sym_AMP2] = ACTIONS(2193),
    [anon_sym_STAR2] = ACTIONS(2193),
    [anon_sym_use] = ACTIONS(2193),
    [anon_sym_no] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_foreach] = ACTIONS(2193),
    [anon_sym_last] = ACTIONS(2193),
    [anon_sym_next] = ACTIONS(2193),
    [anon_sym_redo] = ACTIONS(2193),
    [anon_sym_BEGIN] = ACTIONS(2193),
    [anon_sym_INIT] = ACTIONS(2193),
    [anon_sym_CHECK] = ACTIONS(2193),
    [anon_sym_UNITCHECK] = ACTIONS(2193),
    [anon_sym_END] = ACTIONS(2193),
    [anon_sym___FILE__] = ACTIONS(2193),
    [anon_sym___LINE__] = ACTIONS(2193),
    [anon_sym___PACKAGE__] = ACTIONS(2193),
    [anon_sym___SUB__] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_fork] = ACTIONS(2193),
    [anon_sym_getppid] = ACTIONS(2193),
    [anon_sym_time] = ACTIONS(2193),
    [anon_sym_times] = ACTIONS(2193),
    [anon_sym_wait] = ACTIONS(2193),
    [anon_sym_wantarray] = ACTIONS(2193),
    [anon_sym_abs] = ACTIONS(2193),
    [anon_sym_alarm] = ACTIONS(2193),
    [anon_sym_chop] = ACTIONS(2193),
    [anon_sym_chdir] = ACTIONS(2193),
    [anon_sym_close] = ACTIONS(2193),
    [anon_sym_closedir] = ACTIONS(2193),
    [anon_sym_caller] = ACTIONS(2193),
    [anon_sym_chomp] = ACTIONS(2193),
    [anon_sym_chr] = ACTIONS(2193),
    [anon_sym_cos] = ACTIONS(2193),
    [anon_sym_chroot] = ACTIONS(2193),
    [anon_sym_defined] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_dbmclose] = ACTIONS(2193),
    [anon_sym_exists] = ACTIONS(2193),
    [anon_sym_exit] = ACTIONS(2193),
    [anon_sym_eof] = ACTIONS(2193),
    [anon_sym_exp] = ACTIONS(2193),
    [anon_sym_each] = ACTIONS(2193),
    [anon_sym_fc] = ACTIONS(2193),
    [anon_sym_fileno] = ACTIONS(2193),
    [anon_sym_gmtime] = ACTIONS(2193),
    [anon_sym_getc] = ACTIONS(2193),
    [anon_sym_getpgrp] = ACTIONS(2193),
    [anon_sym_getprotobyname] = ACTIONS(2193),
    [anon_sym_getpwname] = ACTIONS(2193),
    [anon_sym_getpwuid] = ACTIONS(2193),
    [anon_sym_getpeername] = ACTIONS(2193),
    [anon_sym_getnetbyname] = ACTIONS(2193),
    [anon_sym_getsockname] = ACTIONS(2193),
    [anon_sym_getgrnam] = ACTIONS(2193),
    [anon_sym_getgrgid] = ACTIONS(2193),
    [anon_sym_hex] = ACTIONS(2193),
    [anon_sym_int] = ACTIONS(2193),
    [anon_sym_keys] = ACTIONS(2193),
    [anon_sym_lc] = ACTIONS(2193),
    [anon_sym_lcfirst] = ACTIONS(2193),
    [anon_sym_length] = ACTIONS(2193),
    [anon_sym_localtime] = ACTIONS(2193),
    [anon_sym_log] = ACTIONS(2193),
    [anon_sym_lock] = ACTIONS(2193),
    [anon_sym_lstat] = ACTIONS(2193),
    [anon_sym_oct] = ACTIONS(2193),
    [anon_sym_ord] = ACTIONS(2193),
    [anon_sym_prototype] = ACTIONS(2193),
    [anon_sym_pop] = ACTIONS(2193),
    [anon_sym_pos] = ACTIONS(2193),
    [anon_sym_quotemeta] = ACTIONS(2193),
    [anon_sym_reset] = ACTIONS(2193),
    [anon_sym_rand] = ACTIONS(2193),
    [anon_sym_rmdir] = ACTIONS(2193),
    [anon_sym_readdir] = ACTIONS(2193),
    [anon_sym_readline] = ACTIONS(2193),
    [anon_sym_readpipe] = ACTIONS(2193),
    [anon_sym_rewinddir] = ACTIONS(2193),
    [anon_sym_readlink] = ACTIONS(2193),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_scalar] = ACTIONS(2193),
    [anon_sym_shift] = ACTIONS(2193),
    [anon_sym_sin] = ACTIONS(2193),
    [anon_sym_sleep] = ACTIONS(2193),
    [anon_sym_sqrt] = ACTIONS(2193),
    [anon_sym_srand] = ACTIONS(2193),
    [anon_sym_stat] = ACTIONS(2193),
    [anon_sym_study] = ACTIONS(2193),
    [anon_sym_tell] = ACTIONS(2193),
    [anon_sym_telldir] = ACTIONS(2193),
    [anon_sym_tied] = ACTIONS(2193),
    [anon_sym_uc] = ACTIONS(2193),
    [anon_sym_ucfirst] = ACTIONS(2193),
    [anon_sym_untie] = ACTIONS(2193),
    [anon_sym_umask] = ACTIONS(2193),
    [anon_sym_values] = ACTIONS(2193),
    [anon_sym_write] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2193),
    [anon_sym_qq] = ACTIONS(2193),
    [anon_sym_qw] = ACTIONS(2193),
    [anon_sym_qx] = ACTIONS(2193),
    [anon_sym_qr] = ACTIONS(2193),
    [anon_sym_m] = ACTIONS(2193),
    [anon_sym_s] = ACTIONS(2193),
    [anon_sym_tr] = ACTIONS(2193),
    [anon_sym_y] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_unless] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_until] = ACTIONS(2193),
    [aux_sym__bareword_token1] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [anon_sym_true] = ACTIONS(2193),
    [anon_sym_false] = ACTIONS(2193),
    [sym__single_quote] = ACTIONS(2191),
    [sym__double_quote] = ACTIONS(2191),
    [sym__backtick_quote] = ACTIONS(2191),
    [sym__search_slash_quote] = ACTIONS(2191),
    [sym__open_readline_bracket] = ACTIONS(2191),
    [sym__open_fileglob_bracket] = ACTIONS(2191),
    [sym__PERLY_HEREDOC] = ACTIONS(2191),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2191),
    [sym__filetest] = ACTIONS(2191),
  },
  [1005] = {
    [sym_heredoc_content] = STATE(1005),
    [sym__identifier] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_RBRACE] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2149),
    [anon_sym_package] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_role] = ACTIONS(2149),
    [anon_sym_BUILD] = ACTIONS(2149),
    [anon_sym_ADJUST] = ACTIONS(2149),
    [anon_sym_DOLLAR] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_my] = ACTIONS(2149),
    [anon_sym_extended] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_sub] = ACTIONS(2149),
    [anon_sym_method] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_state] = ACTIONS(2149),
    [anon_sym_our] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_defer] = ACTIONS(2149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_SLASH_SLASH] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_BSLASH] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_eval] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_field] = ACTIONS(2149),
    [anon_sym_local] = ACTIONS(2149),
    [anon_sym_dynamically] = ACTIONS(2149),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2149),
    [anon_sym_require] = ACTIONS(2149),
    [anon_sym_map] = ACTIONS(2149),
    [anon_sym_grep] = ACTIONS(2149),
    [anon_sym_sort] = ACTIONS(2149),
    [anon_sym_goto] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_undef] = ACTIONS(2149),
    [anon_sym_PERCENT2] = ACTIONS(2149),
    [anon_sym_AMP2] = ACTIONS(2149),
    [anon_sym_STAR2] = ACTIONS(2149),
    [anon_sym_use] = ACTIONS(2149),
    [anon_sym_no] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_foreach] = ACTIONS(2149),
    [anon_sym_last] = ACTIONS(2149),
    [anon_sym_next] = ACTIONS(2149),
    [anon_sym_redo] = ACTIONS(2149),
    [anon_sym_BEGIN] = ACTIONS(2149),
    [anon_sym_INIT] = ACTIONS(2149),
    [anon_sym_CHECK] = ACTIONS(2149),
    [anon_sym_UNITCHECK] = ACTIONS(2149),
    [anon_sym_END] = ACTIONS(2149),
    [anon_sym___FILE__] = ACTIONS(2149),
    [anon_sym___LINE__] = ACTIONS(2149),
    [anon_sym___PACKAGE__] = ACTIONS(2149),
    [anon_sym___SUB__] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_fork] = ACTIONS(2149),
    [anon_sym_getppid] = ACTIONS(2149),
    [anon_sym_time] = ACTIONS(2149),
    [anon_sym_times] = ACTIONS(2149),
    [anon_sym_wait] = ACTIONS(2149),
    [anon_sym_wantarray] = ACTIONS(2149),
    [anon_sym_abs] = ACTIONS(2149),
    [anon_sym_alarm] = ACTIONS(2149),
    [anon_sym_chop] = ACTIONS(2149),
    [anon_sym_chdir] = ACTIONS(2149),
    [anon_sym_close] = ACTIONS(2149),
    [anon_sym_closedir] = ACTIONS(2149),
    [anon_sym_caller] = ACTIONS(2149),
    [anon_sym_chomp] = ACTIONS(2149),
    [anon_sym_chr] = ACTIONS(2149),
    [anon_sym_cos] = ACTIONS(2149),
    [anon_sym_chroot] = ACTIONS(2149),
    [anon_sym_defined] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_dbmclose] = ACTIONS(2149),
    [anon_sym_exists] = ACTIONS(2149),
    [anon_sym_exit] = ACTIONS(2149),
    [anon_sym_eof] = ACTIONS(2149),
    [anon_sym_exp] = ACTIONS(2149),
    [anon_sym_each] = ACTIONS(2149),
    [anon_sym_fc] = ACTIONS(2149),
    [anon_sym_fileno] = ACTIONS(2149),
    [anon_sym_gmtime] = ACTIONS(2149),
    [anon_sym_getc] = ACTIONS(2149),
    [anon_sym_getpgrp] = ACTIONS(2149),
    [anon_sym_getprotobyname] = ACTIONS(2149),
    [anon_sym_getpwname] = ACTIONS(2149),
    [anon_sym_getpwuid] = ACTIONS(2149),
    [anon_sym_getpeername] = ACTIONS(2149),
    [anon_sym_getnetbyname] = ACTIONS(2149),
    [anon_sym_getsockname] = ACTIONS(2149),
    [anon_sym_getgrnam] = ACTIONS(2149),
    [anon_sym_getgrgid] = ACTIONS(2149),
    [anon_sym_hex] = ACTIONS(2149),
    [anon_sym_int] = ACTIONS(2149),
    [anon_sym_keys] = ACTIONS(2149),
    [anon_sym_lc] = ACTIONS(2149),
    [anon_sym_lcfirst] = ACTIONS(2149),
    [anon_sym_length] = ACTIONS(2149),
    [anon_sym_localtime] = ACTIONS(2149),
    [anon_sym_log] = ACTIONS(2149),
    [anon_sym_lock] = ACTIONS(2149),
    [anon_sym_lstat] = ACTIONS(2149),
    [anon_sym_oct] = ACTIONS(2149),
    [anon_sym_ord] = ACTIONS(2149),
    [anon_sym_prototype] = ACTIONS(2149),
    [anon_sym_pop] = ACTIONS(2149),
    [anon_sym_pos] = ACTIONS(2149),
    [anon_sym_quotemeta] = ACTIONS(2149),
    [anon_sym_reset] = ACTIONS(2149),
    [anon_sym_rand] = ACTIONS(2149),
    [anon_sym_rmdir] = ACTIONS(2149),
    [anon_sym_readdir] = ACTIONS(2149),
    [anon_sym_readline] = ACTIONS(2149),
    [anon_sym_readpipe] = ACTIONS(2149),
    [anon_sym_rewinddir] = ACTIONS(2149),
    [anon_sym_readlink] = ACTIONS(2149),
    [anon_sym_ref] = ACTIONS(2149),
    [anon_sym_scalar] = ACTIONS(2149),
    [anon_sym_shift] = ACTIONS(2149),
    [anon_sym_sin] = ACTIONS(2149),
    [anon_sym_sleep] = ACTIONS(2149),
    [anon_sym_sqrt] = ACTIONS(2149),
    [anon_sym_srand] = ACTIONS(2149),
    [anon_sym_stat] = ACTIONS(2149),
    [anon_sym_study] = ACTIONS(2149),
    [anon_sym_tell] = ACTIONS(2149),
    [anon_sym_telldir] = ACTIONS(2149),
    [anon_sym_tied] = ACTIONS(2149),
    [anon_sym_uc] = ACTIONS(2149),
    [anon_sym_ucfirst] = ACTIONS(2149),
    [anon_sym_untie] = ACTIONS(2149),
    [anon_sym_umask] = ACTIONS(2149),
    [anon_sym_values] = ACTIONS(2149),
    [anon_sym_write] = ACTIONS(2149),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2149),
    [anon_sym_qq] = ACTIONS(2149),
    [anon_sym_qw] = ACTIONS(2149),
    [anon_sym_qx] = ACTIONS(2149),
    [anon_sym_qr] = ACTIONS(2149),
    [anon_sym_m] = ACTIONS(2149),
    [anon_sym_s] = ACTIONS(2149),
    [anon_sym_tr] = ACTIONS(2149),
    [anon_sym_y] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_unless] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_until] = ACTIONS(2149),
    [aux_sym__bareword_token1] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [sym__single_quote] = ACTIONS(2147),
    [sym__double_quote] = ACTIONS(2147),
    [sym__backtick_quote] = ACTIONS(2147),
    [sym__search_slash_quote] = ACTIONS(2147),
    [sym__open_readline_bracket] = ACTIONS(2147),
    [sym__open_fileglob_bracket] = ACTIONS(2147),
    [sym__PERLY_HEREDOC] = ACTIONS(2147),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2147),
    [sym__filetest] = ACTIONS(2147),
  },
  [1006] = {
    [sym_heredoc_content] = STATE(1006),
    [sym__identifier] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2201),
    [anon_sym_RBRACE] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2201),
    [anon_sym_package] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_role] = ACTIONS(2201),
    [anon_sym_BUILD] = ACTIONS(2201),
    [anon_sym_ADJUST] = ACTIONS(2201),
    [anon_sym_DOLLAR] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2201),
    [anon_sym_my] = ACTIONS(2201),
    [anon_sym_extended] = ACTIONS(2201),
    [anon_sym_async] = ACTIONS(2201),
    [anon_sym_sub] = ACTIONS(2201),
    [anon_sym_method] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_state] = ACTIONS(2201),
    [anon_sym_our] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_defer] = ACTIONS(2201),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2201),
    [anon_sym_LT_LT] = ACTIONS(2201),
    [anon_sym_SLASH_SLASH] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_TILDE] = ACTIONS(2201),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_PLUS_PLUS] = ACTIONS(2201),
    [anon_sym_DASH_DASH] = ACTIONS(2201),
    [anon_sym_BSLASH] = ACTIONS(2199),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_eval] = ACTIONS(2201),
    [anon_sym_await] = ACTIONS(2201),
    [anon_sym_field] = ACTIONS(2201),
    [anon_sym_local] = ACTIONS(2201),
    [anon_sym_dynamically] = ACTIONS(2201),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2201),
    [anon_sym_require] = ACTIONS(2201),
    [anon_sym_map] = ACTIONS(2201),
    [anon_sym_grep] = ACTIONS(2201),
    [anon_sym_sort] = ACTIONS(2201),
    [anon_sym_goto] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_undef] = ACTIONS(2201),
    [anon_sym_PERCENT2] = ACTIONS(2201),
    [anon_sym_AMP2] = ACTIONS(2201),
    [anon_sym_STAR2] = ACTIONS(2201),
    [anon_sym_use] = ACTIONS(2201),
    [anon_sym_no] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_foreach] = ACTIONS(2201),
    [anon_sym_last] = ACTIONS(2201),
    [anon_sym_next] = ACTIONS(2201),
    [anon_sym_redo] = ACTIONS(2201),
    [anon_sym_BEGIN] = ACTIONS(2201),
    [anon_sym_INIT] = ACTIONS(2201),
    [anon_sym_CHECK] = ACTIONS(2201),
    [anon_sym_UNITCHECK] = ACTIONS(2201),
    [anon_sym_END] = ACTIONS(2201),
    [anon_sym___FILE__] = ACTIONS(2201),
    [anon_sym___LINE__] = ACTIONS(2201),
    [anon_sym___PACKAGE__] = ACTIONS(2201),
    [anon_sym___SUB__] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_fork] = ACTIONS(2201),
    [anon_sym_getppid] = ACTIONS(2201),
    [anon_sym_time] = ACTIONS(2201),
    [anon_sym_times] = ACTIONS(2201),
    [anon_sym_wait] = ACTIONS(2201),
    [anon_sym_wantarray] = ACTIONS(2201),
    [anon_sym_abs] = ACTIONS(2201),
    [anon_sym_alarm] = ACTIONS(2201),
    [anon_sym_chop] = ACTIONS(2201),
    [anon_sym_chdir] = ACTIONS(2201),
    [anon_sym_close] = ACTIONS(2201),
    [anon_sym_closedir] = ACTIONS(2201),
    [anon_sym_caller] = ACTIONS(2201),
    [anon_sym_chomp] = ACTIONS(2201),
    [anon_sym_chr] = ACTIONS(2201),
    [anon_sym_cos] = ACTIONS(2201),
    [anon_sym_chroot] = ACTIONS(2201),
    [anon_sym_defined] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_dbmclose] = ACTIONS(2201),
    [anon_sym_exists] = ACTIONS(2201),
    [anon_sym_exit] = ACTIONS(2201),
    [anon_sym_eof] = ACTIONS(2201),
    [anon_sym_exp] = ACTIONS(2201),
    [anon_sym_each] = ACTIONS(2201),
    [anon_sym_fc] = ACTIONS(2201),
    [anon_sym_fileno] = ACTIONS(2201),
    [anon_sym_gmtime] = ACTIONS(2201),
    [anon_sym_getc] = ACTIONS(2201),
    [anon_sym_getpgrp] = ACTIONS(2201),
    [anon_sym_getprotobyname] = ACTIONS(2201),
    [anon_sym_getpwname] = ACTIONS(2201),
    [anon_sym_getpwuid] = ACTIONS(2201),
    [anon_sym_getpeername] = ACTIONS(2201),
    [anon_sym_getnetbyname] = ACTIONS(2201),
    [anon_sym_getsockname] = ACTIONS(2201),
    [anon_sym_getgrnam] = ACTIONS(2201),
    [anon_sym_getgrgid] = ACTIONS(2201),
    [anon_sym_hex] = ACTIONS(2201),
    [anon_sym_int] = ACTIONS(2201),
    [anon_sym_keys] = ACTIONS(2201),
    [anon_sym_lc] = ACTIONS(2201),
    [anon_sym_lcfirst] = ACTIONS(2201),
    [anon_sym_length] = ACTIONS(2201),
    [anon_sym_localtime] = ACTIONS(2201),
    [anon_sym_log] = ACTIONS(2201),
    [anon_sym_lock] = ACTIONS(2201),
    [anon_sym_lstat] = ACTIONS(2201),
    [anon_sym_oct] = ACTIONS(2201),
    [anon_sym_ord] = ACTIONS(2201),
    [anon_sym_prototype] = ACTIONS(2201),
    [anon_sym_pop] = ACTIONS(2201),
    [anon_sym_pos] = ACTIONS(2201),
    [anon_sym_quotemeta] = ACTIONS(2201),
    [anon_sym_reset] = ACTIONS(2201),
    [anon_sym_rand] = ACTIONS(2201),
    [anon_sym_rmdir] = ACTIONS(2201),
    [anon_sym_readdir] = ACTIONS(2201),
    [anon_sym_readline] = ACTIONS(2201),
    [anon_sym_readpipe] = ACTIONS(2201),
    [anon_sym_rewinddir] = ACTIONS(2201),
    [anon_sym_readlink] = ACTIONS(2201),
    [anon_sym_ref] = ACTIONS(2201),
    [anon_sym_scalar] = ACTIONS(2201),
    [anon_sym_shift] = ACTIONS(2201),
    [anon_sym_sin] = ACTIONS(2201),
    [anon_sym_sleep] = ACTIONS(2201),
    [anon_sym_sqrt] = ACTIONS(2201),
    [anon_sym_srand] = ACTIONS(2201),
    [anon_sym_stat] = ACTIONS(2201),
    [anon_sym_study] = ACTIONS(2201),
    [anon_sym_tell] = ACTIONS(2201),
    [anon_sym_telldir] = ACTIONS(2201),
    [anon_sym_tied] = ACTIONS(2201),
    [anon_sym_uc] = ACTIONS(2201),
    [anon_sym_ucfirst] = ACTIONS(2201),
    [anon_sym_untie] = ACTIONS(2201),
    [anon_sym_umask] = ACTIONS(2201),
    [anon_sym_values] = ACTIONS(2201),
    [anon_sym_write] = ACTIONS(2201),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2201),
    [anon_sym_qq] = ACTIONS(2201),
    [anon_sym_qw] = ACTIONS(2201),
    [anon_sym_qx] = ACTIONS(2201),
    [anon_sym_qr] = ACTIONS(2201),
    [anon_sym_m] = ACTIONS(2201),
    [anon_sym_s] = ACTIONS(2201),
    [anon_sym_tr] = ACTIONS(2201),
    [anon_sym_y] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_unless] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_until] = ACTIONS(2201),
    [aux_sym__bareword_token1] = ACTIONS(2201),
    [sym_number] = ACTIONS(2201),
    [anon_sym_true] = ACTIONS(2201),
    [anon_sym_false] = ACTIONS(2201),
    [sym__single_quote] = ACTIONS(2199),
    [sym__double_quote] = ACTIONS(2199),
    [sym__backtick_quote] = ACTIONS(2199),
    [sym__search_slash_quote] = ACTIONS(2199),
    [sym__open_readline_bracket] = ACTIONS(2199),
    [sym__open_fileglob_bracket] = ACTIONS(2199),
    [sym__PERLY_HEREDOC] = ACTIONS(2199),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2199),
    [sym__filetest] = ACTIONS(2199),
  },
  [1007] = {
    [sym_heredoc_content] = STATE(1007),
    [sym__identifier] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_RBRACE] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2205),
    [anon_sym_package] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_role] = ACTIONS(2205),
    [anon_sym_BUILD] = ACTIONS(2205),
    [anon_sym_ADJUST] = ACTIONS(2205),
    [anon_sym_DOLLAR] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_my] = ACTIONS(2205),
    [anon_sym_extended] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_sub] = ACTIONS(2205),
    [anon_sym_method] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_state] = ACTIONS(2205),
    [anon_sym_our] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_defer] = ACTIONS(2205),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_SLASH_SLASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_BSLASH] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_eval] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_field] = ACTIONS(2205),
    [anon_sym_local] = ACTIONS(2205),
    [anon_sym_dynamically] = ACTIONS(2205),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2205),
    [anon_sym_require] = ACTIONS(2205),
    [anon_sym_map] = ACTIONS(2205),
    [anon_sym_grep] = ACTIONS(2205),
    [anon_sym_sort] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_undef] = ACTIONS(2205),
    [anon_sym_PERCENT2] = ACTIONS(2205),
    [anon_sym_AMP2] = ACTIONS(2205),
    [anon_sym_STAR2] = ACTIONS(2205),
    [anon_sym_use] = ACTIONS(2205),
    [anon_sym_no] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_foreach] = ACTIONS(2205),
    [anon_sym_last] = ACTIONS(2205),
    [anon_sym_next] = ACTIONS(2205),
    [anon_sym_redo] = ACTIONS(2205),
    [anon_sym_BEGIN] = ACTIONS(2205),
    [anon_sym_INIT] = ACTIONS(2205),
    [anon_sym_CHECK] = ACTIONS(2205),
    [anon_sym_UNITCHECK] = ACTIONS(2205),
    [anon_sym_END] = ACTIONS(2205),
    [anon_sym___FILE__] = ACTIONS(2205),
    [anon_sym___LINE__] = ACTIONS(2205),
    [anon_sym___PACKAGE__] = ACTIONS(2205),
    [anon_sym___SUB__] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_fork] = ACTIONS(2205),
    [anon_sym_getppid] = ACTIONS(2205),
    [anon_sym_time] = ACTIONS(2205),
    [anon_sym_times] = ACTIONS(2205),
    [anon_sym_wait] = ACTIONS(2205),
    [anon_sym_wantarray] = ACTIONS(2205),
    [anon_sym_abs] = ACTIONS(2205),
    [anon_sym_alarm] = ACTIONS(2205),
    [anon_sym_chop] = ACTIONS(2205),
    [anon_sym_chdir] = ACTIONS(2205),
    [anon_sym_close] = ACTIONS(2205),
    [anon_sym_closedir] = ACTIONS(2205),
    [anon_sym_caller] = ACTIONS(2205),
    [anon_sym_chomp] = ACTIONS(2205),
    [anon_sym_chr] = ACTIONS(2205),
    [anon_sym_cos] = ACTIONS(2205),
    [anon_sym_chroot] = ACTIONS(2205),
    [anon_sym_defined] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_dbmclose] = ACTIONS(2205),
    [anon_sym_exists] = ACTIONS(2205),
    [anon_sym_exit] = ACTIONS(2205),
    [anon_sym_eof] = ACTIONS(2205),
    [anon_sym_exp] = ACTIONS(2205),
    [anon_sym_each] = ACTIONS(2205),
    [anon_sym_fc] = ACTIONS(2205),
    [anon_sym_fileno] = ACTIONS(2205),
    [anon_sym_gmtime] = ACTIONS(2205),
    [anon_sym_getc] = ACTIONS(2205),
    [anon_sym_getpgrp] = ACTIONS(2205),
    [anon_sym_getprotobyname] = ACTIONS(2205),
    [anon_sym_getpwname] = ACTIONS(2205),
    [anon_sym_getpwuid] = ACTIONS(2205),
    [anon_sym_getpeername] = ACTIONS(2205),
    [anon_sym_getnetbyname] = ACTIONS(2205),
    [anon_sym_getsockname] = ACTIONS(2205),
    [anon_sym_getgrnam] = ACTIONS(2205),
    [anon_sym_getgrgid] = ACTIONS(2205),
    [anon_sym_hex] = ACTIONS(2205),
    [anon_sym_int] = ACTIONS(2205),
    [anon_sym_keys] = ACTIONS(2205),
    [anon_sym_lc] = ACTIONS(2205),
    [anon_sym_lcfirst] = ACTIONS(2205),
    [anon_sym_length] = ACTIONS(2205),
    [anon_sym_localtime] = ACTIONS(2205),
    [anon_sym_log] = ACTIONS(2205),
    [anon_sym_lock] = ACTIONS(2205),
    [anon_sym_lstat] = ACTIONS(2205),
    [anon_sym_oct] = ACTIONS(2205),
    [anon_sym_ord] = ACTIONS(2205),
    [anon_sym_prototype] = ACTIONS(2205),
    [anon_sym_pop] = ACTIONS(2205),
    [anon_sym_pos] = ACTIONS(2205),
    [anon_sym_quotemeta] = ACTIONS(2205),
    [anon_sym_reset] = ACTIONS(2205),
    [anon_sym_rand] = ACTIONS(2205),
    [anon_sym_rmdir] = ACTIONS(2205),
    [anon_sym_readdir] = ACTIONS(2205),
    [anon_sym_readline] = ACTIONS(2205),
    [anon_sym_readpipe] = ACTIONS(2205),
    [anon_sym_rewinddir] = ACTIONS(2205),
    [anon_sym_readlink] = ACTIONS(2205),
    [anon_sym_ref] = ACTIONS(2205),
    [anon_sym_scalar] = ACTIONS(2205),
    [anon_sym_shift] = ACTIONS(2205),
    [anon_sym_sin] = ACTIONS(2205),
    [anon_sym_sleep] = ACTIONS(2205),
    [anon_sym_sqrt] = ACTIONS(2205),
    [anon_sym_srand] = ACTIONS(2205),
    [anon_sym_stat] = ACTIONS(2205),
    [anon_sym_study] = ACTIONS(2205),
    [anon_sym_tell] = ACTIONS(2205),
    [anon_sym_telldir] = ACTIONS(2205),
    [anon_sym_tied] = ACTIONS(2205),
    [anon_sym_uc] = ACTIONS(2205),
    [anon_sym_ucfirst] = ACTIONS(2205),
    [anon_sym_untie] = ACTIONS(2205),
    [anon_sym_umask] = ACTIONS(2205),
    [anon_sym_values] = ACTIONS(2205),
    [anon_sym_write] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2205),
    [anon_sym_qq] = ACTIONS(2205),
    [anon_sym_qw] = ACTIONS(2205),
    [anon_sym_qx] = ACTIONS(2205),
    [anon_sym_qr] = ACTIONS(2205),
    [anon_sym_m] = ACTIONS(2205),
    [anon_sym_s] = ACTIONS(2205),
    [anon_sym_tr] = ACTIONS(2205),
    [anon_sym_y] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_unless] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_until] = ACTIONS(2205),
    [aux_sym__bareword_token1] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [anon_sym_true] = ACTIONS(2205),
    [anon_sym_false] = ACTIONS(2205),
    [sym__single_quote] = ACTIONS(2203),
    [sym__double_quote] = ACTIONS(2203),
    [sym__backtick_quote] = ACTIONS(2203),
    [sym__search_slash_quote] = ACTIONS(2203),
    [sym__open_readline_bracket] = ACTIONS(2203),
    [sym__open_fileglob_bracket] = ACTIONS(2203),
    [sym__PERLY_HEREDOC] = ACTIONS(2203),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2203),
    [sym__filetest] = ACTIONS(2203),
  },
  [1008] = {
    [sym_heredoc_content] = STATE(1008),
    [sym__identifier] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_RBRACE] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2209),
    [anon_sym_package] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_role] = ACTIONS(2209),
    [anon_sym_BUILD] = ACTIONS(2209),
    [anon_sym_ADJUST] = ACTIONS(2209),
    [anon_sym_DOLLAR] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_my] = ACTIONS(2209),
    [anon_sym_extended] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_sub] = ACTIONS(2209),
    [anon_sym_method] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_state] = ACTIONS(2209),
    [anon_sym_our] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_defer] = ACTIONS(2209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_SLASH_SLASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [anon_sym_BSLASH] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_eval] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_field] = ACTIONS(2209),
    [anon_sym_local] = ACTIONS(2209),
    [anon_sym_dynamically] = ACTIONS(2209),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2209),
    [anon_sym_require] = ACTIONS(2209),
    [anon_sym_map] = ACTIONS(2209),
    [anon_sym_grep] = ACTIONS(2209),
    [anon_sym_sort] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_undef] = ACTIONS(2209),
    [anon_sym_PERCENT2] = ACTIONS(2209),
    [anon_sym_AMP2] = ACTIONS(2209),
    [anon_sym_STAR2] = ACTIONS(2209),
    [anon_sym_use] = ACTIONS(2209),
    [anon_sym_no] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_foreach] = ACTIONS(2209),
    [anon_sym_last] = ACTIONS(2209),
    [anon_sym_next] = ACTIONS(2209),
    [anon_sym_redo] = ACTIONS(2209),
    [anon_sym_BEGIN] = ACTIONS(2209),
    [anon_sym_INIT] = ACTIONS(2209),
    [anon_sym_CHECK] = ACTIONS(2209),
    [anon_sym_UNITCHECK] = ACTIONS(2209),
    [anon_sym_END] = ACTIONS(2209),
    [anon_sym___FILE__] = ACTIONS(2209),
    [anon_sym___LINE__] = ACTIONS(2209),
    [anon_sym___PACKAGE__] = ACTIONS(2209),
    [anon_sym___SUB__] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_fork] = ACTIONS(2209),
    [anon_sym_getppid] = ACTIONS(2209),
    [anon_sym_time] = ACTIONS(2209),
    [anon_sym_times] = ACTIONS(2209),
    [anon_sym_wait] = ACTIONS(2209),
    [anon_sym_wantarray] = ACTIONS(2209),
    [anon_sym_abs] = ACTIONS(2209),
    [anon_sym_alarm] = ACTIONS(2209),
    [anon_sym_chop] = ACTIONS(2209),
    [anon_sym_chdir] = ACTIONS(2209),
    [anon_sym_close] = ACTIONS(2209),
    [anon_sym_closedir] = ACTIONS(2209),
    [anon_sym_caller] = ACTIONS(2209),
    [anon_sym_chomp] = ACTIONS(2209),
    [anon_sym_chr] = ACTIONS(2209),
    [anon_sym_cos] = ACTIONS(2209),
    [anon_sym_chroot] = ACTIONS(2209),
    [anon_sym_defined] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_dbmclose] = ACTIONS(2209),
    [anon_sym_exists] = ACTIONS(2209),
    [anon_sym_exit] = ACTIONS(2209),
    [anon_sym_eof] = ACTIONS(2209),
    [anon_sym_exp] = ACTIONS(2209),
    [anon_sym_each] = ACTIONS(2209),
    [anon_sym_fc] = ACTIONS(2209),
    [anon_sym_fileno] = ACTIONS(2209),
    [anon_sym_gmtime] = ACTIONS(2209),
    [anon_sym_getc] = ACTIONS(2209),
    [anon_sym_getpgrp] = ACTIONS(2209),
    [anon_sym_getprotobyname] = ACTIONS(2209),
    [anon_sym_getpwname] = ACTIONS(2209),
    [anon_sym_getpwuid] = ACTIONS(2209),
    [anon_sym_getpeername] = ACTIONS(2209),
    [anon_sym_getnetbyname] = ACTIONS(2209),
    [anon_sym_getsockname] = ACTIONS(2209),
    [anon_sym_getgrnam] = ACTIONS(2209),
    [anon_sym_getgrgid] = ACTIONS(2209),
    [anon_sym_hex] = ACTIONS(2209),
    [anon_sym_int] = ACTIONS(2209),
    [anon_sym_keys] = ACTIONS(2209),
    [anon_sym_lc] = ACTIONS(2209),
    [anon_sym_lcfirst] = ACTIONS(2209),
    [anon_sym_length] = ACTIONS(2209),
    [anon_sym_localtime] = ACTIONS(2209),
    [anon_sym_log] = ACTIONS(2209),
    [anon_sym_lock] = ACTIONS(2209),
    [anon_sym_lstat] = ACTIONS(2209),
    [anon_sym_oct] = ACTIONS(2209),
    [anon_sym_ord] = ACTIONS(2209),
    [anon_sym_prototype] = ACTIONS(2209),
    [anon_sym_pop] = ACTIONS(2209),
    [anon_sym_pos] = ACTIONS(2209),
    [anon_sym_quotemeta] = ACTIONS(2209),
    [anon_sym_reset] = ACTIONS(2209),
    [anon_sym_rand] = ACTIONS(2209),
    [anon_sym_rmdir] = ACTIONS(2209),
    [anon_sym_readdir] = ACTIONS(2209),
    [anon_sym_readline] = ACTIONS(2209),
    [anon_sym_readpipe] = ACTIONS(2209),
    [anon_sym_rewinddir] = ACTIONS(2209),
    [anon_sym_readlink] = ACTIONS(2209),
    [anon_sym_ref] = ACTIONS(2209),
    [anon_sym_scalar] = ACTIONS(2209),
    [anon_sym_shift] = ACTIONS(2209),
    [anon_sym_sin] = ACTIONS(2209),
    [anon_sym_sleep] = ACTIONS(2209),
    [anon_sym_sqrt] = ACTIONS(2209),
    [anon_sym_srand] = ACTIONS(2209),
    [anon_sym_stat] = ACTIONS(2209),
    [anon_sym_study] = ACTIONS(2209),
    [anon_sym_tell] = ACTIONS(2209),
    [anon_sym_telldir] = ACTIONS(2209),
    [anon_sym_tied] = ACTIONS(2209),
    [anon_sym_uc] = ACTIONS(2209),
    [anon_sym_ucfirst] = ACTIONS(2209),
    [anon_sym_untie] = ACTIONS(2209),
    [anon_sym_umask] = ACTIONS(2209),
    [anon_sym_values] = ACTIONS(2209),
    [anon_sym_write] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2209),
    [anon_sym_qq] = ACTIONS(2209),
    [anon_sym_qw] = ACTIONS(2209),
    [anon_sym_qx] = ACTIONS(2209),
    [anon_sym_qr] = ACTIONS(2209),
    [anon_sym_m] = ACTIONS(2209),
    [anon_sym_s] = ACTIONS(2209),
    [anon_sym_tr] = ACTIONS(2209),
    [anon_sym_y] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_unless] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_until] = ACTIONS(2209),
    [aux_sym__bareword_token1] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [anon_sym_true] = ACTIONS(2209),
    [anon_sym_false] = ACTIONS(2209),
    [sym__single_quote] = ACTIONS(2207),
    [sym__double_quote] = ACTIONS(2207),
    [sym__backtick_quote] = ACTIONS(2207),
    [sym__search_slash_quote] = ACTIONS(2207),
    [sym__open_readline_bracket] = ACTIONS(2207),
    [sym__open_fileglob_bracket] = ACTIONS(2207),
    [sym__PERLY_HEREDOC] = ACTIONS(2207),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2207),
    [sym__filetest] = ACTIONS(2207),
  },
  [1009] = {
    [sym_heredoc_content] = STATE(1009),
    [sym__identifier] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2364),
    [anon_sym_package] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2364),
    [anon_sym_role] = ACTIONS(2364),
    [anon_sym_BUILD] = ACTIONS(2364),
    [anon_sym_ADJUST] = ACTIONS(2364),
    [anon_sym_DOLLAR] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_my] = ACTIONS(2364),
    [anon_sym_extended] = ACTIONS(2364),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_sub] = ACTIONS(2364),
    [anon_sym_method] = ACTIONS(2364),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_state] = ACTIONS(2364),
    [anon_sym_our] = ACTIONS(2364),
    [anon_sym_try] = ACTIONS(2364),
    [anon_sym_defer] = ACTIONS(2364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_SLASH_SLASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2364),
    [anon_sym_BSLASH] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_eval] = ACTIONS(2364),
    [anon_sym_await] = ACTIONS(2364),
    [anon_sym_field] = ACTIONS(2364),
    [anon_sym_local] = ACTIONS(2364),
    [anon_sym_dynamically] = ACTIONS(2364),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2364),
    [anon_sym_require] = ACTIONS(2364),
    [anon_sym_map] = ACTIONS(2364),
    [anon_sym_grep] = ACTIONS(2364),
    [anon_sym_sort] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_undef] = ACTIONS(2364),
    [anon_sym_PERCENT2] = ACTIONS(2364),
    [anon_sym_AMP2] = ACTIONS(2364),
    [anon_sym_STAR2] = ACTIONS(2364),
    [anon_sym_use] = ACTIONS(2364),
    [anon_sym_no] = ACTIONS(2364),
    [anon_sym_for] = ACTIONS(2364),
    [anon_sym_foreach] = ACTIONS(2364),
    [anon_sym_last] = ACTIONS(2364),
    [anon_sym_next] = ACTIONS(2364),
    [anon_sym_redo] = ACTIONS(2364),
    [anon_sym_BEGIN] = ACTIONS(2364),
    [anon_sym_INIT] = ACTIONS(2364),
    [anon_sym_CHECK] = ACTIONS(2364),
    [anon_sym_UNITCHECK] = ACTIONS(2364),
    [anon_sym_END] = ACTIONS(2364),
    [anon_sym___FILE__] = ACTIONS(2364),
    [anon_sym___LINE__] = ACTIONS(2364),
    [anon_sym___PACKAGE__] = ACTIONS(2364),
    [anon_sym___SUB__] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_fork] = ACTIONS(2364),
    [anon_sym_getppid] = ACTIONS(2364),
    [anon_sym_time] = ACTIONS(2364),
    [anon_sym_times] = ACTIONS(2364),
    [anon_sym_wait] = ACTIONS(2364),
    [anon_sym_wantarray] = ACTIONS(2364),
    [anon_sym_abs] = ACTIONS(2364),
    [anon_sym_alarm] = ACTIONS(2364),
    [anon_sym_chop] = ACTIONS(2364),
    [anon_sym_chdir] = ACTIONS(2364),
    [anon_sym_close] = ACTIONS(2364),
    [anon_sym_closedir] = ACTIONS(2364),
    [anon_sym_caller] = ACTIONS(2364),
    [anon_sym_chomp] = ACTIONS(2364),
    [anon_sym_chr] = ACTIONS(2364),
    [anon_sym_cos] = ACTIONS(2364),
    [anon_sym_chroot] = ACTIONS(2364),
    [anon_sym_defined] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_dbmclose] = ACTIONS(2364),
    [anon_sym_exists] = ACTIONS(2364),
    [anon_sym_exit] = ACTIONS(2364),
    [anon_sym_eof] = ACTIONS(2364),
    [anon_sym_exp] = ACTIONS(2364),
    [anon_sym_each] = ACTIONS(2364),
    [anon_sym_fc] = ACTIONS(2364),
    [anon_sym_fileno] = ACTIONS(2364),
    [anon_sym_gmtime] = ACTIONS(2364),
    [anon_sym_getc] = ACTIONS(2364),
    [anon_sym_getpgrp] = ACTIONS(2364),
    [anon_sym_getprotobyname] = ACTIONS(2364),
    [anon_sym_getpwname] = ACTIONS(2364),
    [anon_sym_getpwuid] = ACTIONS(2364),
    [anon_sym_getpeername] = ACTIONS(2364),
    [anon_sym_getnetbyname] = ACTIONS(2364),
    [anon_sym_getsockname] = ACTIONS(2364),
    [anon_sym_getgrnam] = ACTIONS(2364),
    [anon_sym_getgrgid] = ACTIONS(2364),
    [anon_sym_hex] = ACTIONS(2364),
    [anon_sym_int] = ACTIONS(2364),
    [anon_sym_keys] = ACTIONS(2364),
    [anon_sym_lc] = ACTIONS(2364),
    [anon_sym_lcfirst] = ACTIONS(2364),
    [anon_sym_length] = ACTIONS(2364),
    [anon_sym_localtime] = ACTIONS(2364),
    [anon_sym_log] = ACTIONS(2364),
    [anon_sym_lock] = ACTIONS(2364),
    [anon_sym_lstat] = ACTIONS(2364),
    [anon_sym_oct] = ACTIONS(2364),
    [anon_sym_ord] = ACTIONS(2364),
    [anon_sym_prototype] = ACTIONS(2364),
    [anon_sym_pop] = ACTIONS(2364),
    [anon_sym_pos] = ACTIONS(2364),
    [anon_sym_quotemeta] = ACTIONS(2364),
    [anon_sym_reset] = ACTIONS(2364),
    [anon_sym_rand] = ACTIONS(2364),
    [anon_sym_rmdir] = ACTIONS(2364),
    [anon_sym_readdir] = ACTIONS(2364),
    [anon_sym_readline] = ACTIONS(2364),
    [anon_sym_readpipe] = ACTIONS(2364),
    [anon_sym_rewinddir] = ACTIONS(2364),
    [anon_sym_readlink] = ACTIONS(2364),
    [anon_sym_ref] = ACTIONS(2364),
    [anon_sym_scalar] = ACTIONS(2364),
    [anon_sym_shift] = ACTIONS(2364),
    [anon_sym_sin] = ACTIONS(2364),
    [anon_sym_sleep] = ACTIONS(2364),
    [anon_sym_sqrt] = ACTIONS(2364),
    [anon_sym_srand] = ACTIONS(2364),
    [anon_sym_stat] = ACTIONS(2364),
    [anon_sym_study] = ACTIONS(2364),
    [anon_sym_tell] = ACTIONS(2364),
    [anon_sym_telldir] = ACTIONS(2364),
    [anon_sym_tied] = ACTIONS(2364),
    [anon_sym_uc] = ACTIONS(2364),
    [anon_sym_ucfirst] = ACTIONS(2364),
    [anon_sym_untie] = ACTIONS(2364),
    [anon_sym_umask] = ACTIONS(2364),
    [anon_sym_values] = ACTIONS(2364),
    [anon_sym_write] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2364),
    [anon_sym_qq] = ACTIONS(2364),
    [anon_sym_qw] = ACTIONS(2364),
    [anon_sym_qx] = ACTIONS(2364),
    [anon_sym_qr] = ACTIONS(2364),
    [anon_sym_m] = ACTIONS(2364),
    [anon_sym_s] = ACTIONS(2364),
    [anon_sym_tr] = ACTIONS(2364),
    [anon_sym_y] = ACTIONS(2364),
    [anon_sym_if] = ACTIONS(2364),
    [anon_sym_unless] = ACTIONS(2364),
    [anon_sym_while] = ACTIONS(2364),
    [anon_sym_until] = ACTIONS(2364),
    [aux_sym__bareword_token1] = ACTIONS(2364),
    [sym_number] = ACTIONS(2364),
    [anon_sym_true] = ACTIONS(2364),
    [anon_sym_false] = ACTIONS(2364),
    [sym__single_quote] = ACTIONS(2362),
    [sym__double_quote] = ACTIONS(2362),
    [sym__backtick_quote] = ACTIONS(2362),
    [sym__search_slash_quote] = ACTIONS(2362),
    [sym__open_readline_bracket] = ACTIONS(2362),
    [sym__open_fileglob_bracket] = ACTIONS(2362),
    [sym__PERLY_HEREDOC] = ACTIONS(2362),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2362),
    [sym__filetest] = ACTIONS(2362),
  },
  [1010] = {
    [sym_heredoc_content] = STATE(1010),
    [sym__identifier] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_RBRACE] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2213),
    [anon_sym_package] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_role] = ACTIONS(2213),
    [anon_sym_BUILD] = ACTIONS(2213),
    [anon_sym_ADJUST] = ACTIONS(2213),
    [anon_sym_DOLLAR] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_my] = ACTIONS(2213),
    [anon_sym_extended] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_sub] = ACTIONS(2213),
    [anon_sym_method] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_state] = ACTIONS(2213),
    [anon_sym_our] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_defer] = ACTIONS(2213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LT_LT] = ACTIONS(2213),
    [anon_sym_SLASH_SLASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_BSLASH] = ACTIONS(2211),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_eval] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_field] = ACTIONS(2213),
    [anon_sym_local] = ACTIONS(2213),
    [anon_sym_dynamically] = ACTIONS(2213),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2213),
    [anon_sym_require] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2213),
    [anon_sym_grep] = ACTIONS(2213),
    [anon_sym_sort] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_undef] = ACTIONS(2213),
    [anon_sym_PERCENT2] = ACTIONS(2213),
    [anon_sym_AMP2] = ACTIONS(2213),
    [anon_sym_STAR2] = ACTIONS(2213),
    [anon_sym_use] = ACTIONS(2213),
    [anon_sym_no] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_foreach] = ACTIONS(2213),
    [anon_sym_last] = ACTIONS(2213),
    [anon_sym_next] = ACTIONS(2213),
    [anon_sym_redo] = ACTIONS(2213),
    [anon_sym_BEGIN] = ACTIONS(2213),
    [anon_sym_INIT] = ACTIONS(2213),
    [anon_sym_CHECK] = ACTIONS(2213),
    [anon_sym_UNITCHECK] = ACTIONS(2213),
    [anon_sym_END] = ACTIONS(2213),
    [anon_sym___FILE__] = ACTIONS(2213),
    [anon_sym___LINE__] = ACTIONS(2213),
    [anon_sym___PACKAGE__] = ACTIONS(2213),
    [anon_sym___SUB__] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_fork] = ACTIONS(2213),
    [anon_sym_getppid] = ACTIONS(2213),
    [anon_sym_time] = ACTIONS(2213),
    [anon_sym_times] = ACTIONS(2213),
    [anon_sym_wait] = ACTIONS(2213),
    [anon_sym_wantarray] = ACTIONS(2213),
    [anon_sym_abs] = ACTIONS(2213),
    [anon_sym_alarm] = ACTIONS(2213),
    [anon_sym_chop] = ACTIONS(2213),
    [anon_sym_chdir] = ACTIONS(2213),
    [anon_sym_close] = ACTIONS(2213),
    [anon_sym_closedir] = ACTIONS(2213),
    [anon_sym_caller] = ACTIONS(2213),
    [anon_sym_chomp] = ACTIONS(2213),
    [anon_sym_chr] = ACTIONS(2213),
    [anon_sym_cos] = ACTIONS(2213),
    [anon_sym_chroot] = ACTIONS(2213),
    [anon_sym_defined] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_dbmclose] = ACTIONS(2213),
    [anon_sym_exists] = ACTIONS(2213),
    [anon_sym_exit] = ACTIONS(2213),
    [anon_sym_eof] = ACTIONS(2213),
    [anon_sym_exp] = ACTIONS(2213),
    [anon_sym_each] = ACTIONS(2213),
    [anon_sym_fc] = ACTIONS(2213),
    [anon_sym_fileno] = ACTIONS(2213),
    [anon_sym_gmtime] = ACTIONS(2213),
    [anon_sym_getc] = ACTIONS(2213),
    [anon_sym_getpgrp] = ACTIONS(2213),
    [anon_sym_getprotobyname] = ACTIONS(2213),
    [anon_sym_getpwname] = ACTIONS(2213),
    [anon_sym_getpwuid] = ACTIONS(2213),
    [anon_sym_getpeername] = ACTIONS(2213),
    [anon_sym_getnetbyname] = ACTIONS(2213),
    [anon_sym_getsockname] = ACTIONS(2213),
    [anon_sym_getgrnam] = ACTIONS(2213),
    [anon_sym_getgrgid] = ACTIONS(2213),
    [anon_sym_hex] = ACTIONS(2213),
    [anon_sym_int] = ACTIONS(2213),
    [anon_sym_keys] = ACTIONS(2213),
    [anon_sym_lc] = ACTIONS(2213),
    [anon_sym_lcfirst] = ACTIONS(2213),
    [anon_sym_length] = ACTIONS(2213),
    [anon_sym_localtime] = ACTIONS(2213),
    [anon_sym_log] = ACTIONS(2213),
    [anon_sym_lock] = ACTIONS(2213),
    [anon_sym_lstat] = ACTIONS(2213),
    [anon_sym_oct] = ACTIONS(2213),
    [anon_sym_ord] = ACTIONS(2213),
    [anon_sym_prototype] = ACTIONS(2213),
    [anon_sym_pop] = ACTIONS(2213),
    [anon_sym_pos] = ACTIONS(2213),
    [anon_sym_quotemeta] = ACTIONS(2213),
    [anon_sym_reset] = ACTIONS(2213),
    [anon_sym_rand] = ACTIONS(2213),
    [anon_sym_rmdir] = ACTIONS(2213),
    [anon_sym_readdir] = ACTIONS(2213),
    [anon_sym_readline] = ACTIONS(2213),
    [anon_sym_readpipe] = ACTIONS(2213),
    [anon_sym_rewinddir] = ACTIONS(2213),
    [anon_sym_readlink] = ACTIONS(2213),
    [anon_sym_ref] = ACTIONS(2213),
    [anon_sym_scalar] = ACTIONS(2213),
    [anon_sym_shift] = ACTIONS(2213),
    [anon_sym_sin] = ACTIONS(2213),
    [anon_sym_sleep] = ACTIONS(2213),
    [anon_sym_sqrt] = ACTIONS(2213),
    [anon_sym_srand] = ACTIONS(2213),
    [anon_sym_stat] = ACTIONS(2213),
    [anon_sym_study] = ACTIONS(2213),
    [anon_sym_tell] = ACTIONS(2213),
    [anon_sym_telldir] = ACTIONS(2213),
    [anon_sym_tied] = ACTIONS(2213),
    [anon_sym_uc] = ACTIONS(2213),
    [anon_sym_ucfirst] = ACTIONS(2213),
    [anon_sym_untie] = ACTIONS(2213),
    [anon_sym_umask] = ACTIONS(2213),
    [anon_sym_values] = ACTIONS(2213),
    [anon_sym_write] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2213),
    [anon_sym_qq] = ACTIONS(2213),
    [anon_sym_qw] = ACTIONS(2213),
    [anon_sym_qx] = ACTIONS(2213),
    [anon_sym_qr] = ACTIONS(2213),
    [anon_sym_m] = ACTIONS(2213),
    [anon_sym_s] = ACTIONS(2213),
    [anon_sym_tr] = ACTIONS(2213),
    [anon_sym_y] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_unless] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_until] = ACTIONS(2213),
    [aux_sym__bareword_token1] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [anon_sym_true] = ACTIONS(2213),
    [anon_sym_false] = ACTIONS(2213),
    [sym__single_quote] = ACTIONS(2211),
    [sym__double_quote] = ACTIONS(2211),
    [sym__backtick_quote] = ACTIONS(2211),
    [sym__search_slash_quote] = ACTIONS(2211),
    [sym__open_readline_bracket] = ACTIONS(2211),
    [sym__open_fileglob_bracket] = ACTIONS(2211),
    [sym__PERLY_HEREDOC] = ACTIONS(2211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2211),
    [sym__filetest] = ACTIONS(2211),
  },
  [1011] = {
    [sym_heredoc_content] = STATE(1011),
    [sym__identifier] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2217),
    [anon_sym_RBRACE] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2217),
    [anon_sym_package] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_role] = ACTIONS(2217),
    [anon_sym_BUILD] = ACTIONS(2217),
    [anon_sym_ADJUST] = ACTIONS(2217),
    [anon_sym_DOLLAR] = ACTIONS(2217),
    [anon_sym_AT] = ACTIONS(2217),
    [anon_sym_my] = ACTIONS(2217),
    [anon_sym_extended] = ACTIONS(2217),
    [anon_sym_async] = ACTIONS(2217),
    [anon_sym_sub] = ACTIONS(2217),
    [anon_sym_method] = ACTIONS(2217),
    [anon_sym_LPAREN] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_state] = ACTIONS(2217),
    [anon_sym_our] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_defer] = ACTIONS(2217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_LT_LT] = ACTIONS(2217),
    [anon_sym_SLASH_SLASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_PLUS_PLUS] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2217),
    [anon_sym_BSLASH] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_eval] = ACTIONS(2217),
    [anon_sym_await] = ACTIONS(2217),
    [anon_sym_field] = ACTIONS(2217),
    [anon_sym_local] = ACTIONS(2217),
    [anon_sym_dynamically] = ACTIONS(2217),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2217),
    [anon_sym_require] = ACTIONS(2217),
    [anon_sym_map] = ACTIONS(2217),
    [anon_sym_grep] = ACTIONS(2217),
    [anon_sym_sort] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_undef] = ACTIONS(2217),
    [anon_sym_PERCENT2] = ACTIONS(2217),
    [anon_sym_AMP2] = ACTIONS(2217),
    [anon_sym_STAR2] = ACTIONS(2217),
    [anon_sym_use] = ACTIONS(2217),
    [anon_sym_no] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_foreach] = ACTIONS(2217),
    [anon_sym_last] = ACTIONS(2217),
    [anon_sym_next] = ACTIONS(2217),
    [anon_sym_redo] = ACTIONS(2217),
    [anon_sym_BEGIN] = ACTIONS(2217),
    [anon_sym_INIT] = ACTIONS(2217),
    [anon_sym_CHECK] = ACTIONS(2217),
    [anon_sym_UNITCHECK] = ACTIONS(2217),
    [anon_sym_END] = ACTIONS(2217),
    [anon_sym___FILE__] = ACTIONS(2217),
    [anon_sym___LINE__] = ACTIONS(2217),
    [anon_sym___PACKAGE__] = ACTIONS(2217),
    [anon_sym___SUB__] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_fork] = ACTIONS(2217),
    [anon_sym_getppid] = ACTIONS(2217),
    [anon_sym_time] = ACTIONS(2217),
    [anon_sym_times] = ACTIONS(2217),
    [anon_sym_wait] = ACTIONS(2217),
    [anon_sym_wantarray] = ACTIONS(2217),
    [anon_sym_abs] = ACTIONS(2217),
    [anon_sym_alarm] = ACTIONS(2217),
    [anon_sym_chop] = ACTIONS(2217),
    [anon_sym_chdir] = ACTIONS(2217),
    [anon_sym_close] = ACTIONS(2217),
    [anon_sym_closedir] = ACTIONS(2217),
    [anon_sym_caller] = ACTIONS(2217),
    [anon_sym_chomp] = ACTIONS(2217),
    [anon_sym_chr] = ACTIONS(2217),
    [anon_sym_cos] = ACTIONS(2217),
    [anon_sym_chroot] = ACTIONS(2217),
    [anon_sym_defined] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_dbmclose] = ACTIONS(2217),
    [anon_sym_exists] = ACTIONS(2217),
    [anon_sym_exit] = ACTIONS(2217),
    [anon_sym_eof] = ACTIONS(2217),
    [anon_sym_exp] = ACTIONS(2217),
    [anon_sym_each] = ACTIONS(2217),
    [anon_sym_fc] = ACTIONS(2217),
    [anon_sym_fileno] = ACTIONS(2217),
    [anon_sym_gmtime] = ACTIONS(2217),
    [anon_sym_getc] = ACTIONS(2217),
    [anon_sym_getpgrp] = ACTIONS(2217),
    [anon_sym_getprotobyname] = ACTIONS(2217),
    [anon_sym_getpwname] = ACTIONS(2217),
    [anon_sym_getpwuid] = ACTIONS(2217),
    [anon_sym_getpeername] = ACTIONS(2217),
    [anon_sym_getnetbyname] = ACTIONS(2217),
    [anon_sym_getsockname] = ACTIONS(2217),
    [anon_sym_getgrnam] = ACTIONS(2217),
    [anon_sym_getgrgid] = ACTIONS(2217),
    [anon_sym_hex] = ACTIONS(2217),
    [anon_sym_int] = ACTIONS(2217),
    [anon_sym_keys] = ACTIONS(2217),
    [anon_sym_lc] = ACTIONS(2217),
    [anon_sym_lcfirst] = ACTIONS(2217),
    [anon_sym_length] = ACTIONS(2217),
    [anon_sym_localtime] = ACTIONS(2217),
    [anon_sym_log] = ACTIONS(2217),
    [anon_sym_lock] = ACTIONS(2217),
    [anon_sym_lstat] = ACTIONS(2217),
    [anon_sym_oct] = ACTIONS(2217),
    [anon_sym_ord] = ACTIONS(2217),
    [anon_sym_prototype] = ACTIONS(2217),
    [anon_sym_pop] = ACTIONS(2217),
    [anon_sym_pos] = ACTIONS(2217),
    [anon_sym_quotemeta] = ACTIONS(2217),
    [anon_sym_reset] = ACTIONS(2217),
    [anon_sym_rand] = ACTIONS(2217),
    [anon_sym_rmdir] = ACTIONS(2217),
    [anon_sym_readdir] = ACTIONS(2217),
    [anon_sym_readline] = ACTIONS(2217),
    [anon_sym_readpipe] = ACTIONS(2217),
    [anon_sym_rewinddir] = ACTIONS(2217),
    [anon_sym_readlink] = ACTIONS(2217),
    [anon_sym_ref] = ACTIONS(2217),
    [anon_sym_scalar] = ACTIONS(2217),
    [anon_sym_shift] = ACTIONS(2217),
    [anon_sym_sin] = ACTIONS(2217),
    [anon_sym_sleep] = ACTIONS(2217),
    [anon_sym_sqrt] = ACTIONS(2217),
    [anon_sym_srand] = ACTIONS(2217),
    [anon_sym_stat] = ACTIONS(2217),
    [anon_sym_study] = ACTIONS(2217),
    [anon_sym_tell] = ACTIONS(2217),
    [anon_sym_telldir] = ACTIONS(2217),
    [anon_sym_tied] = ACTIONS(2217),
    [anon_sym_uc] = ACTIONS(2217),
    [anon_sym_ucfirst] = ACTIONS(2217),
    [anon_sym_untie] = ACTIONS(2217),
    [anon_sym_umask] = ACTIONS(2217),
    [anon_sym_values] = ACTIONS(2217),
    [anon_sym_write] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2217),
    [anon_sym_qq] = ACTIONS(2217),
    [anon_sym_qw] = ACTIONS(2217),
    [anon_sym_qx] = ACTIONS(2217),
    [anon_sym_qr] = ACTIONS(2217),
    [anon_sym_m] = ACTIONS(2217),
    [anon_sym_s] = ACTIONS(2217),
    [anon_sym_tr] = ACTIONS(2217),
    [anon_sym_y] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_unless] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_until] = ACTIONS(2217),
    [aux_sym__bareword_token1] = ACTIONS(2217),
    [sym_number] = ACTIONS(2217),
    [anon_sym_true] = ACTIONS(2217),
    [anon_sym_false] = ACTIONS(2217),
    [sym__single_quote] = ACTIONS(2215),
    [sym__double_quote] = ACTIONS(2215),
    [sym__backtick_quote] = ACTIONS(2215),
    [sym__search_slash_quote] = ACTIONS(2215),
    [sym__open_readline_bracket] = ACTIONS(2215),
    [sym__open_fileglob_bracket] = ACTIONS(2215),
    [sym__PERLY_HEREDOC] = ACTIONS(2215),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2215),
    [sym__filetest] = ACTIONS(2215),
  },
  [1012] = {
    [sym_heredoc_content] = STATE(1012),
    [sym__identifier] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_RBRACE] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym_package] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2368),
    [anon_sym_role] = ACTIONS(2368),
    [anon_sym_BUILD] = ACTIONS(2368),
    [anon_sym_ADJUST] = ACTIONS(2368),
    [anon_sym_DOLLAR] = ACTIONS(2368),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_my] = ACTIONS(2368),
    [anon_sym_extended] = ACTIONS(2368),
    [anon_sym_async] = ACTIONS(2368),
    [anon_sym_sub] = ACTIONS(2368),
    [anon_sym_method] = ACTIONS(2368),
    [anon_sym_LPAREN] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_state] = ACTIONS(2368),
    [anon_sym_our] = ACTIONS(2368),
    [anon_sym_try] = ACTIONS(2368),
    [anon_sym_defer] = ACTIONS(2368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_LT_LT] = ACTIONS(2368),
    [anon_sym_SLASH_SLASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_BSLASH] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_eval] = ACTIONS(2368),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_field] = ACTIONS(2368),
    [anon_sym_local] = ACTIONS(2368),
    [anon_sym_dynamically] = ACTIONS(2368),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2368),
    [anon_sym_require] = ACTIONS(2368),
    [anon_sym_map] = ACTIONS(2368),
    [anon_sym_grep] = ACTIONS(2368),
    [anon_sym_sort] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_undef] = ACTIONS(2368),
    [anon_sym_PERCENT2] = ACTIONS(2368),
    [anon_sym_AMP2] = ACTIONS(2368),
    [anon_sym_STAR2] = ACTIONS(2368),
    [anon_sym_use] = ACTIONS(2368),
    [anon_sym_no] = ACTIONS(2368),
    [anon_sym_for] = ACTIONS(2368),
    [anon_sym_foreach] = ACTIONS(2368),
    [anon_sym_last] = ACTIONS(2368),
    [anon_sym_next] = ACTIONS(2368),
    [anon_sym_redo] = ACTIONS(2368),
    [anon_sym_BEGIN] = ACTIONS(2368),
    [anon_sym_INIT] = ACTIONS(2368),
    [anon_sym_CHECK] = ACTIONS(2368),
    [anon_sym_UNITCHECK] = ACTIONS(2368),
    [anon_sym_END] = ACTIONS(2368),
    [anon_sym___FILE__] = ACTIONS(2368),
    [anon_sym___LINE__] = ACTIONS(2368),
    [anon_sym___PACKAGE__] = ACTIONS(2368),
    [anon_sym___SUB__] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_fork] = ACTIONS(2368),
    [anon_sym_getppid] = ACTIONS(2368),
    [anon_sym_time] = ACTIONS(2368),
    [anon_sym_times] = ACTIONS(2368),
    [anon_sym_wait] = ACTIONS(2368),
    [anon_sym_wantarray] = ACTIONS(2368),
    [anon_sym_abs] = ACTIONS(2368),
    [anon_sym_alarm] = ACTIONS(2368),
    [anon_sym_chop] = ACTIONS(2368),
    [anon_sym_chdir] = ACTIONS(2368),
    [anon_sym_close] = ACTIONS(2368),
    [anon_sym_closedir] = ACTIONS(2368),
    [anon_sym_caller] = ACTIONS(2368),
    [anon_sym_chomp] = ACTIONS(2368),
    [anon_sym_chr] = ACTIONS(2368),
    [anon_sym_cos] = ACTIONS(2368),
    [anon_sym_chroot] = ACTIONS(2368),
    [anon_sym_defined] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_dbmclose] = ACTIONS(2368),
    [anon_sym_exists] = ACTIONS(2368),
    [anon_sym_exit] = ACTIONS(2368),
    [anon_sym_eof] = ACTIONS(2368),
    [anon_sym_exp] = ACTIONS(2368),
    [anon_sym_each] = ACTIONS(2368),
    [anon_sym_fc] = ACTIONS(2368),
    [anon_sym_fileno] = ACTIONS(2368),
    [anon_sym_gmtime] = ACTIONS(2368),
    [anon_sym_getc] = ACTIONS(2368),
    [anon_sym_getpgrp] = ACTIONS(2368),
    [anon_sym_getprotobyname] = ACTIONS(2368),
    [anon_sym_getpwname] = ACTIONS(2368),
    [anon_sym_getpwuid] = ACTIONS(2368),
    [anon_sym_getpeername] = ACTIONS(2368),
    [anon_sym_getnetbyname] = ACTIONS(2368),
    [anon_sym_getsockname] = ACTIONS(2368),
    [anon_sym_getgrnam] = ACTIONS(2368),
    [anon_sym_getgrgid] = ACTIONS(2368),
    [anon_sym_hex] = ACTIONS(2368),
    [anon_sym_int] = ACTIONS(2368),
    [anon_sym_keys] = ACTIONS(2368),
    [anon_sym_lc] = ACTIONS(2368),
    [anon_sym_lcfirst] = ACTIONS(2368),
    [anon_sym_length] = ACTIONS(2368),
    [anon_sym_localtime] = ACTIONS(2368),
    [anon_sym_log] = ACTIONS(2368),
    [anon_sym_lock] = ACTIONS(2368),
    [anon_sym_lstat] = ACTIONS(2368),
    [anon_sym_oct] = ACTIONS(2368),
    [anon_sym_ord] = ACTIONS(2368),
    [anon_sym_prototype] = ACTIONS(2368),
    [anon_sym_pop] = ACTIONS(2368),
    [anon_sym_pos] = ACTIONS(2368),
    [anon_sym_quotemeta] = ACTIONS(2368),
    [anon_sym_reset] = ACTIONS(2368),
    [anon_sym_rand] = ACTIONS(2368),
    [anon_sym_rmdir] = ACTIONS(2368),
    [anon_sym_readdir] = ACTIONS(2368),
    [anon_sym_readline] = ACTIONS(2368),
    [anon_sym_readpipe] = ACTIONS(2368),
    [anon_sym_rewinddir] = ACTIONS(2368),
    [anon_sym_readlink] = ACTIONS(2368),
    [anon_sym_ref] = ACTIONS(2368),
    [anon_sym_scalar] = ACTIONS(2368),
    [anon_sym_shift] = ACTIONS(2368),
    [anon_sym_sin] = ACTIONS(2368),
    [anon_sym_sleep] = ACTIONS(2368),
    [anon_sym_sqrt] = ACTIONS(2368),
    [anon_sym_srand] = ACTIONS(2368),
    [anon_sym_stat] = ACTIONS(2368),
    [anon_sym_study] = ACTIONS(2368),
    [anon_sym_tell] = ACTIONS(2368),
    [anon_sym_telldir] = ACTIONS(2368),
    [anon_sym_tied] = ACTIONS(2368),
    [anon_sym_uc] = ACTIONS(2368),
    [anon_sym_ucfirst] = ACTIONS(2368),
    [anon_sym_untie] = ACTIONS(2368),
    [anon_sym_umask] = ACTIONS(2368),
    [anon_sym_values] = ACTIONS(2368),
    [anon_sym_write] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2368),
    [anon_sym_qq] = ACTIONS(2368),
    [anon_sym_qw] = ACTIONS(2368),
    [anon_sym_qx] = ACTIONS(2368),
    [anon_sym_qr] = ACTIONS(2368),
    [anon_sym_m] = ACTIONS(2368),
    [anon_sym_s] = ACTIONS(2368),
    [anon_sym_tr] = ACTIONS(2368),
    [anon_sym_y] = ACTIONS(2368),
    [anon_sym_if] = ACTIONS(2368),
    [anon_sym_unless] = ACTIONS(2368),
    [anon_sym_while] = ACTIONS(2368),
    [anon_sym_until] = ACTIONS(2368),
    [aux_sym__bareword_token1] = ACTIONS(2368),
    [sym_number] = ACTIONS(2368),
    [anon_sym_true] = ACTIONS(2368),
    [anon_sym_false] = ACTIONS(2368),
    [sym__single_quote] = ACTIONS(2366),
    [sym__double_quote] = ACTIONS(2366),
    [sym__backtick_quote] = ACTIONS(2366),
    [sym__search_slash_quote] = ACTIONS(2366),
    [sym__open_readline_bracket] = ACTIONS(2366),
    [sym__open_fileglob_bracket] = ACTIONS(2366),
    [sym__PERLY_HEREDOC] = ACTIONS(2366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2366),
    [sym__filetest] = ACTIONS(2366),
  },
  [1013] = {
    [sym_heredoc_content] = STATE(1013),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_RBRACE] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2221),
    [anon_sym_package] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_role] = ACTIONS(2221),
    [anon_sym_BUILD] = ACTIONS(2221),
    [anon_sym_ADJUST] = ACTIONS(2221),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_my] = ACTIONS(2221),
    [anon_sym_extended] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_sub] = ACTIONS(2221),
    [anon_sym_method] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_state] = ACTIONS(2221),
    [anon_sym_our] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_defer] = ACTIONS(2221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_SLASH_SLASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [anon_sym_BSLASH] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_eval] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_field] = ACTIONS(2221),
    [anon_sym_local] = ACTIONS(2221),
    [anon_sym_dynamically] = ACTIONS(2221),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2221),
    [anon_sym_require] = ACTIONS(2221),
    [anon_sym_map] = ACTIONS(2221),
    [anon_sym_grep] = ACTIONS(2221),
    [anon_sym_sort] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_undef] = ACTIONS(2221),
    [anon_sym_PERCENT2] = ACTIONS(2221),
    [anon_sym_AMP2] = ACTIONS(2221),
    [anon_sym_STAR2] = ACTIONS(2221),
    [anon_sym_use] = ACTIONS(2221),
    [anon_sym_no] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_foreach] = ACTIONS(2221),
    [anon_sym_last] = ACTIONS(2221),
    [anon_sym_next] = ACTIONS(2221),
    [anon_sym_redo] = ACTIONS(2221),
    [anon_sym_BEGIN] = ACTIONS(2221),
    [anon_sym_INIT] = ACTIONS(2221),
    [anon_sym_CHECK] = ACTIONS(2221),
    [anon_sym_UNITCHECK] = ACTIONS(2221),
    [anon_sym_END] = ACTIONS(2221),
    [anon_sym___FILE__] = ACTIONS(2221),
    [anon_sym___LINE__] = ACTIONS(2221),
    [anon_sym___PACKAGE__] = ACTIONS(2221),
    [anon_sym___SUB__] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_fork] = ACTIONS(2221),
    [anon_sym_getppid] = ACTIONS(2221),
    [anon_sym_time] = ACTIONS(2221),
    [anon_sym_times] = ACTIONS(2221),
    [anon_sym_wait] = ACTIONS(2221),
    [anon_sym_wantarray] = ACTIONS(2221),
    [anon_sym_abs] = ACTIONS(2221),
    [anon_sym_alarm] = ACTIONS(2221),
    [anon_sym_chop] = ACTIONS(2221),
    [anon_sym_chdir] = ACTIONS(2221),
    [anon_sym_close] = ACTIONS(2221),
    [anon_sym_closedir] = ACTIONS(2221),
    [anon_sym_caller] = ACTIONS(2221),
    [anon_sym_chomp] = ACTIONS(2221),
    [anon_sym_chr] = ACTIONS(2221),
    [anon_sym_cos] = ACTIONS(2221),
    [anon_sym_chroot] = ACTIONS(2221),
    [anon_sym_defined] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_dbmclose] = ACTIONS(2221),
    [anon_sym_exists] = ACTIONS(2221),
    [anon_sym_exit] = ACTIONS(2221),
    [anon_sym_eof] = ACTIONS(2221),
    [anon_sym_exp] = ACTIONS(2221),
    [anon_sym_each] = ACTIONS(2221),
    [anon_sym_fc] = ACTIONS(2221),
    [anon_sym_fileno] = ACTIONS(2221),
    [anon_sym_gmtime] = ACTIONS(2221),
    [anon_sym_getc] = ACTIONS(2221),
    [anon_sym_getpgrp] = ACTIONS(2221),
    [anon_sym_getprotobyname] = ACTIONS(2221),
    [anon_sym_getpwname] = ACTIONS(2221),
    [anon_sym_getpwuid] = ACTIONS(2221),
    [anon_sym_getpeername] = ACTIONS(2221),
    [anon_sym_getnetbyname] = ACTIONS(2221),
    [anon_sym_getsockname] = ACTIONS(2221),
    [anon_sym_getgrnam] = ACTIONS(2221),
    [anon_sym_getgrgid] = ACTIONS(2221),
    [anon_sym_hex] = ACTIONS(2221),
    [anon_sym_int] = ACTIONS(2221),
    [anon_sym_keys] = ACTIONS(2221),
    [anon_sym_lc] = ACTIONS(2221),
    [anon_sym_lcfirst] = ACTIONS(2221),
    [anon_sym_length] = ACTIONS(2221),
    [anon_sym_localtime] = ACTIONS(2221),
    [anon_sym_log] = ACTIONS(2221),
    [anon_sym_lock] = ACTIONS(2221),
    [anon_sym_lstat] = ACTIONS(2221),
    [anon_sym_oct] = ACTIONS(2221),
    [anon_sym_ord] = ACTIONS(2221),
    [anon_sym_prototype] = ACTIONS(2221),
    [anon_sym_pop] = ACTIONS(2221),
    [anon_sym_pos] = ACTIONS(2221),
    [anon_sym_quotemeta] = ACTIONS(2221),
    [anon_sym_reset] = ACTIONS(2221),
    [anon_sym_rand] = ACTIONS(2221),
    [anon_sym_rmdir] = ACTIONS(2221),
    [anon_sym_readdir] = ACTIONS(2221),
    [anon_sym_readline] = ACTIONS(2221),
    [anon_sym_readpipe] = ACTIONS(2221),
    [anon_sym_rewinddir] = ACTIONS(2221),
    [anon_sym_readlink] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2221),
    [anon_sym_scalar] = ACTIONS(2221),
    [anon_sym_shift] = ACTIONS(2221),
    [anon_sym_sin] = ACTIONS(2221),
    [anon_sym_sleep] = ACTIONS(2221),
    [anon_sym_sqrt] = ACTIONS(2221),
    [anon_sym_srand] = ACTIONS(2221),
    [anon_sym_stat] = ACTIONS(2221),
    [anon_sym_study] = ACTIONS(2221),
    [anon_sym_tell] = ACTIONS(2221),
    [anon_sym_telldir] = ACTIONS(2221),
    [anon_sym_tied] = ACTIONS(2221),
    [anon_sym_uc] = ACTIONS(2221),
    [anon_sym_ucfirst] = ACTIONS(2221),
    [anon_sym_untie] = ACTIONS(2221),
    [anon_sym_umask] = ACTIONS(2221),
    [anon_sym_values] = ACTIONS(2221),
    [anon_sym_write] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2221),
    [anon_sym_qq] = ACTIONS(2221),
    [anon_sym_qw] = ACTIONS(2221),
    [anon_sym_qx] = ACTIONS(2221),
    [anon_sym_qr] = ACTIONS(2221),
    [anon_sym_m] = ACTIONS(2221),
    [anon_sym_s] = ACTIONS(2221),
    [anon_sym_tr] = ACTIONS(2221),
    [anon_sym_y] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_unless] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_until] = ACTIONS(2221),
    [aux_sym__bareword_token1] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [anon_sym_true] = ACTIONS(2221),
    [anon_sym_false] = ACTIONS(2221),
    [sym__single_quote] = ACTIONS(2219),
    [sym__double_quote] = ACTIONS(2219),
    [sym__backtick_quote] = ACTIONS(2219),
    [sym__search_slash_quote] = ACTIONS(2219),
    [sym__open_readline_bracket] = ACTIONS(2219),
    [sym__open_fileglob_bracket] = ACTIONS(2219),
    [sym__PERLY_HEREDOC] = ACTIONS(2219),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2219),
    [sym__filetest] = ACTIONS(2219),
  },
  [1014] = {
    [sym_heredoc_content] = STATE(1014),
    [sym__identifier] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_RBRACE] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2225),
    [anon_sym_package] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_role] = ACTIONS(2225),
    [anon_sym_BUILD] = ACTIONS(2225),
    [anon_sym_ADJUST] = ACTIONS(2225),
    [anon_sym_DOLLAR] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_my] = ACTIONS(2225),
    [anon_sym_extended] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_sub] = ACTIONS(2225),
    [anon_sym_method] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_state] = ACTIONS(2225),
    [anon_sym_our] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_defer] = ACTIONS(2225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_SLASH_SLASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_eval] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_field] = ACTIONS(2225),
    [anon_sym_local] = ACTIONS(2225),
    [anon_sym_dynamically] = ACTIONS(2225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2225),
    [anon_sym_require] = ACTIONS(2225),
    [anon_sym_map] = ACTIONS(2225),
    [anon_sym_grep] = ACTIONS(2225),
    [anon_sym_sort] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_undef] = ACTIONS(2225),
    [anon_sym_PERCENT2] = ACTIONS(2225),
    [anon_sym_AMP2] = ACTIONS(2225),
    [anon_sym_STAR2] = ACTIONS(2225),
    [anon_sym_use] = ACTIONS(2225),
    [anon_sym_no] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_foreach] = ACTIONS(2225),
    [anon_sym_last] = ACTIONS(2225),
    [anon_sym_next] = ACTIONS(2225),
    [anon_sym_redo] = ACTIONS(2225),
    [anon_sym_BEGIN] = ACTIONS(2225),
    [anon_sym_INIT] = ACTIONS(2225),
    [anon_sym_CHECK] = ACTIONS(2225),
    [anon_sym_UNITCHECK] = ACTIONS(2225),
    [anon_sym_END] = ACTIONS(2225),
    [anon_sym___FILE__] = ACTIONS(2225),
    [anon_sym___LINE__] = ACTIONS(2225),
    [anon_sym___PACKAGE__] = ACTIONS(2225),
    [anon_sym___SUB__] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_fork] = ACTIONS(2225),
    [anon_sym_getppid] = ACTIONS(2225),
    [anon_sym_time] = ACTIONS(2225),
    [anon_sym_times] = ACTIONS(2225),
    [anon_sym_wait] = ACTIONS(2225),
    [anon_sym_wantarray] = ACTIONS(2225),
    [anon_sym_abs] = ACTIONS(2225),
    [anon_sym_alarm] = ACTIONS(2225),
    [anon_sym_chop] = ACTIONS(2225),
    [anon_sym_chdir] = ACTIONS(2225),
    [anon_sym_close] = ACTIONS(2225),
    [anon_sym_closedir] = ACTIONS(2225),
    [anon_sym_caller] = ACTIONS(2225),
    [anon_sym_chomp] = ACTIONS(2225),
    [anon_sym_chr] = ACTIONS(2225),
    [anon_sym_cos] = ACTIONS(2225),
    [anon_sym_chroot] = ACTIONS(2225),
    [anon_sym_defined] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_dbmclose] = ACTIONS(2225),
    [anon_sym_exists] = ACTIONS(2225),
    [anon_sym_exit] = ACTIONS(2225),
    [anon_sym_eof] = ACTIONS(2225),
    [anon_sym_exp] = ACTIONS(2225),
    [anon_sym_each] = ACTIONS(2225),
    [anon_sym_fc] = ACTIONS(2225),
    [anon_sym_fileno] = ACTIONS(2225),
    [anon_sym_gmtime] = ACTIONS(2225),
    [anon_sym_getc] = ACTIONS(2225),
    [anon_sym_getpgrp] = ACTIONS(2225),
    [anon_sym_getprotobyname] = ACTIONS(2225),
    [anon_sym_getpwname] = ACTIONS(2225),
    [anon_sym_getpwuid] = ACTIONS(2225),
    [anon_sym_getpeername] = ACTIONS(2225),
    [anon_sym_getnetbyname] = ACTIONS(2225),
    [anon_sym_getsockname] = ACTIONS(2225),
    [anon_sym_getgrnam] = ACTIONS(2225),
    [anon_sym_getgrgid] = ACTIONS(2225),
    [anon_sym_hex] = ACTIONS(2225),
    [anon_sym_int] = ACTIONS(2225),
    [anon_sym_keys] = ACTIONS(2225),
    [anon_sym_lc] = ACTIONS(2225),
    [anon_sym_lcfirst] = ACTIONS(2225),
    [anon_sym_length] = ACTIONS(2225),
    [anon_sym_localtime] = ACTIONS(2225),
    [anon_sym_log] = ACTIONS(2225),
    [anon_sym_lock] = ACTIONS(2225),
    [anon_sym_lstat] = ACTIONS(2225),
    [anon_sym_oct] = ACTIONS(2225),
    [anon_sym_ord] = ACTIONS(2225),
    [anon_sym_prototype] = ACTIONS(2225),
    [anon_sym_pop] = ACTIONS(2225),
    [anon_sym_pos] = ACTIONS(2225),
    [anon_sym_quotemeta] = ACTIONS(2225),
    [anon_sym_reset] = ACTIONS(2225),
    [anon_sym_rand] = ACTIONS(2225),
    [anon_sym_rmdir] = ACTIONS(2225),
    [anon_sym_readdir] = ACTIONS(2225),
    [anon_sym_readline] = ACTIONS(2225),
    [anon_sym_readpipe] = ACTIONS(2225),
    [anon_sym_rewinddir] = ACTIONS(2225),
    [anon_sym_readlink] = ACTIONS(2225),
    [anon_sym_ref] = ACTIONS(2225),
    [anon_sym_scalar] = ACTIONS(2225),
    [anon_sym_shift] = ACTIONS(2225),
    [anon_sym_sin] = ACTIONS(2225),
    [anon_sym_sleep] = ACTIONS(2225),
    [anon_sym_sqrt] = ACTIONS(2225),
    [anon_sym_srand] = ACTIONS(2225),
    [anon_sym_stat] = ACTIONS(2225),
    [anon_sym_study] = ACTIONS(2225),
    [anon_sym_tell] = ACTIONS(2225),
    [anon_sym_telldir] = ACTIONS(2225),
    [anon_sym_tied] = ACTIONS(2225),
    [anon_sym_uc] = ACTIONS(2225),
    [anon_sym_ucfirst] = ACTIONS(2225),
    [anon_sym_untie] = ACTIONS(2225),
    [anon_sym_umask] = ACTIONS(2225),
    [anon_sym_values] = ACTIONS(2225),
    [anon_sym_write] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2225),
    [anon_sym_qq] = ACTIONS(2225),
    [anon_sym_qw] = ACTIONS(2225),
    [anon_sym_qx] = ACTIONS(2225),
    [anon_sym_qr] = ACTIONS(2225),
    [anon_sym_m] = ACTIONS(2225),
    [anon_sym_s] = ACTIONS(2225),
    [anon_sym_tr] = ACTIONS(2225),
    [anon_sym_y] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_unless] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_until] = ACTIONS(2225),
    [aux_sym__bareword_token1] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [anon_sym_true] = ACTIONS(2225),
    [anon_sym_false] = ACTIONS(2225),
    [sym__single_quote] = ACTIONS(2223),
    [sym__double_quote] = ACTIONS(2223),
    [sym__backtick_quote] = ACTIONS(2223),
    [sym__search_slash_quote] = ACTIONS(2223),
    [sym__open_readline_bracket] = ACTIONS(2223),
    [sym__open_fileglob_bracket] = ACTIONS(2223),
    [sym__PERLY_HEREDOC] = ACTIONS(2223),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2223),
    [sym__filetest] = ACTIONS(2223),
  },
  [1015] = {
    [sym_heredoc_content] = STATE(1015),
    [sym__identifier] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_RBRACE] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2229),
    [anon_sym_package] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_role] = ACTIONS(2229),
    [anon_sym_BUILD] = ACTIONS(2229),
    [anon_sym_ADJUST] = ACTIONS(2229),
    [anon_sym_DOLLAR] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_my] = ACTIONS(2229),
    [anon_sym_extended] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_sub] = ACTIONS(2229),
    [anon_sym_method] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_state] = ACTIONS(2229),
    [anon_sym_our] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_defer] = ACTIONS(2229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2229),
    [anon_sym_SLASH_SLASH] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_BSLASH] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_eval] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_field] = ACTIONS(2229),
    [anon_sym_local] = ACTIONS(2229),
    [anon_sym_dynamically] = ACTIONS(2229),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2229),
    [anon_sym_require] = ACTIONS(2229),
    [anon_sym_map] = ACTIONS(2229),
    [anon_sym_grep] = ACTIONS(2229),
    [anon_sym_sort] = ACTIONS(2229),
    [anon_sym_goto] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_undef] = ACTIONS(2229),
    [anon_sym_PERCENT2] = ACTIONS(2229),
    [anon_sym_AMP2] = ACTIONS(2229),
    [anon_sym_STAR2] = ACTIONS(2229),
    [anon_sym_use] = ACTIONS(2229),
    [anon_sym_no] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_foreach] = ACTIONS(2229),
    [anon_sym_last] = ACTIONS(2229),
    [anon_sym_next] = ACTIONS(2229),
    [anon_sym_redo] = ACTIONS(2229),
    [anon_sym_BEGIN] = ACTIONS(2229),
    [anon_sym_INIT] = ACTIONS(2229),
    [anon_sym_CHECK] = ACTIONS(2229),
    [anon_sym_UNITCHECK] = ACTIONS(2229),
    [anon_sym_END] = ACTIONS(2229),
    [anon_sym___FILE__] = ACTIONS(2229),
    [anon_sym___LINE__] = ACTIONS(2229),
    [anon_sym___PACKAGE__] = ACTIONS(2229),
    [anon_sym___SUB__] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_fork] = ACTIONS(2229),
    [anon_sym_getppid] = ACTIONS(2229),
    [anon_sym_time] = ACTIONS(2229),
    [anon_sym_times] = ACTIONS(2229),
    [anon_sym_wait] = ACTIONS(2229),
    [anon_sym_wantarray] = ACTIONS(2229),
    [anon_sym_abs] = ACTIONS(2229),
    [anon_sym_alarm] = ACTIONS(2229),
    [anon_sym_chop] = ACTIONS(2229),
    [anon_sym_chdir] = ACTIONS(2229),
    [anon_sym_close] = ACTIONS(2229),
    [anon_sym_closedir] = ACTIONS(2229),
    [anon_sym_caller] = ACTIONS(2229),
    [anon_sym_chomp] = ACTIONS(2229),
    [anon_sym_chr] = ACTIONS(2229),
    [anon_sym_cos] = ACTIONS(2229),
    [anon_sym_chroot] = ACTIONS(2229),
    [anon_sym_defined] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_dbmclose] = ACTIONS(2229),
    [anon_sym_exists] = ACTIONS(2229),
    [anon_sym_exit] = ACTIONS(2229),
    [anon_sym_eof] = ACTIONS(2229),
    [anon_sym_exp] = ACTIONS(2229),
    [anon_sym_each] = ACTIONS(2229),
    [anon_sym_fc] = ACTIONS(2229),
    [anon_sym_fileno] = ACTIONS(2229),
    [anon_sym_gmtime] = ACTIONS(2229),
    [anon_sym_getc] = ACTIONS(2229),
    [anon_sym_getpgrp] = ACTIONS(2229),
    [anon_sym_getprotobyname] = ACTIONS(2229),
    [anon_sym_getpwname] = ACTIONS(2229),
    [anon_sym_getpwuid] = ACTIONS(2229),
    [anon_sym_getpeername] = ACTIONS(2229),
    [anon_sym_getnetbyname] = ACTIONS(2229),
    [anon_sym_getsockname] = ACTIONS(2229),
    [anon_sym_getgrnam] = ACTIONS(2229),
    [anon_sym_getgrgid] = ACTIONS(2229),
    [anon_sym_hex] = ACTIONS(2229),
    [anon_sym_int] = ACTIONS(2229),
    [anon_sym_keys] = ACTIONS(2229),
    [anon_sym_lc] = ACTIONS(2229),
    [anon_sym_lcfirst] = ACTIONS(2229),
    [anon_sym_length] = ACTIONS(2229),
    [anon_sym_localtime] = ACTIONS(2229),
    [anon_sym_log] = ACTIONS(2229),
    [anon_sym_lock] = ACTIONS(2229),
    [anon_sym_lstat] = ACTIONS(2229),
    [anon_sym_oct] = ACTIONS(2229),
    [anon_sym_ord] = ACTIONS(2229),
    [anon_sym_prototype] = ACTIONS(2229),
    [anon_sym_pop] = ACTIONS(2229),
    [anon_sym_pos] = ACTIONS(2229),
    [anon_sym_quotemeta] = ACTIONS(2229),
    [anon_sym_reset] = ACTIONS(2229),
    [anon_sym_rand] = ACTIONS(2229),
    [anon_sym_rmdir] = ACTIONS(2229),
    [anon_sym_readdir] = ACTIONS(2229),
    [anon_sym_readline] = ACTIONS(2229),
    [anon_sym_readpipe] = ACTIONS(2229),
    [anon_sym_rewinddir] = ACTIONS(2229),
    [anon_sym_readlink] = ACTIONS(2229),
    [anon_sym_ref] = ACTIONS(2229),
    [anon_sym_scalar] = ACTIONS(2229),
    [anon_sym_shift] = ACTIONS(2229),
    [anon_sym_sin] = ACTIONS(2229),
    [anon_sym_sleep] = ACTIONS(2229),
    [anon_sym_sqrt] = ACTIONS(2229),
    [anon_sym_srand] = ACTIONS(2229),
    [anon_sym_stat] = ACTIONS(2229),
    [anon_sym_study] = ACTIONS(2229),
    [anon_sym_tell] = ACTIONS(2229),
    [anon_sym_telldir] = ACTIONS(2229),
    [anon_sym_tied] = ACTIONS(2229),
    [anon_sym_uc] = ACTIONS(2229),
    [anon_sym_ucfirst] = ACTIONS(2229),
    [anon_sym_untie] = ACTIONS(2229),
    [anon_sym_umask] = ACTIONS(2229),
    [anon_sym_values] = ACTIONS(2229),
    [anon_sym_write] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2229),
    [anon_sym_qq] = ACTIONS(2229),
    [anon_sym_qw] = ACTIONS(2229),
    [anon_sym_qx] = ACTIONS(2229),
    [anon_sym_qr] = ACTIONS(2229),
    [anon_sym_m] = ACTIONS(2229),
    [anon_sym_s] = ACTIONS(2229),
    [anon_sym_tr] = ACTIONS(2229),
    [anon_sym_y] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_unless] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_until] = ACTIONS(2229),
    [aux_sym__bareword_token1] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [sym__single_quote] = ACTIONS(2227),
    [sym__double_quote] = ACTIONS(2227),
    [sym__backtick_quote] = ACTIONS(2227),
    [sym__search_slash_quote] = ACTIONS(2227),
    [sym__open_readline_bracket] = ACTIONS(2227),
    [sym__open_fileglob_bracket] = ACTIONS(2227),
    [sym__PERLY_HEREDOC] = ACTIONS(2227),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2227),
    [sym__filetest] = ACTIONS(2227),
  },
  [1016] = {
    [sym_heredoc_content] = STATE(1016),
    [sym__identifier] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_RBRACE] = ACTIONS(2233),
    [anon_sym_SEMI] = ACTIONS(2233),
    [anon_sym_package] = ACTIONS(2233),
    [anon_sym_class] = ACTIONS(2233),
    [anon_sym_role] = ACTIONS(2233),
    [anon_sym_BUILD] = ACTIONS(2233),
    [anon_sym_ADJUST] = ACTIONS(2233),
    [anon_sym_DOLLAR] = ACTIONS(2233),
    [anon_sym_AT] = ACTIONS(2233),
    [anon_sym_my] = ACTIONS(2233),
    [anon_sym_extended] = ACTIONS(2233),
    [anon_sym_async] = ACTIONS(2233),
    [anon_sym_sub] = ACTIONS(2233),
    [anon_sym_method] = ACTIONS(2233),
    [anon_sym_LPAREN] = ACTIONS(2233),
    [anon_sym_continue] = ACTIONS(2233),
    [anon_sym_state] = ACTIONS(2233),
    [anon_sym_our] = ACTIONS(2233),
    [anon_sym_try] = ACTIONS(2233),
    [anon_sym_defer] = ACTIONS(2233),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LT_LT] = ACTIONS(2233),
    [anon_sym_SLASH_SLASH] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_DASH] = ACTIONS(2233),
    [anon_sym_TILDE] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(2233),
    [anon_sym_PLUS_PLUS] = ACTIONS(2233),
    [anon_sym_DASH_DASH] = ACTIONS(2233),
    [anon_sym_BSLASH] = ACTIONS(2231),
    [anon_sym_do] = ACTIONS(2233),
    [anon_sym_eval] = ACTIONS(2233),
    [anon_sym_await] = ACTIONS(2233),
    [anon_sym_field] = ACTIONS(2233),
    [anon_sym_local] = ACTIONS(2233),
    [anon_sym_dynamically] = ACTIONS(2233),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2233),
    [anon_sym_require] = ACTIONS(2233),
    [anon_sym_map] = ACTIONS(2233),
    [anon_sym_grep] = ACTIONS(2233),
    [anon_sym_sort] = ACTIONS(2233),
    [anon_sym_goto] = ACTIONS(2233),
    [anon_sym_return] = ACTIONS(2233),
    [anon_sym_undef] = ACTIONS(2233),
    [anon_sym_PERCENT2] = ACTIONS(2233),
    [anon_sym_AMP2] = ACTIONS(2233),
    [anon_sym_STAR2] = ACTIONS(2233),
    [anon_sym_use] = ACTIONS(2233),
    [anon_sym_no] = ACTIONS(2233),
    [anon_sym_for] = ACTIONS(2233),
    [anon_sym_foreach] = ACTIONS(2233),
    [anon_sym_last] = ACTIONS(2233),
    [anon_sym_next] = ACTIONS(2233),
    [anon_sym_redo] = ACTIONS(2233),
    [anon_sym_BEGIN] = ACTIONS(2233),
    [anon_sym_INIT] = ACTIONS(2233),
    [anon_sym_CHECK] = ACTIONS(2233),
    [anon_sym_UNITCHECK] = ACTIONS(2233),
    [anon_sym_END] = ACTIONS(2233),
    [anon_sym___FILE__] = ACTIONS(2233),
    [anon_sym___LINE__] = ACTIONS(2233),
    [anon_sym___PACKAGE__] = ACTIONS(2233),
    [anon_sym___SUB__] = ACTIONS(2233),
    [anon_sym_break] = ACTIONS(2233),
    [anon_sym_fork] = ACTIONS(2233),
    [anon_sym_getppid] = ACTIONS(2233),
    [anon_sym_time] = ACTIONS(2233),
    [anon_sym_times] = ACTIONS(2233),
    [anon_sym_wait] = ACTIONS(2233),
    [anon_sym_wantarray] = ACTIONS(2233),
    [anon_sym_abs] = ACTIONS(2233),
    [anon_sym_alarm] = ACTIONS(2233),
    [anon_sym_chop] = ACTIONS(2233),
    [anon_sym_chdir] = ACTIONS(2233),
    [anon_sym_close] = ACTIONS(2233),
    [anon_sym_closedir] = ACTIONS(2233),
    [anon_sym_caller] = ACTIONS(2233),
    [anon_sym_chomp] = ACTIONS(2233),
    [anon_sym_chr] = ACTIONS(2233),
    [anon_sym_cos] = ACTIONS(2233),
    [anon_sym_chroot] = ACTIONS(2233),
    [anon_sym_defined] = ACTIONS(2233),
    [anon_sym_delete] = ACTIONS(2233),
    [anon_sym_dbmclose] = ACTIONS(2233),
    [anon_sym_exists] = ACTIONS(2233),
    [anon_sym_exit] = ACTIONS(2233),
    [anon_sym_eof] = ACTIONS(2233),
    [anon_sym_exp] = ACTIONS(2233),
    [anon_sym_each] = ACTIONS(2233),
    [anon_sym_fc] = ACTIONS(2233),
    [anon_sym_fileno] = ACTIONS(2233),
    [anon_sym_gmtime] = ACTIONS(2233),
    [anon_sym_getc] = ACTIONS(2233),
    [anon_sym_getpgrp] = ACTIONS(2233),
    [anon_sym_getprotobyname] = ACTIONS(2233),
    [anon_sym_getpwname] = ACTIONS(2233),
    [anon_sym_getpwuid] = ACTIONS(2233),
    [anon_sym_getpeername] = ACTIONS(2233),
    [anon_sym_getnetbyname] = ACTIONS(2233),
    [anon_sym_getsockname] = ACTIONS(2233),
    [anon_sym_getgrnam] = ACTIONS(2233),
    [anon_sym_getgrgid] = ACTIONS(2233),
    [anon_sym_hex] = ACTIONS(2233),
    [anon_sym_int] = ACTIONS(2233),
    [anon_sym_keys] = ACTIONS(2233),
    [anon_sym_lc] = ACTIONS(2233),
    [anon_sym_lcfirst] = ACTIONS(2233),
    [anon_sym_length] = ACTIONS(2233),
    [anon_sym_localtime] = ACTIONS(2233),
    [anon_sym_log] = ACTIONS(2233),
    [anon_sym_lock] = ACTIONS(2233),
    [anon_sym_lstat] = ACTIONS(2233),
    [anon_sym_oct] = ACTIONS(2233),
    [anon_sym_ord] = ACTIONS(2233),
    [anon_sym_prototype] = ACTIONS(2233),
    [anon_sym_pop] = ACTIONS(2233),
    [anon_sym_pos] = ACTIONS(2233),
    [anon_sym_quotemeta] = ACTIONS(2233),
    [anon_sym_reset] = ACTIONS(2233),
    [anon_sym_rand] = ACTIONS(2233),
    [anon_sym_rmdir] = ACTIONS(2233),
    [anon_sym_readdir] = ACTIONS(2233),
    [anon_sym_readline] = ACTIONS(2233),
    [anon_sym_readpipe] = ACTIONS(2233),
    [anon_sym_rewinddir] = ACTIONS(2233),
    [anon_sym_readlink] = ACTIONS(2233),
    [anon_sym_ref] = ACTIONS(2233),
    [anon_sym_scalar] = ACTIONS(2233),
    [anon_sym_shift] = ACTIONS(2233),
    [anon_sym_sin] = ACTIONS(2233),
    [anon_sym_sleep] = ACTIONS(2233),
    [anon_sym_sqrt] = ACTIONS(2233),
    [anon_sym_srand] = ACTIONS(2233),
    [anon_sym_stat] = ACTIONS(2233),
    [anon_sym_study] = ACTIONS(2233),
    [anon_sym_tell] = ACTIONS(2233),
    [anon_sym_telldir] = ACTIONS(2233),
    [anon_sym_tied] = ACTIONS(2233),
    [anon_sym_uc] = ACTIONS(2233),
    [anon_sym_ucfirst] = ACTIONS(2233),
    [anon_sym_untie] = ACTIONS(2233),
    [anon_sym_umask] = ACTIONS(2233),
    [anon_sym_values] = ACTIONS(2233),
    [anon_sym_write] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2233),
    [anon_sym_qq] = ACTIONS(2233),
    [anon_sym_qw] = ACTIONS(2233),
    [anon_sym_qx] = ACTIONS(2233),
    [anon_sym_qr] = ACTIONS(2233),
    [anon_sym_m] = ACTIONS(2233),
    [anon_sym_s] = ACTIONS(2233),
    [anon_sym_tr] = ACTIONS(2233),
    [anon_sym_y] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2233),
    [anon_sym_unless] = ACTIONS(2233),
    [anon_sym_while] = ACTIONS(2233),
    [anon_sym_until] = ACTIONS(2233),
    [aux_sym__bareword_token1] = ACTIONS(2233),
    [sym_number] = ACTIONS(2233),
    [anon_sym_true] = ACTIONS(2233),
    [anon_sym_false] = ACTIONS(2233),
    [sym__single_quote] = ACTIONS(2231),
    [sym__double_quote] = ACTIONS(2231),
    [sym__backtick_quote] = ACTIONS(2231),
    [sym__search_slash_quote] = ACTIONS(2231),
    [sym__open_readline_bracket] = ACTIONS(2231),
    [sym__open_fileglob_bracket] = ACTIONS(2231),
    [sym__PERLY_HEREDOC] = ACTIONS(2231),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2231),
    [sym__filetest] = ACTIONS(2231),
  },
  [1017] = {
    [sym_heredoc_content] = STATE(1017),
    [sym__identifier] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_RBRACE] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2237),
    [anon_sym_package] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_role] = ACTIONS(2237),
    [anon_sym_BUILD] = ACTIONS(2237),
    [anon_sym_ADJUST] = ACTIONS(2237),
    [anon_sym_DOLLAR] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_my] = ACTIONS(2237),
    [anon_sym_extended] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_sub] = ACTIONS(2237),
    [anon_sym_method] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_state] = ACTIONS(2237),
    [anon_sym_our] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_defer] = ACTIONS(2237),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_SLASH_SLASH] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [anon_sym_BSLASH] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_eval] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_field] = ACTIONS(2237),
    [anon_sym_local] = ACTIONS(2237),
    [anon_sym_dynamically] = ACTIONS(2237),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2237),
    [anon_sym_require] = ACTIONS(2237),
    [anon_sym_map] = ACTIONS(2237),
    [anon_sym_grep] = ACTIONS(2237),
    [anon_sym_sort] = ACTIONS(2237),
    [anon_sym_goto] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_undef] = ACTIONS(2237),
    [anon_sym_PERCENT2] = ACTIONS(2237),
    [anon_sym_AMP2] = ACTIONS(2237),
    [anon_sym_STAR2] = ACTIONS(2237),
    [anon_sym_use] = ACTIONS(2237),
    [anon_sym_no] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_foreach] = ACTIONS(2237),
    [anon_sym_last] = ACTIONS(2237),
    [anon_sym_next] = ACTIONS(2237),
    [anon_sym_redo] = ACTIONS(2237),
    [anon_sym_BEGIN] = ACTIONS(2237),
    [anon_sym_INIT] = ACTIONS(2237),
    [anon_sym_CHECK] = ACTIONS(2237),
    [anon_sym_UNITCHECK] = ACTIONS(2237),
    [anon_sym_END] = ACTIONS(2237),
    [anon_sym___FILE__] = ACTIONS(2237),
    [anon_sym___LINE__] = ACTIONS(2237),
    [anon_sym___PACKAGE__] = ACTIONS(2237),
    [anon_sym___SUB__] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_fork] = ACTIONS(2237),
    [anon_sym_getppid] = ACTIONS(2237),
    [anon_sym_time] = ACTIONS(2237),
    [anon_sym_times] = ACTIONS(2237),
    [anon_sym_wait] = ACTIONS(2237),
    [anon_sym_wantarray] = ACTIONS(2237),
    [anon_sym_abs] = ACTIONS(2237),
    [anon_sym_alarm] = ACTIONS(2237),
    [anon_sym_chop] = ACTIONS(2237),
    [anon_sym_chdir] = ACTIONS(2237),
    [anon_sym_close] = ACTIONS(2237),
    [anon_sym_closedir] = ACTIONS(2237),
    [anon_sym_caller] = ACTIONS(2237),
    [anon_sym_chomp] = ACTIONS(2237),
    [anon_sym_chr] = ACTIONS(2237),
    [anon_sym_cos] = ACTIONS(2237),
    [anon_sym_chroot] = ACTIONS(2237),
    [anon_sym_defined] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_dbmclose] = ACTIONS(2237),
    [anon_sym_exists] = ACTIONS(2237),
    [anon_sym_exit] = ACTIONS(2237),
    [anon_sym_eof] = ACTIONS(2237),
    [anon_sym_exp] = ACTIONS(2237),
    [anon_sym_each] = ACTIONS(2237),
    [anon_sym_fc] = ACTIONS(2237),
    [anon_sym_fileno] = ACTIONS(2237),
    [anon_sym_gmtime] = ACTIONS(2237),
    [anon_sym_getc] = ACTIONS(2237),
    [anon_sym_getpgrp] = ACTIONS(2237),
    [anon_sym_getprotobyname] = ACTIONS(2237),
    [anon_sym_getpwname] = ACTIONS(2237),
    [anon_sym_getpwuid] = ACTIONS(2237),
    [anon_sym_getpeername] = ACTIONS(2237),
    [anon_sym_getnetbyname] = ACTIONS(2237),
    [anon_sym_getsockname] = ACTIONS(2237),
    [anon_sym_getgrnam] = ACTIONS(2237),
    [anon_sym_getgrgid] = ACTIONS(2237),
    [anon_sym_hex] = ACTIONS(2237),
    [anon_sym_int] = ACTIONS(2237),
    [anon_sym_keys] = ACTIONS(2237),
    [anon_sym_lc] = ACTIONS(2237),
    [anon_sym_lcfirst] = ACTIONS(2237),
    [anon_sym_length] = ACTIONS(2237),
    [anon_sym_localtime] = ACTIONS(2237),
    [anon_sym_log] = ACTIONS(2237),
    [anon_sym_lock] = ACTIONS(2237),
    [anon_sym_lstat] = ACTIONS(2237),
    [anon_sym_oct] = ACTIONS(2237),
    [anon_sym_ord] = ACTIONS(2237),
    [anon_sym_prototype] = ACTIONS(2237),
    [anon_sym_pop] = ACTIONS(2237),
    [anon_sym_pos] = ACTIONS(2237),
    [anon_sym_quotemeta] = ACTIONS(2237),
    [anon_sym_reset] = ACTIONS(2237),
    [anon_sym_rand] = ACTIONS(2237),
    [anon_sym_rmdir] = ACTIONS(2237),
    [anon_sym_readdir] = ACTIONS(2237),
    [anon_sym_readline] = ACTIONS(2237),
    [anon_sym_readpipe] = ACTIONS(2237),
    [anon_sym_rewinddir] = ACTIONS(2237),
    [anon_sym_readlink] = ACTIONS(2237),
    [anon_sym_ref] = ACTIONS(2237),
    [anon_sym_scalar] = ACTIONS(2237),
    [anon_sym_shift] = ACTIONS(2237),
    [anon_sym_sin] = ACTIONS(2237),
    [anon_sym_sleep] = ACTIONS(2237),
    [anon_sym_sqrt] = ACTIONS(2237),
    [anon_sym_srand] = ACTIONS(2237),
    [anon_sym_stat] = ACTIONS(2237),
    [anon_sym_study] = ACTIONS(2237),
    [anon_sym_tell] = ACTIONS(2237),
    [anon_sym_telldir] = ACTIONS(2237),
    [anon_sym_tied] = ACTIONS(2237),
    [anon_sym_uc] = ACTIONS(2237),
    [anon_sym_ucfirst] = ACTIONS(2237),
    [anon_sym_untie] = ACTIONS(2237),
    [anon_sym_umask] = ACTIONS(2237),
    [anon_sym_values] = ACTIONS(2237),
    [anon_sym_write] = ACTIONS(2237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2237),
    [anon_sym_qq] = ACTIONS(2237),
    [anon_sym_qw] = ACTIONS(2237),
    [anon_sym_qx] = ACTIONS(2237),
    [anon_sym_qr] = ACTIONS(2237),
    [anon_sym_m] = ACTIONS(2237),
    [anon_sym_s] = ACTIONS(2237),
    [anon_sym_tr] = ACTIONS(2237),
    [anon_sym_y] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_unless] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_until] = ACTIONS(2237),
    [aux_sym__bareword_token1] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [anon_sym_true] = ACTIONS(2237),
    [anon_sym_false] = ACTIONS(2237),
    [sym__single_quote] = ACTIONS(2235),
    [sym__double_quote] = ACTIONS(2235),
    [sym__backtick_quote] = ACTIONS(2235),
    [sym__search_slash_quote] = ACTIONS(2235),
    [sym__open_readline_bracket] = ACTIONS(2235),
    [sym__open_fileglob_bracket] = ACTIONS(2235),
    [sym__PERLY_HEREDOC] = ACTIONS(2235),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2235),
    [sym__filetest] = ACTIONS(2235),
  },
  [1018] = {
    [sym_heredoc_content] = STATE(1018),
    [sym__identifier] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2241),
    [anon_sym_package] = ACTIONS(2241),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_role] = ACTIONS(2241),
    [anon_sym_BUILD] = ACTIONS(2241),
    [anon_sym_ADJUST] = ACTIONS(2241),
    [anon_sym_DOLLAR] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2241),
    [anon_sym_my] = ACTIONS(2241),
    [anon_sym_extended] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_sub] = ACTIONS(2241),
    [anon_sym_method] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_state] = ACTIONS(2241),
    [anon_sym_our] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_defer] = ACTIONS(2241),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_LT_LT] = ACTIONS(2241),
    [anon_sym_SLASH_SLASH] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_BSLASH] = ACTIONS(2239),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_eval] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_field] = ACTIONS(2241),
    [anon_sym_local] = ACTIONS(2241),
    [anon_sym_dynamically] = ACTIONS(2241),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2241),
    [anon_sym_require] = ACTIONS(2241),
    [anon_sym_map] = ACTIONS(2241),
    [anon_sym_grep] = ACTIONS(2241),
    [anon_sym_sort] = ACTIONS(2241),
    [anon_sym_goto] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_undef] = ACTIONS(2241),
    [anon_sym_PERCENT2] = ACTIONS(2241),
    [anon_sym_AMP2] = ACTIONS(2241),
    [anon_sym_STAR2] = ACTIONS(2241),
    [anon_sym_use] = ACTIONS(2241),
    [anon_sym_no] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_foreach] = ACTIONS(2241),
    [anon_sym_last] = ACTIONS(2241),
    [anon_sym_next] = ACTIONS(2241),
    [anon_sym_redo] = ACTIONS(2241),
    [anon_sym_BEGIN] = ACTIONS(2241),
    [anon_sym_INIT] = ACTIONS(2241),
    [anon_sym_CHECK] = ACTIONS(2241),
    [anon_sym_UNITCHECK] = ACTIONS(2241),
    [anon_sym_END] = ACTIONS(2241),
    [anon_sym___FILE__] = ACTIONS(2241),
    [anon_sym___LINE__] = ACTIONS(2241),
    [anon_sym___PACKAGE__] = ACTIONS(2241),
    [anon_sym___SUB__] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_fork] = ACTIONS(2241),
    [anon_sym_getppid] = ACTIONS(2241),
    [anon_sym_time] = ACTIONS(2241),
    [anon_sym_times] = ACTIONS(2241),
    [anon_sym_wait] = ACTIONS(2241),
    [anon_sym_wantarray] = ACTIONS(2241),
    [anon_sym_abs] = ACTIONS(2241),
    [anon_sym_alarm] = ACTIONS(2241),
    [anon_sym_chop] = ACTIONS(2241),
    [anon_sym_chdir] = ACTIONS(2241),
    [anon_sym_close] = ACTIONS(2241),
    [anon_sym_closedir] = ACTIONS(2241),
    [anon_sym_caller] = ACTIONS(2241),
    [anon_sym_chomp] = ACTIONS(2241),
    [anon_sym_chr] = ACTIONS(2241),
    [anon_sym_cos] = ACTIONS(2241),
    [anon_sym_chroot] = ACTIONS(2241),
    [anon_sym_defined] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_dbmclose] = ACTIONS(2241),
    [anon_sym_exists] = ACTIONS(2241),
    [anon_sym_exit] = ACTIONS(2241),
    [anon_sym_eof] = ACTIONS(2241),
    [anon_sym_exp] = ACTIONS(2241),
    [anon_sym_each] = ACTIONS(2241),
    [anon_sym_fc] = ACTIONS(2241),
    [anon_sym_fileno] = ACTIONS(2241),
    [anon_sym_gmtime] = ACTIONS(2241),
    [anon_sym_getc] = ACTIONS(2241),
    [anon_sym_getpgrp] = ACTIONS(2241),
    [anon_sym_getprotobyname] = ACTIONS(2241),
    [anon_sym_getpwname] = ACTIONS(2241),
    [anon_sym_getpwuid] = ACTIONS(2241),
    [anon_sym_getpeername] = ACTIONS(2241),
    [anon_sym_getnetbyname] = ACTIONS(2241),
    [anon_sym_getsockname] = ACTIONS(2241),
    [anon_sym_getgrnam] = ACTIONS(2241),
    [anon_sym_getgrgid] = ACTIONS(2241),
    [anon_sym_hex] = ACTIONS(2241),
    [anon_sym_int] = ACTIONS(2241),
    [anon_sym_keys] = ACTIONS(2241),
    [anon_sym_lc] = ACTIONS(2241),
    [anon_sym_lcfirst] = ACTIONS(2241),
    [anon_sym_length] = ACTIONS(2241),
    [anon_sym_localtime] = ACTIONS(2241),
    [anon_sym_log] = ACTIONS(2241),
    [anon_sym_lock] = ACTIONS(2241),
    [anon_sym_lstat] = ACTIONS(2241),
    [anon_sym_oct] = ACTIONS(2241),
    [anon_sym_ord] = ACTIONS(2241),
    [anon_sym_prototype] = ACTIONS(2241),
    [anon_sym_pop] = ACTIONS(2241),
    [anon_sym_pos] = ACTIONS(2241),
    [anon_sym_quotemeta] = ACTIONS(2241),
    [anon_sym_reset] = ACTIONS(2241),
    [anon_sym_rand] = ACTIONS(2241),
    [anon_sym_rmdir] = ACTIONS(2241),
    [anon_sym_readdir] = ACTIONS(2241),
    [anon_sym_readline] = ACTIONS(2241),
    [anon_sym_readpipe] = ACTIONS(2241),
    [anon_sym_rewinddir] = ACTIONS(2241),
    [anon_sym_readlink] = ACTIONS(2241),
    [anon_sym_ref] = ACTIONS(2241),
    [anon_sym_scalar] = ACTIONS(2241),
    [anon_sym_shift] = ACTIONS(2241),
    [anon_sym_sin] = ACTIONS(2241),
    [anon_sym_sleep] = ACTIONS(2241),
    [anon_sym_sqrt] = ACTIONS(2241),
    [anon_sym_srand] = ACTIONS(2241),
    [anon_sym_stat] = ACTIONS(2241),
    [anon_sym_study] = ACTIONS(2241),
    [anon_sym_tell] = ACTIONS(2241),
    [anon_sym_telldir] = ACTIONS(2241),
    [anon_sym_tied] = ACTIONS(2241),
    [anon_sym_uc] = ACTIONS(2241),
    [anon_sym_ucfirst] = ACTIONS(2241),
    [anon_sym_untie] = ACTIONS(2241),
    [anon_sym_umask] = ACTIONS(2241),
    [anon_sym_values] = ACTIONS(2241),
    [anon_sym_write] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2241),
    [anon_sym_qq] = ACTIONS(2241),
    [anon_sym_qw] = ACTIONS(2241),
    [anon_sym_qx] = ACTIONS(2241),
    [anon_sym_qr] = ACTIONS(2241),
    [anon_sym_m] = ACTIONS(2241),
    [anon_sym_s] = ACTIONS(2241),
    [anon_sym_tr] = ACTIONS(2241),
    [anon_sym_y] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_unless] = ACTIONS(2241),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_until] = ACTIONS(2241),
    [aux_sym__bareword_token1] = ACTIONS(2241),
    [sym_number] = ACTIONS(2241),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [sym__single_quote] = ACTIONS(2239),
    [sym__double_quote] = ACTIONS(2239),
    [sym__backtick_quote] = ACTIONS(2239),
    [sym__search_slash_quote] = ACTIONS(2239),
    [sym__open_readline_bracket] = ACTIONS(2239),
    [sym__open_fileglob_bracket] = ACTIONS(2239),
    [sym__PERLY_HEREDOC] = ACTIONS(2239),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2239),
    [sym__filetest] = ACTIONS(2239),
  },
  [1019] = {
    [sym_heredoc_content] = STATE(1019),
    [sym__identifier] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_RBRACE] = ACTIONS(2245),
    [anon_sym_SEMI] = ACTIONS(2245),
    [anon_sym_package] = ACTIONS(2245),
    [anon_sym_class] = ACTIONS(2245),
    [anon_sym_role] = ACTIONS(2245),
    [anon_sym_BUILD] = ACTIONS(2245),
    [anon_sym_ADJUST] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2245),
    [anon_sym_AT] = ACTIONS(2245),
    [anon_sym_my] = ACTIONS(2245),
    [anon_sym_extended] = ACTIONS(2245),
    [anon_sym_async] = ACTIONS(2245),
    [anon_sym_sub] = ACTIONS(2245),
    [anon_sym_method] = ACTIONS(2245),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_continue] = ACTIONS(2245),
    [anon_sym_state] = ACTIONS(2245),
    [anon_sym_our] = ACTIONS(2245),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_defer] = ACTIONS(2245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2245),
    [anon_sym_LT_LT] = ACTIONS(2245),
    [anon_sym_SLASH_SLASH] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2245),
    [anon_sym_DASH] = ACTIONS(2245),
    [anon_sym_TILDE] = ACTIONS(2245),
    [anon_sym_BANG] = ACTIONS(2245),
    [anon_sym_PLUS_PLUS] = ACTIONS(2245),
    [anon_sym_DASH_DASH] = ACTIONS(2245),
    [anon_sym_BSLASH] = ACTIONS(2243),
    [anon_sym_do] = ACTIONS(2245),
    [anon_sym_eval] = ACTIONS(2245),
    [anon_sym_await] = ACTIONS(2245),
    [anon_sym_field] = ACTIONS(2245),
    [anon_sym_local] = ACTIONS(2245),
    [anon_sym_dynamically] = ACTIONS(2245),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2245),
    [anon_sym_require] = ACTIONS(2245),
    [anon_sym_map] = ACTIONS(2245),
    [anon_sym_grep] = ACTIONS(2245),
    [anon_sym_sort] = ACTIONS(2245),
    [anon_sym_goto] = ACTIONS(2245),
    [anon_sym_return] = ACTIONS(2245),
    [anon_sym_undef] = ACTIONS(2245),
    [anon_sym_PERCENT2] = ACTIONS(2245),
    [anon_sym_AMP2] = ACTIONS(2245),
    [anon_sym_STAR2] = ACTIONS(2245),
    [anon_sym_use] = ACTIONS(2245),
    [anon_sym_no] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2245),
    [anon_sym_foreach] = ACTIONS(2245),
    [anon_sym_last] = ACTIONS(2245),
    [anon_sym_next] = ACTIONS(2245),
    [anon_sym_redo] = ACTIONS(2245),
    [anon_sym_BEGIN] = ACTIONS(2245),
    [anon_sym_INIT] = ACTIONS(2245),
    [anon_sym_CHECK] = ACTIONS(2245),
    [anon_sym_UNITCHECK] = ACTIONS(2245),
    [anon_sym_END] = ACTIONS(2245),
    [anon_sym___FILE__] = ACTIONS(2245),
    [anon_sym___LINE__] = ACTIONS(2245),
    [anon_sym___PACKAGE__] = ACTIONS(2245),
    [anon_sym___SUB__] = ACTIONS(2245),
    [anon_sym_break] = ACTIONS(2245),
    [anon_sym_fork] = ACTIONS(2245),
    [anon_sym_getppid] = ACTIONS(2245),
    [anon_sym_time] = ACTIONS(2245),
    [anon_sym_times] = ACTIONS(2245),
    [anon_sym_wait] = ACTIONS(2245),
    [anon_sym_wantarray] = ACTIONS(2245),
    [anon_sym_abs] = ACTIONS(2245),
    [anon_sym_alarm] = ACTIONS(2245),
    [anon_sym_chop] = ACTIONS(2245),
    [anon_sym_chdir] = ACTIONS(2245),
    [anon_sym_close] = ACTIONS(2245),
    [anon_sym_closedir] = ACTIONS(2245),
    [anon_sym_caller] = ACTIONS(2245),
    [anon_sym_chomp] = ACTIONS(2245),
    [anon_sym_chr] = ACTIONS(2245),
    [anon_sym_cos] = ACTIONS(2245),
    [anon_sym_chroot] = ACTIONS(2245),
    [anon_sym_defined] = ACTIONS(2245),
    [anon_sym_delete] = ACTIONS(2245),
    [anon_sym_dbmclose] = ACTIONS(2245),
    [anon_sym_exists] = ACTIONS(2245),
    [anon_sym_exit] = ACTIONS(2245),
    [anon_sym_eof] = ACTIONS(2245),
    [anon_sym_exp] = ACTIONS(2245),
    [anon_sym_each] = ACTIONS(2245),
    [anon_sym_fc] = ACTIONS(2245),
    [anon_sym_fileno] = ACTIONS(2245),
    [anon_sym_gmtime] = ACTIONS(2245),
    [anon_sym_getc] = ACTIONS(2245),
    [anon_sym_getpgrp] = ACTIONS(2245),
    [anon_sym_getprotobyname] = ACTIONS(2245),
    [anon_sym_getpwname] = ACTIONS(2245),
    [anon_sym_getpwuid] = ACTIONS(2245),
    [anon_sym_getpeername] = ACTIONS(2245),
    [anon_sym_getnetbyname] = ACTIONS(2245),
    [anon_sym_getsockname] = ACTIONS(2245),
    [anon_sym_getgrnam] = ACTIONS(2245),
    [anon_sym_getgrgid] = ACTIONS(2245),
    [anon_sym_hex] = ACTIONS(2245),
    [anon_sym_int] = ACTIONS(2245),
    [anon_sym_keys] = ACTIONS(2245),
    [anon_sym_lc] = ACTIONS(2245),
    [anon_sym_lcfirst] = ACTIONS(2245),
    [anon_sym_length] = ACTIONS(2245),
    [anon_sym_localtime] = ACTIONS(2245),
    [anon_sym_log] = ACTIONS(2245),
    [anon_sym_lock] = ACTIONS(2245),
    [anon_sym_lstat] = ACTIONS(2245),
    [anon_sym_oct] = ACTIONS(2245),
    [anon_sym_ord] = ACTIONS(2245),
    [anon_sym_prototype] = ACTIONS(2245),
    [anon_sym_pop] = ACTIONS(2245),
    [anon_sym_pos] = ACTIONS(2245),
    [anon_sym_quotemeta] = ACTIONS(2245),
    [anon_sym_reset] = ACTIONS(2245),
    [anon_sym_rand] = ACTIONS(2245),
    [anon_sym_rmdir] = ACTIONS(2245),
    [anon_sym_readdir] = ACTIONS(2245),
    [anon_sym_readline] = ACTIONS(2245),
    [anon_sym_readpipe] = ACTIONS(2245),
    [anon_sym_rewinddir] = ACTIONS(2245),
    [anon_sym_readlink] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2245),
    [anon_sym_scalar] = ACTIONS(2245),
    [anon_sym_shift] = ACTIONS(2245),
    [anon_sym_sin] = ACTIONS(2245),
    [anon_sym_sleep] = ACTIONS(2245),
    [anon_sym_sqrt] = ACTIONS(2245),
    [anon_sym_srand] = ACTIONS(2245),
    [anon_sym_stat] = ACTIONS(2245),
    [anon_sym_study] = ACTIONS(2245),
    [anon_sym_tell] = ACTIONS(2245),
    [anon_sym_telldir] = ACTIONS(2245),
    [anon_sym_tied] = ACTIONS(2245),
    [anon_sym_uc] = ACTIONS(2245),
    [anon_sym_ucfirst] = ACTIONS(2245),
    [anon_sym_untie] = ACTIONS(2245),
    [anon_sym_umask] = ACTIONS(2245),
    [anon_sym_values] = ACTIONS(2245),
    [anon_sym_write] = ACTIONS(2245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2245),
    [anon_sym_qq] = ACTIONS(2245),
    [anon_sym_qw] = ACTIONS(2245),
    [anon_sym_qx] = ACTIONS(2245),
    [anon_sym_qr] = ACTIONS(2245),
    [anon_sym_m] = ACTIONS(2245),
    [anon_sym_s] = ACTIONS(2245),
    [anon_sym_tr] = ACTIONS(2245),
    [anon_sym_y] = ACTIONS(2245),
    [anon_sym_if] = ACTIONS(2245),
    [anon_sym_unless] = ACTIONS(2245),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_until] = ACTIONS(2245),
    [aux_sym__bareword_token1] = ACTIONS(2245),
    [sym_number] = ACTIONS(2245),
    [anon_sym_true] = ACTIONS(2245),
    [anon_sym_false] = ACTIONS(2245),
    [sym__single_quote] = ACTIONS(2243),
    [sym__double_quote] = ACTIONS(2243),
    [sym__backtick_quote] = ACTIONS(2243),
    [sym__search_slash_quote] = ACTIONS(2243),
    [sym__open_readline_bracket] = ACTIONS(2243),
    [sym__open_fileglob_bracket] = ACTIONS(2243),
    [sym__PERLY_HEREDOC] = ACTIONS(2243),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2243),
    [sym__filetest] = ACTIONS(2243),
  },
  [1020] = {
    [sym_heredoc_content] = STATE(1020),
    [sym__identifier] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_RBRACE] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [anon_sym_package] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_role] = ACTIONS(2085),
    [anon_sym_BUILD] = ACTIONS(2085),
    [anon_sym_ADJUST] = ACTIONS(2085),
    [anon_sym_DOLLAR] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_my] = ACTIONS(2085),
    [anon_sym_extended] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_sub] = ACTIONS(2085),
    [anon_sym_method] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_state] = ACTIONS(2085),
    [anon_sym_our] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_defer] = ACTIONS(2085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_SLASH_SLASH] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_BSLASH] = ACTIONS(2083),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_eval] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_field] = ACTIONS(2085),
    [anon_sym_local] = ACTIONS(2085),
    [anon_sym_dynamically] = ACTIONS(2085),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2085),
    [anon_sym_require] = ACTIONS(2085),
    [anon_sym_map] = ACTIONS(2085),
    [anon_sym_grep] = ACTIONS(2085),
    [anon_sym_sort] = ACTIONS(2085),
    [anon_sym_goto] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_undef] = ACTIONS(2085),
    [anon_sym_PERCENT2] = ACTIONS(2085),
    [anon_sym_AMP2] = ACTIONS(2085),
    [anon_sym_STAR2] = ACTIONS(2085),
    [anon_sym_use] = ACTIONS(2085),
    [anon_sym_no] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_foreach] = ACTIONS(2085),
    [anon_sym_last] = ACTIONS(2085),
    [anon_sym_next] = ACTIONS(2085),
    [anon_sym_redo] = ACTIONS(2085),
    [anon_sym_BEGIN] = ACTIONS(2085),
    [anon_sym_INIT] = ACTIONS(2085),
    [anon_sym_CHECK] = ACTIONS(2085),
    [anon_sym_UNITCHECK] = ACTIONS(2085),
    [anon_sym_END] = ACTIONS(2085),
    [anon_sym___FILE__] = ACTIONS(2085),
    [anon_sym___LINE__] = ACTIONS(2085),
    [anon_sym___PACKAGE__] = ACTIONS(2085),
    [anon_sym___SUB__] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_fork] = ACTIONS(2085),
    [anon_sym_getppid] = ACTIONS(2085),
    [anon_sym_time] = ACTIONS(2085),
    [anon_sym_times] = ACTIONS(2085),
    [anon_sym_wait] = ACTIONS(2085),
    [anon_sym_wantarray] = ACTIONS(2085),
    [anon_sym_abs] = ACTIONS(2085),
    [anon_sym_alarm] = ACTIONS(2085),
    [anon_sym_chop] = ACTIONS(2085),
    [anon_sym_chdir] = ACTIONS(2085),
    [anon_sym_close] = ACTIONS(2085),
    [anon_sym_closedir] = ACTIONS(2085),
    [anon_sym_caller] = ACTIONS(2085),
    [anon_sym_chomp] = ACTIONS(2085),
    [anon_sym_chr] = ACTIONS(2085),
    [anon_sym_cos] = ACTIONS(2085),
    [anon_sym_chroot] = ACTIONS(2085),
    [anon_sym_defined] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_dbmclose] = ACTIONS(2085),
    [anon_sym_exists] = ACTIONS(2085),
    [anon_sym_exit] = ACTIONS(2085),
    [anon_sym_eof] = ACTIONS(2085),
    [anon_sym_exp] = ACTIONS(2085),
    [anon_sym_each] = ACTIONS(2085),
    [anon_sym_fc] = ACTIONS(2085),
    [anon_sym_fileno] = ACTIONS(2085),
    [anon_sym_gmtime] = ACTIONS(2085),
    [anon_sym_getc] = ACTIONS(2085),
    [anon_sym_getpgrp] = ACTIONS(2085),
    [anon_sym_getprotobyname] = ACTIONS(2085),
    [anon_sym_getpwname] = ACTIONS(2085),
    [anon_sym_getpwuid] = ACTIONS(2085),
    [anon_sym_getpeername] = ACTIONS(2085),
    [anon_sym_getnetbyname] = ACTIONS(2085),
    [anon_sym_getsockname] = ACTIONS(2085),
    [anon_sym_getgrnam] = ACTIONS(2085),
    [anon_sym_getgrgid] = ACTIONS(2085),
    [anon_sym_hex] = ACTIONS(2085),
    [anon_sym_int] = ACTIONS(2085),
    [anon_sym_keys] = ACTIONS(2085),
    [anon_sym_lc] = ACTIONS(2085),
    [anon_sym_lcfirst] = ACTIONS(2085),
    [anon_sym_length] = ACTIONS(2085),
    [anon_sym_localtime] = ACTIONS(2085),
    [anon_sym_log] = ACTIONS(2085),
    [anon_sym_lock] = ACTIONS(2085),
    [anon_sym_lstat] = ACTIONS(2085),
    [anon_sym_oct] = ACTIONS(2085),
    [anon_sym_ord] = ACTIONS(2085),
    [anon_sym_prototype] = ACTIONS(2085),
    [anon_sym_pop] = ACTIONS(2085),
    [anon_sym_pos] = ACTIONS(2085),
    [anon_sym_quotemeta] = ACTIONS(2085),
    [anon_sym_reset] = ACTIONS(2085),
    [anon_sym_rand] = ACTIONS(2085),
    [anon_sym_rmdir] = ACTIONS(2085),
    [anon_sym_readdir] = ACTIONS(2085),
    [anon_sym_readline] = ACTIONS(2085),
    [anon_sym_readpipe] = ACTIONS(2085),
    [anon_sym_rewinddir] = ACTIONS(2085),
    [anon_sym_readlink] = ACTIONS(2085),
    [anon_sym_ref] = ACTIONS(2085),
    [anon_sym_scalar] = ACTIONS(2085),
    [anon_sym_shift] = ACTIONS(2085),
    [anon_sym_sin] = ACTIONS(2085),
    [anon_sym_sleep] = ACTIONS(2085),
    [anon_sym_sqrt] = ACTIONS(2085),
    [anon_sym_srand] = ACTIONS(2085),
    [anon_sym_stat] = ACTIONS(2085),
    [anon_sym_study] = ACTIONS(2085),
    [anon_sym_tell] = ACTIONS(2085),
    [anon_sym_telldir] = ACTIONS(2085),
    [anon_sym_tied] = ACTIONS(2085),
    [anon_sym_uc] = ACTIONS(2085),
    [anon_sym_ucfirst] = ACTIONS(2085),
    [anon_sym_untie] = ACTIONS(2085),
    [anon_sym_umask] = ACTIONS(2085),
    [anon_sym_values] = ACTIONS(2085),
    [anon_sym_write] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2085),
    [anon_sym_qq] = ACTIONS(2085),
    [anon_sym_qw] = ACTIONS(2085),
    [anon_sym_qx] = ACTIONS(2085),
    [anon_sym_qr] = ACTIONS(2085),
    [anon_sym_m] = ACTIONS(2085),
    [anon_sym_s] = ACTIONS(2085),
    [anon_sym_tr] = ACTIONS(2085),
    [anon_sym_y] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_unless] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_until] = ACTIONS(2085),
    [aux_sym__bareword_token1] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [anon_sym_true] = ACTIONS(2085),
    [anon_sym_false] = ACTIONS(2085),
    [sym__single_quote] = ACTIONS(2083),
    [sym__double_quote] = ACTIONS(2083),
    [sym__backtick_quote] = ACTIONS(2083),
    [sym__search_slash_quote] = ACTIONS(2083),
    [sym__open_readline_bracket] = ACTIONS(2083),
    [sym__open_fileglob_bracket] = ACTIONS(2083),
    [sym__PERLY_HEREDOC] = ACTIONS(2083),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2083),
    [sym__filetest] = ACTIONS(2083),
  },
  [1021] = {
    [sym_heredoc_content] = STATE(1021),
    [sym__identifier] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_RBRACE] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2249),
    [anon_sym_package] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_role] = ACTIONS(2249),
    [anon_sym_BUILD] = ACTIONS(2249),
    [anon_sym_ADJUST] = ACTIONS(2249),
    [anon_sym_DOLLAR] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_my] = ACTIONS(2249),
    [anon_sym_extended] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_sub] = ACTIONS(2249),
    [anon_sym_method] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_state] = ACTIONS(2249),
    [anon_sym_our] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_defer] = ACTIONS(2249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LT_LT] = ACTIONS(2249),
    [anon_sym_SLASH_SLASH] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_BSLASH] = ACTIONS(2247),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_eval] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_field] = ACTIONS(2249),
    [anon_sym_local] = ACTIONS(2249),
    [anon_sym_dynamically] = ACTIONS(2249),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2249),
    [anon_sym_require] = ACTIONS(2249),
    [anon_sym_map] = ACTIONS(2249),
    [anon_sym_grep] = ACTIONS(2249),
    [anon_sym_sort] = ACTIONS(2249),
    [anon_sym_goto] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_undef] = ACTIONS(2249),
    [anon_sym_PERCENT2] = ACTIONS(2249),
    [anon_sym_AMP2] = ACTIONS(2249),
    [anon_sym_STAR2] = ACTIONS(2249),
    [anon_sym_use] = ACTIONS(2249),
    [anon_sym_no] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_foreach] = ACTIONS(2249),
    [anon_sym_last] = ACTIONS(2249),
    [anon_sym_next] = ACTIONS(2249),
    [anon_sym_redo] = ACTIONS(2249),
    [anon_sym_BEGIN] = ACTIONS(2249),
    [anon_sym_INIT] = ACTIONS(2249),
    [anon_sym_CHECK] = ACTIONS(2249),
    [anon_sym_UNITCHECK] = ACTIONS(2249),
    [anon_sym_END] = ACTIONS(2249),
    [anon_sym___FILE__] = ACTIONS(2249),
    [anon_sym___LINE__] = ACTIONS(2249),
    [anon_sym___PACKAGE__] = ACTIONS(2249),
    [anon_sym___SUB__] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_fork] = ACTIONS(2249),
    [anon_sym_getppid] = ACTIONS(2249),
    [anon_sym_time] = ACTIONS(2249),
    [anon_sym_times] = ACTIONS(2249),
    [anon_sym_wait] = ACTIONS(2249),
    [anon_sym_wantarray] = ACTIONS(2249),
    [anon_sym_abs] = ACTIONS(2249),
    [anon_sym_alarm] = ACTIONS(2249),
    [anon_sym_chop] = ACTIONS(2249),
    [anon_sym_chdir] = ACTIONS(2249),
    [anon_sym_close] = ACTIONS(2249),
    [anon_sym_closedir] = ACTIONS(2249),
    [anon_sym_caller] = ACTIONS(2249),
    [anon_sym_chomp] = ACTIONS(2249),
    [anon_sym_chr] = ACTIONS(2249),
    [anon_sym_cos] = ACTIONS(2249),
    [anon_sym_chroot] = ACTIONS(2249),
    [anon_sym_defined] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_dbmclose] = ACTIONS(2249),
    [anon_sym_exists] = ACTIONS(2249),
    [anon_sym_exit] = ACTIONS(2249),
    [anon_sym_eof] = ACTIONS(2249),
    [anon_sym_exp] = ACTIONS(2249),
    [anon_sym_each] = ACTIONS(2249),
    [anon_sym_fc] = ACTIONS(2249),
    [anon_sym_fileno] = ACTIONS(2249),
    [anon_sym_gmtime] = ACTIONS(2249),
    [anon_sym_getc] = ACTIONS(2249),
    [anon_sym_getpgrp] = ACTIONS(2249),
    [anon_sym_getprotobyname] = ACTIONS(2249),
    [anon_sym_getpwname] = ACTIONS(2249),
    [anon_sym_getpwuid] = ACTIONS(2249),
    [anon_sym_getpeername] = ACTIONS(2249),
    [anon_sym_getnetbyname] = ACTIONS(2249),
    [anon_sym_getsockname] = ACTIONS(2249),
    [anon_sym_getgrnam] = ACTIONS(2249),
    [anon_sym_getgrgid] = ACTIONS(2249),
    [anon_sym_hex] = ACTIONS(2249),
    [anon_sym_int] = ACTIONS(2249),
    [anon_sym_keys] = ACTIONS(2249),
    [anon_sym_lc] = ACTIONS(2249),
    [anon_sym_lcfirst] = ACTIONS(2249),
    [anon_sym_length] = ACTIONS(2249),
    [anon_sym_localtime] = ACTIONS(2249),
    [anon_sym_log] = ACTIONS(2249),
    [anon_sym_lock] = ACTIONS(2249),
    [anon_sym_lstat] = ACTIONS(2249),
    [anon_sym_oct] = ACTIONS(2249),
    [anon_sym_ord] = ACTIONS(2249),
    [anon_sym_prototype] = ACTIONS(2249),
    [anon_sym_pop] = ACTIONS(2249),
    [anon_sym_pos] = ACTIONS(2249),
    [anon_sym_quotemeta] = ACTIONS(2249),
    [anon_sym_reset] = ACTIONS(2249),
    [anon_sym_rand] = ACTIONS(2249),
    [anon_sym_rmdir] = ACTIONS(2249),
    [anon_sym_readdir] = ACTIONS(2249),
    [anon_sym_readline] = ACTIONS(2249),
    [anon_sym_readpipe] = ACTIONS(2249),
    [anon_sym_rewinddir] = ACTIONS(2249),
    [anon_sym_readlink] = ACTIONS(2249),
    [anon_sym_ref] = ACTIONS(2249),
    [anon_sym_scalar] = ACTIONS(2249),
    [anon_sym_shift] = ACTIONS(2249),
    [anon_sym_sin] = ACTIONS(2249),
    [anon_sym_sleep] = ACTIONS(2249),
    [anon_sym_sqrt] = ACTIONS(2249),
    [anon_sym_srand] = ACTIONS(2249),
    [anon_sym_stat] = ACTIONS(2249),
    [anon_sym_study] = ACTIONS(2249),
    [anon_sym_tell] = ACTIONS(2249),
    [anon_sym_telldir] = ACTIONS(2249),
    [anon_sym_tied] = ACTIONS(2249),
    [anon_sym_uc] = ACTIONS(2249),
    [anon_sym_ucfirst] = ACTIONS(2249),
    [anon_sym_untie] = ACTIONS(2249),
    [anon_sym_umask] = ACTIONS(2249),
    [anon_sym_values] = ACTIONS(2249),
    [anon_sym_write] = ACTIONS(2249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2249),
    [anon_sym_qq] = ACTIONS(2249),
    [anon_sym_qw] = ACTIONS(2249),
    [anon_sym_qx] = ACTIONS(2249),
    [anon_sym_qr] = ACTIONS(2249),
    [anon_sym_m] = ACTIONS(2249),
    [anon_sym_s] = ACTIONS(2249),
    [anon_sym_tr] = ACTIONS(2249),
    [anon_sym_y] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_unless] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_until] = ACTIONS(2249),
    [aux_sym__bareword_token1] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [sym__single_quote] = ACTIONS(2247),
    [sym__double_quote] = ACTIONS(2247),
    [sym__backtick_quote] = ACTIONS(2247),
    [sym__search_slash_quote] = ACTIONS(2247),
    [sym__open_readline_bracket] = ACTIONS(2247),
    [sym__open_fileglob_bracket] = ACTIONS(2247),
    [sym__PERLY_HEREDOC] = ACTIONS(2247),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2247),
    [sym__filetest] = ACTIONS(2247),
  },
  [1022] = {
    [sym_heredoc_content] = STATE(1022),
    [sym__identifier] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_RBRACE] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2253),
    [anon_sym_package] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_role] = ACTIONS(2253),
    [anon_sym_BUILD] = ACTIONS(2253),
    [anon_sym_ADJUST] = ACTIONS(2253),
    [anon_sym_DOLLAR] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_my] = ACTIONS(2253),
    [anon_sym_extended] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_sub] = ACTIONS(2253),
    [anon_sym_method] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_state] = ACTIONS(2253),
    [anon_sym_our] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_defer] = ACTIONS(2253),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_SLASH_SLASH] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_BSLASH] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_eval] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_field] = ACTIONS(2253),
    [anon_sym_local] = ACTIONS(2253),
    [anon_sym_dynamically] = ACTIONS(2253),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2253),
    [anon_sym_require] = ACTIONS(2253),
    [anon_sym_map] = ACTIONS(2253),
    [anon_sym_grep] = ACTIONS(2253),
    [anon_sym_sort] = ACTIONS(2253),
    [anon_sym_goto] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_undef] = ACTIONS(2253),
    [anon_sym_PERCENT2] = ACTIONS(2253),
    [anon_sym_AMP2] = ACTIONS(2253),
    [anon_sym_STAR2] = ACTIONS(2253),
    [anon_sym_use] = ACTIONS(2253),
    [anon_sym_no] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_foreach] = ACTIONS(2253),
    [anon_sym_last] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2253),
    [anon_sym_redo] = ACTIONS(2253),
    [anon_sym_BEGIN] = ACTIONS(2253),
    [anon_sym_INIT] = ACTIONS(2253),
    [anon_sym_CHECK] = ACTIONS(2253),
    [anon_sym_UNITCHECK] = ACTIONS(2253),
    [anon_sym_END] = ACTIONS(2253),
    [anon_sym___FILE__] = ACTIONS(2253),
    [anon_sym___LINE__] = ACTIONS(2253),
    [anon_sym___PACKAGE__] = ACTIONS(2253),
    [anon_sym___SUB__] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_fork] = ACTIONS(2253),
    [anon_sym_getppid] = ACTIONS(2253),
    [anon_sym_time] = ACTIONS(2253),
    [anon_sym_times] = ACTIONS(2253),
    [anon_sym_wait] = ACTIONS(2253),
    [anon_sym_wantarray] = ACTIONS(2253),
    [anon_sym_abs] = ACTIONS(2253),
    [anon_sym_alarm] = ACTIONS(2253),
    [anon_sym_chop] = ACTIONS(2253),
    [anon_sym_chdir] = ACTIONS(2253),
    [anon_sym_close] = ACTIONS(2253),
    [anon_sym_closedir] = ACTIONS(2253),
    [anon_sym_caller] = ACTIONS(2253),
    [anon_sym_chomp] = ACTIONS(2253),
    [anon_sym_chr] = ACTIONS(2253),
    [anon_sym_cos] = ACTIONS(2253),
    [anon_sym_chroot] = ACTIONS(2253),
    [anon_sym_defined] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_dbmclose] = ACTIONS(2253),
    [anon_sym_exists] = ACTIONS(2253),
    [anon_sym_exit] = ACTIONS(2253),
    [anon_sym_eof] = ACTIONS(2253),
    [anon_sym_exp] = ACTIONS(2253),
    [anon_sym_each] = ACTIONS(2253),
    [anon_sym_fc] = ACTIONS(2253),
    [anon_sym_fileno] = ACTIONS(2253),
    [anon_sym_gmtime] = ACTIONS(2253),
    [anon_sym_getc] = ACTIONS(2253),
    [anon_sym_getpgrp] = ACTIONS(2253),
    [anon_sym_getprotobyname] = ACTIONS(2253),
    [anon_sym_getpwname] = ACTIONS(2253),
    [anon_sym_getpwuid] = ACTIONS(2253),
    [anon_sym_getpeername] = ACTIONS(2253),
    [anon_sym_getnetbyname] = ACTIONS(2253),
    [anon_sym_getsockname] = ACTIONS(2253),
    [anon_sym_getgrnam] = ACTIONS(2253),
    [anon_sym_getgrgid] = ACTIONS(2253),
    [anon_sym_hex] = ACTIONS(2253),
    [anon_sym_int] = ACTIONS(2253),
    [anon_sym_keys] = ACTIONS(2253),
    [anon_sym_lc] = ACTIONS(2253),
    [anon_sym_lcfirst] = ACTIONS(2253),
    [anon_sym_length] = ACTIONS(2253),
    [anon_sym_localtime] = ACTIONS(2253),
    [anon_sym_log] = ACTIONS(2253),
    [anon_sym_lock] = ACTIONS(2253),
    [anon_sym_lstat] = ACTIONS(2253),
    [anon_sym_oct] = ACTIONS(2253),
    [anon_sym_ord] = ACTIONS(2253),
    [anon_sym_prototype] = ACTIONS(2253),
    [anon_sym_pop] = ACTIONS(2253),
    [anon_sym_pos] = ACTIONS(2253),
    [anon_sym_quotemeta] = ACTIONS(2253),
    [anon_sym_reset] = ACTIONS(2253),
    [anon_sym_rand] = ACTIONS(2253),
    [anon_sym_rmdir] = ACTIONS(2253),
    [anon_sym_readdir] = ACTIONS(2253),
    [anon_sym_readline] = ACTIONS(2253),
    [anon_sym_readpipe] = ACTIONS(2253),
    [anon_sym_rewinddir] = ACTIONS(2253),
    [anon_sym_readlink] = ACTIONS(2253),
    [anon_sym_ref] = ACTIONS(2253),
    [anon_sym_scalar] = ACTIONS(2253),
    [anon_sym_shift] = ACTIONS(2253),
    [anon_sym_sin] = ACTIONS(2253),
    [anon_sym_sleep] = ACTIONS(2253),
    [anon_sym_sqrt] = ACTIONS(2253),
    [anon_sym_srand] = ACTIONS(2253),
    [anon_sym_stat] = ACTIONS(2253),
    [anon_sym_study] = ACTIONS(2253),
    [anon_sym_tell] = ACTIONS(2253),
    [anon_sym_telldir] = ACTIONS(2253),
    [anon_sym_tied] = ACTIONS(2253),
    [anon_sym_uc] = ACTIONS(2253),
    [anon_sym_ucfirst] = ACTIONS(2253),
    [anon_sym_untie] = ACTIONS(2253),
    [anon_sym_umask] = ACTIONS(2253),
    [anon_sym_values] = ACTIONS(2253),
    [anon_sym_write] = ACTIONS(2253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2253),
    [anon_sym_qq] = ACTIONS(2253),
    [anon_sym_qw] = ACTIONS(2253),
    [anon_sym_qx] = ACTIONS(2253),
    [anon_sym_qr] = ACTIONS(2253),
    [anon_sym_m] = ACTIONS(2253),
    [anon_sym_s] = ACTIONS(2253),
    [anon_sym_tr] = ACTIONS(2253),
    [anon_sym_y] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_unless] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_until] = ACTIONS(2253),
    [aux_sym__bareword_token1] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(2253),
    [anon_sym_false] = ACTIONS(2253),
    [sym__single_quote] = ACTIONS(2251),
    [sym__double_quote] = ACTIONS(2251),
    [sym__backtick_quote] = ACTIONS(2251),
    [sym__search_slash_quote] = ACTIONS(2251),
    [sym__open_readline_bracket] = ACTIONS(2251),
    [sym__open_fileglob_bracket] = ACTIONS(2251),
    [sym__PERLY_HEREDOC] = ACTIONS(2251),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2251),
    [sym__filetest] = ACTIONS(2251),
  },
  [1023] = {
    [sym_heredoc_content] = STATE(1023),
    [sym__identifier] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_RBRACE] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2257),
    [anon_sym_package] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_role] = ACTIONS(2257),
    [anon_sym_BUILD] = ACTIONS(2257),
    [anon_sym_ADJUST] = ACTIONS(2257),
    [anon_sym_DOLLAR] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_my] = ACTIONS(2257),
    [anon_sym_extended] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_sub] = ACTIONS(2257),
    [anon_sym_method] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_state] = ACTIONS(2257),
    [anon_sym_our] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_defer] = ACTIONS(2257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LT_LT] = ACTIONS(2257),
    [anon_sym_SLASH_SLASH] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [anon_sym_BSLASH] = ACTIONS(2255),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_eval] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_field] = ACTIONS(2257),
    [anon_sym_local] = ACTIONS(2257),
    [anon_sym_dynamically] = ACTIONS(2257),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2257),
    [anon_sym_require] = ACTIONS(2257),
    [anon_sym_map] = ACTIONS(2257),
    [anon_sym_grep] = ACTIONS(2257),
    [anon_sym_sort] = ACTIONS(2257),
    [anon_sym_goto] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_undef] = ACTIONS(2257),
    [anon_sym_PERCENT2] = ACTIONS(2257),
    [anon_sym_AMP2] = ACTIONS(2257),
    [anon_sym_STAR2] = ACTIONS(2257),
    [anon_sym_use] = ACTIONS(2257),
    [anon_sym_no] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_foreach] = ACTIONS(2257),
    [anon_sym_last] = ACTIONS(2257),
    [anon_sym_next] = ACTIONS(2257),
    [anon_sym_redo] = ACTIONS(2257),
    [anon_sym_BEGIN] = ACTIONS(2257),
    [anon_sym_INIT] = ACTIONS(2257),
    [anon_sym_CHECK] = ACTIONS(2257),
    [anon_sym_UNITCHECK] = ACTIONS(2257),
    [anon_sym_END] = ACTIONS(2257),
    [anon_sym___FILE__] = ACTIONS(2257),
    [anon_sym___LINE__] = ACTIONS(2257),
    [anon_sym___PACKAGE__] = ACTIONS(2257),
    [anon_sym___SUB__] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_fork] = ACTIONS(2257),
    [anon_sym_getppid] = ACTIONS(2257),
    [anon_sym_time] = ACTIONS(2257),
    [anon_sym_times] = ACTIONS(2257),
    [anon_sym_wait] = ACTIONS(2257),
    [anon_sym_wantarray] = ACTIONS(2257),
    [anon_sym_abs] = ACTIONS(2257),
    [anon_sym_alarm] = ACTIONS(2257),
    [anon_sym_chop] = ACTIONS(2257),
    [anon_sym_chdir] = ACTIONS(2257),
    [anon_sym_close] = ACTIONS(2257),
    [anon_sym_closedir] = ACTIONS(2257),
    [anon_sym_caller] = ACTIONS(2257),
    [anon_sym_chomp] = ACTIONS(2257),
    [anon_sym_chr] = ACTIONS(2257),
    [anon_sym_cos] = ACTIONS(2257),
    [anon_sym_chroot] = ACTIONS(2257),
    [anon_sym_defined] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_dbmclose] = ACTIONS(2257),
    [anon_sym_exists] = ACTIONS(2257),
    [anon_sym_exit] = ACTIONS(2257),
    [anon_sym_eof] = ACTIONS(2257),
    [anon_sym_exp] = ACTIONS(2257),
    [anon_sym_each] = ACTIONS(2257),
    [anon_sym_fc] = ACTIONS(2257),
    [anon_sym_fileno] = ACTIONS(2257),
    [anon_sym_gmtime] = ACTIONS(2257),
    [anon_sym_getc] = ACTIONS(2257),
    [anon_sym_getpgrp] = ACTIONS(2257),
    [anon_sym_getprotobyname] = ACTIONS(2257),
    [anon_sym_getpwname] = ACTIONS(2257),
    [anon_sym_getpwuid] = ACTIONS(2257),
    [anon_sym_getpeername] = ACTIONS(2257),
    [anon_sym_getnetbyname] = ACTIONS(2257),
    [anon_sym_getsockname] = ACTIONS(2257),
    [anon_sym_getgrnam] = ACTIONS(2257),
    [anon_sym_getgrgid] = ACTIONS(2257),
    [anon_sym_hex] = ACTIONS(2257),
    [anon_sym_int] = ACTIONS(2257),
    [anon_sym_keys] = ACTIONS(2257),
    [anon_sym_lc] = ACTIONS(2257),
    [anon_sym_lcfirst] = ACTIONS(2257),
    [anon_sym_length] = ACTIONS(2257),
    [anon_sym_localtime] = ACTIONS(2257),
    [anon_sym_log] = ACTIONS(2257),
    [anon_sym_lock] = ACTIONS(2257),
    [anon_sym_lstat] = ACTIONS(2257),
    [anon_sym_oct] = ACTIONS(2257),
    [anon_sym_ord] = ACTIONS(2257),
    [anon_sym_prototype] = ACTIONS(2257),
    [anon_sym_pop] = ACTIONS(2257),
    [anon_sym_pos] = ACTIONS(2257),
    [anon_sym_quotemeta] = ACTIONS(2257),
    [anon_sym_reset] = ACTIONS(2257),
    [anon_sym_rand] = ACTIONS(2257),
    [anon_sym_rmdir] = ACTIONS(2257),
    [anon_sym_readdir] = ACTIONS(2257),
    [anon_sym_readline] = ACTIONS(2257),
    [anon_sym_readpipe] = ACTIONS(2257),
    [anon_sym_rewinddir] = ACTIONS(2257),
    [anon_sym_readlink] = ACTIONS(2257),
    [anon_sym_ref] = ACTIONS(2257),
    [anon_sym_scalar] = ACTIONS(2257),
    [anon_sym_shift] = ACTIONS(2257),
    [anon_sym_sin] = ACTIONS(2257),
    [anon_sym_sleep] = ACTIONS(2257),
    [anon_sym_sqrt] = ACTIONS(2257),
    [anon_sym_srand] = ACTIONS(2257),
    [anon_sym_stat] = ACTIONS(2257),
    [anon_sym_study] = ACTIONS(2257),
    [anon_sym_tell] = ACTIONS(2257),
    [anon_sym_telldir] = ACTIONS(2257),
    [anon_sym_tied] = ACTIONS(2257),
    [anon_sym_uc] = ACTIONS(2257),
    [anon_sym_ucfirst] = ACTIONS(2257),
    [anon_sym_untie] = ACTIONS(2257),
    [anon_sym_umask] = ACTIONS(2257),
    [anon_sym_values] = ACTIONS(2257),
    [anon_sym_write] = ACTIONS(2257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2257),
    [anon_sym_qq] = ACTIONS(2257),
    [anon_sym_qw] = ACTIONS(2257),
    [anon_sym_qx] = ACTIONS(2257),
    [anon_sym_qr] = ACTIONS(2257),
    [anon_sym_m] = ACTIONS(2257),
    [anon_sym_s] = ACTIONS(2257),
    [anon_sym_tr] = ACTIONS(2257),
    [anon_sym_y] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_unless] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_until] = ACTIONS(2257),
    [aux_sym__bareword_token1] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(2257),
    [anon_sym_false] = ACTIONS(2257),
    [sym__single_quote] = ACTIONS(2255),
    [sym__double_quote] = ACTIONS(2255),
    [sym__backtick_quote] = ACTIONS(2255),
    [sym__search_slash_quote] = ACTIONS(2255),
    [sym__open_readline_bracket] = ACTIONS(2255),
    [sym__open_fileglob_bracket] = ACTIONS(2255),
    [sym__PERLY_HEREDOC] = ACTIONS(2255),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2255),
    [sym__filetest] = ACTIONS(2255),
  },
  [1024] = {
    [sym_heredoc_content] = STATE(1024),
    [sym__identifier] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2261),
    [anon_sym_RBRACE] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2261),
    [anon_sym_package] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_role] = ACTIONS(2261),
    [anon_sym_BUILD] = ACTIONS(2261),
    [anon_sym_ADJUST] = ACTIONS(2261),
    [anon_sym_DOLLAR] = ACTIONS(2261),
    [anon_sym_AT] = ACTIONS(2261),
    [anon_sym_my] = ACTIONS(2261),
    [anon_sym_extended] = ACTIONS(2261),
    [anon_sym_async] = ACTIONS(2261),
    [anon_sym_sub] = ACTIONS(2261),
    [anon_sym_method] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_state] = ACTIONS(2261),
    [anon_sym_our] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_defer] = ACTIONS(2261),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_SLASH_SLASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2261),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_PLUS_PLUS] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2261),
    [anon_sym_BSLASH] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_eval] = ACTIONS(2261),
    [anon_sym_await] = ACTIONS(2261),
    [anon_sym_field] = ACTIONS(2261),
    [anon_sym_local] = ACTIONS(2261),
    [anon_sym_dynamically] = ACTIONS(2261),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2261),
    [anon_sym_require] = ACTIONS(2261),
    [anon_sym_map] = ACTIONS(2261),
    [anon_sym_grep] = ACTIONS(2261),
    [anon_sym_sort] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_undef] = ACTIONS(2261),
    [anon_sym_PERCENT2] = ACTIONS(2261),
    [anon_sym_AMP2] = ACTIONS(2261),
    [anon_sym_STAR2] = ACTIONS(2261),
    [anon_sym_use] = ACTIONS(2261),
    [anon_sym_no] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_foreach] = ACTIONS(2261),
    [anon_sym_last] = ACTIONS(2261),
    [anon_sym_next] = ACTIONS(2261),
    [anon_sym_redo] = ACTIONS(2261),
    [anon_sym_BEGIN] = ACTIONS(2261),
    [anon_sym_INIT] = ACTIONS(2261),
    [anon_sym_CHECK] = ACTIONS(2261),
    [anon_sym_UNITCHECK] = ACTIONS(2261),
    [anon_sym_END] = ACTIONS(2261),
    [anon_sym___FILE__] = ACTIONS(2261),
    [anon_sym___LINE__] = ACTIONS(2261),
    [anon_sym___PACKAGE__] = ACTIONS(2261),
    [anon_sym___SUB__] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_fork] = ACTIONS(2261),
    [anon_sym_getppid] = ACTIONS(2261),
    [anon_sym_time] = ACTIONS(2261),
    [anon_sym_times] = ACTIONS(2261),
    [anon_sym_wait] = ACTIONS(2261),
    [anon_sym_wantarray] = ACTIONS(2261),
    [anon_sym_abs] = ACTIONS(2261),
    [anon_sym_alarm] = ACTIONS(2261),
    [anon_sym_chop] = ACTIONS(2261),
    [anon_sym_chdir] = ACTIONS(2261),
    [anon_sym_close] = ACTIONS(2261),
    [anon_sym_closedir] = ACTIONS(2261),
    [anon_sym_caller] = ACTIONS(2261),
    [anon_sym_chomp] = ACTIONS(2261),
    [anon_sym_chr] = ACTIONS(2261),
    [anon_sym_cos] = ACTIONS(2261),
    [anon_sym_chroot] = ACTIONS(2261),
    [anon_sym_defined] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_dbmclose] = ACTIONS(2261),
    [anon_sym_exists] = ACTIONS(2261),
    [anon_sym_exit] = ACTIONS(2261),
    [anon_sym_eof] = ACTIONS(2261),
    [anon_sym_exp] = ACTIONS(2261),
    [anon_sym_each] = ACTIONS(2261),
    [anon_sym_fc] = ACTIONS(2261),
    [anon_sym_fileno] = ACTIONS(2261),
    [anon_sym_gmtime] = ACTIONS(2261),
    [anon_sym_getc] = ACTIONS(2261),
    [anon_sym_getpgrp] = ACTIONS(2261),
    [anon_sym_getprotobyname] = ACTIONS(2261),
    [anon_sym_getpwname] = ACTIONS(2261),
    [anon_sym_getpwuid] = ACTIONS(2261),
    [anon_sym_getpeername] = ACTIONS(2261),
    [anon_sym_getnetbyname] = ACTIONS(2261),
    [anon_sym_getsockname] = ACTIONS(2261),
    [anon_sym_getgrnam] = ACTIONS(2261),
    [anon_sym_getgrgid] = ACTIONS(2261),
    [anon_sym_hex] = ACTIONS(2261),
    [anon_sym_int] = ACTIONS(2261),
    [anon_sym_keys] = ACTIONS(2261),
    [anon_sym_lc] = ACTIONS(2261),
    [anon_sym_lcfirst] = ACTIONS(2261),
    [anon_sym_length] = ACTIONS(2261),
    [anon_sym_localtime] = ACTIONS(2261),
    [anon_sym_log] = ACTIONS(2261),
    [anon_sym_lock] = ACTIONS(2261),
    [anon_sym_lstat] = ACTIONS(2261),
    [anon_sym_oct] = ACTIONS(2261),
    [anon_sym_ord] = ACTIONS(2261),
    [anon_sym_prototype] = ACTIONS(2261),
    [anon_sym_pop] = ACTIONS(2261),
    [anon_sym_pos] = ACTIONS(2261),
    [anon_sym_quotemeta] = ACTIONS(2261),
    [anon_sym_reset] = ACTIONS(2261),
    [anon_sym_rand] = ACTIONS(2261),
    [anon_sym_rmdir] = ACTIONS(2261),
    [anon_sym_readdir] = ACTIONS(2261),
    [anon_sym_readline] = ACTIONS(2261),
    [anon_sym_readpipe] = ACTIONS(2261),
    [anon_sym_rewinddir] = ACTIONS(2261),
    [anon_sym_readlink] = ACTIONS(2261),
    [anon_sym_ref] = ACTIONS(2261),
    [anon_sym_scalar] = ACTIONS(2261),
    [anon_sym_shift] = ACTIONS(2261),
    [anon_sym_sin] = ACTIONS(2261),
    [anon_sym_sleep] = ACTIONS(2261),
    [anon_sym_sqrt] = ACTIONS(2261),
    [anon_sym_srand] = ACTIONS(2261),
    [anon_sym_stat] = ACTIONS(2261),
    [anon_sym_study] = ACTIONS(2261),
    [anon_sym_tell] = ACTIONS(2261),
    [anon_sym_telldir] = ACTIONS(2261),
    [anon_sym_tied] = ACTIONS(2261),
    [anon_sym_uc] = ACTIONS(2261),
    [anon_sym_ucfirst] = ACTIONS(2261),
    [anon_sym_untie] = ACTIONS(2261),
    [anon_sym_umask] = ACTIONS(2261),
    [anon_sym_values] = ACTIONS(2261),
    [anon_sym_write] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2261),
    [anon_sym_qq] = ACTIONS(2261),
    [anon_sym_qw] = ACTIONS(2261),
    [anon_sym_qx] = ACTIONS(2261),
    [anon_sym_qr] = ACTIONS(2261),
    [anon_sym_m] = ACTIONS(2261),
    [anon_sym_s] = ACTIONS(2261),
    [anon_sym_tr] = ACTIONS(2261),
    [anon_sym_y] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_unless] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_until] = ACTIONS(2261),
    [aux_sym__bareword_token1] = ACTIONS(2261),
    [sym_number] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2261),
    [anon_sym_false] = ACTIONS(2261),
    [sym__single_quote] = ACTIONS(2259),
    [sym__double_quote] = ACTIONS(2259),
    [sym__backtick_quote] = ACTIONS(2259),
    [sym__search_slash_quote] = ACTIONS(2259),
    [sym__open_readline_bracket] = ACTIONS(2259),
    [sym__open_fileglob_bracket] = ACTIONS(2259),
    [sym__PERLY_HEREDOC] = ACTIONS(2259),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2259),
    [sym__filetest] = ACTIONS(2259),
  },
  [1025] = {
    [sym_heredoc_content] = STATE(1025),
    [sym__identifier] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_RBRACE] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2265),
    [anon_sym_package] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_role] = ACTIONS(2265),
    [anon_sym_BUILD] = ACTIONS(2265),
    [anon_sym_ADJUST] = ACTIONS(2265),
    [anon_sym_DOLLAR] = ACTIONS(2265),
    [anon_sym_AT] = ACTIONS(2265),
    [anon_sym_my] = ACTIONS(2265),
    [anon_sym_extended] = ACTIONS(2265),
    [anon_sym_async] = ACTIONS(2265),
    [anon_sym_sub] = ACTIONS(2265),
    [anon_sym_method] = ACTIONS(2265),
    [anon_sym_LPAREN] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_state] = ACTIONS(2265),
    [anon_sym_our] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_defer] = ACTIONS(2265),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_LT_LT] = ACTIONS(2265),
    [anon_sym_SLASH_SLASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_TILDE] = ACTIONS(2265),
    [anon_sym_BANG] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2265),
    [anon_sym_BSLASH] = ACTIONS(2263),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_eval] = ACTIONS(2265),
    [anon_sym_await] = ACTIONS(2265),
    [anon_sym_field] = ACTIONS(2265),
    [anon_sym_local] = ACTIONS(2265),
    [anon_sym_dynamically] = ACTIONS(2265),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2265),
    [anon_sym_require] = ACTIONS(2265),
    [anon_sym_map] = ACTIONS(2265),
    [anon_sym_grep] = ACTIONS(2265),
    [anon_sym_sort] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_undef] = ACTIONS(2265),
    [anon_sym_PERCENT2] = ACTIONS(2265),
    [anon_sym_AMP2] = ACTIONS(2265),
    [anon_sym_STAR2] = ACTIONS(2265),
    [anon_sym_use] = ACTIONS(2265),
    [anon_sym_no] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_foreach] = ACTIONS(2265),
    [anon_sym_last] = ACTIONS(2265),
    [anon_sym_next] = ACTIONS(2265),
    [anon_sym_redo] = ACTIONS(2265),
    [anon_sym_BEGIN] = ACTIONS(2265),
    [anon_sym_INIT] = ACTIONS(2265),
    [anon_sym_CHECK] = ACTIONS(2265),
    [anon_sym_UNITCHECK] = ACTIONS(2265),
    [anon_sym_END] = ACTIONS(2265),
    [anon_sym___FILE__] = ACTIONS(2265),
    [anon_sym___LINE__] = ACTIONS(2265),
    [anon_sym___PACKAGE__] = ACTIONS(2265),
    [anon_sym___SUB__] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_fork] = ACTIONS(2265),
    [anon_sym_getppid] = ACTIONS(2265),
    [anon_sym_time] = ACTIONS(2265),
    [anon_sym_times] = ACTIONS(2265),
    [anon_sym_wait] = ACTIONS(2265),
    [anon_sym_wantarray] = ACTIONS(2265),
    [anon_sym_abs] = ACTIONS(2265),
    [anon_sym_alarm] = ACTIONS(2265),
    [anon_sym_chop] = ACTIONS(2265),
    [anon_sym_chdir] = ACTIONS(2265),
    [anon_sym_close] = ACTIONS(2265),
    [anon_sym_closedir] = ACTIONS(2265),
    [anon_sym_caller] = ACTIONS(2265),
    [anon_sym_chomp] = ACTIONS(2265),
    [anon_sym_chr] = ACTIONS(2265),
    [anon_sym_cos] = ACTIONS(2265),
    [anon_sym_chroot] = ACTIONS(2265),
    [anon_sym_defined] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_dbmclose] = ACTIONS(2265),
    [anon_sym_exists] = ACTIONS(2265),
    [anon_sym_exit] = ACTIONS(2265),
    [anon_sym_eof] = ACTIONS(2265),
    [anon_sym_exp] = ACTIONS(2265),
    [anon_sym_each] = ACTIONS(2265),
    [anon_sym_fc] = ACTIONS(2265),
    [anon_sym_fileno] = ACTIONS(2265),
    [anon_sym_gmtime] = ACTIONS(2265),
    [anon_sym_getc] = ACTIONS(2265),
    [anon_sym_getpgrp] = ACTIONS(2265),
    [anon_sym_getprotobyname] = ACTIONS(2265),
    [anon_sym_getpwname] = ACTIONS(2265),
    [anon_sym_getpwuid] = ACTIONS(2265),
    [anon_sym_getpeername] = ACTIONS(2265),
    [anon_sym_getnetbyname] = ACTIONS(2265),
    [anon_sym_getsockname] = ACTIONS(2265),
    [anon_sym_getgrnam] = ACTIONS(2265),
    [anon_sym_getgrgid] = ACTIONS(2265),
    [anon_sym_hex] = ACTIONS(2265),
    [anon_sym_int] = ACTIONS(2265),
    [anon_sym_keys] = ACTIONS(2265),
    [anon_sym_lc] = ACTIONS(2265),
    [anon_sym_lcfirst] = ACTIONS(2265),
    [anon_sym_length] = ACTIONS(2265),
    [anon_sym_localtime] = ACTIONS(2265),
    [anon_sym_log] = ACTIONS(2265),
    [anon_sym_lock] = ACTIONS(2265),
    [anon_sym_lstat] = ACTIONS(2265),
    [anon_sym_oct] = ACTIONS(2265),
    [anon_sym_ord] = ACTIONS(2265),
    [anon_sym_prototype] = ACTIONS(2265),
    [anon_sym_pop] = ACTIONS(2265),
    [anon_sym_pos] = ACTIONS(2265),
    [anon_sym_quotemeta] = ACTIONS(2265),
    [anon_sym_reset] = ACTIONS(2265),
    [anon_sym_rand] = ACTIONS(2265),
    [anon_sym_rmdir] = ACTIONS(2265),
    [anon_sym_readdir] = ACTIONS(2265),
    [anon_sym_readline] = ACTIONS(2265),
    [anon_sym_readpipe] = ACTIONS(2265),
    [anon_sym_rewinddir] = ACTIONS(2265),
    [anon_sym_readlink] = ACTIONS(2265),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_scalar] = ACTIONS(2265),
    [anon_sym_shift] = ACTIONS(2265),
    [anon_sym_sin] = ACTIONS(2265),
    [anon_sym_sleep] = ACTIONS(2265),
    [anon_sym_sqrt] = ACTIONS(2265),
    [anon_sym_srand] = ACTIONS(2265),
    [anon_sym_stat] = ACTIONS(2265),
    [anon_sym_study] = ACTIONS(2265),
    [anon_sym_tell] = ACTIONS(2265),
    [anon_sym_telldir] = ACTIONS(2265),
    [anon_sym_tied] = ACTIONS(2265),
    [anon_sym_uc] = ACTIONS(2265),
    [anon_sym_ucfirst] = ACTIONS(2265),
    [anon_sym_untie] = ACTIONS(2265),
    [anon_sym_umask] = ACTIONS(2265),
    [anon_sym_values] = ACTIONS(2265),
    [anon_sym_write] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2265),
    [anon_sym_qq] = ACTIONS(2265),
    [anon_sym_qw] = ACTIONS(2265),
    [anon_sym_qx] = ACTIONS(2265),
    [anon_sym_qr] = ACTIONS(2265),
    [anon_sym_m] = ACTIONS(2265),
    [anon_sym_s] = ACTIONS(2265),
    [anon_sym_tr] = ACTIONS(2265),
    [anon_sym_y] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_unless] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_until] = ACTIONS(2265),
    [aux_sym__bareword_token1] = ACTIONS(2265),
    [sym_number] = ACTIONS(2265),
    [anon_sym_true] = ACTIONS(2265),
    [anon_sym_false] = ACTIONS(2265),
    [sym__single_quote] = ACTIONS(2263),
    [sym__double_quote] = ACTIONS(2263),
    [sym__backtick_quote] = ACTIONS(2263),
    [sym__search_slash_quote] = ACTIONS(2263),
    [sym__open_readline_bracket] = ACTIONS(2263),
    [sym__open_fileglob_bracket] = ACTIONS(2263),
    [sym__PERLY_HEREDOC] = ACTIONS(2263),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2263),
    [sym__filetest] = ACTIONS(2263),
  },
  [1026] = {
    [sym_heredoc_content] = STATE(1026),
    [sym__identifier] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_RBRACE] = ACTIONS(2269),
    [anon_sym_SEMI] = ACTIONS(2269),
    [anon_sym_package] = ACTIONS(2269),
    [anon_sym_class] = ACTIONS(2269),
    [anon_sym_role] = ACTIONS(2269),
    [anon_sym_BUILD] = ACTIONS(2269),
    [anon_sym_ADJUST] = ACTIONS(2269),
    [anon_sym_DOLLAR] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_my] = ACTIONS(2269),
    [anon_sym_extended] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_sub] = ACTIONS(2269),
    [anon_sym_method] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_state] = ACTIONS(2269),
    [anon_sym_our] = ACTIONS(2269),
    [anon_sym_try] = ACTIONS(2269),
    [anon_sym_defer] = ACTIONS(2269),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_SLASH_SLASH] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_BSLASH] = ACTIONS(2267),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_eval] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_field] = ACTIONS(2269),
    [anon_sym_local] = ACTIONS(2269),
    [anon_sym_dynamically] = ACTIONS(2269),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2269),
    [anon_sym_require] = ACTIONS(2269),
    [anon_sym_map] = ACTIONS(2269),
    [anon_sym_grep] = ACTIONS(2269),
    [anon_sym_sort] = ACTIONS(2269),
    [anon_sym_goto] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_undef] = ACTIONS(2269),
    [anon_sym_PERCENT2] = ACTIONS(2269),
    [anon_sym_AMP2] = ACTIONS(2269),
    [anon_sym_STAR2] = ACTIONS(2269),
    [anon_sym_use] = ACTIONS(2269),
    [anon_sym_no] = ACTIONS(2269),
    [anon_sym_for] = ACTIONS(2269),
    [anon_sym_foreach] = ACTIONS(2269),
    [anon_sym_last] = ACTIONS(2269),
    [anon_sym_next] = ACTIONS(2269),
    [anon_sym_redo] = ACTIONS(2269),
    [anon_sym_BEGIN] = ACTIONS(2269),
    [anon_sym_INIT] = ACTIONS(2269),
    [anon_sym_CHECK] = ACTIONS(2269),
    [anon_sym_UNITCHECK] = ACTIONS(2269),
    [anon_sym_END] = ACTIONS(2269),
    [anon_sym___FILE__] = ACTIONS(2269),
    [anon_sym___LINE__] = ACTIONS(2269),
    [anon_sym___PACKAGE__] = ACTIONS(2269),
    [anon_sym___SUB__] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_fork] = ACTIONS(2269),
    [anon_sym_getppid] = ACTIONS(2269),
    [anon_sym_time] = ACTIONS(2269),
    [anon_sym_times] = ACTIONS(2269),
    [anon_sym_wait] = ACTIONS(2269),
    [anon_sym_wantarray] = ACTIONS(2269),
    [anon_sym_abs] = ACTIONS(2269),
    [anon_sym_alarm] = ACTIONS(2269),
    [anon_sym_chop] = ACTIONS(2269),
    [anon_sym_chdir] = ACTIONS(2269),
    [anon_sym_close] = ACTIONS(2269),
    [anon_sym_closedir] = ACTIONS(2269),
    [anon_sym_caller] = ACTIONS(2269),
    [anon_sym_chomp] = ACTIONS(2269),
    [anon_sym_chr] = ACTIONS(2269),
    [anon_sym_cos] = ACTIONS(2269),
    [anon_sym_chroot] = ACTIONS(2269),
    [anon_sym_defined] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_dbmclose] = ACTIONS(2269),
    [anon_sym_exists] = ACTIONS(2269),
    [anon_sym_exit] = ACTIONS(2269),
    [anon_sym_eof] = ACTIONS(2269),
    [anon_sym_exp] = ACTIONS(2269),
    [anon_sym_each] = ACTIONS(2269),
    [anon_sym_fc] = ACTIONS(2269),
    [anon_sym_fileno] = ACTIONS(2269),
    [anon_sym_gmtime] = ACTIONS(2269),
    [anon_sym_getc] = ACTIONS(2269),
    [anon_sym_getpgrp] = ACTIONS(2269),
    [anon_sym_getprotobyname] = ACTIONS(2269),
    [anon_sym_getpwname] = ACTIONS(2269),
    [anon_sym_getpwuid] = ACTIONS(2269),
    [anon_sym_getpeername] = ACTIONS(2269),
    [anon_sym_getnetbyname] = ACTIONS(2269),
    [anon_sym_getsockname] = ACTIONS(2269),
    [anon_sym_getgrnam] = ACTIONS(2269),
    [anon_sym_getgrgid] = ACTIONS(2269),
    [anon_sym_hex] = ACTIONS(2269),
    [anon_sym_int] = ACTIONS(2269),
    [anon_sym_keys] = ACTIONS(2269),
    [anon_sym_lc] = ACTIONS(2269),
    [anon_sym_lcfirst] = ACTIONS(2269),
    [anon_sym_length] = ACTIONS(2269),
    [anon_sym_localtime] = ACTIONS(2269),
    [anon_sym_log] = ACTIONS(2269),
    [anon_sym_lock] = ACTIONS(2269),
    [anon_sym_lstat] = ACTIONS(2269),
    [anon_sym_oct] = ACTIONS(2269),
    [anon_sym_ord] = ACTIONS(2269),
    [anon_sym_prototype] = ACTIONS(2269),
    [anon_sym_pop] = ACTIONS(2269),
    [anon_sym_pos] = ACTIONS(2269),
    [anon_sym_quotemeta] = ACTIONS(2269),
    [anon_sym_reset] = ACTIONS(2269),
    [anon_sym_rand] = ACTIONS(2269),
    [anon_sym_rmdir] = ACTIONS(2269),
    [anon_sym_readdir] = ACTIONS(2269),
    [anon_sym_readline] = ACTIONS(2269),
    [anon_sym_readpipe] = ACTIONS(2269),
    [anon_sym_rewinddir] = ACTIONS(2269),
    [anon_sym_readlink] = ACTIONS(2269),
    [anon_sym_ref] = ACTIONS(2269),
    [anon_sym_scalar] = ACTIONS(2269),
    [anon_sym_shift] = ACTIONS(2269),
    [anon_sym_sin] = ACTIONS(2269),
    [anon_sym_sleep] = ACTIONS(2269),
    [anon_sym_sqrt] = ACTIONS(2269),
    [anon_sym_srand] = ACTIONS(2269),
    [anon_sym_stat] = ACTIONS(2269),
    [anon_sym_study] = ACTIONS(2269),
    [anon_sym_tell] = ACTIONS(2269),
    [anon_sym_telldir] = ACTIONS(2269),
    [anon_sym_tied] = ACTIONS(2269),
    [anon_sym_uc] = ACTIONS(2269),
    [anon_sym_ucfirst] = ACTIONS(2269),
    [anon_sym_untie] = ACTIONS(2269),
    [anon_sym_umask] = ACTIONS(2269),
    [anon_sym_values] = ACTIONS(2269),
    [anon_sym_write] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2269),
    [anon_sym_qq] = ACTIONS(2269),
    [anon_sym_qw] = ACTIONS(2269),
    [anon_sym_qx] = ACTIONS(2269),
    [anon_sym_qr] = ACTIONS(2269),
    [anon_sym_m] = ACTIONS(2269),
    [anon_sym_s] = ACTIONS(2269),
    [anon_sym_tr] = ACTIONS(2269),
    [anon_sym_y] = ACTIONS(2269),
    [anon_sym_if] = ACTIONS(2269),
    [anon_sym_unless] = ACTIONS(2269),
    [anon_sym_while] = ACTIONS(2269),
    [anon_sym_until] = ACTIONS(2269),
    [aux_sym__bareword_token1] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(2269),
    [anon_sym_false] = ACTIONS(2269),
    [sym__single_quote] = ACTIONS(2267),
    [sym__double_quote] = ACTIONS(2267),
    [sym__backtick_quote] = ACTIONS(2267),
    [sym__search_slash_quote] = ACTIONS(2267),
    [sym__open_readline_bracket] = ACTIONS(2267),
    [sym__open_fileglob_bracket] = ACTIONS(2267),
    [sym__PERLY_HEREDOC] = ACTIONS(2267),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2267),
    [sym__filetest] = ACTIONS(2267),
  },
  [1027] = {
    [sym_heredoc_content] = STATE(1027),
    [sym__identifier] = ACTIONS(2273),
    [anon_sym_LBRACE] = ACTIONS(2273),
    [anon_sym_RBRACE] = ACTIONS(2273),
    [anon_sym_SEMI] = ACTIONS(2273),
    [anon_sym_package] = ACTIONS(2273),
    [anon_sym_class] = ACTIONS(2273),
    [anon_sym_role] = ACTIONS(2273),
    [anon_sym_BUILD] = ACTIONS(2273),
    [anon_sym_ADJUST] = ACTIONS(2273),
    [anon_sym_DOLLAR] = ACTIONS(2273),
    [anon_sym_AT] = ACTIONS(2273),
    [anon_sym_my] = ACTIONS(2273),
    [anon_sym_extended] = ACTIONS(2273),
    [anon_sym_async] = ACTIONS(2273),
    [anon_sym_sub] = ACTIONS(2273),
    [anon_sym_method] = ACTIONS(2273),
    [anon_sym_LPAREN] = ACTIONS(2273),
    [anon_sym_continue] = ACTIONS(2273),
    [anon_sym_state] = ACTIONS(2273),
    [anon_sym_our] = ACTIONS(2273),
    [anon_sym_try] = ACTIONS(2273),
    [anon_sym_defer] = ACTIONS(2273),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [anon_sym_LT_LT] = ACTIONS(2273),
    [anon_sym_SLASH_SLASH] = ACTIONS(2273),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_TILDE] = ACTIONS(2273),
    [anon_sym_BANG] = ACTIONS(2273),
    [anon_sym_PLUS_PLUS] = ACTIONS(2273),
    [anon_sym_DASH_DASH] = ACTIONS(2273),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_do] = ACTIONS(2273),
    [anon_sym_eval] = ACTIONS(2273),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_field] = ACTIONS(2273),
    [anon_sym_local] = ACTIONS(2273),
    [anon_sym_dynamically] = ACTIONS(2273),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2273),
    [anon_sym_require] = ACTIONS(2273),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_grep] = ACTIONS(2273),
    [anon_sym_sort] = ACTIONS(2273),
    [anon_sym_goto] = ACTIONS(2273),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_undef] = ACTIONS(2273),
    [anon_sym_PERCENT2] = ACTIONS(2273),
    [anon_sym_AMP2] = ACTIONS(2273),
    [anon_sym_STAR2] = ACTIONS(2273),
    [anon_sym_use] = ACTIONS(2273),
    [anon_sym_no] = ACTIONS(2273),
    [anon_sym_for] = ACTIONS(2273),
    [anon_sym_foreach] = ACTIONS(2273),
    [anon_sym_last] = ACTIONS(2273),
    [anon_sym_next] = ACTIONS(2273),
    [anon_sym_redo] = ACTIONS(2273),
    [anon_sym_BEGIN] = ACTIONS(2273),
    [anon_sym_INIT] = ACTIONS(2273),
    [anon_sym_CHECK] = ACTIONS(2273),
    [anon_sym_UNITCHECK] = ACTIONS(2273),
    [anon_sym_END] = ACTIONS(2273),
    [anon_sym___FILE__] = ACTIONS(2273),
    [anon_sym___LINE__] = ACTIONS(2273),
    [anon_sym___PACKAGE__] = ACTIONS(2273),
    [anon_sym___SUB__] = ACTIONS(2273),
    [anon_sym_break] = ACTIONS(2273),
    [anon_sym_fork] = ACTIONS(2273),
    [anon_sym_getppid] = ACTIONS(2273),
    [anon_sym_time] = ACTIONS(2273),
    [anon_sym_times] = ACTIONS(2273),
    [anon_sym_wait] = ACTIONS(2273),
    [anon_sym_wantarray] = ACTIONS(2273),
    [anon_sym_abs] = ACTIONS(2273),
    [anon_sym_alarm] = ACTIONS(2273),
    [anon_sym_chop] = ACTIONS(2273),
    [anon_sym_chdir] = ACTIONS(2273),
    [anon_sym_close] = ACTIONS(2273),
    [anon_sym_closedir] = ACTIONS(2273),
    [anon_sym_caller] = ACTIONS(2273),
    [anon_sym_chomp] = ACTIONS(2273),
    [anon_sym_chr] = ACTIONS(2273),
    [anon_sym_cos] = ACTIONS(2273),
    [anon_sym_chroot] = ACTIONS(2273),
    [anon_sym_defined] = ACTIONS(2273),
    [anon_sym_delete] = ACTIONS(2273),
    [anon_sym_dbmclose] = ACTIONS(2273),
    [anon_sym_exists] = ACTIONS(2273),
    [anon_sym_exit] = ACTIONS(2273),
    [anon_sym_eof] = ACTIONS(2273),
    [anon_sym_exp] = ACTIONS(2273),
    [anon_sym_each] = ACTIONS(2273),
    [anon_sym_fc] = ACTIONS(2273),
    [anon_sym_fileno] = ACTIONS(2273),
    [anon_sym_gmtime] = ACTIONS(2273),
    [anon_sym_getc] = ACTIONS(2273),
    [anon_sym_getpgrp] = ACTIONS(2273),
    [anon_sym_getprotobyname] = ACTIONS(2273),
    [anon_sym_getpwname] = ACTIONS(2273),
    [anon_sym_getpwuid] = ACTIONS(2273),
    [anon_sym_getpeername] = ACTIONS(2273),
    [anon_sym_getnetbyname] = ACTIONS(2273),
    [anon_sym_getsockname] = ACTIONS(2273),
    [anon_sym_getgrnam] = ACTIONS(2273),
    [anon_sym_getgrgid] = ACTIONS(2273),
    [anon_sym_hex] = ACTIONS(2273),
    [anon_sym_int] = ACTIONS(2273),
    [anon_sym_keys] = ACTIONS(2273),
    [anon_sym_lc] = ACTIONS(2273),
    [anon_sym_lcfirst] = ACTIONS(2273),
    [anon_sym_length] = ACTIONS(2273),
    [anon_sym_localtime] = ACTIONS(2273),
    [anon_sym_log] = ACTIONS(2273),
    [anon_sym_lock] = ACTIONS(2273),
    [anon_sym_lstat] = ACTIONS(2273),
    [anon_sym_oct] = ACTIONS(2273),
    [anon_sym_ord] = ACTIONS(2273),
    [anon_sym_prototype] = ACTIONS(2273),
    [anon_sym_pop] = ACTIONS(2273),
    [anon_sym_pos] = ACTIONS(2273),
    [anon_sym_quotemeta] = ACTIONS(2273),
    [anon_sym_reset] = ACTIONS(2273),
    [anon_sym_rand] = ACTIONS(2273),
    [anon_sym_rmdir] = ACTIONS(2273),
    [anon_sym_readdir] = ACTIONS(2273),
    [anon_sym_readline] = ACTIONS(2273),
    [anon_sym_readpipe] = ACTIONS(2273),
    [anon_sym_rewinddir] = ACTIONS(2273),
    [anon_sym_readlink] = ACTIONS(2273),
    [anon_sym_ref] = ACTIONS(2273),
    [anon_sym_scalar] = ACTIONS(2273),
    [anon_sym_shift] = ACTIONS(2273),
    [anon_sym_sin] = ACTIONS(2273),
    [anon_sym_sleep] = ACTIONS(2273),
    [anon_sym_sqrt] = ACTIONS(2273),
    [anon_sym_srand] = ACTIONS(2273),
    [anon_sym_stat] = ACTIONS(2273),
    [anon_sym_study] = ACTIONS(2273),
    [anon_sym_tell] = ACTIONS(2273),
    [anon_sym_telldir] = ACTIONS(2273),
    [anon_sym_tied] = ACTIONS(2273),
    [anon_sym_uc] = ACTIONS(2273),
    [anon_sym_ucfirst] = ACTIONS(2273),
    [anon_sym_untie] = ACTIONS(2273),
    [anon_sym_umask] = ACTIONS(2273),
    [anon_sym_values] = ACTIONS(2273),
    [anon_sym_write] = ACTIONS(2273),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2273),
    [anon_sym_qq] = ACTIONS(2273),
    [anon_sym_qw] = ACTIONS(2273),
    [anon_sym_qx] = ACTIONS(2273),
    [anon_sym_qr] = ACTIONS(2273),
    [anon_sym_m] = ACTIONS(2273),
    [anon_sym_s] = ACTIONS(2273),
    [anon_sym_tr] = ACTIONS(2273),
    [anon_sym_y] = ACTIONS(2273),
    [anon_sym_if] = ACTIONS(2273),
    [anon_sym_unless] = ACTIONS(2273),
    [anon_sym_while] = ACTIONS(2273),
    [anon_sym_until] = ACTIONS(2273),
    [aux_sym__bareword_token1] = ACTIONS(2273),
    [sym_number] = ACTIONS(2273),
    [anon_sym_true] = ACTIONS(2273),
    [anon_sym_false] = ACTIONS(2273),
    [sym__single_quote] = ACTIONS(2271),
    [sym__double_quote] = ACTIONS(2271),
    [sym__backtick_quote] = ACTIONS(2271),
    [sym__search_slash_quote] = ACTIONS(2271),
    [sym__open_readline_bracket] = ACTIONS(2271),
    [sym__open_fileglob_bracket] = ACTIONS(2271),
    [sym__PERLY_HEREDOC] = ACTIONS(2271),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2271),
    [sym__filetest] = ACTIONS(2271),
  },
  [1028] = {
    [sym_heredoc_content] = STATE(1028),
    [sym__identifier] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_RBRACE] = ACTIONS(2277),
    [anon_sym_SEMI] = ACTIONS(2277),
    [anon_sym_package] = ACTIONS(2277),
    [anon_sym_class] = ACTIONS(2277),
    [anon_sym_role] = ACTIONS(2277),
    [anon_sym_BUILD] = ACTIONS(2277),
    [anon_sym_ADJUST] = ACTIONS(2277),
    [anon_sym_DOLLAR] = ACTIONS(2277),
    [anon_sym_AT] = ACTIONS(2277),
    [anon_sym_my] = ACTIONS(2277),
    [anon_sym_extended] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2277),
    [anon_sym_sub] = ACTIONS(2277),
    [anon_sym_method] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [anon_sym_continue] = ACTIONS(2277),
    [anon_sym_state] = ACTIONS(2277),
    [anon_sym_our] = ACTIONS(2277),
    [anon_sym_try] = ACTIONS(2277),
    [anon_sym_defer] = ACTIONS(2277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2277),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_LT_LT] = ACTIONS(2277),
    [anon_sym_SLASH_SLASH] = ACTIONS(2277),
    [anon_sym_PLUS] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_BSLASH] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2277),
    [anon_sym_eval] = ACTIONS(2277),
    [anon_sym_await] = ACTIONS(2277),
    [anon_sym_field] = ACTIONS(2277),
    [anon_sym_local] = ACTIONS(2277),
    [anon_sym_dynamically] = ACTIONS(2277),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2277),
    [anon_sym_require] = ACTIONS(2277),
    [anon_sym_map] = ACTIONS(2277),
    [anon_sym_grep] = ACTIONS(2277),
    [anon_sym_sort] = ACTIONS(2277),
    [anon_sym_goto] = ACTIONS(2277),
    [anon_sym_return] = ACTIONS(2277),
    [anon_sym_undef] = ACTIONS(2277),
    [anon_sym_PERCENT2] = ACTIONS(2277),
    [anon_sym_AMP2] = ACTIONS(2277),
    [anon_sym_STAR2] = ACTIONS(2277),
    [anon_sym_use] = ACTIONS(2277),
    [anon_sym_no] = ACTIONS(2277),
    [anon_sym_for] = ACTIONS(2277),
    [anon_sym_foreach] = ACTIONS(2277),
    [anon_sym_last] = ACTIONS(2277),
    [anon_sym_next] = ACTIONS(2277),
    [anon_sym_redo] = ACTIONS(2277),
    [anon_sym_BEGIN] = ACTIONS(2277),
    [anon_sym_INIT] = ACTIONS(2277),
    [anon_sym_CHECK] = ACTIONS(2277),
    [anon_sym_UNITCHECK] = ACTIONS(2277),
    [anon_sym_END] = ACTIONS(2277),
    [anon_sym___FILE__] = ACTIONS(2277),
    [anon_sym___LINE__] = ACTIONS(2277),
    [anon_sym___PACKAGE__] = ACTIONS(2277),
    [anon_sym___SUB__] = ACTIONS(2277),
    [anon_sym_break] = ACTIONS(2277),
    [anon_sym_fork] = ACTIONS(2277),
    [anon_sym_getppid] = ACTIONS(2277),
    [anon_sym_time] = ACTIONS(2277),
    [anon_sym_times] = ACTIONS(2277),
    [anon_sym_wait] = ACTIONS(2277),
    [anon_sym_wantarray] = ACTIONS(2277),
    [anon_sym_abs] = ACTIONS(2277),
    [anon_sym_alarm] = ACTIONS(2277),
    [anon_sym_chop] = ACTIONS(2277),
    [anon_sym_chdir] = ACTIONS(2277),
    [anon_sym_close] = ACTIONS(2277),
    [anon_sym_closedir] = ACTIONS(2277),
    [anon_sym_caller] = ACTIONS(2277),
    [anon_sym_chomp] = ACTIONS(2277),
    [anon_sym_chr] = ACTIONS(2277),
    [anon_sym_cos] = ACTIONS(2277),
    [anon_sym_chroot] = ACTIONS(2277),
    [anon_sym_defined] = ACTIONS(2277),
    [anon_sym_delete] = ACTIONS(2277),
    [anon_sym_dbmclose] = ACTIONS(2277),
    [anon_sym_exists] = ACTIONS(2277),
    [anon_sym_exit] = ACTIONS(2277),
    [anon_sym_eof] = ACTIONS(2277),
    [anon_sym_exp] = ACTIONS(2277),
    [anon_sym_each] = ACTIONS(2277),
    [anon_sym_fc] = ACTIONS(2277),
    [anon_sym_fileno] = ACTIONS(2277),
    [anon_sym_gmtime] = ACTIONS(2277),
    [anon_sym_getc] = ACTIONS(2277),
    [anon_sym_getpgrp] = ACTIONS(2277),
    [anon_sym_getprotobyname] = ACTIONS(2277),
    [anon_sym_getpwname] = ACTIONS(2277),
    [anon_sym_getpwuid] = ACTIONS(2277),
    [anon_sym_getpeername] = ACTIONS(2277),
    [anon_sym_getnetbyname] = ACTIONS(2277),
    [anon_sym_getsockname] = ACTIONS(2277),
    [anon_sym_getgrnam] = ACTIONS(2277),
    [anon_sym_getgrgid] = ACTIONS(2277),
    [anon_sym_hex] = ACTIONS(2277),
    [anon_sym_int] = ACTIONS(2277),
    [anon_sym_keys] = ACTIONS(2277),
    [anon_sym_lc] = ACTIONS(2277),
    [anon_sym_lcfirst] = ACTIONS(2277),
    [anon_sym_length] = ACTIONS(2277),
    [anon_sym_localtime] = ACTIONS(2277),
    [anon_sym_log] = ACTIONS(2277),
    [anon_sym_lock] = ACTIONS(2277),
    [anon_sym_lstat] = ACTIONS(2277),
    [anon_sym_oct] = ACTIONS(2277),
    [anon_sym_ord] = ACTIONS(2277),
    [anon_sym_prototype] = ACTIONS(2277),
    [anon_sym_pop] = ACTIONS(2277),
    [anon_sym_pos] = ACTIONS(2277),
    [anon_sym_quotemeta] = ACTIONS(2277),
    [anon_sym_reset] = ACTIONS(2277),
    [anon_sym_rand] = ACTIONS(2277),
    [anon_sym_rmdir] = ACTIONS(2277),
    [anon_sym_readdir] = ACTIONS(2277),
    [anon_sym_readline] = ACTIONS(2277),
    [anon_sym_readpipe] = ACTIONS(2277),
    [anon_sym_rewinddir] = ACTIONS(2277),
    [anon_sym_readlink] = ACTIONS(2277),
    [anon_sym_ref] = ACTIONS(2277),
    [anon_sym_scalar] = ACTIONS(2277),
    [anon_sym_shift] = ACTIONS(2277),
    [anon_sym_sin] = ACTIONS(2277),
    [anon_sym_sleep] = ACTIONS(2277),
    [anon_sym_sqrt] = ACTIONS(2277),
    [anon_sym_srand] = ACTIONS(2277),
    [anon_sym_stat] = ACTIONS(2277),
    [anon_sym_study] = ACTIONS(2277),
    [anon_sym_tell] = ACTIONS(2277),
    [anon_sym_telldir] = ACTIONS(2277),
    [anon_sym_tied] = ACTIONS(2277),
    [anon_sym_uc] = ACTIONS(2277),
    [anon_sym_ucfirst] = ACTIONS(2277),
    [anon_sym_untie] = ACTIONS(2277),
    [anon_sym_umask] = ACTIONS(2277),
    [anon_sym_values] = ACTIONS(2277),
    [anon_sym_write] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2277),
    [anon_sym_qq] = ACTIONS(2277),
    [anon_sym_qw] = ACTIONS(2277),
    [anon_sym_qx] = ACTIONS(2277),
    [anon_sym_qr] = ACTIONS(2277),
    [anon_sym_m] = ACTIONS(2277),
    [anon_sym_s] = ACTIONS(2277),
    [anon_sym_tr] = ACTIONS(2277),
    [anon_sym_y] = ACTIONS(2277),
    [anon_sym_if] = ACTIONS(2277),
    [anon_sym_unless] = ACTIONS(2277),
    [anon_sym_while] = ACTIONS(2277),
    [anon_sym_until] = ACTIONS(2277),
    [aux_sym__bareword_token1] = ACTIONS(2277),
    [sym_number] = ACTIONS(2277),
    [anon_sym_true] = ACTIONS(2277),
    [anon_sym_false] = ACTIONS(2277),
    [sym__single_quote] = ACTIONS(2275),
    [sym__double_quote] = ACTIONS(2275),
    [sym__backtick_quote] = ACTIONS(2275),
    [sym__search_slash_quote] = ACTIONS(2275),
    [sym__open_readline_bracket] = ACTIONS(2275),
    [sym__open_fileglob_bracket] = ACTIONS(2275),
    [sym__PERLY_HEREDOC] = ACTIONS(2275),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2275),
    [sym__filetest] = ACTIONS(2275),
  },
  [1029] = {
    [sym_heredoc_content] = STATE(1029),
    [sym__identifier] = ACTIONS(2281),
    [anon_sym_LBRACE] = ACTIONS(2281),
    [anon_sym_RBRACE] = ACTIONS(2281),
    [anon_sym_SEMI] = ACTIONS(2281),
    [anon_sym_package] = ACTIONS(2281),
    [anon_sym_class] = ACTIONS(2281),
    [anon_sym_role] = ACTIONS(2281),
    [anon_sym_BUILD] = ACTIONS(2281),
    [anon_sym_ADJUST] = ACTIONS(2281),
    [anon_sym_DOLLAR] = ACTIONS(2281),
    [anon_sym_AT] = ACTIONS(2281),
    [anon_sym_my] = ACTIONS(2281),
    [anon_sym_extended] = ACTIONS(2281),
    [anon_sym_async] = ACTIONS(2281),
    [anon_sym_sub] = ACTIONS(2281),
    [anon_sym_method] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(2281),
    [anon_sym_continue] = ACTIONS(2281),
    [anon_sym_state] = ACTIONS(2281),
    [anon_sym_our] = ACTIONS(2281),
    [anon_sym_try] = ACTIONS(2281),
    [anon_sym_defer] = ACTIONS(2281),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2281),
    [anon_sym_LBRACK] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_SLASH_SLASH] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(2281),
    [anon_sym_TILDE] = ACTIONS(2281),
    [anon_sym_BANG] = ACTIONS(2281),
    [anon_sym_PLUS_PLUS] = ACTIONS(2281),
    [anon_sym_DASH_DASH] = ACTIONS(2281),
    [anon_sym_BSLASH] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2281),
    [anon_sym_eval] = ACTIONS(2281),
    [anon_sym_await] = ACTIONS(2281),
    [anon_sym_field] = ACTIONS(2281),
    [anon_sym_local] = ACTIONS(2281),
    [anon_sym_dynamically] = ACTIONS(2281),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2281),
    [anon_sym_require] = ACTIONS(2281),
    [anon_sym_map] = ACTIONS(2281),
    [anon_sym_grep] = ACTIONS(2281),
    [anon_sym_sort] = ACTIONS(2281),
    [anon_sym_goto] = ACTIONS(2281),
    [anon_sym_return] = ACTIONS(2281),
    [anon_sym_undef] = ACTIONS(2281),
    [anon_sym_PERCENT2] = ACTIONS(2281),
    [anon_sym_AMP2] = ACTIONS(2281),
    [anon_sym_STAR2] = ACTIONS(2281),
    [anon_sym_use] = ACTIONS(2281),
    [anon_sym_no] = ACTIONS(2281),
    [anon_sym_for] = ACTIONS(2281),
    [anon_sym_foreach] = ACTIONS(2281),
    [anon_sym_last] = ACTIONS(2281),
    [anon_sym_next] = ACTIONS(2281),
    [anon_sym_redo] = ACTIONS(2281),
    [anon_sym_BEGIN] = ACTIONS(2281),
    [anon_sym_INIT] = ACTIONS(2281),
    [anon_sym_CHECK] = ACTIONS(2281),
    [anon_sym_UNITCHECK] = ACTIONS(2281),
    [anon_sym_END] = ACTIONS(2281),
    [anon_sym___FILE__] = ACTIONS(2281),
    [anon_sym___LINE__] = ACTIONS(2281),
    [anon_sym___PACKAGE__] = ACTIONS(2281),
    [anon_sym___SUB__] = ACTIONS(2281),
    [anon_sym_break] = ACTIONS(2281),
    [anon_sym_fork] = ACTIONS(2281),
    [anon_sym_getppid] = ACTIONS(2281),
    [anon_sym_time] = ACTIONS(2281),
    [anon_sym_times] = ACTIONS(2281),
    [anon_sym_wait] = ACTIONS(2281),
    [anon_sym_wantarray] = ACTIONS(2281),
    [anon_sym_abs] = ACTIONS(2281),
    [anon_sym_alarm] = ACTIONS(2281),
    [anon_sym_chop] = ACTIONS(2281),
    [anon_sym_chdir] = ACTIONS(2281),
    [anon_sym_close] = ACTIONS(2281),
    [anon_sym_closedir] = ACTIONS(2281),
    [anon_sym_caller] = ACTIONS(2281),
    [anon_sym_chomp] = ACTIONS(2281),
    [anon_sym_chr] = ACTIONS(2281),
    [anon_sym_cos] = ACTIONS(2281),
    [anon_sym_chroot] = ACTIONS(2281),
    [anon_sym_defined] = ACTIONS(2281),
    [anon_sym_delete] = ACTIONS(2281),
    [anon_sym_dbmclose] = ACTIONS(2281),
    [anon_sym_exists] = ACTIONS(2281),
    [anon_sym_exit] = ACTIONS(2281),
    [anon_sym_eof] = ACTIONS(2281),
    [anon_sym_exp] = ACTIONS(2281),
    [anon_sym_each] = ACTIONS(2281),
    [anon_sym_fc] = ACTIONS(2281),
    [anon_sym_fileno] = ACTIONS(2281),
    [anon_sym_gmtime] = ACTIONS(2281),
    [anon_sym_getc] = ACTIONS(2281),
    [anon_sym_getpgrp] = ACTIONS(2281),
    [anon_sym_getprotobyname] = ACTIONS(2281),
    [anon_sym_getpwname] = ACTIONS(2281),
    [anon_sym_getpwuid] = ACTIONS(2281),
    [anon_sym_getpeername] = ACTIONS(2281),
    [anon_sym_getnetbyname] = ACTIONS(2281),
    [anon_sym_getsockname] = ACTIONS(2281),
    [anon_sym_getgrnam] = ACTIONS(2281),
    [anon_sym_getgrgid] = ACTIONS(2281),
    [anon_sym_hex] = ACTIONS(2281),
    [anon_sym_int] = ACTIONS(2281),
    [anon_sym_keys] = ACTIONS(2281),
    [anon_sym_lc] = ACTIONS(2281),
    [anon_sym_lcfirst] = ACTIONS(2281),
    [anon_sym_length] = ACTIONS(2281),
    [anon_sym_localtime] = ACTIONS(2281),
    [anon_sym_log] = ACTIONS(2281),
    [anon_sym_lock] = ACTIONS(2281),
    [anon_sym_lstat] = ACTIONS(2281),
    [anon_sym_oct] = ACTIONS(2281),
    [anon_sym_ord] = ACTIONS(2281),
    [anon_sym_prototype] = ACTIONS(2281),
    [anon_sym_pop] = ACTIONS(2281),
    [anon_sym_pos] = ACTIONS(2281),
    [anon_sym_quotemeta] = ACTIONS(2281),
    [anon_sym_reset] = ACTIONS(2281),
    [anon_sym_rand] = ACTIONS(2281),
    [anon_sym_rmdir] = ACTIONS(2281),
    [anon_sym_readdir] = ACTIONS(2281),
    [anon_sym_readline] = ACTIONS(2281),
    [anon_sym_readpipe] = ACTIONS(2281),
    [anon_sym_rewinddir] = ACTIONS(2281),
    [anon_sym_readlink] = ACTIONS(2281),
    [anon_sym_ref] = ACTIONS(2281),
    [anon_sym_scalar] = ACTIONS(2281),
    [anon_sym_shift] = ACTIONS(2281),
    [anon_sym_sin] = ACTIONS(2281),
    [anon_sym_sleep] = ACTIONS(2281),
    [anon_sym_sqrt] = ACTIONS(2281),
    [anon_sym_srand] = ACTIONS(2281),
    [anon_sym_stat] = ACTIONS(2281),
    [anon_sym_study] = ACTIONS(2281),
    [anon_sym_tell] = ACTIONS(2281),
    [anon_sym_telldir] = ACTIONS(2281),
    [anon_sym_tied] = ACTIONS(2281),
    [anon_sym_uc] = ACTIONS(2281),
    [anon_sym_ucfirst] = ACTIONS(2281),
    [anon_sym_untie] = ACTIONS(2281),
    [anon_sym_umask] = ACTIONS(2281),
    [anon_sym_values] = ACTIONS(2281),
    [anon_sym_write] = ACTIONS(2281),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2281),
    [anon_sym_qq] = ACTIONS(2281),
    [anon_sym_qw] = ACTIONS(2281),
    [anon_sym_qx] = ACTIONS(2281),
    [anon_sym_qr] = ACTIONS(2281),
    [anon_sym_m] = ACTIONS(2281),
    [anon_sym_s] = ACTIONS(2281),
    [anon_sym_tr] = ACTIONS(2281),
    [anon_sym_y] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2281),
    [anon_sym_unless] = ACTIONS(2281),
    [anon_sym_while] = ACTIONS(2281),
    [anon_sym_until] = ACTIONS(2281),
    [aux_sym__bareword_token1] = ACTIONS(2281),
    [sym_number] = ACTIONS(2281),
    [anon_sym_true] = ACTIONS(2281),
    [anon_sym_false] = ACTIONS(2281),
    [sym__single_quote] = ACTIONS(2279),
    [sym__double_quote] = ACTIONS(2279),
    [sym__backtick_quote] = ACTIONS(2279),
    [sym__search_slash_quote] = ACTIONS(2279),
    [sym__open_readline_bracket] = ACTIONS(2279),
    [sym__open_fileglob_bracket] = ACTIONS(2279),
    [sym__PERLY_HEREDOC] = ACTIONS(2279),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2279),
    [sym__filetest] = ACTIONS(2279),
  },
  [1030] = {
    [sym_heredoc_content] = STATE(1030),
    [sym__identifier] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2049),
    [anon_sym_RBRACE] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2049),
    [anon_sym_package] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_role] = ACTIONS(2049),
    [anon_sym_BUILD] = ACTIONS(2049),
    [anon_sym_ADJUST] = ACTIONS(2049),
    [anon_sym_DOLLAR] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2049),
    [anon_sym_my] = ACTIONS(2049),
    [anon_sym_extended] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_sub] = ACTIONS(2049),
    [anon_sym_method] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_state] = ACTIONS(2049),
    [anon_sym_our] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_defer] = ACTIONS(2049),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_TILDE] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2049),
    [anon_sym_PLUS_PLUS] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2049),
    [anon_sym_BSLASH] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_eval] = ACTIONS(2049),
    [anon_sym_await] = ACTIONS(2049),
    [anon_sym_field] = ACTIONS(2049),
    [anon_sym_local] = ACTIONS(2049),
    [anon_sym_dynamically] = ACTIONS(2049),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2049),
    [anon_sym_require] = ACTIONS(2049),
    [anon_sym_map] = ACTIONS(2049),
    [anon_sym_grep] = ACTIONS(2049),
    [anon_sym_sort] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_undef] = ACTIONS(2049),
    [anon_sym_PERCENT2] = ACTIONS(2049),
    [anon_sym_AMP2] = ACTIONS(2049),
    [anon_sym_STAR2] = ACTIONS(2049),
    [anon_sym_use] = ACTIONS(2049),
    [anon_sym_no] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_foreach] = ACTIONS(2049),
    [anon_sym_last] = ACTIONS(2049),
    [anon_sym_next] = ACTIONS(2049),
    [anon_sym_redo] = ACTIONS(2049),
    [anon_sym_BEGIN] = ACTIONS(2049),
    [anon_sym_INIT] = ACTIONS(2049),
    [anon_sym_CHECK] = ACTIONS(2049),
    [anon_sym_UNITCHECK] = ACTIONS(2049),
    [anon_sym_END] = ACTIONS(2049),
    [anon_sym___FILE__] = ACTIONS(2049),
    [anon_sym___LINE__] = ACTIONS(2049),
    [anon_sym___PACKAGE__] = ACTIONS(2049),
    [anon_sym___SUB__] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_fork] = ACTIONS(2049),
    [anon_sym_getppid] = ACTIONS(2049),
    [anon_sym_time] = ACTIONS(2049),
    [anon_sym_times] = ACTIONS(2049),
    [anon_sym_wait] = ACTIONS(2049),
    [anon_sym_wantarray] = ACTIONS(2049),
    [anon_sym_abs] = ACTIONS(2049),
    [anon_sym_alarm] = ACTIONS(2049),
    [anon_sym_chop] = ACTIONS(2049),
    [anon_sym_chdir] = ACTIONS(2049),
    [anon_sym_close] = ACTIONS(2049),
    [anon_sym_closedir] = ACTIONS(2049),
    [anon_sym_caller] = ACTIONS(2049),
    [anon_sym_chomp] = ACTIONS(2049),
    [anon_sym_chr] = ACTIONS(2049),
    [anon_sym_cos] = ACTIONS(2049),
    [anon_sym_chroot] = ACTIONS(2049),
    [anon_sym_defined] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_dbmclose] = ACTIONS(2049),
    [anon_sym_exists] = ACTIONS(2049),
    [anon_sym_exit] = ACTIONS(2049),
    [anon_sym_eof] = ACTIONS(2049),
    [anon_sym_exp] = ACTIONS(2049),
    [anon_sym_each] = ACTIONS(2049),
    [anon_sym_fc] = ACTIONS(2049),
    [anon_sym_fileno] = ACTIONS(2049),
    [anon_sym_gmtime] = ACTIONS(2049),
    [anon_sym_getc] = ACTIONS(2049),
    [anon_sym_getpgrp] = ACTIONS(2049),
    [anon_sym_getprotobyname] = ACTIONS(2049),
    [anon_sym_getpwname] = ACTIONS(2049),
    [anon_sym_getpwuid] = ACTIONS(2049),
    [anon_sym_getpeername] = ACTIONS(2049),
    [anon_sym_getnetbyname] = ACTIONS(2049),
    [anon_sym_getsockname] = ACTIONS(2049),
    [anon_sym_getgrnam] = ACTIONS(2049),
    [anon_sym_getgrgid] = ACTIONS(2049),
    [anon_sym_hex] = ACTIONS(2049),
    [anon_sym_int] = ACTIONS(2049),
    [anon_sym_keys] = ACTIONS(2049),
    [anon_sym_lc] = ACTIONS(2049),
    [anon_sym_lcfirst] = ACTIONS(2049),
    [anon_sym_length] = ACTIONS(2049),
    [anon_sym_localtime] = ACTIONS(2049),
    [anon_sym_log] = ACTIONS(2049),
    [anon_sym_lock] = ACTIONS(2049),
    [anon_sym_lstat] = ACTIONS(2049),
    [anon_sym_oct] = ACTIONS(2049),
    [anon_sym_ord] = ACTIONS(2049),
    [anon_sym_prototype] = ACTIONS(2049),
    [anon_sym_pop] = ACTIONS(2049),
    [anon_sym_pos] = ACTIONS(2049),
    [anon_sym_quotemeta] = ACTIONS(2049),
    [anon_sym_reset] = ACTIONS(2049),
    [anon_sym_rand] = ACTIONS(2049),
    [anon_sym_rmdir] = ACTIONS(2049),
    [anon_sym_readdir] = ACTIONS(2049),
    [anon_sym_readline] = ACTIONS(2049),
    [anon_sym_readpipe] = ACTIONS(2049),
    [anon_sym_rewinddir] = ACTIONS(2049),
    [anon_sym_readlink] = ACTIONS(2049),
    [anon_sym_ref] = ACTIONS(2049),
    [anon_sym_scalar] = ACTIONS(2049),
    [anon_sym_shift] = ACTIONS(2049),
    [anon_sym_sin] = ACTIONS(2049),
    [anon_sym_sleep] = ACTIONS(2049),
    [anon_sym_sqrt] = ACTIONS(2049),
    [anon_sym_srand] = ACTIONS(2049),
    [anon_sym_stat] = ACTIONS(2049),
    [anon_sym_study] = ACTIONS(2049),
    [anon_sym_tell] = ACTIONS(2049),
    [anon_sym_telldir] = ACTIONS(2049),
    [anon_sym_tied] = ACTIONS(2049),
    [anon_sym_uc] = ACTIONS(2049),
    [anon_sym_ucfirst] = ACTIONS(2049),
    [anon_sym_untie] = ACTIONS(2049),
    [anon_sym_umask] = ACTIONS(2049),
    [anon_sym_values] = ACTIONS(2049),
    [anon_sym_write] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2049),
    [anon_sym_qq] = ACTIONS(2049),
    [anon_sym_qw] = ACTIONS(2049),
    [anon_sym_qx] = ACTIONS(2049),
    [anon_sym_qr] = ACTIONS(2049),
    [anon_sym_m] = ACTIONS(2049),
    [anon_sym_s] = ACTIONS(2049),
    [anon_sym_tr] = ACTIONS(2049),
    [anon_sym_y] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_unless] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_until] = ACTIONS(2049),
    [aux_sym__bareword_token1] = ACTIONS(2049),
    [sym_number] = ACTIONS(2049),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [sym__single_quote] = ACTIONS(2047),
    [sym__double_quote] = ACTIONS(2047),
    [sym__backtick_quote] = ACTIONS(2047),
    [sym__search_slash_quote] = ACTIONS(2047),
    [sym__open_readline_bracket] = ACTIONS(2047),
    [sym__open_fileglob_bracket] = ACTIONS(2047),
    [sym__PERLY_HEREDOC] = ACTIONS(2047),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2047),
    [sym__filetest] = ACTIONS(2047),
  },
  [1031] = {
    [sym_heredoc_content] = STATE(1031),
    [sym__identifier] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2285),
    [anon_sym_RBRACE] = ACTIONS(2285),
    [anon_sym_SEMI] = ACTIONS(2285),
    [anon_sym_package] = ACTIONS(2285),
    [anon_sym_class] = ACTIONS(2285),
    [anon_sym_role] = ACTIONS(2285),
    [anon_sym_BUILD] = ACTIONS(2285),
    [anon_sym_ADJUST] = ACTIONS(2285),
    [anon_sym_DOLLAR] = ACTIONS(2285),
    [anon_sym_AT] = ACTIONS(2285),
    [anon_sym_my] = ACTIONS(2285),
    [anon_sym_extended] = ACTIONS(2285),
    [anon_sym_async] = ACTIONS(2285),
    [anon_sym_sub] = ACTIONS(2285),
    [anon_sym_method] = ACTIONS(2285),
    [anon_sym_LPAREN] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_state] = ACTIONS(2285),
    [anon_sym_our] = ACTIONS(2285),
    [anon_sym_try] = ACTIONS(2285),
    [anon_sym_defer] = ACTIONS(2285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_LT_LT] = ACTIONS(2285),
    [anon_sym_SLASH_SLASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_PLUS_PLUS] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2285),
    [anon_sym_BSLASH] = ACTIONS(2283),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_eval] = ACTIONS(2285),
    [anon_sym_await] = ACTIONS(2285),
    [anon_sym_field] = ACTIONS(2285),
    [anon_sym_local] = ACTIONS(2285),
    [anon_sym_dynamically] = ACTIONS(2285),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2285),
    [anon_sym_require] = ACTIONS(2285),
    [anon_sym_map] = ACTIONS(2285),
    [anon_sym_grep] = ACTIONS(2285),
    [anon_sym_sort] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_undef] = ACTIONS(2285),
    [anon_sym_PERCENT2] = ACTIONS(2285),
    [anon_sym_AMP2] = ACTIONS(2285),
    [anon_sym_STAR2] = ACTIONS(2285),
    [anon_sym_use] = ACTIONS(2285),
    [anon_sym_no] = ACTIONS(2285),
    [anon_sym_for] = ACTIONS(2285),
    [anon_sym_foreach] = ACTIONS(2285),
    [anon_sym_last] = ACTIONS(2285),
    [anon_sym_next] = ACTIONS(2285),
    [anon_sym_redo] = ACTIONS(2285),
    [anon_sym_BEGIN] = ACTIONS(2285),
    [anon_sym_INIT] = ACTIONS(2285),
    [anon_sym_CHECK] = ACTIONS(2285),
    [anon_sym_UNITCHECK] = ACTIONS(2285),
    [anon_sym_END] = ACTIONS(2285),
    [anon_sym___FILE__] = ACTIONS(2285),
    [anon_sym___LINE__] = ACTIONS(2285),
    [anon_sym___PACKAGE__] = ACTIONS(2285),
    [anon_sym___SUB__] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_fork] = ACTIONS(2285),
    [anon_sym_getppid] = ACTIONS(2285),
    [anon_sym_time] = ACTIONS(2285),
    [anon_sym_times] = ACTIONS(2285),
    [anon_sym_wait] = ACTIONS(2285),
    [anon_sym_wantarray] = ACTIONS(2285),
    [anon_sym_abs] = ACTIONS(2285),
    [anon_sym_alarm] = ACTIONS(2285),
    [anon_sym_chop] = ACTIONS(2285),
    [anon_sym_chdir] = ACTIONS(2285),
    [anon_sym_close] = ACTIONS(2285),
    [anon_sym_closedir] = ACTIONS(2285),
    [anon_sym_caller] = ACTIONS(2285),
    [anon_sym_chomp] = ACTIONS(2285),
    [anon_sym_chr] = ACTIONS(2285),
    [anon_sym_cos] = ACTIONS(2285),
    [anon_sym_chroot] = ACTIONS(2285),
    [anon_sym_defined] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_dbmclose] = ACTIONS(2285),
    [anon_sym_exists] = ACTIONS(2285),
    [anon_sym_exit] = ACTIONS(2285),
    [anon_sym_eof] = ACTIONS(2285),
    [anon_sym_exp] = ACTIONS(2285),
    [anon_sym_each] = ACTIONS(2285),
    [anon_sym_fc] = ACTIONS(2285),
    [anon_sym_fileno] = ACTIONS(2285),
    [anon_sym_gmtime] = ACTIONS(2285),
    [anon_sym_getc] = ACTIONS(2285),
    [anon_sym_getpgrp] = ACTIONS(2285),
    [anon_sym_getprotobyname] = ACTIONS(2285),
    [anon_sym_getpwname] = ACTIONS(2285),
    [anon_sym_getpwuid] = ACTIONS(2285),
    [anon_sym_getpeername] = ACTIONS(2285),
    [anon_sym_getnetbyname] = ACTIONS(2285),
    [anon_sym_getsockname] = ACTIONS(2285),
    [anon_sym_getgrnam] = ACTIONS(2285),
    [anon_sym_getgrgid] = ACTIONS(2285),
    [anon_sym_hex] = ACTIONS(2285),
    [anon_sym_int] = ACTIONS(2285),
    [anon_sym_keys] = ACTIONS(2285),
    [anon_sym_lc] = ACTIONS(2285),
    [anon_sym_lcfirst] = ACTIONS(2285),
    [anon_sym_length] = ACTIONS(2285),
    [anon_sym_localtime] = ACTIONS(2285),
    [anon_sym_log] = ACTIONS(2285),
    [anon_sym_lock] = ACTIONS(2285),
    [anon_sym_lstat] = ACTIONS(2285),
    [anon_sym_oct] = ACTIONS(2285),
    [anon_sym_ord] = ACTIONS(2285),
    [anon_sym_prototype] = ACTIONS(2285),
    [anon_sym_pop] = ACTIONS(2285),
    [anon_sym_pos] = ACTIONS(2285),
    [anon_sym_quotemeta] = ACTIONS(2285),
    [anon_sym_reset] = ACTIONS(2285),
    [anon_sym_rand] = ACTIONS(2285),
    [anon_sym_rmdir] = ACTIONS(2285),
    [anon_sym_readdir] = ACTIONS(2285),
    [anon_sym_readline] = ACTIONS(2285),
    [anon_sym_readpipe] = ACTIONS(2285),
    [anon_sym_rewinddir] = ACTIONS(2285),
    [anon_sym_readlink] = ACTIONS(2285),
    [anon_sym_ref] = ACTIONS(2285),
    [anon_sym_scalar] = ACTIONS(2285),
    [anon_sym_shift] = ACTIONS(2285),
    [anon_sym_sin] = ACTIONS(2285),
    [anon_sym_sleep] = ACTIONS(2285),
    [anon_sym_sqrt] = ACTIONS(2285),
    [anon_sym_srand] = ACTIONS(2285),
    [anon_sym_stat] = ACTIONS(2285),
    [anon_sym_study] = ACTIONS(2285),
    [anon_sym_tell] = ACTIONS(2285),
    [anon_sym_telldir] = ACTIONS(2285),
    [anon_sym_tied] = ACTIONS(2285),
    [anon_sym_uc] = ACTIONS(2285),
    [anon_sym_ucfirst] = ACTIONS(2285),
    [anon_sym_untie] = ACTIONS(2285),
    [anon_sym_umask] = ACTIONS(2285),
    [anon_sym_values] = ACTIONS(2285),
    [anon_sym_write] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2285),
    [anon_sym_qq] = ACTIONS(2285),
    [anon_sym_qw] = ACTIONS(2285),
    [anon_sym_qx] = ACTIONS(2285),
    [anon_sym_qr] = ACTIONS(2285),
    [anon_sym_m] = ACTIONS(2285),
    [anon_sym_s] = ACTIONS(2285),
    [anon_sym_tr] = ACTIONS(2285),
    [anon_sym_y] = ACTIONS(2285),
    [anon_sym_if] = ACTIONS(2285),
    [anon_sym_unless] = ACTIONS(2285),
    [anon_sym_while] = ACTIONS(2285),
    [anon_sym_until] = ACTIONS(2285),
    [aux_sym__bareword_token1] = ACTIONS(2285),
    [sym_number] = ACTIONS(2285),
    [anon_sym_true] = ACTIONS(2285),
    [anon_sym_false] = ACTIONS(2285),
    [sym__single_quote] = ACTIONS(2283),
    [sym__double_quote] = ACTIONS(2283),
    [sym__backtick_quote] = ACTIONS(2283),
    [sym__search_slash_quote] = ACTIONS(2283),
    [sym__open_readline_bracket] = ACTIONS(2283),
    [sym__open_fileglob_bracket] = ACTIONS(2283),
    [sym__PERLY_HEREDOC] = ACTIONS(2283),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2283),
    [sym__filetest] = ACTIONS(2283),
  },
  [1032] = {
    [sym_heredoc_content] = STATE(1032),
    [sym__identifier] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2289),
    [anon_sym_RBRACE] = ACTIONS(2289),
    [anon_sym_SEMI] = ACTIONS(2289),
    [anon_sym_package] = ACTIONS(2289),
    [anon_sym_class] = ACTIONS(2289),
    [anon_sym_role] = ACTIONS(2289),
    [anon_sym_BUILD] = ACTIONS(2289),
    [anon_sym_ADJUST] = ACTIONS(2289),
    [anon_sym_DOLLAR] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2289),
    [anon_sym_my] = ACTIONS(2289),
    [anon_sym_extended] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_sub] = ACTIONS(2289),
    [anon_sym_method] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_state] = ACTIONS(2289),
    [anon_sym_our] = ACTIONS(2289),
    [anon_sym_try] = ACTIONS(2289),
    [anon_sym_defer] = ACTIONS(2289),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_SLASH_SLASH] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2289),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_BSLASH] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_eval] = ACTIONS(2289),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_field] = ACTIONS(2289),
    [anon_sym_local] = ACTIONS(2289),
    [anon_sym_dynamically] = ACTIONS(2289),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2289),
    [anon_sym_require] = ACTIONS(2289),
    [anon_sym_map] = ACTIONS(2289),
    [anon_sym_grep] = ACTIONS(2289),
    [anon_sym_sort] = ACTIONS(2289),
    [anon_sym_goto] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_undef] = ACTIONS(2289),
    [anon_sym_PERCENT2] = ACTIONS(2289),
    [anon_sym_AMP2] = ACTIONS(2289),
    [anon_sym_STAR2] = ACTIONS(2289),
    [anon_sym_use] = ACTIONS(2289),
    [anon_sym_no] = ACTIONS(2289),
    [anon_sym_for] = ACTIONS(2289),
    [anon_sym_foreach] = ACTIONS(2289),
    [anon_sym_last] = ACTIONS(2289),
    [anon_sym_next] = ACTIONS(2289),
    [anon_sym_redo] = ACTIONS(2289),
    [anon_sym_BEGIN] = ACTIONS(2289),
    [anon_sym_INIT] = ACTIONS(2289),
    [anon_sym_CHECK] = ACTIONS(2289),
    [anon_sym_UNITCHECK] = ACTIONS(2289),
    [anon_sym_END] = ACTIONS(2289),
    [anon_sym___FILE__] = ACTIONS(2289),
    [anon_sym___LINE__] = ACTIONS(2289),
    [anon_sym___PACKAGE__] = ACTIONS(2289),
    [anon_sym___SUB__] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_fork] = ACTIONS(2289),
    [anon_sym_getppid] = ACTIONS(2289),
    [anon_sym_time] = ACTIONS(2289),
    [anon_sym_times] = ACTIONS(2289),
    [anon_sym_wait] = ACTIONS(2289),
    [anon_sym_wantarray] = ACTIONS(2289),
    [anon_sym_abs] = ACTIONS(2289),
    [anon_sym_alarm] = ACTIONS(2289),
    [anon_sym_chop] = ACTIONS(2289),
    [anon_sym_chdir] = ACTIONS(2289),
    [anon_sym_close] = ACTIONS(2289),
    [anon_sym_closedir] = ACTIONS(2289),
    [anon_sym_caller] = ACTIONS(2289),
    [anon_sym_chomp] = ACTIONS(2289),
    [anon_sym_chr] = ACTIONS(2289),
    [anon_sym_cos] = ACTIONS(2289),
    [anon_sym_chroot] = ACTIONS(2289),
    [anon_sym_defined] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_dbmclose] = ACTIONS(2289),
    [anon_sym_exists] = ACTIONS(2289),
    [anon_sym_exit] = ACTIONS(2289),
    [anon_sym_eof] = ACTIONS(2289),
    [anon_sym_exp] = ACTIONS(2289),
    [anon_sym_each] = ACTIONS(2289),
    [anon_sym_fc] = ACTIONS(2289),
    [anon_sym_fileno] = ACTIONS(2289),
    [anon_sym_gmtime] = ACTIONS(2289),
    [anon_sym_getc] = ACTIONS(2289),
    [anon_sym_getpgrp] = ACTIONS(2289),
    [anon_sym_getprotobyname] = ACTIONS(2289),
    [anon_sym_getpwname] = ACTIONS(2289),
    [anon_sym_getpwuid] = ACTIONS(2289),
    [anon_sym_getpeername] = ACTIONS(2289),
    [anon_sym_getnetbyname] = ACTIONS(2289),
    [anon_sym_getsockname] = ACTIONS(2289),
    [anon_sym_getgrnam] = ACTIONS(2289),
    [anon_sym_getgrgid] = ACTIONS(2289),
    [anon_sym_hex] = ACTIONS(2289),
    [anon_sym_int] = ACTIONS(2289),
    [anon_sym_keys] = ACTIONS(2289),
    [anon_sym_lc] = ACTIONS(2289),
    [anon_sym_lcfirst] = ACTIONS(2289),
    [anon_sym_length] = ACTIONS(2289),
    [anon_sym_localtime] = ACTIONS(2289),
    [anon_sym_log] = ACTIONS(2289),
    [anon_sym_lock] = ACTIONS(2289),
    [anon_sym_lstat] = ACTIONS(2289),
    [anon_sym_oct] = ACTIONS(2289),
    [anon_sym_ord] = ACTIONS(2289),
    [anon_sym_prototype] = ACTIONS(2289),
    [anon_sym_pop] = ACTIONS(2289),
    [anon_sym_pos] = ACTIONS(2289),
    [anon_sym_quotemeta] = ACTIONS(2289),
    [anon_sym_reset] = ACTIONS(2289),
    [anon_sym_rand] = ACTIONS(2289),
    [anon_sym_rmdir] = ACTIONS(2289),
    [anon_sym_readdir] = ACTIONS(2289),
    [anon_sym_readline] = ACTIONS(2289),
    [anon_sym_readpipe] = ACTIONS(2289),
    [anon_sym_rewinddir] = ACTIONS(2289),
    [anon_sym_readlink] = ACTIONS(2289),
    [anon_sym_ref] = ACTIONS(2289),
    [anon_sym_scalar] = ACTIONS(2289),
    [anon_sym_shift] = ACTIONS(2289),
    [anon_sym_sin] = ACTIONS(2289),
    [anon_sym_sleep] = ACTIONS(2289),
    [anon_sym_sqrt] = ACTIONS(2289),
    [anon_sym_srand] = ACTIONS(2289),
    [anon_sym_stat] = ACTIONS(2289),
    [anon_sym_study] = ACTIONS(2289),
    [anon_sym_tell] = ACTIONS(2289),
    [anon_sym_telldir] = ACTIONS(2289),
    [anon_sym_tied] = ACTIONS(2289),
    [anon_sym_uc] = ACTIONS(2289),
    [anon_sym_ucfirst] = ACTIONS(2289),
    [anon_sym_untie] = ACTIONS(2289),
    [anon_sym_umask] = ACTIONS(2289),
    [anon_sym_values] = ACTIONS(2289),
    [anon_sym_write] = ACTIONS(2289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2289),
    [anon_sym_qq] = ACTIONS(2289),
    [anon_sym_qw] = ACTIONS(2289),
    [anon_sym_qx] = ACTIONS(2289),
    [anon_sym_qr] = ACTIONS(2289),
    [anon_sym_m] = ACTIONS(2289),
    [anon_sym_s] = ACTIONS(2289),
    [anon_sym_tr] = ACTIONS(2289),
    [anon_sym_y] = ACTIONS(2289),
    [anon_sym_if] = ACTIONS(2289),
    [anon_sym_unless] = ACTIONS(2289),
    [anon_sym_while] = ACTIONS(2289),
    [anon_sym_until] = ACTIONS(2289),
    [aux_sym__bareword_token1] = ACTIONS(2289),
    [sym_number] = ACTIONS(2289),
    [anon_sym_true] = ACTIONS(2289),
    [anon_sym_false] = ACTIONS(2289),
    [sym__single_quote] = ACTIONS(2287),
    [sym__double_quote] = ACTIONS(2287),
    [sym__backtick_quote] = ACTIONS(2287),
    [sym__search_slash_quote] = ACTIONS(2287),
    [sym__open_readline_bracket] = ACTIONS(2287),
    [sym__open_fileglob_bracket] = ACTIONS(2287),
    [sym__PERLY_HEREDOC] = ACTIONS(2287),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2287),
    [sym__filetest] = ACTIONS(2287),
  },
  [1033] = {
    [sym_heredoc_content] = STATE(1033),
    [sym__identifier] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_RBRACE] = ACTIONS(2293),
    [anon_sym_SEMI] = ACTIONS(2293),
    [anon_sym_package] = ACTIONS(2293),
    [anon_sym_class] = ACTIONS(2293),
    [anon_sym_role] = ACTIONS(2293),
    [anon_sym_BUILD] = ACTIONS(2293),
    [anon_sym_ADJUST] = ACTIONS(2293),
    [anon_sym_DOLLAR] = ACTIONS(2293),
    [anon_sym_AT] = ACTIONS(2293),
    [anon_sym_my] = ACTIONS(2293),
    [anon_sym_extended] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2293),
    [anon_sym_sub] = ACTIONS(2293),
    [anon_sym_method] = ACTIONS(2293),
    [anon_sym_LPAREN] = ACTIONS(2293),
    [anon_sym_continue] = ACTIONS(2293),
    [anon_sym_state] = ACTIONS(2293),
    [anon_sym_our] = ACTIONS(2293),
    [anon_sym_try] = ACTIONS(2293),
    [anon_sym_defer] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_SLASH_SLASH] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_BSLASH] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2293),
    [anon_sym_eval] = ACTIONS(2293),
    [anon_sym_await] = ACTIONS(2293),
    [anon_sym_field] = ACTIONS(2293),
    [anon_sym_local] = ACTIONS(2293),
    [anon_sym_dynamically] = ACTIONS(2293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2293),
    [anon_sym_require] = ACTIONS(2293),
    [anon_sym_map] = ACTIONS(2293),
    [anon_sym_grep] = ACTIONS(2293),
    [anon_sym_sort] = ACTIONS(2293),
    [anon_sym_goto] = ACTIONS(2293),
    [anon_sym_return] = ACTIONS(2293),
    [anon_sym_undef] = ACTIONS(2293),
    [anon_sym_PERCENT2] = ACTIONS(2293),
    [anon_sym_AMP2] = ACTIONS(2293),
    [anon_sym_STAR2] = ACTIONS(2293),
    [anon_sym_use] = ACTIONS(2293),
    [anon_sym_no] = ACTIONS(2293),
    [anon_sym_for] = ACTIONS(2293),
    [anon_sym_foreach] = ACTIONS(2293),
    [anon_sym_last] = ACTIONS(2293),
    [anon_sym_next] = ACTIONS(2293),
    [anon_sym_redo] = ACTIONS(2293),
    [anon_sym_BEGIN] = ACTIONS(2293),
    [anon_sym_INIT] = ACTIONS(2293),
    [anon_sym_CHECK] = ACTIONS(2293),
    [anon_sym_UNITCHECK] = ACTIONS(2293),
    [anon_sym_END] = ACTIONS(2293),
    [anon_sym___FILE__] = ACTIONS(2293),
    [anon_sym___LINE__] = ACTIONS(2293),
    [anon_sym___PACKAGE__] = ACTIONS(2293),
    [anon_sym___SUB__] = ACTIONS(2293),
    [anon_sym_break] = ACTIONS(2293),
    [anon_sym_fork] = ACTIONS(2293),
    [anon_sym_getppid] = ACTIONS(2293),
    [anon_sym_time] = ACTIONS(2293),
    [anon_sym_times] = ACTIONS(2293),
    [anon_sym_wait] = ACTIONS(2293),
    [anon_sym_wantarray] = ACTIONS(2293),
    [anon_sym_abs] = ACTIONS(2293),
    [anon_sym_alarm] = ACTIONS(2293),
    [anon_sym_chop] = ACTIONS(2293),
    [anon_sym_chdir] = ACTIONS(2293),
    [anon_sym_close] = ACTIONS(2293),
    [anon_sym_closedir] = ACTIONS(2293),
    [anon_sym_caller] = ACTIONS(2293),
    [anon_sym_chomp] = ACTIONS(2293),
    [anon_sym_chr] = ACTIONS(2293),
    [anon_sym_cos] = ACTIONS(2293),
    [anon_sym_chroot] = ACTIONS(2293),
    [anon_sym_defined] = ACTIONS(2293),
    [anon_sym_delete] = ACTIONS(2293),
    [anon_sym_dbmclose] = ACTIONS(2293),
    [anon_sym_exists] = ACTIONS(2293),
    [anon_sym_exit] = ACTIONS(2293),
    [anon_sym_eof] = ACTIONS(2293),
    [anon_sym_exp] = ACTIONS(2293),
    [anon_sym_each] = ACTIONS(2293),
    [anon_sym_fc] = ACTIONS(2293),
    [anon_sym_fileno] = ACTIONS(2293),
    [anon_sym_gmtime] = ACTIONS(2293),
    [anon_sym_getc] = ACTIONS(2293),
    [anon_sym_getpgrp] = ACTIONS(2293),
    [anon_sym_getprotobyname] = ACTIONS(2293),
    [anon_sym_getpwname] = ACTIONS(2293),
    [anon_sym_getpwuid] = ACTIONS(2293),
    [anon_sym_getpeername] = ACTIONS(2293),
    [anon_sym_getnetbyname] = ACTIONS(2293),
    [anon_sym_getsockname] = ACTIONS(2293),
    [anon_sym_getgrnam] = ACTIONS(2293),
    [anon_sym_getgrgid] = ACTIONS(2293),
    [anon_sym_hex] = ACTIONS(2293),
    [anon_sym_int] = ACTIONS(2293),
    [anon_sym_keys] = ACTIONS(2293),
    [anon_sym_lc] = ACTIONS(2293),
    [anon_sym_lcfirst] = ACTIONS(2293),
    [anon_sym_length] = ACTIONS(2293),
    [anon_sym_localtime] = ACTIONS(2293),
    [anon_sym_log] = ACTIONS(2293),
    [anon_sym_lock] = ACTIONS(2293),
    [anon_sym_lstat] = ACTIONS(2293),
    [anon_sym_oct] = ACTIONS(2293),
    [anon_sym_ord] = ACTIONS(2293),
    [anon_sym_prototype] = ACTIONS(2293),
    [anon_sym_pop] = ACTIONS(2293),
    [anon_sym_pos] = ACTIONS(2293),
    [anon_sym_quotemeta] = ACTIONS(2293),
    [anon_sym_reset] = ACTIONS(2293),
    [anon_sym_rand] = ACTIONS(2293),
    [anon_sym_rmdir] = ACTIONS(2293),
    [anon_sym_readdir] = ACTIONS(2293),
    [anon_sym_readline] = ACTIONS(2293),
    [anon_sym_readpipe] = ACTIONS(2293),
    [anon_sym_rewinddir] = ACTIONS(2293),
    [anon_sym_readlink] = ACTIONS(2293),
    [anon_sym_ref] = ACTIONS(2293),
    [anon_sym_scalar] = ACTIONS(2293),
    [anon_sym_shift] = ACTIONS(2293),
    [anon_sym_sin] = ACTIONS(2293),
    [anon_sym_sleep] = ACTIONS(2293),
    [anon_sym_sqrt] = ACTIONS(2293),
    [anon_sym_srand] = ACTIONS(2293),
    [anon_sym_stat] = ACTIONS(2293),
    [anon_sym_study] = ACTIONS(2293),
    [anon_sym_tell] = ACTIONS(2293),
    [anon_sym_telldir] = ACTIONS(2293),
    [anon_sym_tied] = ACTIONS(2293),
    [anon_sym_uc] = ACTIONS(2293),
    [anon_sym_ucfirst] = ACTIONS(2293),
    [anon_sym_untie] = ACTIONS(2293),
    [anon_sym_umask] = ACTIONS(2293),
    [anon_sym_values] = ACTIONS(2293),
    [anon_sym_write] = ACTIONS(2293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2293),
    [anon_sym_qq] = ACTIONS(2293),
    [anon_sym_qw] = ACTIONS(2293),
    [anon_sym_qx] = ACTIONS(2293),
    [anon_sym_qr] = ACTIONS(2293),
    [anon_sym_m] = ACTIONS(2293),
    [anon_sym_s] = ACTIONS(2293),
    [anon_sym_tr] = ACTIONS(2293),
    [anon_sym_y] = ACTIONS(2293),
    [anon_sym_if] = ACTIONS(2293),
    [anon_sym_unless] = ACTIONS(2293),
    [anon_sym_while] = ACTIONS(2293),
    [anon_sym_until] = ACTIONS(2293),
    [aux_sym__bareword_token1] = ACTIONS(2293),
    [sym_number] = ACTIONS(2293),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [sym__single_quote] = ACTIONS(2291),
    [sym__double_quote] = ACTIONS(2291),
    [sym__backtick_quote] = ACTIONS(2291),
    [sym__search_slash_quote] = ACTIONS(2291),
    [sym__open_readline_bracket] = ACTIONS(2291),
    [sym__open_fileglob_bracket] = ACTIONS(2291),
    [sym__PERLY_HEREDOC] = ACTIONS(2291),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2291),
    [sym__filetest] = ACTIONS(2291),
  },
  [1034] = {
    [sym_heredoc_content] = STATE(1034),
    [sym__identifier] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2297),
    [anon_sym_RBRACE] = ACTIONS(2297),
    [anon_sym_SEMI] = ACTIONS(2297),
    [anon_sym_package] = ACTIONS(2297),
    [anon_sym_class] = ACTIONS(2297),
    [anon_sym_role] = ACTIONS(2297),
    [anon_sym_BUILD] = ACTIONS(2297),
    [anon_sym_ADJUST] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_my] = ACTIONS(2297),
    [anon_sym_extended] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_sub] = ACTIONS(2297),
    [anon_sym_method] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_state] = ACTIONS(2297),
    [anon_sym_our] = ACTIONS(2297),
    [anon_sym_try] = ACTIONS(2297),
    [anon_sym_defer] = ACTIONS(2297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_SLASH_SLASH] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [anon_sym_BSLASH] = ACTIONS(2295),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_eval] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_field] = ACTIONS(2297),
    [anon_sym_local] = ACTIONS(2297),
    [anon_sym_dynamically] = ACTIONS(2297),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2297),
    [anon_sym_require] = ACTIONS(2297),
    [anon_sym_map] = ACTIONS(2297),
    [anon_sym_grep] = ACTIONS(2297),
    [anon_sym_sort] = ACTIONS(2297),
    [anon_sym_goto] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_undef] = ACTIONS(2297),
    [anon_sym_PERCENT2] = ACTIONS(2297),
    [anon_sym_AMP2] = ACTIONS(2297),
    [anon_sym_STAR2] = ACTIONS(2297),
    [anon_sym_use] = ACTIONS(2297),
    [anon_sym_no] = ACTIONS(2297),
    [anon_sym_for] = ACTIONS(2297),
    [anon_sym_foreach] = ACTIONS(2297),
    [anon_sym_last] = ACTIONS(2297),
    [anon_sym_next] = ACTIONS(2297),
    [anon_sym_redo] = ACTIONS(2297),
    [anon_sym_BEGIN] = ACTIONS(2297),
    [anon_sym_INIT] = ACTIONS(2297),
    [anon_sym_CHECK] = ACTIONS(2297),
    [anon_sym_UNITCHECK] = ACTIONS(2297),
    [anon_sym_END] = ACTIONS(2297),
    [anon_sym___FILE__] = ACTIONS(2297),
    [anon_sym___LINE__] = ACTIONS(2297),
    [anon_sym___PACKAGE__] = ACTIONS(2297),
    [anon_sym___SUB__] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_fork] = ACTIONS(2297),
    [anon_sym_getppid] = ACTIONS(2297),
    [anon_sym_time] = ACTIONS(2297),
    [anon_sym_times] = ACTIONS(2297),
    [anon_sym_wait] = ACTIONS(2297),
    [anon_sym_wantarray] = ACTIONS(2297),
    [anon_sym_abs] = ACTIONS(2297),
    [anon_sym_alarm] = ACTIONS(2297),
    [anon_sym_chop] = ACTIONS(2297),
    [anon_sym_chdir] = ACTIONS(2297),
    [anon_sym_close] = ACTIONS(2297),
    [anon_sym_closedir] = ACTIONS(2297),
    [anon_sym_caller] = ACTIONS(2297),
    [anon_sym_chomp] = ACTIONS(2297),
    [anon_sym_chr] = ACTIONS(2297),
    [anon_sym_cos] = ACTIONS(2297),
    [anon_sym_chroot] = ACTIONS(2297),
    [anon_sym_defined] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_dbmclose] = ACTIONS(2297),
    [anon_sym_exists] = ACTIONS(2297),
    [anon_sym_exit] = ACTIONS(2297),
    [anon_sym_eof] = ACTIONS(2297),
    [anon_sym_exp] = ACTIONS(2297),
    [anon_sym_each] = ACTIONS(2297),
    [anon_sym_fc] = ACTIONS(2297),
    [anon_sym_fileno] = ACTIONS(2297),
    [anon_sym_gmtime] = ACTIONS(2297),
    [anon_sym_getc] = ACTIONS(2297),
    [anon_sym_getpgrp] = ACTIONS(2297),
    [anon_sym_getprotobyname] = ACTIONS(2297),
    [anon_sym_getpwname] = ACTIONS(2297),
    [anon_sym_getpwuid] = ACTIONS(2297),
    [anon_sym_getpeername] = ACTIONS(2297),
    [anon_sym_getnetbyname] = ACTIONS(2297),
    [anon_sym_getsockname] = ACTIONS(2297),
    [anon_sym_getgrnam] = ACTIONS(2297),
    [anon_sym_getgrgid] = ACTIONS(2297),
    [anon_sym_hex] = ACTIONS(2297),
    [anon_sym_int] = ACTIONS(2297),
    [anon_sym_keys] = ACTIONS(2297),
    [anon_sym_lc] = ACTIONS(2297),
    [anon_sym_lcfirst] = ACTIONS(2297),
    [anon_sym_length] = ACTIONS(2297),
    [anon_sym_localtime] = ACTIONS(2297),
    [anon_sym_log] = ACTIONS(2297),
    [anon_sym_lock] = ACTIONS(2297),
    [anon_sym_lstat] = ACTIONS(2297),
    [anon_sym_oct] = ACTIONS(2297),
    [anon_sym_ord] = ACTIONS(2297),
    [anon_sym_prototype] = ACTIONS(2297),
    [anon_sym_pop] = ACTIONS(2297),
    [anon_sym_pos] = ACTIONS(2297),
    [anon_sym_quotemeta] = ACTIONS(2297),
    [anon_sym_reset] = ACTIONS(2297),
    [anon_sym_rand] = ACTIONS(2297),
    [anon_sym_rmdir] = ACTIONS(2297),
    [anon_sym_readdir] = ACTIONS(2297),
    [anon_sym_readline] = ACTIONS(2297),
    [anon_sym_readpipe] = ACTIONS(2297),
    [anon_sym_rewinddir] = ACTIONS(2297),
    [anon_sym_readlink] = ACTIONS(2297),
    [anon_sym_ref] = ACTIONS(2297),
    [anon_sym_scalar] = ACTIONS(2297),
    [anon_sym_shift] = ACTIONS(2297),
    [anon_sym_sin] = ACTIONS(2297),
    [anon_sym_sleep] = ACTIONS(2297),
    [anon_sym_sqrt] = ACTIONS(2297),
    [anon_sym_srand] = ACTIONS(2297),
    [anon_sym_stat] = ACTIONS(2297),
    [anon_sym_study] = ACTIONS(2297),
    [anon_sym_tell] = ACTIONS(2297),
    [anon_sym_telldir] = ACTIONS(2297),
    [anon_sym_tied] = ACTIONS(2297),
    [anon_sym_uc] = ACTIONS(2297),
    [anon_sym_ucfirst] = ACTIONS(2297),
    [anon_sym_untie] = ACTIONS(2297),
    [anon_sym_umask] = ACTIONS(2297),
    [anon_sym_values] = ACTIONS(2297),
    [anon_sym_write] = ACTIONS(2297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2297),
    [anon_sym_qq] = ACTIONS(2297),
    [anon_sym_qw] = ACTIONS(2297),
    [anon_sym_qx] = ACTIONS(2297),
    [anon_sym_qr] = ACTIONS(2297),
    [anon_sym_m] = ACTIONS(2297),
    [anon_sym_s] = ACTIONS(2297),
    [anon_sym_tr] = ACTIONS(2297),
    [anon_sym_y] = ACTIONS(2297),
    [anon_sym_if] = ACTIONS(2297),
    [anon_sym_unless] = ACTIONS(2297),
    [anon_sym_while] = ACTIONS(2297),
    [anon_sym_until] = ACTIONS(2297),
    [aux_sym__bareword_token1] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [anon_sym_true] = ACTIONS(2297),
    [anon_sym_false] = ACTIONS(2297),
    [sym__single_quote] = ACTIONS(2295),
    [sym__double_quote] = ACTIONS(2295),
    [sym__backtick_quote] = ACTIONS(2295),
    [sym__search_slash_quote] = ACTIONS(2295),
    [sym__open_readline_bracket] = ACTIONS(2295),
    [sym__open_fileglob_bracket] = ACTIONS(2295),
    [sym__PERLY_HEREDOC] = ACTIONS(2295),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2295),
    [sym__filetest] = ACTIONS(2295),
  },
  [1035] = {
    [sym_heredoc_content] = STATE(1035),
    [sym__identifier] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2301),
    [anon_sym_RBRACE] = ACTIONS(2301),
    [anon_sym_SEMI] = ACTIONS(2301),
    [anon_sym_package] = ACTIONS(2301),
    [anon_sym_class] = ACTIONS(2301),
    [anon_sym_role] = ACTIONS(2301),
    [anon_sym_BUILD] = ACTIONS(2301),
    [anon_sym_ADJUST] = ACTIONS(2301),
    [anon_sym_DOLLAR] = ACTIONS(2301),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_my] = ACTIONS(2301),
    [anon_sym_extended] = ACTIONS(2301),
    [anon_sym_async] = ACTIONS(2301),
    [anon_sym_sub] = ACTIONS(2301),
    [anon_sym_method] = ACTIONS(2301),
    [anon_sym_LPAREN] = ACTIONS(2301),
    [anon_sym_continue] = ACTIONS(2301),
    [anon_sym_state] = ACTIONS(2301),
    [anon_sym_our] = ACTIONS(2301),
    [anon_sym_try] = ACTIONS(2301),
    [anon_sym_defer] = ACTIONS(2301),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2301),
    [anon_sym_LBRACK] = ACTIONS(2301),
    [anon_sym_LT_LT] = ACTIONS(2301),
    [anon_sym_SLASH_SLASH] = ACTIONS(2301),
    [anon_sym_PLUS] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2301),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_BSLASH] = ACTIONS(2299),
    [anon_sym_do] = ACTIONS(2301),
    [anon_sym_eval] = ACTIONS(2301),
    [anon_sym_await] = ACTIONS(2301),
    [anon_sym_field] = ACTIONS(2301),
    [anon_sym_local] = ACTIONS(2301),
    [anon_sym_dynamically] = ACTIONS(2301),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2301),
    [anon_sym_require] = ACTIONS(2301),
    [anon_sym_map] = ACTIONS(2301),
    [anon_sym_grep] = ACTIONS(2301),
    [anon_sym_sort] = ACTIONS(2301),
    [anon_sym_goto] = ACTIONS(2301),
    [anon_sym_return] = ACTIONS(2301),
    [anon_sym_undef] = ACTIONS(2301),
    [anon_sym_PERCENT2] = ACTIONS(2301),
    [anon_sym_AMP2] = ACTIONS(2301),
    [anon_sym_STAR2] = ACTIONS(2301),
    [anon_sym_use] = ACTIONS(2301),
    [anon_sym_no] = ACTIONS(2301),
    [anon_sym_for] = ACTIONS(2301),
    [anon_sym_foreach] = ACTIONS(2301),
    [anon_sym_last] = ACTIONS(2301),
    [anon_sym_next] = ACTIONS(2301),
    [anon_sym_redo] = ACTIONS(2301),
    [anon_sym_BEGIN] = ACTIONS(2301),
    [anon_sym_INIT] = ACTIONS(2301),
    [anon_sym_CHECK] = ACTIONS(2301),
    [anon_sym_UNITCHECK] = ACTIONS(2301),
    [anon_sym_END] = ACTIONS(2301),
    [anon_sym___FILE__] = ACTIONS(2301),
    [anon_sym___LINE__] = ACTIONS(2301),
    [anon_sym___PACKAGE__] = ACTIONS(2301),
    [anon_sym___SUB__] = ACTIONS(2301),
    [anon_sym_break] = ACTIONS(2301),
    [anon_sym_fork] = ACTIONS(2301),
    [anon_sym_getppid] = ACTIONS(2301),
    [anon_sym_time] = ACTIONS(2301),
    [anon_sym_times] = ACTIONS(2301),
    [anon_sym_wait] = ACTIONS(2301),
    [anon_sym_wantarray] = ACTIONS(2301),
    [anon_sym_abs] = ACTIONS(2301),
    [anon_sym_alarm] = ACTIONS(2301),
    [anon_sym_chop] = ACTIONS(2301),
    [anon_sym_chdir] = ACTIONS(2301),
    [anon_sym_close] = ACTIONS(2301),
    [anon_sym_closedir] = ACTIONS(2301),
    [anon_sym_caller] = ACTIONS(2301),
    [anon_sym_chomp] = ACTIONS(2301),
    [anon_sym_chr] = ACTIONS(2301),
    [anon_sym_cos] = ACTIONS(2301),
    [anon_sym_chroot] = ACTIONS(2301),
    [anon_sym_defined] = ACTIONS(2301),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_dbmclose] = ACTIONS(2301),
    [anon_sym_exists] = ACTIONS(2301),
    [anon_sym_exit] = ACTIONS(2301),
    [anon_sym_eof] = ACTIONS(2301),
    [anon_sym_exp] = ACTIONS(2301),
    [anon_sym_each] = ACTIONS(2301),
    [anon_sym_fc] = ACTIONS(2301),
    [anon_sym_fileno] = ACTIONS(2301),
    [anon_sym_gmtime] = ACTIONS(2301),
    [anon_sym_getc] = ACTIONS(2301),
    [anon_sym_getpgrp] = ACTIONS(2301),
    [anon_sym_getprotobyname] = ACTIONS(2301),
    [anon_sym_getpwname] = ACTIONS(2301),
    [anon_sym_getpwuid] = ACTIONS(2301),
    [anon_sym_getpeername] = ACTIONS(2301),
    [anon_sym_getnetbyname] = ACTIONS(2301),
    [anon_sym_getsockname] = ACTIONS(2301),
    [anon_sym_getgrnam] = ACTIONS(2301),
    [anon_sym_getgrgid] = ACTIONS(2301),
    [anon_sym_hex] = ACTIONS(2301),
    [anon_sym_int] = ACTIONS(2301),
    [anon_sym_keys] = ACTIONS(2301),
    [anon_sym_lc] = ACTIONS(2301),
    [anon_sym_lcfirst] = ACTIONS(2301),
    [anon_sym_length] = ACTIONS(2301),
    [anon_sym_localtime] = ACTIONS(2301),
    [anon_sym_log] = ACTIONS(2301),
    [anon_sym_lock] = ACTIONS(2301),
    [anon_sym_lstat] = ACTIONS(2301),
    [anon_sym_oct] = ACTIONS(2301),
    [anon_sym_ord] = ACTIONS(2301),
    [anon_sym_prototype] = ACTIONS(2301),
    [anon_sym_pop] = ACTIONS(2301),
    [anon_sym_pos] = ACTIONS(2301),
    [anon_sym_quotemeta] = ACTIONS(2301),
    [anon_sym_reset] = ACTIONS(2301),
    [anon_sym_rand] = ACTIONS(2301),
    [anon_sym_rmdir] = ACTIONS(2301),
    [anon_sym_readdir] = ACTIONS(2301),
    [anon_sym_readline] = ACTIONS(2301),
    [anon_sym_readpipe] = ACTIONS(2301),
    [anon_sym_rewinddir] = ACTIONS(2301),
    [anon_sym_readlink] = ACTIONS(2301),
    [anon_sym_ref] = ACTIONS(2301),
    [anon_sym_scalar] = ACTIONS(2301),
    [anon_sym_shift] = ACTIONS(2301),
    [anon_sym_sin] = ACTIONS(2301),
    [anon_sym_sleep] = ACTIONS(2301),
    [anon_sym_sqrt] = ACTIONS(2301),
    [anon_sym_srand] = ACTIONS(2301),
    [anon_sym_stat] = ACTIONS(2301),
    [anon_sym_study] = ACTIONS(2301),
    [anon_sym_tell] = ACTIONS(2301),
    [anon_sym_telldir] = ACTIONS(2301),
    [anon_sym_tied] = ACTIONS(2301),
    [anon_sym_uc] = ACTIONS(2301),
    [anon_sym_ucfirst] = ACTIONS(2301),
    [anon_sym_untie] = ACTIONS(2301),
    [anon_sym_umask] = ACTIONS(2301),
    [anon_sym_values] = ACTIONS(2301),
    [anon_sym_write] = ACTIONS(2301),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2301),
    [anon_sym_qq] = ACTIONS(2301),
    [anon_sym_qw] = ACTIONS(2301),
    [anon_sym_qx] = ACTIONS(2301),
    [anon_sym_qr] = ACTIONS(2301),
    [anon_sym_m] = ACTIONS(2301),
    [anon_sym_s] = ACTIONS(2301),
    [anon_sym_tr] = ACTIONS(2301),
    [anon_sym_y] = ACTIONS(2301),
    [anon_sym_if] = ACTIONS(2301),
    [anon_sym_unless] = ACTIONS(2301),
    [anon_sym_while] = ACTIONS(2301),
    [anon_sym_until] = ACTIONS(2301),
    [aux_sym__bareword_token1] = ACTIONS(2301),
    [sym_number] = ACTIONS(2301),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [sym__single_quote] = ACTIONS(2299),
    [sym__double_quote] = ACTIONS(2299),
    [sym__backtick_quote] = ACTIONS(2299),
    [sym__search_slash_quote] = ACTIONS(2299),
    [sym__open_readline_bracket] = ACTIONS(2299),
    [sym__open_fileglob_bracket] = ACTIONS(2299),
    [sym__PERLY_HEREDOC] = ACTIONS(2299),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2299),
    [sym__filetest] = ACTIONS(2299),
  },
  [1036] = {
    [sym_heredoc_content] = STATE(1036),
    [sym__identifier] = ACTIONS(2305),
    [anon_sym_LBRACE] = ACTIONS(2305),
    [anon_sym_RBRACE] = ACTIONS(2305),
    [anon_sym_SEMI] = ACTIONS(2305),
    [anon_sym_package] = ACTIONS(2305),
    [anon_sym_class] = ACTIONS(2305),
    [anon_sym_role] = ACTIONS(2305),
    [anon_sym_BUILD] = ACTIONS(2305),
    [anon_sym_ADJUST] = ACTIONS(2305),
    [anon_sym_DOLLAR] = ACTIONS(2305),
    [anon_sym_AT] = ACTIONS(2305),
    [anon_sym_my] = ACTIONS(2305),
    [anon_sym_extended] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2305),
    [anon_sym_sub] = ACTIONS(2305),
    [anon_sym_method] = ACTIONS(2305),
    [anon_sym_LPAREN] = ACTIONS(2305),
    [anon_sym_continue] = ACTIONS(2305),
    [anon_sym_state] = ACTIONS(2305),
    [anon_sym_our] = ACTIONS(2305),
    [anon_sym_try] = ACTIONS(2305),
    [anon_sym_defer] = ACTIONS(2305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2305),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [anon_sym_LT_LT] = ACTIONS(2305),
    [anon_sym_SLASH_SLASH] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2305),
    [anon_sym_TILDE] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2305),
    [anon_sym_PLUS_PLUS] = ACTIONS(2305),
    [anon_sym_DASH_DASH] = ACTIONS(2305),
    [anon_sym_BSLASH] = ACTIONS(2303),
    [anon_sym_do] = ACTIONS(2305),
    [anon_sym_eval] = ACTIONS(2305),
    [anon_sym_await] = ACTIONS(2305),
    [anon_sym_field] = ACTIONS(2305),
    [anon_sym_local] = ACTIONS(2305),
    [anon_sym_dynamically] = ACTIONS(2305),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2305),
    [anon_sym_require] = ACTIONS(2305),
    [anon_sym_map] = ACTIONS(2305),
    [anon_sym_grep] = ACTIONS(2305),
    [anon_sym_sort] = ACTIONS(2305),
    [anon_sym_goto] = ACTIONS(2305),
    [anon_sym_return] = ACTIONS(2305),
    [anon_sym_undef] = ACTIONS(2305),
    [anon_sym_PERCENT2] = ACTIONS(2305),
    [anon_sym_AMP2] = ACTIONS(2305),
    [anon_sym_STAR2] = ACTIONS(2305),
    [anon_sym_use] = ACTIONS(2305),
    [anon_sym_no] = ACTIONS(2305),
    [anon_sym_for] = ACTIONS(2305),
    [anon_sym_foreach] = ACTIONS(2305),
    [anon_sym_last] = ACTIONS(2305),
    [anon_sym_next] = ACTIONS(2305),
    [anon_sym_redo] = ACTIONS(2305),
    [anon_sym_BEGIN] = ACTIONS(2305),
    [anon_sym_INIT] = ACTIONS(2305),
    [anon_sym_CHECK] = ACTIONS(2305),
    [anon_sym_UNITCHECK] = ACTIONS(2305),
    [anon_sym_END] = ACTIONS(2305),
    [anon_sym___FILE__] = ACTIONS(2305),
    [anon_sym___LINE__] = ACTIONS(2305),
    [anon_sym___PACKAGE__] = ACTIONS(2305),
    [anon_sym___SUB__] = ACTIONS(2305),
    [anon_sym_break] = ACTIONS(2305),
    [anon_sym_fork] = ACTIONS(2305),
    [anon_sym_getppid] = ACTIONS(2305),
    [anon_sym_time] = ACTIONS(2305),
    [anon_sym_times] = ACTIONS(2305),
    [anon_sym_wait] = ACTIONS(2305),
    [anon_sym_wantarray] = ACTIONS(2305),
    [anon_sym_abs] = ACTIONS(2305),
    [anon_sym_alarm] = ACTIONS(2305),
    [anon_sym_chop] = ACTIONS(2305),
    [anon_sym_chdir] = ACTIONS(2305),
    [anon_sym_close] = ACTIONS(2305),
    [anon_sym_closedir] = ACTIONS(2305),
    [anon_sym_caller] = ACTIONS(2305),
    [anon_sym_chomp] = ACTIONS(2305),
    [anon_sym_chr] = ACTIONS(2305),
    [anon_sym_cos] = ACTIONS(2305),
    [anon_sym_chroot] = ACTIONS(2305),
    [anon_sym_defined] = ACTIONS(2305),
    [anon_sym_delete] = ACTIONS(2305),
    [anon_sym_dbmclose] = ACTIONS(2305),
    [anon_sym_exists] = ACTIONS(2305),
    [anon_sym_exit] = ACTIONS(2305),
    [anon_sym_eof] = ACTIONS(2305),
    [anon_sym_exp] = ACTIONS(2305),
    [anon_sym_each] = ACTIONS(2305),
    [anon_sym_fc] = ACTIONS(2305),
    [anon_sym_fileno] = ACTIONS(2305),
    [anon_sym_gmtime] = ACTIONS(2305),
    [anon_sym_getc] = ACTIONS(2305),
    [anon_sym_getpgrp] = ACTIONS(2305),
    [anon_sym_getprotobyname] = ACTIONS(2305),
    [anon_sym_getpwname] = ACTIONS(2305),
    [anon_sym_getpwuid] = ACTIONS(2305),
    [anon_sym_getpeername] = ACTIONS(2305),
    [anon_sym_getnetbyname] = ACTIONS(2305),
    [anon_sym_getsockname] = ACTIONS(2305),
    [anon_sym_getgrnam] = ACTIONS(2305),
    [anon_sym_getgrgid] = ACTIONS(2305),
    [anon_sym_hex] = ACTIONS(2305),
    [anon_sym_int] = ACTIONS(2305),
    [anon_sym_keys] = ACTIONS(2305),
    [anon_sym_lc] = ACTIONS(2305),
    [anon_sym_lcfirst] = ACTIONS(2305),
    [anon_sym_length] = ACTIONS(2305),
    [anon_sym_localtime] = ACTIONS(2305),
    [anon_sym_log] = ACTIONS(2305),
    [anon_sym_lock] = ACTIONS(2305),
    [anon_sym_lstat] = ACTIONS(2305),
    [anon_sym_oct] = ACTIONS(2305),
    [anon_sym_ord] = ACTIONS(2305),
    [anon_sym_prototype] = ACTIONS(2305),
    [anon_sym_pop] = ACTIONS(2305),
    [anon_sym_pos] = ACTIONS(2305),
    [anon_sym_quotemeta] = ACTIONS(2305),
    [anon_sym_reset] = ACTIONS(2305),
    [anon_sym_rand] = ACTIONS(2305),
    [anon_sym_rmdir] = ACTIONS(2305),
    [anon_sym_readdir] = ACTIONS(2305),
    [anon_sym_readline] = ACTIONS(2305),
    [anon_sym_readpipe] = ACTIONS(2305),
    [anon_sym_rewinddir] = ACTIONS(2305),
    [anon_sym_readlink] = ACTIONS(2305),
    [anon_sym_ref] = ACTIONS(2305),
    [anon_sym_scalar] = ACTIONS(2305),
    [anon_sym_shift] = ACTIONS(2305),
    [anon_sym_sin] = ACTIONS(2305),
    [anon_sym_sleep] = ACTIONS(2305),
    [anon_sym_sqrt] = ACTIONS(2305),
    [anon_sym_srand] = ACTIONS(2305),
    [anon_sym_stat] = ACTIONS(2305),
    [anon_sym_study] = ACTIONS(2305),
    [anon_sym_tell] = ACTIONS(2305),
    [anon_sym_telldir] = ACTIONS(2305),
    [anon_sym_tied] = ACTIONS(2305),
    [anon_sym_uc] = ACTIONS(2305),
    [anon_sym_ucfirst] = ACTIONS(2305),
    [anon_sym_untie] = ACTIONS(2305),
    [anon_sym_umask] = ACTIONS(2305),
    [anon_sym_values] = ACTIONS(2305),
    [anon_sym_write] = ACTIONS(2305),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2305),
    [anon_sym_qq] = ACTIONS(2305),
    [anon_sym_qw] = ACTIONS(2305),
    [anon_sym_qx] = ACTIONS(2305),
    [anon_sym_qr] = ACTIONS(2305),
    [anon_sym_m] = ACTIONS(2305),
    [anon_sym_s] = ACTIONS(2305),
    [anon_sym_tr] = ACTIONS(2305),
    [anon_sym_y] = ACTIONS(2305),
    [anon_sym_if] = ACTIONS(2305),
    [anon_sym_unless] = ACTIONS(2305),
    [anon_sym_while] = ACTIONS(2305),
    [anon_sym_until] = ACTIONS(2305),
    [aux_sym__bareword_token1] = ACTIONS(2305),
    [sym_number] = ACTIONS(2305),
    [anon_sym_true] = ACTIONS(2305),
    [anon_sym_false] = ACTIONS(2305),
    [sym__single_quote] = ACTIONS(2303),
    [sym__double_quote] = ACTIONS(2303),
    [sym__backtick_quote] = ACTIONS(2303),
    [sym__search_slash_quote] = ACTIONS(2303),
    [sym__open_readline_bracket] = ACTIONS(2303),
    [sym__open_fileglob_bracket] = ACTIONS(2303),
    [sym__PERLY_HEREDOC] = ACTIONS(2303),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2303),
    [sym__filetest] = ACTIONS(2303),
  },
  [1037] = {
    [sym_heredoc_content] = STATE(1037),
    [sym__identifier] = ACTIONS(2309),
    [anon_sym_LBRACE] = ACTIONS(2309),
    [anon_sym_RBRACE] = ACTIONS(2309),
    [anon_sym_SEMI] = ACTIONS(2309),
    [anon_sym_package] = ACTIONS(2309),
    [anon_sym_class] = ACTIONS(2309),
    [anon_sym_role] = ACTIONS(2309),
    [anon_sym_BUILD] = ACTIONS(2309),
    [anon_sym_ADJUST] = ACTIONS(2309),
    [anon_sym_DOLLAR] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(2309),
    [anon_sym_my] = ACTIONS(2309),
    [anon_sym_extended] = ACTIONS(2309),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_sub] = ACTIONS(2309),
    [anon_sym_method] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_continue] = ACTIONS(2309),
    [anon_sym_state] = ACTIONS(2309),
    [anon_sym_our] = ACTIONS(2309),
    [anon_sym_try] = ACTIONS(2309),
    [anon_sym_defer] = ACTIONS(2309),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2309),
    [anon_sym_LT_LT] = ACTIONS(2309),
    [anon_sym_SLASH_SLASH] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2309),
    [anon_sym_DASH_DASH] = ACTIONS(2309),
    [anon_sym_BSLASH] = ACTIONS(2307),
    [anon_sym_do] = ACTIONS(2309),
    [anon_sym_eval] = ACTIONS(2309),
    [anon_sym_await] = ACTIONS(2309),
    [anon_sym_field] = ACTIONS(2309),
    [anon_sym_local] = ACTIONS(2309),
    [anon_sym_dynamically] = ACTIONS(2309),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2309),
    [anon_sym_require] = ACTIONS(2309),
    [anon_sym_map] = ACTIONS(2309),
    [anon_sym_grep] = ACTIONS(2309),
    [anon_sym_sort] = ACTIONS(2309),
    [anon_sym_goto] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_undef] = ACTIONS(2309),
    [anon_sym_PERCENT2] = ACTIONS(2309),
    [anon_sym_AMP2] = ACTIONS(2309),
    [anon_sym_STAR2] = ACTIONS(2309),
    [anon_sym_use] = ACTIONS(2309),
    [anon_sym_no] = ACTIONS(2309),
    [anon_sym_for] = ACTIONS(2309),
    [anon_sym_foreach] = ACTIONS(2309),
    [anon_sym_last] = ACTIONS(2309),
    [anon_sym_next] = ACTIONS(2309),
    [anon_sym_redo] = ACTIONS(2309),
    [anon_sym_BEGIN] = ACTIONS(2309),
    [anon_sym_INIT] = ACTIONS(2309),
    [anon_sym_CHECK] = ACTIONS(2309),
    [anon_sym_UNITCHECK] = ACTIONS(2309),
    [anon_sym_END] = ACTIONS(2309),
    [anon_sym___FILE__] = ACTIONS(2309),
    [anon_sym___LINE__] = ACTIONS(2309),
    [anon_sym___PACKAGE__] = ACTIONS(2309),
    [anon_sym___SUB__] = ACTIONS(2309),
    [anon_sym_break] = ACTIONS(2309),
    [anon_sym_fork] = ACTIONS(2309),
    [anon_sym_getppid] = ACTIONS(2309),
    [anon_sym_time] = ACTIONS(2309),
    [anon_sym_times] = ACTIONS(2309),
    [anon_sym_wait] = ACTIONS(2309),
    [anon_sym_wantarray] = ACTIONS(2309),
    [anon_sym_abs] = ACTIONS(2309),
    [anon_sym_alarm] = ACTIONS(2309),
    [anon_sym_chop] = ACTIONS(2309),
    [anon_sym_chdir] = ACTIONS(2309),
    [anon_sym_close] = ACTIONS(2309),
    [anon_sym_closedir] = ACTIONS(2309),
    [anon_sym_caller] = ACTIONS(2309),
    [anon_sym_chomp] = ACTIONS(2309),
    [anon_sym_chr] = ACTIONS(2309),
    [anon_sym_cos] = ACTIONS(2309),
    [anon_sym_chroot] = ACTIONS(2309),
    [anon_sym_defined] = ACTIONS(2309),
    [anon_sym_delete] = ACTIONS(2309),
    [anon_sym_dbmclose] = ACTIONS(2309),
    [anon_sym_exists] = ACTIONS(2309),
    [anon_sym_exit] = ACTIONS(2309),
    [anon_sym_eof] = ACTIONS(2309),
    [anon_sym_exp] = ACTIONS(2309),
    [anon_sym_each] = ACTIONS(2309),
    [anon_sym_fc] = ACTIONS(2309),
    [anon_sym_fileno] = ACTIONS(2309),
    [anon_sym_gmtime] = ACTIONS(2309),
    [anon_sym_getc] = ACTIONS(2309),
    [anon_sym_getpgrp] = ACTIONS(2309),
    [anon_sym_getprotobyname] = ACTIONS(2309),
    [anon_sym_getpwname] = ACTIONS(2309),
    [anon_sym_getpwuid] = ACTIONS(2309),
    [anon_sym_getpeername] = ACTIONS(2309),
    [anon_sym_getnetbyname] = ACTIONS(2309),
    [anon_sym_getsockname] = ACTIONS(2309),
    [anon_sym_getgrnam] = ACTIONS(2309),
    [anon_sym_getgrgid] = ACTIONS(2309),
    [anon_sym_hex] = ACTIONS(2309),
    [anon_sym_int] = ACTIONS(2309),
    [anon_sym_keys] = ACTIONS(2309),
    [anon_sym_lc] = ACTIONS(2309),
    [anon_sym_lcfirst] = ACTIONS(2309),
    [anon_sym_length] = ACTIONS(2309),
    [anon_sym_localtime] = ACTIONS(2309),
    [anon_sym_log] = ACTIONS(2309),
    [anon_sym_lock] = ACTIONS(2309),
    [anon_sym_lstat] = ACTIONS(2309),
    [anon_sym_oct] = ACTIONS(2309),
    [anon_sym_ord] = ACTIONS(2309),
    [anon_sym_prototype] = ACTIONS(2309),
    [anon_sym_pop] = ACTIONS(2309),
    [anon_sym_pos] = ACTIONS(2309),
    [anon_sym_quotemeta] = ACTIONS(2309),
    [anon_sym_reset] = ACTIONS(2309),
    [anon_sym_rand] = ACTIONS(2309),
    [anon_sym_rmdir] = ACTIONS(2309),
    [anon_sym_readdir] = ACTIONS(2309),
    [anon_sym_readline] = ACTIONS(2309),
    [anon_sym_readpipe] = ACTIONS(2309),
    [anon_sym_rewinddir] = ACTIONS(2309),
    [anon_sym_readlink] = ACTIONS(2309),
    [anon_sym_ref] = ACTIONS(2309),
    [anon_sym_scalar] = ACTIONS(2309),
    [anon_sym_shift] = ACTIONS(2309),
    [anon_sym_sin] = ACTIONS(2309),
    [anon_sym_sleep] = ACTIONS(2309),
    [anon_sym_sqrt] = ACTIONS(2309),
    [anon_sym_srand] = ACTIONS(2309),
    [anon_sym_stat] = ACTIONS(2309),
    [anon_sym_study] = ACTIONS(2309),
    [anon_sym_tell] = ACTIONS(2309),
    [anon_sym_telldir] = ACTIONS(2309),
    [anon_sym_tied] = ACTIONS(2309),
    [anon_sym_uc] = ACTIONS(2309),
    [anon_sym_ucfirst] = ACTIONS(2309),
    [anon_sym_untie] = ACTIONS(2309),
    [anon_sym_umask] = ACTIONS(2309),
    [anon_sym_values] = ACTIONS(2309),
    [anon_sym_write] = ACTIONS(2309),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2309),
    [anon_sym_qq] = ACTIONS(2309),
    [anon_sym_qw] = ACTIONS(2309),
    [anon_sym_qx] = ACTIONS(2309),
    [anon_sym_qr] = ACTIONS(2309),
    [anon_sym_m] = ACTIONS(2309),
    [anon_sym_s] = ACTIONS(2309),
    [anon_sym_tr] = ACTIONS(2309),
    [anon_sym_y] = ACTIONS(2309),
    [anon_sym_if] = ACTIONS(2309),
    [anon_sym_unless] = ACTIONS(2309),
    [anon_sym_while] = ACTIONS(2309),
    [anon_sym_until] = ACTIONS(2309),
    [aux_sym__bareword_token1] = ACTIONS(2309),
    [sym_number] = ACTIONS(2309),
    [anon_sym_true] = ACTIONS(2309),
    [anon_sym_false] = ACTIONS(2309),
    [sym__single_quote] = ACTIONS(2307),
    [sym__double_quote] = ACTIONS(2307),
    [sym__backtick_quote] = ACTIONS(2307),
    [sym__search_slash_quote] = ACTIONS(2307),
    [sym__open_readline_bracket] = ACTIONS(2307),
    [sym__open_fileglob_bracket] = ACTIONS(2307),
    [sym__PERLY_HEREDOC] = ACTIONS(2307),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2307),
    [sym__filetest] = ACTIONS(2307),
  },
  [1038] = {
    [sym_heredoc_content] = STATE(1038),
    [sym__identifier] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_RBRACE] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2177),
    [anon_sym_package] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_role] = ACTIONS(2177),
    [anon_sym_BUILD] = ACTIONS(2177),
    [anon_sym_ADJUST] = ACTIONS(2177),
    [anon_sym_DOLLAR] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_my] = ACTIONS(2177),
    [anon_sym_extended] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_sub] = ACTIONS(2177),
    [anon_sym_method] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_state] = ACTIONS(2177),
    [anon_sym_our] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_defer] = ACTIONS(2177),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_SLASH_SLASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_BSLASH] = ACTIONS(2175),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_eval] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_field] = ACTIONS(2177),
    [anon_sym_local] = ACTIONS(2177),
    [anon_sym_dynamically] = ACTIONS(2177),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2177),
    [anon_sym_require] = ACTIONS(2177),
    [anon_sym_map] = ACTIONS(2177),
    [anon_sym_grep] = ACTIONS(2177),
    [anon_sym_sort] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_undef] = ACTIONS(2177),
    [anon_sym_PERCENT2] = ACTIONS(2177),
    [anon_sym_AMP2] = ACTIONS(2177),
    [anon_sym_STAR2] = ACTIONS(2177),
    [anon_sym_use] = ACTIONS(2177),
    [anon_sym_no] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_foreach] = ACTIONS(2177),
    [anon_sym_last] = ACTIONS(2177),
    [anon_sym_next] = ACTIONS(2177),
    [anon_sym_redo] = ACTIONS(2177),
    [anon_sym_BEGIN] = ACTIONS(2177),
    [anon_sym_INIT] = ACTIONS(2177),
    [anon_sym_CHECK] = ACTIONS(2177),
    [anon_sym_UNITCHECK] = ACTIONS(2177),
    [anon_sym_END] = ACTIONS(2177),
    [anon_sym___FILE__] = ACTIONS(2177),
    [anon_sym___LINE__] = ACTIONS(2177),
    [anon_sym___PACKAGE__] = ACTIONS(2177),
    [anon_sym___SUB__] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_fork] = ACTIONS(2177),
    [anon_sym_getppid] = ACTIONS(2177),
    [anon_sym_time] = ACTIONS(2177),
    [anon_sym_times] = ACTIONS(2177),
    [anon_sym_wait] = ACTIONS(2177),
    [anon_sym_wantarray] = ACTIONS(2177),
    [anon_sym_abs] = ACTIONS(2177),
    [anon_sym_alarm] = ACTIONS(2177),
    [anon_sym_chop] = ACTIONS(2177),
    [anon_sym_chdir] = ACTIONS(2177),
    [anon_sym_close] = ACTIONS(2177),
    [anon_sym_closedir] = ACTIONS(2177),
    [anon_sym_caller] = ACTIONS(2177),
    [anon_sym_chomp] = ACTIONS(2177),
    [anon_sym_chr] = ACTIONS(2177),
    [anon_sym_cos] = ACTIONS(2177),
    [anon_sym_chroot] = ACTIONS(2177),
    [anon_sym_defined] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_dbmclose] = ACTIONS(2177),
    [anon_sym_exists] = ACTIONS(2177),
    [anon_sym_exit] = ACTIONS(2177),
    [anon_sym_eof] = ACTIONS(2177),
    [anon_sym_exp] = ACTIONS(2177),
    [anon_sym_each] = ACTIONS(2177),
    [anon_sym_fc] = ACTIONS(2177),
    [anon_sym_fileno] = ACTIONS(2177),
    [anon_sym_gmtime] = ACTIONS(2177),
    [anon_sym_getc] = ACTIONS(2177),
    [anon_sym_getpgrp] = ACTIONS(2177),
    [anon_sym_getprotobyname] = ACTIONS(2177),
    [anon_sym_getpwname] = ACTIONS(2177),
    [anon_sym_getpwuid] = ACTIONS(2177),
    [anon_sym_getpeername] = ACTIONS(2177),
    [anon_sym_getnetbyname] = ACTIONS(2177),
    [anon_sym_getsockname] = ACTIONS(2177),
    [anon_sym_getgrnam] = ACTIONS(2177),
    [anon_sym_getgrgid] = ACTIONS(2177),
    [anon_sym_hex] = ACTIONS(2177),
    [anon_sym_int] = ACTIONS(2177),
    [anon_sym_keys] = ACTIONS(2177),
    [anon_sym_lc] = ACTIONS(2177),
    [anon_sym_lcfirst] = ACTIONS(2177),
    [anon_sym_length] = ACTIONS(2177),
    [anon_sym_localtime] = ACTIONS(2177),
    [anon_sym_log] = ACTIONS(2177),
    [anon_sym_lock] = ACTIONS(2177),
    [anon_sym_lstat] = ACTIONS(2177),
    [anon_sym_oct] = ACTIONS(2177),
    [anon_sym_ord] = ACTIONS(2177),
    [anon_sym_prototype] = ACTIONS(2177),
    [anon_sym_pop] = ACTIONS(2177),
    [anon_sym_pos] = ACTIONS(2177),
    [anon_sym_quotemeta] = ACTIONS(2177),
    [anon_sym_reset] = ACTIONS(2177),
    [anon_sym_rand] = ACTIONS(2177),
    [anon_sym_rmdir] = ACTIONS(2177),
    [anon_sym_readdir] = ACTIONS(2177),
    [anon_sym_readline] = ACTIONS(2177),
    [anon_sym_readpipe] = ACTIONS(2177),
    [anon_sym_rewinddir] = ACTIONS(2177),
    [anon_sym_readlink] = ACTIONS(2177),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_scalar] = ACTIONS(2177),
    [anon_sym_shift] = ACTIONS(2177),
    [anon_sym_sin] = ACTIONS(2177),
    [anon_sym_sleep] = ACTIONS(2177),
    [anon_sym_sqrt] = ACTIONS(2177),
    [anon_sym_srand] = ACTIONS(2177),
    [anon_sym_stat] = ACTIONS(2177),
    [anon_sym_study] = ACTIONS(2177),
    [anon_sym_tell] = ACTIONS(2177),
    [anon_sym_telldir] = ACTIONS(2177),
    [anon_sym_tied] = ACTIONS(2177),
    [anon_sym_uc] = ACTIONS(2177),
    [anon_sym_ucfirst] = ACTIONS(2177),
    [anon_sym_untie] = ACTIONS(2177),
    [anon_sym_umask] = ACTIONS(2177),
    [anon_sym_values] = ACTIONS(2177),
    [anon_sym_write] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2177),
    [anon_sym_qq] = ACTIONS(2177),
    [anon_sym_qw] = ACTIONS(2177),
    [anon_sym_qx] = ACTIONS(2177),
    [anon_sym_qr] = ACTIONS(2177),
    [anon_sym_m] = ACTIONS(2177),
    [anon_sym_s] = ACTIONS(2177),
    [anon_sym_tr] = ACTIONS(2177),
    [anon_sym_y] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_unless] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_until] = ACTIONS(2177),
    [aux_sym__bareword_token1] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [anon_sym_true] = ACTIONS(2177),
    [anon_sym_false] = ACTIONS(2177),
    [sym__single_quote] = ACTIONS(2175),
    [sym__double_quote] = ACTIONS(2175),
    [sym__backtick_quote] = ACTIONS(2175),
    [sym__search_slash_quote] = ACTIONS(2175),
    [sym__open_readline_bracket] = ACTIONS(2175),
    [sym__open_fileglob_bracket] = ACTIONS(2175),
    [sym__PERLY_HEREDOC] = ACTIONS(2175),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2175),
    [sym__filetest] = ACTIONS(2175),
  },
  [1039] = {
    [sym_heredoc_content] = STATE(1039),
    [sym__identifier] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_RBRACE] = ACTIONS(2057),
    [anon_sym_SEMI] = ACTIONS(2057),
    [anon_sym_package] = ACTIONS(2057),
    [anon_sym_class] = ACTIONS(2057),
    [anon_sym_role] = ACTIONS(2057),
    [anon_sym_BUILD] = ACTIONS(2057),
    [anon_sym_ADJUST] = ACTIONS(2057),
    [anon_sym_DOLLAR] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2057),
    [anon_sym_my] = ACTIONS(2057),
    [anon_sym_extended] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_sub] = ACTIONS(2057),
    [anon_sym_method] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2057),
    [anon_sym_continue] = ACTIONS(2057),
    [anon_sym_state] = ACTIONS(2057),
    [anon_sym_our] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2057),
    [anon_sym_defer] = ACTIONS(2057),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_SLASH_SLASH] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_BSLASH] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2057),
    [anon_sym_eval] = ACTIONS(2057),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_field] = ACTIONS(2057),
    [anon_sym_local] = ACTIONS(2057),
    [anon_sym_dynamically] = ACTIONS(2057),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2057),
    [anon_sym_require] = ACTIONS(2057),
    [anon_sym_map] = ACTIONS(2057),
    [anon_sym_grep] = ACTIONS(2057),
    [anon_sym_sort] = ACTIONS(2057),
    [anon_sym_goto] = ACTIONS(2057),
    [anon_sym_return] = ACTIONS(2057),
    [anon_sym_undef] = ACTIONS(2057),
    [anon_sym_PERCENT2] = ACTIONS(2057),
    [anon_sym_AMP2] = ACTIONS(2057),
    [anon_sym_STAR2] = ACTIONS(2057),
    [anon_sym_use] = ACTIONS(2057),
    [anon_sym_no] = ACTIONS(2057),
    [anon_sym_for] = ACTIONS(2057),
    [anon_sym_foreach] = ACTIONS(2057),
    [anon_sym_last] = ACTIONS(2057),
    [anon_sym_next] = ACTIONS(2057),
    [anon_sym_redo] = ACTIONS(2057),
    [anon_sym_BEGIN] = ACTIONS(2057),
    [anon_sym_INIT] = ACTIONS(2057),
    [anon_sym_CHECK] = ACTIONS(2057),
    [anon_sym_UNITCHECK] = ACTIONS(2057),
    [anon_sym_END] = ACTIONS(2057),
    [anon_sym___FILE__] = ACTIONS(2057),
    [anon_sym___LINE__] = ACTIONS(2057),
    [anon_sym___PACKAGE__] = ACTIONS(2057),
    [anon_sym___SUB__] = ACTIONS(2057),
    [anon_sym_break] = ACTIONS(2057),
    [anon_sym_fork] = ACTIONS(2057),
    [anon_sym_getppid] = ACTIONS(2057),
    [anon_sym_time] = ACTIONS(2057),
    [anon_sym_times] = ACTIONS(2057),
    [anon_sym_wait] = ACTIONS(2057),
    [anon_sym_wantarray] = ACTIONS(2057),
    [anon_sym_abs] = ACTIONS(2057),
    [anon_sym_alarm] = ACTIONS(2057),
    [anon_sym_chop] = ACTIONS(2057),
    [anon_sym_chdir] = ACTIONS(2057),
    [anon_sym_close] = ACTIONS(2057),
    [anon_sym_closedir] = ACTIONS(2057),
    [anon_sym_caller] = ACTIONS(2057),
    [anon_sym_chomp] = ACTIONS(2057),
    [anon_sym_chr] = ACTIONS(2057),
    [anon_sym_cos] = ACTIONS(2057),
    [anon_sym_chroot] = ACTIONS(2057),
    [anon_sym_defined] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_dbmclose] = ACTIONS(2057),
    [anon_sym_exists] = ACTIONS(2057),
    [anon_sym_exit] = ACTIONS(2057),
    [anon_sym_eof] = ACTIONS(2057),
    [anon_sym_exp] = ACTIONS(2057),
    [anon_sym_each] = ACTIONS(2057),
    [anon_sym_fc] = ACTIONS(2057),
    [anon_sym_fileno] = ACTIONS(2057),
    [anon_sym_gmtime] = ACTIONS(2057),
    [anon_sym_getc] = ACTIONS(2057),
    [anon_sym_getpgrp] = ACTIONS(2057),
    [anon_sym_getprotobyname] = ACTIONS(2057),
    [anon_sym_getpwname] = ACTIONS(2057),
    [anon_sym_getpwuid] = ACTIONS(2057),
    [anon_sym_getpeername] = ACTIONS(2057),
    [anon_sym_getnetbyname] = ACTIONS(2057),
    [anon_sym_getsockname] = ACTIONS(2057),
    [anon_sym_getgrnam] = ACTIONS(2057),
    [anon_sym_getgrgid] = ACTIONS(2057),
    [anon_sym_hex] = ACTIONS(2057),
    [anon_sym_int] = ACTIONS(2057),
    [anon_sym_keys] = ACTIONS(2057),
    [anon_sym_lc] = ACTIONS(2057),
    [anon_sym_lcfirst] = ACTIONS(2057),
    [anon_sym_length] = ACTIONS(2057),
    [anon_sym_localtime] = ACTIONS(2057),
    [anon_sym_log] = ACTIONS(2057),
    [anon_sym_lock] = ACTIONS(2057),
    [anon_sym_lstat] = ACTIONS(2057),
    [anon_sym_oct] = ACTIONS(2057),
    [anon_sym_ord] = ACTIONS(2057),
    [anon_sym_prototype] = ACTIONS(2057),
    [anon_sym_pop] = ACTIONS(2057),
    [anon_sym_pos] = ACTIONS(2057),
    [anon_sym_quotemeta] = ACTIONS(2057),
    [anon_sym_reset] = ACTIONS(2057),
    [anon_sym_rand] = ACTIONS(2057),
    [anon_sym_rmdir] = ACTIONS(2057),
    [anon_sym_readdir] = ACTIONS(2057),
    [anon_sym_readline] = ACTIONS(2057),
    [anon_sym_readpipe] = ACTIONS(2057),
    [anon_sym_rewinddir] = ACTIONS(2057),
    [anon_sym_readlink] = ACTIONS(2057),
    [anon_sym_ref] = ACTIONS(2057),
    [anon_sym_scalar] = ACTIONS(2057),
    [anon_sym_shift] = ACTIONS(2057),
    [anon_sym_sin] = ACTIONS(2057),
    [anon_sym_sleep] = ACTIONS(2057),
    [anon_sym_sqrt] = ACTIONS(2057),
    [anon_sym_srand] = ACTIONS(2057),
    [anon_sym_stat] = ACTIONS(2057),
    [anon_sym_study] = ACTIONS(2057),
    [anon_sym_tell] = ACTIONS(2057),
    [anon_sym_telldir] = ACTIONS(2057),
    [anon_sym_tied] = ACTIONS(2057),
    [anon_sym_uc] = ACTIONS(2057),
    [anon_sym_ucfirst] = ACTIONS(2057),
    [anon_sym_untie] = ACTIONS(2057),
    [anon_sym_umask] = ACTIONS(2057),
    [anon_sym_values] = ACTIONS(2057),
    [anon_sym_write] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2057),
    [anon_sym_qq] = ACTIONS(2057),
    [anon_sym_qw] = ACTIONS(2057),
    [anon_sym_qx] = ACTIONS(2057),
    [anon_sym_qr] = ACTIONS(2057),
    [anon_sym_m] = ACTIONS(2057),
    [anon_sym_s] = ACTIONS(2057),
    [anon_sym_tr] = ACTIONS(2057),
    [anon_sym_y] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2057),
    [anon_sym_unless] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2057),
    [anon_sym_until] = ACTIONS(2057),
    [aux_sym__bareword_token1] = ACTIONS(2057),
    [sym_number] = ACTIONS(2057),
    [anon_sym_true] = ACTIONS(2057),
    [anon_sym_false] = ACTIONS(2057),
    [sym__single_quote] = ACTIONS(2055),
    [sym__double_quote] = ACTIONS(2055),
    [sym__backtick_quote] = ACTIONS(2055),
    [sym__search_slash_quote] = ACTIONS(2055),
    [sym__open_readline_bracket] = ACTIONS(2055),
    [sym__open_fileglob_bracket] = ACTIONS(2055),
    [sym__PERLY_HEREDOC] = ACTIONS(2055),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2055),
    [sym__filetest] = ACTIONS(2055),
  },
  [1040] = {
    [sym_heredoc_content] = STATE(1040),
    [sym__identifier] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_RBRACE] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2101),
    [anon_sym_package] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_role] = ACTIONS(2101),
    [anon_sym_BUILD] = ACTIONS(2101),
    [anon_sym_ADJUST] = ACTIONS(2101),
    [anon_sym_DOLLAR] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_my] = ACTIONS(2101),
    [anon_sym_extended] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_sub] = ACTIONS(2101),
    [anon_sym_method] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_state] = ACTIONS(2101),
    [anon_sym_our] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_defer] = ACTIONS(2101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_SLASH_SLASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_BSLASH] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_eval] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_field] = ACTIONS(2101),
    [anon_sym_local] = ACTIONS(2101),
    [anon_sym_dynamically] = ACTIONS(2101),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2101),
    [anon_sym_require] = ACTIONS(2101),
    [anon_sym_map] = ACTIONS(2101),
    [anon_sym_grep] = ACTIONS(2101),
    [anon_sym_sort] = ACTIONS(2101),
    [anon_sym_goto] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_undef] = ACTIONS(2101),
    [anon_sym_PERCENT2] = ACTIONS(2101),
    [anon_sym_AMP2] = ACTIONS(2101),
    [anon_sym_STAR2] = ACTIONS(2101),
    [anon_sym_use] = ACTIONS(2101),
    [anon_sym_no] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_foreach] = ACTIONS(2101),
    [anon_sym_last] = ACTIONS(2101),
    [anon_sym_next] = ACTIONS(2101),
    [anon_sym_redo] = ACTIONS(2101),
    [anon_sym_BEGIN] = ACTIONS(2101),
    [anon_sym_INIT] = ACTIONS(2101),
    [anon_sym_CHECK] = ACTIONS(2101),
    [anon_sym_UNITCHECK] = ACTIONS(2101),
    [anon_sym_END] = ACTIONS(2101),
    [anon_sym___FILE__] = ACTIONS(2101),
    [anon_sym___LINE__] = ACTIONS(2101),
    [anon_sym___PACKAGE__] = ACTIONS(2101),
    [anon_sym___SUB__] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_fork] = ACTIONS(2101),
    [anon_sym_getppid] = ACTIONS(2101),
    [anon_sym_time] = ACTIONS(2101),
    [anon_sym_times] = ACTIONS(2101),
    [anon_sym_wait] = ACTIONS(2101),
    [anon_sym_wantarray] = ACTIONS(2101),
    [anon_sym_abs] = ACTIONS(2101),
    [anon_sym_alarm] = ACTIONS(2101),
    [anon_sym_chop] = ACTIONS(2101),
    [anon_sym_chdir] = ACTIONS(2101),
    [anon_sym_close] = ACTIONS(2101),
    [anon_sym_closedir] = ACTIONS(2101),
    [anon_sym_caller] = ACTIONS(2101),
    [anon_sym_chomp] = ACTIONS(2101),
    [anon_sym_chr] = ACTIONS(2101),
    [anon_sym_cos] = ACTIONS(2101),
    [anon_sym_chroot] = ACTIONS(2101),
    [anon_sym_defined] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_dbmclose] = ACTIONS(2101),
    [anon_sym_exists] = ACTIONS(2101),
    [anon_sym_exit] = ACTIONS(2101),
    [anon_sym_eof] = ACTIONS(2101),
    [anon_sym_exp] = ACTIONS(2101),
    [anon_sym_each] = ACTIONS(2101),
    [anon_sym_fc] = ACTIONS(2101),
    [anon_sym_fileno] = ACTIONS(2101),
    [anon_sym_gmtime] = ACTIONS(2101),
    [anon_sym_getc] = ACTIONS(2101),
    [anon_sym_getpgrp] = ACTIONS(2101),
    [anon_sym_getprotobyname] = ACTIONS(2101),
    [anon_sym_getpwname] = ACTIONS(2101),
    [anon_sym_getpwuid] = ACTIONS(2101),
    [anon_sym_getpeername] = ACTIONS(2101),
    [anon_sym_getnetbyname] = ACTIONS(2101),
    [anon_sym_getsockname] = ACTIONS(2101),
    [anon_sym_getgrnam] = ACTIONS(2101),
    [anon_sym_getgrgid] = ACTIONS(2101),
    [anon_sym_hex] = ACTIONS(2101),
    [anon_sym_int] = ACTIONS(2101),
    [anon_sym_keys] = ACTIONS(2101),
    [anon_sym_lc] = ACTIONS(2101),
    [anon_sym_lcfirst] = ACTIONS(2101),
    [anon_sym_length] = ACTIONS(2101),
    [anon_sym_localtime] = ACTIONS(2101),
    [anon_sym_log] = ACTIONS(2101),
    [anon_sym_lock] = ACTIONS(2101),
    [anon_sym_lstat] = ACTIONS(2101),
    [anon_sym_oct] = ACTIONS(2101),
    [anon_sym_ord] = ACTIONS(2101),
    [anon_sym_prototype] = ACTIONS(2101),
    [anon_sym_pop] = ACTIONS(2101),
    [anon_sym_pos] = ACTIONS(2101),
    [anon_sym_quotemeta] = ACTIONS(2101),
    [anon_sym_reset] = ACTIONS(2101),
    [anon_sym_rand] = ACTIONS(2101),
    [anon_sym_rmdir] = ACTIONS(2101),
    [anon_sym_readdir] = ACTIONS(2101),
    [anon_sym_readline] = ACTIONS(2101),
    [anon_sym_readpipe] = ACTIONS(2101),
    [anon_sym_rewinddir] = ACTIONS(2101),
    [anon_sym_readlink] = ACTIONS(2101),
    [anon_sym_ref] = ACTIONS(2101),
    [anon_sym_scalar] = ACTIONS(2101),
    [anon_sym_shift] = ACTIONS(2101),
    [anon_sym_sin] = ACTIONS(2101),
    [anon_sym_sleep] = ACTIONS(2101),
    [anon_sym_sqrt] = ACTIONS(2101),
    [anon_sym_srand] = ACTIONS(2101),
    [anon_sym_stat] = ACTIONS(2101),
    [anon_sym_study] = ACTIONS(2101),
    [anon_sym_tell] = ACTIONS(2101),
    [anon_sym_telldir] = ACTIONS(2101),
    [anon_sym_tied] = ACTIONS(2101),
    [anon_sym_uc] = ACTIONS(2101),
    [anon_sym_ucfirst] = ACTIONS(2101),
    [anon_sym_untie] = ACTIONS(2101),
    [anon_sym_umask] = ACTIONS(2101),
    [anon_sym_values] = ACTIONS(2101),
    [anon_sym_write] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2101),
    [anon_sym_qq] = ACTIONS(2101),
    [anon_sym_qw] = ACTIONS(2101),
    [anon_sym_qx] = ACTIONS(2101),
    [anon_sym_qr] = ACTIONS(2101),
    [anon_sym_m] = ACTIONS(2101),
    [anon_sym_s] = ACTIONS(2101),
    [anon_sym_tr] = ACTIONS(2101),
    [anon_sym_y] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_unless] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_until] = ACTIONS(2101),
    [aux_sym__bareword_token1] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [anon_sym_true] = ACTIONS(2101),
    [anon_sym_false] = ACTIONS(2101),
    [sym__single_quote] = ACTIONS(2099),
    [sym__double_quote] = ACTIONS(2099),
    [sym__backtick_quote] = ACTIONS(2099),
    [sym__search_slash_quote] = ACTIONS(2099),
    [sym__open_readline_bracket] = ACTIONS(2099),
    [sym__open_fileglob_bracket] = ACTIONS(2099),
    [sym__PERLY_HEREDOC] = ACTIONS(2099),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2099),
    [sym__filetest] = ACTIONS(2099),
  },
  [1041] = {
    [sym_heredoc_content] = STATE(1041),
    [sym__identifier] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2313),
    [anon_sym_RBRACE] = ACTIONS(2313),
    [anon_sym_SEMI] = ACTIONS(2313),
    [anon_sym_package] = ACTIONS(2313),
    [anon_sym_class] = ACTIONS(2313),
    [anon_sym_role] = ACTIONS(2313),
    [anon_sym_BUILD] = ACTIONS(2313),
    [anon_sym_ADJUST] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2313),
    [anon_sym_AT] = ACTIONS(2313),
    [anon_sym_my] = ACTIONS(2313),
    [anon_sym_extended] = ACTIONS(2313),
    [anon_sym_async] = ACTIONS(2313),
    [anon_sym_sub] = ACTIONS(2313),
    [anon_sym_method] = ACTIONS(2313),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_continue] = ACTIONS(2313),
    [anon_sym_state] = ACTIONS(2313),
    [anon_sym_our] = ACTIONS(2313),
    [anon_sym_try] = ACTIONS(2313),
    [anon_sym_defer] = ACTIONS(2313),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2313),
    [anon_sym_LT_LT] = ACTIONS(2313),
    [anon_sym_SLASH_SLASH] = ACTIONS(2313),
    [anon_sym_PLUS] = ACTIONS(2313),
    [anon_sym_DASH] = ACTIONS(2313),
    [anon_sym_TILDE] = ACTIONS(2313),
    [anon_sym_BANG] = ACTIONS(2313),
    [anon_sym_PLUS_PLUS] = ACTIONS(2313),
    [anon_sym_DASH_DASH] = ACTIONS(2313),
    [anon_sym_BSLASH] = ACTIONS(2311),
    [anon_sym_do] = ACTIONS(2313),
    [anon_sym_eval] = ACTIONS(2313),
    [anon_sym_await] = ACTIONS(2313),
    [anon_sym_field] = ACTIONS(2313),
    [anon_sym_local] = ACTIONS(2313),
    [anon_sym_dynamically] = ACTIONS(2313),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2313),
    [anon_sym_require] = ACTIONS(2313),
    [anon_sym_map] = ACTIONS(2313),
    [anon_sym_grep] = ACTIONS(2313),
    [anon_sym_sort] = ACTIONS(2313),
    [anon_sym_goto] = ACTIONS(2313),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_undef] = ACTIONS(2313),
    [anon_sym_PERCENT2] = ACTIONS(2313),
    [anon_sym_AMP2] = ACTIONS(2313),
    [anon_sym_STAR2] = ACTIONS(2313),
    [anon_sym_use] = ACTIONS(2313),
    [anon_sym_no] = ACTIONS(2313),
    [anon_sym_for] = ACTIONS(2313),
    [anon_sym_foreach] = ACTIONS(2313),
    [anon_sym_last] = ACTIONS(2313),
    [anon_sym_next] = ACTIONS(2313),
    [anon_sym_redo] = ACTIONS(2313),
    [anon_sym_BEGIN] = ACTIONS(2313),
    [anon_sym_INIT] = ACTIONS(2313),
    [anon_sym_CHECK] = ACTIONS(2313),
    [anon_sym_UNITCHECK] = ACTIONS(2313),
    [anon_sym_END] = ACTIONS(2313),
    [anon_sym___FILE__] = ACTIONS(2313),
    [anon_sym___LINE__] = ACTIONS(2313),
    [anon_sym___PACKAGE__] = ACTIONS(2313),
    [anon_sym___SUB__] = ACTIONS(2313),
    [anon_sym_break] = ACTIONS(2313),
    [anon_sym_fork] = ACTIONS(2313),
    [anon_sym_getppid] = ACTIONS(2313),
    [anon_sym_time] = ACTIONS(2313),
    [anon_sym_times] = ACTIONS(2313),
    [anon_sym_wait] = ACTIONS(2313),
    [anon_sym_wantarray] = ACTIONS(2313),
    [anon_sym_abs] = ACTIONS(2313),
    [anon_sym_alarm] = ACTIONS(2313),
    [anon_sym_chop] = ACTIONS(2313),
    [anon_sym_chdir] = ACTIONS(2313),
    [anon_sym_close] = ACTIONS(2313),
    [anon_sym_closedir] = ACTIONS(2313),
    [anon_sym_caller] = ACTIONS(2313),
    [anon_sym_chomp] = ACTIONS(2313),
    [anon_sym_chr] = ACTIONS(2313),
    [anon_sym_cos] = ACTIONS(2313),
    [anon_sym_chroot] = ACTIONS(2313),
    [anon_sym_defined] = ACTIONS(2313),
    [anon_sym_delete] = ACTIONS(2313),
    [anon_sym_dbmclose] = ACTIONS(2313),
    [anon_sym_exists] = ACTIONS(2313),
    [anon_sym_exit] = ACTIONS(2313),
    [anon_sym_eof] = ACTIONS(2313),
    [anon_sym_exp] = ACTIONS(2313),
    [anon_sym_each] = ACTIONS(2313),
    [anon_sym_fc] = ACTIONS(2313),
    [anon_sym_fileno] = ACTIONS(2313),
    [anon_sym_gmtime] = ACTIONS(2313),
    [anon_sym_getc] = ACTIONS(2313),
    [anon_sym_getpgrp] = ACTIONS(2313),
    [anon_sym_getprotobyname] = ACTIONS(2313),
    [anon_sym_getpwname] = ACTIONS(2313),
    [anon_sym_getpwuid] = ACTIONS(2313),
    [anon_sym_getpeername] = ACTIONS(2313),
    [anon_sym_getnetbyname] = ACTIONS(2313),
    [anon_sym_getsockname] = ACTIONS(2313),
    [anon_sym_getgrnam] = ACTIONS(2313),
    [anon_sym_getgrgid] = ACTIONS(2313),
    [anon_sym_hex] = ACTIONS(2313),
    [anon_sym_int] = ACTIONS(2313),
    [anon_sym_keys] = ACTIONS(2313),
    [anon_sym_lc] = ACTIONS(2313),
    [anon_sym_lcfirst] = ACTIONS(2313),
    [anon_sym_length] = ACTIONS(2313),
    [anon_sym_localtime] = ACTIONS(2313),
    [anon_sym_log] = ACTIONS(2313),
    [anon_sym_lock] = ACTIONS(2313),
    [anon_sym_lstat] = ACTIONS(2313),
    [anon_sym_oct] = ACTIONS(2313),
    [anon_sym_ord] = ACTIONS(2313),
    [anon_sym_prototype] = ACTIONS(2313),
    [anon_sym_pop] = ACTIONS(2313),
    [anon_sym_pos] = ACTIONS(2313),
    [anon_sym_quotemeta] = ACTIONS(2313),
    [anon_sym_reset] = ACTIONS(2313),
    [anon_sym_rand] = ACTIONS(2313),
    [anon_sym_rmdir] = ACTIONS(2313),
    [anon_sym_readdir] = ACTIONS(2313),
    [anon_sym_readline] = ACTIONS(2313),
    [anon_sym_readpipe] = ACTIONS(2313),
    [anon_sym_rewinddir] = ACTIONS(2313),
    [anon_sym_readlink] = ACTIONS(2313),
    [anon_sym_ref] = ACTIONS(2313),
    [anon_sym_scalar] = ACTIONS(2313),
    [anon_sym_shift] = ACTIONS(2313),
    [anon_sym_sin] = ACTIONS(2313),
    [anon_sym_sleep] = ACTIONS(2313),
    [anon_sym_sqrt] = ACTIONS(2313),
    [anon_sym_srand] = ACTIONS(2313),
    [anon_sym_stat] = ACTIONS(2313),
    [anon_sym_study] = ACTIONS(2313),
    [anon_sym_tell] = ACTIONS(2313),
    [anon_sym_telldir] = ACTIONS(2313),
    [anon_sym_tied] = ACTIONS(2313),
    [anon_sym_uc] = ACTIONS(2313),
    [anon_sym_ucfirst] = ACTIONS(2313),
    [anon_sym_untie] = ACTIONS(2313),
    [anon_sym_umask] = ACTIONS(2313),
    [anon_sym_values] = ACTIONS(2313),
    [anon_sym_write] = ACTIONS(2313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2313),
    [anon_sym_qq] = ACTIONS(2313),
    [anon_sym_qw] = ACTIONS(2313),
    [anon_sym_qx] = ACTIONS(2313),
    [anon_sym_qr] = ACTIONS(2313),
    [anon_sym_m] = ACTIONS(2313),
    [anon_sym_s] = ACTIONS(2313),
    [anon_sym_tr] = ACTIONS(2313),
    [anon_sym_y] = ACTIONS(2313),
    [anon_sym_if] = ACTIONS(2313),
    [anon_sym_unless] = ACTIONS(2313),
    [anon_sym_while] = ACTIONS(2313),
    [anon_sym_until] = ACTIONS(2313),
    [aux_sym__bareword_token1] = ACTIONS(2313),
    [sym_number] = ACTIONS(2313),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [sym__single_quote] = ACTIONS(2311),
    [sym__double_quote] = ACTIONS(2311),
    [sym__backtick_quote] = ACTIONS(2311),
    [sym__search_slash_quote] = ACTIONS(2311),
    [sym__open_readline_bracket] = ACTIONS(2311),
    [sym__open_fileglob_bracket] = ACTIONS(2311),
    [sym__PERLY_HEREDOC] = ACTIONS(2311),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2311),
    [sym__filetest] = ACTIONS(2311),
  },
  [1042] = {
    [sym_heredoc_content] = STATE(1042),
    [sym__identifier] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_RBRACE] = ACTIONS(2317),
    [anon_sym_SEMI] = ACTIONS(2317),
    [anon_sym_package] = ACTIONS(2317),
    [anon_sym_class] = ACTIONS(2317),
    [anon_sym_role] = ACTIONS(2317),
    [anon_sym_BUILD] = ACTIONS(2317),
    [anon_sym_ADJUST] = ACTIONS(2317),
    [anon_sym_DOLLAR] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2317),
    [anon_sym_my] = ACTIONS(2317),
    [anon_sym_extended] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_sub] = ACTIONS(2317),
    [anon_sym_method] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_state] = ACTIONS(2317),
    [anon_sym_our] = ACTIONS(2317),
    [anon_sym_try] = ACTIONS(2317),
    [anon_sym_defer] = ACTIONS(2317),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_LT_LT] = ACTIONS(2317),
    [anon_sym_SLASH_SLASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_BSLASH] = ACTIONS(2315),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_eval] = ACTIONS(2317),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_field] = ACTIONS(2317),
    [anon_sym_local] = ACTIONS(2317),
    [anon_sym_dynamically] = ACTIONS(2317),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2317),
    [anon_sym_require] = ACTIONS(2317),
    [anon_sym_map] = ACTIONS(2317),
    [anon_sym_grep] = ACTIONS(2317),
    [anon_sym_sort] = ACTIONS(2317),
    [anon_sym_goto] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_undef] = ACTIONS(2317),
    [anon_sym_PERCENT2] = ACTIONS(2317),
    [anon_sym_AMP2] = ACTIONS(2317),
    [anon_sym_STAR2] = ACTIONS(2317),
    [anon_sym_use] = ACTIONS(2317),
    [anon_sym_no] = ACTIONS(2317),
    [anon_sym_for] = ACTIONS(2317),
    [anon_sym_foreach] = ACTIONS(2317),
    [anon_sym_last] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2317),
    [anon_sym_redo] = ACTIONS(2317),
    [anon_sym_BEGIN] = ACTIONS(2317),
    [anon_sym_INIT] = ACTIONS(2317),
    [anon_sym_CHECK] = ACTIONS(2317),
    [anon_sym_UNITCHECK] = ACTIONS(2317),
    [anon_sym_END] = ACTIONS(2317),
    [anon_sym___FILE__] = ACTIONS(2317),
    [anon_sym___LINE__] = ACTIONS(2317),
    [anon_sym___PACKAGE__] = ACTIONS(2317),
    [anon_sym___SUB__] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_fork] = ACTIONS(2317),
    [anon_sym_getppid] = ACTIONS(2317),
    [anon_sym_time] = ACTIONS(2317),
    [anon_sym_times] = ACTIONS(2317),
    [anon_sym_wait] = ACTIONS(2317),
    [anon_sym_wantarray] = ACTIONS(2317),
    [anon_sym_abs] = ACTIONS(2317),
    [anon_sym_alarm] = ACTIONS(2317),
    [anon_sym_chop] = ACTIONS(2317),
    [anon_sym_chdir] = ACTIONS(2317),
    [anon_sym_close] = ACTIONS(2317),
    [anon_sym_closedir] = ACTIONS(2317),
    [anon_sym_caller] = ACTIONS(2317),
    [anon_sym_chomp] = ACTIONS(2317),
    [anon_sym_chr] = ACTIONS(2317),
    [anon_sym_cos] = ACTIONS(2317),
    [anon_sym_chroot] = ACTIONS(2317),
    [anon_sym_defined] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_dbmclose] = ACTIONS(2317),
    [anon_sym_exists] = ACTIONS(2317),
    [anon_sym_exit] = ACTIONS(2317),
    [anon_sym_eof] = ACTIONS(2317),
    [anon_sym_exp] = ACTIONS(2317),
    [anon_sym_each] = ACTIONS(2317),
    [anon_sym_fc] = ACTIONS(2317),
    [anon_sym_fileno] = ACTIONS(2317),
    [anon_sym_gmtime] = ACTIONS(2317),
    [anon_sym_getc] = ACTIONS(2317),
    [anon_sym_getpgrp] = ACTIONS(2317),
    [anon_sym_getprotobyname] = ACTIONS(2317),
    [anon_sym_getpwname] = ACTIONS(2317),
    [anon_sym_getpwuid] = ACTIONS(2317),
    [anon_sym_getpeername] = ACTIONS(2317),
    [anon_sym_getnetbyname] = ACTIONS(2317),
    [anon_sym_getsockname] = ACTIONS(2317),
    [anon_sym_getgrnam] = ACTIONS(2317),
    [anon_sym_getgrgid] = ACTIONS(2317),
    [anon_sym_hex] = ACTIONS(2317),
    [anon_sym_int] = ACTIONS(2317),
    [anon_sym_keys] = ACTIONS(2317),
    [anon_sym_lc] = ACTIONS(2317),
    [anon_sym_lcfirst] = ACTIONS(2317),
    [anon_sym_length] = ACTIONS(2317),
    [anon_sym_localtime] = ACTIONS(2317),
    [anon_sym_log] = ACTIONS(2317),
    [anon_sym_lock] = ACTIONS(2317),
    [anon_sym_lstat] = ACTIONS(2317),
    [anon_sym_oct] = ACTIONS(2317),
    [anon_sym_ord] = ACTIONS(2317),
    [anon_sym_prototype] = ACTIONS(2317),
    [anon_sym_pop] = ACTIONS(2317),
    [anon_sym_pos] = ACTIONS(2317),
    [anon_sym_quotemeta] = ACTIONS(2317),
    [anon_sym_reset] = ACTIONS(2317),
    [anon_sym_rand] = ACTIONS(2317),
    [anon_sym_rmdir] = ACTIONS(2317),
    [anon_sym_readdir] = ACTIONS(2317),
    [anon_sym_readline] = ACTIONS(2317),
    [anon_sym_readpipe] = ACTIONS(2317),
    [anon_sym_rewinddir] = ACTIONS(2317),
    [anon_sym_readlink] = ACTIONS(2317),
    [anon_sym_ref] = ACTIONS(2317),
    [anon_sym_scalar] = ACTIONS(2317),
    [anon_sym_shift] = ACTIONS(2317),
    [anon_sym_sin] = ACTIONS(2317),
    [anon_sym_sleep] = ACTIONS(2317),
    [anon_sym_sqrt] = ACTIONS(2317),
    [anon_sym_srand] = ACTIONS(2317),
    [anon_sym_stat] = ACTIONS(2317),
    [anon_sym_study] = ACTIONS(2317),
    [anon_sym_tell] = ACTIONS(2317),
    [anon_sym_telldir] = ACTIONS(2317),
    [anon_sym_tied] = ACTIONS(2317),
    [anon_sym_uc] = ACTIONS(2317),
    [anon_sym_ucfirst] = ACTIONS(2317),
    [anon_sym_untie] = ACTIONS(2317),
    [anon_sym_umask] = ACTIONS(2317),
    [anon_sym_values] = ACTIONS(2317),
    [anon_sym_write] = ACTIONS(2317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2317),
    [anon_sym_qq] = ACTIONS(2317),
    [anon_sym_qw] = ACTIONS(2317),
    [anon_sym_qx] = ACTIONS(2317),
    [anon_sym_qr] = ACTIONS(2317),
    [anon_sym_m] = ACTIONS(2317),
    [anon_sym_s] = ACTIONS(2317),
    [anon_sym_tr] = ACTIONS(2317),
    [anon_sym_y] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2317),
    [anon_sym_unless] = ACTIONS(2317),
    [anon_sym_while] = ACTIONS(2317),
    [anon_sym_until] = ACTIONS(2317),
    [aux_sym__bareword_token1] = ACTIONS(2317),
    [sym_number] = ACTIONS(2317),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [sym__single_quote] = ACTIONS(2315),
    [sym__double_quote] = ACTIONS(2315),
    [sym__backtick_quote] = ACTIONS(2315),
    [sym__search_slash_quote] = ACTIONS(2315),
    [sym__open_readline_bracket] = ACTIONS(2315),
    [sym__open_fileglob_bracket] = ACTIONS(2315),
    [sym__PERLY_HEREDOC] = ACTIONS(2315),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2315),
    [sym__filetest] = ACTIONS(2315),
  },
  [1043] = {
    [sym_heredoc_content] = STATE(1043),
    [sym__identifier] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_RBRACE] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2181),
    [anon_sym_package] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_role] = ACTIONS(2181),
    [anon_sym_BUILD] = ACTIONS(2181),
    [anon_sym_ADJUST] = ACTIONS(2181),
    [anon_sym_DOLLAR] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_my] = ACTIONS(2181),
    [anon_sym_extended] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_sub] = ACTIONS(2181),
    [anon_sym_method] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_state] = ACTIONS(2181),
    [anon_sym_our] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_defer] = ACTIONS(2181),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_SLASH_SLASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_BSLASH] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_eval] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_field] = ACTIONS(2181),
    [anon_sym_local] = ACTIONS(2181),
    [anon_sym_dynamically] = ACTIONS(2181),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2181),
    [anon_sym_require] = ACTIONS(2181),
    [anon_sym_map] = ACTIONS(2181),
    [anon_sym_grep] = ACTIONS(2181),
    [anon_sym_sort] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2181),
    [anon_sym_PERCENT2] = ACTIONS(2181),
    [anon_sym_AMP2] = ACTIONS(2181),
    [anon_sym_STAR2] = ACTIONS(2181),
    [anon_sym_use] = ACTIONS(2181),
    [anon_sym_no] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_foreach] = ACTIONS(2181),
    [anon_sym_last] = ACTIONS(2181),
    [anon_sym_next] = ACTIONS(2181),
    [anon_sym_redo] = ACTIONS(2181),
    [anon_sym_BEGIN] = ACTIONS(2181),
    [anon_sym_INIT] = ACTIONS(2181),
    [anon_sym_CHECK] = ACTIONS(2181),
    [anon_sym_UNITCHECK] = ACTIONS(2181),
    [anon_sym_END] = ACTIONS(2181),
    [anon_sym___FILE__] = ACTIONS(2181),
    [anon_sym___LINE__] = ACTIONS(2181),
    [anon_sym___PACKAGE__] = ACTIONS(2181),
    [anon_sym___SUB__] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_fork] = ACTIONS(2181),
    [anon_sym_getppid] = ACTIONS(2181),
    [anon_sym_time] = ACTIONS(2181),
    [anon_sym_times] = ACTIONS(2181),
    [anon_sym_wait] = ACTIONS(2181),
    [anon_sym_wantarray] = ACTIONS(2181),
    [anon_sym_abs] = ACTIONS(2181),
    [anon_sym_alarm] = ACTIONS(2181),
    [anon_sym_chop] = ACTIONS(2181),
    [anon_sym_chdir] = ACTIONS(2181),
    [anon_sym_close] = ACTIONS(2181),
    [anon_sym_closedir] = ACTIONS(2181),
    [anon_sym_caller] = ACTIONS(2181),
    [anon_sym_chomp] = ACTIONS(2181),
    [anon_sym_chr] = ACTIONS(2181),
    [anon_sym_cos] = ACTIONS(2181),
    [anon_sym_chroot] = ACTIONS(2181),
    [anon_sym_defined] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_dbmclose] = ACTIONS(2181),
    [anon_sym_exists] = ACTIONS(2181),
    [anon_sym_exit] = ACTIONS(2181),
    [anon_sym_eof] = ACTIONS(2181),
    [anon_sym_exp] = ACTIONS(2181),
    [anon_sym_each] = ACTIONS(2181),
    [anon_sym_fc] = ACTIONS(2181),
    [anon_sym_fileno] = ACTIONS(2181),
    [anon_sym_gmtime] = ACTIONS(2181),
    [anon_sym_getc] = ACTIONS(2181),
    [anon_sym_getpgrp] = ACTIONS(2181),
    [anon_sym_getprotobyname] = ACTIONS(2181),
    [anon_sym_getpwname] = ACTIONS(2181),
    [anon_sym_getpwuid] = ACTIONS(2181),
    [anon_sym_getpeername] = ACTIONS(2181),
    [anon_sym_getnetbyname] = ACTIONS(2181),
    [anon_sym_getsockname] = ACTIONS(2181),
    [anon_sym_getgrnam] = ACTIONS(2181),
    [anon_sym_getgrgid] = ACTIONS(2181),
    [anon_sym_hex] = ACTIONS(2181),
    [anon_sym_int] = ACTIONS(2181),
    [anon_sym_keys] = ACTIONS(2181),
    [anon_sym_lc] = ACTIONS(2181),
    [anon_sym_lcfirst] = ACTIONS(2181),
    [anon_sym_length] = ACTIONS(2181),
    [anon_sym_localtime] = ACTIONS(2181),
    [anon_sym_log] = ACTIONS(2181),
    [anon_sym_lock] = ACTIONS(2181),
    [anon_sym_lstat] = ACTIONS(2181),
    [anon_sym_oct] = ACTIONS(2181),
    [anon_sym_ord] = ACTIONS(2181),
    [anon_sym_prototype] = ACTIONS(2181),
    [anon_sym_pop] = ACTIONS(2181),
    [anon_sym_pos] = ACTIONS(2181),
    [anon_sym_quotemeta] = ACTIONS(2181),
    [anon_sym_reset] = ACTIONS(2181),
    [anon_sym_rand] = ACTIONS(2181),
    [anon_sym_rmdir] = ACTIONS(2181),
    [anon_sym_readdir] = ACTIONS(2181),
    [anon_sym_readline] = ACTIONS(2181),
    [anon_sym_readpipe] = ACTIONS(2181),
    [anon_sym_rewinddir] = ACTIONS(2181),
    [anon_sym_readlink] = ACTIONS(2181),
    [anon_sym_ref] = ACTIONS(2181),
    [anon_sym_scalar] = ACTIONS(2181),
    [anon_sym_shift] = ACTIONS(2181),
    [anon_sym_sin] = ACTIONS(2181),
    [anon_sym_sleep] = ACTIONS(2181),
    [anon_sym_sqrt] = ACTIONS(2181),
    [anon_sym_srand] = ACTIONS(2181),
    [anon_sym_stat] = ACTIONS(2181),
    [anon_sym_study] = ACTIONS(2181),
    [anon_sym_tell] = ACTIONS(2181),
    [anon_sym_telldir] = ACTIONS(2181),
    [anon_sym_tied] = ACTIONS(2181),
    [anon_sym_uc] = ACTIONS(2181),
    [anon_sym_ucfirst] = ACTIONS(2181),
    [anon_sym_untie] = ACTIONS(2181),
    [anon_sym_umask] = ACTIONS(2181),
    [anon_sym_values] = ACTIONS(2181),
    [anon_sym_write] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2181),
    [anon_sym_qq] = ACTIONS(2181),
    [anon_sym_qw] = ACTIONS(2181),
    [anon_sym_qx] = ACTIONS(2181),
    [anon_sym_qr] = ACTIONS(2181),
    [anon_sym_m] = ACTIONS(2181),
    [anon_sym_s] = ACTIONS(2181),
    [anon_sym_tr] = ACTIONS(2181),
    [anon_sym_y] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_unless] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_until] = ACTIONS(2181),
    [aux_sym__bareword_token1] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(2181),
    [anon_sym_false] = ACTIONS(2181),
    [sym__single_quote] = ACTIONS(2179),
    [sym__double_quote] = ACTIONS(2179),
    [sym__backtick_quote] = ACTIONS(2179),
    [sym__search_slash_quote] = ACTIONS(2179),
    [sym__open_readline_bracket] = ACTIONS(2179),
    [sym__open_fileglob_bracket] = ACTIONS(2179),
    [sym__PERLY_HEREDOC] = ACTIONS(2179),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2179),
    [sym__filetest] = ACTIONS(2179),
  },
  [1044] = {
    [sym_heredoc_content] = STATE(1044),
    [sym__identifier] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_RBRACE] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2121),
    [anon_sym_package] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_role] = ACTIONS(2121),
    [anon_sym_BUILD] = ACTIONS(2121),
    [anon_sym_ADJUST] = ACTIONS(2121),
    [anon_sym_DOLLAR] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2121),
    [anon_sym_my] = ACTIONS(2121),
    [anon_sym_extended] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_sub] = ACTIONS(2121),
    [anon_sym_method] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_state] = ACTIONS(2121),
    [anon_sym_our] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_defer] = ACTIONS(2121),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2121),
    [anon_sym_LT_LT] = ACTIONS(2121),
    [anon_sym_SLASH_SLASH] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_BSLASH] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_eval] = ACTIONS(2121),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_field] = ACTIONS(2121),
    [anon_sym_local] = ACTIONS(2121),
    [anon_sym_dynamically] = ACTIONS(2121),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2121),
    [anon_sym_require] = ACTIONS(2121),
    [anon_sym_map] = ACTIONS(2121),
    [anon_sym_grep] = ACTIONS(2121),
    [anon_sym_sort] = ACTIONS(2121),
    [anon_sym_goto] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_undef] = ACTIONS(2121),
    [anon_sym_PERCENT2] = ACTIONS(2121),
    [anon_sym_AMP2] = ACTIONS(2121),
    [anon_sym_STAR2] = ACTIONS(2121),
    [anon_sym_use] = ACTIONS(2121),
    [anon_sym_no] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_foreach] = ACTIONS(2121),
    [anon_sym_last] = ACTIONS(2121),
    [anon_sym_next] = ACTIONS(2121),
    [anon_sym_redo] = ACTIONS(2121),
    [anon_sym_BEGIN] = ACTIONS(2121),
    [anon_sym_INIT] = ACTIONS(2121),
    [anon_sym_CHECK] = ACTIONS(2121),
    [anon_sym_UNITCHECK] = ACTIONS(2121),
    [anon_sym_END] = ACTIONS(2121),
    [anon_sym___FILE__] = ACTIONS(2121),
    [anon_sym___LINE__] = ACTIONS(2121),
    [anon_sym___PACKAGE__] = ACTIONS(2121),
    [anon_sym___SUB__] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_fork] = ACTIONS(2121),
    [anon_sym_getppid] = ACTIONS(2121),
    [anon_sym_time] = ACTIONS(2121),
    [anon_sym_times] = ACTIONS(2121),
    [anon_sym_wait] = ACTIONS(2121),
    [anon_sym_wantarray] = ACTIONS(2121),
    [anon_sym_abs] = ACTIONS(2121),
    [anon_sym_alarm] = ACTIONS(2121),
    [anon_sym_chop] = ACTIONS(2121),
    [anon_sym_chdir] = ACTIONS(2121),
    [anon_sym_close] = ACTIONS(2121),
    [anon_sym_closedir] = ACTIONS(2121),
    [anon_sym_caller] = ACTIONS(2121),
    [anon_sym_chomp] = ACTIONS(2121),
    [anon_sym_chr] = ACTIONS(2121),
    [anon_sym_cos] = ACTIONS(2121),
    [anon_sym_chroot] = ACTIONS(2121),
    [anon_sym_defined] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_dbmclose] = ACTIONS(2121),
    [anon_sym_exists] = ACTIONS(2121),
    [anon_sym_exit] = ACTIONS(2121),
    [anon_sym_eof] = ACTIONS(2121),
    [anon_sym_exp] = ACTIONS(2121),
    [anon_sym_each] = ACTIONS(2121),
    [anon_sym_fc] = ACTIONS(2121),
    [anon_sym_fileno] = ACTIONS(2121),
    [anon_sym_gmtime] = ACTIONS(2121),
    [anon_sym_getc] = ACTIONS(2121),
    [anon_sym_getpgrp] = ACTIONS(2121),
    [anon_sym_getprotobyname] = ACTIONS(2121),
    [anon_sym_getpwname] = ACTIONS(2121),
    [anon_sym_getpwuid] = ACTIONS(2121),
    [anon_sym_getpeername] = ACTIONS(2121),
    [anon_sym_getnetbyname] = ACTIONS(2121),
    [anon_sym_getsockname] = ACTIONS(2121),
    [anon_sym_getgrnam] = ACTIONS(2121),
    [anon_sym_getgrgid] = ACTIONS(2121),
    [anon_sym_hex] = ACTIONS(2121),
    [anon_sym_int] = ACTIONS(2121),
    [anon_sym_keys] = ACTIONS(2121),
    [anon_sym_lc] = ACTIONS(2121),
    [anon_sym_lcfirst] = ACTIONS(2121),
    [anon_sym_length] = ACTIONS(2121),
    [anon_sym_localtime] = ACTIONS(2121),
    [anon_sym_log] = ACTIONS(2121),
    [anon_sym_lock] = ACTIONS(2121),
    [anon_sym_lstat] = ACTIONS(2121),
    [anon_sym_oct] = ACTIONS(2121),
    [anon_sym_ord] = ACTIONS(2121),
    [anon_sym_prototype] = ACTIONS(2121),
    [anon_sym_pop] = ACTIONS(2121),
    [anon_sym_pos] = ACTIONS(2121),
    [anon_sym_quotemeta] = ACTIONS(2121),
    [anon_sym_reset] = ACTIONS(2121),
    [anon_sym_rand] = ACTIONS(2121),
    [anon_sym_rmdir] = ACTIONS(2121),
    [anon_sym_readdir] = ACTIONS(2121),
    [anon_sym_readline] = ACTIONS(2121),
    [anon_sym_readpipe] = ACTIONS(2121),
    [anon_sym_rewinddir] = ACTIONS(2121),
    [anon_sym_readlink] = ACTIONS(2121),
    [anon_sym_ref] = ACTIONS(2121),
    [anon_sym_scalar] = ACTIONS(2121),
    [anon_sym_shift] = ACTIONS(2121),
    [anon_sym_sin] = ACTIONS(2121),
    [anon_sym_sleep] = ACTIONS(2121),
    [anon_sym_sqrt] = ACTIONS(2121),
    [anon_sym_srand] = ACTIONS(2121),
    [anon_sym_stat] = ACTIONS(2121),
    [anon_sym_study] = ACTIONS(2121),
    [anon_sym_tell] = ACTIONS(2121),
    [anon_sym_telldir] = ACTIONS(2121),
    [anon_sym_tied] = ACTIONS(2121),
    [anon_sym_uc] = ACTIONS(2121),
    [anon_sym_ucfirst] = ACTIONS(2121),
    [anon_sym_untie] = ACTIONS(2121),
    [anon_sym_umask] = ACTIONS(2121),
    [anon_sym_values] = ACTIONS(2121),
    [anon_sym_write] = ACTIONS(2121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2121),
    [anon_sym_qq] = ACTIONS(2121),
    [anon_sym_qw] = ACTIONS(2121),
    [anon_sym_qx] = ACTIONS(2121),
    [anon_sym_qr] = ACTIONS(2121),
    [anon_sym_m] = ACTIONS(2121),
    [anon_sym_s] = ACTIONS(2121),
    [anon_sym_tr] = ACTIONS(2121),
    [anon_sym_y] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_unless] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_until] = ACTIONS(2121),
    [aux_sym__bareword_token1] = ACTIONS(2121),
    [sym_number] = ACTIONS(2121),
    [anon_sym_true] = ACTIONS(2121),
    [anon_sym_false] = ACTIONS(2121),
    [sym__single_quote] = ACTIONS(2119),
    [sym__double_quote] = ACTIONS(2119),
    [sym__backtick_quote] = ACTIONS(2119),
    [sym__search_slash_quote] = ACTIONS(2119),
    [sym__open_readline_bracket] = ACTIONS(2119),
    [sym__open_fileglob_bracket] = ACTIONS(2119),
    [sym__PERLY_HEREDOC] = ACTIONS(2119),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2119),
    [sym__filetest] = ACTIONS(2119),
  },
  [1045] = {
    [sym_heredoc_content] = STATE(1045),
    [sym__identifier] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_RBRACE] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2157),
    [anon_sym_package] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2157),
    [anon_sym_role] = ACTIONS(2157),
    [anon_sym_BUILD] = ACTIONS(2157),
    [anon_sym_ADJUST] = ACTIONS(2157),
    [anon_sym_DOLLAR] = ACTIONS(2157),
    [anon_sym_AT] = ACTIONS(2157),
    [anon_sym_my] = ACTIONS(2157),
    [anon_sym_extended] = ACTIONS(2157),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_sub] = ACTIONS(2157),
    [anon_sym_method] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2157),
    [anon_sym_state] = ACTIONS(2157),
    [anon_sym_our] = ACTIONS(2157),
    [anon_sym_try] = ACTIONS(2157),
    [anon_sym_defer] = ACTIONS(2157),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_SLASH_SLASH] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_BSLASH] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2157),
    [anon_sym_eval] = ACTIONS(2157),
    [anon_sym_await] = ACTIONS(2157),
    [anon_sym_field] = ACTIONS(2157),
    [anon_sym_local] = ACTIONS(2157),
    [anon_sym_dynamically] = ACTIONS(2157),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2157),
    [anon_sym_require] = ACTIONS(2157),
    [anon_sym_map] = ACTIONS(2157),
    [anon_sym_grep] = ACTIONS(2157),
    [anon_sym_sort] = ACTIONS(2157),
    [anon_sym_goto] = ACTIONS(2157),
    [anon_sym_return] = ACTIONS(2157),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_PERCENT2] = ACTIONS(2157),
    [anon_sym_AMP2] = ACTIONS(2157),
    [anon_sym_STAR2] = ACTIONS(2157),
    [anon_sym_use] = ACTIONS(2157),
    [anon_sym_no] = ACTIONS(2157),
    [anon_sym_for] = ACTIONS(2157),
    [anon_sym_foreach] = ACTIONS(2157),
    [anon_sym_last] = ACTIONS(2157),
    [anon_sym_next] = ACTIONS(2157),
    [anon_sym_redo] = ACTIONS(2157),
    [anon_sym_BEGIN] = ACTIONS(2157),
    [anon_sym_INIT] = ACTIONS(2157),
    [anon_sym_CHECK] = ACTIONS(2157),
    [anon_sym_UNITCHECK] = ACTIONS(2157),
    [anon_sym_END] = ACTIONS(2157),
    [anon_sym___FILE__] = ACTIONS(2157),
    [anon_sym___LINE__] = ACTIONS(2157),
    [anon_sym___PACKAGE__] = ACTIONS(2157),
    [anon_sym___SUB__] = ACTIONS(2157),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_fork] = ACTIONS(2157),
    [anon_sym_getppid] = ACTIONS(2157),
    [anon_sym_time] = ACTIONS(2157),
    [anon_sym_times] = ACTIONS(2157),
    [anon_sym_wait] = ACTIONS(2157),
    [anon_sym_wantarray] = ACTIONS(2157),
    [anon_sym_abs] = ACTIONS(2157),
    [anon_sym_alarm] = ACTIONS(2157),
    [anon_sym_chop] = ACTIONS(2157),
    [anon_sym_chdir] = ACTIONS(2157),
    [anon_sym_close] = ACTIONS(2157),
    [anon_sym_closedir] = ACTIONS(2157),
    [anon_sym_caller] = ACTIONS(2157),
    [anon_sym_chomp] = ACTIONS(2157),
    [anon_sym_chr] = ACTIONS(2157),
    [anon_sym_cos] = ACTIONS(2157),
    [anon_sym_chroot] = ACTIONS(2157),
    [anon_sym_defined] = ACTIONS(2157),
    [anon_sym_delete] = ACTIONS(2157),
    [anon_sym_dbmclose] = ACTIONS(2157),
    [anon_sym_exists] = ACTIONS(2157),
    [anon_sym_exit] = ACTIONS(2157),
    [anon_sym_eof] = ACTIONS(2157),
    [anon_sym_exp] = ACTIONS(2157),
    [anon_sym_each] = ACTIONS(2157),
    [anon_sym_fc] = ACTIONS(2157),
    [anon_sym_fileno] = ACTIONS(2157),
    [anon_sym_gmtime] = ACTIONS(2157),
    [anon_sym_getc] = ACTIONS(2157),
    [anon_sym_getpgrp] = ACTIONS(2157),
    [anon_sym_getprotobyname] = ACTIONS(2157),
    [anon_sym_getpwname] = ACTIONS(2157),
    [anon_sym_getpwuid] = ACTIONS(2157),
    [anon_sym_getpeername] = ACTIONS(2157),
    [anon_sym_getnetbyname] = ACTIONS(2157),
    [anon_sym_getsockname] = ACTIONS(2157),
    [anon_sym_getgrnam] = ACTIONS(2157),
    [anon_sym_getgrgid] = ACTIONS(2157),
    [anon_sym_hex] = ACTIONS(2157),
    [anon_sym_int] = ACTIONS(2157),
    [anon_sym_keys] = ACTIONS(2157),
    [anon_sym_lc] = ACTIONS(2157),
    [anon_sym_lcfirst] = ACTIONS(2157),
    [anon_sym_length] = ACTIONS(2157),
    [anon_sym_localtime] = ACTIONS(2157),
    [anon_sym_log] = ACTIONS(2157),
    [anon_sym_lock] = ACTIONS(2157),
    [anon_sym_lstat] = ACTIONS(2157),
    [anon_sym_oct] = ACTIONS(2157),
    [anon_sym_ord] = ACTIONS(2157),
    [anon_sym_prototype] = ACTIONS(2157),
    [anon_sym_pop] = ACTIONS(2157),
    [anon_sym_pos] = ACTIONS(2157),
    [anon_sym_quotemeta] = ACTIONS(2157),
    [anon_sym_reset] = ACTIONS(2157),
    [anon_sym_rand] = ACTIONS(2157),
    [anon_sym_rmdir] = ACTIONS(2157),
    [anon_sym_readdir] = ACTIONS(2157),
    [anon_sym_readline] = ACTIONS(2157),
    [anon_sym_readpipe] = ACTIONS(2157),
    [anon_sym_rewinddir] = ACTIONS(2157),
    [anon_sym_readlink] = ACTIONS(2157),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_scalar] = ACTIONS(2157),
    [anon_sym_shift] = ACTIONS(2157),
    [anon_sym_sin] = ACTIONS(2157),
    [anon_sym_sleep] = ACTIONS(2157),
    [anon_sym_sqrt] = ACTIONS(2157),
    [anon_sym_srand] = ACTIONS(2157),
    [anon_sym_stat] = ACTIONS(2157),
    [anon_sym_study] = ACTIONS(2157),
    [anon_sym_tell] = ACTIONS(2157),
    [anon_sym_telldir] = ACTIONS(2157),
    [anon_sym_tied] = ACTIONS(2157),
    [anon_sym_uc] = ACTIONS(2157),
    [anon_sym_ucfirst] = ACTIONS(2157),
    [anon_sym_untie] = ACTIONS(2157),
    [anon_sym_umask] = ACTIONS(2157),
    [anon_sym_values] = ACTIONS(2157),
    [anon_sym_write] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2157),
    [anon_sym_qq] = ACTIONS(2157),
    [anon_sym_qw] = ACTIONS(2157),
    [anon_sym_qx] = ACTIONS(2157),
    [anon_sym_qr] = ACTIONS(2157),
    [anon_sym_m] = ACTIONS(2157),
    [anon_sym_s] = ACTIONS(2157),
    [anon_sym_tr] = ACTIONS(2157),
    [anon_sym_y] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2157),
    [anon_sym_unless] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2157),
    [anon_sym_until] = ACTIONS(2157),
    [aux_sym__bareword_token1] = ACTIONS(2157),
    [sym_number] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2157),
    [anon_sym_false] = ACTIONS(2157),
    [sym__single_quote] = ACTIONS(2155),
    [sym__double_quote] = ACTIONS(2155),
    [sym__backtick_quote] = ACTIONS(2155),
    [sym__search_slash_quote] = ACTIONS(2155),
    [sym__open_readline_bracket] = ACTIONS(2155),
    [sym__open_fileglob_bracket] = ACTIONS(2155),
    [sym__PERLY_HEREDOC] = ACTIONS(2155),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2155),
    [sym__filetest] = ACTIONS(2155),
  },
  [1046] = {
    [sym_heredoc_content] = STATE(1046),
    [sym__identifier] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_RBRACE] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2161),
    [anon_sym_package] = ACTIONS(2161),
    [anon_sym_class] = ACTIONS(2161),
    [anon_sym_role] = ACTIONS(2161),
    [anon_sym_BUILD] = ACTIONS(2161),
    [anon_sym_ADJUST] = ACTIONS(2161),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(2161),
    [anon_sym_my] = ACTIONS(2161),
    [anon_sym_extended] = ACTIONS(2161),
    [anon_sym_async] = ACTIONS(2161),
    [anon_sym_sub] = ACTIONS(2161),
    [anon_sym_method] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_continue] = ACTIONS(2161),
    [anon_sym_state] = ACTIONS(2161),
    [anon_sym_our] = ACTIONS(2161),
    [anon_sym_try] = ACTIONS(2161),
    [anon_sym_defer] = ACTIONS(2161),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_SLASH_SLASH] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_BSLASH] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2161),
    [anon_sym_eval] = ACTIONS(2161),
    [anon_sym_await] = ACTIONS(2161),
    [anon_sym_field] = ACTIONS(2161),
    [anon_sym_local] = ACTIONS(2161),
    [anon_sym_dynamically] = ACTIONS(2161),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2161),
    [anon_sym_require] = ACTIONS(2161),
    [anon_sym_map] = ACTIONS(2161),
    [anon_sym_grep] = ACTIONS(2161),
    [anon_sym_sort] = ACTIONS(2161),
    [anon_sym_goto] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2161),
    [anon_sym_undef] = ACTIONS(2161),
    [anon_sym_PERCENT2] = ACTIONS(2161),
    [anon_sym_AMP2] = ACTIONS(2161),
    [anon_sym_STAR2] = ACTIONS(2161),
    [anon_sym_use] = ACTIONS(2161),
    [anon_sym_no] = ACTIONS(2161),
    [anon_sym_for] = ACTIONS(2161),
    [anon_sym_foreach] = ACTIONS(2161),
    [anon_sym_last] = ACTIONS(2161),
    [anon_sym_next] = ACTIONS(2161),
    [anon_sym_redo] = ACTIONS(2161),
    [anon_sym_BEGIN] = ACTIONS(2161),
    [anon_sym_INIT] = ACTIONS(2161),
    [anon_sym_CHECK] = ACTIONS(2161),
    [anon_sym_UNITCHECK] = ACTIONS(2161),
    [anon_sym_END] = ACTIONS(2161),
    [anon_sym___FILE__] = ACTIONS(2161),
    [anon_sym___LINE__] = ACTIONS(2161),
    [anon_sym___PACKAGE__] = ACTIONS(2161),
    [anon_sym___SUB__] = ACTIONS(2161),
    [anon_sym_break] = ACTIONS(2161),
    [anon_sym_fork] = ACTIONS(2161),
    [anon_sym_getppid] = ACTIONS(2161),
    [anon_sym_time] = ACTIONS(2161),
    [anon_sym_times] = ACTIONS(2161),
    [anon_sym_wait] = ACTIONS(2161),
    [anon_sym_wantarray] = ACTIONS(2161),
    [anon_sym_abs] = ACTIONS(2161),
    [anon_sym_alarm] = ACTIONS(2161),
    [anon_sym_chop] = ACTIONS(2161),
    [anon_sym_chdir] = ACTIONS(2161),
    [anon_sym_close] = ACTIONS(2161),
    [anon_sym_closedir] = ACTIONS(2161),
    [anon_sym_caller] = ACTIONS(2161),
    [anon_sym_chomp] = ACTIONS(2161),
    [anon_sym_chr] = ACTIONS(2161),
    [anon_sym_cos] = ACTIONS(2161),
    [anon_sym_chroot] = ACTIONS(2161),
    [anon_sym_defined] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2161),
    [anon_sym_dbmclose] = ACTIONS(2161),
    [anon_sym_exists] = ACTIONS(2161),
    [anon_sym_exit] = ACTIONS(2161),
    [anon_sym_eof] = ACTIONS(2161),
    [anon_sym_exp] = ACTIONS(2161),
    [anon_sym_each] = ACTIONS(2161),
    [anon_sym_fc] = ACTIONS(2161),
    [anon_sym_fileno] = ACTIONS(2161),
    [anon_sym_gmtime] = ACTIONS(2161),
    [anon_sym_getc] = ACTIONS(2161),
    [anon_sym_getpgrp] = ACTIONS(2161),
    [anon_sym_getprotobyname] = ACTIONS(2161),
    [anon_sym_getpwname] = ACTIONS(2161),
    [anon_sym_getpwuid] = ACTIONS(2161),
    [anon_sym_getpeername] = ACTIONS(2161),
    [anon_sym_getnetbyname] = ACTIONS(2161),
    [anon_sym_getsockname] = ACTIONS(2161),
    [anon_sym_getgrnam] = ACTIONS(2161),
    [anon_sym_getgrgid] = ACTIONS(2161),
    [anon_sym_hex] = ACTIONS(2161),
    [anon_sym_int] = ACTIONS(2161),
    [anon_sym_keys] = ACTIONS(2161),
    [anon_sym_lc] = ACTIONS(2161),
    [anon_sym_lcfirst] = ACTIONS(2161),
    [anon_sym_length] = ACTIONS(2161),
    [anon_sym_localtime] = ACTIONS(2161),
    [anon_sym_log] = ACTIONS(2161),
    [anon_sym_lock] = ACTIONS(2161),
    [anon_sym_lstat] = ACTIONS(2161),
    [anon_sym_oct] = ACTIONS(2161),
    [anon_sym_ord] = ACTIONS(2161),
    [anon_sym_prototype] = ACTIONS(2161),
    [anon_sym_pop] = ACTIONS(2161),
    [anon_sym_pos] = ACTIONS(2161),
    [anon_sym_quotemeta] = ACTIONS(2161),
    [anon_sym_reset] = ACTIONS(2161),
    [anon_sym_rand] = ACTIONS(2161),
    [anon_sym_rmdir] = ACTIONS(2161),
    [anon_sym_readdir] = ACTIONS(2161),
    [anon_sym_readline] = ACTIONS(2161),
    [anon_sym_readpipe] = ACTIONS(2161),
    [anon_sym_rewinddir] = ACTIONS(2161),
    [anon_sym_readlink] = ACTIONS(2161),
    [anon_sym_ref] = ACTIONS(2161),
    [anon_sym_scalar] = ACTIONS(2161),
    [anon_sym_shift] = ACTIONS(2161),
    [anon_sym_sin] = ACTIONS(2161),
    [anon_sym_sleep] = ACTIONS(2161),
    [anon_sym_sqrt] = ACTIONS(2161),
    [anon_sym_srand] = ACTIONS(2161),
    [anon_sym_stat] = ACTIONS(2161),
    [anon_sym_study] = ACTIONS(2161),
    [anon_sym_tell] = ACTIONS(2161),
    [anon_sym_telldir] = ACTIONS(2161),
    [anon_sym_tied] = ACTIONS(2161),
    [anon_sym_uc] = ACTIONS(2161),
    [anon_sym_ucfirst] = ACTIONS(2161),
    [anon_sym_untie] = ACTIONS(2161),
    [anon_sym_umask] = ACTIONS(2161),
    [anon_sym_values] = ACTIONS(2161),
    [anon_sym_write] = ACTIONS(2161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2161),
    [anon_sym_qq] = ACTIONS(2161),
    [anon_sym_qw] = ACTIONS(2161),
    [anon_sym_qx] = ACTIONS(2161),
    [anon_sym_qr] = ACTIONS(2161),
    [anon_sym_m] = ACTIONS(2161),
    [anon_sym_s] = ACTIONS(2161),
    [anon_sym_tr] = ACTIONS(2161),
    [anon_sym_y] = ACTIONS(2161),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_unless] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2161),
    [anon_sym_until] = ACTIONS(2161),
    [aux_sym__bareword_token1] = ACTIONS(2161),
    [sym_number] = ACTIONS(2161),
    [anon_sym_true] = ACTIONS(2161),
    [anon_sym_false] = ACTIONS(2161),
    [sym__single_quote] = ACTIONS(2159),
    [sym__double_quote] = ACTIONS(2159),
    [sym__backtick_quote] = ACTIONS(2159),
    [sym__search_slash_quote] = ACTIONS(2159),
    [sym__open_readline_bracket] = ACTIONS(2159),
    [sym__open_fileglob_bracket] = ACTIONS(2159),
    [sym__PERLY_HEREDOC] = ACTIONS(2159),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2159),
    [sym__filetest] = ACTIONS(2159),
  },
  [1047] = {
    [sym_heredoc_content] = STATE(1047),
    [sym__identifier] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_RBRACE] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2165),
    [anon_sym_package] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_role] = ACTIONS(2165),
    [anon_sym_BUILD] = ACTIONS(2165),
    [anon_sym_ADJUST] = ACTIONS(2165),
    [anon_sym_DOLLAR] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_my] = ACTIONS(2165),
    [anon_sym_extended] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_sub] = ACTIONS(2165),
    [anon_sym_method] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_state] = ACTIONS(2165),
    [anon_sym_our] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_defer] = ACTIONS(2165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_SLASH_SLASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_BSLASH] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_eval] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_field] = ACTIONS(2165),
    [anon_sym_local] = ACTIONS(2165),
    [anon_sym_dynamically] = ACTIONS(2165),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2165),
    [anon_sym_require] = ACTIONS(2165),
    [anon_sym_map] = ACTIONS(2165),
    [anon_sym_grep] = ACTIONS(2165),
    [anon_sym_sort] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_undef] = ACTIONS(2165),
    [anon_sym_PERCENT2] = ACTIONS(2165),
    [anon_sym_AMP2] = ACTIONS(2165),
    [anon_sym_STAR2] = ACTIONS(2165),
    [anon_sym_use] = ACTIONS(2165),
    [anon_sym_no] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_foreach] = ACTIONS(2165),
    [anon_sym_last] = ACTIONS(2165),
    [anon_sym_next] = ACTIONS(2165),
    [anon_sym_redo] = ACTIONS(2165),
    [anon_sym_BEGIN] = ACTIONS(2165),
    [anon_sym_INIT] = ACTIONS(2165),
    [anon_sym_CHECK] = ACTIONS(2165),
    [anon_sym_UNITCHECK] = ACTIONS(2165),
    [anon_sym_END] = ACTIONS(2165),
    [anon_sym___FILE__] = ACTIONS(2165),
    [anon_sym___LINE__] = ACTIONS(2165),
    [anon_sym___PACKAGE__] = ACTIONS(2165),
    [anon_sym___SUB__] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_fork] = ACTIONS(2165),
    [anon_sym_getppid] = ACTIONS(2165),
    [anon_sym_time] = ACTIONS(2165),
    [anon_sym_times] = ACTIONS(2165),
    [anon_sym_wait] = ACTIONS(2165),
    [anon_sym_wantarray] = ACTIONS(2165),
    [anon_sym_abs] = ACTIONS(2165),
    [anon_sym_alarm] = ACTIONS(2165),
    [anon_sym_chop] = ACTIONS(2165),
    [anon_sym_chdir] = ACTIONS(2165),
    [anon_sym_close] = ACTIONS(2165),
    [anon_sym_closedir] = ACTIONS(2165),
    [anon_sym_caller] = ACTIONS(2165),
    [anon_sym_chomp] = ACTIONS(2165),
    [anon_sym_chr] = ACTIONS(2165),
    [anon_sym_cos] = ACTIONS(2165),
    [anon_sym_chroot] = ACTIONS(2165),
    [anon_sym_defined] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_dbmclose] = ACTIONS(2165),
    [anon_sym_exists] = ACTIONS(2165),
    [anon_sym_exit] = ACTIONS(2165),
    [anon_sym_eof] = ACTIONS(2165),
    [anon_sym_exp] = ACTIONS(2165),
    [anon_sym_each] = ACTIONS(2165),
    [anon_sym_fc] = ACTIONS(2165),
    [anon_sym_fileno] = ACTIONS(2165),
    [anon_sym_gmtime] = ACTIONS(2165),
    [anon_sym_getc] = ACTIONS(2165),
    [anon_sym_getpgrp] = ACTIONS(2165),
    [anon_sym_getprotobyname] = ACTIONS(2165),
    [anon_sym_getpwname] = ACTIONS(2165),
    [anon_sym_getpwuid] = ACTIONS(2165),
    [anon_sym_getpeername] = ACTIONS(2165),
    [anon_sym_getnetbyname] = ACTIONS(2165),
    [anon_sym_getsockname] = ACTIONS(2165),
    [anon_sym_getgrnam] = ACTIONS(2165),
    [anon_sym_getgrgid] = ACTIONS(2165),
    [anon_sym_hex] = ACTIONS(2165),
    [anon_sym_int] = ACTIONS(2165),
    [anon_sym_keys] = ACTIONS(2165),
    [anon_sym_lc] = ACTIONS(2165),
    [anon_sym_lcfirst] = ACTIONS(2165),
    [anon_sym_length] = ACTIONS(2165),
    [anon_sym_localtime] = ACTIONS(2165),
    [anon_sym_log] = ACTIONS(2165),
    [anon_sym_lock] = ACTIONS(2165),
    [anon_sym_lstat] = ACTIONS(2165),
    [anon_sym_oct] = ACTIONS(2165),
    [anon_sym_ord] = ACTIONS(2165),
    [anon_sym_prototype] = ACTIONS(2165),
    [anon_sym_pop] = ACTIONS(2165),
    [anon_sym_pos] = ACTIONS(2165),
    [anon_sym_quotemeta] = ACTIONS(2165),
    [anon_sym_reset] = ACTIONS(2165),
    [anon_sym_rand] = ACTIONS(2165),
    [anon_sym_rmdir] = ACTIONS(2165),
    [anon_sym_readdir] = ACTIONS(2165),
    [anon_sym_readline] = ACTIONS(2165),
    [anon_sym_readpipe] = ACTIONS(2165),
    [anon_sym_rewinddir] = ACTIONS(2165),
    [anon_sym_readlink] = ACTIONS(2165),
    [anon_sym_ref] = ACTIONS(2165),
    [anon_sym_scalar] = ACTIONS(2165),
    [anon_sym_shift] = ACTIONS(2165),
    [anon_sym_sin] = ACTIONS(2165),
    [anon_sym_sleep] = ACTIONS(2165),
    [anon_sym_sqrt] = ACTIONS(2165),
    [anon_sym_srand] = ACTIONS(2165),
    [anon_sym_stat] = ACTIONS(2165),
    [anon_sym_study] = ACTIONS(2165),
    [anon_sym_tell] = ACTIONS(2165),
    [anon_sym_telldir] = ACTIONS(2165),
    [anon_sym_tied] = ACTIONS(2165),
    [anon_sym_uc] = ACTIONS(2165),
    [anon_sym_ucfirst] = ACTIONS(2165),
    [anon_sym_untie] = ACTIONS(2165),
    [anon_sym_umask] = ACTIONS(2165),
    [anon_sym_values] = ACTIONS(2165),
    [anon_sym_write] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2165),
    [anon_sym_qq] = ACTIONS(2165),
    [anon_sym_qw] = ACTIONS(2165),
    [anon_sym_qx] = ACTIONS(2165),
    [anon_sym_qr] = ACTIONS(2165),
    [anon_sym_m] = ACTIONS(2165),
    [anon_sym_s] = ACTIONS(2165),
    [anon_sym_tr] = ACTIONS(2165),
    [anon_sym_y] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_unless] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_until] = ACTIONS(2165),
    [aux_sym__bareword_token1] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [anon_sym_true] = ACTIONS(2165),
    [anon_sym_false] = ACTIONS(2165),
    [sym__single_quote] = ACTIONS(2163),
    [sym__double_quote] = ACTIONS(2163),
    [sym__backtick_quote] = ACTIONS(2163),
    [sym__search_slash_quote] = ACTIONS(2163),
    [sym__open_readline_bracket] = ACTIONS(2163),
    [sym__open_fileglob_bracket] = ACTIONS(2163),
    [sym__PERLY_HEREDOC] = ACTIONS(2163),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2163),
    [sym__filetest] = ACTIONS(2163),
  },
  [1048] = {
    [sym_heredoc_content] = STATE(1048),
    [sym__identifier] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_RBRACE] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2173),
    [anon_sym_package] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_role] = ACTIONS(2173),
    [anon_sym_BUILD] = ACTIONS(2173),
    [anon_sym_ADJUST] = ACTIONS(2173),
    [anon_sym_DOLLAR] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_my] = ACTIONS(2173),
    [anon_sym_extended] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_sub] = ACTIONS(2173),
    [anon_sym_method] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_state] = ACTIONS(2173),
    [anon_sym_our] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_defer] = ACTIONS(2173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_SLASH_SLASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [anon_sym_BSLASH] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_eval] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_field] = ACTIONS(2173),
    [anon_sym_local] = ACTIONS(2173),
    [anon_sym_dynamically] = ACTIONS(2173),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2173),
    [anon_sym_require] = ACTIONS(2173),
    [anon_sym_map] = ACTIONS(2173),
    [anon_sym_grep] = ACTIONS(2173),
    [anon_sym_sort] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_undef] = ACTIONS(2173),
    [anon_sym_PERCENT2] = ACTIONS(2173),
    [anon_sym_AMP2] = ACTIONS(2173),
    [anon_sym_STAR2] = ACTIONS(2173),
    [anon_sym_use] = ACTIONS(2173),
    [anon_sym_no] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_foreach] = ACTIONS(2173),
    [anon_sym_last] = ACTIONS(2173),
    [anon_sym_next] = ACTIONS(2173),
    [anon_sym_redo] = ACTIONS(2173),
    [anon_sym_BEGIN] = ACTIONS(2173),
    [anon_sym_INIT] = ACTIONS(2173),
    [anon_sym_CHECK] = ACTIONS(2173),
    [anon_sym_UNITCHECK] = ACTIONS(2173),
    [anon_sym_END] = ACTIONS(2173),
    [anon_sym___FILE__] = ACTIONS(2173),
    [anon_sym___LINE__] = ACTIONS(2173),
    [anon_sym___PACKAGE__] = ACTIONS(2173),
    [anon_sym___SUB__] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_fork] = ACTIONS(2173),
    [anon_sym_getppid] = ACTIONS(2173),
    [anon_sym_time] = ACTIONS(2173),
    [anon_sym_times] = ACTIONS(2173),
    [anon_sym_wait] = ACTIONS(2173),
    [anon_sym_wantarray] = ACTIONS(2173),
    [anon_sym_abs] = ACTIONS(2173),
    [anon_sym_alarm] = ACTIONS(2173),
    [anon_sym_chop] = ACTIONS(2173),
    [anon_sym_chdir] = ACTIONS(2173),
    [anon_sym_close] = ACTIONS(2173),
    [anon_sym_closedir] = ACTIONS(2173),
    [anon_sym_caller] = ACTIONS(2173),
    [anon_sym_chomp] = ACTIONS(2173),
    [anon_sym_chr] = ACTIONS(2173),
    [anon_sym_cos] = ACTIONS(2173),
    [anon_sym_chroot] = ACTIONS(2173),
    [anon_sym_defined] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_dbmclose] = ACTIONS(2173),
    [anon_sym_exists] = ACTIONS(2173),
    [anon_sym_exit] = ACTIONS(2173),
    [anon_sym_eof] = ACTIONS(2173),
    [anon_sym_exp] = ACTIONS(2173),
    [anon_sym_each] = ACTIONS(2173),
    [anon_sym_fc] = ACTIONS(2173),
    [anon_sym_fileno] = ACTIONS(2173),
    [anon_sym_gmtime] = ACTIONS(2173),
    [anon_sym_getc] = ACTIONS(2173),
    [anon_sym_getpgrp] = ACTIONS(2173),
    [anon_sym_getprotobyname] = ACTIONS(2173),
    [anon_sym_getpwname] = ACTIONS(2173),
    [anon_sym_getpwuid] = ACTIONS(2173),
    [anon_sym_getpeername] = ACTIONS(2173),
    [anon_sym_getnetbyname] = ACTIONS(2173),
    [anon_sym_getsockname] = ACTIONS(2173),
    [anon_sym_getgrnam] = ACTIONS(2173),
    [anon_sym_getgrgid] = ACTIONS(2173),
    [anon_sym_hex] = ACTIONS(2173),
    [anon_sym_int] = ACTIONS(2173),
    [anon_sym_keys] = ACTIONS(2173),
    [anon_sym_lc] = ACTIONS(2173),
    [anon_sym_lcfirst] = ACTIONS(2173),
    [anon_sym_length] = ACTIONS(2173),
    [anon_sym_localtime] = ACTIONS(2173),
    [anon_sym_log] = ACTIONS(2173),
    [anon_sym_lock] = ACTIONS(2173),
    [anon_sym_lstat] = ACTIONS(2173),
    [anon_sym_oct] = ACTIONS(2173),
    [anon_sym_ord] = ACTIONS(2173),
    [anon_sym_prototype] = ACTIONS(2173),
    [anon_sym_pop] = ACTIONS(2173),
    [anon_sym_pos] = ACTIONS(2173),
    [anon_sym_quotemeta] = ACTIONS(2173),
    [anon_sym_reset] = ACTIONS(2173),
    [anon_sym_rand] = ACTIONS(2173),
    [anon_sym_rmdir] = ACTIONS(2173),
    [anon_sym_readdir] = ACTIONS(2173),
    [anon_sym_readline] = ACTIONS(2173),
    [anon_sym_readpipe] = ACTIONS(2173),
    [anon_sym_rewinddir] = ACTIONS(2173),
    [anon_sym_readlink] = ACTIONS(2173),
    [anon_sym_ref] = ACTIONS(2173),
    [anon_sym_scalar] = ACTIONS(2173),
    [anon_sym_shift] = ACTIONS(2173),
    [anon_sym_sin] = ACTIONS(2173),
    [anon_sym_sleep] = ACTIONS(2173),
    [anon_sym_sqrt] = ACTIONS(2173),
    [anon_sym_srand] = ACTIONS(2173),
    [anon_sym_stat] = ACTIONS(2173),
    [anon_sym_study] = ACTIONS(2173),
    [anon_sym_tell] = ACTIONS(2173),
    [anon_sym_telldir] = ACTIONS(2173),
    [anon_sym_tied] = ACTIONS(2173),
    [anon_sym_uc] = ACTIONS(2173),
    [anon_sym_ucfirst] = ACTIONS(2173),
    [anon_sym_untie] = ACTIONS(2173),
    [anon_sym_umask] = ACTIONS(2173),
    [anon_sym_values] = ACTIONS(2173),
    [anon_sym_write] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2173),
    [anon_sym_qq] = ACTIONS(2173),
    [anon_sym_qw] = ACTIONS(2173),
    [anon_sym_qx] = ACTIONS(2173),
    [anon_sym_qr] = ACTIONS(2173),
    [anon_sym_m] = ACTIONS(2173),
    [anon_sym_s] = ACTIONS(2173),
    [anon_sym_tr] = ACTIONS(2173),
    [anon_sym_y] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_unless] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_until] = ACTIONS(2173),
    [aux_sym__bareword_token1] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [anon_sym_true] = ACTIONS(2173),
    [anon_sym_false] = ACTIONS(2173),
    [sym__single_quote] = ACTIONS(2171),
    [sym__double_quote] = ACTIONS(2171),
    [sym__backtick_quote] = ACTIONS(2171),
    [sym__search_slash_quote] = ACTIONS(2171),
    [sym__open_readline_bracket] = ACTIONS(2171),
    [sym__open_fileglob_bracket] = ACTIONS(2171),
    [sym__PERLY_HEREDOC] = ACTIONS(2171),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2171),
    [sym__filetest] = ACTIONS(2171),
  },
  [1049] = {
    [sym_heredoc_content] = STATE(1049),
    [sym__identifier] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2017),
    [anon_sym_RBRACE] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2017),
    [anon_sym_package] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_role] = ACTIONS(2017),
    [anon_sym_BUILD] = ACTIONS(2017),
    [anon_sym_ADJUST] = ACTIONS(2017),
    [anon_sym_DOLLAR] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2017),
    [anon_sym_my] = ACTIONS(2017),
    [anon_sym_extended] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_sub] = ACTIONS(2017),
    [anon_sym_method] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_state] = ACTIONS(2017),
    [anon_sym_our] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_defer] = ACTIONS(2017),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LT_LT] = ACTIONS(2017),
    [anon_sym_SLASH_SLASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_TILDE] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2017),
    [anon_sym_BSLASH] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_eval] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_field] = ACTIONS(2017),
    [anon_sym_local] = ACTIONS(2017),
    [anon_sym_dynamically] = ACTIONS(2017),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2017),
    [anon_sym_require] = ACTIONS(2017),
    [anon_sym_map] = ACTIONS(2017),
    [anon_sym_grep] = ACTIONS(2017),
    [anon_sym_sort] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_undef] = ACTIONS(2017),
    [anon_sym_PERCENT2] = ACTIONS(2017),
    [anon_sym_AMP2] = ACTIONS(2017),
    [anon_sym_STAR2] = ACTIONS(2017),
    [anon_sym_use] = ACTIONS(2017),
    [anon_sym_no] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_foreach] = ACTIONS(2017),
    [anon_sym_last] = ACTIONS(2017),
    [anon_sym_next] = ACTIONS(2017),
    [anon_sym_redo] = ACTIONS(2017),
    [anon_sym_BEGIN] = ACTIONS(2017),
    [anon_sym_INIT] = ACTIONS(2017),
    [anon_sym_CHECK] = ACTIONS(2017),
    [anon_sym_UNITCHECK] = ACTIONS(2017),
    [anon_sym_END] = ACTIONS(2017),
    [anon_sym___FILE__] = ACTIONS(2017),
    [anon_sym___LINE__] = ACTIONS(2017),
    [anon_sym___PACKAGE__] = ACTIONS(2017),
    [anon_sym___SUB__] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_fork] = ACTIONS(2017),
    [anon_sym_getppid] = ACTIONS(2017),
    [anon_sym_time] = ACTIONS(2017),
    [anon_sym_times] = ACTIONS(2017),
    [anon_sym_wait] = ACTIONS(2017),
    [anon_sym_wantarray] = ACTIONS(2017),
    [anon_sym_abs] = ACTIONS(2017),
    [anon_sym_alarm] = ACTIONS(2017),
    [anon_sym_chop] = ACTIONS(2017),
    [anon_sym_chdir] = ACTIONS(2017),
    [anon_sym_close] = ACTIONS(2017),
    [anon_sym_closedir] = ACTIONS(2017),
    [anon_sym_caller] = ACTIONS(2017),
    [anon_sym_chomp] = ACTIONS(2017),
    [anon_sym_chr] = ACTIONS(2017),
    [anon_sym_cos] = ACTIONS(2017),
    [anon_sym_chroot] = ACTIONS(2017),
    [anon_sym_defined] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_dbmclose] = ACTIONS(2017),
    [anon_sym_exists] = ACTIONS(2017),
    [anon_sym_exit] = ACTIONS(2017),
    [anon_sym_eof] = ACTIONS(2017),
    [anon_sym_exp] = ACTIONS(2017),
    [anon_sym_each] = ACTIONS(2017),
    [anon_sym_fc] = ACTIONS(2017),
    [anon_sym_fileno] = ACTIONS(2017),
    [anon_sym_gmtime] = ACTIONS(2017),
    [anon_sym_getc] = ACTIONS(2017),
    [anon_sym_getpgrp] = ACTIONS(2017),
    [anon_sym_getprotobyname] = ACTIONS(2017),
    [anon_sym_getpwname] = ACTIONS(2017),
    [anon_sym_getpwuid] = ACTIONS(2017),
    [anon_sym_getpeername] = ACTIONS(2017),
    [anon_sym_getnetbyname] = ACTIONS(2017),
    [anon_sym_getsockname] = ACTIONS(2017),
    [anon_sym_getgrnam] = ACTIONS(2017),
    [anon_sym_getgrgid] = ACTIONS(2017),
    [anon_sym_hex] = ACTIONS(2017),
    [anon_sym_int] = ACTIONS(2017),
    [anon_sym_keys] = ACTIONS(2017),
    [anon_sym_lc] = ACTIONS(2017),
    [anon_sym_lcfirst] = ACTIONS(2017),
    [anon_sym_length] = ACTIONS(2017),
    [anon_sym_localtime] = ACTIONS(2017),
    [anon_sym_log] = ACTIONS(2017),
    [anon_sym_lock] = ACTIONS(2017),
    [anon_sym_lstat] = ACTIONS(2017),
    [anon_sym_oct] = ACTIONS(2017),
    [anon_sym_ord] = ACTIONS(2017),
    [anon_sym_prototype] = ACTIONS(2017),
    [anon_sym_pop] = ACTIONS(2017),
    [anon_sym_pos] = ACTIONS(2017),
    [anon_sym_quotemeta] = ACTIONS(2017),
    [anon_sym_reset] = ACTIONS(2017),
    [anon_sym_rand] = ACTIONS(2017),
    [anon_sym_rmdir] = ACTIONS(2017),
    [anon_sym_readdir] = ACTIONS(2017),
    [anon_sym_readline] = ACTIONS(2017),
    [anon_sym_readpipe] = ACTIONS(2017),
    [anon_sym_rewinddir] = ACTIONS(2017),
    [anon_sym_readlink] = ACTIONS(2017),
    [anon_sym_ref] = ACTIONS(2017),
    [anon_sym_scalar] = ACTIONS(2017),
    [anon_sym_shift] = ACTIONS(2017),
    [anon_sym_sin] = ACTIONS(2017),
    [anon_sym_sleep] = ACTIONS(2017),
    [anon_sym_sqrt] = ACTIONS(2017),
    [anon_sym_srand] = ACTIONS(2017),
    [anon_sym_stat] = ACTIONS(2017),
    [anon_sym_study] = ACTIONS(2017),
    [anon_sym_tell] = ACTIONS(2017),
    [anon_sym_telldir] = ACTIONS(2017),
    [anon_sym_tied] = ACTIONS(2017),
    [anon_sym_uc] = ACTIONS(2017),
    [anon_sym_ucfirst] = ACTIONS(2017),
    [anon_sym_untie] = ACTIONS(2017),
    [anon_sym_umask] = ACTIONS(2017),
    [anon_sym_values] = ACTIONS(2017),
    [anon_sym_write] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2017),
    [anon_sym_qq] = ACTIONS(2017),
    [anon_sym_qw] = ACTIONS(2017),
    [anon_sym_qx] = ACTIONS(2017),
    [anon_sym_qr] = ACTIONS(2017),
    [anon_sym_m] = ACTIONS(2017),
    [anon_sym_s] = ACTIONS(2017),
    [anon_sym_tr] = ACTIONS(2017),
    [anon_sym_y] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_unless] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_until] = ACTIONS(2017),
    [aux_sym__bareword_token1] = ACTIONS(2017),
    [sym_number] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2017),
    [anon_sym_false] = ACTIONS(2017),
    [sym__single_quote] = ACTIONS(2015),
    [sym__double_quote] = ACTIONS(2015),
    [sym__backtick_quote] = ACTIONS(2015),
    [sym__search_slash_quote] = ACTIONS(2015),
    [sym__open_readline_bracket] = ACTIONS(2015),
    [sym__open_fileglob_bracket] = ACTIONS(2015),
    [sym__PERLY_HEREDOC] = ACTIONS(2015),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2015),
    [sym__filetest] = ACTIONS(2015),
  },
  [1050] = {
    [sym_heredoc_content] = STATE(1050),
    [sym__identifier] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_RBRACE] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2021),
    [anon_sym_package] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2021),
    [anon_sym_role] = ACTIONS(2021),
    [anon_sym_BUILD] = ACTIONS(2021),
    [anon_sym_ADJUST] = ACTIONS(2021),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [anon_sym_AT] = ACTIONS(2021),
    [anon_sym_my] = ACTIONS(2021),
    [anon_sym_extended] = ACTIONS(2021),
    [anon_sym_async] = ACTIONS(2021),
    [anon_sym_sub] = ACTIONS(2021),
    [anon_sym_method] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(2021),
    [anon_sym_continue] = ACTIONS(2021),
    [anon_sym_state] = ACTIONS(2021),
    [anon_sym_our] = ACTIONS(2021),
    [anon_sym_try] = ACTIONS(2021),
    [anon_sym_defer] = ACTIONS(2021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2021),
    [anon_sym_LT_LT] = ACTIONS(2021),
    [anon_sym_SLASH_SLASH] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2021),
    [anon_sym_TILDE] = ACTIONS(2021),
    [anon_sym_BANG] = ACTIONS(2021),
    [anon_sym_PLUS_PLUS] = ACTIONS(2021),
    [anon_sym_DASH_DASH] = ACTIONS(2021),
    [anon_sym_BSLASH] = ACTIONS(2019),
    [anon_sym_do] = ACTIONS(2021),
    [anon_sym_eval] = ACTIONS(2021),
    [anon_sym_await] = ACTIONS(2021),
    [anon_sym_field] = ACTIONS(2021),
    [anon_sym_local] = ACTIONS(2021),
    [anon_sym_dynamically] = ACTIONS(2021),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2021),
    [anon_sym_require] = ACTIONS(2021),
    [anon_sym_map] = ACTIONS(2021),
    [anon_sym_grep] = ACTIONS(2021),
    [anon_sym_sort] = ACTIONS(2021),
    [anon_sym_goto] = ACTIONS(2021),
    [anon_sym_return] = ACTIONS(2021),
    [anon_sym_undef] = ACTIONS(2021),
    [anon_sym_PERCENT2] = ACTIONS(2021),
    [anon_sym_AMP2] = ACTIONS(2021),
    [anon_sym_STAR2] = ACTIONS(2021),
    [anon_sym_use] = ACTIONS(2021),
    [anon_sym_no] = ACTIONS(2021),
    [anon_sym_for] = ACTIONS(2021),
    [anon_sym_foreach] = ACTIONS(2021),
    [anon_sym_last] = ACTIONS(2021),
    [anon_sym_next] = ACTIONS(2021),
    [anon_sym_redo] = ACTIONS(2021),
    [anon_sym_BEGIN] = ACTIONS(2021),
    [anon_sym_INIT] = ACTIONS(2021),
    [anon_sym_CHECK] = ACTIONS(2021),
    [anon_sym_UNITCHECK] = ACTIONS(2021),
    [anon_sym_END] = ACTIONS(2021),
    [anon_sym___FILE__] = ACTIONS(2021),
    [anon_sym___LINE__] = ACTIONS(2021),
    [anon_sym___PACKAGE__] = ACTIONS(2021),
    [anon_sym___SUB__] = ACTIONS(2021),
    [anon_sym_break] = ACTIONS(2021),
    [anon_sym_fork] = ACTIONS(2021),
    [anon_sym_getppid] = ACTIONS(2021),
    [anon_sym_time] = ACTIONS(2021),
    [anon_sym_times] = ACTIONS(2021),
    [anon_sym_wait] = ACTIONS(2021),
    [anon_sym_wantarray] = ACTIONS(2021),
    [anon_sym_abs] = ACTIONS(2021),
    [anon_sym_alarm] = ACTIONS(2021),
    [anon_sym_chop] = ACTIONS(2021),
    [anon_sym_chdir] = ACTIONS(2021),
    [anon_sym_close] = ACTIONS(2021),
    [anon_sym_closedir] = ACTIONS(2021),
    [anon_sym_caller] = ACTIONS(2021),
    [anon_sym_chomp] = ACTIONS(2021),
    [anon_sym_chr] = ACTIONS(2021),
    [anon_sym_cos] = ACTIONS(2021),
    [anon_sym_chroot] = ACTIONS(2021),
    [anon_sym_defined] = ACTIONS(2021),
    [anon_sym_delete] = ACTIONS(2021),
    [anon_sym_dbmclose] = ACTIONS(2021),
    [anon_sym_exists] = ACTIONS(2021),
    [anon_sym_exit] = ACTIONS(2021),
    [anon_sym_eof] = ACTIONS(2021),
    [anon_sym_exp] = ACTIONS(2021),
    [anon_sym_each] = ACTIONS(2021),
    [anon_sym_fc] = ACTIONS(2021),
    [anon_sym_fileno] = ACTIONS(2021),
    [anon_sym_gmtime] = ACTIONS(2021),
    [anon_sym_getc] = ACTIONS(2021),
    [anon_sym_getpgrp] = ACTIONS(2021),
    [anon_sym_getprotobyname] = ACTIONS(2021),
    [anon_sym_getpwname] = ACTIONS(2021),
    [anon_sym_getpwuid] = ACTIONS(2021),
    [anon_sym_getpeername] = ACTIONS(2021),
    [anon_sym_getnetbyname] = ACTIONS(2021),
    [anon_sym_getsockname] = ACTIONS(2021),
    [anon_sym_getgrnam] = ACTIONS(2021),
    [anon_sym_getgrgid] = ACTIONS(2021),
    [anon_sym_hex] = ACTIONS(2021),
    [anon_sym_int] = ACTIONS(2021),
    [anon_sym_keys] = ACTIONS(2021),
    [anon_sym_lc] = ACTIONS(2021),
    [anon_sym_lcfirst] = ACTIONS(2021),
    [anon_sym_length] = ACTIONS(2021),
    [anon_sym_localtime] = ACTIONS(2021),
    [anon_sym_log] = ACTIONS(2021),
    [anon_sym_lock] = ACTIONS(2021),
    [anon_sym_lstat] = ACTIONS(2021),
    [anon_sym_oct] = ACTIONS(2021),
    [anon_sym_ord] = ACTIONS(2021),
    [anon_sym_prototype] = ACTIONS(2021),
    [anon_sym_pop] = ACTIONS(2021),
    [anon_sym_pos] = ACTIONS(2021),
    [anon_sym_quotemeta] = ACTIONS(2021),
    [anon_sym_reset] = ACTIONS(2021),
    [anon_sym_rand] = ACTIONS(2021),
    [anon_sym_rmdir] = ACTIONS(2021),
    [anon_sym_readdir] = ACTIONS(2021),
    [anon_sym_readline] = ACTIONS(2021),
    [anon_sym_readpipe] = ACTIONS(2021),
    [anon_sym_rewinddir] = ACTIONS(2021),
    [anon_sym_readlink] = ACTIONS(2021),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_scalar] = ACTIONS(2021),
    [anon_sym_shift] = ACTIONS(2021),
    [anon_sym_sin] = ACTIONS(2021),
    [anon_sym_sleep] = ACTIONS(2021),
    [anon_sym_sqrt] = ACTIONS(2021),
    [anon_sym_srand] = ACTIONS(2021),
    [anon_sym_stat] = ACTIONS(2021),
    [anon_sym_study] = ACTIONS(2021),
    [anon_sym_tell] = ACTIONS(2021),
    [anon_sym_telldir] = ACTIONS(2021),
    [anon_sym_tied] = ACTIONS(2021),
    [anon_sym_uc] = ACTIONS(2021),
    [anon_sym_ucfirst] = ACTIONS(2021),
    [anon_sym_untie] = ACTIONS(2021),
    [anon_sym_umask] = ACTIONS(2021),
    [anon_sym_values] = ACTIONS(2021),
    [anon_sym_write] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2021),
    [anon_sym_qq] = ACTIONS(2021),
    [anon_sym_qw] = ACTIONS(2021),
    [anon_sym_qx] = ACTIONS(2021),
    [anon_sym_qr] = ACTIONS(2021),
    [anon_sym_m] = ACTIONS(2021),
    [anon_sym_s] = ACTIONS(2021),
    [anon_sym_tr] = ACTIONS(2021),
    [anon_sym_y] = ACTIONS(2021),
    [anon_sym_if] = ACTIONS(2021),
    [anon_sym_unless] = ACTIONS(2021),
    [anon_sym_while] = ACTIONS(2021),
    [anon_sym_until] = ACTIONS(2021),
    [aux_sym__bareword_token1] = ACTIONS(2021),
    [sym_number] = ACTIONS(2021),
    [anon_sym_true] = ACTIONS(2021),
    [anon_sym_false] = ACTIONS(2021),
    [sym__single_quote] = ACTIONS(2019),
    [sym__double_quote] = ACTIONS(2019),
    [sym__backtick_quote] = ACTIONS(2019),
    [sym__search_slash_quote] = ACTIONS(2019),
    [sym__open_readline_bracket] = ACTIONS(2019),
    [sym__open_fileglob_bracket] = ACTIONS(2019),
    [sym__PERLY_HEREDOC] = ACTIONS(2019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2019),
    [sym__filetest] = ACTIONS(2019),
  },
  [1051] = {
    [sym_heredoc_content] = STATE(1051),
    [sym__identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_RBRACE] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2025),
    [anon_sym_package] = ACTIONS(2025),
    [anon_sym_class] = ACTIONS(2025),
    [anon_sym_role] = ACTIONS(2025),
    [anon_sym_BUILD] = ACTIONS(2025),
    [anon_sym_ADJUST] = ACTIONS(2025),
    [anon_sym_DOLLAR] = ACTIONS(2025),
    [anon_sym_AT] = ACTIONS(2025),
    [anon_sym_my] = ACTIONS(2025),
    [anon_sym_extended] = ACTIONS(2025),
    [anon_sym_async] = ACTIONS(2025),
    [anon_sym_sub] = ACTIONS(2025),
    [anon_sym_method] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_continue] = ACTIONS(2025),
    [anon_sym_state] = ACTIONS(2025),
    [anon_sym_our] = ACTIONS(2025),
    [anon_sym_try] = ACTIONS(2025),
    [anon_sym_defer] = ACTIONS(2025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_LT_LT] = ACTIONS(2025),
    [anon_sym_SLASH_SLASH] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_BSLASH] = ACTIONS(2023),
    [anon_sym_do] = ACTIONS(2025),
    [anon_sym_eval] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(2025),
    [anon_sym_field] = ACTIONS(2025),
    [anon_sym_local] = ACTIONS(2025),
    [anon_sym_dynamically] = ACTIONS(2025),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2025),
    [anon_sym_require] = ACTIONS(2025),
    [anon_sym_map] = ACTIONS(2025),
    [anon_sym_grep] = ACTIONS(2025),
    [anon_sym_sort] = ACTIONS(2025),
    [anon_sym_goto] = ACTIONS(2025),
    [anon_sym_return] = ACTIONS(2025),
    [anon_sym_undef] = ACTIONS(2025),
    [anon_sym_PERCENT2] = ACTIONS(2025),
    [anon_sym_AMP2] = ACTIONS(2025),
    [anon_sym_STAR2] = ACTIONS(2025),
    [anon_sym_use] = ACTIONS(2025),
    [anon_sym_no] = ACTIONS(2025),
    [anon_sym_for] = ACTIONS(2025),
    [anon_sym_foreach] = ACTIONS(2025),
    [anon_sym_last] = ACTIONS(2025),
    [anon_sym_next] = ACTIONS(2025),
    [anon_sym_redo] = ACTIONS(2025),
    [anon_sym_BEGIN] = ACTIONS(2025),
    [anon_sym_INIT] = ACTIONS(2025),
    [anon_sym_CHECK] = ACTIONS(2025),
    [anon_sym_UNITCHECK] = ACTIONS(2025),
    [anon_sym_END] = ACTIONS(2025),
    [anon_sym___FILE__] = ACTIONS(2025),
    [anon_sym___LINE__] = ACTIONS(2025),
    [anon_sym___PACKAGE__] = ACTIONS(2025),
    [anon_sym___SUB__] = ACTIONS(2025),
    [anon_sym_break] = ACTIONS(2025),
    [anon_sym_fork] = ACTIONS(2025),
    [anon_sym_getppid] = ACTIONS(2025),
    [anon_sym_time] = ACTIONS(2025),
    [anon_sym_times] = ACTIONS(2025),
    [anon_sym_wait] = ACTIONS(2025),
    [anon_sym_wantarray] = ACTIONS(2025),
    [anon_sym_abs] = ACTIONS(2025),
    [anon_sym_alarm] = ACTIONS(2025),
    [anon_sym_chop] = ACTIONS(2025),
    [anon_sym_chdir] = ACTIONS(2025),
    [anon_sym_close] = ACTIONS(2025),
    [anon_sym_closedir] = ACTIONS(2025),
    [anon_sym_caller] = ACTIONS(2025),
    [anon_sym_chomp] = ACTIONS(2025),
    [anon_sym_chr] = ACTIONS(2025),
    [anon_sym_cos] = ACTIONS(2025),
    [anon_sym_chroot] = ACTIONS(2025),
    [anon_sym_defined] = ACTIONS(2025),
    [anon_sym_delete] = ACTIONS(2025),
    [anon_sym_dbmclose] = ACTIONS(2025),
    [anon_sym_exists] = ACTIONS(2025),
    [anon_sym_exit] = ACTIONS(2025),
    [anon_sym_eof] = ACTIONS(2025),
    [anon_sym_exp] = ACTIONS(2025),
    [anon_sym_each] = ACTIONS(2025),
    [anon_sym_fc] = ACTIONS(2025),
    [anon_sym_fileno] = ACTIONS(2025),
    [anon_sym_gmtime] = ACTIONS(2025),
    [anon_sym_getc] = ACTIONS(2025),
    [anon_sym_getpgrp] = ACTIONS(2025),
    [anon_sym_getprotobyname] = ACTIONS(2025),
    [anon_sym_getpwname] = ACTIONS(2025),
    [anon_sym_getpwuid] = ACTIONS(2025),
    [anon_sym_getpeername] = ACTIONS(2025),
    [anon_sym_getnetbyname] = ACTIONS(2025),
    [anon_sym_getsockname] = ACTIONS(2025),
    [anon_sym_getgrnam] = ACTIONS(2025),
    [anon_sym_getgrgid] = ACTIONS(2025),
    [anon_sym_hex] = ACTIONS(2025),
    [anon_sym_int] = ACTIONS(2025),
    [anon_sym_keys] = ACTIONS(2025),
    [anon_sym_lc] = ACTIONS(2025),
    [anon_sym_lcfirst] = ACTIONS(2025),
    [anon_sym_length] = ACTIONS(2025),
    [anon_sym_localtime] = ACTIONS(2025),
    [anon_sym_log] = ACTIONS(2025),
    [anon_sym_lock] = ACTIONS(2025),
    [anon_sym_lstat] = ACTIONS(2025),
    [anon_sym_oct] = ACTIONS(2025),
    [anon_sym_ord] = ACTIONS(2025),
    [anon_sym_prototype] = ACTIONS(2025),
    [anon_sym_pop] = ACTIONS(2025),
    [anon_sym_pos] = ACTIONS(2025),
    [anon_sym_quotemeta] = ACTIONS(2025),
    [anon_sym_reset] = ACTIONS(2025),
    [anon_sym_rand] = ACTIONS(2025),
    [anon_sym_rmdir] = ACTIONS(2025),
    [anon_sym_readdir] = ACTIONS(2025),
    [anon_sym_readline] = ACTIONS(2025),
    [anon_sym_readpipe] = ACTIONS(2025),
    [anon_sym_rewinddir] = ACTIONS(2025),
    [anon_sym_readlink] = ACTIONS(2025),
    [anon_sym_ref] = ACTIONS(2025),
    [anon_sym_scalar] = ACTIONS(2025),
    [anon_sym_shift] = ACTIONS(2025),
    [anon_sym_sin] = ACTIONS(2025),
    [anon_sym_sleep] = ACTIONS(2025),
    [anon_sym_sqrt] = ACTIONS(2025),
    [anon_sym_srand] = ACTIONS(2025),
    [anon_sym_stat] = ACTIONS(2025),
    [anon_sym_study] = ACTIONS(2025),
    [anon_sym_tell] = ACTIONS(2025),
    [anon_sym_telldir] = ACTIONS(2025),
    [anon_sym_tied] = ACTIONS(2025),
    [anon_sym_uc] = ACTIONS(2025),
    [anon_sym_ucfirst] = ACTIONS(2025),
    [anon_sym_untie] = ACTIONS(2025),
    [anon_sym_umask] = ACTIONS(2025),
    [anon_sym_values] = ACTIONS(2025),
    [anon_sym_write] = ACTIONS(2025),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2025),
    [anon_sym_qq] = ACTIONS(2025),
    [anon_sym_qw] = ACTIONS(2025),
    [anon_sym_qx] = ACTIONS(2025),
    [anon_sym_qr] = ACTIONS(2025),
    [anon_sym_m] = ACTIONS(2025),
    [anon_sym_s] = ACTIONS(2025),
    [anon_sym_tr] = ACTIONS(2025),
    [anon_sym_y] = ACTIONS(2025),
    [anon_sym_if] = ACTIONS(2025),
    [anon_sym_unless] = ACTIONS(2025),
    [anon_sym_while] = ACTIONS(2025),
    [anon_sym_until] = ACTIONS(2025),
    [aux_sym__bareword_token1] = ACTIONS(2025),
    [sym_number] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(2025),
    [anon_sym_false] = ACTIONS(2025),
    [sym__single_quote] = ACTIONS(2023),
    [sym__double_quote] = ACTIONS(2023),
    [sym__backtick_quote] = ACTIONS(2023),
    [sym__search_slash_quote] = ACTIONS(2023),
    [sym__open_readline_bracket] = ACTIONS(2023),
    [sym__open_fileglob_bracket] = ACTIONS(2023),
    [sym__PERLY_HEREDOC] = ACTIONS(2023),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2023),
    [sym__filetest] = ACTIONS(2023),
  },
  [1052] = {
    [sym_heredoc_content] = STATE(1052),
    [sym__identifier] = ACTIONS(2033),
    [anon_sym_LBRACE] = ACTIONS(2033),
    [anon_sym_RBRACE] = ACTIONS(2033),
    [anon_sym_SEMI] = ACTIONS(2033),
    [anon_sym_package] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_role] = ACTIONS(2033),
    [anon_sym_BUILD] = ACTIONS(2033),
    [anon_sym_ADJUST] = ACTIONS(2033),
    [anon_sym_DOLLAR] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2033),
    [anon_sym_my] = ACTIONS(2033),
    [anon_sym_extended] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_sub] = ACTIONS(2033),
    [anon_sym_method] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2033),
    [anon_sym_continue] = ACTIONS(2033),
    [anon_sym_state] = ACTIONS(2033),
    [anon_sym_our] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_defer] = ACTIONS(2033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2033),
    [anon_sym_LT_LT] = ACTIONS(2033),
    [anon_sym_SLASH_SLASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_TILDE] = ACTIONS(2033),
    [anon_sym_BANG] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2033),
    [anon_sym_BSLASH] = ACTIONS(2031),
    [anon_sym_do] = ACTIONS(2033),
    [anon_sym_eval] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [anon_sym_field] = ACTIONS(2033),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_dynamically] = ACTIONS(2033),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2033),
    [anon_sym_require] = ACTIONS(2033),
    [anon_sym_map] = ACTIONS(2033),
    [anon_sym_grep] = ACTIONS(2033),
    [anon_sym_sort] = ACTIONS(2033),
    [anon_sym_goto] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_undef] = ACTIONS(2033),
    [anon_sym_PERCENT2] = ACTIONS(2033),
    [anon_sym_AMP2] = ACTIONS(2033),
    [anon_sym_STAR2] = ACTIONS(2033),
    [anon_sym_use] = ACTIONS(2033),
    [anon_sym_no] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_foreach] = ACTIONS(2033),
    [anon_sym_last] = ACTIONS(2033),
    [anon_sym_next] = ACTIONS(2033),
    [anon_sym_redo] = ACTIONS(2033),
    [anon_sym_BEGIN] = ACTIONS(2033),
    [anon_sym_INIT] = ACTIONS(2033),
    [anon_sym_CHECK] = ACTIONS(2033),
    [anon_sym_UNITCHECK] = ACTIONS(2033),
    [anon_sym_END] = ACTIONS(2033),
    [anon_sym___FILE__] = ACTIONS(2033),
    [anon_sym___LINE__] = ACTIONS(2033),
    [anon_sym___PACKAGE__] = ACTIONS(2033),
    [anon_sym___SUB__] = ACTIONS(2033),
    [anon_sym_break] = ACTIONS(2033),
    [anon_sym_fork] = ACTIONS(2033),
    [anon_sym_getppid] = ACTIONS(2033),
    [anon_sym_time] = ACTIONS(2033),
    [anon_sym_times] = ACTIONS(2033),
    [anon_sym_wait] = ACTIONS(2033),
    [anon_sym_wantarray] = ACTIONS(2033),
    [anon_sym_abs] = ACTIONS(2033),
    [anon_sym_alarm] = ACTIONS(2033),
    [anon_sym_chop] = ACTIONS(2033),
    [anon_sym_chdir] = ACTIONS(2033),
    [anon_sym_close] = ACTIONS(2033),
    [anon_sym_closedir] = ACTIONS(2033),
    [anon_sym_caller] = ACTIONS(2033),
    [anon_sym_chomp] = ACTIONS(2033),
    [anon_sym_chr] = ACTIONS(2033),
    [anon_sym_cos] = ACTIONS(2033),
    [anon_sym_chroot] = ACTIONS(2033),
    [anon_sym_defined] = ACTIONS(2033),
    [anon_sym_delete] = ACTIONS(2033),
    [anon_sym_dbmclose] = ACTIONS(2033),
    [anon_sym_exists] = ACTIONS(2033),
    [anon_sym_exit] = ACTIONS(2033),
    [anon_sym_eof] = ACTIONS(2033),
    [anon_sym_exp] = ACTIONS(2033),
    [anon_sym_each] = ACTIONS(2033),
    [anon_sym_fc] = ACTIONS(2033),
    [anon_sym_fileno] = ACTIONS(2033),
    [anon_sym_gmtime] = ACTIONS(2033),
    [anon_sym_getc] = ACTIONS(2033),
    [anon_sym_getpgrp] = ACTIONS(2033),
    [anon_sym_getprotobyname] = ACTIONS(2033),
    [anon_sym_getpwname] = ACTIONS(2033),
    [anon_sym_getpwuid] = ACTIONS(2033),
    [anon_sym_getpeername] = ACTIONS(2033),
    [anon_sym_getnetbyname] = ACTIONS(2033),
    [anon_sym_getsockname] = ACTIONS(2033),
    [anon_sym_getgrnam] = ACTIONS(2033),
    [anon_sym_getgrgid] = ACTIONS(2033),
    [anon_sym_hex] = ACTIONS(2033),
    [anon_sym_int] = ACTIONS(2033),
    [anon_sym_keys] = ACTIONS(2033),
    [anon_sym_lc] = ACTIONS(2033),
    [anon_sym_lcfirst] = ACTIONS(2033),
    [anon_sym_length] = ACTIONS(2033),
    [anon_sym_localtime] = ACTIONS(2033),
    [anon_sym_log] = ACTIONS(2033),
    [anon_sym_lock] = ACTIONS(2033),
    [anon_sym_lstat] = ACTIONS(2033),
    [anon_sym_oct] = ACTIONS(2033),
    [anon_sym_ord] = ACTIONS(2033),
    [anon_sym_prototype] = ACTIONS(2033),
    [anon_sym_pop] = ACTIONS(2033),
    [anon_sym_pos] = ACTIONS(2033),
    [anon_sym_quotemeta] = ACTIONS(2033),
    [anon_sym_reset] = ACTIONS(2033),
    [anon_sym_rand] = ACTIONS(2033),
    [anon_sym_rmdir] = ACTIONS(2033),
    [anon_sym_readdir] = ACTIONS(2033),
    [anon_sym_readline] = ACTIONS(2033),
    [anon_sym_readpipe] = ACTIONS(2033),
    [anon_sym_rewinddir] = ACTIONS(2033),
    [anon_sym_readlink] = ACTIONS(2033),
    [anon_sym_ref] = ACTIONS(2033),
    [anon_sym_scalar] = ACTIONS(2033),
    [anon_sym_shift] = ACTIONS(2033),
    [anon_sym_sin] = ACTIONS(2033),
    [anon_sym_sleep] = ACTIONS(2033),
    [anon_sym_sqrt] = ACTIONS(2033),
    [anon_sym_srand] = ACTIONS(2033),
    [anon_sym_stat] = ACTIONS(2033),
    [anon_sym_study] = ACTIONS(2033),
    [anon_sym_tell] = ACTIONS(2033),
    [anon_sym_telldir] = ACTIONS(2033),
    [anon_sym_tied] = ACTIONS(2033),
    [anon_sym_uc] = ACTIONS(2033),
    [anon_sym_ucfirst] = ACTIONS(2033),
    [anon_sym_untie] = ACTIONS(2033),
    [anon_sym_umask] = ACTIONS(2033),
    [anon_sym_values] = ACTIONS(2033),
    [anon_sym_write] = ACTIONS(2033),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2033),
    [anon_sym_qq] = ACTIONS(2033),
    [anon_sym_qw] = ACTIONS(2033),
    [anon_sym_qx] = ACTIONS(2033),
    [anon_sym_qr] = ACTIONS(2033),
    [anon_sym_m] = ACTIONS(2033),
    [anon_sym_s] = ACTIONS(2033),
    [anon_sym_tr] = ACTIONS(2033),
    [anon_sym_y] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_unless] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_until] = ACTIONS(2033),
    [aux_sym__bareword_token1] = ACTIONS(2033),
    [sym_number] = ACTIONS(2033),
    [anon_sym_true] = ACTIONS(2033),
    [anon_sym_false] = ACTIONS(2033),
    [sym__single_quote] = ACTIONS(2031),
    [sym__double_quote] = ACTIONS(2031),
    [sym__backtick_quote] = ACTIONS(2031),
    [sym__search_slash_quote] = ACTIONS(2031),
    [sym__open_readline_bracket] = ACTIONS(2031),
    [sym__open_fileglob_bracket] = ACTIONS(2031),
    [sym__PERLY_HEREDOC] = ACTIONS(2031),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2031),
    [sym__filetest] = ACTIONS(2031),
  },
  [1053] = {
    [sym_heredoc_content] = STATE(1053),
    [sym__identifier] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_package] = ACTIONS(2037),
    [anon_sym_class] = ACTIONS(2037),
    [anon_sym_role] = ACTIONS(2037),
    [anon_sym_BUILD] = ACTIONS(2037),
    [anon_sym_ADJUST] = ACTIONS(2037),
    [anon_sym_DOLLAR] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2037),
    [anon_sym_my] = ACTIONS(2037),
    [anon_sym_extended] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_sub] = ACTIONS(2037),
    [anon_sym_method] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_state] = ACTIONS(2037),
    [anon_sym_our] = ACTIONS(2037),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_defer] = ACTIONS(2037),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2037),
    [anon_sym_LT_LT] = ACTIONS(2037),
    [anon_sym_SLASH_SLASH] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2037),
    [anon_sym_DASH_DASH] = ACTIONS(2037),
    [anon_sym_BSLASH] = ACTIONS(2035),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_eval] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_field] = ACTIONS(2037),
    [anon_sym_local] = ACTIONS(2037),
    [anon_sym_dynamically] = ACTIONS(2037),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2037),
    [anon_sym_require] = ACTIONS(2037),
    [anon_sym_map] = ACTIONS(2037),
    [anon_sym_grep] = ACTIONS(2037),
    [anon_sym_sort] = ACTIONS(2037),
    [anon_sym_goto] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_undef] = ACTIONS(2037),
    [anon_sym_PERCENT2] = ACTIONS(2037),
    [anon_sym_AMP2] = ACTIONS(2037),
    [anon_sym_STAR2] = ACTIONS(2037),
    [anon_sym_use] = ACTIONS(2037),
    [anon_sym_no] = ACTIONS(2037),
    [anon_sym_for] = ACTIONS(2037),
    [anon_sym_foreach] = ACTIONS(2037),
    [anon_sym_last] = ACTIONS(2037),
    [anon_sym_next] = ACTIONS(2037),
    [anon_sym_redo] = ACTIONS(2037),
    [anon_sym_BEGIN] = ACTIONS(2037),
    [anon_sym_INIT] = ACTIONS(2037),
    [anon_sym_CHECK] = ACTIONS(2037),
    [anon_sym_UNITCHECK] = ACTIONS(2037),
    [anon_sym_END] = ACTIONS(2037),
    [anon_sym___FILE__] = ACTIONS(2037),
    [anon_sym___LINE__] = ACTIONS(2037),
    [anon_sym___PACKAGE__] = ACTIONS(2037),
    [anon_sym___SUB__] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_fork] = ACTIONS(2037),
    [anon_sym_getppid] = ACTIONS(2037),
    [anon_sym_time] = ACTIONS(2037),
    [anon_sym_times] = ACTIONS(2037),
    [anon_sym_wait] = ACTIONS(2037),
    [anon_sym_wantarray] = ACTIONS(2037),
    [anon_sym_abs] = ACTIONS(2037),
    [anon_sym_alarm] = ACTIONS(2037),
    [anon_sym_chop] = ACTIONS(2037),
    [anon_sym_chdir] = ACTIONS(2037),
    [anon_sym_close] = ACTIONS(2037),
    [anon_sym_closedir] = ACTIONS(2037),
    [anon_sym_caller] = ACTIONS(2037),
    [anon_sym_chomp] = ACTIONS(2037),
    [anon_sym_chr] = ACTIONS(2037),
    [anon_sym_cos] = ACTIONS(2037),
    [anon_sym_chroot] = ACTIONS(2037),
    [anon_sym_defined] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_dbmclose] = ACTIONS(2037),
    [anon_sym_exists] = ACTIONS(2037),
    [anon_sym_exit] = ACTIONS(2037),
    [anon_sym_eof] = ACTIONS(2037),
    [anon_sym_exp] = ACTIONS(2037),
    [anon_sym_each] = ACTIONS(2037),
    [anon_sym_fc] = ACTIONS(2037),
    [anon_sym_fileno] = ACTIONS(2037),
    [anon_sym_gmtime] = ACTIONS(2037),
    [anon_sym_getc] = ACTIONS(2037),
    [anon_sym_getpgrp] = ACTIONS(2037),
    [anon_sym_getprotobyname] = ACTIONS(2037),
    [anon_sym_getpwname] = ACTIONS(2037),
    [anon_sym_getpwuid] = ACTIONS(2037),
    [anon_sym_getpeername] = ACTIONS(2037),
    [anon_sym_getnetbyname] = ACTIONS(2037),
    [anon_sym_getsockname] = ACTIONS(2037),
    [anon_sym_getgrnam] = ACTIONS(2037),
    [anon_sym_getgrgid] = ACTIONS(2037),
    [anon_sym_hex] = ACTIONS(2037),
    [anon_sym_int] = ACTIONS(2037),
    [anon_sym_keys] = ACTIONS(2037),
    [anon_sym_lc] = ACTIONS(2037),
    [anon_sym_lcfirst] = ACTIONS(2037),
    [anon_sym_length] = ACTIONS(2037),
    [anon_sym_localtime] = ACTIONS(2037),
    [anon_sym_log] = ACTIONS(2037),
    [anon_sym_lock] = ACTIONS(2037),
    [anon_sym_lstat] = ACTIONS(2037),
    [anon_sym_oct] = ACTIONS(2037),
    [anon_sym_ord] = ACTIONS(2037),
    [anon_sym_prototype] = ACTIONS(2037),
    [anon_sym_pop] = ACTIONS(2037),
    [anon_sym_pos] = ACTIONS(2037),
    [anon_sym_quotemeta] = ACTIONS(2037),
    [anon_sym_reset] = ACTIONS(2037),
    [anon_sym_rand] = ACTIONS(2037),
    [anon_sym_rmdir] = ACTIONS(2037),
    [anon_sym_readdir] = ACTIONS(2037),
    [anon_sym_readline] = ACTIONS(2037),
    [anon_sym_readpipe] = ACTIONS(2037),
    [anon_sym_rewinddir] = ACTIONS(2037),
    [anon_sym_readlink] = ACTIONS(2037),
    [anon_sym_ref] = ACTIONS(2037),
    [anon_sym_scalar] = ACTIONS(2037),
    [anon_sym_shift] = ACTIONS(2037),
    [anon_sym_sin] = ACTIONS(2037),
    [anon_sym_sleep] = ACTIONS(2037),
    [anon_sym_sqrt] = ACTIONS(2037),
    [anon_sym_srand] = ACTIONS(2037),
    [anon_sym_stat] = ACTIONS(2037),
    [anon_sym_study] = ACTIONS(2037),
    [anon_sym_tell] = ACTIONS(2037),
    [anon_sym_telldir] = ACTIONS(2037),
    [anon_sym_tied] = ACTIONS(2037),
    [anon_sym_uc] = ACTIONS(2037),
    [anon_sym_ucfirst] = ACTIONS(2037),
    [anon_sym_untie] = ACTIONS(2037),
    [anon_sym_umask] = ACTIONS(2037),
    [anon_sym_values] = ACTIONS(2037),
    [anon_sym_write] = ACTIONS(2037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2037),
    [anon_sym_qq] = ACTIONS(2037),
    [anon_sym_qw] = ACTIONS(2037),
    [anon_sym_qx] = ACTIONS(2037),
    [anon_sym_qr] = ACTIONS(2037),
    [anon_sym_m] = ACTIONS(2037),
    [anon_sym_s] = ACTIONS(2037),
    [anon_sym_tr] = ACTIONS(2037),
    [anon_sym_y] = ACTIONS(2037),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_unless] = ACTIONS(2037),
    [anon_sym_while] = ACTIONS(2037),
    [anon_sym_until] = ACTIONS(2037),
    [aux_sym__bareword_token1] = ACTIONS(2037),
    [sym_number] = ACTIONS(2037),
    [anon_sym_true] = ACTIONS(2037),
    [anon_sym_false] = ACTIONS(2037),
    [sym__single_quote] = ACTIONS(2035),
    [sym__double_quote] = ACTIONS(2035),
    [sym__backtick_quote] = ACTIONS(2035),
    [sym__search_slash_quote] = ACTIONS(2035),
    [sym__open_readline_bracket] = ACTIONS(2035),
    [sym__open_fileglob_bracket] = ACTIONS(2035),
    [sym__PERLY_HEREDOC] = ACTIONS(2035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2035),
    [sym__filetest] = ACTIONS(2035),
  },
  [1054] = {
    [sym_heredoc_content] = STATE(1054),
    [sym__identifier] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2041),
    [anon_sym_RBRACE] = ACTIONS(2041),
    [anon_sym_SEMI] = ACTIONS(2041),
    [anon_sym_package] = ACTIONS(2041),
    [anon_sym_class] = ACTIONS(2041),
    [anon_sym_role] = ACTIONS(2041),
    [anon_sym_BUILD] = ACTIONS(2041),
    [anon_sym_ADJUST] = ACTIONS(2041),
    [anon_sym_DOLLAR] = ACTIONS(2041),
    [anon_sym_AT] = ACTIONS(2041),
    [anon_sym_my] = ACTIONS(2041),
    [anon_sym_extended] = ACTIONS(2041),
    [anon_sym_async] = ACTIONS(2041),
    [anon_sym_sub] = ACTIONS(2041),
    [anon_sym_method] = ACTIONS(2041),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2041),
    [anon_sym_state] = ACTIONS(2041),
    [anon_sym_our] = ACTIONS(2041),
    [anon_sym_try] = ACTIONS(2041),
    [anon_sym_defer] = ACTIONS(2041),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2041),
    [anon_sym_SLASH_SLASH] = ACTIONS(2041),
    [anon_sym_PLUS] = ACTIONS(2041),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(2041),
    [anon_sym_PLUS_PLUS] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(2041),
    [anon_sym_BSLASH] = ACTIONS(2039),
    [anon_sym_do] = ACTIONS(2041),
    [anon_sym_eval] = ACTIONS(2041),
    [anon_sym_await] = ACTIONS(2041),
    [anon_sym_field] = ACTIONS(2041),
    [anon_sym_local] = ACTIONS(2041),
    [anon_sym_dynamically] = ACTIONS(2041),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2041),
    [anon_sym_require] = ACTIONS(2041),
    [anon_sym_map] = ACTIONS(2041),
    [anon_sym_grep] = ACTIONS(2041),
    [anon_sym_sort] = ACTIONS(2041),
    [anon_sym_goto] = ACTIONS(2041),
    [anon_sym_return] = ACTIONS(2041),
    [anon_sym_undef] = ACTIONS(2041),
    [anon_sym_PERCENT2] = ACTIONS(2041),
    [anon_sym_AMP2] = ACTIONS(2041),
    [anon_sym_STAR2] = ACTIONS(2041),
    [anon_sym_use] = ACTIONS(2041),
    [anon_sym_no] = ACTIONS(2041),
    [anon_sym_for] = ACTIONS(2041),
    [anon_sym_foreach] = ACTIONS(2041),
    [anon_sym_last] = ACTIONS(2041),
    [anon_sym_next] = ACTIONS(2041),
    [anon_sym_redo] = ACTIONS(2041),
    [anon_sym_BEGIN] = ACTIONS(2041),
    [anon_sym_INIT] = ACTIONS(2041),
    [anon_sym_CHECK] = ACTIONS(2041),
    [anon_sym_UNITCHECK] = ACTIONS(2041),
    [anon_sym_END] = ACTIONS(2041),
    [anon_sym___FILE__] = ACTIONS(2041),
    [anon_sym___LINE__] = ACTIONS(2041),
    [anon_sym___PACKAGE__] = ACTIONS(2041),
    [anon_sym___SUB__] = ACTIONS(2041),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_fork] = ACTIONS(2041),
    [anon_sym_getppid] = ACTIONS(2041),
    [anon_sym_time] = ACTIONS(2041),
    [anon_sym_times] = ACTIONS(2041),
    [anon_sym_wait] = ACTIONS(2041),
    [anon_sym_wantarray] = ACTIONS(2041),
    [anon_sym_abs] = ACTIONS(2041),
    [anon_sym_alarm] = ACTIONS(2041),
    [anon_sym_chop] = ACTIONS(2041),
    [anon_sym_chdir] = ACTIONS(2041),
    [anon_sym_close] = ACTIONS(2041),
    [anon_sym_closedir] = ACTIONS(2041),
    [anon_sym_caller] = ACTIONS(2041),
    [anon_sym_chomp] = ACTIONS(2041),
    [anon_sym_chr] = ACTIONS(2041),
    [anon_sym_cos] = ACTIONS(2041),
    [anon_sym_chroot] = ACTIONS(2041),
    [anon_sym_defined] = ACTIONS(2041),
    [anon_sym_delete] = ACTIONS(2041),
    [anon_sym_dbmclose] = ACTIONS(2041),
    [anon_sym_exists] = ACTIONS(2041),
    [anon_sym_exit] = ACTIONS(2041),
    [anon_sym_eof] = ACTIONS(2041),
    [anon_sym_exp] = ACTIONS(2041),
    [anon_sym_each] = ACTIONS(2041),
    [anon_sym_fc] = ACTIONS(2041),
    [anon_sym_fileno] = ACTIONS(2041),
    [anon_sym_gmtime] = ACTIONS(2041),
    [anon_sym_getc] = ACTIONS(2041),
    [anon_sym_getpgrp] = ACTIONS(2041),
    [anon_sym_getprotobyname] = ACTIONS(2041),
    [anon_sym_getpwname] = ACTIONS(2041),
    [anon_sym_getpwuid] = ACTIONS(2041),
    [anon_sym_getpeername] = ACTIONS(2041),
    [anon_sym_getnetbyname] = ACTIONS(2041),
    [anon_sym_getsockname] = ACTIONS(2041),
    [anon_sym_getgrnam] = ACTIONS(2041),
    [anon_sym_getgrgid] = ACTIONS(2041),
    [anon_sym_hex] = ACTIONS(2041),
    [anon_sym_int] = ACTIONS(2041),
    [anon_sym_keys] = ACTIONS(2041),
    [anon_sym_lc] = ACTIONS(2041),
    [anon_sym_lcfirst] = ACTIONS(2041),
    [anon_sym_length] = ACTIONS(2041),
    [anon_sym_localtime] = ACTIONS(2041),
    [anon_sym_log] = ACTIONS(2041),
    [anon_sym_lock] = ACTIONS(2041),
    [anon_sym_lstat] = ACTIONS(2041),
    [anon_sym_oct] = ACTIONS(2041),
    [anon_sym_ord] = ACTIONS(2041),
    [anon_sym_prototype] = ACTIONS(2041),
    [anon_sym_pop] = ACTIONS(2041),
    [anon_sym_pos] = ACTIONS(2041),
    [anon_sym_quotemeta] = ACTIONS(2041),
    [anon_sym_reset] = ACTIONS(2041),
    [anon_sym_rand] = ACTIONS(2041),
    [anon_sym_rmdir] = ACTIONS(2041),
    [anon_sym_readdir] = ACTIONS(2041),
    [anon_sym_readline] = ACTIONS(2041),
    [anon_sym_readpipe] = ACTIONS(2041),
    [anon_sym_rewinddir] = ACTIONS(2041),
    [anon_sym_readlink] = ACTIONS(2041),
    [anon_sym_ref] = ACTIONS(2041),
    [anon_sym_scalar] = ACTIONS(2041),
    [anon_sym_shift] = ACTIONS(2041),
    [anon_sym_sin] = ACTIONS(2041),
    [anon_sym_sleep] = ACTIONS(2041),
    [anon_sym_sqrt] = ACTIONS(2041),
    [anon_sym_srand] = ACTIONS(2041),
    [anon_sym_stat] = ACTIONS(2041),
    [anon_sym_study] = ACTIONS(2041),
    [anon_sym_tell] = ACTIONS(2041),
    [anon_sym_telldir] = ACTIONS(2041),
    [anon_sym_tied] = ACTIONS(2041),
    [anon_sym_uc] = ACTIONS(2041),
    [anon_sym_ucfirst] = ACTIONS(2041),
    [anon_sym_untie] = ACTIONS(2041),
    [anon_sym_umask] = ACTIONS(2041),
    [anon_sym_values] = ACTIONS(2041),
    [anon_sym_write] = ACTIONS(2041),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2041),
    [anon_sym_qq] = ACTIONS(2041),
    [anon_sym_qw] = ACTIONS(2041),
    [anon_sym_qx] = ACTIONS(2041),
    [anon_sym_qr] = ACTIONS(2041),
    [anon_sym_m] = ACTIONS(2041),
    [anon_sym_s] = ACTIONS(2041),
    [anon_sym_tr] = ACTIONS(2041),
    [anon_sym_y] = ACTIONS(2041),
    [anon_sym_if] = ACTIONS(2041),
    [anon_sym_unless] = ACTIONS(2041),
    [anon_sym_while] = ACTIONS(2041),
    [anon_sym_until] = ACTIONS(2041),
    [aux_sym__bareword_token1] = ACTIONS(2041),
    [sym_number] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2041),
    [anon_sym_false] = ACTIONS(2041),
    [sym__single_quote] = ACTIONS(2039),
    [sym__double_quote] = ACTIONS(2039),
    [sym__backtick_quote] = ACTIONS(2039),
    [sym__search_slash_quote] = ACTIONS(2039),
    [sym__open_readline_bracket] = ACTIONS(2039),
    [sym__open_fileglob_bracket] = ACTIONS(2039),
    [sym__PERLY_HEREDOC] = ACTIONS(2039),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2039),
    [sym__filetest] = ACTIONS(2039),
  },
  [1055] = {
    [sym_heredoc_content] = STATE(1055),
    [sym__identifier] = ACTIONS(2321),
    [anon_sym_LBRACE] = ACTIONS(2321),
    [anon_sym_RBRACE] = ACTIONS(2321),
    [anon_sym_SEMI] = ACTIONS(2321),
    [anon_sym_package] = ACTIONS(2321),
    [anon_sym_class] = ACTIONS(2321),
    [anon_sym_role] = ACTIONS(2321),
    [anon_sym_BUILD] = ACTIONS(2321),
    [anon_sym_ADJUST] = ACTIONS(2321),
    [anon_sym_DOLLAR] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(2321),
    [anon_sym_my] = ACTIONS(2321),
    [anon_sym_extended] = ACTIONS(2321),
    [anon_sym_async] = ACTIONS(2321),
    [anon_sym_sub] = ACTIONS(2321),
    [anon_sym_method] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_continue] = ACTIONS(2321),
    [anon_sym_state] = ACTIONS(2321),
    [anon_sym_our] = ACTIONS(2321),
    [anon_sym_try] = ACTIONS(2321),
    [anon_sym_defer] = ACTIONS(2321),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_SLASH_SLASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_TILDE] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(2321),
    [anon_sym_BSLASH] = ACTIONS(2319),
    [anon_sym_do] = ACTIONS(2321),
    [anon_sym_eval] = ACTIONS(2321),
    [anon_sym_await] = ACTIONS(2321),
    [anon_sym_field] = ACTIONS(2321),
    [anon_sym_local] = ACTIONS(2321),
    [anon_sym_dynamically] = ACTIONS(2321),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2321),
    [anon_sym_require] = ACTIONS(2321),
    [anon_sym_map] = ACTIONS(2321),
    [anon_sym_grep] = ACTIONS(2321),
    [anon_sym_sort] = ACTIONS(2321),
    [anon_sym_goto] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_undef] = ACTIONS(2321),
    [anon_sym_PERCENT2] = ACTIONS(2321),
    [anon_sym_AMP2] = ACTIONS(2321),
    [anon_sym_STAR2] = ACTIONS(2321),
    [anon_sym_use] = ACTIONS(2321),
    [anon_sym_no] = ACTIONS(2321),
    [anon_sym_for] = ACTIONS(2321),
    [anon_sym_foreach] = ACTIONS(2321),
    [anon_sym_last] = ACTIONS(2321),
    [anon_sym_next] = ACTIONS(2321),
    [anon_sym_redo] = ACTIONS(2321),
    [anon_sym_BEGIN] = ACTIONS(2321),
    [anon_sym_INIT] = ACTIONS(2321),
    [anon_sym_CHECK] = ACTIONS(2321),
    [anon_sym_UNITCHECK] = ACTIONS(2321),
    [anon_sym_END] = ACTIONS(2321),
    [anon_sym___FILE__] = ACTIONS(2321),
    [anon_sym___LINE__] = ACTIONS(2321),
    [anon_sym___PACKAGE__] = ACTIONS(2321),
    [anon_sym___SUB__] = ACTIONS(2321),
    [anon_sym_break] = ACTIONS(2321),
    [anon_sym_fork] = ACTIONS(2321),
    [anon_sym_getppid] = ACTIONS(2321),
    [anon_sym_time] = ACTIONS(2321),
    [anon_sym_times] = ACTIONS(2321),
    [anon_sym_wait] = ACTIONS(2321),
    [anon_sym_wantarray] = ACTIONS(2321),
    [anon_sym_abs] = ACTIONS(2321),
    [anon_sym_alarm] = ACTIONS(2321),
    [anon_sym_chop] = ACTIONS(2321),
    [anon_sym_chdir] = ACTIONS(2321),
    [anon_sym_close] = ACTIONS(2321),
    [anon_sym_closedir] = ACTIONS(2321),
    [anon_sym_caller] = ACTIONS(2321),
    [anon_sym_chomp] = ACTIONS(2321),
    [anon_sym_chr] = ACTIONS(2321),
    [anon_sym_cos] = ACTIONS(2321),
    [anon_sym_chroot] = ACTIONS(2321),
    [anon_sym_defined] = ACTIONS(2321),
    [anon_sym_delete] = ACTIONS(2321),
    [anon_sym_dbmclose] = ACTIONS(2321),
    [anon_sym_exists] = ACTIONS(2321),
    [anon_sym_exit] = ACTIONS(2321),
    [anon_sym_eof] = ACTIONS(2321),
    [anon_sym_exp] = ACTIONS(2321),
    [anon_sym_each] = ACTIONS(2321),
    [anon_sym_fc] = ACTIONS(2321),
    [anon_sym_fileno] = ACTIONS(2321),
    [anon_sym_gmtime] = ACTIONS(2321),
    [anon_sym_getc] = ACTIONS(2321),
    [anon_sym_getpgrp] = ACTIONS(2321),
    [anon_sym_getprotobyname] = ACTIONS(2321),
    [anon_sym_getpwname] = ACTIONS(2321),
    [anon_sym_getpwuid] = ACTIONS(2321),
    [anon_sym_getpeername] = ACTIONS(2321),
    [anon_sym_getnetbyname] = ACTIONS(2321),
    [anon_sym_getsockname] = ACTIONS(2321),
    [anon_sym_getgrnam] = ACTIONS(2321),
    [anon_sym_getgrgid] = ACTIONS(2321),
    [anon_sym_hex] = ACTIONS(2321),
    [anon_sym_int] = ACTIONS(2321),
    [anon_sym_keys] = ACTIONS(2321),
    [anon_sym_lc] = ACTIONS(2321),
    [anon_sym_lcfirst] = ACTIONS(2321),
    [anon_sym_length] = ACTIONS(2321),
    [anon_sym_localtime] = ACTIONS(2321),
    [anon_sym_log] = ACTIONS(2321),
    [anon_sym_lock] = ACTIONS(2321),
    [anon_sym_lstat] = ACTIONS(2321),
    [anon_sym_oct] = ACTIONS(2321),
    [anon_sym_ord] = ACTIONS(2321),
    [anon_sym_prototype] = ACTIONS(2321),
    [anon_sym_pop] = ACTIONS(2321),
    [anon_sym_pos] = ACTIONS(2321),
    [anon_sym_quotemeta] = ACTIONS(2321),
    [anon_sym_reset] = ACTIONS(2321),
    [anon_sym_rand] = ACTIONS(2321),
    [anon_sym_rmdir] = ACTIONS(2321),
    [anon_sym_readdir] = ACTIONS(2321),
    [anon_sym_readline] = ACTIONS(2321),
    [anon_sym_readpipe] = ACTIONS(2321),
    [anon_sym_rewinddir] = ACTIONS(2321),
    [anon_sym_readlink] = ACTIONS(2321),
    [anon_sym_ref] = ACTIONS(2321),
    [anon_sym_scalar] = ACTIONS(2321),
    [anon_sym_shift] = ACTIONS(2321),
    [anon_sym_sin] = ACTIONS(2321),
    [anon_sym_sleep] = ACTIONS(2321),
    [anon_sym_sqrt] = ACTIONS(2321),
    [anon_sym_srand] = ACTIONS(2321),
    [anon_sym_stat] = ACTIONS(2321),
    [anon_sym_study] = ACTIONS(2321),
    [anon_sym_tell] = ACTIONS(2321),
    [anon_sym_telldir] = ACTIONS(2321),
    [anon_sym_tied] = ACTIONS(2321),
    [anon_sym_uc] = ACTIONS(2321),
    [anon_sym_ucfirst] = ACTIONS(2321),
    [anon_sym_untie] = ACTIONS(2321),
    [anon_sym_umask] = ACTIONS(2321),
    [anon_sym_values] = ACTIONS(2321),
    [anon_sym_write] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2321),
    [anon_sym_qq] = ACTIONS(2321),
    [anon_sym_qw] = ACTIONS(2321),
    [anon_sym_qx] = ACTIONS(2321),
    [anon_sym_qr] = ACTIONS(2321),
    [anon_sym_m] = ACTIONS(2321),
    [anon_sym_s] = ACTIONS(2321),
    [anon_sym_tr] = ACTIONS(2321),
    [anon_sym_y] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2321),
    [anon_sym_unless] = ACTIONS(2321),
    [anon_sym_while] = ACTIONS(2321),
    [anon_sym_until] = ACTIONS(2321),
    [aux_sym__bareword_token1] = ACTIONS(2321),
    [sym_number] = ACTIONS(2321),
    [anon_sym_true] = ACTIONS(2321),
    [anon_sym_false] = ACTIONS(2321),
    [sym__single_quote] = ACTIONS(2319),
    [sym__double_quote] = ACTIONS(2319),
    [sym__backtick_quote] = ACTIONS(2319),
    [sym__search_slash_quote] = ACTIONS(2319),
    [sym__open_readline_bracket] = ACTIONS(2319),
    [sym__open_fileglob_bracket] = ACTIONS(2319),
    [sym__PERLY_HEREDOC] = ACTIONS(2319),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2319),
    [sym__filetest] = ACTIONS(2319),
  },
  [1056] = {
    [sym_heredoc_content] = STATE(1056),
    [sym__identifier] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2370),
    [anon_sym_package] = ACTIONS(2370),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_role] = ACTIONS(2370),
    [anon_sym_BUILD] = ACTIONS(2370),
    [anon_sym_ADJUST] = ACTIONS(2370),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_my] = ACTIONS(2370),
    [anon_sym_extended] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_sub] = ACTIONS(2370),
    [anon_sym_method] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_state] = ACTIONS(2370),
    [anon_sym_our] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_defer] = ACTIONS(2370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_BSLASH] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_eval] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_field] = ACTIONS(2370),
    [anon_sym_local] = ACTIONS(2370),
    [anon_sym_dynamically] = ACTIONS(2370),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2370),
    [anon_sym_require] = ACTIONS(2370),
    [anon_sym_map] = ACTIONS(2370),
    [anon_sym_grep] = ACTIONS(2370),
    [anon_sym_sort] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_undef] = ACTIONS(2370),
    [anon_sym_PERCENT2] = ACTIONS(2370),
    [anon_sym_AMP2] = ACTIONS(2370),
    [anon_sym_STAR2] = ACTIONS(2370),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_no] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_foreach] = ACTIONS(2370),
    [anon_sym_last] = ACTIONS(2370),
    [anon_sym_next] = ACTIONS(2370),
    [anon_sym_redo] = ACTIONS(2370),
    [anon_sym_BEGIN] = ACTIONS(2370),
    [anon_sym_INIT] = ACTIONS(2370),
    [anon_sym_CHECK] = ACTIONS(2370),
    [anon_sym_UNITCHECK] = ACTIONS(2370),
    [anon_sym_END] = ACTIONS(2370),
    [anon_sym___FILE__] = ACTIONS(2370),
    [anon_sym___LINE__] = ACTIONS(2370),
    [anon_sym___PACKAGE__] = ACTIONS(2370),
    [anon_sym___SUB__] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_fork] = ACTIONS(2370),
    [anon_sym_getppid] = ACTIONS(2370),
    [anon_sym_time] = ACTIONS(2370),
    [anon_sym_times] = ACTIONS(2370),
    [anon_sym_wait] = ACTIONS(2370),
    [anon_sym_wantarray] = ACTIONS(2370),
    [anon_sym_abs] = ACTIONS(2370),
    [anon_sym_alarm] = ACTIONS(2370),
    [anon_sym_chop] = ACTIONS(2370),
    [anon_sym_chdir] = ACTIONS(2370),
    [anon_sym_close] = ACTIONS(2370),
    [anon_sym_closedir] = ACTIONS(2370),
    [anon_sym_caller] = ACTIONS(2370),
    [anon_sym_chomp] = ACTIONS(2370),
    [anon_sym_chr] = ACTIONS(2370),
    [anon_sym_cos] = ACTIONS(2370),
    [anon_sym_chroot] = ACTIONS(2370),
    [anon_sym_defined] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_dbmclose] = ACTIONS(2370),
    [anon_sym_exists] = ACTIONS(2370),
    [anon_sym_exit] = ACTIONS(2370),
    [anon_sym_eof] = ACTIONS(2370),
    [anon_sym_exp] = ACTIONS(2370),
    [anon_sym_each] = ACTIONS(2370),
    [anon_sym_fc] = ACTIONS(2370),
    [anon_sym_fileno] = ACTIONS(2370),
    [anon_sym_gmtime] = ACTIONS(2370),
    [anon_sym_getc] = ACTIONS(2370),
    [anon_sym_getpgrp] = ACTIONS(2370),
    [anon_sym_getprotobyname] = ACTIONS(2370),
    [anon_sym_getpwname] = ACTIONS(2370),
    [anon_sym_getpwuid] = ACTIONS(2370),
    [anon_sym_getpeername] = ACTIONS(2370),
    [anon_sym_getnetbyname] = ACTIONS(2370),
    [anon_sym_getsockname] = ACTIONS(2370),
    [anon_sym_getgrnam] = ACTIONS(2370),
    [anon_sym_getgrgid] = ACTIONS(2370),
    [anon_sym_hex] = ACTIONS(2370),
    [anon_sym_int] = ACTIONS(2370),
    [anon_sym_keys] = ACTIONS(2370),
    [anon_sym_lc] = ACTIONS(2370),
    [anon_sym_lcfirst] = ACTIONS(2370),
    [anon_sym_length] = ACTIONS(2370),
    [anon_sym_localtime] = ACTIONS(2370),
    [anon_sym_log] = ACTIONS(2370),
    [anon_sym_lock] = ACTIONS(2370),
    [anon_sym_lstat] = ACTIONS(2370),
    [anon_sym_oct] = ACTIONS(2370),
    [anon_sym_ord] = ACTIONS(2370),
    [anon_sym_prototype] = ACTIONS(2370),
    [anon_sym_pop] = ACTIONS(2370),
    [anon_sym_pos] = ACTIONS(2370),
    [anon_sym_quotemeta] = ACTIONS(2370),
    [anon_sym_reset] = ACTIONS(2370),
    [anon_sym_rand] = ACTIONS(2370),
    [anon_sym_rmdir] = ACTIONS(2370),
    [anon_sym_readdir] = ACTIONS(2370),
    [anon_sym_readline] = ACTIONS(2370),
    [anon_sym_readpipe] = ACTIONS(2370),
    [anon_sym_rewinddir] = ACTIONS(2370),
    [anon_sym_readlink] = ACTIONS(2370),
    [anon_sym_ref] = ACTIONS(2370),
    [anon_sym_scalar] = ACTIONS(2370),
    [anon_sym_shift] = ACTIONS(2370),
    [anon_sym_sin] = ACTIONS(2370),
    [anon_sym_sleep] = ACTIONS(2370),
    [anon_sym_sqrt] = ACTIONS(2370),
    [anon_sym_srand] = ACTIONS(2370),
    [anon_sym_stat] = ACTIONS(2370),
    [anon_sym_study] = ACTIONS(2370),
    [anon_sym_tell] = ACTIONS(2370),
    [anon_sym_telldir] = ACTIONS(2370),
    [anon_sym_tied] = ACTIONS(2370),
    [anon_sym_uc] = ACTIONS(2370),
    [anon_sym_ucfirst] = ACTIONS(2370),
    [anon_sym_untie] = ACTIONS(2370),
    [anon_sym_umask] = ACTIONS(2370),
    [anon_sym_values] = ACTIONS(2370),
    [anon_sym_write] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2370),
    [anon_sym_qq] = ACTIONS(2370),
    [anon_sym_qw] = ACTIONS(2370),
    [anon_sym_qx] = ACTIONS(2370),
    [anon_sym_qr] = ACTIONS(2370),
    [anon_sym_m] = ACTIONS(2370),
    [anon_sym_s] = ACTIONS(2370),
    [anon_sym_tr] = ACTIONS(2370),
    [anon_sym_y] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_unless] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_until] = ACTIONS(2370),
    [aux_sym__bareword_token1] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [anon_sym_true] = ACTIONS(2370),
    [anon_sym_false] = ACTIONS(2370),
    [sym__single_quote] = ACTIONS(2372),
    [sym__double_quote] = ACTIONS(2372),
    [sym__backtick_quote] = ACTIONS(2372),
    [sym__search_slash_quote] = ACTIONS(2372),
    [sym__open_readline_bracket] = ACTIONS(2372),
    [sym__open_fileglob_bracket] = ACTIONS(2372),
    [sym__PERLY_HEREDOC] = ACTIONS(2372),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2372),
    [sym__filetest] = ACTIONS(2372),
  },
  [1057] = {
    [sym_heredoc_content] = STATE(1057),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_RBRACE] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2045),
    [anon_sym_package] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_role] = ACTIONS(2045),
    [anon_sym_BUILD] = ACTIONS(2045),
    [anon_sym_ADJUST] = ACTIONS(2045),
    [anon_sym_DOLLAR] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2045),
    [anon_sym_my] = ACTIONS(2045),
    [anon_sym_extended] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_sub] = ACTIONS(2045),
    [anon_sym_method] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_state] = ACTIONS(2045),
    [anon_sym_our] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_defer] = ACTIONS(2045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_LT_LT] = ACTIONS(2045),
    [anon_sym_SLASH_SLASH] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2045),
    [anon_sym_DASH_DASH] = ACTIONS(2045),
    [anon_sym_BSLASH] = ACTIONS(2043),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_eval] = ACTIONS(2045),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_field] = ACTIONS(2045),
    [anon_sym_local] = ACTIONS(2045),
    [anon_sym_dynamically] = ACTIONS(2045),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2045),
    [anon_sym_require] = ACTIONS(2045),
    [anon_sym_map] = ACTIONS(2045),
    [anon_sym_grep] = ACTIONS(2045),
    [anon_sym_sort] = ACTIONS(2045),
    [anon_sym_goto] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_undef] = ACTIONS(2045),
    [anon_sym_PERCENT2] = ACTIONS(2045),
    [anon_sym_AMP2] = ACTIONS(2045),
    [anon_sym_STAR2] = ACTIONS(2045),
    [anon_sym_use] = ACTIONS(2045),
    [anon_sym_no] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_foreach] = ACTIONS(2045),
    [anon_sym_last] = ACTIONS(2045),
    [anon_sym_next] = ACTIONS(2045),
    [anon_sym_redo] = ACTIONS(2045),
    [anon_sym_BEGIN] = ACTIONS(2045),
    [anon_sym_INIT] = ACTIONS(2045),
    [anon_sym_CHECK] = ACTIONS(2045),
    [anon_sym_UNITCHECK] = ACTIONS(2045),
    [anon_sym_END] = ACTIONS(2045),
    [anon_sym___FILE__] = ACTIONS(2045),
    [anon_sym___LINE__] = ACTIONS(2045),
    [anon_sym___PACKAGE__] = ACTIONS(2045),
    [anon_sym___SUB__] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_fork] = ACTIONS(2045),
    [anon_sym_getppid] = ACTIONS(2045),
    [anon_sym_time] = ACTIONS(2045),
    [anon_sym_times] = ACTIONS(2045),
    [anon_sym_wait] = ACTIONS(2045),
    [anon_sym_wantarray] = ACTIONS(2045),
    [anon_sym_abs] = ACTIONS(2045),
    [anon_sym_alarm] = ACTIONS(2045),
    [anon_sym_chop] = ACTIONS(2045),
    [anon_sym_chdir] = ACTIONS(2045),
    [anon_sym_close] = ACTIONS(2045),
    [anon_sym_closedir] = ACTIONS(2045),
    [anon_sym_caller] = ACTIONS(2045),
    [anon_sym_chomp] = ACTIONS(2045),
    [anon_sym_chr] = ACTIONS(2045),
    [anon_sym_cos] = ACTIONS(2045),
    [anon_sym_chroot] = ACTIONS(2045),
    [anon_sym_defined] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_dbmclose] = ACTIONS(2045),
    [anon_sym_exists] = ACTIONS(2045),
    [anon_sym_exit] = ACTIONS(2045),
    [anon_sym_eof] = ACTIONS(2045),
    [anon_sym_exp] = ACTIONS(2045),
    [anon_sym_each] = ACTIONS(2045),
    [anon_sym_fc] = ACTIONS(2045),
    [anon_sym_fileno] = ACTIONS(2045),
    [anon_sym_gmtime] = ACTIONS(2045),
    [anon_sym_getc] = ACTIONS(2045),
    [anon_sym_getpgrp] = ACTIONS(2045),
    [anon_sym_getprotobyname] = ACTIONS(2045),
    [anon_sym_getpwname] = ACTIONS(2045),
    [anon_sym_getpwuid] = ACTIONS(2045),
    [anon_sym_getpeername] = ACTIONS(2045),
    [anon_sym_getnetbyname] = ACTIONS(2045),
    [anon_sym_getsockname] = ACTIONS(2045),
    [anon_sym_getgrnam] = ACTIONS(2045),
    [anon_sym_getgrgid] = ACTIONS(2045),
    [anon_sym_hex] = ACTIONS(2045),
    [anon_sym_int] = ACTIONS(2045),
    [anon_sym_keys] = ACTIONS(2045),
    [anon_sym_lc] = ACTIONS(2045),
    [anon_sym_lcfirst] = ACTIONS(2045),
    [anon_sym_length] = ACTIONS(2045),
    [anon_sym_localtime] = ACTIONS(2045),
    [anon_sym_log] = ACTIONS(2045),
    [anon_sym_lock] = ACTIONS(2045),
    [anon_sym_lstat] = ACTIONS(2045),
    [anon_sym_oct] = ACTIONS(2045),
    [anon_sym_ord] = ACTIONS(2045),
    [anon_sym_prototype] = ACTIONS(2045),
    [anon_sym_pop] = ACTIONS(2045),
    [anon_sym_pos] = ACTIONS(2045),
    [anon_sym_quotemeta] = ACTIONS(2045),
    [anon_sym_reset] = ACTIONS(2045),
    [anon_sym_rand] = ACTIONS(2045),
    [anon_sym_rmdir] = ACTIONS(2045),
    [anon_sym_readdir] = ACTIONS(2045),
    [anon_sym_readline] = ACTIONS(2045),
    [anon_sym_readpipe] = ACTIONS(2045),
    [anon_sym_rewinddir] = ACTIONS(2045),
    [anon_sym_readlink] = ACTIONS(2045),
    [anon_sym_ref] = ACTIONS(2045),
    [anon_sym_scalar] = ACTIONS(2045),
    [anon_sym_shift] = ACTIONS(2045),
    [anon_sym_sin] = ACTIONS(2045),
    [anon_sym_sleep] = ACTIONS(2045),
    [anon_sym_sqrt] = ACTIONS(2045),
    [anon_sym_srand] = ACTIONS(2045),
    [anon_sym_stat] = ACTIONS(2045),
    [anon_sym_study] = ACTIONS(2045),
    [anon_sym_tell] = ACTIONS(2045),
    [anon_sym_telldir] = ACTIONS(2045),
    [anon_sym_tied] = ACTIONS(2045),
    [anon_sym_uc] = ACTIONS(2045),
    [anon_sym_ucfirst] = ACTIONS(2045),
    [anon_sym_untie] = ACTIONS(2045),
    [anon_sym_umask] = ACTIONS(2045),
    [anon_sym_values] = ACTIONS(2045),
    [anon_sym_write] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2045),
    [anon_sym_qq] = ACTIONS(2045),
    [anon_sym_qw] = ACTIONS(2045),
    [anon_sym_qx] = ACTIONS(2045),
    [anon_sym_qr] = ACTIONS(2045),
    [anon_sym_m] = ACTIONS(2045),
    [anon_sym_s] = ACTIONS(2045),
    [anon_sym_tr] = ACTIONS(2045),
    [anon_sym_y] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_unless] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_until] = ACTIONS(2045),
    [aux_sym__bareword_token1] = ACTIONS(2045),
    [sym_number] = ACTIONS(2045),
    [anon_sym_true] = ACTIONS(2045),
    [anon_sym_false] = ACTIONS(2045),
    [sym__single_quote] = ACTIONS(2043),
    [sym__double_quote] = ACTIONS(2043),
    [sym__backtick_quote] = ACTIONS(2043),
    [sym__search_slash_quote] = ACTIONS(2043),
    [sym__open_readline_bracket] = ACTIONS(2043),
    [sym__open_fileglob_bracket] = ACTIONS(2043),
    [sym__PERLY_HEREDOC] = ACTIONS(2043),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2043),
    [sym__filetest] = ACTIONS(2043),
  },
  [1058] = {
    [sym_heredoc_content] = STATE(1058),
    [sym__identifier] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2013),
    [anon_sym_RBRACE] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2013),
    [anon_sym_package] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_role] = ACTIONS(2013),
    [anon_sym_BUILD] = ACTIONS(2013),
    [anon_sym_ADJUST] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2013),
    [anon_sym_my] = ACTIONS(2013),
    [anon_sym_extended] = ACTIONS(2013),
    [anon_sym_async] = ACTIONS(2013),
    [anon_sym_sub] = ACTIONS(2013),
    [anon_sym_method] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_state] = ACTIONS(2013),
    [anon_sym_our] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_defer] = ACTIONS(2013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_LT_LT] = ACTIONS(2013),
    [anon_sym_SLASH_SLASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_PLUS_PLUS] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_BSLASH] = ACTIONS(2011),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_eval] = ACTIONS(2013),
    [anon_sym_await] = ACTIONS(2013),
    [anon_sym_field] = ACTIONS(2013),
    [anon_sym_local] = ACTIONS(2013),
    [anon_sym_dynamically] = ACTIONS(2013),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2013),
    [anon_sym_require] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2013),
    [anon_sym_grep] = ACTIONS(2013),
    [anon_sym_sort] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_undef] = ACTIONS(2013),
    [anon_sym_PERCENT2] = ACTIONS(2013),
    [anon_sym_AMP2] = ACTIONS(2013),
    [anon_sym_STAR2] = ACTIONS(2013),
    [anon_sym_use] = ACTIONS(2013),
    [anon_sym_no] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_foreach] = ACTIONS(2013),
    [anon_sym_last] = ACTIONS(2013),
    [anon_sym_next] = ACTIONS(2013),
    [anon_sym_redo] = ACTIONS(2013),
    [anon_sym_BEGIN] = ACTIONS(2013),
    [anon_sym_INIT] = ACTIONS(2013),
    [anon_sym_CHECK] = ACTIONS(2013),
    [anon_sym_UNITCHECK] = ACTIONS(2013),
    [anon_sym_END] = ACTIONS(2013),
    [anon_sym___FILE__] = ACTIONS(2013),
    [anon_sym___LINE__] = ACTIONS(2013),
    [anon_sym___PACKAGE__] = ACTIONS(2013),
    [anon_sym___SUB__] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_fork] = ACTIONS(2013),
    [anon_sym_getppid] = ACTIONS(2013),
    [anon_sym_time] = ACTIONS(2013),
    [anon_sym_times] = ACTIONS(2013),
    [anon_sym_wait] = ACTIONS(2013),
    [anon_sym_wantarray] = ACTIONS(2013),
    [anon_sym_abs] = ACTIONS(2013),
    [anon_sym_alarm] = ACTIONS(2013),
    [anon_sym_chop] = ACTIONS(2013),
    [anon_sym_chdir] = ACTIONS(2013),
    [anon_sym_close] = ACTIONS(2013),
    [anon_sym_closedir] = ACTIONS(2013),
    [anon_sym_caller] = ACTIONS(2013),
    [anon_sym_chomp] = ACTIONS(2013),
    [anon_sym_chr] = ACTIONS(2013),
    [anon_sym_cos] = ACTIONS(2013),
    [anon_sym_chroot] = ACTIONS(2013),
    [anon_sym_defined] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_dbmclose] = ACTIONS(2013),
    [anon_sym_exists] = ACTIONS(2013),
    [anon_sym_exit] = ACTIONS(2013),
    [anon_sym_eof] = ACTIONS(2013),
    [anon_sym_exp] = ACTIONS(2013),
    [anon_sym_each] = ACTIONS(2013),
    [anon_sym_fc] = ACTIONS(2013),
    [anon_sym_fileno] = ACTIONS(2013),
    [anon_sym_gmtime] = ACTIONS(2013),
    [anon_sym_getc] = ACTIONS(2013),
    [anon_sym_getpgrp] = ACTIONS(2013),
    [anon_sym_getprotobyname] = ACTIONS(2013),
    [anon_sym_getpwname] = ACTIONS(2013),
    [anon_sym_getpwuid] = ACTIONS(2013),
    [anon_sym_getpeername] = ACTIONS(2013),
    [anon_sym_getnetbyname] = ACTIONS(2013),
    [anon_sym_getsockname] = ACTIONS(2013),
    [anon_sym_getgrnam] = ACTIONS(2013),
    [anon_sym_getgrgid] = ACTIONS(2013),
    [anon_sym_hex] = ACTIONS(2013),
    [anon_sym_int] = ACTIONS(2013),
    [anon_sym_keys] = ACTIONS(2013),
    [anon_sym_lc] = ACTIONS(2013),
    [anon_sym_lcfirst] = ACTIONS(2013),
    [anon_sym_length] = ACTIONS(2013),
    [anon_sym_localtime] = ACTIONS(2013),
    [anon_sym_log] = ACTIONS(2013),
    [anon_sym_lock] = ACTIONS(2013),
    [anon_sym_lstat] = ACTIONS(2013),
    [anon_sym_oct] = ACTIONS(2013),
    [anon_sym_ord] = ACTIONS(2013),
    [anon_sym_prototype] = ACTIONS(2013),
    [anon_sym_pop] = ACTIONS(2013),
    [anon_sym_pos] = ACTIONS(2013),
    [anon_sym_quotemeta] = ACTIONS(2013),
    [anon_sym_reset] = ACTIONS(2013),
    [anon_sym_rand] = ACTIONS(2013),
    [anon_sym_rmdir] = ACTIONS(2013),
    [anon_sym_readdir] = ACTIONS(2013),
    [anon_sym_readline] = ACTIONS(2013),
    [anon_sym_readpipe] = ACTIONS(2013),
    [anon_sym_rewinddir] = ACTIONS(2013),
    [anon_sym_readlink] = ACTIONS(2013),
    [anon_sym_ref] = ACTIONS(2013),
    [anon_sym_scalar] = ACTIONS(2013),
    [anon_sym_shift] = ACTIONS(2013),
    [anon_sym_sin] = ACTIONS(2013),
    [anon_sym_sleep] = ACTIONS(2013),
    [anon_sym_sqrt] = ACTIONS(2013),
    [anon_sym_srand] = ACTIONS(2013),
    [anon_sym_stat] = ACTIONS(2013),
    [anon_sym_study] = ACTIONS(2013),
    [anon_sym_tell] = ACTIONS(2013),
    [anon_sym_telldir] = ACTIONS(2013),
    [anon_sym_tied] = ACTIONS(2013),
    [anon_sym_uc] = ACTIONS(2013),
    [anon_sym_ucfirst] = ACTIONS(2013),
    [anon_sym_untie] = ACTIONS(2013),
    [anon_sym_umask] = ACTIONS(2013),
    [anon_sym_values] = ACTIONS(2013),
    [anon_sym_write] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2013),
    [anon_sym_qq] = ACTIONS(2013),
    [anon_sym_qw] = ACTIONS(2013),
    [anon_sym_qx] = ACTIONS(2013),
    [anon_sym_qr] = ACTIONS(2013),
    [anon_sym_m] = ACTIONS(2013),
    [anon_sym_s] = ACTIONS(2013),
    [anon_sym_tr] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_unless] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_until] = ACTIONS(2013),
    [aux_sym__bareword_token1] = ACTIONS(2013),
    [sym_number] = ACTIONS(2013),
    [anon_sym_true] = ACTIONS(2013),
    [anon_sym_false] = ACTIONS(2013),
    [sym__single_quote] = ACTIONS(2011),
    [sym__double_quote] = ACTIONS(2011),
    [sym__backtick_quote] = ACTIONS(2011),
    [sym__search_slash_quote] = ACTIONS(2011),
    [sym__open_readline_bracket] = ACTIONS(2011),
    [sym__open_fileglob_bracket] = ACTIONS(2011),
    [sym__PERLY_HEREDOC] = ACTIONS(2011),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2011),
    [sym__filetest] = ACTIONS(2011),
  },
  [1059] = {
    [sym_heredoc_content] = STATE(1059),
    [sym__identifier] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2113),
    [anon_sym_RBRACE] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2113),
    [anon_sym_package] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_role] = ACTIONS(2113),
    [anon_sym_BUILD] = ACTIONS(2113),
    [anon_sym_ADJUST] = ACTIONS(2113),
    [anon_sym_DOLLAR] = ACTIONS(2113),
    [anon_sym_AT] = ACTIONS(2113),
    [anon_sym_my] = ACTIONS(2113),
    [anon_sym_extended] = ACTIONS(2113),
    [anon_sym_async] = ACTIONS(2113),
    [anon_sym_sub] = ACTIONS(2113),
    [anon_sym_method] = ACTIONS(2113),
    [anon_sym_LPAREN] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_state] = ACTIONS(2113),
    [anon_sym_our] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_defer] = ACTIONS(2113),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_LT_LT] = ACTIONS(2113),
    [anon_sym_SLASH_SLASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_TILDE] = ACTIONS(2113),
    [anon_sym_BANG] = ACTIONS(2113),
    [anon_sym_PLUS_PLUS] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2113),
    [anon_sym_BSLASH] = ACTIONS(2111),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_eval] = ACTIONS(2113),
    [anon_sym_await] = ACTIONS(2113),
    [anon_sym_field] = ACTIONS(2113),
    [anon_sym_local] = ACTIONS(2113),
    [anon_sym_dynamically] = ACTIONS(2113),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2113),
    [anon_sym_require] = ACTIONS(2113),
    [anon_sym_map] = ACTIONS(2113),
    [anon_sym_grep] = ACTIONS(2113),
    [anon_sym_sort] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_undef] = ACTIONS(2113),
    [anon_sym_PERCENT2] = ACTIONS(2113),
    [anon_sym_AMP2] = ACTIONS(2113),
    [anon_sym_STAR2] = ACTIONS(2113),
    [anon_sym_use] = ACTIONS(2113),
    [anon_sym_no] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_foreach] = ACTIONS(2113),
    [anon_sym_last] = ACTIONS(2113),
    [anon_sym_next] = ACTIONS(2113),
    [anon_sym_redo] = ACTIONS(2113),
    [anon_sym_BEGIN] = ACTIONS(2113),
    [anon_sym_INIT] = ACTIONS(2113),
    [anon_sym_CHECK] = ACTIONS(2113),
    [anon_sym_UNITCHECK] = ACTIONS(2113),
    [anon_sym_END] = ACTIONS(2113),
    [anon_sym___FILE__] = ACTIONS(2113),
    [anon_sym___LINE__] = ACTIONS(2113),
    [anon_sym___PACKAGE__] = ACTIONS(2113),
    [anon_sym___SUB__] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_fork] = ACTIONS(2113),
    [anon_sym_getppid] = ACTIONS(2113),
    [anon_sym_time] = ACTIONS(2113),
    [anon_sym_times] = ACTIONS(2113),
    [anon_sym_wait] = ACTIONS(2113),
    [anon_sym_wantarray] = ACTIONS(2113),
    [anon_sym_abs] = ACTIONS(2113),
    [anon_sym_alarm] = ACTIONS(2113),
    [anon_sym_chop] = ACTIONS(2113),
    [anon_sym_chdir] = ACTIONS(2113),
    [anon_sym_close] = ACTIONS(2113),
    [anon_sym_closedir] = ACTIONS(2113),
    [anon_sym_caller] = ACTIONS(2113),
    [anon_sym_chomp] = ACTIONS(2113),
    [anon_sym_chr] = ACTIONS(2113),
    [anon_sym_cos] = ACTIONS(2113),
    [anon_sym_chroot] = ACTIONS(2113),
    [anon_sym_defined] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_dbmclose] = ACTIONS(2113),
    [anon_sym_exists] = ACTIONS(2113),
    [anon_sym_exit] = ACTIONS(2113),
    [anon_sym_eof] = ACTIONS(2113),
    [anon_sym_exp] = ACTIONS(2113),
    [anon_sym_each] = ACTIONS(2113),
    [anon_sym_fc] = ACTIONS(2113),
    [anon_sym_fileno] = ACTIONS(2113),
    [anon_sym_gmtime] = ACTIONS(2113),
    [anon_sym_getc] = ACTIONS(2113),
    [anon_sym_getpgrp] = ACTIONS(2113),
    [anon_sym_getprotobyname] = ACTIONS(2113),
    [anon_sym_getpwname] = ACTIONS(2113),
    [anon_sym_getpwuid] = ACTIONS(2113),
    [anon_sym_getpeername] = ACTIONS(2113),
    [anon_sym_getnetbyname] = ACTIONS(2113),
    [anon_sym_getsockname] = ACTIONS(2113),
    [anon_sym_getgrnam] = ACTIONS(2113),
    [anon_sym_getgrgid] = ACTIONS(2113),
    [anon_sym_hex] = ACTIONS(2113),
    [anon_sym_int] = ACTIONS(2113),
    [anon_sym_keys] = ACTIONS(2113),
    [anon_sym_lc] = ACTIONS(2113),
    [anon_sym_lcfirst] = ACTIONS(2113),
    [anon_sym_length] = ACTIONS(2113),
    [anon_sym_localtime] = ACTIONS(2113),
    [anon_sym_log] = ACTIONS(2113),
    [anon_sym_lock] = ACTIONS(2113),
    [anon_sym_lstat] = ACTIONS(2113),
    [anon_sym_oct] = ACTIONS(2113),
    [anon_sym_ord] = ACTIONS(2113),
    [anon_sym_prototype] = ACTIONS(2113),
    [anon_sym_pop] = ACTIONS(2113),
    [anon_sym_pos] = ACTIONS(2113),
    [anon_sym_quotemeta] = ACTIONS(2113),
    [anon_sym_reset] = ACTIONS(2113),
    [anon_sym_rand] = ACTIONS(2113),
    [anon_sym_rmdir] = ACTIONS(2113),
    [anon_sym_readdir] = ACTIONS(2113),
    [anon_sym_readline] = ACTIONS(2113),
    [anon_sym_readpipe] = ACTIONS(2113),
    [anon_sym_rewinddir] = ACTIONS(2113),
    [anon_sym_readlink] = ACTIONS(2113),
    [anon_sym_ref] = ACTIONS(2113),
    [anon_sym_scalar] = ACTIONS(2113),
    [anon_sym_shift] = ACTIONS(2113),
    [anon_sym_sin] = ACTIONS(2113),
    [anon_sym_sleep] = ACTIONS(2113),
    [anon_sym_sqrt] = ACTIONS(2113),
    [anon_sym_srand] = ACTIONS(2113),
    [anon_sym_stat] = ACTIONS(2113),
    [anon_sym_study] = ACTIONS(2113),
    [anon_sym_tell] = ACTIONS(2113),
    [anon_sym_telldir] = ACTIONS(2113),
    [anon_sym_tied] = ACTIONS(2113),
    [anon_sym_uc] = ACTIONS(2113),
    [anon_sym_ucfirst] = ACTIONS(2113),
    [anon_sym_untie] = ACTIONS(2113),
    [anon_sym_umask] = ACTIONS(2113),
    [anon_sym_values] = ACTIONS(2113),
    [anon_sym_write] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2113),
    [anon_sym_qq] = ACTIONS(2113),
    [anon_sym_qw] = ACTIONS(2113),
    [anon_sym_qx] = ACTIONS(2113),
    [anon_sym_qr] = ACTIONS(2113),
    [anon_sym_m] = ACTIONS(2113),
    [anon_sym_s] = ACTIONS(2113),
    [anon_sym_tr] = ACTIONS(2113),
    [anon_sym_y] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_unless] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_until] = ACTIONS(2113),
    [aux_sym__bareword_token1] = ACTIONS(2113),
    [sym_number] = ACTIONS(2113),
    [anon_sym_true] = ACTIONS(2113),
    [anon_sym_false] = ACTIONS(2113),
    [sym__single_quote] = ACTIONS(2111),
    [sym__double_quote] = ACTIONS(2111),
    [sym__backtick_quote] = ACTIONS(2111),
    [sym__search_slash_quote] = ACTIONS(2111),
    [sym__open_readline_bracket] = ACTIONS(2111),
    [sym__open_fileglob_bracket] = ACTIONS(2111),
    [sym__PERLY_HEREDOC] = ACTIONS(2111),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2111),
    [sym__filetest] = ACTIONS(2111),
  },
  [1060] = {
    [sym_heredoc_content] = STATE(1060),
    [sym__identifier] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2053),
    [anon_sym_RBRACE] = ACTIONS(2053),
    [anon_sym_SEMI] = ACTIONS(2053),
    [anon_sym_package] = ACTIONS(2053),
    [anon_sym_class] = ACTIONS(2053),
    [anon_sym_role] = ACTIONS(2053),
    [anon_sym_BUILD] = ACTIONS(2053),
    [anon_sym_ADJUST] = ACTIONS(2053),
    [anon_sym_DOLLAR] = ACTIONS(2053),
    [anon_sym_AT] = ACTIONS(2053),
    [anon_sym_my] = ACTIONS(2053),
    [anon_sym_extended] = ACTIONS(2053),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_sub] = ACTIONS(2053),
    [anon_sym_method] = ACTIONS(2053),
    [anon_sym_LPAREN] = ACTIONS(2053),
    [anon_sym_continue] = ACTIONS(2053),
    [anon_sym_state] = ACTIONS(2053),
    [anon_sym_our] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2053),
    [anon_sym_defer] = ACTIONS(2053),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_LT_LT] = ACTIONS(2053),
    [anon_sym_SLASH_SLASH] = ACTIONS(2053),
    [anon_sym_PLUS] = ACTIONS(2053),
    [anon_sym_DASH] = ACTIONS(2053),
    [anon_sym_TILDE] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(2053),
    [anon_sym_PLUS_PLUS] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(2053),
    [anon_sym_BSLASH] = ACTIONS(2051),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_eval] = ACTIONS(2053),
    [anon_sym_await] = ACTIONS(2053),
    [anon_sym_field] = ACTIONS(2053),
    [anon_sym_local] = ACTIONS(2053),
    [anon_sym_dynamically] = ACTIONS(2053),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2053),
    [anon_sym_require] = ACTIONS(2053),
    [anon_sym_map] = ACTIONS(2053),
    [anon_sym_grep] = ACTIONS(2053),
    [anon_sym_sort] = ACTIONS(2053),
    [anon_sym_goto] = ACTIONS(2053),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_undef] = ACTIONS(2053),
    [anon_sym_PERCENT2] = ACTIONS(2053),
    [anon_sym_AMP2] = ACTIONS(2053),
    [anon_sym_STAR2] = ACTIONS(2053),
    [anon_sym_use] = ACTIONS(2053),
    [anon_sym_no] = ACTIONS(2053),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_foreach] = ACTIONS(2053),
    [anon_sym_last] = ACTIONS(2053),
    [anon_sym_next] = ACTIONS(2053),
    [anon_sym_redo] = ACTIONS(2053),
    [anon_sym_BEGIN] = ACTIONS(2053),
    [anon_sym_INIT] = ACTIONS(2053),
    [anon_sym_CHECK] = ACTIONS(2053),
    [anon_sym_UNITCHECK] = ACTIONS(2053),
    [anon_sym_END] = ACTIONS(2053),
    [anon_sym___FILE__] = ACTIONS(2053),
    [anon_sym___LINE__] = ACTIONS(2053),
    [anon_sym___PACKAGE__] = ACTIONS(2053),
    [anon_sym___SUB__] = ACTIONS(2053),
    [anon_sym_break] = ACTIONS(2053),
    [anon_sym_fork] = ACTIONS(2053),
    [anon_sym_getppid] = ACTIONS(2053),
    [anon_sym_time] = ACTIONS(2053),
    [anon_sym_times] = ACTIONS(2053),
    [anon_sym_wait] = ACTIONS(2053),
    [anon_sym_wantarray] = ACTIONS(2053),
    [anon_sym_abs] = ACTIONS(2053),
    [anon_sym_alarm] = ACTIONS(2053),
    [anon_sym_chop] = ACTIONS(2053),
    [anon_sym_chdir] = ACTIONS(2053),
    [anon_sym_close] = ACTIONS(2053),
    [anon_sym_closedir] = ACTIONS(2053),
    [anon_sym_caller] = ACTIONS(2053),
    [anon_sym_chomp] = ACTIONS(2053),
    [anon_sym_chr] = ACTIONS(2053),
    [anon_sym_cos] = ACTIONS(2053),
    [anon_sym_chroot] = ACTIONS(2053),
    [anon_sym_defined] = ACTIONS(2053),
    [anon_sym_delete] = ACTIONS(2053),
    [anon_sym_dbmclose] = ACTIONS(2053),
    [anon_sym_exists] = ACTIONS(2053),
    [anon_sym_exit] = ACTIONS(2053),
    [anon_sym_eof] = ACTIONS(2053),
    [anon_sym_exp] = ACTIONS(2053),
    [anon_sym_each] = ACTIONS(2053),
    [anon_sym_fc] = ACTIONS(2053),
    [anon_sym_fileno] = ACTIONS(2053),
    [anon_sym_gmtime] = ACTIONS(2053),
    [anon_sym_getc] = ACTIONS(2053),
    [anon_sym_getpgrp] = ACTIONS(2053),
    [anon_sym_getprotobyname] = ACTIONS(2053),
    [anon_sym_getpwname] = ACTIONS(2053),
    [anon_sym_getpwuid] = ACTIONS(2053),
    [anon_sym_getpeername] = ACTIONS(2053),
    [anon_sym_getnetbyname] = ACTIONS(2053),
    [anon_sym_getsockname] = ACTIONS(2053),
    [anon_sym_getgrnam] = ACTIONS(2053),
    [anon_sym_getgrgid] = ACTIONS(2053),
    [anon_sym_hex] = ACTIONS(2053),
    [anon_sym_int] = ACTIONS(2053),
    [anon_sym_keys] = ACTIONS(2053),
    [anon_sym_lc] = ACTIONS(2053),
    [anon_sym_lcfirst] = ACTIONS(2053),
    [anon_sym_length] = ACTIONS(2053),
    [anon_sym_localtime] = ACTIONS(2053),
    [anon_sym_log] = ACTIONS(2053),
    [anon_sym_lock] = ACTIONS(2053),
    [anon_sym_lstat] = ACTIONS(2053),
    [anon_sym_oct] = ACTIONS(2053),
    [anon_sym_ord] = ACTIONS(2053),
    [anon_sym_prototype] = ACTIONS(2053),
    [anon_sym_pop] = ACTIONS(2053),
    [anon_sym_pos] = ACTIONS(2053),
    [anon_sym_quotemeta] = ACTIONS(2053),
    [anon_sym_reset] = ACTIONS(2053),
    [anon_sym_rand] = ACTIONS(2053),
    [anon_sym_rmdir] = ACTIONS(2053),
    [anon_sym_readdir] = ACTIONS(2053),
    [anon_sym_readline] = ACTIONS(2053),
    [anon_sym_readpipe] = ACTIONS(2053),
    [anon_sym_rewinddir] = ACTIONS(2053),
    [anon_sym_readlink] = ACTIONS(2053),
    [anon_sym_ref] = ACTIONS(2053),
    [anon_sym_scalar] = ACTIONS(2053),
    [anon_sym_shift] = ACTIONS(2053),
    [anon_sym_sin] = ACTIONS(2053),
    [anon_sym_sleep] = ACTIONS(2053),
    [anon_sym_sqrt] = ACTIONS(2053),
    [anon_sym_srand] = ACTIONS(2053),
    [anon_sym_stat] = ACTIONS(2053),
    [anon_sym_study] = ACTIONS(2053),
    [anon_sym_tell] = ACTIONS(2053),
    [anon_sym_telldir] = ACTIONS(2053),
    [anon_sym_tied] = ACTIONS(2053),
    [anon_sym_uc] = ACTIONS(2053),
    [anon_sym_ucfirst] = ACTIONS(2053),
    [anon_sym_untie] = ACTIONS(2053),
    [anon_sym_umask] = ACTIONS(2053),
    [anon_sym_values] = ACTIONS(2053),
    [anon_sym_write] = ACTIONS(2053),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2053),
    [anon_sym_qq] = ACTIONS(2053),
    [anon_sym_qw] = ACTIONS(2053),
    [anon_sym_qx] = ACTIONS(2053),
    [anon_sym_qr] = ACTIONS(2053),
    [anon_sym_m] = ACTIONS(2053),
    [anon_sym_s] = ACTIONS(2053),
    [anon_sym_tr] = ACTIONS(2053),
    [anon_sym_y] = ACTIONS(2053),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_unless] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(2053),
    [anon_sym_until] = ACTIONS(2053),
    [aux_sym__bareword_token1] = ACTIONS(2053),
    [sym_number] = ACTIONS(2053),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [sym__single_quote] = ACTIONS(2051),
    [sym__double_quote] = ACTIONS(2051),
    [sym__backtick_quote] = ACTIONS(2051),
    [sym__search_slash_quote] = ACTIONS(2051),
    [sym__open_readline_bracket] = ACTIONS(2051),
    [sym__open_fileglob_bracket] = ACTIONS(2051),
    [sym__PERLY_HEREDOC] = ACTIONS(2051),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2051),
    [sym__filetest] = ACTIONS(2051),
  },
  [1061] = {
    [sym_heredoc_content] = STATE(1061),
    [sym__identifier] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_package] = ACTIONS(2336),
    [anon_sym_class] = ACTIONS(2336),
    [anon_sym_role] = ACTIONS(2336),
    [anon_sym_BUILD] = ACTIONS(2336),
    [anon_sym_ADJUST] = ACTIONS(2336),
    [anon_sym_DOLLAR] = ACTIONS(2336),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_my] = ACTIONS(2336),
    [anon_sym_extended] = ACTIONS(2336),
    [anon_sym_async] = ACTIONS(2336),
    [anon_sym_sub] = ACTIONS(2336),
    [anon_sym_method] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_continue] = ACTIONS(2336),
    [anon_sym_state] = ACTIONS(2336),
    [anon_sym_our] = ACTIONS(2336),
    [anon_sym_try] = ACTIONS(2336),
    [anon_sym_defer] = ACTIONS(2336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_BSLASH] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2336),
    [anon_sym_eval] = ACTIONS(2336),
    [anon_sym_await] = ACTIONS(2336),
    [anon_sym_field] = ACTIONS(2336),
    [anon_sym_local] = ACTIONS(2336),
    [anon_sym_dynamically] = ACTIONS(2336),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2336),
    [anon_sym_require] = ACTIONS(2336),
    [anon_sym_map] = ACTIONS(2336),
    [anon_sym_grep] = ACTIONS(2336),
    [anon_sym_sort] = ACTIONS(2336),
    [anon_sym_goto] = ACTIONS(2336),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_undef] = ACTIONS(2336),
    [anon_sym_PERCENT2] = ACTIONS(2336),
    [anon_sym_AMP2] = ACTIONS(2336),
    [anon_sym_STAR2] = ACTIONS(2336),
    [anon_sym_use] = ACTIONS(2336),
    [anon_sym_no] = ACTIONS(2336),
    [anon_sym_for] = ACTIONS(2336),
    [anon_sym_foreach] = ACTIONS(2336),
    [anon_sym_last] = ACTIONS(2336),
    [anon_sym_next] = ACTIONS(2336),
    [anon_sym_redo] = ACTIONS(2336),
    [anon_sym_BEGIN] = ACTIONS(2336),
    [anon_sym_INIT] = ACTIONS(2336),
    [anon_sym_CHECK] = ACTIONS(2336),
    [anon_sym_UNITCHECK] = ACTIONS(2336),
    [anon_sym_END] = ACTIONS(2336),
    [anon_sym___FILE__] = ACTIONS(2336),
    [anon_sym___LINE__] = ACTIONS(2336),
    [anon_sym___PACKAGE__] = ACTIONS(2336),
    [anon_sym___SUB__] = ACTIONS(2336),
    [anon_sym_break] = ACTIONS(2336),
    [anon_sym_fork] = ACTIONS(2336),
    [anon_sym_getppid] = ACTIONS(2336),
    [anon_sym_time] = ACTIONS(2336),
    [anon_sym_times] = ACTIONS(2336),
    [anon_sym_wait] = ACTIONS(2336),
    [anon_sym_wantarray] = ACTIONS(2336),
    [anon_sym_abs] = ACTIONS(2336),
    [anon_sym_alarm] = ACTIONS(2336),
    [anon_sym_chop] = ACTIONS(2336),
    [anon_sym_chdir] = ACTIONS(2336),
    [anon_sym_close] = ACTIONS(2336),
    [anon_sym_closedir] = ACTIONS(2336),
    [anon_sym_caller] = ACTIONS(2336),
    [anon_sym_chomp] = ACTIONS(2336),
    [anon_sym_chr] = ACTIONS(2336),
    [anon_sym_cos] = ACTIONS(2336),
    [anon_sym_chroot] = ACTIONS(2336),
    [anon_sym_defined] = ACTIONS(2336),
    [anon_sym_delete] = ACTIONS(2336),
    [anon_sym_dbmclose] = ACTIONS(2336),
    [anon_sym_exists] = ACTIONS(2336),
    [anon_sym_exit] = ACTIONS(2336),
    [anon_sym_eof] = ACTIONS(2336),
    [anon_sym_exp] = ACTIONS(2336),
    [anon_sym_each] = ACTIONS(2336),
    [anon_sym_fc] = ACTIONS(2336),
    [anon_sym_fileno] = ACTIONS(2336),
    [anon_sym_gmtime] = ACTIONS(2336),
    [anon_sym_getc] = ACTIONS(2336),
    [anon_sym_getpgrp] = ACTIONS(2336),
    [anon_sym_getprotobyname] = ACTIONS(2336),
    [anon_sym_getpwname] = ACTIONS(2336),
    [anon_sym_getpwuid] = ACTIONS(2336),
    [anon_sym_getpeername] = ACTIONS(2336),
    [anon_sym_getnetbyname] = ACTIONS(2336),
    [anon_sym_getsockname] = ACTIONS(2336),
    [anon_sym_getgrnam] = ACTIONS(2336),
    [anon_sym_getgrgid] = ACTIONS(2336),
    [anon_sym_hex] = ACTIONS(2336),
    [anon_sym_int] = ACTIONS(2336),
    [anon_sym_keys] = ACTIONS(2336),
    [anon_sym_lc] = ACTIONS(2336),
    [anon_sym_lcfirst] = ACTIONS(2336),
    [anon_sym_length] = ACTIONS(2336),
    [anon_sym_localtime] = ACTIONS(2336),
    [anon_sym_log] = ACTIONS(2336),
    [anon_sym_lock] = ACTIONS(2336),
    [anon_sym_lstat] = ACTIONS(2336),
    [anon_sym_oct] = ACTIONS(2336),
    [anon_sym_ord] = ACTIONS(2336),
    [anon_sym_prototype] = ACTIONS(2336),
    [anon_sym_pop] = ACTIONS(2336),
    [anon_sym_pos] = ACTIONS(2336),
    [anon_sym_quotemeta] = ACTIONS(2336),
    [anon_sym_reset] = ACTIONS(2336),
    [anon_sym_rand] = ACTIONS(2336),
    [anon_sym_rmdir] = ACTIONS(2336),
    [anon_sym_readdir] = ACTIONS(2336),
    [anon_sym_readline] = ACTIONS(2336),
    [anon_sym_readpipe] = ACTIONS(2336),
    [anon_sym_rewinddir] = ACTIONS(2336),
    [anon_sym_readlink] = ACTIONS(2336),
    [anon_sym_ref] = ACTIONS(2336),
    [anon_sym_scalar] = ACTIONS(2336),
    [anon_sym_shift] = ACTIONS(2336),
    [anon_sym_sin] = ACTIONS(2336),
    [anon_sym_sleep] = ACTIONS(2336),
    [anon_sym_sqrt] = ACTIONS(2336),
    [anon_sym_srand] = ACTIONS(2336),
    [anon_sym_stat] = ACTIONS(2336),
    [anon_sym_study] = ACTIONS(2336),
    [anon_sym_tell] = ACTIONS(2336),
    [anon_sym_telldir] = ACTIONS(2336),
    [anon_sym_tied] = ACTIONS(2336),
    [anon_sym_uc] = ACTIONS(2336),
    [anon_sym_ucfirst] = ACTIONS(2336),
    [anon_sym_untie] = ACTIONS(2336),
    [anon_sym_umask] = ACTIONS(2336),
    [anon_sym_values] = ACTIONS(2336),
    [anon_sym_write] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2336),
    [anon_sym_qq] = ACTIONS(2336),
    [anon_sym_qw] = ACTIONS(2336),
    [anon_sym_qx] = ACTIONS(2336),
    [anon_sym_qr] = ACTIONS(2336),
    [anon_sym_m] = ACTIONS(2336),
    [anon_sym_s] = ACTIONS(2336),
    [anon_sym_tr] = ACTIONS(2336),
    [anon_sym_y] = ACTIONS(2336),
    [anon_sym_if] = ACTIONS(2336),
    [anon_sym_unless] = ACTIONS(2336),
    [anon_sym_while] = ACTIONS(2336),
    [anon_sym_until] = ACTIONS(2336),
    [aux_sym__bareword_token1] = ACTIONS(2336),
    [sym_number] = ACTIONS(2336),
    [anon_sym_true] = ACTIONS(2336),
    [anon_sym_false] = ACTIONS(2336),
    [sym__single_quote] = ACTIONS(2334),
    [sym__double_quote] = ACTIONS(2334),
    [sym__backtick_quote] = ACTIONS(2334),
    [sym__search_slash_quote] = ACTIONS(2334),
    [sym__open_readline_bracket] = ACTIONS(2334),
    [sym__open_fileglob_bracket] = ACTIONS(2334),
    [sym__PERLY_HEREDOC] = ACTIONS(2334),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2334),
    [sym__filetest] = ACTIONS(2334),
  },
  [1062] = {
    [sym_heredoc_content] = STATE(1062),
    [sym__identifier] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2061),
    [anon_sym_RBRACE] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2061),
    [anon_sym_package] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_role] = ACTIONS(2061),
    [anon_sym_BUILD] = ACTIONS(2061),
    [anon_sym_ADJUST] = ACTIONS(2061),
    [anon_sym_DOLLAR] = ACTIONS(2061),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_my] = ACTIONS(2061),
    [anon_sym_extended] = ACTIONS(2061),
    [anon_sym_async] = ACTIONS(2061),
    [anon_sym_sub] = ACTIONS(2061),
    [anon_sym_method] = ACTIONS(2061),
    [anon_sym_LPAREN] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_state] = ACTIONS(2061),
    [anon_sym_our] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_defer] = ACTIONS(2061),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LT_LT] = ACTIONS(2061),
    [anon_sym_SLASH_SLASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_TILDE] = ACTIONS(2061),
    [anon_sym_BANG] = ACTIONS(2061),
    [anon_sym_PLUS_PLUS] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2061),
    [anon_sym_BSLASH] = ACTIONS(2059),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_eval] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(2061),
    [anon_sym_field] = ACTIONS(2061),
    [anon_sym_local] = ACTIONS(2061),
    [anon_sym_dynamically] = ACTIONS(2061),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2061),
    [anon_sym_require] = ACTIONS(2061),
    [anon_sym_map] = ACTIONS(2061),
    [anon_sym_grep] = ACTIONS(2061),
    [anon_sym_sort] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_undef] = ACTIONS(2061),
    [anon_sym_PERCENT2] = ACTIONS(2061),
    [anon_sym_AMP2] = ACTIONS(2061),
    [anon_sym_STAR2] = ACTIONS(2061),
    [anon_sym_use] = ACTIONS(2061),
    [anon_sym_no] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_foreach] = ACTIONS(2061),
    [anon_sym_last] = ACTIONS(2061),
    [anon_sym_next] = ACTIONS(2061),
    [anon_sym_redo] = ACTIONS(2061),
    [anon_sym_BEGIN] = ACTIONS(2061),
    [anon_sym_INIT] = ACTIONS(2061),
    [anon_sym_CHECK] = ACTIONS(2061),
    [anon_sym_UNITCHECK] = ACTIONS(2061),
    [anon_sym_END] = ACTIONS(2061),
    [anon_sym___FILE__] = ACTIONS(2061),
    [anon_sym___LINE__] = ACTIONS(2061),
    [anon_sym___PACKAGE__] = ACTIONS(2061),
    [anon_sym___SUB__] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_fork] = ACTIONS(2061),
    [anon_sym_getppid] = ACTIONS(2061),
    [anon_sym_time] = ACTIONS(2061),
    [anon_sym_times] = ACTIONS(2061),
    [anon_sym_wait] = ACTIONS(2061),
    [anon_sym_wantarray] = ACTIONS(2061),
    [anon_sym_abs] = ACTIONS(2061),
    [anon_sym_alarm] = ACTIONS(2061),
    [anon_sym_chop] = ACTIONS(2061),
    [anon_sym_chdir] = ACTIONS(2061),
    [anon_sym_close] = ACTIONS(2061),
    [anon_sym_closedir] = ACTIONS(2061),
    [anon_sym_caller] = ACTIONS(2061),
    [anon_sym_chomp] = ACTIONS(2061),
    [anon_sym_chr] = ACTIONS(2061),
    [anon_sym_cos] = ACTIONS(2061),
    [anon_sym_chroot] = ACTIONS(2061),
    [anon_sym_defined] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_dbmclose] = ACTIONS(2061),
    [anon_sym_exists] = ACTIONS(2061),
    [anon_sym_exit] = ACTIONS(2061),
    [anon_sym_eof] = ACTIONS(2061),
    [anon_sym_exp] = ACTIONS(2061),
    [anon_sym_each] = ACTIONS(2061),
    [anon_sym_fc] = ACTIONS(2061),
    [anon_sym_fileno] = ACTIONS(2061),
    [anon_sym_gmtime] = ACTIONS(2061),
    [anon_sym_getc] = ACTIONS(2061),
    [anon_sym_getpgrp] = ACTIONS(2061),
    [anon_sym_getprotobyname] = ACTIONS(2061),
    [anon_sym_getpwname] = ACTIONS(2061),
    [anon_sym_getpwuid] = ACTIONS(2061),
    [anon_sym_getpeername] = ACTIONS(2061),
    [anon_sym_getnetbyname] = ACTIONS(2061),
    [anon_sym_getsockname] = ACTIONS(2061),
    [anon_sym_getgrnam] = ACTIONS(2061),
    [anon_sym_getgrgid] = ACTIONS(2061),
    [anon_sym_hex] = ACTIONS(2061),
    [anon_sym_int] = ACTIONS(2061),
    [anon_sym_keys] = ACTIONS(2061),
    [anon_sym_lc] = ACTIONS(2061),
    [anon_sym_lcfirst] = ACTIONS(2061),
    [anon_sym_length] = ACTIONS(2061),
    [anon_sym_localtime] = ACTIONS(2061),
    [anon_sym_log] = ACTIONS(2061),
    [anon_sym_lock] = ACTIONS(2061),
    [anon_sym_lstat] = ACTIONS(2061),
    [anon_sym_oct] = ACTIONS(2061),
    [anon_sym_ord] = ACTIONS(2061),
    [anon_sym_prototype] = ACTIONS(2061),
    [anon_sym_pop] = ACTIONS(2061),
    [anon_sym_pos] = ACTIONS(2061),
    [anon_sym_quotemeta] = ACTIONS(2061),
    [anon_sym_reset] = ACTIONS(2061),
    [anon_sym_rand] = ACTIONS(2061),
    [anon_sym_rmdir] = ACTIONS(2061),
    [anon_sym_readdir] = ACTIONS(2061),
    [anon_sym_readline] = ACTIONS(2061),
    [anon_sym_readpipe] = ACTIONS(2061),
    [anon_sym_rewinddir] = ACTIONS(2061),
    [anon_sym_readlink] = ACTIONS(2061),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_scalar] = ACTIONS(2061),
    [anon_sym_shift] = ACTIONS(2061),
    [anon_sym_sin] = ACTIONS(2061),
    [anon_sym_sleep] = ACTIONS(2061),
    [anon_sym_sqrt] = ACTIONS(2061),
    [anon_sym_srand] = ACTIONS(2061),
    [anon_sym_stat] = ACTIONS(2061),
    [anon_sym_study] = ACTIONS(2061),
    [anon_sym_tell] = ACTIONS(2061),
    [anon_sym_telldir] = ACTIONS(2061),
    [anon_sym_tied] = ACTIONS(2061),
    [anon_sym_uc] = ACTIONS(2061),
    [anon_sym_ucfirst] = ACTIONS(2061),
    [anon_sym_untie] = ACTIONS(2061),
    [anon_sym_umask] = ACTIONS(2061),
    [anon_sym_values] = ACTIONS(2061),
    [anon_sym_write] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2061),
    [anon_sym_qq] = ACTIONS(2061),
    [anon_sym_qw] = ACTIONS(2061),
    [anon_sym_qx] = ACTIONS(2061),
    [anon_sym_qr] = ACTIONS(2061),
    [anon_sym_m] = ACTIONS(2061),
    [anon_sym_s] = ACTIONS(2061),
    [anon_sym_tr] = ACTIONS(2061),
    [anon_sym_y] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_unless] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_until] = ACTIONS(2061),
    [aux_sym__bareword_token1] = ACTIONS(2061),
    [sym_number] = ACTIONS(2061),
    [anon_sym_true] = ACTIONS(2061),
    [anon_sym_false] = ACTIONS(2061),
    [sym__single_quote] = ACTIONS(2059),
    [sym__double_quote] = ACTIONS(2059),
    [sym__backtick_quote] = ACTIONS(2059),
    [sym__search_slash_quote] = ACTIONS(2059),
    [sym__open_readline_bracket] = ACTIONS(2059),
    [sym__open_fileglob_bracket] = ACTIONS(2059),
    [sym__PERLY_HEREDOC] = ACTIONS(2059),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2059),
    [sym__filetest] = ACTIONS(2059),
  },
  [1063] = {
    [sym_heredoc_content] = STATE(1063),
    [sym__identifier] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_RBRACE] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2065),
    [anon_sym_package] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_role] = ACTIONS(2065),
    [anon_sym_BUILD] = ACTIONS(2065),
    [anon_sym_ADJUST] = ACTIONS(2065),
    [anon_sym_DOLLAR] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_my] = ACTIONS(2065),
    [anon_sym_extended] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_sub] = ACTIONS(2065),
    [anon_sym_method] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_state] = ACTIONS(2065),
    [anon_sym_our] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_defer] = ACTIONS(2065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_SLASH_SLASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_BSLASH] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_eval] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_field] = ACTIONS(2065),
    [anon_sym_local] = ACTIONS(2065),
    [anon_sym_dynamically] = ACTIONS(2065),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2065),
    [anon_sym_require] = ACTIONS(2065),
    [anon_sym_map] = ACTIONS(2065),
    [anon_sym_grep] = ACTIONS(2065),
    [anon_sym_sort] = ACTIONS(2065),
    [anon_sym_goto] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_undef] = ACTIONS(2065),
    [anon_sym_PERCENT2] = ACTIONS(2065),
    [anon_sym_AMP2] = ACTIONS(2065),
    [anon_sym_STAR2] = ACTIONS(2065),
    [anon_sym_use] = ACTIONS(2065),
    [anon_sym_no] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_foreach] = ACTIONS(2065),
    [anon_sym_last] = ACTIONS(2065),
    [anon_sym_next] = ACTIONS(2065),
    [anon_sym_redo] = ACTIONS(2065),
    [anon_sym_BEGIN] = ACTIONS(2065),
    [anon_sym_INIT] = ACTIONS(2065),
    [anon_sym_CHECK] = ACTIONS(2065),
    [anon_sym_UNITCHECK] = ACTIONS(2065),
    [anon_sym_END] = ACTIONS(2065),
    [anon_sym___FILE__] = ACTIONS(2065),
    [anon_sym___LINE__] = ACTIONS(2065),
    [anon_sym___PACKAGE__] = ACTIONS(2065),
    [anon_sym___SUB__] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_fork] = ACTIONS(2065),
    [anon_sym_getppid] = ACTIONS(2065),
    [anon_sym_time] = ACTIONS(2065),
    [anon_sym_times] = ACTIONS(2065),
    [anon_sym_wait] = ACTIONS(2065),
    [anon_sym_wantarray] = ACTIONS(2065),
    [anon_sym_abs] = ACTIONS(2065),
    [anon_sym_alarm] = ACTIONS(2065),
    [anon_sym_chop] = ACTIONS(2065),
    [anon_sym_chdir] = ACTIONS(2065),
    [anon_sym_close] = ACTIONS(2065),
    [anon_sym_closedir] = ACTIONS(2065),
    [anon_sym_caller] = ACTIONS(2065),
    [anon_sym_chomp] = ACTIONS(2065),
    [anon_sym_chr] = ACTIONS(2065),
    [anon_sym_cos] = ACTIONS(2065),
    [anon_sym_chroot] = ACTIONS(2065),
    [anon_sym_defined] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_dbmclose] = ACTIONS(2065),
    [anon_sym_exists] = ACTIONS(2065),
    [anon_sym_exit] = ACTIONS(2065),
    [anon_sym_eof] = ACTIONS(2065),
    [anon_sym_exp] = ACTIONS(2065),
    [anon_sym_each] = ACTIONS(2065),
    [anon_sym_fc] = ACTIONS(2065),
    [anon_sym_fileno] = ACTIONS(2065),
    [anon_sym_gmtime] = ACTIONS(2065),
    [anon_sym_getc] = ACTIONS(2065),
    [anon_sym_getpgrp] = ACTIONS(2065),
    [anon_sym_getprotobyname] = ACTIONS(2065),
    [anon_sym_getpwname] = ACTIONS(2065),
    [anon_sym_getpwuid] = ACTIONS(2065),
    [anon_sym_getpeername] = ACTIONS(2065),
    [anon_sym_getnetbyname] = ACTIONS(2065),
    [anon_sym_getsockname] = ACTIONS(2065),
    [anon_sym_getgrnam] = ACTIONS(2065),
    [anon_sym_getgrgid] = ACTIONS(2065),
    [anon_sym_hex] = ACTIONS(2065),
    [anon_sym_int] = ACTIONS(2065),
    [anon_sym_keys] = ACTIONS(2065),
    [anon_sym_lc] = ACTIONS(2065),
    [anon_sym_lcfirst] = ACTIONS(2065),
    [anon_sym_length] = ACTIONS(2065),
    [anon_sym_localtime] = ACTIONS(2065),
    [anon_sym_log] = ACTIONS(2065),
    [anon_sym_lock] = ACTIONS(2065),
    [anon_sym_lstat] = ACTIONS(2065),
    [anon_sym_oct] = ACTIONS(2065),
    [anon_sym_ord] = ACTIONS(2065),
    [anon_sym_prototype] = ACTIONS(2065),
    [anon_sym_pop] = ACTIONS(2065),
    [anon_sym_pos] = ACTIONS(2065),
    [anon_sym_quotemeta] = ACTIONS(2065),
    [anon_sym_reset] = ACTIONS(2065),
    [anon_sym_rand] = ACTIONS(2065),
    [anon_sym_rmdir] = ACTIONS(2065),
    [anon_sym_readdir] = ACTIONS(2065),
    [anon_sym_readline] = ACTIONS(2065),
    [anon_sym_readpipe] = ACTIONS(2065),
    [anon_sym_rewinddir] = ACTIONS(2065),
    [anon_sym_readlink] = ACTIONS(2065),
    [anon_sym_ref] = ACTIONS(2065),
    [anon_sym_scalar] = ACTIONS(2065),
    [anon_sym_shift] = ACTIONS(2065),
    [anon_sym_sin] = ACTIONS(2065),
    [anon_sym_sleep] = ACTIONS(2065),
    [anon_sym_sqrt] = ACTIONS(2065),
    [anon_sym_srand] = ACTIONS(2065),
    [anon_sym_stat] = ACTIONS(2065),
    [anon_sym_study] = ACTIONS(2065),
    [anon_sym_tell] = ACTIONS(2065),
    [anon_sym_telldir] = ACTIONS(2065),
    [anon_sym_tied] = ACTIONS(2065),
    [anon_sym_uc] = ACTIONS(2065),
    [anon_sym_ucfirst] = ACTIONS(2065),
    [anon_sym_untie] = ACTIONS(2065),
    [anon_sym_umask] = ACTIONS(2065),
    [anon_sym_values] = ACTIONS(2065),
    [anon_sym_write] = ACTIONS(2065),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2065),
    [anon_sym_qq] = ACTIONS(2065),
    [anon_sym_qw] = ACTIONS(2065),
    [anon_sym_qx] = ACTIONS(2065),
    [anon_sym_qr] = ACTIONS(2065),
    [anon_sym_m] = ACTIONS(2065),
    [anon_sym_s] = ACTIONS(2065),
    [anon_sym_tr] = ACTIONS(2065),
    [anon_sym_y] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_unless] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_until] = ACTIONS(2065),
    [aux_sym__bareword_token1] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(2065),
    [anon_sym_false] = ACTIONS(2065),
    [sym__single_quote] = ACTIONS(2063),
    [sym__double_quote] = ACTIONS(2063),
    [sym__backtick_quote] = ACTIONS(2063),
    [sym__search_slash_quote] = ACTIONS(2063),
    [sym__open_readline_bracket] = ACTIONS(2063),
    [sym__open_fileglob_bracket] = ACTIONS(2063),
    [sym__PERLY_HEREDOC] = ACTIONS(2063),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2063),
    [sym__filetest] = ACTIONS(2063),
  },
  [1064] = {
    [sym_heredoc_content] = STATE(1064),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_RBRACE] = ACTIONS(1845),
    [anon_sym_SEMI] = ACTIONS(1845),
    [anon_sym_package] = ACTIONS(1845),
    [anon_sym_class] = ACTIONS(1845),
    [anon_sym_role] = ACTIONS(1845),
    [anon_sym_BUILD] = ACTIONS(1845),
    [anon_sym_ADJUST] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_try] = ACTIONS(1845),
    [anon_sym_defer] = ACTIONS(1845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_use] = ACTIONS(1845),
    [anon_sym_no] = ACTIONS(1845),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym_BEGIN] = ACTIONS(1845),
    [anon_sym_INIT] = ACTIONS(1845),
    [anon_sym_CHECK] = ACTIONS(1845),
    [anon_sym_UNITCHECK] = ACTIONS(1845),
    [anon_sym_END] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [anon_sym_if] = ACTIONS(1845),
    [anon_sym_unless] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1845),
    [anon_sym_until] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [1065] = {
    [sym_heredoc_content] = STATE(1065),
    [sym__identifier] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_RBRACE] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2125),
    [anon_sym_package] = ACTIONS(2125),
    [anon_sym_class] = ACTIONS(2125),
    [anon_sym_role] = ACTIONS(2125),
    [anon_sym_BUILD] = ACTIONS(2125),
    [anon_sym_ADJUST] = ACTIONS(2125),
    [anon_sym_DOLLAR] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2125),
    [anon_sym_my] = ACTIONS(2125),
    [anon_sym_extended] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_sub] = ACTIONS(2125),
    [anon_sym_method] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_state] = ACTIONS(2125),
    [anon_sym_our] = ACTIONS(2125),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_defer] = ACTIONS(2125),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2125),
    [anon_sym_LT_LT] = ACTIONS(2125),
    [anon_sym_SLASH_SLASH] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_BSLASH] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_eval] = ACTIONS(2125),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_field] = ACTIONS(2125),
    [anon_sym_local] = ACTIONS(2125),
    [anon_sym_dynamically] = ACTIONS(2125),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2125),
    [anon_sym_require] = ACTIONS(2125),
    [anon_sym_map] = ACTIONS(2125),
    [anon_sym_grep] = ACTIONS(2125),
    [anon_sym_sort] = ACTIONS(2125),
    [anon_sym_goto] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_undef] = ACTIONS(2125),
    [anon_sym_PERCENT2] = ACTIONS(2125),
    [anon_sym_AMP2] = ACTIONS(2125),
    [anon_sym_STAR2] = ACTIONS(2125),
    [anon_sym_use] = ACTIONS(2125),
    [anon_sym_no] = ACTIONS(2125),
    [anon_sym_for] = ACTIONS(2125),
    [anon_sym_foreach] = ACTIONS(2125),
    [anon_sym_last] = ACTIONS(2125),
    [anon_sym_next] = ACTIONS(2125),
    [anon_sym_redo] = ACTIONS(2125),
    [anon_sym_BEGIN] = ACTIONS(2125),
    [anon_sym_INIT] = ACTIONS(2125),
    [anon_sym_CHECK] = ACTIONS(2125),
    [anon_sym_UNITCHECK] = ACTIONS(2125),
    [anon_sym_END] = ACTIONS(2125),
    [anon_sym___FILE__] = ACTIONS(2125),
    [anon_sym___LINE__] = ACTIONS(2125),
    [anon_sym___PACKAGE__] = ACTIONS(2125),
    [anon_sym___SUB__] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_fork] = ACTIONS(2125),
    [anon_sym_getppid] = ACTIONS(2125),
    [anon_sym_time] = ACTIONS(2125),
    [anon_sym_times] = ACTIONS(2125),
    [anon_sym_wait] = ACTIONS(2125),
    [anon_sym_wantarray] = ACTIONS(2125),
    [anon_sym_abs] = ACTIONS(2125),
    [anon_sym_alarm] = ACTIONS(2125),
    [anon_sym_chop] = ACTIONS(2125),
    [anon_sym_chdir] = ACTIONS(2125),
    [anon_sym_close] = ACTIONS(2125),
    [anon_sym_closedir] = ACTIONS(2125),
    [anon_sym_caller] = ACTIONS(2125),
    [anon_sym_chomp] = ACTIONS(2125),
    [anon_sym_chr] = ACTIONS(2125),
    [anon_sym_cos] = ACTIONS(2125),
    [anon_sym_chroot] = ACTIONS(2125),
    [anon_sym_defined] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_dbmclose] = ACTIONS(2125),
    [anon_sym_exists] = ACTIONS(2125),
    [anon_sym_exit] = ACTIONS(2125),
    [anon_sym_eof] = ACTIONS(2125),
    [anon_sym_exp] = ACTIONS(2125),
    [anon_sym_each] = ACTIONS(2125),
    [anon_sym_fc] = ACTIONS(2125),
    [anon_sym_fileno] = ACTIONS(2125),
    [anon_sym_gmtime] = ACTIONS(2125),
    [anon_sym_getc] = ACTIONS(2125),
    [anon_sym_getpgrp] = ACTIONS(2125),
    [anon_sym_getprotobyname] = ACTIONS(2125),
    [anon_sym_getpwname] = ACTIONS(2125),
    [anon_sym_getpwuid] = ACTIONS(2125),
    [anon_sym_getpeername] = ACTIONS(2125),
    [anon_sym_getnetbyname] = ACTIONS(2125),
    [anon_sym_getsockname] = ACTIONS(2125),
    [anon_sym_getgrnam] = ACTIONS(2125),
    [anon_sym_getgrgid] = ACTIONS(2125),
    [anon_sym_hex] = ACTIONS(2125),
    [anon_sym_int] = ACTIONS(2125),
    [anon_sym_keys] = ACTIONS(2125),
    [anon_sym_lc] = ACTIONS(2125),
    [anon_sym_lcfirst] = ACTIONS(2125),
    [anon_sym_length] = ACTIONS(2125),
    [anon_sym_localtime] = ACTIONS(2125),
    [anon_sym_log] = ACTIONS(2125),
    [anon_sym_lock] = ACTIONS(2125),
    [anon_sym_lstat] = ACTIONS(2125),
    [anon_sym_oct] = ACTIONS(2125),
    [anon_sym_ord] = ACTIONS(2125),
    [anon_sym_prototype] = ACTIONS(2125),
    [anon_sym_pop] = ACTIONS(2125),
    [anon_sym_pos] = ACTIONS(2125),
    [anon_sym_quotemeta] = ACTIONS(2125),
    [anon_sym_reset] = ACTIONS(2125),
    [anon_sym_rand] = ACTIONS(2125),
    [anon_sym_rmdir] = ACTIONS(2125),
    [anon_sym_readdir] = ACTIONS(2125),
    [anon_sym_readline] = ACTIONS(2125),
    [anon_sym_readpipe] = ACTIONS(2125),
    [anon_sym_rewinddir] = ACTIONS(2125),
    [anon_sym_readlink] = ACTIONS(2125),
    [anon_sym_ref] = ACTIONS(2125),
    [anon_sym_scalar] = ACTIONS(2125),
    [anon_sym_shift] = ACTIONS(2125),
    [anon_sym_sin] = ACTIONS(2125),
    [anon_sym_sleep] = ACTIONS(2125),
    [anon_sym_sqrt] = ACTIONS(2125),
    [anon_sym_srand] = ACTIONS(2125),
    [anon_sym_stat] = ACTIONS(2125),
    [anon_sym_study] = ACTIONS(2125),
    [anon_sym_tell] = ACTIONS(2125),
    [anon_sym_telldir] = ACTIONS(2125),
    [anon_sym_tied] = ACTIONS(2125),
    [anon_sym_uc] = ACTIONS(2125),
    [anon_sym_ucfirst] = ACTIONS(2125),
    [anon_sym_untie] = ACTIONS(2125),
    [anon_sym_umask] = ACTIONS(2125),
    [anon_sym_values] = ACTIONS(2125),
    [anon_sym_write] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2125),
    [anon_sym_qq] = ACTIONS(2125),
    [anon_sym_qw] = ACTIONS(2125),
    [anon_sym_qx] = ACTIONS(2125),
    [anon_sym_qr] = ACTIONS(2125),
    [anon_sym_m] = ACTIONS(2125),
    [anon_sym_s] = ACTIONS(2125),
    [anon_sym_tr] = ACTIONS(2125),
    [anon_sym_y] = ACTIONS(2125),
    [anon_sym_if] = ACTIONS(2125),
    [anon_sym_unless] = ACTIONS(2125),
    [anon_sym_while] = ACTIONS(2125),
    [anon_sym_until] = ACTIONS(2125),
    [aux_sym__bareword_token1] = ACTIONS(2125),
    [sym_number] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(2125),
    [anon_sym_false] = ACTIONS(2125),
    [sym__single_quote] = ACTIONS(2123),
    [sym__double_quote] = ACTIONS(2123),
    [sym__backtick_quote] = ACTIONS(2123),
    [sym__search_slash_quote] = ACTIONS(2123),
    [sym__open_readline_bracket] = ACTIONS(2123),
    [sym__open_fileglob_bracket] = ACTIONS(2123),
    [sym__PERLY_HEREDOC] = ACTIONS(2123),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2123),
    [sym__filetest] = ACTIONS(2123),
  },
  [1066] = {
    [sym_heredoc_content] = STATE(1066),
    [sym__identifier] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(2129),
    [anon_sym_RBRACE] = ACTIONS(2129),
    [anon_sym_SEMI] = ACTIONS(2129),
    [anon_sym_package] = ACTIONS(2129),
    [anon_sym_class] = ACTIONS(2129),
    [anon_sym_role] = ACTIONS(2129),
    [anon_sym_BUILD] = ACTIONS(2129),
    [anon_sym_ADJUST] = ACTIONS(2129),
    [anon_sym_DOLLAR] = ACTIONS(2129),
    [anon_sym_AT] = ACTIONS(2129),
    [anon_sym_my] = ACTIONS(2129),
    [anon_sym_extended] = ACTIONS(2129),
    [anon_sym_async] = ACTIONS(2129),
    [anon_sym_sub] = ACTIONS(2129),
    [anon_sym_method] = ACTIONS(2129),
    [anon_sym_LPAREN] = ACTIONS(2129),
    [anon_sym_continue] = ACTIONS(2129),
    [anon_sym_state] = ACTIONS(2129),
    [anon_sym_our] = ACTIONS(2129),
    [anon_sym_try] = ACTIONS(2129),
    [anon_sym_defer] = ACTIONS(2129),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(2129),
    [anon_sym_LT_LT] = ACTIONS(2129),
    [anon_sym_SLASH_SLASH] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2129),
    [anon_sym_DASH_DASH] = ACTIONS(2129),
    [anon_sym_BSLASH] = ACTIONS(2127),
    [anon_sym_do] = ACTIONS(2129),
    [anon_sym_eval] = ACTIONS(2129),
    [anon_sym_await] = ACTIONS(2129),
    [anon_sym_field] = ACTIONS(2129),
    [anon_sym_local] = ACTIONS(2129),
    [anon_sym_dynamically] = ACTIONS(2129),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2129),
    [anon_sym_require] = ACTIONS(2129),
    [anon_sym_map] = ACTIONS(2129),
    [anon_sym_grep] = ACTIONS(2129),
    [anon_sym_sort] = ACTIONS(2129),
    [anon_sym_goto] = ACTIONS(2129),
    [anon_sym_return] = ACTIONS(2129),
    [anon_sym_undef] = ACTIONS(2129),
    [anon_sym_PERCENT2] = ACTIONS(2129),
    [anon_sym_AMP2] = ACTIONS(2129),
    [anon_sym_STAR2] = ACTIONS(2129),
    [anon_sym_use] = ACTIONS(2129),
    [anon_sym_no] = ACTIONS(2129),
    [anon_sym_for] = ACTIONS(2129),
    [anon_sym_foreach] = ACTIONS(2129),
    [anon_sym_last] = ACTIONS(2129),
    [anon_sym_next] = ACTIONS(2129),
    [anon_sym_redo] = ACTIONS(2129),
    [anon_sym_BEGIN] = ACTIONS(2129),
    [anon_sym_INIT] = ACTIONS(2129),
    [anon_sym_CHECK] = ACTIONS(2129),
    [anon_sym_UNITCHECK] = ACTIONS(2129),
    [anon_sym_END] = ACTIONS(2129),
    [anon_sym___FILE__] = ACTIONS(2129),
    [anon_sym___LINE__] = ACTIONS(2129),
    [anon_sym___PACKAGE__] = ACTIONS(2129),
    [anon_sym___SUB__] = ACTIONS(2129),
    [anon_sym_break] = ACTIONS(2129),
    [anon_sym_fork] = ACTIONS(2129),
    [anon_sym_getppid] = ACTIONS(2129),
    [anon_sym_time] = ACTIONS(2129),
    [anon_sym_times] = ACTIONS(2129),
    [anon_sym_wait] = ACTIONS(2129),
    [anon_sym_wantarray] = ACTIONS(2129),
    [anon_sym_abs] = ACTIONS(2129),
    [anon_sym_alarm] = ACTIONS(2129),
    [anon_sym_chop] = ACTIONS(2129),
    [anon_sym_chdir] = ACTIONS(2129),
    [anon_sym_close] = ACTIONS(2129),
    [anon_sym_closedir] = ACTIONS(2129),
    [anon_sym_caller] = ACTIONS(2129),
    [anon_sym_chomp] = ACTIONS(2129),
    [anon_sym_chr] = ACTIONS(2129),
    [anon_sym_cos] = ACTIONS(2129),
    [anon_sym_chroot] = ACTIONS(2129),
    [anon_sym_defined] = ACTIONS(2129),
    [anon_sym_delete] = ACTIONS(2129),
    [anon_sym_dbmclose] = ACTIONS(2129),
    [anon_sym_exists] = ACTIONS(2129),
    [anon_sym_exit] = ACTIONS(2129),
    [anon_sym_eof] = ACTIONS(2129),
    [anon_sym_exp] = ACTIONS(2129),
    [anon_sym_each] = ACTIONS(2129),
    [anon_sym_fc] = ACTIONS(2129),
    [anon_sym_fileno] = ACTIONS(2129),
    [anon_sym_gmtime] = ACTIONS(2129),
    [anon_sym_getc] = ACTIONS(2129),
    [anon_sym_getpgrp] = ACTIONS(2129),
    [anon_sym_getprotobyname] = ACTIONS(2129),
    [anon_sym_getpwname] = ACTIONS(2129),
    [anon_sym_getpwuid] = ACTIONS(2129),
    [anon_sym_getpeername] = ACTIONS(2129),
    [anon_sym_getnetbyname] = ACTIONS(2129),
    [anon_sym_getsockname] = ACTIONS(2129),
    [anon_sym_getgrnam] = ACTIONS(2129),
    [anon_sym_getgrgid] = ACTIONS(2129),
    [anon_sym_hex] = ACTIONS(2129),
    [anon_sym_int] = ACTIONS(2129),
    [anon_sym_keys] = ACTIONS(2129),
    [anon_sym_lc] = ACTIONS(2129),
    [anon_sym_lcfirst] = ACTIONS(2129),
    [anon_sym_length] = ACTIONS(2129),
    [anon_sym_localtime] = ACTIONS(2129),
    [anon_sym_log] = ACTIONS(2129),
    [anon_sym_lock] = ACTIONS(2129),
    [anon_sym_lstat] = ACTIONS(2129),
    [anon_sym_oct] = ACTIONS(2129),
    [anon_sym_ord] = ACTIONS(2129),
    [anon_sym_prototype] = ACTIONS(2129),
    [anon_sym_pop] = ACTIONS(2129),
    [anon_sym_pos] = ACTIONS(2129),
    [anon_sym_quotemeta] = ACTIONS(2129),
    [anon_sym_reset] = ACTIONS(2129),
    [anon_sym_rand] = ACTIONS(2129),
    [anon_sym_rmdir] = ACTIONS(2129),
    [anon_sym_readdir] = ACTIONS(2129),
    [anon_sym_readline] = ACTIONS(2129),
    [anon_sym_readpipe] = ACTIONS(2129),
    [anon_sym_rewinddir] = ACTIONS(2129),
    [anon_sym_readlink] = ACTIONS(2129),
    [anon_sym_ref] = ACTIONS(2129),
    [anon_sym_scalar] = ACTIONS(2129),
    [anon_sym_shift] = ACTIONS(2129),
    [anon_sym_sin] = ACTIONS(2129),
    [anon_sym_sleep] = ACTIONS(2129),
    [anon_sym_sqrt] = ACTIONS(2129),
    [anon_sym_srand] = ACTIONS(2129),
    [anon_sym_stat] = ACTIONS(2129),
    [anon_sym_study] = ACTIONS(2129),
    [anon_sym_tell] = ACTIONS(2129),
    [anon_sym_telldir] = ACTIONS(2129),
    [anon_sym_tied] = ACTIONS(2129),
    [anon_sym_uc] = ACTIONS(2129),
    [anon_sym_ucfirst] = ACTIONS(2129),
    [anon_sym_untie] = ACTIONS(2129),
    [anon_sym_umask] = ACTIONS(2129),
    [anon_sym_values] = ACTIONS(2129),
    [anon_sym_write] = ACTIONS(2129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2129),
    [anon_sym_qq] = ACTIONS(2129),
    [anon_sym_qw] = ACTIONS(2129),
    [anon_sym_qx] = ACTIONS(2129),
    [anon_sym_qr] = ACTIONS(2129),
    [anon_sym_m] = ACTIONS(2129),
    [anon_sym_s] = ACTIONS(2129),
    [anon_sym_tr] = ACTIONS(2129),
    [anon_sym_y] = ACTIONS(2129),
    [anon_sym_if] = ACTIONS(2129),
    [anon_sym_unless] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2129),
    [anon_sym_until] = ACTIONS(2129),
    [aux_sym__bareword_token1] = ACTIONS(2129),
    [sym_number] = ACTIONS(2129),
    [anon_sym_true] = ACTIONS(2129),
    [anon_sym_false] = ACTIONS(2129),
    [sym__single_quote] = ACTIONS(2127),
    [sym__double_quote] = ACTIONS(2127),
    [sym__backtick_quote] = ACTIONS(2127),
    [sym__search_slash_quote] = ACTIONS(2127),
    [sym__open_readline_bracket] = ACTIONS(2127),
    [sym__open_fileglob_bracket] = ACTIONS(2127),
    [sym__PERLY_HEREDOC] = ACTIONS(2127),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2127),
    [sym__filetest] = ACTIONS(2127),
  },
  [1067] = {
    [sym_heredoc_content] = STATE(1067),
    [sym__identifier] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2133),
    [anon_sym_RBRACE] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2133),
    [anon_sym_package] = ACTIONS(2133),
    [anon_sym_class] = ACTIONS(2133),
    [anon_sym_role] = ACTIONS(2133),
    [anon_sym_BUILD] = ACTIONS(2133),
    [anon_sym_ADJUST] = ACTIONS(2133),
    [anon_sym_DOLLAR] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2133),
    [anon_sym_my] = ACTIONS(2133),
    [anon_sym_extended] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_sub] = ACTIONS(2133),
    [anon_sym_method] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2133),
    [anon_sym_state] = ACTIONS(2133),
    [anon_sym_our] = ACTIONS(2133),
    [anon_sym_try] = ACTIONS(2133),
    [anon_sym_defer] = ACTIONS(2133),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2133),
    [anon_sym_LT_LT] = ACTIONS(2133),
    [anon_sym_SLASH_SLASH] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2133),
    [anon_sym_DASH_DASH] = ACTIONS(2133),
    [anon_sym_BSLASH] = ACTIONS(2131),
    [anon_sym_do] = ACTIONS(2133),
    [anon_sym_eval] = ACTIONS(2133),
    [anon_sym_await] = ACTIONS(2133),
    [anon_sym_field] = ACTIONS(2133),
    [anon_sym_local] = ACTIONS(2133),
    [anon_sym_dynamically] = ACTIONS(2133),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2133),
    [anon_sym_require] = ACTIONS(2133),
    [anon_sym_map] = ACTIONS(2133),
    [anon_sym_grep] = ACTIONS(2133),
    [anon_sym_sort] = ACTIONS(2133),
    [anon_sym_goto] = ACTIONS(2133),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_undef] = ACTIONS(2133),
    [anon_sym_PERCENT2] = ACTIONS(2133),
    [anon_sym_AMP2] = ACTIONS(2133),
    [anon_sym_STAR2] = ACTIONS(2133),
    [anon_sym_use] = ACTIONS(2133),
    [anon_sym_no] = ACTIONS(2133),
    [anon_sym_for] = ACTIONS(2133),
    [anon_sym_foreach] = ACTIONS(2133),
    [anon_sym_last] = ACTIONS(2133),
    [anon_sym_next] = ACTIONS(2133),
    [anon_sym_redo] = ACTIONS(2133),
    [anon_sym_BEGIN] = ACTIONS(2133),
    [anon_sym_INIT] = ACTIONS(2133),
    [anon_sym_CHECK] = ACTIONS(2133),
    [anon_sym_UNITCHECK] = ACTIONS(2133),
    [anon_sym_END] = ACTIONS(2133),
    [anon_sym___FILE__] = ACTIONS(2133),
    [anon_sym___LINE__] = ACTIONS(2133),
    [anon_sym___PACKAGE__] = ACTIONS(2133),
    [anon_sym___SUB__] = ACTIONS(2133),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_fork] = ACTIONS(2133),
    [anon_sym_getppid] = ACTIONS(2133),
    [anon_sym_time] = ACTIONS(2133),
    [anon_sym_times] = ACTIONS(2133),
    [anon_sym_wait] = ACTIONS(2133),
    [anon_sym_wantarray] = ACTIONS(2133),
    [anon_sym_abs] = ACTIONS(2133),
    [anon_sym_alarm] = ACTIONS(2133),
    [anon_sym_chop] = ACTIONS(2133),
    [anon_sym_chdir] = ACTIONS(2133),
    [anon_sym_close] = ACTIONS(2133),
    [anon_sym_closedir] = ACTIONS(2133),
    [anon_sym_caller] = ACTIONS(2133),
    [anon_sym_chomp] = ACTIONS(2133),
    [anon_sym_chr] = ACTIONS(2133),
    [anon_sym_cos] = ACTIONS(2133),
    [anon_sym_chroot] = ACTIONS(2133),
    [anon_sym_defined] = ACTIONS(2133),
    [anon_sym_delete] = ACTIONS(2133),
    [anon_sym_dbmclose] = ACTIONS(2133),
    [anon_sym_exists] = ACTIONS(2133),
    [anon_sym_exit] = ACTIONS(2133),
    [anon_sym_eof] = ACTIONS(2133),
    [anon_sym_exp] = ACTIONS(2133),
    [anon_sym_each] = ACTIONS(2133),
    [anon_sym_fc] = ACTIONS(2133),
    [anon_sym_fileno] = ACTIONS(2133),
    [anon_sym_gmtime] = ACTIONS(2133),
    [anon_sym_getc] = ACTIONS(2133),
    [anon_sym_getpgrp] = ACTIONS(2133),
    [anon_sym_getprotobyname] = ACTIONS(2133),
    [anon_sym_getpwname] = ACTIONS(2133),
    [anon_sym_getpwuid] = ACTIONS(2133),
    [anon_sym_getpeername] = ACTIONS(2133),
    [anon_sym_getnetbyname] = ACTIONS(2133),
    [anon_sym_getsockname] = ACTIONS(2133),
    [anon_sym_getgrnam] = ACTIONS(2133),
    [anon_sym_getgrgid] = ACTIONS(2133),
    [anon_sym_hex] = ACTIONS(2133),
    [anon_sym_int] = ACTIONS(2133),
    [anon_sym_keys] = ACTIONS(2133),
    [anon_sym_lc] = ACTIONS(2133),
    [anon_sym_lcfirst] = ACTIONS(2133),
    [anon_sym_length] = ACTIONS(2133),
    [anon_sym_localtime] = ACTIONS(2133),
    [anon_sym_log] = ACTIONS(2133),
    [anon_sym_lock] = ACTIONS(2133),
    [anon_sym_lstat] = ACTIONS(2133),
    [anon_sym_oct] = ACTIONS(2133),
    [anon_sym_ord] = ACTIONS(2133),
    [anon_sym_prototype] = ACTIONS(2133),
    [anon_sym_pop] = ACTIONS(2133),
    [anon_sym_pos] = ACTIONS(2133),
    [anon_sym_quotemeta] = ACTIONS(2133),
    [anon_sym_reset] = ACTIONS(2133),
    [anon_sym_rand] = ACTIONS(2133),
    [anon_sym_rmdir] = ACTIONS(2133),
    [anon_sym_readdir] = ACTIONS(2133),
    [anon_sym_readline] = ACTIONS(2133),
    [anon_sym_readpipe] = ACTIONS(2133),
    [anon_sym_rewinddir] = ACTIONS(2133),
    [anon_sym_readlink] = ACTIONS(2133),
    [anon_sym_ref] = ACTIONS(2133),
    [anon_sym_scalar] = ACTIONS(2133),
    [anon_sym_shift] = ACTIONS(2133),
    [anon_sym_sin] = ACTIONS(2133),
    [anon_sym_sleep] = ACTIONS(2133),
    [anon_sym_sqrt] = ACTIONS(2133),
    [anon_sym_srand] = ACTIONS(2133),
    [anon_sym_stat] = ACTIONS(2133),
    [anon_sym_study] = ACTIONS(2133),
    [anon_sym_tell] = ACTIONS(2133),
    [anon_sym_telldir] = ACTIONS(2133),
    [anon_sym_tied] = ACTIONS(2133),
    [anon_sym_uc] = ACTIONS(2133),
    [anon_sym_ucfirst] = ACTIONS(2133),
    [anon_sym_untie] = ACTIONS(2133),
    [anon_sym_umask] = ACTIONS(2133),
    [anon_sym_values] = ACTIONS(2133),
    [anon_sym_write] = ACTIONS(2133),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2133),
    [anon_sym_qq] = ACTIONS(2133),
    [anon_sym_qw] = ACTIONS(2133),
    [anon_sym_qx] = ACTIONS(2133),
    [anon_sym_qr] = ACTIONS(2133),
    [anon_sym_m] = ACTIONS(2133),
    [anon_sym_s] = ACTIONS(2133),
    [anon_sym_tr] = ACTIONS(2133),
    [anon_sym_y] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_unless] = ACTIONS(2133),
    [anon_sym_while] = ACTIONS(2133),
    [anon_sym_until] = ACTIONS(2133),
    [aux_sym__bareword_token1] = ACTIONS(2133),
    [sym_number] = ACTIONS(2133),
    [anon_sym_true] = ACTIONS(2133),
    [anon_sym_false] = ACTIONS(2133),
    [sym__single_quote] = ACTIONS(2131),
    [sym__double_quote] = ACTIONS(2131),
    [sym__backtick_quote] = ACTIONS(2131),
    [sym__search_slash_quote] = ACTIONS(2131),
    [sym__open_readline_bracket] = ACTIONS(2131),
    [sym__open_fileglob_bracket] = ACTIONS(2131),
    [sym__PERLY_HEREDOC] = ACTIONS(2131),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2131),
    [sym__filetest] = ACTIONS(2131),
  },
  [1068] = {
    [sym_heredoc_content] = STATE(1068),
    [sym__identifier] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_RBRACE] = ACTIONS(2069),
    [anon_sym_SEMI] = ACTIONS(2069),
    [anon_sym_package] = ACTIONS(2069),
    [anon_sym_class] = ACTIONS(2069),
    [anon_sym_role] = ACTIONS(2069),
    [anon_sym_BUILD] = ACTIONS(2069),
    [anon_sym_ADJUST] = ACTIONS(2069),
    [anon_sym_DOLLAR] = ACTIONS(2069),
    [anon_sym_AT] = ACTIONS(2069),
    [anon_sym_my] = ACTIONS(2069),
    [anon_sym_extended] = ACTIONS(2069),
    [anon_sym_async] = ACTIONS(2069),
    [anon_sym_sub] = ACTIONS(2069),
    [anon_sym_method] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_continue] = ACTIONS(2069),
    [anon_sym_state] = ACTIONS(2069),
    [anon_sym_our] = ACTIONS(2069),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_defer] = ACTIONS(2069),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_SLASH_SLASH] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2069),
    [anon_sym_DASH_DASH] = ACTIONS(2069),
    [anon_sym_BSLASH] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2069),
    [anon_sym_eval] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(2069),
    [anon_sym_field] = ACTIONS(2069),
    [anon_sym_local] = ACTIONS(2069),
    [anon_sym_dynamically] = ACTIONS(2069),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2069),
    [anon_sym_require] = ACTIONS(2069),
    [anon_sym_map] = ACTIONS(2069),
    [anon_sym_grep] = ACTIONS(2069),
    [anon_sym_sort] = ACTIONS(2069),
    [anon_sym_goto] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_undef] = ACTIONS(2069),
    [anon_sym_PERCENT2] = ACTIONS(2069),
    [anon_sym_AMP2] = ACTIONS(2069),
    [anon_sym_STAR2] = ACTIONS(2069),
    [anon_sym_use] = ACTIONS(2069),
    [anon_sym_no] = ACTIONS(2069),
    [anon_sym_for] = ACTIONS(2069),
    [anon_sym_foreach] = ACTIONS(2069),
    [anon_sym_last] = ACTIONS(2069),
    [anon_sym_next] = ACTIONS(2069),
    [anon_sym_redo] = ACTIONS(2069),
    [anon_sym_BEGIN] = ACTIONS(2069),
    [anon_sym_INIT] = ACTIONS(2069),
    [anon_sym_CHECK] = ACTIONS(2069),
    [anon_sym_UNITCHECK] = ACTIONS(2069),
    [anon_sym_END] = ACTIONS(2069),
    [anon_sym___FILE__] = ACTIONS(2069),
    [anon_sym___LINE__] = ACTIONS(2069),
    [anon_sym___PACKAGE__] = ACTIONS(2069),
    [anon_sym___SUB__] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_fork] = ACTIONS(2069),
    [anon_sym_getppid] = ACTIONS(2069),
    [anon_sym_time] = ACTIONS(2069),
    [anon_sym_times] = ACTIONS(2069),
    [anon_sym_wait] = ACTIONS(2069),
    [anon_sym_wantarray] = ACTIONS(2069),
    [anon_sym_abs] = ACTIONS(2069),
    [anon_sym_alarm] = ACTIONS(2069),
    [anon_sym_chop] = ACTIONS(2069),
    [anon_sym_chdir] = ACTIONS(2069),
    [anon_sym_close] = ACTIONS(2069),
    [anon_sym_closedir] = ACTIONS(2069),
    [anon_sym_caller] = ACTIONS(2069),
    [anon_sym_chomp] = ACTIONS(2069),
    [anon_sym_chr] = ACTIONS(2069),
    [anon_sym_cos] = ACTIONS(2069),
    [anon_sym_chroot] = ACTIONS(2069),
    [anon_sym_defined] = ACTIONS(2069),
    [anon_sym_delete] = ACTIONS(2069),
    [anon_sym_dbmclose] = ACTIONS(2069),
    [anon_sym_exists] = ACTIONS(2069),
    [anon_sym_exit] = ACTIONS(2069),
    [anon_sym_eof] = ACTIONS(2069),
    [anon_sym_exp] = ACTIONS(2069),
    [anon_sym_each] = ACTIONS(2069),
    [anon_sym_fc] = ACTIONS(2069),
    [anon_sym_fileno] = ACTIONS(2069),
    [anon_sym_gmtime] = ACTIONS(2069),
    [anon_sym_getc] = ACTIONS(2069),
    [anon_sym_getpgrp] = ACTIONS(2069),
    [anon_sym_getprotobyname] = ACTIONS(2069),
    [anon_sym_getpwname] = ACTIONS(2069),
    [anon_sym_getpwuid] = ACTIONS(2069),
    [anon_sym_getpeername] = ACTIONS(2069),
    [anon_sym_getnetbyname] = ACTIONS(2069),
    [anon_sym_getsockname] = ACTIONS(2069),
    [anon_sym_getgrnam] = ACTIONS(2069),
    [anon_sym_getgrgid] = ACTIONS(2069),
    [anon_sym_hex] = ACTIONS(2069),
    [anon_sym_int] = ACTIONS(2069),
    [anon_sym_keys] = ACTIONS(2069),
    [anon_sym_lc] = ACTIONS(2069),
    [anon_sym_lcfirst] = ACTIONS(2069),
    [anon_sym_length] = ACTIONS(2069),
    [anon_sym_localtime] = ACTIONS(2069),
    [anon_sym_log] = ACTIONS(2069),
    [anon_sym_lock] = ACTIONS(2069),
    [anon_sym_lstat] = ACTIONS(2069),
    [anon_sym_oct] = ACTIONS(2069),
    [anon_sym_ord] = ACTIONS(2069),
    [anon_sym_prototype] = ACTIONS(2069),
    [anon_sym_pop] = ACTIONS(2069),
    [anon_sym_pos] = ACTIONS(2069),
    [anon_sym_quotemeta] = ACTIONS(2069),
    [anon_sym_reset] = ACTIONS(2069),
    [anon_sym_rand] = ACTIONS(2069),
    [anon_sym_rmdir] = ACTIONS(2069),
    [anon_sym_readdir] = ACTIONS(2069),
    [anon_sym_readline] = ACTIONS(2069),
    [anon_sym_readpipe] = ACTIONS(2069),
    [anon_sym_rewinddir] = ACTIONS(2069),
    [anon_sym_readlink] = ACTIONS(2069),
    [anon_sym_ref] = ACTIONS(2069),
    [anon_sym_scalar] = ACTIONS(2069),
    [anon_sym_shift] = ACTIONS(2069),
    [anon_sym_sin] = ACTIONS(2069),
    [anon_sym_sleep] = ACTIONS(2069),
    [anon_sym_sqrt] = ACTIONS(2069),
    [anon_sym_srand] = ACTIONS(2069),
    [anon_sym_stat] = ACTIONS(2069),
    [anon_sym_study] = ACTIONS(2069),
    [anon_sym_tell] = ACTIONS(2069),
    [anon_sym_telldir] = ACTIONS(2069),
    [anon_sym_tied] = ACTIONS(2069),
    [anon_sym_uc] = ACTIONS(2069),
    [anon_sym_ucfirst] = ACTIONS(2069),
    [anon_sym_untie] = ACTIONS(2069),
    [anon_sym_umask] = ACTIONS(2069),
    [anon_sym_values] = ACTIONS(2069),
    [anon_sym_write] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2069),
    [anon_sym_qq] = ACTIONS(2069),
    [anon_sym_qw] = ACTIONS(2069),
    [anon_sym_qx] = ACTIONS(2069),
    [anon_sym_qr] = ACTIONS(2069),
    [anon_sym_m] = ACTIONS(2069),
    [anon_sym_s] = ACTIONS(2069),
    [anon_sym_tr] = ACTIONS(2069),
    [anon_sym_y] = ACTIONS(2069),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_unless] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2069),
    [anon_sym_until] = ACTIONS(2069),
    [aux_sym__bareword_token1] = ACTIONS(2069),
    [sym_number] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(2069),
    [anon_sym_false] = ACTIONS(2069),
    [sym__single_quote] = ACTIONS(2067),
    [sym__double_quote] = ACTIONS(2067),
    [sym__backtick_quote] = ACTIONS(2067),
    [sym__search_slash_quote] = ACTIONS(2067),
    [sym__open_readline_bracket] = ACTIONS(2067),
    [sym__open_fileglob_bracket] = ACTIONS(2067),
    [sym__PERLY_HEREDOC] = ACTIONS(2067),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2067),
    [sym__filetest] = ACTIONS(2067),
  },
  [1069] = {
    [sym_heredoc_content] = STATE(1069),
    [sym__identifier] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_RBRACE] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2077),
    [anon_sym_package] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_role] = ACTIONS(2077),
    [anon_sym_BUILD] = ACTIONS(2077),
    [anon_sym_ADJUST] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_my] = ACTIONS(2077),
    [anon_sym_extended] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_sub] = ACTIONS(2077),
    [anon_sym_method] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_state] = ACTIONS(2077),
    [anon_sym_our] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_defer] = ACTIONS(2077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_SLASH_SLASH] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_BSLASH] = ACTIONS(2075),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_eval] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_field] = ACTIONS(2077),
    [anon_sym_local] = ACTIONS(2077),
    [anon_sym_dynamically] = ACTIONS(2077),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2077),
    [anon_sym_require] = ACTIONS(2077),
    [anon_sym_map] = ACTIONS(2077),
    [anon_sym_grep] = ACTIONS(2077),
    [anon_sym_sort] = ACTIONS(2077),
    [anon_sym_goto] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_undef] = ACTIONS(2077),
    [anon_sym_PERCENT2] = ACTIONS(2077),
    [anon_sym_AMP2] = ACTIONS(2077),
    [anon_sym_STAR2] = ACTIONS(2077),
    [anon_sym_use] = ACTIONS(2077),
    [anon_sym_no] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_foreach] = ACTIONS(2077),
    [anon_sym_last] = ACTIONS(2077),
    [anon_sym_next] = ACTIONS(2077),
    [anon_sym_redo] = ACTIONS(2077),
    [anon_sym_BEGIN] = ACTIONS(2077),
    [anon_sym_INIT] = ACTIONS(2077),
    [anon_sym_CHECK] = ACTIONS(2077),
    [anon_sym_UNITCHECK] = ACTIONS(2077),
    [anon_sym_END] = ACTIONS(2077),
    [anon_sym___FILE__] = ACTIONS(2077),
    [anon_sym___LINE__] = ACTIONS(2077),
    [anon_sym___PACKAGE__] = ACTIONS(2077),
    [anon_sym___SUB__] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_fork] = ACTIONS(2077),
    [anon_sym_getppid] = ACTIONS(2077),
    [anon_sym_time] = ACTIONS(2077),
    [anon_sym_times] = ACTIONS(2077),
    [anon_sym_wait] = ACTIONS(2077),
    [anon_sym_wantarray] = ACTIONS(2077),
    [anon_sym_abs] = ACTIONS(2077),
    [anon_sym_alarm] = ACTIONS(2077),
    [anon_sym_chop] = ACTIONS(2077),
    [anon_sym_chdir] = ACTIONS(2077),
    [anon_sym_close] = ACTIONS(2077),
    [anon_sym_closedir] = ACTIONS(2077),
    [anon_sym_caller] = ACTIONS(2077),
    [anon_sym_chomp] = ACTIONS(2077),
    [anon_sym_chr] = ACTIONS(2077),
    [anon_sym_cos] = ACTIONS(2077),
    [anon_sym_chroot] = ACTIONS(2077),
    [anon_sym_defined] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_dbmclose] = ACTIONS(2077),
    [anon_sym_exists] = ACTIONS(2077),
    [anon_sym_exit] = ACTIONS(2077),
    [anon_sym_eof] = ACTIONS(2077),
    [anon_sym_exp] = ACTIONS(2077),
    [anon_sym_each] = ACTIONS(2077),
    [anon_sym_fc] = ACTIONS(2077),
    [anon_sym_fileno] = ACTIONS(2077),
    [anon_sym_gmtime] = ACTIONS(2077),
    [anon_sym_getc] = ACTIONS(2077),
    [anon_sym_getpgrp] = ACTIONS(2077),
    [anon_sym_getprotobyname] = ACTIONS(2077),
    [anon_sym_getpwname] = ACTIONS(2077),
    [anon_sym_getpwuid] = ACTIONS(2077),
    [anon_sym_getpeername] = ACTIONS(2077),
    [anon_sym_getnetbyname] = ACTIONS(2077),
    [anon_sym_getsockname] = ACTIONS(2077),
    [anon_sym_getgrnam] = ACTIONS(2077),
    [anon_sym_getgrgid] = ACTIONS(2077),
    [anon_sym_hex] = ACTIONS(2077),
    [anon_sym_int] = ACTIONS(2077),
    [anon_sym_keys] = ACTIONS(2077),
    [anon_sym_lc] = ACTIONS(2077),
    [anon_sym_lcfirst] = ACTIONS(2077),
    [anon_sym_length] = ACTIONS(2077),
    [anon_sym_localtime] = ACTIONS(2077),
    [anon_sym_log] = ACTIONS(2077),
    [anon_sym_lock] = ACTIONS(2077),
    [anon_sym_lstat] = ACTIONS(2077),
    [anon_sym_oct] = ACTIONS(2077),
    [anon_sym_ord] = ACTIONS(2077),
    [anon_sym_prototype] = ACTIONS(2077),
    [anon_sym_pop] = ACTIONS(2077),
    [anon_sym_pos] = ACTIONS(2077),
    [anon_sym_quotemeta] = ACTIONS(2077),
    [anon_sym_reset] = ACTIONS(2077),
    [anon_sym_rand] = ACTIONS(2077),
    [anon_sym_rmdir] = ACTIONS(2077),
    [anon_sym_readdir] = ACTIONS(2077),
    [anon_sym_readline] = ACTIONS(2077),
    [anon_sym_readpipe] = ACTIONS(2077),
    [anon_sym_rewinddir] = ACTIONS(2077),
    [anon_sym_readlink] = ACTIONS(2077),
    [anon_sym_ref] = ACTIONS(2077),
    [anon_sym_scalar] = ACTIONS(2077),
    [anon_sym_shift] = ACTIONS(2077),
    [anon_sym_sin] = ACTIONS(2077),
    [anon_sym_sleep] = ACTIONS(2077),
    [anon_sym_sqrt] = ACTIONS(2077),
    [anon_sym_srand] = ACTIONS(2077),
    [anon_sym_stat] = ACTIONS(2077),
    [anon_sym_study] = ACTIONS(2077),
    [anon_sym_tell] = ACTIONS(2077),
    [anon_sym_telldir] = ACTIONS(2077),
    [anon_sym_tied] = ACTIONS(2077),
    [anon_sym_uc] = ACTIONS(2077),
    [anon_sym_ucfirst] = ACTIONS(2077),
    [anon_sym_untie] = ACTIONS(2077),
    [anon_sym_umask] = ACTIONS(2077),
    [anon_sym_values] = ACTIONS(2077),
    [anon_sym_write] = ACTIONS(2077),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2077),
    [anon_sym_qq] = ACTIONS(2077),
    [anon_sym_qw] = ACTIONS(2077),
    [anon_sym_qx] = ACTIONS(2077),
    [anon_sym_qr] = ACTIONS(2077),
    [anon_sym_m] = ACTIONS(2077),
    [anon_sym_s] = ACTIONS(2077),
    [anon_sym_tr] = ACTIONS(2077),
    [anon_sym_y] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_unless] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_until] = ACTIONS(2077),
    [aux_sym__bareword_token1] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(2077),
    [anon_sym_false] = ACTIONS(2077),
    [sym__single_quote] = ACTIONS(2075),
    [sym__double_quote] = ACTIONS(2075),
    [sym__backtick_quote] = ACTIONS(2075),
    [sym__search_slash_quote] = ACTIONS(2075),
    [sym__open_readline_bracket] = ACTIONS(2075),
    [sym__open_fileglob_bracket] = ACTIONS(2075),
    [sym__PERLY_HEREDOC] = ACTIONS(2075),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2075),
    [sym__filetest] = ACTIONS(2075),
  },
  [1070] = {
    [sym_heredoc_content] = STATE(1070),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_RBRACE] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2081),
    [anon_sym_package] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_role] = ACTIONS(2081),
    [anon_sym_BUILD] = ACTIONS(2081),
    [anon_sym_ADJUST] = ACTIONS(2081),
    [anon_sym_DOLLAR] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_my] = ACTIONS(2081),
    [anon_sym_extended] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_sub] = ACTIONS(2081),
    [anon_sym_method] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_state] = ACTIONS(2081),
    [anon_sym_our] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_defer] = ACTIONS(2081),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_SLASH_SLASH] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [anon_sym_BSLASH] = ACTIONS(2079),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_eval] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_field] = ACTIONS(2081),
    [anon_sym_local] = ACTIONS(2081),
    [anon_sym_dynamically] = ACTIONS(2081),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2081),
    [anon_sym_require] = ACTIONS(2081),
    [anon_sym_map] = ACTIONS(2081),
    [anon_sym_grep] = ACTIONS(2081),
    [anon_sym_sort] = ACTIONS(2081),
    [anon_sym_goto] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_undef] = ACTIONS(2081),
    [anon_sym_PERCENT2] = ACTIONS(2081),
    [anon_sym_AMP2] = ACTIONS(2081),
    [anon_sym_STAR2] = ACTIONS(2081),
    [anon_sym_use] = ACTIONS(2081),
    [anon_sym_no] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_foreach] = ACTIONS(2081),
    [anon_sym_last] = ACTIONS(2081),
    [anon_sym_next] = ACTIONS(2081),
    [anon_sym_redo] = ACTIONS(2081),
    [anon_sym_BEGIN] = ACTIONS(2081),
    [anon_sym_INIT] = ACTIONS(2081),
    [anon_sym_CHECK] = ACTIONS(2081),
    [anon_sym_UNITCHECK] = ACTIONS(2081),
    [anon_sym_END] = ACTIONS(2081),
    [anon_sym___FILE__] = ACTIONS(2081),
    [anon_sym___LINE__] = ACTIONS(2081),
    [anon_sym___PACKAGE__] = ACTIONS(2081),
    [anon_sym___SUB__] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_fork] = ACTIONS(2081),
    [anon_sym_getppid] = ACTIONS(2081),
    [anon_sym_time] = ACTIONS(2081),
    [anon_sym_times] = ACTIONS(2081),
    [anon_sym_wait] = ACTIONS(2081),
    [anon_sym_wantarray] = ACTIONS(2081),
    [anon_sym_abs] = ACTIONS(2081),
    [anon_sym_alarm] = ACTIONS(2081),
    [anon_sym_chop] = ACTIONS(2081),
    [anon_sym_chdir] = ACTIONS(2081),
    [anon_sym_close] = ACTIONS(2081),
    [anon_sym_closedir] = ACTIONS(2081),
    [anon_sym_caller] = ACTIONS(2081),
    [anon_sym_chomp] = ACTIONS(2081),
    [anon_sym_chr] = ACTIONS(2081),
    [anon_sym_cos] = ACTIONS(2081),
    [anon_sym_chroot] = ACTIONS(2081),
    [anon_sym_defined] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_dbmclose] = ACTIONS(2081),
    [anon_sym_exists] = ACTIONS(2081),
    [anon_sym_exit] = ACTIONS(2081),
    [anon_sym_eof] = ACTIONS(2081),
    [anon_sym_exp] = ACTIONS(2081),
    [anon_sym_each] = ACTIONS(2081),
    [anon_sym_fc] = ACTIONS(2081),
    [anon_sym_fileno] = ACTIONS(2081),
    [anon_sym_gmtime] = ACTIONS(2081),
    [anon_sym_getc] = ACTIONS(2081),
    [anon_sym_getpgrp] = ACTIONS(2081),
    [anon_sym_getprotobyname] = ACTIONS(2081),
    [anon_sym_getpwname] = ACTIONS(2081),
    [anon_sym_getpwuid] = ACTIONS(2081),
    [anon_sym_getpeername] = ACTIONS(2081),
    [anon_sym_getnetbyname] = ACTIONS(2081),
    [anon_sym_getsockname] = ACTIONS(2081),
    [anon_sym_getgrnam] = ACTIONS(2081),
    [anon_sym_getgrgid] = ACTIONS(2081),
    [anon_sym_hex] = ACTIONS(2081),
    [anon_sym_int] = ACTIONS(2081),
    [anon_sym_keys] = ACTIONS(2081),
    [anon_sym_lc] = ACTIONS(2081),
    [anon_sym_lcfirst] = ACTIONS(2081),
    [anon_sym_length] = ACTIONS(2081),
    [anon_sym_localtime] = ACTIONS(2081),
    [anon_sym_log] = ACTIONS(2081),
    [anon_sym_lock] = ACTIONS(2081),
    [anon_sym_lstat] = ACTIONS(2081),
    [anon_sym_oct] = ACTIONS(2081),
    [anon_sym_ord] = ACTIONS(2081),
    [anon_sym_prototype] = ACTIONS(2081),
    [anon_sym_pop] = ACTIONS(2081),
    [anon_sym_pos] = ACTIONS(2081),
    [anon_sym_quotemeta] = ACTIONS(2081),
    [anon_sym_reset] = ACTIONS(2081),
    [anon_sym_rand] = ACTIONS(2081),
    [anon_sym_rmdir] = ACTIONS(2081),
    [anon_sym_readdir] = ACTIONS(2081),
    [anon_sym_readline] = ACTIONS(2081),
    [anon_sym_readpipe] = ACTIONS(2081),
    [anon_sym_rewinddir] = ACTIONS(2081),
    [anon_sym_readlink] = ACTIONS(2081),
    [anon_sym_ref] = ACTIONS(2081),
    [anon_sym_scalar] = ACTIONS(2081),
    [anon_sym_shift] = ACTIONS(2081),
    [anon_sym_sin] = ACTIONS(2081),
    [anon_sym_sleep] = ACTIONS(2081),
    [anon_sym_sqrt] = ACTIONS(2081),
    [anon_sym_srand] = ACTIONS(2081),
    [anon_sym_stat] = ACTIONS(2081),
    [anon_sym_study] = ACTIONS(2081),
    [anon_sym_tell] = ACTIONS(2081),
    [anon_sym_telldir] = ACTIONS(2081),
    [anon_sym_tied] = ACTIONS(2081),
    [anon_sym_uc] = ACTIONS(2081),
    [anon_sym_ucfirst] = ACTIONS(2081),
    [anon_sym_untie] = ACTIONS(2081),
    [anon_sym_umask] = ACTIONS(2081),
    [anon_sym_values] = ACTIONS(2081),
    [anon_sym_write] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2081),
    [anon_sym_qq] = ACTIONS(2081),
    [anon_sym_qw] = ACTIONS(2081),
    [anon_sym_qx] = ACTIONS(2081),
    [anon_sym_qr] = ACTIONS(2081),
    [anon_sym_m] = ACTIONS(2081),
    [anon_sym_s] = ACTIONS(2081),
    [anon_sym_tr] = ACTIONS(2081),
    [anon_sym_y] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_unless] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_until] = ACTIONS(2081),
    [aux_sym__bareword_token1] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [anon_sym_true] = ACTIONS(2081),
    [anon_sym_false] = ACTIONS(2081),
    [sym__single_quote] = ACTIONS(2079),
    [sym__double_quote] = ACTIONS(2079),
    [sym__backtick_quote] = ACTIONS(2079),
    [sym__search_slash_quote] = ACTIONS(2079),
    [sym__open_readline_bracket] = ACTIONS(2079),
    [sym__open_fileglob_bracket] = ACTIONS(2079),
    [sym__PERLY_HEREDOC] = ACTIONS(2079),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2079),
    [sym__filetest] = ACTIONS(2079),
  },
  [1071] = {
    [sym_heredoc_content] = STATE(1071),
    [sym__identifier] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_RBRACE] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2089),
    [anon_sym_package] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_role] = ACTIONS(2089),
    [anon_sym_BUILD] = ACTIONS(2089),
    [anon_sym_ADJUST] = ACTIONS(2089),
    [anon_sym_DOLLAR] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_my] = ACTIONS(2089),
    [anon_sym_extended] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_sub] = ACTIONS(2089),
    [anon_sym_method] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_state] = ACTIONS(2089),
    [anon_sym_our] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_defer] = ACTIONS(2089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_SLASH_SLASH] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_BSLASH] = ACTIONS(2087),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_eval] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_field] = ACTIONS(2089),
    [anon_sym_local] = ACTIONS(2089),
    [anon_sym_dynamically] = ACTIONS(2089),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2089),
    [anon_sym_require] = ACTIONS(2089),
    [anon_sym_map] = ACTIONS(2089),
    [anon_sym_grep] = ACTIONS(2089),
    [anon_sym_sort] = ACTIONS(2089),
    [anon_sym_goto] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_undef] = ACTIONS(2089),
    [anon_sym_PERCENT2] = ACTIONS(2089),
    [anon_sym_AMP2] = ACTIONS(2089),
    [anon_sym_STAR2] = ACTIONS(2089),
    [anon_sym_use] = ACTIONS(2089),
    [anon_sym_no] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_foreach] = ACTIONS(2089),
    [anon_sym_last] = ACTIONS(2089),
    [anon_sym_next] = ACTIONS(2089),
    [anon_sym_redo] = ACTIONS(2089),
    [anon_sym_BEGIN] = ACTIONS(2089),
    [anon_sym_INIT] = ACTIONS(2089),
    [anon_sym_CHECK] = ACTIONS(2089),
    [anon_sym_UNITCHECK] = ACTIONS(2089),
    [anon_sym_END] = ACTIONS(2089),
    [anon_sym___FILE__] = ACTIONS(2089),
    [anon_sym___LINE__] = ACTIONS(2089),
    [anon_sym___PACKAGE__] = ACTIONS(2089),
    [anon_sym___SUB__] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_fork] = ACTIONS(2089),
    [anon_sym_getppid] = ACTIONS(2089),
    [anon_sym_time] = ACTIONS(2089),
    [anon_sym_times] = ACTIONS(2089),
    [anon_sym_wait] = ACTIONS(2089),
    [anon_sym_wantarray] = ACTIONS(2089),
    [anon_sym_abs] = ACTIONS(2089),
    [anon_sym_alarm] = ACTIONS(2089),
    [anon_sym_chop] = ACTIONS(2089),
    [anon_sym_chdir] = ACTIONS(2089),
    [anon_sym_close] = ACTIONS(2089),
    [anon_sym_closedir] = ACTIONS(2089),
    [anon_sym_caller] = ACTIONS(2089),
    [anon_sym_chomp] = ACTIONS(2089),
    [anon_sym_chr] = ACTIONS(2089),
    [anon_sym_cos] = ACTIONS(2089),
    [anon_sym_chroot] = ACTIONS(2089),
    [anon_sym_defined] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_dbmclose] = ACTIONS(2089),
    [anon_sym_exists] = ACTIONS(2089),
    [anon_sym_exit] = ACTIONS(2089),
    [anon_sym_eof] = ACTIONS(2089),
    [anon_sym_exp] = ACTIONS(2089),
    [anon_sym_each] = ACTIONS(2089),
    [anon_sym_fc] = ACTIONS(2089),
    [anon_sym_fileno] = ACTIONS(2089),
    [anon_sym_gmtime] = ACTIONS(2089),
    [anon_sym_getc] = ACTIONS(2089),
    [anon_sym_getpgrp] = ACTIONS(2089),
    [anon_sym_getprotobyname] = ACTIONS(2089),
    [anon_sym_getpwname] = ACTIONS(2089),
    [anon_sym_getpwuid] = ACTIONS(2089),
    [anon_sym_getpeername] = ACTIONS(2089),
    [anon_sym_getnetbyname] = ACTIONS(2089),
    [anon_sym_getsockname] = ACTIONS(2089),
    [anon_sym_getgrnam] = ACTIONS(2089),
    [anon_sym_getgrgid] = ACTIONS(2089),
    [anon_sym_hex] = ACTIONS(2089),
    [anon_sym_int] = ACTIONS(2089),
    [anon_sym_keys] = ACTIONS(2089),
    [anon_sym_lc] = ACTIONS(2089),
    [anon_sym_lcfirst] = ACTIONS(2089),
    [anon_sym_length] = ACTIONS(2089),
    [anon_sym_localtime] = ACTIONS(2089),
    [anon_sym_log] = ACTIONS(2089),
    [anon_sym_lock] = ACTIONS(2089),
    [anon_sym_lstat] = ACTIONS(2089),
    [anon_sym_oct] = ACTIONS(2089),
    [anon_sym_ord] = ACTIONS(2089),
    [anon_sym_prototype] = ACTIONS(2089),
    [anon_sym_pop] = ACTIONS(2089),
    [anon_sym_pos] = ACTIONS(2089),
    [anon_sym_quotemeta] = ACTIONS(2089),
    [anon_sym_reset] = ACTIONS(2089),
    [anon_sym_rand] = ACTIONS(2089),
    [anon_sym_rmdir] = ACTIONS(2089),
    [anon_sym_readdir] = ACTIONS(2089),
    [anon_sym_readline] = ACTIONS(2089),
    [anon_sym_readpipe] = ACTIONS(2089),
    [anon_sym_rewinddir] = ACTIONS(2089),
    [anon_sym_readlink] = ACTIONS(2089),
    [anon_sym_ref] = ACTIONS(2089),
    [anon_sym_scalar] = ACTIONS(2089),
    [anon_sym_shift] = ACTIONS(2089),
    [anon_sym_sin] = ACTIONS(2089),
    [anon_sym_sleep] = ACTIONS(2089),
    [anon_sym_sqrt] = ACTIONS(2089),
    [anon_sym_srand] = ACTIONS(2089),
    [anon_sym_stat] = ACTIONS(2089),
    [anon_sym_study] = ACTIONS(2089),
    [anon_sym_tell] = ACTIONS(2089),
    [anon_sym_telldir] = ACTIONS(2089),
    [anon_sym_tied] = ACTIONS(2089),
    [anon_sym_uc] = ACTIONS(2089),
    [anon_sym_ucfirst] = ACTIONS(2089),
    [anon_sym_untie] = ACTIONS(2089),
    [anon_sym_umask] = ACTIONS(2089),
    [anon_sym_values] = ACTIONS(2089),
    [anon_sym_write] = ACTIONS(2089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2089),
    [anon_sym_qq] = ACTIONS(2089),
    [anon_sym_qw] = ACTIONS(2089),
    [anon_sym_qx] = ACTIONS(2089),
    [anon_sym_qr] = ACTIONS(2089),
    [anon_sym_m] = ACTIONS(2089),
    [anon_sym_s] = ACTIONS(2089),
    [anon_sym_tr] = ACTIONS(2089),
    [anon_sym_y] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_unless] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_until] = ACTIONS(2089),
    [aux_sym__bareword_token1] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [sym__single_quote] = ACTIONS(2087),
    [sym__double_quote] = ACTIONS(2087),
    [sym__backtick_quote] = ACTIONS(2087),
    [sym__search_slash_quote] = ACTIONS(2087),
    [sym__open_readline_bracket] = ACTIONS(2087),
    [sym__open_fileglob_bracket] = ACTIONS(2087),
    [sym__PERLY_HEREDOC] = ACTIONS(2087),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2087),
    [sym__filetest] = ACTIONS(2087),
  },
  [1072] = {
    [sym_heredoc_content] = STATE(1072),
    [sym__identifier] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_RBRACE] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2169),
    [anon_sym_package] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_role] = ACTIONS(2169),
    [anon_sym_BUILD] = ACTIONS(2169),
    [anon_sym_ADJUST] = ACTIONS(2169),
    [anon_sym_DOLLAR] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_my] = ACTIONS(2169),
    [anon_sym_extended] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_sub] = ACTIONS(2169),
    [anon_sym_method] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_state] = ACTIONS(2169),
    [anon_sym_our] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_defer] = ACTIONS(2169),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_SLASH_SLASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_BSLASH] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_eval] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_field] = ACTIONS(2169),
    [anon_sym_local] = ACTIONS(2169),
    [anon_sym_dynamically] = ACTIONS(2169),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2169),
    [anon_sym_require] = ACTIONS(2169),
    [anon_sym_map] = ACTIONS(2169),
    [anon_sym_grep] = ACTIONS(2169),
    [anon_sym_sort] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_undef] = ACTIONS(2169),
    [anon_sym_PERCENT2] = ACTIONS(2169),
    [anon_sym_AMP2] = ACTIONS(2169),
    [anon_sym_STAR2] = ACTIONS(2169),
    [anon_sym_use] = ACTIONS(2169),
    [anon_sym_no] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_foreach] = ACTIONS(2169),
    [anon_sym_last] = ACTIONS(2169),
    [anon_sym_next] = ACTIONS(2169),
    [anon_sym_redo] = ACTIONS(2169),
    [anon_sym_BEGIN] = ACTIONS(2169),
    [anon_sym_INIT] = ACTIONS(2169),
    [anon_sym_CHECK] = ACTIONS(2169),
    [anon_sym_UNITCHECK] = ACTIONS(2169),
    [anon_sym_END] = ACTIONS(2169),
    [anon_sym___FILE__] = ACTIONS(2169),
    [anon_sym___LINE__] = ACTIONS(2169),
    [anon_sym___PACKAGE__] = ACTIONS(2169),
    [anon_sym___SUB__] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_fork] = ACTIONS(2169),
    [anon_sym_getppid] = ACTIONS(2169),
    [anon_sym_time] = ACTIONS(2169),
    [anon_sym_times] = ACTIONS(2169),
    [anon_sym_wait] = ACTIONS(2169),
    [anon_sym_wantarray] = ACTIONS(2169),
    [anon_sym_abs] = ACTIONS(2169),
    [anon_sym_alarm] = ACTIONS(2169),
    [anon_sym_chop] = ACTIONS(2169),
    [anon_sym_chdir] = ACTIONS(2169),
    [anon_sym_close] = ACTIONS(2169),
    [anon_sym_closedir] = ACTIONS(2169),
    [anon_sym_caller] = ACTIONS(2169),
    [anon_sym_chomp] = ACTIONS(2169),
    [anon_sym_chr] = ACTIONS(2169),
    [anon_sym_cos] = ACTIONS(2169),
    [anon_sym_chroot] = ACTIONS(2169),
    [anon_sym_defined] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_dbmclose] = ACTIONS(2169),
    [anon_sym_exists] = ACTIONS(2169),
    [anon_sym_exit] = ACTIONS(2169),
    [anon_sym_eof] = ACTIONS(2169),
    [anon_sym_exp] = ACTIONS(2169),
    [anon_sym_each] = ACTIONS(2169),
    [anon_sym_fc] = ACTIONS(2169),
    [anon_sym_fileno] = ACTIONS(2169),
    [anon_sym_gmtime] = ACTIONS(2169),
    [anon_sym_getc] = ACTIONS(2169),
    [anon_sym_getpgrp] = ACTIONS(2169),
    [anon_sym_getprotobyname] = ACTIONS(2169),
    [anon_sym_getpwname] = ACTIONS(2169),
    [anon_sym_getpwuid] = ACTIONS(2169),
    [anon_sym_getpeername] = ACTIONS(2169),
    [anon_sym_getnetbyname] = ACTIONS(2169),
    [anon_sym_getsockname] = ACTIONS(2169),
    [anon_sym_getgrnam] = ACTIONS(2169),
    [anon_sym_getgrgid] = ACTIONS(2169),
    [anon_sym_hex] = ACTIONS(2169),
    [anon_sym_int] = ACTIONS(2169),
    [anon_sym_keys] = ACTIONS(2169),
    [anon_sym_lc] = ACTIONS(2169),
    [anon_sym_lcfirst] = ACTIONS(2169),
    [anon_sym_length] = ACTIONS(2169),
    [anon_sym_localtime] = ACTIONS(2169),
    [anon_sym_log] = ACTIONS(2169),
    [anon_sym_lock] = ACTIONS(2169),
    [anon_sym_lstat] = ACTIONS(2169),
    [anon_sym_oct] = ACTIONS(2169),
    [anon_sym_ord] = ACTIONS(2169),
    [anon_sym_prototype] = ACTIONS(2169),
    [anon_sym_pop] = ACTIONS(2169),
    [anon_sym_pos] = ACTIONS(2169),
    [anon_sym_quotemeta] = ACTIONS(2169),
    [anon_sym_reset] = ACTIONS(2169),
    [anon_sym_rand] = ACTIONS(2169),
    [anon_sym_rmdir] = ACTIONS(2169),
    [anon_sym_readdir] = ACTIONS(2169),
    [anon_sym_readline] = ACTIONS(2169),
    [anon_sym_readpipe] = ACTIONS(2169),
    [anon_sym_rewinddir] = ACTIONS(2169),
    [anon_sym_readlink] = ACTIONS(2169),
    [anon_sym_ref] = ACTIONS(2169),
    [anon_sym_scalar] = ACTIONS(2169),
    [anon_sym_shift] = ACTIONS(2169),
    [anon_sym_sin] = ACTIONS(2169),
    [anon_sym_sleep] = ACTIONS(2169),
    [anon_sym_sqrt] = ACTIONS(2169),
    [anon_sym_srand] = ACTIONS(2169),
    [anon_sym_stat] = ACTIONS(2169),
    [anon_sym_study] = ACTIONS(2169),
    [anon_sym_tell] = ACTIONS(2169),
    [anon_sym_telldir] = ACTIONS(2169),
    [anon_sym_tied] = ACTIONS(2169),
    [anon_sym_uc] = ACTIONS(2169),
    [anon_sym_ucfirst] = ACTIONS(2169),
    [anon_sym_untie] = ACTIONS(2169),
    [anon_sym_umask] = ACTIONS(2169),
    [anon_sym_values] = ACTIONS(2169),
    [anon_sym_write] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2169),
    [anon_sym_qq] = ACTIONS(2169),
    [anon_sym_qw] = ACTIONS(2169),
    [anon_sym_qx] = ACTIONS(2169),
    [anon_sym_qr] = ACTIONS(2169),
    [anon_sym_m] = ACTIONS(2169),
    [anon_sym_s] = ACTIONS(2169),
    [anon_sym_tr] = ACTIONS(2169),
    [anon_sym_y] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_unless] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_until] = ACTIONS(2169),
    [aux_sym__bareword_token1] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [anon_sym_true] = ACTIONS(2169),
    [anon_sym_false] = ACTIONS(2169),
    [sym__single_quote] = ACTIONS(2167),
    [sym__double_quote] = ACTIONS(2167),
    [sym__backtick_quote] = ACTIONS(2167),
    [sym__search_slash_quote] = ACTIONS(2167),
    [sym__open_readline_bracket] = ACTIONS(2167),
    [sym__open_fileglob_bracket] = ACTIONS(2167),
    [sym__PERLY_HEREDOC] = ACTIONS(2167),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2167),
    [sym__filetest] = ACTIONS(2167),
  },
  [1073] = {
    [sym_heredoc_content] = STATE(1073),
    [sym__identifier] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_RBRACE] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2093),
    [anon_sym_package] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_role] = ACTIONS(2093),
    [anon_sym_BUILD] = ACTIONS(2093),
    [anon_sym_ADJUST] = ACTIONS(2093),
    [anon_sym_DOLLAR] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_my] = ACTIONS(2093),
    [anon_sym_extended] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_sub] = ACTIONS(2093),
    [anon_sym_method] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_state] = ACTIONS(2093),
    [anon_sym_our] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_defer] = ACTIONS(2093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_SLASH_SLASH] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_BSLASH] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_eval] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_field] = ACTIONS(2093),
    [anon_sym_local] = ACTIONS(2093),
    [anon_sym_dynamically] = ACTIONS(2093),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2093),
    [anon_sym_require] = ACTIONS(2093),
    [anon_sym_map] = ACTIONS(2093),
    [anon_sym_grep] = ACTIONS(2093),
    [anon_sym_sort] = ACTIONS(2093),
    [anon_sym_goto] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_undef] = ACTIONS(2093),
    [anon_sym_PERCENT2] = ACTIONS(2093),
    [anon_sym_AMP2] = ACTIONS(2093),
    [anon_sym_STAR2] = ACTIONS(2093),
    [anon_sym_use] = ACTIONS(2093),
    [anon_sym_no] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_foreach] = ACTIONS(2093),
    [anon_sym_last] = ACTIONS(2093),
    [anon_sym_next] = ACTIONS(2093),
    [anon_sym_redo] = ACTIONS(2093),
    [anon_sym_BEGIN] = ACTIONS(2093),
    [anon_sym_INIT] = ACTIONS(2093),
    [anon_sym_CHECK] = ACTIONS(2093),
    [anon_sym_UNITCHECK] = ACTIONS(2093),
    [anon_sym_END] = ACTIONS(2093),
    [anon_sym___FILE__] = ACTIONS(2093),
    [anon_sym___LINE__] = ACTIONS(2093),
    [anon_sym___PACKAGE__] = ACTIONS(2093),
    [anon_sym___SUB__] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_fork] = ACTIONS(2093),
    [anon_sym_getppid] = ACTIONS(2093),
    [anon_sym_time] = ACTIONS(2093),
    [anon_sym_times] = ACTIONS(2093),
    [anon_sym_wait] = ACTIONS(2093),
    [anon_sym_wantarray] = ACTIONS(2093),
    [anon_sym_abs] = ACTIONS(2093),
    [anon_sym_alarm] = ACTIONS(2093),
    [anon_sym_chop] = ACTIONS(2093),
    [anon_sym_chdir] = ACTIONS(2093),
    [anon_sym_close] = ACTIONS(2093),
    [anon_sym_closedir] = ACTIONS(2093),
    [anon_sym_caller] = ACTIONS(2093),
    [anon_sym_chomp] = ACTIONS(2093),
    [anon_sym_chr] = ACTIONS(2093),
    [anon_sym_cos] = ACTIONS(2093),
    [anon_sym_chroot] = ACTIONS(2093),
    [anon_sym_defined] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_dbmclose] = ACTIONS(2093),
    [anon_sym_exists] = ACTIONS(2093),
    [anon_sym_exit] = ACTIONS(2093),
    [anon_sym_eof] = ACTIONS(2093),
    [anon_sym_exp] = ACTIONS(2093),
    [anon_sym_each] = ACTIONS(2093),
    [anon_sym_fc] = ACTIONS(2093),
    [anon_sym_fileno] = ACTIONS(2093),
    [anon_sym_gmtime] = ACTIONS(2093),
    [anon_sym_getc] = ACTIONS(2093),
    [anon_sym_getpgrp] = ACTIONS(2093),
    [anon_sym_getprotobyname] = ACTIONS(2093),
    [anon_sym_getpwname] = ACTIONS(2093),
    [anon_sym_getpwuid] = ACTIONS(2093),
    [anon_sym_getpeername] = ACTIONS(2093),
    [anon_sym_getnetbyname] = ACTIONS(2093),
    [anon_sym_getsockname] = ACTIONS(2093),
    [anon_sym_getgrnam] = ACTIONS(2093),
    [anon_sym_getgrgid] = ACTIONS(2093),
    [anon_sym_hex] = ACTIONS(2093),
    [anon_sym_int] = ACTIONS(2093),
    [anon_sym_keys] = ACTIONS(2093),
    [anon_sym_lc] = ACTIONS(2093),
    [anon_sym_lcfirst] = ACTIONS(2093),
    [anon_sym_length] = ACTIONS(2093),
    [anon_sym_localtime] = ACTIONS(2093),
    [anon_sym_log] = ACTIONS(2093),
    [anon_sym_lock] = ACTIONS(2093),
    [anon_sym_lstat] = ACTIONS(2093),
    [anon_sym_oct] = ACTIONS(2093),
    [anon_sym_ord] = ACTIONS(2093),
    [anon_sym_prototype] = ACTIONS(2093),
    [anon_sym_pop] = ACTIONS(2093),
    [anon_sym_pos] = ACTIONS(2093),
    [anon_sym_quotemeta] = ACTIONS(2093),
    [anon_sym_reset] = ACTIONS(2093),
    [anon_sym_rand] = ACTIONS(2093),
    [anon_sym_rmdir] = ACTIONS(2093),
    [anon_sym_readdir] = ACTIONS(2093),
    [anon_sym_readline] = ACTIONS(2093),
    [anon_sym_readpipe] = ACTIONS(2093),
    [anon_sym_rewinddir] = ACTIONS(2093),
    [anon_sym_readlink] = ACTIONS(2093),
    [anon_sym_ref] = ACTIONS(2093),
    [anon_sym_scalar] = ACTIONS(2093),
    [anon_sym_shift] = ACTIONS(2093),
    [anon_sym_sin] = ACTIONS(2093),
    [anon_sym_sleep] = ACTIONS(2093),
    [anon_sym_sqrt] = ACTIONS(2093),
    [anon_sym_srand] = ACTIONS(2093),
    [anon_sym_stat] = ACTIONS(2093),
    [anon_sym_study] = ACTIONS(2093),
    [anon_sym_tell] = ACTIONS(2093),
    [anon_sym_telldir] = ACTIONS(2093),
    [anon_sym_tied] = ACTIONS(2093),
    [anon_sym_uc] = ACTIONS(2093),
    [anon_sym_ucfirst] = ACTIONS(2093),
    [anon_sym_untie] = ACTIONS(2093),
    [anon_sym_umask] = ACTIONS(2093),
    [anon_sym_values] = ACTIONS(2093),
    [anon_sym_write] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2093),
    [anon_sym_qq] = ACTIONS(2093),
    [anon_sym_qw] = ACTIONS(2093),
    [anon_sym_qx] = ACTIONS(2093),
    [anon_sym_qr] = ACTIONS(2093),
    [anon_sym_m] = ACTIONS(2093),
    [anon_sym_s] = ACTIONS(2093),
    [anon_sym_tr] = ACTIONS(2093),
    [anon_sym_y] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_unless] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_until] = ACTIONS(2093),
    [aux_sym__bareword_token1] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [anon_sym_true] = ACTIONS(2093),
    [anon_sym_false] = ACTIONS(2093),
    [sym__single_quote] = ACTIONS(2091),
    [sym__double_quote] = ACTIONS(2091),
    [sym__backtick_quote] = ACTIONS(2091),
    [sym__search_slash_quote] = ACTIONS(2091),
    [sym__open_readline_bracket] = ACTIONS(2091),
    [sym__open_fileglob_bracket] = ACTIONS(2091),
    [sym__PERLY_HEREDOC] = ACTIONS(2091),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2091),
    [sym__filetest] = ACTIONS(2091),
  },
  [1074] = {
    [sym_heredoc_content] = STATE(1074),
    [sym__identifier] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_RBRACE] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2097),
    [anon_sym_package] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_role] = ACTIONS(2097),
    [anon_sym_BUILD] = ACTIONS(2097),
    [anon_sym_ADJUST] = ACTIONS(2097),
    [anon_sym_DOLLAR] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_my] = ACTIONS(2097),
    [anon_sym_extended] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_sub] = ACTIONS(2097),
    [anon_sym_method] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_state] = ACTIONS(2097),
    [anon_sym_our] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_defer] = ACTIONS(2097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LT_LT] = ACTIONS(2097),
    [anon_sym_SLASH_SLASH] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [anon_sym_BSLASH] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_eval] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_field] = ACTIONS(2097),
    [anon_sym_local] = ACTIONS(2097),
    [anon_sym_dynamically] = ACTIONS(2097),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2097),
    [anon_sym_require] = ACTIONS(2097),
    [anon_sym_map] = ACTIONS(2097),
    [anon_sym_grep] = ACTIONS(2097),
    [anon_sym_sort] = ACTIONS(2097),
    [anon_sym_goto] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_undef] = ACTIONS(2097),
    [anon_sym_PERCENT2] = ACTIONS(2097),
    [anon_sym_AMP2] = ACTIONS(2097),
    [anon_sym_STAR2] = ACTIONS(2097),
    [anon_sym_use] = ACTIONS(2097),
    [anon_sym_no] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_foreach] = ACTIONS(2097),
    [anon_sym_last] = ACTIONS(2097),
    [anon_sym_next] = ACTIONS(2097),
    [anon_sym_redo] = ACTIONS(2097),
    [anon_sym_BEGIN] = ACTIONS(2097),
    [anon_sym_INIT] = ACTIONS(2097),
    [anon_sym_CHECK] = ACTIONS(2097),
    [anon_sym_UNITCHECK] = ACTIONS(2097),
    [anon_sym_END] = ACTIONS(2097),
    [anon_sym___FILE__] = ACTIONS(2097),
    [anon_sym___LINE__] = ACTIONS(2097),
    [anon_sym___PACKAGE__] = ACTIONS(2097),
    [anon_sym___SUB__] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_fork] = ACTIONS(2097),
    [anon_sym_getppid] = ACTIONS(2097),
    [anon_sym_time] = ACTIONS(2097),
    [anon_sym_times] = ACTIONS(2097),
    [anon_sym_wait] = ACTIONS(2097),
    [anon_sym_wantarray] = ACTIONS(2097),
    [anon_sym_abs] = ACTIONS(2097),
    [anon_sym_alarm] = ACTIONS(2097),
    [anon_sym_chop] = ACTIONS(2097),
    [anon_sym_chdir] = ACTIONS(2097),
    [anon_sym_close] = ACTIONS(2097),
    [anon_sym_closedir] = ACTIONS(2097),
    [anon_sym_caller] = ACTIONS(2097),
    [anon_sym_chomp] = ACTIONS(2097),
    [anon_sym_chr] = ACTIONS(2097),
    [anon_sym_cos] = ACTIONS(2097),
    [anon_sym_chroot] = ACTIONS(2097),
    [anon_sym_defined] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_dbmclose] = ACTIONS(2097),
    [anon_sym_exists] = ACTIONS(2097),
    [anon_sym_exit] = ACTIONS(2097),
    [anon_sym_eof] = ACTIONS(2097),
    [anon_sym_exp] = ACTIONS(2097),
    [anon_sym_each] = ACTIONS(2097),
    [anon_sym_fc] = ACTIONS(2097),
    [anon_sym_fileno] = ACTIONS(2097),
    [anon_sym_gmtime] = ACTIONS(2097),
    [anon_sym_getc] = ACTIONS(2097),
    [anon_sym_getpgrp] = ACTIONS(2097),
    [anon_sym_getprotobyname] = ACTIONS(2097),
    [anon_sym_getpwname] = ACTIONS(2097),
    [anon_sym_getpwuid] = ACTIONS(2097),
    [anon_sym_getpeername] = ACTIONS(2097),
    [anon_sym_getnetbyname] = ACTIONS(2097),
    [anon_sym_getsockname] = ACTIONS(2097),
    [anon_sym_getgrnam] = ACTIONS(2097),
    [anon_sym_getgrgid] = ACTIONS(2097),
    [anon_sym_hex] = ACTIONS(2097),
    [anon_sym_int] = ACTIONS(2097),
    [anon_sym_keys] = ACTIONS(2097),
    [anon_sym_lc] = ACTIONS(2097),
    [anon_sym_lcfirst] = ACTIONS(2097),
    [anon_sym_length] = ACTIONS(2097),
    [anon_sym_localtime] = ACTIONS(2097),
    [anon_sym_log] = ACTIONS(2097),
    [anon_sym_lock] = ACTIONS(2097),
    [anon_sym_lstat] = ACTIONS(2097),
    [anon_sym_oct] = ACTIONS(2097),
    [anon_sym_ord] = ACTIONS(2097),
    [anon_sym_prototype] = ACTIONS(2097),
    [anon_sym_pop] = ACTIONS(2097),
    [anon_sym_pos] = ACTIONS(2097),
    [anon_sym_quotemeta] = ACTIONS(2097),
    [anon_sym_reset] = ACTIONS(2097),
    [anon_sym_rand] = ACTIONS(2097),
    [anon_sym_rmdir] = ACTIONS(2097),
    [anon_sym_readdir] = ACTIONS(2097),
    [anon_sym_readline] = ACTIONS(2097),
    [anon_sym_readpipe] = ACTIONS(2097),
    [anon_sym_rewinddir] = ACTIONS(2097),
    [anon_sym_readlink] = ACTIONS(2097),
    [anon_sym_ref] = ACTIONS(2097),
    [anon_sym_scalar] = ACTIONS(2097),
    [anon_sym_shift] = ACTIONS(2097),
    [anon_sym_sin] = ACTIONS(2097),
    [anon_sym_sleep] = ACTIONS(2097),
    [anon_sym_sqrt] = ACTIONS(2097),
    [anon_sym_srand] = ACTIONS(2097),
    [anon_sym_stat] = ACTIONS(2097),
    [anon_sym_study] = ACTIONS(2097),
    [anon_sym_tell] = ACTIONS(2097),
    [anon_sym_telldir] = ACTIONS(2097),
    [anon_sym_tied] = ACTIONS(2097),
    [anon_sym_uc] = ACTIONS(2097),
    [anon_sym_ucfirst] = ACTIONS(2097),
    [anon_sym_untie] = ACTIONS(2097),
    [anon_sym_umask] = ACTIONS(2097),
    [anon_sym_values] = ACTIONS(2097),
    [anon_sym_write] = ACTIONS(2097),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2097),
    [anon_sym_qq] = ACTIONS(2097),
    [anon_sym_qw] = ACTIONS(2097),
    [anon_sym_qx] = ACTIONS(2097),
    [anon_sym_qr] = ACTIONS(2097),
    [anon_sym_m] = ACTIONS(2097),
    [anon_sym_s] = ACTIONS(2097),
    [anon_sym_tr] = ACTIONS(2097),
    [anon_sym_y] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_unless] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_until] = ACTIONS(2097),
    [aux_sym__bareword_token1] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [anon_sym_true] = ACTIONS(2097),
    [anon_sym_false] = ACTIONS(2097),
    [sym__single_quote] = ACTIONS(2095),
    [sym__double_quote] = ACTIONS(2095),
    [sym__backtick_quote] = ACTIONS(2095),
    [sym__search_slash_quote] = ACTIONS(2095),
    [sym__open_readline_bracket] = ACTIONS(2095),
    [sym__open_fileglob_bracket] = ACTIONS(2095),
    [sym__PERLY_HEREDOC] = ACTIONS(2095),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2095),
    [sym__filetest] = ACTIONS(2095),
  },
  [1075] = {
    [sym_heredoc_content] = STATE(1075),
    [sym__identifier] = ACTIONS(2325),
    [anon_sym_LBRACE] = ACTIONS(2325),
    [anon_sym_RBRACE] = ACTIONS(2325),
    [anon_sym_SEMI] = ACTIONS(2325),
    [anon_sym_package] = ACTIONS(2325),
    [anon_sym_class] = ACTIONS(2325),
    [anon_sym_role] = ACTIONS(2325),
    [anon_sym_BUILD] = ACTIONS(2325),
    [anon_sym_ADJUST] = ACTIONS(2325),
    [anon_sym_DOLLAR] = ACTIONS(2325),
    [anon_sym_AT] = ACTIONS(2325),
    [anon_sym_my] = ACTIONS(2325),
    [anon_sym_extended] = ACTIONS(2325),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_sub] = ACTIONS(2325),
    [anon_sym_method] = ACTIONS(2325),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_state] = ACTIONS(2325),
    [anon_sym_our] = ACTIONS(2325),
    [anon_sym_try] = ACTIONS(2325),
    [anon_sym_defer] = ACTIONS(2325),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_LT_LT] = ACTIONS(2325),
    [anon_sym_SLASH_SLASH] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2325),
    [anon_sym_DASH] = ACTIONS(2325),
    [anon_sym_TILDE] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2325),
    [anon_sym_PLUS_PLUS] = ACTIONS(2325),
    [anon_sym_DASH_DASH] = ACTIONS(2325),
    [anon_sym_BSLASH] = ACTIONS(2323),
    [anon_sym_do] = ACTIONS(2325),
    [anon_sym_eval] = ACTIONS(2325),
    [anon_sym_await] = ACTIONS(2325),
    [anon_sym_field] = ACTIONS(2325),
    [anon_sym_local] = ACTIONS(2325),
    [anon_sym_dynamically] = ACTIONS(2325),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2325),
    [anon_sym_require] = ACTIONS(2325),
    [anon_sym_map] = ACTIONS(2325),
    [anon_sym_grep] = ACTIONS(2325),
    [anon_sym_sort] = ACTIONS(2325),
    [anon_sym_goto] = ACTIONS(2325),
    [anon_sym_return] = ACTIONS(2325),
    [anon_sym_undef] = ACTIONS(2325),
    [anon_sym_PERCENT2] = ACTIONS(2325),
    [anon_sym_AMP2] = ACTIONS(2325),
    [anon_sym_STAR2] = ACTIONS(2325),
    [anon_sym_use] = ACTIONS(2325),
    [anon_sym_no] = ACTIONS(2325),
    [anon_sym_for] = ACTIONS(2325),
    [anon_sym_foreach] = ACTIONS(2325),
    [anon_sym_last] = ACTIONS(2325),
    [anon_sym_next] = ACTIONS(2325),
    [anon_sym_redo] = ACTIONS(2325),
    [anon_sym_BEGIN] = ACTIONS(2325),
    [anon_sym_INIT] = ACTIONS(2325),
    [anon_sym_CHECK] = ACTIONS(2325),
    [anon_sym_UNITCHECK] = ACTIONS(2325),
    [anon_sym_END] = ACTIONS(2325),
    [anon_sym___FILE__] = ACTIONS(2325),
    [anon_sym___LINE__] = ACTIONS(2325),
    [anon_sym___PACKAGE__] = ACTIONS(2325),
    [anon_sym___SUB__] = ACTIONS(2325),
    [anon_sym_break] = ACTIONS(2325),
    [anon_sym_fork] = ACTIONS(2325),
    [anon_sym_getppid] = ACTIONS(2325),
    [anon_sym_time] = ACTIONS(2325),
    [anon_sym_times] = ACTIONS(2325),
    [anon_sym_wait] = ACTIONS(2325),
    [anon_sym_wantarray] = ACTIONS(2325),
    [anon_sym_abs] = ACTIONS(2325),
    [anon_sym_alarm] = ACTIONS(2325),
    [anon_sym_chop] = ACTIONS(2325),
    [anon_sym_chdir] = ACTIONS(2325),
    [anon_sym_close] = ACTIONS(2325),
    [anon_sym_closedir] = ACTIONS(2325),
    [anon_sym_caller] = ACTIONS(2325),
    [anon_sym_chomp] = ACTIONS(2325),
    [anon_sym_chr] = ACTIONS(2325),
    [anon_sym_cos] = ACTIONS(2325),
    [anon_sym_chroot] = ACTIONS(2325),
    [anon_sym_defined] = ACTIONS(2325),
    [anon_sym_delete] = ACTIONS(2325),
    [anon_sym_dbmclose] = ACTIONS(2325),
    [anon_sym_exists] = ACTIONS(2325),
    [anon_sym_exit] = ACTIONS(2325),
    [anon_sym_eof] = ACTIONS(2325),
    [anon_sym_exp] = ACTIONS(2325),
    [anon_sym_each] = ACTIONS(2325),
    [anon_sym_fc] = ACTIONS(2325),
    [anon_sym_fileno] = ACTIONS(2325),
    [anon_sym_gmtime] = ACTIONS(2325),
    [anon_sym_getc] = ACTIONS(2325),
    [anon_sym_getpgrp] = ACTIONS(2325),
    [anon_sym_getprotobyname] = ACTIONS(2325),
    [anon_sym_getpwname] = ACTIONS(2325),
    [anon_sym_getpwuid] = ACTIONS(2325),
    [anon_sym_getpeername] = ACTIONS(2325),
    [anon_sym_getnetbyname] = ACTIONS(2325),
    [anon_sym_getsockname] = ACTIONS(2325),
    [anon_sym_getgrnam] = ACTIONS(2325),
    [anon_sym_getgrgid] = ACTIONS(2325),
    [anon_sym_hex] = ACTIONS(2325),
    [anon_sym_int] = ACTIONS(2325),
    [anon_sym_keys] = ACTIONS(2325),
    [anon_sym_lc] = ACTIONS(2325),
    [anon_sym_lcfirst] = ACTIONS(2325),
    [anon_sym_length] = ACTIONS(2325),
    [anon_sym_localtime] = ACTIONS(2325),
    [anon_sym_log] = ACTIONS(2325),
    [anon_sym_lock] = ACTIONS(2325),
    [anon_sym_lstat] = ACTIONS(2325),
    [anon_sym_oct] = ACTIONS(2325),
    [anon_sym_ord] = ACTIONS(2325),
    [anon_sym_prototype] = ACTIONS(2325),
    [anon_sym_pop] = ACTIONS(2325),
    [anon_sym_pos] = ACTIONS(2325),
    [anon_sym_quotemeta] = ACTIONS(2325),
    [anon_sym_reset] = ACTIONS(2325),
    [anon_sym_rand] = ACTIONS(2325),
    [anon_sym_rmdir] = ACTIONS(2325),
    [anon_sym_readdir] = ACTIONS(2325),
    [anon_sym_readline] = ACTIONS(2325),
    [anon_sym_readpipe] = ACTIONS(2325),
    [anon_sym_rewinddir] = ACTIONS(2325),
    [anon_sym_readlink] = ACTIONS(2325),
    [anon_sym_ref] = ACTIONS(2325),
    [anon_sym_scalar] = ACTIONS(2325),
    [anon_sym_shift] = ACTIONS(2325),
    [anon_sym_sin] = ACTIONS(2325),
    [anon_sym_sleep] = ACTIONS(2325),
    [anon_sym_sqrt] = ACTIONS(2325),
    [anon_sym_srand] = ACTIONS(2325),
    [anon_sym_stat] = ACTIONS(2325),
    [anon_sym_study] = ACTIONS(2325),
    [anon_sym_tell] = ACTIONS(2325),
    [anon_sym_telldir] = ACTIONS(2325),
    [anon_sym_tied] = ACTIONS(2325),
    [anon_sym_uc] = ACTIONS(2325),
    [anon_sym_ucfirst] = ACTIONS(2325),
    [anon_sym_untie] = ACTIONS(2325),
    [anon_sym_umask] = ACTIONS(2325),
    [anon_sym_values] = ACTIONS(2325),
    [anon_sym_write] = ACTIONS(2325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2325),
    [anon_sym_qq] = ACTIONS(2325),
    [anon_sym_qw] = ACTIONS(2325),
    [anon_sym_qx] = ACTIONS(2325),
    [anon_sym_qr] = ACTIONS(2325),
    [anon_sym_m] = ACTIONS(2325),
    [anon_sym_s] = ACTIONS(2325),
    [anon_sym_tr] = ACTIONS(2325),
    [anon_sym_y] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2325),
    [anon_sym_unless] = ACTIONS(2325),
    [anon_sym_while] = ACTIONS(2325),
    [anon_sym_until] = ACTIONS(2325),
    [aux_sym__bareword_token1] = ACTIONS(2325),
    [sym_number] = ACTIONS(2325),
    [anon_sym_true] = ACTIONS(2325),
    [anon_sym_false] = ACTIONS(2325),
    [sym__single_quote] = ACTIONS(2323),
    [sym__double_quote] = ACTIONS(2323),
    [sym__backtick_quote] = ACTIONS(2323),
    [sym__search_slash_quote] = ACTIONS(2323),
    [sym__open_readline_bracket] = ACTIONS(2323),
    [sym__open_fileglob_bracket] = ACTIONS(2323),
    [sym__PERLY_HEREDOC] = ACTIONS(2323),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2323),
    [sym__filetest] = ACTIONS(2323),
  },
  [1076] = {
    [sym_heredoc_content] = STATE(1076),
    [sym__identifier] = ACTIONS(2340),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_package] = ACTIONS(2340),
    [anon_sym_class] = ACTIONS(2340),
    [anon_sym_role] = ACTIONS(2340),
    [anon_sym_BUILD] = ACTIONS(2340),
    [anon_sym_ADJUST] = ACTIONS(2340),
    [anon_sym_DOLLAR] = ACTIONS(2340),
    [anon_sym_AT] = ACTIONS(2340),
    [anon_sym_my] = ACTIONS(2340),
    [anon_sym_extended] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2340),
    [anon_sym_sub] = ACTIONS(2340),
    [anon_sym_method] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_continue] = ACTIONS(2340),
    [anon_sym_state] = ACTIONS(2340),
    [anon_sym_our] = ACTIONS(2340),
    [anon_sym_try] = ACTIONS(2340),
    [anon_sym_defer] = ACTIONS(2340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT_LT] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_BSLASH] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2340),
    [anon_sym_eval] = ACTIONS(2340),
    [anon_sym_await] = ACTIONS(2340),
    [anon_sym_field] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2340),
    [anon_sym_dynamically] = ACTIONS(2340),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2340),
    [anon_sym_require] = ACTIONS(2340),
    [anon_sym_map] = ACTIONS(2340),
    [anon_sym_grep] = ACTIONS(2340),
    [anon_sym_sort] = ACTIONS(2340),
    [anon_sym_goto] = ACTIONS(2340),
    [anon_sym_return] = ACTIONS(2340),
    [anon_sym_undef] = ACTIONS(2340),
    [anon_sym_PERCENT2] = ACTIONS(2340),
    [anon_sym_AMP2] = ACTIONS(2340),
    [anon_sym_STAR2] = ACTIONS(2340),
    [anon_sym_use] = ACTIONS(2340),
    [anon_sym_no] = ACTIONS(2340),
    [anon_sym_for] = ACTIONS(2340),
    [anon_sym_foreach] = ACTIONS(2340),
    [anon_sym_last] = ACTIONS(2340),
    [anon_sym_next] = ACTIONS(2340),
    [anon_sym_redo] = ACTIONS(2340),
    [anon_sym_BEGIN] = ACTIONS(2340),
    [anon_sym_INIT] = ACTIONS(2340),
    [anon_sym_CHECK] = ACTIONS(2340),
    [anon_sym_UNITCHECK] = ACTIONS(2340),
    [anon_sym_END] = ACTIONS(2340),
    [anon_sym___FILE__] = ACTIONS(2340),
    [anon_sym___LINE__] = ACTIONS(2340),
    [anon_sym___PACKAGE__] = ACTIONS(2340),
    [anon_sym___SUB__] = ACTIONS(2340),
    [anon_sym_break] = ACTIONS(2340),
    [anon_sym_fork] = ACTIONS(2340),
    [anon_sym_getppid] = ACTIONS(2340),
    [anon_sym_time] = ACTIONS(2340),
    [anon_sym_times] = ACTIONS(2340),
    [anon_sym_wait] = ACTIONS(2340),
    [anon_sym_wantarray] = ACTIONS(2340),
    [anon_sym_abs] = ACTIONS(2340),
    [anon_sym_alarm] = ACTIONS(2340),
    [anon_sym_chop] = ACTIONS(2340),
    [anon_sym_chdir] = ACTIONS(2340),
    [anon_sym_close] = ACTIONS(2340),
    [anon_sym_closedir] = ACTIONS(2340),
    [anon_sym_caller] = ACTIONS(2340),
    [anon_sym_chomp] = ACTIONS(2340),
    [anon_sym_chr] = ACTIONS(2340),
    [anon_sym_cos] = ACTIONS(2340),
    [anon_sym_chroot] = ACTIONS(2340),
    [anon_sym_defined] = ACTIONS(2340),
    [anon_sym_delete] = ACTIONS(2340),
    [anon_sym_dbmclose] = ACTIONS(2340),
    [anon_sym_exists] = ACTIONS(2340),
    [anon_sym_exit] = ACTIONS(2340),
    [anon_sym_eof] = ACTIONS(2340),
    [anon_sym_exp] = ACTIONS(2340),
    [anon_sym_each] = ACTIONS(2340),
    [anon_sym_fc] = ACTIONS(2340),
    [anon_sym_fileno] = ACTIONS(2340),
    [anon_sym_gmtime] = ACTIONS(2340),
    [anon_sym_getc] = ACTIONS(2340),
    [anon_sym_getpgrp] = ACTIONS(2340),
    [anon_sym_getprotobyname] = ACTIONS(2340),
    [anon_sym_getpwname] = ACTIONS(2340),
    [anon_sym_getpwuid] = ACTIONS(2340),
    [anon_sym_getpeername] = ACTIONS(2340),
    [anon_sym_getnetbyname] = ACTIONS(2340),
    [anon_sym_getsockname] = ACTIONS(2340),
    [anon_sym_getgrnam] = ACTIONS(2340),
    [anon_sym_getgrgid] = ACTIONS(2340),
    [anon_sym_hex] = ACTIONS(2340),
    [anon_sym_int] = ACTIONS(2340),
    [anon_sym_keys] = ACTIONS(2340),
    [anon_sym_lc] = ACTIONS(2340),
    [anon_sym_lcfirst] = ACTIONS(2340),
    [anon_sym_length] = ACTIONS(2340),
    [anon_sym_localtime] = ACTIONS(2340),
    [anon_sym_log] = ACTIONS(2340),
    [anon_sym_lock] = ACTIONS(2340),
    [anon_sym_lstat] = ACTIONS(2340),
    [anon_sym_oct] = ACTIONS(2340),
    [anon_sym_ord] = ACTIONS(2340),
    [anon_sym_prototype] = ACTIONS(2340),
    [anon_sym_pop] = ACTIONS(2340),
    [anon_sym_pos] = ACTIONS(2340),
    [anon_sym_quotemeta] = ACTIONS(2340),
    [anon_sym_reset] = ACTIONS(2340),
    [anon_sym_rand] = ACTIONS(2340),
    [anon_sym_rmdir] = ACTIONS(2340),
    [anon_sym_readdir] = ACTIONS(2340),
    [anon_sym_readline] = ACTIONS(2340),
    [anon_sym_readpipe] = ACTIONS(2340),
    [anon_sym_rewinddir] = ACTIONS(2340),
    [anon_sym_readlink] = ACTIONS(2340),
    [anon_sym_ref] = ACTIONS(2340),
    [anon_sym_scalar] = ACTIONS(2340),
    [anon_sym_shift] = ACTIONS(2340),
    [anon_sym_sin] = ACTIONS(2340),
    [anon_sym_sleep] = ACTIONS(2340),
    [anon_sym_sqrt] = ACTIONS(2340),
    [anon_sym_srand] = ACTIONS(2340),
    [anon_sym_stat] = ACTIONS(2340),
    [anon_sym_study] = ACTIONS(2340),
    [anon_sym_tell] = ACTIONS(2340),
    [anon_sym_telldir] = ACTIONS(2340),
    [anon_sym_tied] = ACTIONS(2340),
    [anon_sym_uc] = ACTIONS(2340),
    [anon_sym_ucfirst] = ACTIONS(2340),
    [anon_sym_untie] = ACTIONS(2340),
    [anon_sym_umask] = ACTIONS(2340),
    [anon_sym_values] = ACTIONS(2340),
    [anon_sym_write] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2340),
    [anon_sym_qq] = ACTIONS(2340),
    [anon_sym_qw] = ACTIONS(2340),
    [anon_sym_qx] = ACTIONS(2340),
    [anon_sym_qr] = ACTIONS(2340),
    [anon_sym_m] = ACTIONS(2340),
    [anon_sym_s] = ACTIONS(2340),
    [anon_sym_tr] = ACTIONS(2340),
    [anon_sym_y] = ACTIONS(2340),
    [anon_sym_if] = ACTIONS(2340),
    [anon_sym_unless] = ACTIONS(2340),
    [anon_sym_while] = ACTIONS(2340),
    [anon_sym_until] = ACTIONS(2340),
    [aux_sym__bareword_token1] = ACTIONS(2340),
    [sym_number] = ACTIONS(2340),
    [anon_sym_true] = ACTIONS(2340),
    [anon_sym_false] = ACTIONS(2340),
    [sym__single_quote] = ACTIONS(2338),
    [sym__double_quote] = ACTIONS(2338),
    [sym__backtick_quote] = ACTIONS(2338),
    [sym__search_slash_quote] = ACTIONS(2338),
    [sym__open_readline_bracket] = ACTIONS(2338),
    [sym__open_fileglob_bracket] = ACTIONS(2338),
    [sym__PERLY_HEREDOC] = ACTIONS(2338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2338),
    [sym__filetest] = ACTIONS(2338),
  },
  [1077] = {
    [sym_heredoc_content] = STATE(1077),
    [sym__identifier] = ACTIONS(2029),
    [anon_sym_LBRACE] = ACTIONS(2029),
    [anon_sym_RBRACE] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2029),
    [anon_sym_package] = ACTIONS(2029),
    [anon_sym_class] = ACTIONS(2029),
    [anon_sym_role] = ACTIONS(2029),
    [anon_sym_BUILD] = ACTIONS(2029),
    [anon_sym_ADJUST] = ACTIONS(2029),
    [anon_sym_DOLLAR] = ACTIONS(2029),
    [anon_sym_AT] = ACTIONS(2029),
    [anon_sym_my] = ACTIONS(2029),
    [anon_sym_extended] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_sub] = ACTIONS(2029),
    [anon_sym_method] = ACTIONS(2029),
    [anon_sym_LPAREN] = ACTIONS(2029),
    [anon_sym_continue] = ACTIONS(2029),
    [anon_sym_state] = ACTIONS(2029),
    [anon_sym_our] = ACTIONS(2029),
    [anon_sym_try] = ACTIONS(2029),
    [anon_sym_defer] = ACTIONS(2029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2029),
    [anon_sym_SLASH_SLASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_TILDE] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_BSLASH] = ACTIONS(2027),
    [anon_sym_do] = ACTIONS(2029),
    [anon_sym_eval] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(2029),
    [anon_sym_field] = ACTIONS(2029),
    [anon_sym_local] = ACTIONS(2029),
    [anon_sym_dynamically] = ACTIONS(2029),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2029),
    [anon_sym_require] = ACTIONS(2029),
    [anon_sym_map] = ACTIONS(2029),
    [anon_sym_grep] = ACTIONS(2029),
    [anon_sym_sort] = ACTIONS(2029),
    [anon_sym_goto] = ACTIONS(2029),
    [anon_sym_return] = ACTIONS(2029),
    [anon_sym_undef] = ACTIONS(2029),
    [anon_sym_PERCENT2] = ACTIONS(2029),
    [anon_sym_AMP2] = ACTIONS(2029),
    [anon_sym_STAR2] = ACTIONS(2029),
    [anon_sym_use] = ACTIONS(2029),
    [anon_sym_no] = ACTIONS(2029),
    [anon_sym_for] = ACTIONS(2029),
    [anon_sym_foreach] = ACTIONS(2029),
    [anon_sym_last] = ACTIONS(2029),
    [anon_sym_next] = ACTIONS(2029),
    [anon_sym_redo] = ACTIONS(2029),
    [anon_sym_BEGIN] = ACTIONS(2029),
    [anon_sym_INIT] = ACTIONS(2029),
    [anon_sym_CHECK] = ACTIONS(2029),
    [anon_sym_UNITCHECK] = ACTIONS(2029),
    [anon_sym_END] = ACTIONS(2029),
    [anon_sym___FILE__] = ACTIONS(2029),
    [anon_sym___LINE__] = ACTIONS(2029),
    [anon_sym___PACKAGE__] = ACTIONS(2029),
    [anon_sym___SUB__] = ACTIONS(2029),
    [anon_sym_break] = ACTIONS(2029),
    [anon_sym_fork] = ACTIONS(2029),
    [anon_sym_getppid] = ACTIONS(2029),
    [anon_sym_time] = ACTIONS(2029),
    [anon_sym_times] = ACTIONS(2029),
    [anon_sym_wait] = ACTIONS(2029),
    [anon_sym_wantarray] = ACTIONS(2029),
    [anon_sym_abs] = ACTIONS(2029),
    [anon_sym_alarm] = ACTIONS(2029),
    [anon_sym_chop] = ACTIONS(2029),
    [anon_sym_chdir] = ACTIONS(2029),
    [anon_sym_close] = ACTIONS(2029),
    [anon_sym_closedir] = ACTIONS(2029),
    [anon_sym_caller] = ACTIONS(2029),
    [anon_sym_chomp] = ACTIONS(2029),
    [anon_sym_chr] = ACTIONS(2029),
    [anon_sym_cos] = ACTIONS(2029),
    [anon_sym_chroot] = ACTIONS(2029),
    [anon_sym_defined] = ACTIONS(2029),
    [anon_sym_delete] = ACTIONS(2029),
    [anon_sym_dbmclose] = ACTIONS(2029),
    [anon_sym_exists] = ACTIONS(2029),
    [anon_sym_exit] = ACTIONS(2029),
    [anon_sym_eof] = ACTIONS(2029),
    [anon_sym_exp] = ACTIONS(2029),
    [anon_sym_each] = ACTIONS(2029),
    [anon_sym_fc] = ACTIONS(2029),
    [anon_sym_fileno] = ACTIONS(2029),
    [anon_sym_gmtime] = ACTIONS(2029),
    [anon_sym_getc] = ACTIONS(2029),
    [anon_sym_getpgrp] = ACTIONS(2029),
    [anon_sym_getprotobyname] = ACTIONS(2029),
    [anon_sym_getpwname] = ACTIONS(2029),
    [anon_sym_getpwuid] = ACTIONS(2029),
    [anon_sym_getpeername] = ACTIONS(2029),
    [anon_sym_getnetbyname] = ACTIONS(2029),
    [anon_sym_getsockname] = ACTIONS(2029),
    [anon_sym_getgrnam] = ACTIONS(2029),
    [anon_sym_getgrgid] = ACTIONS(2029),
    [anon_sym_hex] = ACTIONS(2029),
    [anon_sym_int] = ACTIONS(2029),
    [anon_sym_keys] = ACTIONS(2029),
    [anon_sym_lc] = ACTIONS(2029),
    [anon_sym_lcfirst] = ACTIONS(2029),
    [anon_sym_length] = ACTIONS(2029),
    [anon_sym_localtime] = ACTIONS(2029),
    [anon_sym_log] = ACTIONS(2029),
    [anon_sym_lock] = ACTIONS(2029),
    [anon_sym_lstat] = ACTIONS(2029),
    [anon_sym_oct] = ACTIONS(2029),
    [anon_sym_ord] = ACTIONS(2029),
    [anon_sym_prototype] = ACTIONS(2029),
    [anon_sym_pop] = ACTIONS(2029),
    [anon_sym_pos] = ACTIONS(2029),
    [anon_sym_quotemeta] = ACTIONS(2029),
    [anon_sym_reset] = ACTIONS(2029),
    [anon_sym_rand] = ACTIONS(2029),
    [anon_sym_rmdir] = ACTIONS(2029),
    [anon_sym_readdir] = ACTIONS(2029),
    [anon_sym_readline] = ACTIONS(2029),
    [anon_sym_readpipe] = ACTIONS(2029),
    [anon_sym_rewinddir] = ACTIONS(2029),
    [anon_sym_readlink] = ACTIONS(2029),
    [anon_sym_ref] = ACTIONS(2029),
    [anon_sym_scalar] = ACTIONS(2029),
    [anon_sym_shift] = ACTIONS(2029),
    [anon_sym_sin] = ACTIONS(2029),
    [anon_sym_sleep] = ACTIONS(2029),
    [anon_sym_sqrt] = ACTIONS(2029),
    [anon_sym_srand] = ACTIONS(2029),
    [anon_sym_stat] = ACTIONS(2029),
    [anon_sym_study] = ACTIONS(2029),
    [anon_sym_tell] = ACTIONS(2029),
    [anon_sym_telldir] = ACTIONS(2029),
    [anon_sym_tied] = ACTIONS(2029),
    [anon_sym_uc] = ACTIONS(2029),
    [anon_sym_ucfirst] = ACTIONS(2029),
    [anon_sym_untie] = ACTIONS(2029),
    [anon_sym_umask] = ACTIONS(2029),
    [anon_sym_values] = ACTIONS(2029),
    [anon_sym_write] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2029),
    [anon_sym_qq] = ACTIONS(2029),
    [anon_sym_qw] = ACTIONS(2029),
    [anon_sym_qx] = ACTIONS(2029),
    [anon_sym_qr] = ACTIONS(2029),
    [anon_sym_m] = ACTIONS(2029),
    [anon_sym_s] = ACTIONS(2029),
    [anon_sym_tr] = ACTIONS(2029),
    [anon_sym_y] = ACTIONS(2029),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_unless] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(2029),
    [anon_sym_until] = ACTIONS(2029),
    [aux_sym__bareword_token1] = ACTIONS(2029),
    [sym_number] = ACTIONS(2029),
    [anon_sym_true] = ACTIONS(2029),
    [anon_sym_false] = ACTIONS(2029),
    [sym__single_quote] = ACTIONS(2027),
    [sym__double_quote] = ACTIONS(2027),
    [sym__backtick_quote] = ACTIONS(2027),
    [sym__search_slash_quote] = ACTIONS(2027),
    [sym__open_readline_bracket] = ACTIONS(2027),
    [sym__open_fileglob_bracket] = ACTIONS(2027),
    [sym__PERLY_HEREDOC] = ACTIONS(2027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2027),
    [sym__filetest] = ACTIONS(2027),
  },
  [1078] = {
    [sym_heredoc_content] = STATE(1078),
    [sym__identifier] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_RBRACE] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2117),
    [anon_sym_package] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_role] = ACTIONS(2117),
    [anon_sym_BUILD] = ACTIONS(2117),
    [anon_sym_ADJUST] = ACTIONS(2117),
    [anon_sym_DOLLAR] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_my] = ACTIONS(2117),
    [anon_sym_extended] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_sub] = ACTIONS(2117),
    [anon_sym_method] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_state] = ACTIONS(2117),
    [anon_sym_our] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_defer] = ACTIONS(2117),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LT_LT] = ACTIONS(2117),
    [anon_sym_SLASH_SLASH] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_BSLASH] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_eval] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_field] = ACTIONS(2117),
    [anon_sym_local] = ACTIONS(2117),
    [anon_sym_dynamically] = ACTIONS(2117),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2117),
    [anon_sym_require] = ACTIONS(2117),
    [anon_sym_map] = ACTIONS(2117),
    [anon_sym_grep] = ACTIONS(2117),
    [anon_sym_sort] = ACTIONS(2117),
    [anon_sym_goto] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_undef] = ACTIONS(2117),
    [anon_sym_PERCENT2] = ACTIONS(2117),
    [anon_sym_AMP2] = ACTIONS(2117),
    [anon_sym_STAR2] = ACTIONS(2117),
    [anon_sym_use] = ACTIONS(2117),
    [anon_sym_no] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_foreach] = ACTIONS(2117),
    [anon_sym_last] = ACTIONS(2117),
    [anon_sym_next] = ACTIONS(2117),
    [anon_sym_redo] = ACTIONS(2117),
    [anon_sym_BEGIN] = ACTIONS(2117),
    [anon_sym_INIT] = ACTIONS(2117),
    [anon_sym_CHECK] = ACTIONS(2117),
    [anon_sym_UNITCHECK] = ACTIONS(2117),
    [anon_sym_END] = ACTIONS(2117),
    [anon_sym___FILE__] = ACTIONS(2117),
    [anon_sym___LINE__] = ACTIONS(2117),
    [anon_sym___PACKAGE__] = ACTIONS(2117),
    [anon_sym___SUB__] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_fork] = ACTIONS(2117),
    [anon_sym_getppid] = ACTIONS(2117),
    [anon_sym_time] = ACTIONS(2117),
    [anon_sym_times] = ACTIONS(2117),
    [anon_sym_wait] = ACTIONS(2117),
    [anon_sym_wantarray] = ACTIONS(2117),
    [anon_sym_abs] = ACTIONS(2117),
    [anon_sym_alarm] = ACTIONS(2117),
    [anon_sym_chop] = ACTIONS(2117),
    [anon_sym_chdir] = ACTIONS(2117),
    [anon_sym_close] = ACTIONS(2117),
    [anon_sym_closedir] = ACTIONS(2117),
    [anon_sym_caller] = ACTIONS(2117),
    [anon_sym_chomp] = ACTIONS(2117),
    [anon_sym_chr] = ACTIONS(2117),
    [anon_sym_cos] = ACTIONS(2117),
    [anon_sym_chroot] = ACTIONS(2117),
    [anon_sym_defined] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_dbmclose] = ACTIONS(2117),
    [anon_sym_exists] = ACTIONS(2117),
    [anon_sym_exit] = ACTIONS(2117),
    [anon_sym_eof] = ACTIONS(2117),
    [anon_sym_exp] = ACTIONS(2117),
    [anon_sym_each] = ACTIONS(2117),
    [anon_sym_fc] = ACTIONS(2117),
    [anon_sym_fileno] = ACTIONS(2117),
    [anon_sym_gmtime] = ACTIONS(2117),
    [anon_sym_getc] = ACTIONS(2117),
    [anon_sym_getpgrp] = ACTIONS(2117),
    [anon_sym_getprotobyname] = ACTIONS(2117),
    [anon_sym_getpwname] = ACTIONS(2117),
    [anon_sym_getpwuid] = ACTIONS(2117),
    [anon_sym_getpeername] = ACTIONS(2117),
    [anon_sym_getnetbyname] = ACTIONS(2117),
    [anon_sym_getsockname] = ACTIONS(2117),
    [anon_sym_getgrnam] = ACTIONS(2117),
    [anon_sym_getgrgid] = ACTIONS(2117),
    [anon_sym_hex] = ACTIONS(2117),
    [anon_sym_int] = ACTIONS(2117),
    [anon_sym_keys] = ACTIONS(2117),
    [anon_sym_lc] = ACTIONS(2117),
    [anon_sym_lcfirst] = ACTIONS(2117),
    [anon_sym_length] = ACTIONS(2117),
    [anon_sym_localtime] = ACTIONS(2117),
    [anon_sym_log] = ACTIONS(2117),
    [anon_sym_lock] = ACTIONS(2117),
    [anon_sym_lstat] = ACTIONS(2117),
    [anon_sym_oct] = ACTIONS(2117),
    [anon_sym_ord] = ACTIONS(2117),
    [anon_sym_prototype] = ACTIONS(2117),
    [anon_sym_pop] = ACTIONS(2117),
    [anon_sym_pos] = ACTIONS(2117),
    [anon_sym_quotemeta] = ACTIONS(2117),
    [anon_sym_reset] = ACTIONS(2117),
    [anon_sym_rand] = ACTIONS(2117),
    [anon_sym_rmdir] = ACTIONS(2117),
    [anon_sym_readdir] = ACTIONS(2117),
    [anon_sym_readline] = ACTIONS(2117),
    [anon_sym_readpipe] = ACTIONS(2117),
    [anon_sym_rewinddir] = ACTIONS(2117),
    [anon_sym_readlink] = ACTIONS(2117),
    [anon_sym_ref] = ACTIONS(2117),
    [anon_sym_scalar] = ACTIONS(2117),
    [anon_sym_shift] = ACTIONS(2117),
    [anon_sym_sin] = ACTIONS(2117),
    [anon_sym_sleep] = ACTIONS(2117),
    [anon_sym_sqrt] = ACTIONS(2117),
    [anon_sym_srand] = ACTIONS(2117),
    [anon_sym_stat] = ACTIONS(2117),
    [anon_sym_study] = ACTIONS(2117),
    [anon_sym_tell] = ACTIONS(2117),
    [anon_sym_telldir] = ACTIONS(2117),
    [anon_sym_tied] = ACTIONS(2117),
    [anon_sym_uc] = ACTIONS(2117),
    [anon_sym_ucfirst] = ACTIONS(2117),
    [anon_sym_untie] = ACTIONS(2117),
    [anon_sym_umask] = ACTIONS(2117),
    [anon_sym_values] = ACTIONS(2117),
    [anon_sym_write] = ACTIONS(2117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2117),
    [anon_sym_qq] = ACTIONS(2117),
    [anon_sym_qw] = ACTIONS(2117),
    [anon_sym_qx] = ACTIONS(2117),
    [anon_sym_qr] = ACTIONS(2117),
    [anon_sym_m] = ACTIONS(2117),
    [anon_sym_s] = ACTIONS(2117),
    [anon_sym_tr] = ACTIONS(2117),
    [anon_sym_y] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_unless] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_until] = ACTIONS(2117),
    [aux_sym__bareword_token1] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(2117),
    [anon_sym_false] = ACTIONS(2117),
    [sym__single_quote] = ACTIONS(2115),
    [sym__double_quote] = ACTIONS(2115),
    [sym__backtick_quote] = ACTIONS(2115),
    [sym__search_slash_quote] = ACTIONS(2115),
    [sym__open_readline_bracket] = ACTIONS(2115),
    [sym__open_fileglob_bracket] = ACTIONS(2115),
    [sym__PERLY_HEREDOC] = ACTIONS(2115),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2115),
    [sym__filetest] = ACTIONS(2115),
  },
  [1079] = {
    [sym_heredoc_content] = STATE(1079),
    [sym__identifier] = ACTIONS(2344),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_package] = ACTIONS(2344),
    [anon_sym_class] = ACTIONS(2344),
    [anon_sym_role] = ACTIONS(2344),
    [anon_sym_BUILD] = ACTIONS(2344),
    [anon_sym_ADJUST] = ACTIONS(2344),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_AT] = ACTIONS(2344),
    [anon_sym_my] = ACTIONS(2344),
    [anon_sym_extended] = ACTIONS(2344),
    [anon_sym_async] = ACTIONS(2344),
    [anon_sym_sub] = ACTIONS(2344),
    [anon_sym_method] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_continue] = ACTIONS(2344),
    [anon_sym_state] = ACTIONS(2344),
    [anon_sym_our] = ACTIONS(2344),
    [anon_sym_try] = ACTIONS(2344),
    [anon_sym_defer] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_BSLASH] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2344),
    [anon_sym_eval] = ACTIONS(2344),
    [anon_sym_await] = ACTIONS(2344),
    [anon_sym_field] = ACTIONS(2344),
    [anon_sym_local] = ACTIONS(2344),
    [anon_sym_dynamically] = ACTIONS(2344),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2344),
    [anon_sym_require] = ACTIONS(2344),
    [anon_sym_map] = ACTIONS(2344),
    [anon_sym_grep] = ACTIONS(2344),
    [anon_sym_sort] = ACTIONS(2344),
    [anon_sym_goto] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(2344),
    [anon_sym_undef] = ACTIONS(2344),
    [anon_sym_PERCENT2] = ACTIONS(2344),
    [anon_sym_AMP2] = ACTIONS(2344),
    [anon_sym_STAR2] = ACTIONS(2344),
    [anon_sym_use] = ACTIONS(2344),
    [anon_sym_no] = ACTIONS(2344),
    [anon_sym_for] = ACTIONS(2344),
    [anon_sym_foreach] = ACTIONS(2344),
    [anon_sym_last] = ACTIONS(2344),
    [anon_sym_next] = ACTIONS(2344),
    [anon_sym_redo] = ACTIONS(2344),
    [anon_sym_BEGIN] = ACTIONS(2344),
    [anon_sym_INIT] = ACTIONS(2344),
    [anon_sym_CHECK] = ACTIONS(2344),
    [anon_sym_UNITCHECK] = ACTIONS(2344),
    [anon_sym_END] = ACTIONS(2344),
    [anon_sym___FILE__] = ACTIONS(2344),
    [anon_sym___LINE__] = ACTIONS(2344),
    [anon_sym___PACKAGE__] = ACTIONS(2344),
    [anon_sym___SUB__] = ACTIONS(2344),
    [anon_sym_break] = ACTIONS(2344),
    [anon_sym_fork] = ACTIONS(2344),
    [anon_sym_getppid] = ACTIONS(2344),
    [anon_sym_time] = ACTIONS(2344),
    [anon_sym_times] = ACTIONS(2344),
    [anon_sym_wait] = ACTIONS(2344),
    [anon_sym_wantarray] = ACTIONS(2344),
    [anon_sym_abs] = ACTIONS(2344),
    [anon_sym_alarm] = ACTIONS(2344),
    [anon_sym_chop] = ACTIONS(2344),
    [anon_sym_chdir] = ACTIONS(2344),
    [anon_sym_close] = ACTIONS(2344),
    [anon_sym_closedir] = ACTIONS(2344),
    [anon_sym_caller] = ACTIONS(2344),
    [anon_sym_chomp] = ACTIONS(2344),
    [anon_sym_chr] = ACTIONS(2344),
    [anon_sym_cos] = ACTIONS(2344),
    [anon_sym_chroot] = ACTIONS(2344),
    [anon_sym_defined] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(2344),
    [anon_sym_dbmclose] = ACTIONS(2344),
    [anon_sym_exists] = ACTIONS(2344),
    [anon_sym_exit] = ACTIONS(2344),
    [anon_sym_eof] = ACTIONS(2344),
    [anon_sym_exp] = ACTIONS(2344),
    [anon_sym_each] = ACTIONS(2344),
    [anon_sym_fc] = ACTIONS(2344),
    [anon_sym_fileno] = ACTIONS(2344),
    [anon_sym_gmtime] = ACTIONS(2344),
    [anon_sym_getc] = ACTIONS(2344),
    [anon_sym_getpgrp] = ACTIONS(2344),
    [anon_sym_getprotobyname] = ACTIONS(2344),
    [anon_sym_getpwname] = ACTIONS(2344),
    [anon_sym_getpwuid] = ACTIONS(2344),
    [anon_sym_getpeername] = ACTIONS(2344),
    [anon_sym_getnetbyname] = ACTIONS(2344),
    [anon_sym_getsockname] = ACTIONS(2344),
    [anon_sym_getgrnam] = ACTIONS(2344),
    [anon_sym_getgrgid] = ACTIONS(2344),
    [anon_sym_hex] = ACTIONS(2344),
    [anon_sym_int] = ACTIONS(2344),
    [anon_sym_keys] = ACTIONS(2344),
    [anon_sym_lc] = ACTIONS(2344),
    [anon_sym_lcfirst] = ACTIONS(2344),
    [anon_sym_length] = ACTIONS(2344),
    [anon_sym_localtime] = ACTIONS(2344),
    [anon_sym_log] = ACTIONS(2344),
    [anon_sym_lock] = ACTIONS(2344),
    [anon_sym_lstat] = ACTIONS(2344),
    [anon_sym_oct] = ACTIONS(2344),
    [anon_sym_ord] = ACTIONS(2344),
    [anon_sym_prototype] = ACTIONS(2344),
    [anon_sym_pop] = ACTIONS(2344),
    [anon_sym_pos] = ACTIONS(2344),
    [anon_sym_quotemeta] = ACTIONS(2344),
    [anon_sym_reset] = ACTIONS(2344),
    [anon_sym_rand] = ACTIONS(2344),
    [anon_sym_rmdir] = ACTIONS(2344),
    [anon_sym_readdir] = ACTIONS(2344),
    [anon_sym_readline] = ACTIONS(2344),
    [anon_sym_readpipe] = ACTIONS(2344),
    [anon_sym_rewinddir] = ACTIONS(2344),
    [anon_sym_readlink] = ACTIONS(2344),
    [anon_sym_ref] = ACTIONS(2344),
    [anon_sym_scalar] = ACTIONS(2344),
    [anon_sym_shift] = ACTIONS(2344),
    [anon_sym_sin] = ACTIONS(2344),
    [anon_sym_sleep] = ACTIONS(2344),
    [anon_sym_sqrt] = ACTIONS(2344),
    [anon_sym_srand] = ACTIONS(2344),
    [anon_sym_stat] = ACTIONS(2344),
    [anon_sym_study] = ACTIONS(2344),
    [anon_sym_tell] = ACTIONS(2344),
    [anon_sym_telldir] = ACTIONS(2344),
    [anon_sym_tied] = ACTIONS(2344),
    [anon_sym_uc] = ACTIONS(2344),
    [anon_sym_ucfirst] = ACTIONS(2344),
    [anon_sym_untie] = ACTIONS(2344),
    [anon_sym_umask] = ACTIONS(2344),
    [anon_sym_values] = ACTIONS(2344),
    [anon_sym_write] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2344),
    [anon_sym_qq] = ACTIONS(2344),
    [anon_sym_qw] = ACTIONS(2344),
    [anon_sym_qx] = ACTIONS(2344),
    [anon_sym_qr] = ACTIONS(2344),
    [anon_sym_m] = ACTIONS(2344),
    [anon_sym_s] = ACTIONS(2344),
    [anon_sym_tr] = ACTIONS(2344),
    [anon_sym_y] = ACTIONS(2344),
    [anon_sym_if] = ACTIONS(2344),
    [anon_sym_unless] = ACTIONS(2344),
    [anon_sym_while] = ACTIONS(2344),
    [anon_sym_until] = ACTIONS(2344),
    [aux_sym__bareword_token1] = ACTIONS(2344),
    [sym_number] = ACTIONS(2344),
    [anon_sym_true] = ACTIONS(2344),
    [anon_sym_false] = ACTIONS(2344),
    [sym__single_quote] = ACTIONS(2342),
    [sym__double_quote] = ACTIONS(2342),
    [sym__backtick_quote] = ACTIONS(2342),
    [sym__search_slash_quote] = ACTIONS(2342),
    [sym__open_readline_bracket] = ACTIONS(2342),
    [sym__open_fileglob_bracket] = ACTIONS(2342),
    [sym__PERLY_HEREDOC] = ACTIONS(2342),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2342),
    [sym__filetest] = ACTIONS(2342),
  },
  [1080] = {
    [sym_heredoc_content] = STATE(1080),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym_package] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2348),
    [anon_sym_role] = ACTIONS(2348),
    [anon_sym_BUILD] = ACTIONS(2348),
    [anon_sym_ADJUST] = ACTIONS(2348),
    [anon_sym_DOLLAR] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2348),
    [anon_sym_my] = ACTIONS(2348),
    [anon_sym_extended] = ACTIONS(2348),
    [anon_sym_async] = ACTIONS(2348),
    [anon_sym_sub] = ACTIONS(2348),
    [anon_sym_method] = ACTIONS(2348),
    [anon_sym_LPAREN] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_state] = ACTIONS(2348),
    [anon_sym_our] = ACTIONS(2348),
    [anon_sym_try] = ACTIONS(2348),
    [anon_sym_defer] = ACTIONS(2348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_BSLASH] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_eval] = ACTIONS(2348),
    [anon_sym_await] = ACTIONS(2348),
    [anon_sym_field] = ACTIONS(2348),
    [anon_sym_local] = ACTIONS(2348),
    [anon_sym_dynamically] = ACTIONS(2348),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2348),
    [anon_sym_require] = ACTIONS(2348),
    [anon_sym_map] = ACTIONS(2348),
    [anon_sym_grep] = ACTIONS(2348),
    [anon_sym_sort] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_undef] = ACTIONS(2348),
    [anon_sym_PERCENT2] = ACTIONS(2348),
    [anon_sym_AMP2] = ACTIONS(2348),
    [anon_sym_STAR2] = ACTIONS(2348),
    [anon_sym_use] = ACTIONS(2348),
    [anon_sym_no] = ACTIONS(2348),
    [anon_sym_for] = ACTIONS(2348),
    [anon_sym_foreach] = ACTIONS(2348),
    [anon_sym_last] = ACTIONS(2348),
    [anon_sym_next] = ACTIONS(2348),
    [anon_sym_redo] = ACTIONS(2348),
    [anon_sym_BEGIN] = ACTIONS(2348),
    [anon_sym_INIT] = ACTIONS(2348),
    [anon_sym_CHECK] = ACTIONS(2348),
    [anon_sym_UNITCHECK] = ACTIONS(2348),
    [anon_sym_END] = ACTIONS(2348),
    [anon_sym___FILE__] = ACTIONS(2348),
    [anon_sym___LINE__] = ACTIONS(2348),
    [anon_sym___PACKAGE__] = ACTIONS(2348),
    [anon_sym___SUB__] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_fork] = ACTIONS(2348),
    [anon_sym_getppid] = ACTIONS(2348),
    [anon_sym_time] = ACTIONS(2348),
    [anon_sym_times] = ACTIONS(2348),
    [anon_sym_wait] = ACTIONS(2348),
    [anon_sym_wantarray] = ACTIONS(2348),
    [anon_sym_abs] = ACTIONS(2348),
    [anon_sym_alarm] = ACTIONS(2348),
    [anon_sym_chop] = ACTIONS(2348),
    [anon_sym_chdir] = ACTIONS(2348),
    [anon_sym_close] = ACTIONS(2348),
    [anon_sym_closedir] = ACTIONS(2348),
    [anon_sym_caller] = ACTIONS(2348),
    [anon_sym_chomp] = ACTIONS(2348),
    [anon_sym_chr] = ACTIONS(2348),
    [anon_sym_cos] = ACTIONS(2348),
    [anon_sym_chroot] = ACTIONS(2348),
    [anon_sym_defined] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_dbmclose] = ACTIONS(2348),
    [anon_sym_exists] = ACTIONS(2348),
    [anon_sym_exit] = ACTIONS(2348),
    [anon_sym_eof] = ACTIONS(2348),
    [anon_sym_exp] = ACTIONS(2348),
    [anon_sym_each] = ACTIONS(2348),
    [anon_sym_fc] = ACTIONS(2348),
    [anon_sym_fileno] = ACTIONS(2348),
    [anon_sym_gmtime] = ACTIONS(2348),
    [anon_sym_getc] = ACTIONS(2348),
    [anon_sym_getpgrp] = ACTIONS(2348),
    [anon_sym_getprotobyname] = ACTIONS(2348),
    [anon_sym_getpwname] = ACTIONS(2348),
    [anon_sym_getpwuid] = ACTIONS(2348),
    [anon_sym_getpeername] = ACTIONS(2348),
    [anon_sym_getnetbyname] = ACTIONS(2348),
    [anon_sym_getsockname] = ACTIONS(2348),
    [anon_sym_getgrnam] = ACTIONS(2348),
    [anon_sym_getgrgid] = ACTIONS(2348),
    [anon_sym_hex] = ACTIONS(2348),
    [anon_sym_int] = ACTIONS(2348),
    [anon_sym_keys] = ACTIONS(2348),
    [anon_sym_lc] = ACTIONS(2348),
    [anon_sym_lcfirst] = ACTIONS(2348),
    [anon_sym_length] = ACTIONS(2348),
    [anon_sym_localtime] = ACTIONS(2348),
    [anon_sym_log] = ACTIONS(2348),
    [anon_sym_lock] = ACTIONS(2348),
    [anon_sym_lstat] = ACTIONS(2348),
    [anon_sym_oct] = ACTIONS(2348),
    [anon_sym_ord] = ACTIONS(2348),
    [anon_sym_prototype] = ACTIONS(2348),
    [anon_sym_pop] = ACTIONS(2348),
    [anon_sym_pos] = ACTIONS(2348),
    [anon_sym_quotemeta] = ACTIONS(2348),
    [anon_sym_reset] = ACTIONS(2348),
    [anon_sym_rand] = ACTIONS(2348),
    [anon_sym_rmdir] = ACTIONS(2348),
    [anon_sym_readdir] = ACTIONS(2348),
    [anon_sym_readline] = ACTIONS(2348),
    [anon_sym_readpipe] = ACTIONS(2348),
    [anon_sym_rewinddir] = ACTIONS(2348),
    [anon_sym_readlink] = ACTIONS(2348),
    [anon_sym_ref] = ACTIONS(2348),
    [anon_sym_scalar] = ACTIONS(2348),
    [anon_sym_shift] = ACTIONS(2348),
    [anon_sym_sin] = ACTIONS(2348),
    [anon_sym_sleep] = ACTIONS(2348),
    [anon_sym_sqrt] = ACTIONS(2348),
    [anon_sym_srand] = ACTIONS(2348),
    [anon_sym_stat] = ACTIONS(2348),
    [anon_sym_study] = ACTIONS(2348),
    [anon_sym_tell] = ACTIONS(2348),
    [anon_sym_telldir] = ACTIONS(2348),
    [anon_sym_tied] = ACTIONS(2348),
    [anon_sym_uc] = ACTIONS(2348),
    [anon_sym_ucfirst] = ACTIONS(2348),
    [anon_sym_untie] = ACTIONS(2348),
    [anon_sym_umask] = ACTIONS(2348),
    [anon_sym_values] = ACTIONS(2348),
    [anon_sym_write] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2348),
    [anon_sym_qq] = ACTIONS(2348),
    [anon_sym_qw] = ACTIONS(2348),
    [anon_sym_qx] = ACTIONS(2348),
    [anon_sym_qr] = ACTIONS(2348),
    [anon_sym_m] = ACTIONS(2348),
    [anon_sym_s] = ACTIONS(2348),
    [anon_sym_tr] = ACTIONS(2348),
    [anon_sym_y] = ACTIONS(2348),
    [anon_sym_if] = ACTIONS(2348),
    [anon_sym_unless] = ACTIONS(2348),
    [anon_sym_while] = ACTIONS(2348),
    [anon_sym_until] = ACTIONS(2348),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym_number] = ACTIONS(2348),
    [anon_sym_true] = ACTIONS(2348),
    [anon_sym_false] = ACTIONS(2348),
    [sym__single_quote] = ACTIONS(2346),
    [sym__double_quote] = ACTIONS(2346),
    [sym__backtick_quote] = ACTIONS(2346),
    [sym__search_slash_quote] = ACTIONS(2346),
    [sym__open_readline_bracket] = ACTIONS(2346),
    [sym__open_fileglob_bracket] = ACTIONS(2346),
    [sym__PERLY_HEREDOC] = ACTIONS(2346),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2346),
    [sym__filetest] = ACTIONS(2346),
  },
  [1081] = {
    [sym_heredoc_content] = STATE(1081),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_RBRACE] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym_package] = ACTIONS(1707),
    [anon_sym_class] = ACTIONS(1707),
    [anon_sym_role] = ACTIONS(1707),
    [anon_sym_BUILD] = ACTIONS(1707),
    [anon_sym_ADJUST] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_try] = ACTIONS(1707),
    [anon_sym_defer] = ACTIONS(1707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_use] = ACTIONS(1707),
    [anon_sym_no] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym_BEGIN] = ACTIONS(1707),
    [anon_sym_INIT] = ACTIONS(1707),
    [anon_sym_CHECK] = ACTIONS(1707),
    [anon_sym_UNITCHECK] = ACTIONS(1707),
    [anon_sym_END] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_unless] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_until] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [1082] = {
    [sym_heredoc_content] = STATE(1082),
    [sym__identifier] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_RBRACE] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2073),
    [anon_sym_package] = ACTIONS(2073),
    [anon_sym_class] = ACTIONS(2073),
    [anon_sym_role] = ACTIONS(2073),
    [anon_sym_BUILD] = ACTIONS(2073),
    [anon_sym_ADJUST] = ACTIONS(2073),
    [anon_sym_DOLLAR] = ACTIONS(2073),
    [anon_sym_AT] = ACTIONS(2073),
    [anon_sym_my] = ACTIONS(2073),
    [anon_sym_extended] = ACTIONS(2073),
    [anon_sym_async] = ACTIONS(2073),
    [anon_sym_sub] = ACTIONS(2073),
    [anon_sym_method] = ACTIONS(2073),
    [anon_sym_LPAREN] = ACTIONS(2073),
    [anon_sym_continue] = ACTIONS(2073),
    [anon_sym_state] = ACTIONS(2073),
    [anon_sym_our] = ACTIONS(2073),
    [anon_sym_try] = ACTIONS(2073),
    [anon_sym_defer] = ACTIONS(2073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_LT_LT] = ACTIONS(2073),
    [anon_sym_SLASH_SLASH] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2073),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2073),
    [anon_sym_DASH_DASH] = ACTIONS(2073),
    [anon_sym_BSLASH] = ACTIONS(2071),
    [anon_sym_do] = ACTIONS(2073),
    [anon_sym_eval] = ACTIONS(2073),
    [anon_sym_await] = ACTIONS(2073),
    [anon_sym_field] = ACTIONS(2073),
    [anon_sym_local] = ACTIONS(2073),
    [anon_sym_dynamically] = ACTIONS(2073),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2073),
    [anon_sym_require] = ACTIONS(2073),
    [anon_sym_map] = ACTIONS(2073),
    [anon_sym_grep] = ACTIONS(2073),
    [anon_sym_sort] = ACTIONS(2073),
    [anon_sym_goto] = ACTIONS(2073),
    [anon_sym_return] = ACTIONS(2073),
    [anon_sym_undef] = ACTIONS(2073),
    [anon_sym_PERCENT2] = ACTIONS(2073),
    [anon_sym_AMP2] = ACTIONS(2073),
    [anon_sym_STAR2] = ACTIONS(2073),
    [anon_sym_use] = ACTIONS(2073),
    [anon_sym_no] = ACTIONS(2073),
    [anon_sym_for] = ACTIONS(2073),
    [anon_sym_foreach] = ACTIONS(2073),
    [anon_sym_last] = ACTIONS(2073),
    [anon_sym_next] = ACTIONS(2073),
    [anon_sym_redo] = ACTIONS(2073),
    [anon_sym_BEGIN] = ACTIONS(2073),
    [anon_sym_INIT] = ACTIONS(2073),
    [anon_sym_CHECK] = ACTIONS(2073),
    [anon_sym_UNITCHECK] = ACTIONS(2073),
    [anon_sym_END] = ACTIONS(2073),
    [anon_sym___FILE__] = ACTIONS(2073),
    [anon_sym___LINE__] = ACTIONS(2073),
    [anon_sym___PACKAGE__] = ACTIONS(2073),
    [anon_sym___SUB__] = ACTIONS(2073),
    [anon_sym_break] = ACTIONS(2073),
    [anon_sym_fork] = ACTIONS(2073),
    [anon_sym_getppid] = ACTIONS(2073),
    [anon_sym_time] = ACTIONS(2073),
    [anon_sym_times] = ACTIONS(2073),
    [anon_sym_wait] = ACTIONS(2073),
    [anon_sym_wantarray] = ACTIONS(2073),
    [anon_sym_abs] = ACTIONS(2073),
    [anon_sym_alarm] = ACTIONS(2073),
    [anon_sym_chop] = ACTIONS(2073),
    [anon_sym_chdir] = ACTIONS(2073),
    [anon_sym_close] = ACTIONS(2073),
    [anon_sym_closedir] = ACTIONS(2073),
    [anon_sym_caller] = ACTIONS(2073),
    [anon_sym_chomp] = ACTIONS(2073),
    [anon_sym_chr] = ACTIONS(2073),
    [anon_sym_cos] = ACTIONS(2073),
    [anon_sym_chroot] = ACTIONS(2073),
    [anon_sym_defined] = ACTIONS(2073),
    [anon_sym_delete] = ACTIONS(2073),
    [anon_sym_dbmclose] = ACTIONS(2073),
    [anon_sym_exists] = ACTIONS(2073),
    [anon_sym_exit] = ACTIONS(2073),
    [anon_sym_eof] = ACTIONS(2073),
    [anon_sym_exp] = ACTIONS(2073),
    [anon_sym_each] = ACTIONS(2073),
    [anon_sym_fc] = ACTIONS(2073),
    [anon_sym_fileno] = ACTIONS(2073),
    [anon_sym_gmtime] = ACTIONS(2073),
    [anon_sym_getc] = ACTIONS(2073),
    [anon_sym_getpgrp] = ACTIONS(2073),
    [anon_sym_getprotobyname] = ACTIONS(2073),
    [anon_sym_getpwname] = ACTIONS(2073),
    [anon_sym_getpwuid] = ACTIONS(2073),
    [anon_sym_getpeername] = ACTIONS(2073),
    [anon_sym_getnetbyname] = ACTIONS(2073),
    [anon_sym_getsockname] = ACTIONS(2073),
    [anon_sym_getgrnam] = ACTIONS(2073),
    [anon_sym_getgrgid] = ACTIONS(2073),
    [anon_sym_hex] = ACTIONS(2073),
    [anon_sym_int] = ACTIONS(2073),
    [anon_sym_keys] = ACTIONS(2073),
    [anon_sym_lc] = ACTIONS(2073),
    [anon_sym_lcfirst] = ACTIONS(2073),
    [anon_sym_length] = ACTIONS(2073),
    [anon_sym_localtime] = ACTIONS(2073),
    [anon_sym_log] = ACTIONS(2073),
    [anon_sym_lock] = ACTIONS(2073),
    [anon_sym_lstat] = ACTIONS(2073),
    [anon_sym_oct] = ACTIONS(2073),
    [anon_sym_ord] = ACTIONS(2073),
    [anon_sym_prototype] = ACTIONS(2073),
    [anon_sym_pop] = ACTIONS(2073),
    [anon_sym_pos] = ACTIONS(2073),
    [anon_sym_quotemeta] = ACTIONS(2073),
    [anon_sym_reset] = ACTIONS(2073),
    [anon_sym_rand] = ACTIONS(2073),
    [anon_sym_rmdir] = ACTIONS(2073),
    [anon_sym_readdir] = ACTIONS(2073),
    [anon_sym_readline] = ACTIONS(2073),
    [anon_sym_readpipe] = ACTIONS(2073),
    [anon_sym_rewinddir] = ACTIONS(2073),
    [anon_sym_readlink] = ACTIONS(2073),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_scalar] = ACTIONS(2073),
    [anon_sym_shift] = ACTIONS(2073),
    [anon_sym_sin] = ACTIONS(2073),
    [anon_sym_sleep] = ACTIONS(2073),
    [anon_sym_sqrt] = ACTIONS(2073),
    [anon_sym_srand] = ACTIONS(2073),
    [anon_sym_stat] = ACTIONS(2073),
    [anon_sym_study] = ACTIONS(2073),
    [anon_sym_tell] = ACTIONS(2073),
    [anon_sym_telldir] = ACTIONS(2073),
    [anon_sym_tied] = ACTIONS(2073),
    [anon_sym_uc] = ACTIONS(2073),
    [anon_sym_ucfirst] = ACTIONS(2073),
    [anon_sym_untie] = ACTIONS(2073),
    [anon_sym_umask] = ACTIONS(2073),
    [anon_sym_values] = ACTIONS(2073),
    [anon_sym_write] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2073),
    [anon_sym_qq] = ACTIONS(2073),
    [anon_sym_qw] = ACTIONS(2073),
    [anon_sym_qx] = ACTIONS(2073),
    [anon_sym_qr] = ACTIONS(2073),
    [anon_sym_m] = ACTIONS(2073),
    [anon_sym_s] = ACTIONS(2073),
    [anon_sym_tr] = ACTIONS(2073),
    [anon_sym_y] = ACTIONS(2073),
    [anon_sym_if] = ACTIONS(2073),
    [anon_sym_unless] = ACTIONS(2073),
    [anon_sym_while] = ACTIONS(2073),
    [anon_sym_until] = ACTIONS(2073),
    [aux_sym__bareword_token1] = ACTIONS(2073),
    [sym_number] = ACTIONS(2073),
    [anon_sym_true] = ACTIONS(2073),
    [anon_sym_false] = ACTIONS(2073),
    [sym__single_quote] = ACTIONS(2071),
    [sym__double_quote] = ACTIONS(2071),
    [sym__backtick_quote] = ACTIONS(2071),
    [sym__search_slash_quote] = ACTIONS(2071),
    [sym__open_readline_bracket] = ACTIONS(2071),
    [sym__open_fileglob_bracket] = ACTIONS(2071),
    [sym__PERLY_HEREDOC] = ACTIONS(2071),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2071),
    [sym__filetest] = ACTIONS(2071),
  },
  [1083] = {
    [sym_heredoc_content] = STATE(1083),
    [sym__identifier] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_RBRACE] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2105),
    [anon_sym_package] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_role] = ACTIONS(2105),
    [anon_sym_BUILD] = ACTIONS(2105),
    [anon_sym_ADJUST] = ACTIONS(2105),
    [anon_sym_DOLLAR] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_my] = ACTIONS(2105),
    [anon_sym_extended] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_sub] = ACTIONS(2105),
    [anon_sym_method] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_state] = ACTIONS(2105),
    [anon_sym_our] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_defer] = ACTIONS(2105),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_SLASH_SLASH] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_BSLASH] = ACTIONS(2103),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_eval] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_field] = ACTIONS(2105),
    [anon_sym_local] = ACTIONS(2105),
    [anon_sym_dynamically] = ACTIONS(2105),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2105),
    [anon_sym_require] = ACTIONS(2105),
    [anon_sym_map] = ACTIONS(2105),
    [anon_sym_grep] = ACTIONS(2105),
    [anon_sym_sort] = ACTIONS(2105),
    [anon_sym_goto] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_undef] = ACTIONS(2105),
    [anon_sym_PERCENT2] = ACTIONS(2105),
    [anon_sym_AMP2] = ACTIONS(2105),
    [anon_sym_STAR2] = ACTIONS(2105),
    [anon_sym_use] = ACTIONS(2105),
    [anon_sym_no] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_foreach] = ACTIONS(2105),
    [anon_sym_last] = ACTIONS(2105),
    [anon_sym_next] = ACTIONS(2105),
    [anon_sym_redo] = ACTIONS(2105),
    [anon_sym_BEGIN] = ACTIONS(2105),
    [anon_sym_INIT] = ACTIONS(2105),
    [anon_sym_CHECK] = ACTIONS(2105),
    [anon_sym_UNITCHECK] = ACTIONS(2105),
    [anon_sym_END] = ACTIONS(2105),
    [anon_sym___FILE__] = ACTIONS(2105),
    [anon_sym___LINE__] = ACTIONS(2105),
    [anon_sym___PACKAGE__] = ACTIONS(2105),
    [anon_sym___SUB__] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_fork] = ACTIONS(2105),
    [anon_sym_getppid] = ACTIONS(2105),
    [anon_sym_time] = ACTIONS(2105),
    [anon_sym_times] = ACTIONS(2105),
    [anon_sym_wait] = ACTIONS(2105),
    [anon_sym_wantarray] = ACTIONS(2105),
    [anon_sym_abs] = ACTIONS(2105),
    [anon_sym_alarm] = ACTIONS(2105),
    [anon_sym_chop] = ACTIONS(2105),
    [anon_sym_chdir] = ACTIONS(2105),
    [anon_sym_close] = ACTIONS(2105),
    [anon_sym_closedir] = ACTIONS(2105),
    [anon_sym_caller] = ACTIONS(2105),
    [anon_sym_chomp] = ACTIONS(2105),
    [anon_sym_chr] = ACTIONS(2105),
    [anon_sym_cos] = ACTIONS(2105),
    [anon_sym_chroot] = ACTIONS(2105),
    [anon_sym_defined] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_dbmclose] = ACTIONS(2105),
    [anon_sym_exists] = ACTIONS(2105),
    [anon_sym_exit] = ACTIONS(2105),
    [anon_sym_eof] = ACTIONS(2105),
    [anon_sym_exp] = ACTIONS(2105),
    [anon_sym_each] = ACTIONS(2105),
    [anon_sym_fc] = ACTIONS(2105),
    [anon_sym_fileno] = ACTIONS(2105),
    [anon_sym_gmtime] = ACTIONS(2105),
    [anon_sym_getc] = ACTIONS(2105),
    [anon_sym_getpgrp] = ACTIONS(2105),
    [anon_sym_getprotobyname] = ACTIONS(2105),
    [anon_sym_getpwname] = ACTIONS(2105),
    [anon_sym_getpwuid] = ACTIONS(2105),
    [anon_sym_getpeername] = ACTIONS(2105),
    [anon_sym_getnetbyname] = ACTIONS(2105),
    [anon_sym_getsockname] = ACTIONS(2105),
    [anon_sym_getgrnam] = ACTIONS(2105),
    [anon_sym_getgrgid] = ACTIONS(2105),
    [anon_sym_hex] = ACTIONS(2105),
    [anon_sym_int] = ACTIONS(2105),
    [anon_sym_keys] = ACTIONS(2105),
    [anon_sym_lc] = ACTIONS(2105),
    [anon_sym_lcfirst] = ACTIONS(2105),
    [anon_sym_length] = ACTIONS(2105),
    [anon_sym_localtime] = ACTIONS(2105),
    [anon_sym_log] = ACTIONS(2105),
    [anon_sym_lock] = ACTIONS(2105),
    [anon_sym_lstat] = ACTIONS(2105),
    [anon_sym_oct] = ACTIONS(2105),
    [anon_sym_ord] = ACTIONS(2105),
    [anon_sym_prototype] = ACTIONS(2105),
    [anon_sym_pop] = ACTIONS(2105),
    [anon_sym_pos] = ACTIONS(2105),
    [anon_sym_quotemeta] = ACTIONS(2105),
    [anon_sym_reset] = ACTIONS(2105),
    [anon_sym_rand] = ACTIONS(2105),
    [anon_sym_rmdir] = ACTIONS(2105),
    [anon_sym_readdir] = ACTIONS(2105),
    [anon_sym_readline] = ACTIONS(2105),
    [anon_sym_readpipe] = ACTIONS(2105),
    [anon_sym_rewinddir] = ACTIONS(2105),
    [anon_sym_readlink] = ACTIONS(2105),
    [anon_sym_ref] = ACTIONS(2105),
    [anon_sym_scalar] = ACTIONS(2105),
    [anon_sym_shift] = ACTIONS(2105),
    [anon_sym_sin] = ACTIONS(2105),
    [anon_sym_sleep] = ACTIONS(2105),
    [anon_sym_sqrt] = ACTIONS(2105),
    [anon_sym_srand] = ACTIONS(2105),
    [anon_sym_stat] = ACTIONS(2105),
    [anon_sym_study] = ACTIONS(2105),
    [anon_sym_tell] = ACTIONS(2105),
    [anon_sym_telldir] = ACTIONS(2105),
    [anon_sym_tied] = ACTIONS(2105),
    [anon_sym_uc] = ACTIONS(2105),
    [anon_sym_ucfirst] = ACTIONS(2105),
    [anon_sym_untie] = ACTIONS(2105),
    [anon_sym_umask] = ACTIONS(2105),
    [anon_sym_values] = ACTIONS(2105),
    [anon_sym_write] = ACTIONS(2105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2105),
    [anon_sym_qq] = ACTIONS(2105),
    [anon_sym_qw] = ACTIONS(2105),
    [anon_sym_qx] = ACTIONS(2105),
    [anon_sym_qr] = ACTIONS(2105),
    [anon_sym_m] = ACTIONS(2105),
    [anon_sym_s] = ACTIONS(2105),
    [anon_sym_tr] = ACTIONS(2105),
    [anon_sym_y] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_unless] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_until] = ACTIONS(2105),
    [aux_sym__bareword_token1] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [anon_sym_true] = ACTIONS(2105),
    [anon_sym_false] = ACTIONS(2105),
    [sym__single_quote] = ACTIONS(2103),
    [sym__double_quote] = ACTIONS(2103),
    [sym__backtick_quote] = ACTIONS(2103),
    [sym__search_slash_quote] = ACTIONS(2103),
    [sym__open_readline_bracket] = ACTIONS(2103),
    [sym__open_fileglob_bracket] = ACTIONS(2103),
    [sym__PERLY_HEREDOC] = ACTIONS(2103),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2103),
    [sym__filetest] = ACTIONS(2103),
  },
  [1084] = {
    [sym_heredoc_content] = STATE(1084),
    [sym__identifier] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_RBRACE] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym_package] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2352),
    [anon_sym_role] = ACTIONS(2352),
    [anon_sym_BUILD] = ACTIONS(2352),
    [anon_sym_ADJUST] = ACTIONS(2352),
    [anon_sym_DOLLAR] = ACTIONS(2352),
    [anon_sym_AT] = ACTIONS(2352),
    [anon_sym_my] = ACTIONS(2352),
    [anon_sym_extended] = ACTIONS(2352),
    [anon_sym_async] = ACTIONS(2352),
    [anon_sym_sub] = ACTIONS(2352),
    [anon_sym_method] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_state] = ACTIONS(2352),
    [anon_sym_our] = ACTIONS(2352),
    [anon_sym_try] = ACTIONS(2352),
    [anon_sym_defer] = ACTIONS(2352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_LT_LT] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_BSLASH] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_eval] = ACTIONS(2352),
    [anon_sym_await] = ACTIONS(2352),
    [anon_sym_field] = ACTIONS(2352),
    [anon_sym_local] = ACTIONS(2352),
    [anon_sym_dynamically] = ACTIONS(2352),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2352),
    [anon_sym_require] = ACTIONS(2352),
    [anon_sym_map] = ACTIONS(2352),
    [anon_sym_grep] = ACTIONS(2352),
    [anon_sym_sort] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_undef] = ACTIONS(2352),
    [anon_sym_PERCENT2] = ACTIONS(2352),
    [anon_sym_AMP2] = ACTIONS(2352),
    [anon_sym_STAR2] = ACTIONS(2352),
    [anon_sym_use] = ACTIONS(2352),
    [anon_sym_no] = ACTIONS(2352),
    [anon_sym_for] = ACTIONS(2352),
    [anon_sym_foreach] = ACTIONS(2352),
    [anon_sym_last] = ACTIONS(2352),
    [anon_sym_next] = ACTIONS(2352),
    [anon_sym_redo] = ACTIONS(2352),
    [anon_sym_BEGIN] = ACTIONS(2352),
    [anon_sym_INIT] = ACTIONS(2352),
    [anon_sym_CHECK] = ACTIONS(2352),
    [anon_sym_UNITCHECK] = ACTIONS(2352),
    [anon_sym_END] = ACTIONS(2352),
    [anon_sym___FILE__] = ACTIONS(2352),
    [anon_sym___LINE__] = ACTIONS(2352),
    [anon_sym___PACKAGE__] = ACTIONS(2352),
    [anon_sym___SUB__] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_fork] = ACTIONS(2352),
    [anon_sym_getppid] = ACTIONS(2352),
    [anon_sym_time] = ACTIONS(2352),
    [anon_sym_times] = ACTIONS(2352),
    [anon_sym_wait] = ACTIONS(2352),
    [anon_sym_wantarray] = ACTIONS(2352),
    [anon_sym_abs] = ACTIONS(2352),
    [anon_sym_alarm] = ACTIONS(2352),
    [anon_sym_chop] = ACTIONS(2352),
    [anon_sym_chdir] = ACTIONS(2352),
    [anon_sym_close] = ACTIONS(2352),
    [anon_sym_closedir] = ACTIONS(2352),
    [anon_sym_caller] = ACTIONS(2352),
    [anon_sym_chomp] = ACTIONS(2352),
    [anon_sym_chr] = ACTIONS(2352),
    [anon_sym_cos] = ACTIONS(2352),
    [anon_sym_chroot] = ACTIONS(2352),
    [anon_sym_defined] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_dbmclose] = ACTIONS(2352),
    [anon_sym_exists] = ACTIONS(2352),
    [anon_sym_exit] = ACTIONS(2352),
    [anon_sym_eof] = ACTIONS(2352),
    [anon_sym_exp] = ACTIONS(2352),
    [anon_sym_each] = ACTIONS(2352),
    [anon_sym_fc] = ACTIONS(2352),
    [anon_sym_fileno] = ACTIONS(2352),
    [anon_sym_gmtime] = ACTIONS(2352),
    [anon_sym_getc] = ACTIONS(2352),
    [anon_sym_getpgrp] = ACTIONS(2352),
    [anon_sym_getprotobyname] = ACTIONS(2352),
    [anon_sym_getpwname] = ACTIONS(2352),
    [anon_sym_getpwuid] = ACTIONS(2352),
    [anon_sym_getpeername] = ACTIONS(2352),
    [anon_sym_getnetbyname] = ACTIONS(2352),
    [anon_sym_getsockname] = ACTIONS(2352),
    [anon_sym_getgrnam] = ACTIONS(2352),
    [anon_sym_getgrgid] = ACTIONS(2352),
    [anon_sym_hex] = ACTIONS(2352),
    [anon_sym_int] = ACTIONS(2352),
    [anon_sym_keys] = ACTIONS(2352),
    [anon_sym_lc] = ACTIONS(2352),
    [anon_sym_lcfirst] = ACTIONS(2352),
    [anon_sym_length] = ACTIONS(2352),
    [anon_sym_localtime] = ACTIONS(2352),
    [anon_sym_log] = ACTIONS(2352),
    [anon_sym_lock] = ACTIONS(2352),
    [anon_sym_lstat] = ACTIONS(2352),
    [anon_sym_oct] = ACTIONS(2352),
    [anon_sym_ord] = ACTIONS(2352),
    [anon_sym_prototype] = ACTIONS(2352),
    [anon_sym_pop] = ACTIONS(2352),
    [anon_sym_pos] = ACTIONS(2352),
    [anon_sym_quotemeta] = ACTIONS(2352),
    [anon_sym_reset] = ACTIONS(2352),
    [anon_sym_rand] = ACTIONS(2352),
    [anon_sym_rmdir] = ACTIONS(2352),
    [anon_sym_readdir] = ACTIONS(2352),
    [anon_sym_readline] = ACTIONS(2352),
    [anon_sym_readpipe] = ACTIONS(2352),
    [anon_sym_rewinddir] = ACTIONS(2352),
    [anon_sym_readlink] = ACTIONS(2352),
    [anon_sym_ref] = ACTIONS(2352),
    [anon_sym_scalar] = ACTIONS(2352),
    [anon_sym_shift] = ACTIONS(2352),
    [anon_sym_sin] = ACTIONS(2352),
    [anon_sym_sleep] = ACTIONS(2352),
    [anon_sym_sqrt] = ACTIONS(2352),
    [anon_sym_srand] = ACTIONS(2352),
    [anon_sym_stat] = ACTIONS(2352),
    [anon_sym_study] = ACTIONS(2352),
    [anon_sym_tell] = ACTIONS(2352),
    [anon_sym_telldir] = ACTIONS(2352),
    [anon_sym_tied] = ACTIONS(2352),
    [anon_sym_uc] = ACTIONS(2352),
    [anon_sym_ucfirst] = ACTIONS(2352),
    [anon_sym_untie] = ACTIONS(2352),
    [anon_sym_umask] = ACTIONS(2352),
    [anon_sym_values] = ACTIONS(2352),
    [anon_sym_write] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2352),
    [anon_sym_qq] = ACTIONS(2352),
    [anon_sym_qw] = ACTIONS(2352),
    [anon_sym_qx] = ACTIONS(2352),
    [anon_sym_qr] = ACTIONS(2352),
    [anon_sym_m] = ACTIONS(2352),
    [anon_sym_s] = ACTIONS(2352),
    [anon_sym_tr] = ACTIONS(2352),
    [anon_sym_y] = ACTIONS(2352),
    [anon_sym_if] = ACTIONS(2352),
    [anon_sym_unless] = ACTIONS(2352),
    [anon_sym_while] = ACTIONS(2352),
    [anon_sym_until] = ACTIONS(2352),
    [aux_sym__bareword_token1] = ACTIONS(2352),
    [sym_number] = ACTIONS(2352),
    [anon_sym_true] = ACTIONS(2352),
    [anon_sym_false] = ACTIONS(2352),
    [sym__single_quote] = ACTIONS(2350),
    [sym__double_quote] = ACTIONS(2350),
    [sym__backtick_quote] = ACTIONS(2350),
    [sym__search_slash_quote] = ACTIONS(2350),
    [sym__open_readline_bracket] = ACTIONS(2350),
    [sym__open_fileglob_bracket] = ACTIONS(2350),
    [sym__PERLY_HEREDOC] = ACTIONS(2350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2350),
    [sym__filetest] = ACTIONS(2350),
  },
  [1085] = {
    [sym_heredoc_content] = STATE(1085),
    [sym__identifier] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_RBRACE] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2137),
    [anon_sym_package] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_role] = ACTIONS(2137),
    [anon_sym_BUILD] = ACTIONS(2137),
    [anon_sym_ADJUST] = ACTIONS(2137),
    [anon_sym_DOLLAR] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2137),
    [anon_sym_my] = ACTIONS(2137),
    [anon_sym_extended] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_sub] = ACTIONS(2137),
    [anon_sym_method] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_state] = ACTIONS(2137),
    [anon_sym_our] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_defer] = ACTIONS(2137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_SLASH_SLASH] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_BSLASH] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_eval] = ACTIONS(2137),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_field] = ACTIONS(2137),
    [anon_sym_local] = ACTIONS(2137),
    [anon_sym_dynamically] = ACTIONS(2137),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2137),
    [anon_sym_require] = ACTIONS(2137),
    [anon_sym_map] = ACTIONS(2137),
    [anon_sym_grep] = ACTIONS(2137),
    [anon_sym_sort] = ACTIONS(2137),
    [anon_sym_goto] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_undef] = ACTIONS(2137),
    [anon_sym_PERCENT2] = ACTIONS(2137),
    [anon_sym_AMP2] = ACTIONS(2137),
    [anon_sym_STAR2] = ACTIONS(2137),
    [anon_sym_use] = ACTIONS(2137),
    [anon_sym_no] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_foreach] = ACTIONS(2137),
    [anon_sym_last] = ACTIONS(2137),
    [anon_sym_next] = ACTIONS(2137),
    [anon_sym_redo] = ACTIONS(2137),
    [anon_sym_BEGIN] = ACTIONS(2137),
    [anon_sym_INIT] = ACTIONS(2137),
    [anon_sym_CHECK] = ACTIONS(2137),
    [anon_sym_UNITCHECK] = ACTIONS(2137),
    [anon_sym_END] = ACTIONS(2137),
    [anon_sym___FILE__] = ACTIONS(2137),
    [anon_sym___LINE__] = ACTIONS(2137),
    [anon_sym___PACKAGE__] = ACTIONS(2137),
    [anon_sym___SUB__] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_fork] = ACTIONS(2137),
    [anon_sym_getppid] = ACTIONS(2137),
    [anon_sym_time] = ACTIONS(2137),
    [anon_sym_times] = ACTIONS(2137),
    [anon_sym_wait] = ACTIONS(2137),
    [anon_sym_wantarray] = ACTIONS(2137),
    [anon_sym_abs] = ACTIONS(2137),
    [anon_sym_alarm] = ACTIONS(2137),
    [anon_sym_chop] = ACTIONS(2137),
    [anon_sym_chdir] = ACTIONS(2137),
    [anon_sym_close] = ACTIONS(2137),
    [anon_sym_closedir] = ACTIONS(2137),
    [anon_sym_caller] = ACTIONS(2137),
    [anon_sym_chomp] = ACTIONS(2137),
    [anon_sym_chr] = ACTIONS(2137),
    [anon_sym_cos] = ACTIONS(2137),
    [anon_sym_chroot] = ACTIONS(2137),
    [anon_sym_defined] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_dbmclose] = ACTIONS(2137),
    [anon_sym_exists] = ACTIONS(2137),
    [anon_sym_exit] = ACTIONS(2137),
    [anon_sym_eof] = ACTIONS(2137),
    [anon_sym_exp] = ACTIONS(2137),
    [anon_sym_each] = ACTIONS(2137),
    [anon_sym_fc] = ACTIONS(2137),
    [anon_sym_fileno] = ACTIONS(2137),
    [anon_sym_gmtime] = ACTIONS(2137),
    [anon_sym_getc] = ACTIONS(2137),
    [anon_sym_getpgrp] = ACTIONS(2137),
    [anon_sym_getprotobyname] = ACTIONS(2137),
    [anon_sym_getpwname] = ACTIONS(2137),
    [anon_sym_getpwuid] = ACTIONS(2137),
    [anon_sym_getpeername] = ACTIONS(2137),
    [anon_sym_getnetbyname] = ACTIONS(2137),
    [anon_sym_getsockname] = ACTIONS(2137),
    [anon_sym_getgrnam] = ACTIONS(2137),
    [anon_sym_getgrgid] = ACTIONS(2137),
    [anon_sym_hex] = ACTIONS(2137),
    [anon_sym_int] = ACTIONS(2137),
    [anon_sym_keys] = ACTIONS(2137),
    [anon_sym_lc] = ACTIONS(2137),
    [anon_sym_lcfirst] = ACTIONS(2137),
    [anon_sym_length] = ACTIONS(2137),
    [anon_sym_localtime] = ACTIONS(2137),
    [anon_sym_log] = ACTIONS(2137),
    [anon_sym_lock] = ACTIONS(2137),
    [anon_sym_lstat] = ACTIONS(2137),
    [anon_sym_oct] = ACTIONS(2137),
    [anon_sym_ord] = ACTIONS(2137),
    [anon_sym_prototype] = ACTIONS(2137),
    [anon_sym_pop] = ACTIONS(2137),
    [anon_sym_pos] = ACTIONS(2137),
    [anon_sym_quotemeta] = ACTIONS(2137),
    [anon_sym_reset] = ACTIONS(2137),
    [anon_sym_rand] = ACTIONS(2137),
    [anon_sym_rmdir] = ACTIONS(2137),
    [anon_sym_readdir] = ACTIONS(2137),
    [anon_sym_readline] = ACTIONS(2137),
    [anon_sym_readpipe] = ACTIONS(2137),
    [anon_sym_rewinddir] = ACTIONS(2137),
    [anon_sym_readlink] = ACTIONS(2137),
    [anon_sym_ref] = ACTIONS(2137),
    [anon_sym_scalar] = ACTIONS(2137),
    [anon_sym_shift] = ACTIONS(2137),
    [anon_sym_sin] = ACTIONS(2137),
    [anon_sym_sleep] = ACTIONS(2137),
    [anon_sym_sqrt] = ACTIONS(2137),
    [anon_sym_srand] = ACTIONS(2137),
    [anon_sym_stat] = ACTIONS(2137),
    [anon_sym_study] = ACTIONS(2137),
    [anon_sym_tell] = ACTIONS(2137),
    [anon_sym_telldir] = ACTIONS(2137),
    [anon_sym_tied] = ACTIONS(2137),
    [anon_sym_uc] = ACTIONS(2137),
    [anon_sym_ucfirst] = ACTIONS(2137),
    [anon_sym_untie] = ACTIONS(2137),
    [anon_sym_umask] = ACTIONS(2137),
    [anon_sym_values] = ACTIONS(2137),
    [anon_sym_write] = ACTIONS(2137),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2137),
    [anon_sym_qq] = ACTIONS(2137),
    [anon_sym_qw] = ACTIONS(2137),
    [anon_sym_qx] = ACTIONS(2137),
    [anon_sym_qr] = ACTIONS(2137),
    [anon_sym_m] = ACTIONS(2137),
    [anon_sym_s] = ACTIONS(2137),
    [anon_sym_tr] = ACTIONS(2137),
    [anon_sym_y] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_unless] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_until] = ACTIONS(2137),
    [aux_sym__bareword_token1] = ACTIONS(2137),
    [sym_number] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(2137),
    [anon_sym_false] = ACTIONS(2137),
    [sym__single_quote] = ACTIONS(2135),
    [sym__double_quote] = ACTIONS(2135),
    [sym__backtick_quote] = ACTIONS(2135),
    [sym__search_slash_quote] = ACTIONS(2135),
    [sym__open_readline_bracket] = ACTIONS(2135),
    [sym__open_fileglob_bracket] = ACTIONS(2135),
    [sym__PERLY_HEREDOC] = ACTIONS(2135),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2135),
    [sym__filetest] = ACTIONS(2135),
  },
  [1086] = {
    [sym__else] = STATE(1186),
    [sym_else] = STATE(1144),
    [sym_elsif] = STATE(1144),
    [sym_heredoc_content] = STATE(1086),
    [sym__identifier] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1977),
    [anon_sym_DOLLAR] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1977),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_my] = ACTIONS(1977),
    [anon_sym_extended] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_sub] = ACTIONS(1977),
    [anon_sym_method] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_state] = ACTIONS(1977),
    [anon_sym_our] = ACTIONS(1977),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_elsif] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_LT_LT] = ACTIONS(1977),
    [anon_sym_SLASH_SLASH] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1977),
    [anon_sym_DASH_DASH] = ACTIONS(1977),
    [anon_sym_BSLASH] = ACTIONS(1975),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_eval] = ACTIONS(1977),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_field] = ACTIONS(1977),
    [anon_sym_local] = ACTIONS(1977),
    [anon_sym_dynamically] = ACTIONS(1977),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1977),
    [anon_sym_require] = ACTIONS(1977),
    [anon_sym_map] = ACTIONS(1977),
    [anon_sym_grep] = ACTIONS(1977),
    [anon_sym_sort] = ACTIONS(1977),
    [anon_sym_goto] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_undef] = ACTIONS(1977),
    [anon_sym_PERCENT2] = ACTIONS(1977),
    [anon_sym_AMP2] = ACTIONS(1977),
    [anon_sym_STAR2] = ACTIONS(1977),
    [anon_sym_last] = ACTIONS(1977),
    [anon_sym_next] = ACTIONS(1977),
    [anon_sym_redo] = ACTIONS(1977),
    [anon_sym___FILE__] = ACTIONS(1977),
    [anon_sym___LINE__] = ACTIONS(1977),
    [anon_sym___PACKAGE__] = ACTIONS(1977),
    [anon_sym___SUB__] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_fork] = ACTIONS(1977),
    [anon_sym_getppid] = ACTIONS(1977),
    [anon_sym_time] = ACTIONS(1977),
    [anon_sym_times] = ACTIONS(1977),
    [anon_sym_wait] = ACTIONS(1977),
    [anon_sym_wantarray] = ACTIONS(1977),
    [anon_sym_abs] = ACTIONS(1977),
    [anon_sym_alarm] = ACTIONS(1977),
    [anon_sym_chop] = ACTIONS(1977),
    [anon_sym_chdir] = ACTIONS(1977),
    [anon_sym_close] = ACTIONS(1977),
    [anon_sym_closedir] = ACTIONS(1977),
    [anon_sym_caller] = ACTIONS(1977),
    [anon_sym_chomp] = ACTIONS(1977),
    [anon_sym_chr] = ACTIONS(1977),
    [anon_sym_cos] = ACTIONS(1977),
    [anon_sym_chroot] = ACTIONS(1977),
    [anon_sym_defined] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_dbmclose] = ACTIONS(1977),
    [anon_sym_exists] = ACTIONS(1977),
    [anon_sym_exit] = ACTIONS(1977),
    [anon_sym_eof] = ACTIONS(1977),
    [anon_sym_exp] = ACTIONS(1977),
    [anon_sym_each] = ACTIONS(1977),
    [anon_sym_fc] = ACTIONS(1977),
    [anon_sym_fileno] = ACTIONS(1977),
    [anon_sym_gmtime] = ACTIONS(1977),
    [anon_sym_getc] = ACTIONS(1977),
    [anon_sym_getpgrp] = ACTIONS(1977),
    [anon_sym_getprotobyname] = ACTIONS(1977),
    [anon_sym_getpwname] = ACTIONS(1977),
    [anon_sym_getpwuid] = ACTIONS(1977),
    [anon_sym_getpeername] = ACTIONS(1977),
    [anon_sym_getnetbyname] = ACTIONS(1977),
    [anon_sym_getsockname] = ACTIONS(1977),
    [anon_sym_getgrnam] = ACTIONS(1977),
    [anon_sym_getgrgid] = ACTIONS(1977),
    [anon_sym_hex] = ACTIONS(1977),
    [anon_sym_int] = ACTIONS(1977),
    [anon_sym_keys] = ACTIONS(1977),
    [anon_sym_lc] = ACTIONS(1977),
    [anon_sym_lcfirst] = ACTIONS(1977),
    [anon_sym_length] = ACTIONS(1977),
    [anon_sym_localtime] = ACTIONS(1977),
    [anon_sym_log] = ACTIONS(1977),
    [anon_sym_lock] = ACTIONS(1977),
    [anon_sym_lstat] = ACTIONS(1977),
    [anon_sym_oct] = ACTIONS(1977),
    [anon_sym_ord] = ACTIONS(1977),
    [anon_sym_prototype] = ACTIONS(1977),
    [anon_sym_pop] = ACTIONS(1977),
    [anon_sym_pos] = ACTIONS(1977),
    [anon_sym_quotemeta] = ACTIONS(1977),
    [anon_sym_reset] = ACTIONS(1977),
    [anon_sym_rand] = ACTIONS(1977),
    [anon_sym_rmdir] = ACTIONS(1977),
    [anon_sym_readdir] = ACTIONS(1977),
    [anon_sym_readline] = ACTIONS(1977),
    [anon_sym_readpipe] = ACTIONS(1977),
    [anon_sym_rewinddir] = ACTIONS(1977),
    [anon_sym_readlink] = ACTIONS(1977),
    [anon_sym_ref] = ACTIONS(1977),
    [anon_sym_scalar] = ACTIONS(1977),
    [anon_sym_shift] = ACTIONS(1977),
    [anon_sym_sin] = ACTIONS(1977),
    [anon_sym_sleep] = ACTIONS(1977),
    [anon_sym_sqrt] = ACTIONS(1977),
    [anon_sym_srand] = ACTIONS(1977),
    [anon_sym_stat] = ACTIONS(1977),
    [anon_sym_study] = ACTIONS(1977),
    [anon_sym_tell] = ACTIONS(1977),
    [anon_sym_telldir] = ACTIONS(1977),
    [anon_sym_tied] = ACTIONS(1977),
    [anon_sym_uc] = ACTIONS(1977),
    [anon_sym_ucfirst] = ACTIONS(1977),
    [anon_sym_untie] = ACTIONS(1977),
    [anon_sym_umask] = ACTIONS(1977),
    [anon_sym_values] = ACTIONS(1977),
    [anon_sym_write] = ACTIONS(1977),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1977),
    [anon_sym_qq] = ACTIONS(1977),
    [anon_sym_qw] = ACTIONS(1977),
    [anon_sym_qx] = ACTIONS(1977),
    [anon_sym_qr] = ACTIONS(1977),
    [anon_sym_m] = ACTIONS(1977),
    [anon_sym_s] = ACTIONS(1977),
    [anon_sym_tr] = ACTIONS(1977),
    [anon_sym_y] = ACTIONS(1977),
    [aux_sym__bareword_token1] = ACTIONS(1977),
    [sym_number] = ACTIONS(1977),
    [anon_sym_true] = ACTIONS(1977),
    [anon_sym_false] = ACTIONS(1977),
    [sym__single_quote] = ACTIONS(1975),
    [sym__double_quote] = ACTIONS(1975),
    [sym__backtick_quote] = ACTIONS(1975),
    [sym__search_slash_quote] = ACTIONS(1975),
    [sym__open_readline_bracket] = ACTIONS(1975),
    [sym__open_fileglob_bracket] = ACTIONS(1975),
    [sym__PERLY_HEREDOC] = ACTIONS(1975),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1975),
    [sym__filetest] = ACTIONS(1975),
  },
  [1087] = {
    [sym__else] = STATE(1117),
    [sym_else] = STATE(1144),
    [sym_elsif] = STATE(1144),
    [sym_heredoc_content] = STATE(1087),
    [sym__identifier] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1985),
    [anon_sym_DOLLAR] = ACTIONS(1985),
    [anon_sym_AT] = ACTIONS(1985),
    [anon_sym_RPAREN] = ACTIONS(1985),
    [anon_sym_my] = ACTIONS(1985),
    [anon_sym_extended] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1985),
    [anon_sym_sub] = ACTIONS(1985),
    [anon_sym_method] = ACTIONS(1985),
    [anon_sym_LPAREN] = ACTIONS(1985),
    [anon_sym_continue] = ACTIONS(1985),
    [anon_sym_state] = ACTIONS(1985),
    [anon_sym_our] = ACTIONS(1985),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_elsif] = ACTIONS(2387),
    [anon_sym_LBRACK] = ACTIONS(1985),
    [anon_sym_LT_LT] = ACTIONS(1985),
    [anon_sym_SLASH_SLASH] = ACTIONS(1985),
    [anon_sym_PLUS] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_TILDE] = ACTIONS(1985),
    [anon_sym_BANG] = ACTIONS(1985),
    [anon_sym_PLUS_PLUS] = ACTIONS(1985),
    [anon_sym_DASH_DASH] = ACTIONS(1985),
    [anon_sym_BSLASH] = ACTIONS(1983),
    [anon_sym_do] = ACTIONS(1985),
    [anon_sym_eval] = ACTIONS(1985),
    [anon_sym_await] = ACTIONS(1985),
    [anon_sym_field] = ACTIONS(1985),
    [anon_sym_local] = ACTIONS(1985),
    [anon_sym_dynamically] = ACTIONS(1985),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1985),
    [anon_sym_require] = ACTIONS(1985),
    [anon_sym_map] = ACTIONS(1985),
    [anon_sym_grep] = ACTIONS(1985),
    [anon_sym_sort] = ACTIONS(1985),
    [anon_sym_goto] = ACTIONS(1985),
    [anon_sym_return] = ACTIONS(1985),
    [anon_sym_undef] = ACTIONS(1985),
    [anon_sym_PERCENT2] = ACTIONS(1985),
    [anon_sym_AMP2] = ACTIONS(1985),
    [anon_sym_STAR2] = ACTIONS(1985),
    [anon_sym_last] = ACTIONS(1985),
    [anon_sym_next] = ACTIONS(1985),
    [anon_sym_redo] = ACTIONS(1985),
    [anon_sym___FILE__] = ACTIONS(1985),
    [anon_sym___LINE__] = ACTIONS(1985),
    [anon_sym___PACKAGE__] = ACTIONS(1985),
    [anon_sym___SUB__] = ACTIONS(1985),
    [anon_sym_break] = ACTIONS(1985),
    [anon_sym_fork] = ACTIONS(1985),
    [anon_sym_getppid] = ACTIONS(1985),
    [anon_sym_time] = ACTIONS(1985),
    [anon_sym_times] = ACTIONS(1985),
    [anon_sym_wait] = ACTIONS(1985),
    [anon_sym_wantarray] = ACTIONS(1985),
    [anon_sym_abs] = ACTIONS(1985),
    [anon_sym_alarm] = ACTIONS(1985),
    [anon_sym_chop] = ACTIONS(1985),
    [anon_sym_chdir] = ACTIONS(1985),
    [anon_sym_close] = ACTIONS(1985),
    [anon_sym_closedir] = ACTIONS(1985),
    [anon_sym_caller] = ACTIONS(1985),
    [anon_sym_chomp] = ACTIONS(1985),
    [anon_sym_chr] = ACTIONS(1985),
    [anon_sym_cos] = ACTIONS(1985),
    [anon_sym_chroot] = ACTIONS(1985),
    [anon_sym_defined] = ACTIONS(1985),
    [anon_sym_delete] = ACTIONS(1985),
    [anon_sym_dbmclose] = ACTIONS(1985),
    [anon_sym_exists] = ACTIONS(1985),
    [anon_sym_exit] = ACTIONS(1985),
    [anon_sym_eof] = ACTIONS(1985),
    [anon_sym_exp] = ACTIONS(1985),
    [anon_sym_each] = ACTIONS(1985),
    [anon_sym_fc] = ACTIONS(1985),
    [anon_sym_fileno] = ACTIONS(1985),
    [anon_sym_gmtime] = ACTIONS(1985),
    [anon_sym_getc] = ACTIONS(1985),
    [anon_sym_getpgrp] = ACTIONS(1985),
    [anon_sym_getprotobyname] = ACTIONS(1985),
    [anon_sym_getpwname] = ACTIONS(1985),
    [anon_sym_getpwuid] = ACTIONS(1985),
    [anon_sym_getpeername] = ACTIONS(1985),
    [anon_sym_getnetbyname] = ACTIONS(1985),
    [anon_sym_getsockname] = ACTIONS(1985),
    [anon_sym_getgrnam] = ACTIONS(1985),
    [anon_sym_getgrgid] = ACTIONS(1985),
    [anon_sym_hex] = ACTIONS(1985),
    [anon_sym_int] = ACTIONS(1985),
    [anon_sym_keys] = ACTIONS(1985),
    [anon_sym_lc] = ACTIONS(1985),
    [anon_sym_lcfirst] = ACTIONS(1985),
    [anon_sym_length] = ACTIONS(1985),
    [anon_sym_localtime] = ACTIONS(1985),
    [anon_sym_log] = ACTIONS(1985),
    [anon_sym_lock] = ACTIONS(1985),
    [anon_sym_lstat] = ACTIONS(1985),
    [anon_sym_oct] = ACTIONS(1985),
    [anon_sym_ord] = ACTIONS(1985),
    [anon_sym_prototype] = ACTIONS(1985),
    [anon_sym_pop] = ACTIONS(1985),
    [anon_sym_pos] = ACTIONS(1985),
    [anon_sym_quotemeta] = ACTIONS(1985),
    [anon_sym_reset] = ACTIONS(1985),
    [anon_sym_rand] = ACTIONS(1985),
    [anon_sym_rmdir] = ACTIONS(1985),
    [anon_sym_readdir] = ACTIONS(1985),
    [anon_sym_readline] = ACTIONS(1985),
    [anon_sym_readpipe] = ACTIONS(1985),
    [anon_sym_rewinddir] = ACTIONS(1985),
    [anon_sym_readlink] = ACTIONS(1985),
    [anon_sym_ref] = ACTIONS(1985),
    [anon_sym_scalar] = ACTIONS(1985),
    [anon_sym_shift] = ACTIONS(1985),
    [anon_sym_sin] = ACTIONS(1985),
    [anon_sym_sleep] = ACTIONS(1985),
    [anon_sym_sqrt] = ACTIONS(1985),
    [anon_sym_srand] = ACTIONS(1985),
    [anon_sym_stat] = ACTIONS(1985),
    [anon_sym_study] = ACTIONS(1985),
    [anon_sym_tell] = ACTIONS(1985),
    [anon_sym_telldir] = ACTIONS(1985),
    [anon_sym_tied] = ACTIONS(1985),
    [anon_sym_uc] = ACTIONS(1985),
    [anon_sym_ucfirst] = ACTIONS(1985),
    [anon_sym_untie] = ACTIONS(1985),
    [anon_sym_umask] = ACTIONS(1985),
    [anon_sym_values] = ACTIONS(1985),
    [anon_sym_write] = ACTIONS(1985),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1985),
    [anon_sym_qq] = ACTIONS(1985),
    [anon_sym_qw] = ACTIONS(1985),
    [anon_sym_qx] = ACTIONS(1985),
    [anon_sym_qr] = ACTIONS(1985),
    [anon_sym_m] = ACTIONS(1985),
    [anon_sym_s] = ACTIONS(1985),
    [anon_sym_tr] = ACTIONS(1985),
    [anon_sym_y] = ACTIONS(1985),
    [aux_sym__bareword_token1] = ACTIONS(1985),
    [sym_number] = ACTIONS(1985),
    [anon_sym_true] = ACTIONS(1985),
    [anon_sym_false] = ACTIONS(1985),
    [sym__single_quote] = ACTIONS(1983),
    [sym__double_quote] = ACTIONS(1983),
    [sym__backtick_quote] = ACTIONS(1983),
    [sym__search_slash_quote] = ACTIONS(1983),
    [sym__open_readline_bracket] = ACTIONS(1983),
    [sym__open_fileglob_bracket] = ACTIONS(1983),
    [sym__PERLY_HEREDOC] = ACTIONS(1983),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1983),
    [sym__filetest] = ACTIONS(1983),
  },
  [1088] = {
    [sym_heredoc_content] = STATE(1088),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_else] = ACTIONS(1845),
    [anon_sym_elsif] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [1089] = {
    [sym_heredoc_content] = STATE(1089),
    [sym__identifier] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1989),
    [anon_sym_DOLLAR] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_my] = ACTIONS(1989),
    [anon_sym_extended] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_sub] = ACTIONS(1989),
    [anon_sym_method] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1989),
    [anon_sym_continue] = ACTIONS(1989),
    [anon_sym_state] = ACTIONS(1989),
    [anon_sym_our] = ACTIONS(1989),
    [anon_sym_catch] = ACTIONS(2389),
    [anon_sym_finally] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_LT_LT] = ACTIONS(1989),
    [anon_sym_SLASH_SLASH] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1989),
    [anon_sym_DASH_DASH] = ACTIONS(1989),
    [anon_sym_BSLASH] = ACTIONS(1987),
    [anon_sym_do] = ACTIONS(1989),
    [anon_sym_eval] = ACTIONS(1989),
    [anon_sym_await] = ACTIONS(1989),
    [anon_sym_field] = ACTIONS(1989),
    [anon_sym_local] = ACTIONS(1989),
    [anon_sym_dynamically] = ACTIONS(1989),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1989),
    [anon_sym_require] = ACTIONS(1989),
    [anon_sym_map] = ACTIONS(1989),
    [anon_sym_grep] = ACTIONS(1989),
    [anon_sym_sort] = ACTIONS(1989),
    [anon_sym_goto] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_undef] = ACTIONS(1989),
    [anon_sym_PERCENT2] = ACTIONS(1989),
    [anon_sym_AMP2] = ACTIONS(1989),
    [anon_sym_STAR2] = ACTIONS(1989),
    [anon_sym_last] = ACTIONS(1989),
    [anon_sym_next] = ACTIONS(1989),
    [anon_sym_redo] = ACTIONS(1989),
    [anon_sym___FILE__] = ACTIONS(1989),
    [anon_sym___LINE__] = ACTIONS(1989),
    [anon_sym___PACKAGE__] = ACTIONS(1989),
    [anon_sym___SUB__] = ACTIONS(1989),
    [anon_sym_break] = ACTIONS(1989),
    [anon_sym_fork] = ACTIONS(1989),
    [anon_sym_getppid] = ACTIONS(1989),
    [anon_sym_time] = ACTIONS(1989),
    [anon_sym_times] = ACTIONS(1989),
    [anon_sym_wait] = ACTIONS(1989),
    [anon_sym_wantarray] = ACTIONS(1989),
    [anon_sym_abs] = ACTIONS(1989),
    [anon_sym_alarm] = ACTIONS(1989),
    [anon_sym_chop] = ACTIONS(1989),
    [anon_sym_chdir] = ACTIONS(1989),
    [anon_sym_close] = ACTIONS(1989),
    [anon_sym_closedir] = ACTIONS(1989),
    [anon_sym_caller] = ACTIONS(1989),
    [anon_sym_chomp] = ACTIONS(1989),
    [anon_sym_chr] = ACTIONS(1989),
    [anon_sym_cos] = ACTIONS(1989),
    [anon_sym_chroot] = ACTIONS(1989),
    [anon_sym_defined] = ACTIONS(1989),
    [anon_sym_delete] = ACTIONS(1989),
    [anon_sym_dbmclose] = ACTIONS(1989),
    [anon_sym_exists] = ACTIONS(1989),
    [anon_sym_exit] = ACTIONS(1989),
    [anon_sym_eof] = ACTIONS(1989),
    [anon_sym_exp] = ACTIONS(1989),
    [anon_sym_each] = ACTIONS(1989),
    [anon_sym_fc] = ACTIONS(1989),
    [anon_sym_fileno] = ACTIONS(1989),
    [anon_sym_gmtime] = ACTIONS(1989),
    [anon_sym_getc] = ACTIONS(1989),
    [anon_sym_getpgrp] = ACTIONS(1989),
    [anon_sym_getprotobyname] = ACTIONS(1989),
    [anon_sym_getpwname] = ACTIONS(1989),
    [anon_sym_getpwuid] = ACTIONS(1989),
    [anon_sym_getpeername] = ACTIONS(1989),
    [anon_sym_getnetbyname] = ACTIONS(1989),
    [anon_sym_getsockname] = ACTIONS(1989),
    [anon_sym_getgrnam] = ACTIONS(1989),
    [anon_sym_getgrgid] = ACTIONS(1989),
    [anon_sym_hex] = ACTIONS(1989),
    [anon_sym_int] = ACTIONS(1989),
    [anon_sym_keys] = ACTIONS(1989),
    [anon_sym_lc] = ACTIONS(1989),
    [anon_sym_lcfirst] = ACTIONS(1989),
    [anon_sym_length] = ACTIONS(1989),
    [anon_sym_localtime] = ACTIONS(1989),
    [anon_sym_log] = ACTIONS(1989),
    [anon_sym_lock] = ACTIONS(1989),
    [anon_sym_lstat] = ACTIONS(1989),
    [anon_sym_oct] = ACTIONS(1989),
    [anon_sym_ord] = ACTIONS(1989),
    [anon_sym_prototype] = ACTIONS(1989),
    [anon_sym_pop] = ACTIONS(1989),
    [anon_sym_pos] = ACTIONS(1989),
    [anon_sym_quotemeta] = ACTIONS(1989),
    [anon_sym_reset] = ACTIONS(1989),
    [anon_sym_rand] = ACTIONS(1989),
    [anon_sym_rmdir] = ACTIONS(1989),
    [anon_sym_readdir] = ACTIONS(1989),
    [anon_sym_readline] = ACTIONS(1989),
    [anon_sym_readpipe] = ACTIONS(1989),
    [anon_sym_rewinddir] = ACTIONS(1989),
    [anon_sym_readlink] = ACTIONS(1989),
    [anon_sym_ref] = ACTIONS(1989),
    [anon_sym_scalar] = ACTIONS(1989),
    [anon_sym_shift] = ACTIONS(1989),
    [anon_sym_sin] = ACTIONS(1989),
    [anon_sym_sleep] = ACTIONS(1989),
    [anon_sym_sqrt] = ACTIONS(1989),
    [anon_sym_srand] = ACTIONS(1989),
    [anon_sym_stat] = ACTIONS(1989),
    [anon_sym_study] = ACTIONS(1989),
    [anon_sym_tell] = ACTIONS(1989),
    [anon_sym_telldir] = ACTIONS(1989),
    [anon_sym_tied] = ACTIONS(1989),
    [anon_sym_uc] = ACTIONS(1989),
    [anon_sym_ucfirst] = ACTIONS(1989),
    [anon_sym_untie] = ACTIONS(1989),
    [anon_sym_umask] = ACTIONS(1989),
    [anon_sym_values] = ACTIONS(1989),
    [anon_sym_write] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1989),
    [anon_sym_qq] = ACTIONS(1989),
    [anon_sym_qw] = ACTIONS(1989),
    [anon_sym_qx] = ACTIONS(1989),
    [anon_sym_qr] = ACTIONS(1989),
    [anon_sym_m] = ACTIONS(1989),
    [anon_sym_s] = ACTIONS(1989),
    [anon_sym_tr] = ACTIONS(1989),
    [anon_sym_y] = ACTIONS(1989),
    [aux_sym__bareword_token1] = ACTIONS(1989),
    [sym_number] = ACTIONS(1989),
    [anon_sym_true] = ACTIONS(1989),
    [anon_sym_false] = ACTIONS(1989),
    [sym__single_quote] = ACTIONS(1987),
    [sym__double_quote] = ACTIONS(1987),
    [sym__backtick_quote] = ACTIONS(1987),
    [sym__search_slash_quote] = ACTIONS(1987),
    [sym__open_readline_bracket] = ACTIONS(1987),
    [sym__open_fileglob_bracket] = ACTIONS(1987),
    [sym__PERLY_HEREDOC] = ACTIONS(1987),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1987),
    [sym__filetest] = ACTIONS(1987),
  },
  [1090] = {
    [sym_heredoc_content] = STATE(1090),
    [sym__identifier] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2393),
    [anon_sym_DOLLAR] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2393),
    [anon_sym_my] = ACTIONS(2393),
    [anon_sym_extended] = ACTIONS(2393),
    [anon_sym_async] = ACTIONS(2393),
    [anon_sym_sub] = ACTIONS(2393),
    [anon_sym_method] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2393),
    [anon_sym_continue] = ACTIONS(2393),
    [anon_sym_state] = ACTIONS(2393),
    [anon_sym_our] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2393),
    [anon_sym_LT_LT] = ACTIONS(2393),
    [anon_sym_SLASH_SLASH] = ACTIONS(2393),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_TILDE] = ACTIONS(2393),
    [anon_sym_BANG] = ACTIONS(2393),
    [anon_sym_PLUS_PLUS] = ACTIONS(2393),
    [anon_sym_DASH_DASH] = ACTIONS(2393),
    [anon_sym_BSLASH] = ACTIONS(2395),
    [anon_sym_do] = ACTIONS(2393),
    [anon_sym_eval] = ACTIONS(2393),
    [anon_sym_await] = ACTIONS(2393),
    [anon_sym_field] = ACTIONS(2393),
    [anon_sym_local] = ACTIONS(2393),
    [anon_sym_dynamically] = ACTIONS(2393),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2393),
    [anon_sym_require] = ACTIONS(2393),
    [anon_sym_map] = ACTIONS(2393),
    [anon_sym_grep] = ACTIONS(2393),
    [anon_sym_sort] = ACTIONS(2393),
    [anon_sym_goto] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_undef] = ACTIONS(2393),
    [anon_sym_PERCENT2] = ACTIONS(2393),
    [anon_sym_AMP2] = ACTIONS(2393),
    [anon_sym_STAR2] = ACTIONS(2393),
    [anon_sym_last] = ACTIONS(2393),
    [anon_sym_next] = ACTIONS(2393),
    [anon_sym_redo] = ACTIONS(2393),
    [anon_sym___FILE__] = ACTIONS(2393),
    [anon_sym___LINE__] = ACTIONS(2393),
    [anon_sym___PACKAGE__] = ACTIONS(2393),
    [anon_sym___SUB__] = ACTIONS(2393),
    [anon_sym_break] = ACTIONS(2393),
    [anon_sym_fork] = ACTIONS(2393),
    [anon_sym_getppid] = ACTIONS(2393),
    [anon_sym_time] = ACTIONS(2393),
    [anon_sym_times] = ACTIONS(2393),
    [anon_sym_wait] = ACTIONS(2393),
    [anon_sym_wantarray] = ACTIONS(2393),
    [anon_sym_abs] = ACTIONS(2393),
    [anon_sym_alarm] = ACTIONS(2393),
    [anon_sym_chop] = ACTIONS(2393),
    [anon_sym_chdir] = ACTIONS(2393),
    [anon_sym_close] = ACTIONS(2393),
    [anon_sym_closedir] = ACTIONS(2393),
    [anon_sym_caller] = ACTIONS(2393),
    [anon_sym_chomp] = ACTIONS(2393),
    [anon_sym_chr] = ACTIONS(2393),
    [anon_sym_cos] = ACTIONS(2393),
    [anon_sym_chroot] = ACTIONS(2393),
    [anon_sym_defined] = ACTIONS(2393),
    [anon_sym_delete] = ACTIONS(2393),
    [anon_sym_dbmclose] = ACTIONS(2393),
    [anon_sym_exists] = ACTIONS(2393),
    [anon_sym_exit] = ACTIONS(2393),
    [anon_sym_eof] = ACTIONS(2393),
    [anon_sym_exp] = ACTIONS(2393),
    [anon_sym_each] = ACTIONS(2393),
    [anon_sym_fc] = ACTIONS(2393),
    [anon_sym_fileno] = ACTIONS(2393),
    [anon_sym_gmtime] = ACTIONS(2393),
    [anon_sym_getc] = ACTIONS(2393),
    [anon_sym_getpgrp] = ACTIONS(2393),
    [anon_sym_getprotobyname] = ACTIONS(2393),
    [anon_sym_getpwname] = ACTIONS(2393),
    [anon_sym_getpwuid] = ACTIONS(2393),
    [anon_sym_getpeername] = ACTIONS(2393),
    [anon_sym_getnetbyname] = ACTIONS(2393),
    [anon_sym_getsockname] = ACTIONS(2393),
    [anon_sym_getgrnam] = ACTIONS(2393),
    [anon_sym_getgrgid] = ACTIONS(2393),
    [anon_sym_hex] = ACTIONS(2393),
    [anon_sym_int] = ACTIONS(2393),
    [anon_sym_keys] = ACTIONS(2393),
    [anon_sym_lc] = ACTIONS(2393),
    [anon_sym_lcfirst] = ACTIONS(2393),
    [anon_sym_length] = ACTIONS(2393),
    [anon_sym_localtime] = ACTIONS(2393),
    [anon_sym_log] = ACTIONS(2393),
    [anon_sym_lock] = ACTIONS(2393),
    [anon_sym_lstat] = ACTIONS(2393),
    [anon_sym_oct] = ACTIONS(2393),
    [anon_sym_ord] = ACTIONS(2393),
    [anon_sym_prototype] = ACTIONS(2393),
    [anon_sym_pop] = ACTIONS(2393),
    [anon_sym_pos] = ACTIONS(2393),
    [anon_sym_quotemeta] = ACTIONS(2393),
    [anon_sym_reset] = ACTIONS(2393),
    [anon_sym_rand] = ACTIONS(2393),
    [anon_sym_rmdir] = ACTIONS(2393),
    [anon_sym_readdir] = ACTIONS(2393),
    [anon_sym_readline] = ACTIONS(2393),
    [anon_sym_readpipe] = ACTIONS(2393),
    [anon_sym_rewinddir] = ACTIONS(2393),
    [anon_sym_readlink] = ACTIONS(2393),
    [anon_sym_ref] = ACTIONS(2393),
    [anon_sym_scalar] = ACTIONS(2393),
    [anon_sym_shift] = ACTIONS(2393),
    [anon_sym_sin] = ACTIONS(2393),
    [anon_sym_sleep] = ACTIONS(2393),
    [anon_sym_sqrt] = ACTIONS(2393),
    [anon_sym_srand] = ACTIONS(2393),
    [anon_sym_stat] = ACTIONS(2393),
    [anon_sym_study] = ACTIONS(2393),
    [anon_sym_tell] = ACTIONS(2393),
    [anon_sym_telldir] = ACTIONS(2393),
    [anon_sym_tied] = ACTIONS(2393),
    [anon_sym_uc] = ACTIONS(2393),
    [anon_sym_ucfirst] = ACTIONS(2393),
    [anon_sym_untie] = ACTIONS(2393),
    [anon_sym_umask] = ACTIONS(2393),
    [anon_sym_values] = ACTIONS(2393),
    [anon_sym_write] = ACTIONS(2393),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2393),
    [anon_sym_qq] = ACTIONS(2393),
    [anon_sym_qw] = ACTIONS(2393),
    [anon_sym_qx] = ACTIONS(2393),
    [anon_sym_qr] = ACTIONS(2393),
    [anon_sym_m] = ACTIONS(2393),
    [anon_sym_s] = ACTIONS(2393),
    [anon_sym_tr] = ACTIONS(2393),
    [anon_sym_y] = ACTIONS(2393),
    [sym_version] = ACTIONS(2393),
    [aux_sym__bareword_token1] = ACTIONS(2393),
    [sym_number] = ACTIONS(2393),
    [anon_sym_true] = ACTIONS(2393),
    [anon_sym_false] = ACTIONS(2393),
    [sym__single_quote] = ACTIONS(2395),
    [sym__double_quote] = ACTIONS(2395),
    [sym__backtick_quote] = ACTIONS(2395),
    [sym__search_slash_quote] = ACTIONS(2395),
    [sym__open_readline_bracket] = ACTIONS(2395),
    [sym__open_fileglob_bracket] = ACTIONS(2395),
    [sym__PERLY_SEMICOLON] = ACTIONS(2395),
    [sym__PERLY_HEREDOC] = ACTIONS(2395),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2395),
    [sym__filetest] = ACTIONS(2395),
  },
  [1091] = {
    [sym_heredoc_content] = STATE(1091),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_else] = ACTIONS(1707),
    [anon_sym_elsif] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [1092] = {
    [sym_heredoc_content] = STATE(1092),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_catch] = ACTIONS(1845),
    [anon_sym_finally] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [1093] = {
    [sym_heredoc_content] = STATE(1093),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_catch] = ACTIONS(1707),
    [anon_sym_finally] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [1094] = {
    [sym_heredoc_content] = STATE(1094),
    [sym__identifier] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1997),
    [anon_sym_DOLLAR] = ACTIONS(1997),
    [anon_sym_AT] = ACTIONS(1997),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_my] = ACTIONS(1997),
    [anon_sym_extended] = ACTIONS(1997),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_sub] = ACTIONS(1997),
    [anon_sym_method] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_state] = ACTIONS(1997),
    [anon_sym_our] = ACTIONS(1997),
    [anon_sym_finally] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_LT_LT] = ACTIONS(1997),
    [anon_sym_SLASH_SLASH] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_TILDE] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1997),
    [anon_sym_DASH_DASH] = ACTIONS(1997),
    [anon_sym_BSLASH] = ACTIONS(1995),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_eval] = ACTIONS(1997),
    [anon_sym_await] = ACTIONS(1997),
    [anon_sym_field] = ACTIONS(1997),
    [anon_sym_local] = ACTIONS(1997),
    [anon_sym_dynamically] = ACTIONS(1997),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1997),
    [anon_sym_require] = ACTIONS(1997),
    [anon_sym_map] = ACTIONS(1997),
    [anon_sym_grep] = ACTIONS(1997),
    [anon_sym_sort] = ACTIONS(1997),
    [anon_sym_goto] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_undef] = ACTIONS(1997),
    [anon_sym_PERCENT2] = ACTIONS(1997),
    [anon_sym_AMP2] = ACTIONS(1997),
    [anon_sym_STAR2] = ACTIONS(1997),
    [anon_sym_last] = ACTIONS(1997),
    [anon_sym_next] = ACTIONS(1997),
    [anon_sym_redo] = ACTIONS(1997),
    [anon_sym___FILE__] = ACTIONS(1997),
    [anon_sym___LINE__] = ACTIONS(1997),
    [anon_sym___PACKAGE__] = ACTIONS(1997),
    [anon_sym___SUB__] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_fork] = ACTIONS(1997),
    [anon_sym_getppid] = ACTIONS(1997),
    [anon_sym_time] = ACTIONS(1997),
    [anon_sym_times] = ACTIONS(1997),
    [anon_sym_wait] = ACTIONS(1997),
    [anon_sym_wantarray] = ACTIONS(1997),
    [anon_sym_abs] = ACTIONS(1997),
    [anon_sym_alarm] = ACTIONS(1997),
    [anon_sym_chop] = ACTIONS(1997),
    [anon_sym_chdir] = ACTIONS(1997),
    [anon_sym_close] = ACTIONS(1997),
    [anon_sym_closedir] = ACTIONS(1997),
    [anon_sym_caller] = ACTIONS(1997),
    [anon_sym_chomp] = ACTIONS(1997),
    [anon_sym_chr] = ACTIONS(1997),
    [anon_sym_cos] = ACTIONS(1997),
    [anon_sym_chroot] = ACTIONS(1997),
    [anon_sym_defined] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_dbmclose] = ACTIONS(1997),
    [anon_sym_exists] = ACTIONS(1997),
    [anon_sym_exit] = ACTIONS(1997),
    [anon_sym_eof] = ACTIONS(1997),
    [anon_sym_exp] = ACTIONS(1997),
    [anon_sym_each] = ACTIONS(1997),
    [anon_sym_fc] = ACTIONS(1997),
    [anon_sym_fileno] = ACTIONS(1997),
    [anon_sym_gmtime] = ACTIONS(1997),
    [anon_sym_getc] = ACTIONS(1997),
    [anon_sym_getpgrp] = ACTIONS(1997),
    [anon_sym_getprotobyname] = ACTIONS(1997),
    [anon_sym_getpwname] = ACTIONS(1997),
    [anon_sym_getpwuid] = ACTIONS(1997),
    [anon_sym_getpeername] = ACTIONS(1997),
    [anon_sym_getnetbyname] = ACTIONS(1997),
    [anon_sym_getsockname] = ACTIONS(1997),
    [anon_sym_getgrnam] = ACTIONS(1997),
    [anon_sym_getgrgid] = ACTIONS(1997),
    [anon_sym_hex] = ACTIONS(1997),
    [anon_sym_int] = ACTIONS(1997),
    [anon_sym_keys] = ACTIONS(1997),
    [anon_sym_lc] = ACTIONS(1997),
    [anon_sym_lcfirst] = ACTIONS(1997),
    [anon_sym_length] = ACTIONS(1997),
    [anon_sym_localtime] = ACTIONS(1997),
    [anon_sym_log] = ACTIONS(1997),
    [anon_sym_lock] = ACTIONS(1997),
    [anon_sym_lstat] = ACTIONS(1997),
    [anon_sym_oct] = ACTIONS(1997),
    [anon_sym_ord] = ACTIONS(1997),
    [anon_sym_prototype] = ACTIONS(1997),
    [anon_sym_pop] = ACTIONS(1997),
    [anon_sym_pos] = ACTIONS(1997),
    [anon_sym_quotemeta] = ACTIONS(1997),
    [anon_sym_reset] = ACTIONS(1997),
    [anon_sym_rand] = ACTIONS(1997),
    [anon_sym_rmdir] = ACTIONS(1997),
    [anon_sym_readdir] = ACTIONS(1997),
    [anon_sym_readline] = ACTIONS(1997),
    [anon_sym_readpipe] = ACTIONS(1997),
    [anon_sym_rewinddir] = ACTIONS(1997),
    [anon_sym_readlink] = ACTIONS(1997),
    [anon_sym_ref] = ACTIONS(1997),
    [anon_sym_scalar] = ACTIONS(1997),
    [anon_sym_shift] = ACTIONS(1997),
    [anon_sym_sin] = ACTIONS(1997),
    [anon_sym_sleep] = ACTIONS(1997),
    [anon_sym_sqrt] = ACTIONS(1997),
    [anon_sym_srand] = ACTIONS(1997),
    [anon_sym_stat] = ACTIONS(1997),
    [anon_sym_study] = ACTIONS(1997),
    [anon_sym_tell] = ACTIONS(1997),
    [anon_sym_telldir] = ACTIONS(1997),
    [anon_sym_tied] = ACTIONS(1997),
    [anon_sym_uc] = ACTIONS(1997),
    [anon_sym_ucfirst] = ACTIONS(1997),
    [anon_sym_untie] = ACTIONS(1997),
    [anon_sym_umask] = ACTIONS(1997),
    [anon_sym_values] = ACTIONS(1997),
    [anon_sym_write] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1997),
    [anon_sym_qq] = ACTIONS(1997),
    [anon_sym_qw] = ACTIONS(1997),
    [anon_sym_qx] = ACTIONS(1997),
    [anon_sym_qr] = ACTIONS(1997),
    [anon_sym_m] = ACTIONS(1997),
    [anon_sym_s] = ACTIONS(1997),
    [anon_sym_tr] = ACTIONS(1997),
    [anon_sym_y] = ACTIONS(1997),
    [aux_sym__bareword_token1] = ACTIONS(1997),
    [sym_number] = ACTIONS(1997),
    [anon_sym_true] = ACTIONS(1997),
    [anon_sym_false] = ACTIONS(1997),
    [sym__single_quote] = ACTIONS(1995),
    [sym__double_quote] = ACTIONS(1995),
    [sym__backtick_quote] = ACTIONS(1995),
    [sym__search_slash_quote] = ACTIONS(1995),
    [sym__open_readline_bracket] = ACTIONS(1995),
    [sym__open_fileglob_bracket] = ACTIONS(1995),
    [sym__PERLY_HEREDOC] = ACTIONS(1995),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1995),
    [sym__filetest] = ACTIONS(1995),
  },
  [1095] = {
    [sym_heredoc_content] = STATE(1095),
    [sym__identifier] = ACTIONS(2007),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_DOLLAR] = ACTIONS(2007),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2007),
    [anon_sym_my] = ACTIONS(2007),
    [anon_sym_extended] = ACTIONS(2007),
    [anon_sym_async] = ACTIONS(2007),
    [anon_sym_sub] = ACTIONS(2007),
    [anon_sym_method] = ACTIONS(2007),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_continue] = ACTIONS(2007),
    [anon_sym_state] = ACTIONS(2007),
    [anon_sym_our] = ACTIONS(2007),
    [anon_sym_finally] = ACTIONS(2399),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LT_LT] = ACTIONS(2007),
    [anon_sym_SLASH_SLASH] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_BANG] = ACTIONS(2007),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [anon_sym_BSLASH] = ACTIONS(2005),
    [anon_sym_do] = ACTIONS(2007),
    [anon_sym_eval] = ACTIONS(2007),
    [anon_sym_await] = ACTIONS(2007),
    [anon_sym_field] = ACTIONS(2007),
    [anon_sym_local] = ACTIONS(2007),
    [anon_sym_dynamically] = ACTIONS(2007),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2007),
    [anon_sym_require] = ACTIONS(2007),
    [anon_sym_map] = ACTIONS(2007),
    [anon_sym_grep] = ACTIONS(2007),
    [anon_sym_sort] = ACTIONS(2007),
    [anon_sym_goto] = ACTIONS(2007),
    [anon_sym_return] = ACTIONS(2007),
    [anon_sym_undef] = ACTIONS(2007),
    [anon_sym_PERCENT2] = ACTIONS(2007),
    [anon_sym_AMP2] = ACTIONS(2007),
    [anon_sym_STAR2] = ACTIONS(2007),
    [anon_sym_last] = ACTIONS(2007),
    [anon_sym_next] = ACTIONS(2007),
    [anon_sym_redo] = ACTIONS(2007),
    [anon_sym___FILE__] = ACTIONS(2007),
    [anon_sym___LINE__] = ACTIONS(2007),
    [anon_sym___PACKAGE__] = ACTIONS(2007),
    [anon_sym___SUB__] = ACTIONS(2007),
    [anon_sym_break] = ACTIONS(2007),
    [anon_sym_fork] = ACTIONS(2007),
    [anon_sym_getppid] = ACTIONS(2007),
    [anon_sym_time] = ACTIONS(2007),
    [anon_sym_times] = ACTIONS(2007),
    [anon_sym_wait] = ACTIONS(2007),
    [anon_sym_wantarray] = ACTIONS(2007),
    [anon_sym_abs] = ACTIONS(2007),
    [anon_sym_alarm] = ACTIONS(2007),
    [anon_sym_chop] = ACTIONS(2007),
    [anon_sym_chdir] = ACTIONS(2007),
    [anon_sym_close] = ACTIONS(2007),
    [anon_sym_closedir] = ACTIONS(2007),
    [anon_sym_caller] = ACTIONS(2007),
    [anon_sym_chomp] = ACTIONS(2007),
    [anon_sym_chr] = ACTIONS(2007),
    [anon_sym_cos] = ACTIONS(2007),
    [anon_sym_chroot] = ACTIONS(2007),
    [anon_sym_defined] = ACTIONS(2007),
    [anon_sym_delete] = ACTIONS(2007),
    [anon_sym_dbmclose] = ACTIONS(2007),
    [anon_sym_exists] = ACTIONS(2007),
    [anon_sym_exit] = ACTIONS(2007),
    [anon_sym_eof] = ACTIONS(2007),
    [anon_sym_exp] = ACTIONS(2007),
    [anon_sym_each] = ACTIONS(2007),
    [anon_sym_fc] = ACTIONS(2007),
    [anon_sym_fileno] = ACTIONS(2007),
    [anon_sym_gmtime] = ACTIONS(2007),
    [anon_sym_getc] = ACTIONS(2007),
    [anon_sym_getpgrp] = ACTIONS(2007),
    [anon_sym_getprotobyname] = ACTIONS(2007),
    [anon_sym_getpwname] = ACTIONS(2007),
    [anon_sym_getpwuid] = ACTIONS(2007),
    [anon_sym_getpeername] = ACTIONS(2007),
    [anon_sym_getnetbyname] = ACTIONS(2007),
    [anon_sym_getsockname] = ACTIONS(2007),
    [anon_sym_getgrnam] = ACTIONS(2007),
    [anon_sym_getgrgid] = ACTIONS(2007),
    [anon_sym_hex] = ACTIONS(2007),
    [anon_sym_int] = ACTIONS(2007),
    [anon_sym_keys] = ACTIONS(2007),
    [anon_sym_lc] = ACTIONS(2007),
    [anon_sym_lcfirst] = ACTIONS(2007),
    [anon_sym_length] = ACTIONS(2007),
    [anon_sym_localtime] = ACTIONS(2007),
    [anon_sym_log] = ACTIONS(2007),
    [anon_sym_lock] = ACTIONS(2007),
    [anon_sym_lstat] = ACTIONS(2007),
    [anon_sym_oct] = ACTIONS(2007),
    [anon_sym_ord] = ACTIONS(2007),
    [anon_sym_prototype] = ACTIONS(2007),
    [anon_sym_pop] = ACTIONS(2007),
    [anon_sym_pos] = ACTIONS(2007),
    [anon_sym_quotemeta] = ACTIONS(2007),
    [anon_sym_reset] = ACTIONS(2007),
    [anon_sym_rand] = ACTIONS(2007),
    [anon_sym_rmdir] = ACTIONS(2007),
    [anon_sym_readdir] = ACTIONS(2007),
    [anon_sym_readline] = ACTIONS(2007),
    [anon_sym_readpipe] = ACTIONS(2007),
    [anon_sym_rewinddir] = ACTIONS(2007),
    [anon_sym_readlink] = ACTIONS(2007),
    [anon_sym_ref] = ACTIONS(2007),
    [anon_sym_scalar] = ACTIONS(2007),
    [anon_sym_shift] = ACTIONS(2007),
    [anon_sym_sin] = ACTIONS(2007),
    [anon_sym_sleep] = ACTIONS(2007),
    [anon_sym_sqrt] = ACTIONS(2007),
    [anon_sym_srand] = ACTIONS(2007),
    [anon_sym_stat] = ACTIONS(2007),
    [anon_sym_study] = ACTIONS(2007),
    [anon_sym_tell] = ACTIONS(2007),
    [anon_sym_telldir] = ACTIONS(2007),
    [anon_sym_tied] = ACTIONS(2007),
    [anon_sym_uc] = ACTIONS(2007),
    [anon_sym_ucfirst] = ACTIONS(2007),
    [anon_sym_untie] = ACTIONS(2007),
    [anon_sym_umask] = ACTIONS(2007),
    [anon_sym_values] = ACTIONS(2007),
    [anon_sym_write] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2007),
    [anon_sym_qq] = ACTIONS(2007),
    [anon_sym_qw] = ACTIONS(2007),
    [anon_sym_qx] = ACTIONS(2007),
    [anon_sym_qr] = ACTIONS(2007),
    [anon_sym_m] = ACTIONS(2007),
    [anon_sym_s] = ACTIONS(2007),
    [anon_sym_tr] = ACTIONS(2007),
    [anon_sym_y] = ACTIONS(2007),
    [aux_sym__bareword_token1] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [anon_sym_true] = ACTIONS(2007),
    [anon_sym_false] = ACTIONS(2007),
    [sym__single_quote] = ACTIONS(2005),
    [sym__double_quote] = ACTIONS(2005),
    [sym__backtick_quote] = ACTIONS(2005),
    [sym__search_slash_quote] = ACTIONS(2005),
    [sym__open_readline_bracket] = ACTIONS(2005),
    [sym__open_fileglob_bracket] = ACTIONS(2005),
    [sym__PERLY_HEREDOC] = ACTIONS(2005),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2005),
    [sym__filetest] = ACTIONS(2005),
  },
  [1096] = {
    [sym_heredoc_content] = STATE(1096),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_finally] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [1097] = {
    [sym_heredoc_content] = STATE(1097),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_finally] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [1098] = {
    [sym_heredoc_content] = STATE(1098),
    [sym__identifier] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1969),
    [anon_sym_DOLLAR] = ACTIONS(1969),
    [anon_sym_AT] = ACTIONS(1969),
    [anon_sym_my] = ACTIONS(1969),
    [anon_sym_extended] = ACTIONS(1969),
    [anon_sym_async] = ACTIONS(1969),
    [anon_sym_sub] = ACTIONS(1969),
    [anon_sym_method] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_state] = ACTIONS(1969),
    [anon_sym_our] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1969),
    [anon_sym_DASH_DASH] = ACTIONS(1969),
    [anon_sym_BSLASH] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_eval] = ACTIONS(1969),
    [anon_sym_await] = ACTIONS(1969),
    [anon_sym_field] = ACTIONS(1969),
    [anon_sym_local] = ACTIONS(1969),
    [anon_sym_dynamically] = ACTIONS(1969),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1969),
    [anon_sym_require] = ACTIONS(1969),
    [anon_sym_map] = ACTIONS(1969),
    [anon_sym_grep] = ACTIONS(1969),
    [anon_sym_sort] = ACTIONS(1969),
    [anon_sym_goto] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_undef] = ACTIONS(1969),
    [anon_sym_PERCENT2] = ACTIONS(1969),
    [anon_sym_AMP2] = ACTIONS(1969),
    [anon_sym_STAR2] = ACTIONS(1969),
    [anon_sym_last] = ACTIONS(1969),
    [anon_sym_next] = ACTIONS(1969),
    [anon_sym_redo] = ACTIONS(1969),
    [anon_sym___FILE__] = ACTIONS(1969),
    [anon_sym___LINE__] = ACTIONS(1969),
    [anon_sym___PACKAGE__] = ACTIONS(1969),
    [anon_sym___SUB__] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_fork] = ACTIONS(1969),
    [anon_sym_getppid] = ACTIONS(1969),
    [anon_sym_time] = ACTIONS(1969),
    [anon_sym_times] = ACTIONS(1969),
    [anon_sym_wait] = ACTIONS(1969),
    [anon_sym_wantarray] = ACTIONS(1969),
    [anon_sym_abs] = ACTIONS(1969),
    [anon_sym_alarm] = ACTIONS(1969),
    [anon_sym_chop] = ACTIONS(1969),
    [anon_sym_chdir] = ACTIONS(1969),
    [anon_sym_close] = ACTIONS(1969),
    [anon_sym_closedir] = ACTIONS(1969),
    [anon_sym_caller] = ACTIONS(1969),
    [anon_sym_chomp] = ACTIONS(1969),
    [anon_sym_chr] = ACTIONS(1969),
    [anon_sym_cos] = ACTIONS(1969),
    [anon_sym_chroot] = ACTIONS(1969),
    [anon_sym_defined] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_dbmclose] = ACTIONS(1969),
    [anon_sym_exists] = ACTIONS(1969),
    [anon_sym_exit] = ACTIONS(1969),
    [anon_sym_eof] = ACTIONS(1969),
    [anon_sym_exp] = ACTIONS(1969),
    [anon_sym_each] = ACTIONS(1969),
    [anon_sym_fc] = ACTIONS(1969),
    [anon_sym_fileno] = ACTIONS(1969),
    [anon_sym_gmtime] = ACTIONS(1969),
    [anon_sym_getc] = ACTIONS(1969),
    [anon_sym_getpgrp] = ACTIONS(1969),
    [anon_sym_getprotobyname] = ACTIONS(1969),
    [anon_sym_getpwname] = ACTIONS(1969),
    [anon_sym_getpwuid] = ACTIONS(1969),
    [anon_sym_getpeername] = ACTIONS(1969),
    [anon_sym_getnetbyname] = ACTIONS(1969),
    [anon_sym_getsockname] = ACTIONS(1969),
    [anon_sym_getgrnam] = ACTIONS(1969),
    [anon_sym_getgrgid] = ACTIONS(1969),
    [anon_sym_hex] = ACTIONS(1969),
    [anon_sym_int] = ACTIONS(1969),
    [anon_sym_keys] = ACTIONS(1969),
    [anon_sym_lc] = ACTIONS(1969),
    [anon_sym_lcfirst] = ACTIONS(1969),
    [anon_sym_length] = ACTIONS(1969),
    [anon_sym_localtime] = ACTIONS(1969),
    [anon_sym_log] = ACTIONS(1969),
    [anon_sym_lock] = ACTIONS(1969),
    [anon_sym_lstat] = ACTIONS(1969),
    [anon_sym_oct] = ACTIONS(1969),
    [anon_sym_ord] = ACTIONS(1969),
    [anon_sym_prototype] = ACTIONS(1969),
    [anon_sym_pop] = ACTIONS(1969),
    [anon_sym_pos] = ACTIONS(1969),
    [anon_sym_quotemeta] = ACTIONS(1969),
    [anon_sym_reset] = ACTIONS(1969),
    [anon_sym_rand] = ACTIONS(1969),
    [anon_sym_rmdir] = ACTIONS(1969),
    [anon_sym_readdir] = ACTIONS(1969),
    [anon_sym_readline] = ACTIONS(1969),
    [anon_sym_readpipe] = ACTIONS(1969),
    [anon_sym_rewinddir] = ACTIONS(1969),
    [anon_sym_readlink] = ACTIONS(1969),
    [anon_sym_ref] = ACTIONS(1969),
    [anon_sym_scalar] = ACTIONS(1969),
    [anon_sym_shift] = ACTIONS(1969),
    [anon_sym_sin] = ACTIONS(1969),
    [anon_sym_sleep] = ACTIONS(1969),
    [anon_sym_sqrt] = ACTIONS(1969),
    [anon_sym_srand] = ACTIONS(1969),
    [anon_sym_stat] = ACTIONS(1969),
    [anon_sym_study] = ACTIONS(1969),
    [anon_sym_tell] = ACTIONS(1969),
    [anon_sym_telldir] = ACTIONS(1969),
    [anon_sym_tied] = ACTIONS(1969),
    [anon_sym_uc] = ACTIONS(1969),
    [anon_sym_ucfirst] = ACTIONS(1969),
    [anon_sym_untie] = ACTIONS(1969),
    [anon_sym_umask] = ACTIONS(1969),
    [anon_sym_values] = ACTIONS(1969),
    [anon_sym_write] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1969),
    [anon_sym_qq] = ACTIONS(1969),
    [anon_sym_qw] = ACTIONS(1969),
    [anon_sym_qx] = ACTIONS(1969),
    [anon_sym_qr] = ACTIONS(1969),
    [anon_sym_m] = ACTIONS(1969),
    [anon_sym_s] = ACTIONS(1969),
    [anon_sym_tr] = ACTIONS(1969),
    [anon_sym_y] = ACTIONS(1969),
    [aux_sym__bareword_token1] = ACTIONS(1969),
    [sym_number] = ACTIONS(1969),
    [anon_sym_true] = ACTIONS(1969),
    [anon_sym_false] = ACTIONS(1969),
    [sym__single_quote] = ACTIONS(1973),
    [sym__double_quote] = ACTIONS(1973),
    [sym__backtick_quote] = ACTIONS(1973),
    [sym__search_slash_quote] = ACTIONS(1973),
    [sym__open_readline_bracket] = ACTIONS(1973),
    [sym__open_fileglob_bracket] = ACTIONS(1973),
    [sym__PERLY_SEMICOLON] = ACTIONS(1973),
    [sym__PERLY_HEREDOC] = ACTIONS(1973),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1973),
    [sym__filetest] = ACTIONS(1973),
  },
  [1099] = {
    [sym_heredoc_content] = STATE(1099),
    [sym__identifier] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2149),
    [anon_sym_DOLLAR] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2149),
    [anon_sym_RPAREN] = ACTIONS(2149),
    [anon_sym_my] = ACTIONS(2149),
    [anon_sym_extended] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_sub] = ACTIONS(2149),
    [anon_sym_method] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_state] = ACTIONS(2149),
    [anon_sym_our] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_LT_LT] = ACTIONS(2149),
    [anon_sym_SLASH_SLASH] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2149),
    [anon_sym_BSLASH] = ACTIONS(2147),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_eval] = ACTIONS(2149),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_field] = ACTIONS(2149),
    [anon_sym_local] = ACTIONS(2149),
    [anon_sym_dynamically] = ACTIONS(2149),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2149),
    [anon_sym_require] = ACTIONS(2149),
    [anon_sym_map] = ACTIONS(2149),
    [anon_sym_grep] = ACTIONS(2149),
    [anon_sym_sort] = ACTIONS(2149),
    [anon_sym_goto] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_undef] = ACTIONS(2149),
    [anon_sym_PERCENT2] = ACTIONS(2149),
    [anon_sym_AMP2] = ACTIONS(2149),
    [anon_sym_STAR2] = ACTIONS(2149),
    [anon_sym_last] = ACTIONS(2149),
    [anon_sym_next] = ACTIONS(2149),
    [anon_sym_redo] = ACTIONS(2149),
    [anon_sym___FILE__] = ACTIONS(2149),
    [anon_sym___LINE__] = ACTIONS(2149),
    [anon_sym___PACKAGE__] = ACTIONS(2149),
    [anon_sym___SUB__] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_fork] = ACTIONS(2149),
    [anon_sym_getppid] = ACTIONS(2149),
    [anon_sym_time] = ACTIONS(2149),
    [anon_sym_times] = ACTIONS(2149),
    [anon_sym_wait] = ACTIONS(2149),
    [anon_sym_wantarray] = ACTIONS(2149),
    [anon_sym_abs] = ACTIONS(2149),
    [anon_sym_alarm] = ACTIONS(2149),
    [anon_sym_chop] = ACTIONS(2149),
    [anon_sym_chdir] = ACTIONS(2149),
    [anon_sym_close] = ACTIONS(2149),
    [anon_sym_closedir] = ACTIONS(2149),
    [anon_sym_caller] = ACTIONS(2149),
    [anon_sym_chomp] = ACTIONS(2149),
    [anon_sym_chr] = ACTIONS(2149),
    [anon_sym_cos] = ACTIONS(2149),
    [anon_sym_chroot] = ACTIONS(2149),
    [anon_sym_defined] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_dbmclose] = ACTIONS(2149),
    [anon_sym_exists] = ACTIONS(2149),
    [anon_sym_exit] = ACTIONS(2149),
    [anon_sym_eof] = ACTIONS(2149),
    [anon_sym_exp] = ACTIONS(2149),
    [anon_sym_each] = ACTIONS(2149),
    [anon_sym_fc] = ACTIONS(2149),
    [anon_sym_fileno] = ACTIONS(2149),
    [anon_sym_gmtime] = ACTIONS(2149),
    [anon_sym_getc] = ACTIONS(2149),
    [anon_sym_getpgrp] = ACTIONS(2149),
    [anon_sym_getprotobyname] = ACTIONS(2149),
    [anon_sym_getpwname] = ACTIONS(2149),
    [anon_sym_getpwuid] = ACTIONS(2149),
    [anon_sym_getpeername] = ACTIONS(2149),
    [anon_sym_getnetbyname] = ACTIONS(2149),
    [anon_sym_getsockname] = ACTIONS(2149),
    [anon_sym_getgrnam] = ACTIONS(2149),
    [anon_sym_getgrgid] = ACTIONS(2149),
    [anon_sym_hex] = ACTIONS(2149),
    [anon_sym_int] = ACTIONS(2149),
    [anon_sym_keys] = ACTIONS(2149),
    [anon_sym_lc] = ACTIONS(2149),
    [anon_sym_lcfirst] = ACTIONS(2149),
    [anon_sym_length] = ACTIONS(2149),
    [anon_sym_localtime] = ACTIONS(2149),
    [anon_sym_log] = ACTIONS(2149),
    [anon_sym_lock] = ACTIONS(2149),
    [anon_sym_lstat] = ACTIONS(2149),
    [anon_sym_oct] = ACTIONS(2149),
    [anon_sym_ord] = ACTIONS(2149),
    [anon_sym_prototype] = ACTIONS(2149),
    [anon_sym_pop] = ACTIONS(2149),
    [anon_sym_pos] = ACTIONS(2149),
    [anon_sym_quotemeta] = ACTIONS(2149),
    [anon_sym_reset] = ACTIONS(2149),
    [anon_sym_rand] = ACTIONS(2149),
    [anon_sym_rmdir] = ACTIONS(2149),
    [anon_sym_readdir] = ACTIONS(2149),
    [anon_sym_readline] = ACTIONS(2149),
    [anon_sym_readpipe] = ACTIONS(2149),
    [anon_sym_rewinddir] = ACTIONS(2149),
    [anon_sym_readlink] = ACTIONS(2149),
    [anon_sym_ref] = ACTIONS(2149),
    [anon_sym_scalar] = ACTIONS(2149),
    [anon_sym_shift] = ACTIONS(2149),
    [anon_sym_sin] = ACTIONS(2149),
    [anon_sym_sleep] = ACTIONS(2149),
    [anon_sym_sqrt] = ACTIONS(2149),
    [anon_sym_srand] = ACTIONS(2149),
    [anon_sym_stat] = ACTIONS(2149),
    [anon_sym_study] = ACTIONS(2149),
    [anon_sym_tell] = ACTIONS(2149),
    [anon_sym_telldir] = ACTIONS(2149),
    [anon_sym_tied] = ACTIONS(2149),
    [anon_sym_uc] = ACTIONS(2149),
    [anon_sym_ucfirst] = ACTIONS(2149),
    [anon_sym_untie] = ACTIONS(2149),
    [anon_sym_umask] = ACTIONS(2149),
    [anon_sym_values] = ACTIONS(2149),
    [anon_sym_write] = ACTIONS(2149),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2149),
    [anon_sym_qq] = ACTIONS(2149),
    [anon_sym_qw] = ACTIONS(2149),
    [anon_sym_qx] = ACTIONS(2149),
    [anon_sym_qr] = ACTIONS(2149),
    [anon_sym_m] = ACTIONS(2149),
    [anon_sym_s] = ACTIONS(2149),
    [anon_sym_tr] = ACTIONS(2149),
    [anon_sym_y] = ACTIONS(2149),
    [aux_sym__bareword_token1] = ACTIONS(2149),
    [sym_number] = ACTIONS(2149),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [sym__single_quote] = ACTIONS(2147),
    [sym__double_quote] = ACTIONS(2147),
    [sym__backtick_quote] = ACTIONS(2147),
    [sym__search_slash_quote] = ACTIONS(2147),
    [sym__open_readline_bracket] = ACTIONS(2147),
    [sym__open_fileglob_bracket] = ACTIONS(2147),
    [sym__PERLY_HEREDOC] = ACTIONS(2147),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2147),
    [sym__filetest] = ACTIONS(2147),
  },
  [1100] = {
    [sym_heredoc_content] = STATE(1100),
    [sym__identifier] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2017),
    [anon_sym_DOLLAR] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2017),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_my] = ACTIONS(2017),
    [anon_sym_extended] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_sub] = ACTIONS(2017),
    [anon_sym_method] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_state] = ACTIONS(2017),
    [anon_sym_our] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2017),
    [anon_sym_LT_LT] = ACTIONS(2017),
    [anon_sym_SLASH_SLASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_TILDE] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2017),
    [anon_sym_DASH_DASH] = ACTIONS(2017),
    [anon_sym_BSLASH] = ACTIONS(2015),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_eval] = ACTIONS(2017),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_field] = ACTIONS(2017),
    [anon_sym_local] = ACTIONS(2017),
    [anon_sym_dynamically] = ACTIONS(2017),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2017),
    [anon_sym_require] = ACTIONS(2017),
    [anon_sym_map] = ACTIONS(2017),
    [anon_sym_grep] = ACTIONS(2017),
    [anon_sym_sort] = ACTIONS(2017),
    [anon_sym_goto] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_undef] = ACTIONS(2017),
    [anon_sym_PERCENT2] = ACTIONS(2017),
    [anon_sym_AMP2] = ACTIONS(2017),
    [anon_sym_STAR2] = ACTIONS(2017),
    [anon_sym_last] = ACTIONS(2017),
    [anon_sym_next] = ACTIONS(2017),
    [anon_sym_redo] = ACTIONS(2017),
    [anon_sym___FILE__] = ACTIONS(2017),
    [anon_sym___LINE__] = ACTIONS(2017),
    [anon_sym___PACKAGE__] = ACTIONS(2017),
    [anon_sym___SUB__] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_fork] = ACTIONS(2017),
    [anon_sym_getppid] = ACTIONS(2017),
    [anon_sym_time] = ACTIONS(2017),
    [anon_sym_times] = ACTIONS(2017),
    [anon_sym_wait] = ACTIONS(2017),
    [anon_sym_wantarray] = ACTIONS(2017),
    [anon_sym_abs] = ACTIONS(2017),
    [anon_sym_alarm] = ACTIONS(2017),
    [anon_sym_chop] = ACTIONS(2017),
    [anon_sym_chdir] = ACTIONS(2017),
    [anon_sym_close] = ACTIONS(2017),
    [anon_sym_closedir] = ACTIONS(2017),
    [anon_sym_caller] = ACTIONS(2017),
    [anon_sym_chomp] = ACTIONS(2017),
    [anon_sym_chr] = ACTIONS(2017),
    [anon_sym_cos] = ACTIONS(2017),
    [anon_sym_chroot] = ACTIONS(2017),
    [anon_sym_defined] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_dbmclose] = ACTIONS(2017),
    [anon_sym_exists] = ACTIONS(2017),
    [anon_sym_exit] = ACTIONS(2017),
    [anon_sym_eof] = ACTIONS(2017),
    [anon_sym_exp] = ACTIONS(2017),
    [anon_sym_each] = ACTIONS(2017),
    [anon_sym_fc] = ACTIONS(2017),
    [anon_sym_fileno] = ACTIONS(2017),
    [anon_sym_gmtime] = ACTIONS(2017),
    [anon_sym_getc] = ACTIONS(2017),
    [anon_sym_getpgrp] = ACTIONS(2017),
    [anon_sym_getprotobyname] = ACTIONS(2017),
    [anon_sym_getpwname] = ACTIONS(2017),
    [anon_sym_getpwuid] = ACTIONS(2017),
    [anon_sym_getpeername] = ACTIONS(2017),
    [anon_sym_getnetbyname] = ACTIONS(2017),
    [anon_sym_getsockname] = ACTIONS(2017),
    [anon_sym_getgrnam] = ACTIONS(2017),
    [anon_sym_getgrgid] = ACTIONS(2017),
    [anon_sym_hex] = ACTIONS(2017),
    [anon_sym_int] = ACTIONS(2017),
    [anon_sym_keys] = ACTIONS(2017),
    [anon_sym_lc] = ACTIONS(2017),
    [anon_sym_lcfirst] = ACTIONS(2017),
    [anon_sym_length] = ACTIONS(2017),
    [anon_sym_localtime] = ACTIONS(2017),
    [anon_sym_log] = ACTIONS(2017),
    [anon_sym_lock] = ACTIONS(2017),
    [anon_sym_lstat] = ACTIONS(2017),
    [anon_sym_oct] = ACTIONS(2017),
    [anon_sym_ord] = ACTIONS(2017),
    [anon_sym_prototype] = ACTIONS(2017),
    [anon_sym_pop] = ACTIONS(2017),
    [anon_sym_pos] = ACTIONS(2017),
    [anon_sym_quotemeta] = ACTIONS(2017),
    [anon_sym_reset] = ACTIONS(2017),
    [anon_sym_rand] = ACTIONS(2017),
    [anon_sym_rmdir] = ACTIONS(2017),
    [anon_sym_readdir] = ACTIONS(2017),
    [anon_sym_readline] = ACTIONS(2017),
    [anon_sym_readpipe] = ACTIONS(2017),
    [anon_sym_rewinddir] = ACTIONS(2017),
    [anon_sym_readlink] = ACTIONS(2017),
    [anon_sym_ref] = ACTIONS(2017),
    [anon_sym_scalar] = ACTIONS(2017),
    [anon_sym_shift] = ACTIONS(2017),
    [anon_sym_sin] = ACTIONS(2017),
    [anon_sym_sleep] = ACTIONS(2017),
    [anon_sym_sqrt] = ACTIONS(2017),
    [anon_sym_srand] = ACTIONS(2017),
    [anon_sym_stat] = ACTIONS(2017),
    [anon_sym_study] = ACTIONS(2017),
    [anon_sym_tell] = ACTIONS(2017),
    [anon_sym_telldir] = ACTIONS(2017),
    [anon_sym_tied] = ACTIONS(2017),
    [anon_sym_uc] = ACTIONS(2017),
    [anon_sym_ucfirst] = ACTIONS(2017),
    [anon_sym_untie] = ACTIONS(2017),
    [anon_sym_umask] = ACTIONS(2017),
    [anon_sym_values] = ACTIONS(2017),
    [anon_sym_write] = ACTIONS(2017),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2017),
    [anon_sym_qq] = ACTIONS(2017),
    [anon_sym_qw] = ACTIONS(2017),
    [anon_sym_qx] = ACTIONS(2017),
    [anon_sym_qr] = ACTIONS(2017),
    [anon_sym_m] = ACTIONS(2017),
    [anon_sym_s] = ACTIONS(2017),
    [anon_sym_tr] = ACTIONS(2017),
    [anon_sym_y] = ACTIONS(2017),
    [aux_sym__bareword_token1] = ACTIONS(2017),
    [sym_number] = ACTIONS(2017),
    [anon_sym_true] = ACTIONS(2017),
    [anon_sym_false] = ACTIONS(2017),
    [sym__single_quote] = ACTIONS(2015),
    [sym__double_quote] = ACTIONS(2015),
    [sym__backtick_quote] = ACTIONS(2015),
    [sym__search_slash_quote] = ACTIONS(2015),
    [sym__open_readline_bracket] = ACTIONS(2015),
    [sym__open_fileglob_bracket] = ACTIONS(2015),
    [sym__PERLY_HEREDOC] = ACTIONS(2015),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2015),
    [sym__filetest] = ACTIONS(2015),
  },
  [1101] = {
    [sym_heredoc_content] = STATE(1101),
    [sym__identifier] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2021),
    [anon_sym_DOLLAR] = ACTIONS(2021),
    [anon_sym_AT] = ACTIONS(2021),
    [anon_sym_RPAREN] = ACTIONS(2021),
    [anon_sym_my] = ACTIONS(2021),
    [anon_sym_extended] = ACTIONS(2021),
    [anon_sym_async] = ACTIONS(2021),
    [anon_sym_sub] = ACTIONS(2021),
    [anon_sym_method] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(2021),
    [anon_sym_continue] = ACTIONS(2021),
    [anon_sym_state] = ACTIONS(2021),
    [anon_sym_our] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2021),
    [anon_sym_LT_LT] = ACTIONS(2021),
    [anon_sym_SLASH_SLASH] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2021),
    [anon_sym_TILDE] = ACTIONS(2021),
    [anon_sym_BANG] = ACTIONS(2021),
    [anon_sym_PLUS_PLUS] = ACTIONS(2021),
    [anon_sym_DASH_DASH] = ACTIONS(2021),
    [anon_sym_BSLASH] = ACTIONS(2019),
    [anon_sym_do] = ACTIONS(2021),
    [anon_sym_eval] = ACTIONS(2021),
    [anon_sym_await] = ACTIONS(2021),
    [anon_sym_field] = ACTIONS(2021),
    [anon_sym_local] = ACTIONS(2021),
    [anon_sym_dynamically] = ACTIONS(2021),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2021),
    [anon_sym_require] = ACTIONS(2021),
    [anon_sym_map] = ACTIONS(2021),
    [anon_sym_grep] = ACTIONS(2021),
    [anon_sym_sort] = ACTIONS(2021),
    [anon_sym_goto] = ACTIONS(2021),
    [anon_sym_return] = ACTIONS(2021),
    [anon_sym_undef] = ACTIONS(2021),
    [anon_sym_PERCENT2] = ACTIONS(2021),
    [anon_sym_AMP2] = ACTIONS(2021),
    [anon_sym_STAR2] = ACTIONS(2021),
    [anon_sym_last] = ACTIONS(2021),
    [anon_sym_next] = ACTIONS(2021),
    [anon_sym_redo] = ACTIONS(2021),
    [anon_sym___FILE__] = ACTIONS(2021),
    [anon_sym___LINE__] = ACTIONS(2021),
    [anon_sym___PACKAGE__] = ACTIONS(2021),
    [anon_sym___SUB__] = ACTIONS(2021),
    [anon_sym_break] = ACTIONS(2021),
    [anon_sym_fork] = ACTIONS(2021),
    [anon_sym_getppid] = ACTIONS(2021),
    [anon_sym_time] = ACTIONS(2021),
    [anon_sym_times] = ACTIONS(2021),
    [anon_sym_wait] = ACTIONS(2021),
    [anon_sym_wantarray] = ACTIONS(2021),
    [anon_sym_abs] = ACTIONS(2021),
    [anon_sym_alarm] = ACTIONS(2021),
    [anon_sym_chop] = ACTIONS(2021),
    [anon_sym_chdir] = ACTIONS(2021),
    [anon_sym_close] = ACTIONS(2021),
    [anon_sym_closedir] = ACTIONS(2021),
    [anon_sym_caller] = ACTIONS(2021),
    [anon_sym_chomp] = ACTIONS(2021),
    [anon_sym_chr] = ACTIONS(2021),
    [anon_sym_cos] = ACTIONS(2021),
    [anon_sym_chroot] = ACTIONS(2021),
    [anon_sym_defined] = ACTIONS(2021),
    [anon_sym_delete] = ACTIONS(2021),
    [anon_sym_dbmclose] = ACTIONS(2021),
    [anon_sym_exists] = ACTIONS(2021),
    [anon_sym_exit] = ACTIONS(2021),
    [anon_sym_eof] = ACTIONS(2021),
    [anon_sym_exp] = ACTIONS(2021),
    [anon_sym_each] = ACTIONS(2021),
    [anon_sym_fc] = ACTIONS(2021),
    [anon_sym_fileno] = ACTIONS(2021),
    [anon_sym_gmtime] = ACTIONS(2021),
    [anon_sym_getc] = ACTIONS(2021),
    [anon_sym_getpgrp] = ACTIONS(2021),
    [anon_sym_getprotobyname] = ACTIONS(2021),
    [anon_sym_getpwname] = ACTIONS(2021),
    [anon_sym_getpwuid] = ACTIONS(2021),
    [anon_sym_getpeername] = ACTIONS(2021),
    [anon_sym_getnetbyname] = ACTIONS(2021),
    [anon_sym_getsockname] = ACTIONS(2021),
    [anon_sym_getgrnam] = ACTIONS(2021),
    [anon_sym_getgrgid] = ACTIONS(2021),
    [anon_sym_hex] = ACTIONS(2021),
    [anon_sym_int] = ACTIONS(2021),
    [anon_sym_keys] = ACTIONS(2021),
    [anon_sym_lc] = ACTIONS(2021),
    [anon_sym_lcfirst] = ACTIONS(2021),
    [anon_sym_length] = ACTIONS(2021),
    [anon_sym_localtime] = ACTIONS(2021),
    [anon_sym_log] = ACTIONS(2021),
    [anon_sym_lock] = ACTIONS(2021),
    [anon_sym_lstat] = ACTIONS(2021),
    [anon_sym_oct] = ACTIONS(2021),
    [anon_sym_ord] = ACTIONS(2021),
    [anon_sym_prototype] = ACTIONS(2021),
    [anon_sym_pop] = ACTIONS(2021),
    [anon_sym_pos] = ACTIONS(2021),
    [anon_sym_quotemeta] = ACTIONS(2021),
    [anon_sym_reset] = ACTIONS(2021),
    [anon_sym_rand] = ACTIONS(2021),
    [anon_sym_rmdir] = ACTIONS(2021),
    [anon_sym_readdir] = ACTIONS(2021),
    [anon_sym_readline] = ACTIONS(2021),
    [anon_sym_readpipe] = ACTIONS(2021),
    [anon_sym_rewinddir] = ACTIONS(2021),
    [anon_sym_readlink] = ACTIONS(2021),
    [anon_sym_ref] = ACTIONS(2021),
    [anon_sym_scalar] = ACTIONS(2021),
    [anon_sym_shift] = ACTIONS(2021),
    [anon_sym_sin] = ACTIONS(2021),
    [anon_sym_sleep] = ACTIONS(2021),
    [anon_sym_sqrt] = ACTIONS(2021),
    [anon_sym_srand] = ACTIONS(2021),
    [anon_sym_stat] = ACTIONS(2021),
    [anon_sym_study] = ACTIONS(2021),
    [anon_sym_tell] = ACTIONS(2021),
    [anon_sym_telldir] = ACTIONS(2021),
    [anon_sym_tied] = ACTIONS(2021),
    [anon_sym_uc] = ACTIONS(2021),
    [anon_sym_ucfirst] = ACTIONS(2021),
    [anon_sym_untie] = ACTIONS(2021),
    [anon_sym_umask] = ACTIONS(2021),
    [anon_sym_values] = ACTIONS(2021),
    [anon_sym_write] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2021),
    [anon_sym_qq] = ACTIONS(2021),
    [anon_sym_qw] = ACTIONS(2021),
    [anon_sym_qx] = ACTIONS(2021),
    [anon_sym_qr] = ACTIONS(2021),
    [anon_sym_m] = ACTIONS(2021),
    [anon_sym_s] = ACTIONS(2021),
    [anon_sym_tr] = ACTIONS(2021),
    [anon_sym_y] = ACTIONS(2021),
    [aux_sym__bareword_token1] = ACTIONS(2021),
    [sym_number] = ACTIONS(2021),
    [anon_sym_true] = ACTIONS(2021),
    [anon_sym_false] = ACTIONS(2021),
    [sym__single_quote] = ACTIONS(2019),
    [sym__double_quote] = ACTIONS(2019),
    [sym__backtick_quote] = ACTIONS(2019),
    [sym__search_slash_quote] = ACTIONS(2019),
    [sym__open_readline_bracket] = ACTIONS(2019),
    [sym__open_fileglob_bracket] = ACTIONS(2019),
    [sym__PERLY_HEREDOC] = ACTIONS(2019),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2019),
    [sym__filetest] = ACTIONS(2019),
  },
  [1102] = {
    [sym_heredoc_content] = STATE(1102),
    [sym__identifier] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_DOLLAR] = ACTIONS(2025),
    [anon_sym_AT] = ACTIONS(2025),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_my] = ACTIONS(2025),
    [anon_sym_extended] = ACTIONS(2025),
    [anon_sym_async] = ACTIONS(2025),
    [anon_sym_sub] = ACTIONS(2025),
    [anon_sym_method] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_continue] = ACTIONS(2025),
    [anon_sym_state] = ACTIONS(2025),
    [anon_sym_our] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_LT_LT] = ACTIONS(2025),
    [anon_sym_SLASH_SLASH] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_BSLASH] = ACTIONS(2023),
    [anon_sym_do] = ACTIONS(2025),
    [anon_sym_eval] = ACTIONS(2025),
    [anon_sym_await] = ACTIONS(2025),
    [anon_sym_field] = ACTIONS(2025),
    [anon_sym_local] = ACTIONS(2025),
    [anon_sym_dynamically] = ACTIONS(2025),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2025),
    [anon_sym_require] = ACTIONS(2025),
    [anon_sym_map] = ACTIONS(2025),
    [anon_sym_grep] = ACTIONS(2025),
    [anon_sym_sort] = ACTIONS(2025),
    [anon_sym_goto] = ACTIONS(2025),
    [anon_sym_return] = ACTIONS(2025),
    [anon_sym_undef] = ACTIONS(2025),
    [anon_sym_PERCENT2] = ACTIONS(2025),
    [anon_sym_AMP2] = ACTIONS(2025),
    [anon_sym_STAR2] = ACTIONS(2025),
    [anon_sym_last] = ACTIONS(2025),
    [anon_sym_next] = ACTIONS(2025),
    [anon_sym_redo] = ACTIONS(2025),
    [anon_sym___FILE__] = ACTIONS(2025),
    [anon_sym___LINE__] = ACTIONS(2025),
    [anon_sym___PACKAGE__] = ACTIONS(2025),
    [anon_sym___SUB__] = ACTIONS(2025),
    [anon_sym_break] = ACTIONS(2025),
    [anon_sym_fork] = ACTIONS(2025),
    [anon_sym_getppid] = ACTIONS(2025),
    [anon_sym_time] = ACTIONS(2025),
    [anon_sym_times] = ACTIONS(2025),
    [anon_sym_wait] = ACTIONS(2025),
    [anon_sym_wantarray] = ACTIONS(2025),
    [anon_sym_abs] = ACTIONS(2025),
    [anon_sym_alarm] = ACTIONS(2025),
    [anon_sym_chop] = ACTIONS(2025),
    [anon_sym_chdir] = ACTIONS(2025),
    [anon_sym_close] = ACTIONS(2025),
    [anon_sym_closedir] = ACTIONS(2025),
    [anon_sym_caller] = ACTIONS(2025),
    [anon_sym_chomp] = ACTIONS(2025),
    [anon_sym_chr] = ACTIONS(2025),
    [anon_sym_cos] = ACTIONS(2025),
    [anon_sym_chroot] = ACTIONS(2025),
    [anon_sym_defined] = ACTIONS(2025),
    [anon_sym_delete] = ACTIONS(2025),
    [anon_sym_dbmclose] = ACTIONS(2025),
    [anon_sym_exists] = ACTIONS(2025),
    [anon_sym_exit] = ACTIONS(2025),
    [anon_sym_eof] = ACTIONS(2025),
    [anon_sym_exp] = ACTIONS(2025),
    [anon_sym_each] = ACTIONS(2025),
    [anon_sym_fc] = ACTIONS(2025),
    [anon_sym_fileno] = ACTIONS(2025),
    [anon_sym_gmtime] = ACTIONS(2025),
    [anon_sym_getc] = ACTIONS(2025),
    [anon_sym_getpgrp] = ACTIONS(2025),
    [anon_sym_getprotobyname] = ACTIONS(2025),
    [anon_sym_getpwname] = ACTIONS(2025),
    [anon_sym_getpwuid] = ACTIONS(2025),
    [anon_sym_getpeername] = ACTIONS(2025),
    [anon_sym_getnetbyname] = ACTIONS(2025),
    [anon_sym_getsockname] = ACTIONS(2025),
    [anon_sym_getgrnam] = ACTIONS(2025),
    [anon_sym_getgrgid] = ACTIONS(2025),
    [anon_sym_hex] = ACTIONS(2025),
    [anon_sym_int] = ACTIONS(2025),
    [anon_sym_keys] = ACTIONS(2025),
    [anon_sym_lc] = ACTIONS(2025),
    [anon_sym_lcfirst] = ACTIONS(2025),
    [anon_sym_length] = ACTIONS(2025),
    [anon_sym_localtime] = ACTIONS(2025),
    [anon_sym_log] = ACTIONS(2025),
    [anon_sym_lock] = ACTIONS(2025),
    [anon_sym_lstat] = ACTIONS(2025),
    [anon_sym_oct] = ACTIONS(2025),
    [anon_sym_ord] = ACTIONS(2025),
    [anon_sym_prototype] = ACTIONS(2025),
    [anon_sym_pop] = ACTIONS(2025),
    [anon_sym_pos] = ACTIONS(2025),
    [anon_sym_quotemeta] = ACTIONS(2025),
    [anon_sym_reset] = ACTIONS(2025),
    [anon_sym_rand] = ACTIONS(2025),
    [anon_sym_rmdir] = ACTIONS(2025),
    [anon_sym_readdir] = ACTIONS(2025),
    [anon_sym_readline] = ACTIONS(2025),
    [anon_sym_readpipe] = ACTIONS(2025),
    [anon_sym_rewinddir] = ACTIONS(2025),
    [anon_sym_readlink] = ACTIONS(2025),
    [anon_sym_ref] = ACTIONS(2025),
    [anon_sym_scalar] = ACTIONS(2025),
    [anon_sym_shift] = ACTIONS(2025),
    [anon_sym_sin] = ACTIONS(2025),
    [anon_sym_sleep] = ACTIONS(2025),
    [anon_sym_sqrt] = ACTIONS(2025),
    [anon_sym_srand] = ACTIONS(2025),
    [anon_sym_stat] = ACTIONS(2025),
    [anon_sym_study] = ACTIONS(2025),
    [anon_sym_tell] = ACTIONS(2025),
    [anon_sym_telldir] = ACTIONS(2025),
    [anon_sym_tied] = ACTIONS(2025),
    [anon_sym_uc] = ACTIONS(2025),
    [anon_sym_ucfirst] = ACTIONS(2025),
    [anon_sym_untie] = ACTIONS(2025),
    [anon_sym_umask] = ACTIONS(2025),
    [anon_sym_values] = ACTIONS(2025),
    [anon_sym_write] = ACTIONS(2025),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2025),
    [anon_sym_qq] = ACTIONS(2025),
    [anon_sym_qw] = ACTIONS(2025),
    [anon_sym_qx] = ACTIONS(2025),
    [anon_sym_qr] = ACTIONS(2025),
    [anon_sym_m] = ACTIONS(2025),
    [anon_sym_s] = ACTIONS(2025),
    [anon_sym_tr] = ACTIONS(2025),
    [anon_sym_y] = ACTIONS(2025),
    [aux_sym__bareword_token1] = ACTIONS(2025),
    [sym_number] = ACTIONS(2025),
    [anon_sym_true] = ACTIONS(2025),
    [anon_sym_false] = ACTIONS(2025),
    [sym__single_quote] = ACTIONS(2023),
    [sym__double_quote] = ACTIONS(2023),
    [sym__backtick_quote] = ACTIONS(2023),
    [sym__search_slash_quote] = ACTIONS(2023),
    [sym__open_readline_bracket] = ACTIONS(2023),
    [sym__open_fileglob_bracket] = ACTIONS(2023),
    [sym__PERLY_HEREDOC] = ACTIONS(2023),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2023),
    [sym__filetest] = ACTIONS(2023),
  },
  [1103] = {
    [sym_heredoc_content] = STATE(1103),
    [sym__identifier] = ACTIONS(2033),
    [anon_sym_LBRACE] = ACTIONS(2033),
    [anon_sym_DOLLAR] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2033),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_my] = ACTIONS(2033),
    [anon_sym_extended] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_sub] = ACTIONS(2033),
    [anon_sym_method] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2033),
    [anon_sym_continue] = ACTIONS(2033),
    [anon_sym_state] = ACTIONS(2033),
    [anon_sym_our] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2033),
    [anon_sym_LT_LT] = ACTIONS(2033),
    [anon_sym_SLASH_SLASH] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_TILDE] = ACTIONS(2033),
    [anon_sym_BANG] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2033),
    [anon_sym_BSLASH] = ACTIONS(2031),
    [anon_sym_do] = ACTIONS(2033),
    [anon_sym_eval] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(2033),
    [anon_sym_field] = ACTIONS(2033),
    [anon_sym_local] = ACTIONS(2033),
    [anon_sym_dynamically] = ACTIONS(2033),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2033),
    [anon_sym_require] = ACTIONS(2033),
    [anon_sym_map] = ACTIONS(2033),
    [anon_sym_grep] = ACTIONS(2033),
    [anon_sym_sort] = ACTIONS(2033),
    [anon_sym_goto] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_undef] = ACTIONS(2033),
    [anon_sym_PERCENT2] = ACTIONS(2033),
    [anon_sym_AMP2] = ACTIONS(2033),
    [anon_sym_STAR2] = ACTIONS(2033),
    [anon_sym_last] = ACTIONS(2033),
    [anon_sym_next] = ACTIONS(2033),
    [anon_sym_redo] = ACTIONS(2033),
    [anon_sym___FILE__] = ACTIONS(2033),
    [anon_sym___LINE__] = ACTIONS(2033),
    [anon_sym___PACKAGE__] = ACTIONS(2033),
    [anon_sym___SUB__] = ACTIONS(2033),
    [anon_sym_break] = ACTIONS(2033),
    [anon_sym_fork] = ACTIONS(2033),
    [anon_sym_getppid] = ACTIONS(2033),
    [anon_sym_time] = ACTIONS(2033),
    [anon_sym_times] = ACTIONS(2033),
    [anon_sym_wait] = ACTIONS(2033),
    [anon_sym_wantarray] = ACTIONS(2033),
    [anon_sym_abs] = ACTIONS(2033),
    [anon_sym_alarm] = ACTIONS(2033),
    [anon_sym_chop] = ACTIONS(2033),
    [anon_sym_chdir] = ACTIONS(2033),
    [anon_sym_close] = ACTIONS(2033),
    [anon_sym_closedir] = ACTIONS(2033),
    [anon_sym_caller] = ACTIONS(2033),
    [anon_sym_chomp] = ACTIONS(2033),
    [anon_sym_chr] = ACTIONS(2033),
    [anon_sym_cos] = ACTIONS(2033),
    [anon_sym_chroot] = ACTIONS(2033),
    [anon_sym_defined] = ACTIONS(2033),
    [anon_sym_delete] = ACTIONS(2033),
    [anon_sym_dbmclose] = ACTIONS(2033),
    [anon_sym_exists] = ACTIONS(2033),
    [anon_sym_exit] = ACTIONS(2033),
    [anon_sym_eof] = ACTIONS(2033),
    [anon_sym_exp] = ACTIONS(2033),
    [anon_sym_each] = ACTIONS(2033),
    [anon_sym_fc] = ACTIONS(2033),
    [anon_sym_fileno] = ACTIONS(2033),
    [anon_sym_gmtime] = ACTIONS(2033),
    [anon_sym_getc] = ACTIONS(2033),
    [anon_sym_getpgrp] = ACTIONS(2033),
    [anon_sym_getprotobyname] = ACTIONS(2033),
    [anon_sym_getpwname] = ACTIONS(2033),
    [anon_sym_getpwuid] = ACTIONS(2033),
    [anon_sym_getpeername] = ACTIONS(2033),
    [anon_sym_getnetbyname] = ACTIONS(2033),
    [anon_sym_getsockname] = ACTIONS(2033),
    [anon_sym_getgrnam] = ACTIONS(2033),
    [anon_sym_getgrgid] = ACTIONS(2033),
    [anon_sym_hex] = ACTIONS(2033),
    [anon_sym_int] = ACTIONS(2033),
    [anon_sym_keys] = ACTIONS(2033),
    [anon_sym_lc] = ACTIONS(2033),
    [anon_sym_lcfirst] = ACTIONS(2033),
    [anon_sym_length] = ACTIONS(2033),
    [anon_sym_localtime] = ACTIONS(2033),
    [anon_sym_log] = ACTIONS(2033),
    [anon_sym_lock] = ACTIONS(2033),
    [anon_sym_lstat] = ACTIONS(2033),
    [anon_sym_oct] = ACTIONS(2033),
    [anon_sym_ord] = ACTIONS(2033),
    [anon_sym_prototype] = ACTIONS(2033),
    [anon_sym_pop] = ACTIONS(2033),
    [anon_sym_pos] = ACTIONS(2033),
    [anon_sym_quotemeta] = ACTIONS(2033),
    [anon_sym_reset] = ACTIONS(2033),
    [anon_sym_rand] = ACTIONS(2033),
    [anon_sym_rmdir] = ACTIONS(2033),
    [anon_sym_readdir] = ACTIONS(2033),
    [anon_sym_readline] = ACTIONS(2033),
    [anon_sym_readpipe] = ACTIONS(2033),
    [anon_sym_rewinddir] = ACTIONS(2033),
    [anon_sym_readlink] = ACTIONS(2033),
    [anon_sym_ref] = ACTIONS(2033),
    [anon_sym_scalar] = ACTIONS(2033),
    [anon_sym_shift] = ACTIONS(2033),
    [anon_sym_sin] = ACTIONS(2033),
    [anon_sym_sleep] = ACTIONS(2033),
    [anon_sym_sqrt] = ACTIONS(2033),
    [anon_sym_srand] = ACTIONS(2033),
    [anon_sym_stat] = ACTIONS(2033),
    [anon_sym_study] = ACTIONS(2033),
    [anon_sym_tell] = ACTIONS(2033),
    [anon_sym_telldir] = ACTIONS(2033),
    [anon_sym_tied] = ACTIONS(2033),
    [anon_sym_uc] = ACTIONS(2033),
    [anon_sym_ucfirst] = ACTIONS(2033),
    [anon_sym_untie] = ACTIONS(2033),
    [anon_sym_umask] = ACTIONS(2033),
    [anon_sym_values] = ACTIONS(2033),
    [anon_sym_write] = ACTIONS(2033),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2033),
    [anon_sym_qq] = ACTIONS(2033),
    [anon_sym_qw] = ACTIONS(2033),
    [anon_sym_qx] = ACTIONS(2033),
    [anon_sym_qr] = ACTIONS(2033),
    [anon_sym_m] = ACTIONS(2033),
    [anon_sym_s] = ACTIONS(2033),
    [anon_sym_tr] = ACTIONS(2033),
    [anon_sym_y] = ACTIONS(2033),
    [aux_sym__bareword_token1] = ACTIONS(2033),
    [sym_number] = ACTIONS(2033),
    [anon_sym_true] = ACTIONS(2033),
    [anon_sym_false] = ACTIONS(2033),
    [sym__single_quote] = ACTIONS(2031),
    [sym__double_quote] = ACTIONS(2031),
    [sym__backtick_quote] = ACTIONS(2031),
    [sym__search_slash_quote] = ACTIONS(2031),
    [sym__open_readline_bracket] = ACTIONS(2031),
    [sym__open_fileglob_bracket] = ACTIONS(2031),
    [sym__PERLY_HEREDOC] = ACTIONS(2031),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2031),
    [sym__filetest] = ACTIONS(2031),
  },
  [1104] = {
    [sym_heredoc_content] = STATE(1104),
    [sym__identifier] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_DOLLAR] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2037),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_my] = ACTIONS(2037),
    [anon_sym_extended] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_sub] = ACTIONS(2037),
    [anon_sym_method] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_state] = ACTIONS(2037),
    [anon_sym_our] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2037),
    [anon_sym_LT_LT] = ACTIONS(2037),
    [anon_sym_SLASH_SLASH] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2037),
    [anon_sym_DASH_DASH] = ACTIONS(2037),
    [anon_sym_BSLASH] = ACTIONS(2035),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_eval] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_field] = ACTIONS(2037),
    [anon_sym_local] = ACTIONS(2037),
    [anon_sym_dynamically] = ACTIONS(2037),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2037),
    [anon_sym_require] = ACTIONS(2037),
    [anon_sym_map] = ACTIONS(2037),
    [anon_sym_grep] = ACTIONS(2037),
    [anon_sym_sort] = ACTIONS(2037),
    [anon_sym_goto] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_undef] = ACTIONS(2037),
    [anon_sym_PERCENT2] = ACTIONS(2037),
    [anon_sym_AMP2] = ACTIONS(2037),
    [anon_sym_STAR2] = ACTIONS(2037),
    [anon_sym_last] = ACTIONS(2037),
    [anon_sym_next] = ACTIONS(2037),
    [anon_sym_redo] = ACTIONS(2037),
    [anon_sym___FILE__] = ACTIONS(2037),
    [anon_sym___LINE__] = ACTIONS(2037),
    [anon_sym___PACKAGE__] = ACTIONS(2037),
    [anon_sym___SUB__] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_fork] = ACTIONS(2037),
    [anon_sym_getppid] = ACTIONS(2037),
    [anon_sym_time] = ACTIONS(2037),
    [anon_sym_times] = ACTIONS(2037),
    [anon_sym_wait] = ACTIONS(2037),
    [anon_sym_wantarray] = ACTIONS(2037),
    [anon_sym_abs] = ACTIONS(2037),
    [anon_sym_alarm] = ACTIONS(2037),
    [anon_sym_chop] = ACTIONS(2037),
    [anon_sym_chdir] = ACTIONS(2037),
    [anon_sym_close] = ACTIONS(2037),
    [anon_sym_closedir] = ACTIONS(2037),
    [anon_sym_caller] = ACTIONS(2037),
    [anon_sym_chomp] = ACTIONS(2037),
    [anon_sym_chr] = ACTIONS(2037),
    [anon_sym_cos] = ACTIONS(2037),
    [anon_sym_chroot] = ACTIONS(2037),
    [anon_sym_defined] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_dbmclose] = ACTIONS(2037),
    [anon_sym_exists] = ACTIONS(2037),
    [anon_sym_exit] = ACTIONS(2037),
    [anon_sym_eof] = ACTIONS(2037),
    [anon_sym_exp] = ACTIONS(2037),
    [anon_sym_each] = ACTIONS(2037),
    [anon_sym_fc] = ACTIONS(2037),
    [anon_sym_fileno] = ACTIONS(2037),
    [anon_sym_gmtime] = ACTIONS(2037),
    [anon_sym_getc] = ACTIONS(2037),
    [anon_sym_getpgrp] = ACTIONS(2037),
    [anon_sym_getprotobyname] = ACTIONS(2037),
    [anon_sym_getpwname] = ACTIONS(2037),
    [anon_sym_getpwuid] = ACTIONS(2037),
    [anon_sym_getpeername] = ACTIONS(2037),
    [anon_sym_getnetbyname] = ACTIONS(2037),
    [anon_sym_getsockname] = ACTIONS(2037),
    [anon_sym_getgrnam] = ACTIONS(2037),
    [anon_sym_getgrgid] = ACTIONS(2037),
    [anon_sym_hex] = ACTIONS(2037),
    [anon_sym_int] = ACTIONS(2037),
    [anon_sym_keys] = ACTIONS(2037),
    [anon_sym_lc] = ACTIONS(2037),
    [anon_sym_lcfirst] = ACTIONS(2037),
    [anon_sym_length] = ACTIONS(2037),
    [anon_sym_localtime] = ACTIONS(2037),
    [anon_sym_log] = ACTIONS(2037),
    [anon_sym_lock] = ACTIONS(2037),
    [anon_sym_lstat] = ACTIONS(2037),
    [anon_sym_oct] = ACTIONS(2037),
    [anon_sym_ord] = ACTIONS(2037),
    [anon_sym_prototype] = ACTIONS(2037),
    [anon_sym_pop] = ACTIONS(2037),
    [anon_sym_pos] = ACTIONS(2037),
    [anon_sym_quotemeta] = ACTIONS(2037),
    [anon_sym_reset] = ACTIONS(2037),
    [anon_sym_rand] = ACTIONS(2037),
    [anon_sym_rmdir] = ACTIONS(2037),
    [anon_sym_readdir] = ACTIONS(2037),
    [anon_sym_readline] = ACTIONS(2037),
    [anon_sym_readpipe] = ACTIONS(2037),
    [anon_sym_rewinddir] = ACTIONS(2037),
    [anon_sym_readlink] = ACTIONS(2037),
    [anon_sym_ref] = ACTIONS(2037),
    [anon_sym_scalar] = ACTIONS(2037),
    [anon_sym_shift] = ACTIONS(2037),
    [anon_sym_sin] = ACTIONS(2037),
    [anon_sym_sleep] = ACTIONS(2037),
    [anon_sym_sqrt] = ACTIONS(2037),
    [anon_sym_srand] = ACTIONS(2037),
    [anon_sym_stat] = ACTIONS(2037),
    [anon_sym_study] = ACTIONS(2037),
    [anon_sym_tell] = ACTIONS(2037),
    [anon_sym_telldir] = ACTIONS(2037),
    [anon_sym_tied] = ACTIONS(2037),
    [anon_sym_uc] = ACTIONS(2037),
    [anon_sym_ucfirst] = ACTIONS(2037),
    [anon_sym_untie] = ACTIONS(2037),
    [anon_sym_umask] = ACTIONS(2037),
    [anon_sym_values] = ACTIONS(2037),
    [anon_sym_write] = ACTIONS(2037),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2037),
    [anon_sym_qq] = ACTIONS(2037),
    [anon_sym_qw] = ACTIONS(2037),
    [anon_sym_qx] = ACTIONS(2037),
    [anon_sym_qr] = ACTIONS(2037),
    [anon_sym_m] = ACTIONS(2037),
    [anon_sym_s] = ACTIONS(2037),
    [anon_sym_tr] = ACTIONS(2037),
    [anon_sym_y] = ACTIONS(2037),
    [aux_sym__bareword_token1] = ACTIONS(2037),
    [sym_number] = ACTIONS(2037),
    [anon_sym_true] = ACTIONS(2037),
    [anon_sym_false] = ACTIONS(2037),
    [sym__single_quote] = ACTIONS(2035),
    [sym__double_quote] = ACTIONS(2035),
    [sym__backtick_quote] = ACTIONS(2035),
    [sym__search_slash_quote] = ACTIONS(2035),
    [sym__open_readline_bracket] = ACTIONS(2035),
    [sym__open_fileglob_bracket] = ACTIONS(2035),
    [sym__PERLY_HEREDOC] = ACTIONS(2035),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2035),
    [sym__filetest] = ACTIONS(2035),
  },
  [1105] = {
    [sym_heredoc_content] = STATE(1105),
    [sym__identifier] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2041),
    [anon_sym_DOLLAR] = ACTIONS(2041),
    [anon_sym_AT] = ACTIONS(2041),
    [anon_sym_RPAREN] = ACTIONS(2041),
    [anon_sym_my] = ACTIONS(2041),
    [anon_sym_extended] = ACTIONS(2041),
    [anon_sym_async] = ACTIONS(2041),
    [anon_sym_sub] = ACTIONS(2041),
    [anon_sym_method] = ACTIONS(2041),
    [anon_sym_LPAREN] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2041),
    [anon_sym_state] = ACTIONS(2041),
    [anon_sym_our] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2041),
    [anon_sym_LT_LT] = ACTIONS(2041),
    [anon_sym_SLASH_SLASH] = ACTIONS(2041),
    [anon_sym_PLUS] = ACTIONS(2041),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(2041),
    [anon_sym_PLUS_PLUS] = ACTIONS(2041),
    [anon_sym_DASH_DASH] = ACTIONS(2041),
    [anon_sym_BSLASH] = ACTIONS(2039),
    [anon_sym_do] = ACTIONS(2041),
    [anon_sym_eval] = ACTIONS(2041),
    [anon_sym_await] = ACTIONS(2041),
    [anon_sym_field] = ACTIONS(2041),
    [anon_sym_local] = ACTIONS(2041),
    [anon_sym_dynamically] = ACTIONS(2041),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2041),
    [anon_sym_require] = ACTIONS(2041),
    [anon_sym_map] = ACTIONS(2041),
    [anon_sym_grep] = ACTIONS(2041),
    [anon_sym_sort] = ACTIONS(2041),
    [anon_sym_goto] = ACTIONS(2041),
    [anon_sym_return] = ACTIONS(2041),
    [anon_sym_undef] = ACTIONS(2041),
    [anon_sym_PERCENT2] = ACTIONS(2041),
    [anon_sym_AMP2] = ACTIONS(2041),
    [anon_sym_STAR2] = ACTIONS(2041),
    [anon_sym_last] = ACTIONS(2041),
    [anon_sym_next] = ACTIONS(2041),
    [anon_sym_redo] = ACTIONS(2041),
    [anon_sym___FILE__] = ACTIONS(2041),
    [anon_sym___LINE__] = ACTIONS(2041),
    [anon_sym___PACKAGE__] = ACTIONS(2041),
    [anon_sym___SUB__] = ACTIONS(2041),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_fork] = ACTIONS(2041),
    [anon_sym_getppid] = ACTIONS(2041),
    [anon_sym_time] = ACTIONS(2041),
    [anon_sym_times] = ACTIONS(2041),
    [anon_sym_wait] = ACTIONS(2041),
    [anon_sym_wantarray] = ACTIONS(2041),
    [anon_sym_abs] = ACTIONS(2041),
    [anon_sym_alarm] = ACTIONS(2041),
    [anon_sym_chop] = ACTIONS(2041),
    [anon_sym_chdir] = ACTIONS(2041),
    [anon_sym_close] = ACTIONS(2041),
    [anon_sym_closedir] = ACTIONS(2041),
    [anon_sym_caller] = ACTIONS(2041),
    [anon_sym_chomp] = ACTIONS(2041),
    [anon_sym_chr] = ACTIONS(2041),
    [anon_sym_cos] = ACTIONS(2041),
    [anon_sym_chroot] = ACTIONS(2041),
    [anon_sym_defined] = ACTIONS(2041),
    [anon_sym_delete] = ACTIONS(2041),
    [anon_sym_dbmclose] = ACTIONS(2041),
    [anon_sym_exists] = ACTIONS(2041),
    [anon_sym_exit] = ACTIONS(2041),
    [anon_sym_eof] = ACTIONS(2041),
    [anon_sym_exp] = ACTIONS(2041),
    [anon_sym_each] = ACTIONS(2041),
    [anon_sym_fc] = ACTIONS(2041),
    [anon_sym_fileno] = ACTIONS(2041),
    [anon_sym_gmtime] = ACTIONS(2041),
    [anon_sym_getc] = ACTIONS(2041),
    [anon_sym_getpgrp] = ACTIONS(2041),
    [anon_sym_getprotobyname] = ACTIONS(2041),
    [anon_sym_getpwname] = ACTIONS(2041),
    [anon_sym_getpwuid] = ACTIONS(2041),
    [anon_sym_getpeername] = ACTIONS(2041),
    [anon_sym_getnetbyname] = ACTIONS(2041),
    [anon_sym_getsockname] = ACTIONS(2041),
    [anon_sym_getgrnam] = ACTIONS(2041),
    [anon_sym_getgrgid] = ACTIONS(2041),
    [anon_sym_hex] = ACTIONS(2041),
    [anon_sym_int] = ACTIONS(2041),
    [anon_sym_keys] = ACTIONS(2041),
    [anon_sym_lc] = ACTIONS(2041),
    [anon_sym_lcfirst] = ACTIONS(2041),
    [anon_sym_length] = ACTIONS(2041),
    [anon_sym_localtime] = ACTIONS(2041),
    [anon_sym_log] = ACTIONS(2041),
    [anon_sym_lock] = ACTIONS(2041),
    [anon_sym_lstat] = ACTIONS(2041),
    [anon_sym_oct] = ACTIONS(2041),
    [anon_sym_ord] = ACTIONS(2041),
    [anon_sym_prototype] = ACTIONS(2041),
    [anon_sym_pop] = ACTIONS(2041),
    [anon_sym_pos] = ACTIONS(2041),
    [anon_sym_quotemeta] = ACTIONS(2041),
    [anon_sym_reset] = ACTIONS(2041),
    [anon_sym_rand] = ACTIONS(2041),
    [anon_sym_rmdir] = ACTIONS(2041),
    [anon_sym_readdir] = ACTIONS(2041),
    [anon_sym_readline] = ACTIONS(2041),
    [anon_sym_readpipe] = ACTIONS(2041),
    [anon_sym_rewinddir] = ACTIONS(2041),
    [anon_sym_readlink] = ACTIONS(2041),
    [anon_sym_ref] = ACTIONS(2041),
    [anon_sym_scalar] = ACTIONS(2041),
    [anon_sym_shift] = ACTIONS(2041),
    [anon_sym_sin] = ACTIONS(2041),
    [anon_sym_sleep] = ACTIONS(2041),
    [anon_sym_sqrt] = ACTIONS(2041),
    [anon_sym_srand] = ACTIONS(2041),
    [anon_sym_stat] = ACTIONS(2041),
    [anon_sym_study] = ACTIONS(2041),
    [anon_sym_tell] = ACTIONS(2041),
    [anon_sym_telldir] = ACTIONS(2041),
    [anon_sym_tied] = ACTIONS(2041),
    [anon_sym_uc] = ACTIONS(2041),
    [anon_sym_ucfirst] = ACTIONS(2041),
    [anon_sym_untie] = ACTIONS(2041),
    [anon_sym_umask] = ACTIONS(2041),
    [anon_sym_values] = ACTIONS(2041),
    [anon_sym_write] = ACTIONS(2041),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2041),
    [anon_sym_qq] = ACTIONS(2041),
    [anon_sym_qw] = ACTIONS(2041),
    [anon_sym_qx] = ACTIONS(2041),
    [anon_sym_qr] = ACTIONS(2041),
    [anon_sym_m] = ACTIONS(2041),
    [anon_sym_s] = ACTIONS(2041),
    [anon_sym_tr] = ACTIONS(2041),
    [anon_sym_y] = ACTIONS(2041),
    [aux_sym__bareword_token1] = ACTIONS(2041),
    [sym_number] = ACTIONS(2041),
    [anon_sym_true] = ACTIONS(2041),
    [anon_sym_false] = ACTIONS(2041),
    [sym__single_quote] = ACTIONS(2039),
    [sym__double_quote] = ACTIONS(2039),
    [sym__backtick_quote] = ACTIONS(2039),
    [sym__search_slash_quote] = ACTIONS(2039),
    [sym__open_readline_bracket] = ACTIONS(2039),
    [sym__open_fileglob_bracket] = ACTIONS(2039),
    [sym__PERLY_HEREDOC] = ACTIONS(2039),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2039),
    [sym__filetest] = ACTIONS(2039),
  },
  [1106] = {
    [sym_heredoc_content] = STATE(1106),
    [sym__identifier] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2045),
    [anon_sym_DOLLAR] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2045),
    [anon_sym_RPAREN] = ACTIONS(2045),
    [anon_sym_my] = ACTIONS(2045),
    [anon_sym_extended] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_sub] = ACTIONS(2045),
    [anon_sym_method] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_state] = ACTIONS(2045),
    [anon_sym_our] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_LT_LT] = ACTIONS(2045),
    [anon_sym_SLASH_SLASH] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2045),
    [anon_sym_DASH_DASH] = ACTIONS(2045),
    [anon_sym_BSLASH] = ACTIONS(2043),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_eval] = ACTIONS(2045),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_field] = ACTIONS(2045),
    [anon_sym_local] = ACTIONS(2045),
    [anon_sym_dynamically] = ACTIONS(2045),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2045),
    [anon_sym_require] = ACTIONS(2045),
    [anon_sym_map] = ACTIONS(2045),
    [anon_sym_grep] = ACTIONS(2045),
    [anon_sym_sort] = ACTIONS(2045),
    [anon_sym_goto] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_undef] = ACTIONS(2045),
    [anon_sym_PERCENT2] = ACTIONS(2045),
    [anon_sym_AMP2] = ACTIONS(2045),
    [anon_sym_STAR2] = ACTIONS(2045),
    [anon_sym_last] = ACTIONS(2045),
    [anon_sym_next] = ACTIONS(2045),
    [anon_sym_redo] = ACTIONS(2045),
    [anon_sym___FILE__] = ACTIONS(2045),
    [anon_sym___LINE__] = ACTIONS(2045),
    [anon_sym___PACKAGE__] = ACTIONS(2045),
    [anon_sym___SUB__] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_fork] = ACTIONS(2045),
    [anon_sym_getppid] = ACTIONS(2045),
    [anon_sym_time] = ACTIONS(2045),
    [anon_sym_times] = ACTIONS(2045),
    [anon_sym_wait] = ACTIONS(2045),
    [anon_sym_wantarray] = ACTIONS(2045),
    [anon_sym_abs] = ACTIONS(2045),
    [anon_sym_alarm] = ACTIONS(2045),
    [anon_sym_chop] = ACTIONS(2045),
    [anon_sym_chdir] = ACTIONS(2045),
    [anon_sym_close] = ACTIONS(2045),
    [anon_sym_closedir] = ACTIONS(2045),
    [anon_sym_caller] = ACTIONS(2045),
    [anon_sym_chomp] = ACTIONS(2045),
    [anon_sym_chr] = ACTIONS(2045),
    [anon_sym_cos] = ACTIONS(2045),
    [anon_sym_chroot] = ACTIONS(2045),
    [anon_sym_defined] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_dbmclose] = ACTIONS(2045),
    [anon_sym_exists] = ACTIONS(2045),
    [anon_sym_exit] = ACTIONS(2045),
    [anon_sym_eof] = ACTIONS(2045),
    [anon_sym_exp] = ACTIONS(2045),
    [anon_sym_each] = ACTIONS(2045),
    [anon_sym_fc] = ACTIONS(2045),
    [anon_sym_fileno] = ACTIONS(2045),
    [anon_sym_gmtime] = ACTIONS(2045),
    [anon_sym_getc] = ACTIONS(2045),
    [anon_sym_getpgrp] = ACTIONS(2045),
    [anon_sym_getprotobyname] = ACTIONS(2045),
    [anon_sym_getpwname] = ACTIONS(2045),
    [anon_sym_getpwuid] = ACTIONS(2045),
    [anon_sym_getpeername] = ACTIONS(2045),
    [anon_sym_getnetbyname] = ACTIONS(2045),
    [anon_sym_getsockname] = ACTIONS(2045),
    [anon_sym_getgrnam] = ACTIONS(2045),
    [anon_sym_getgrgid] = ACTIONS(2045),
    [anon_sym_hex] = ACTIONS(2045),
    [anon_sym_int] = ACTIONS(2045),
    [anon_sym_keys] = ACTIONS(2045),
    [anon_sym_lc] = ACTIONS(2045),
    [anon_sym_lcfirst] = ACTIONS(2045),
    [anon_sym_length] = ACTIONS(2045),
    [anon_sym_localtime] = ACTIONS(2045),
    [anon_sym_log] = ACTIONS(2045),
    [anon_sym_lock] = ACTIONS(2045),
    [anon_sym_lstat] = ACTIONS(2045),
    [anon_sym_oct] = ACTIONS(2045),
    [anon_sym_ord] = ACTIONS(2045),
    [anon_sym_prototype] = ACTIONS(2045),
    [anon_sym_pop] = ACTIONS(2045),
    [anon_sym_pos] = ACTIONS(2045),
    [anon_sym_quotemeta] = ACTIONS(2045),
    [anon_sym_reset] = ACTIONS(2045),
    [anon_sym_rand] = ACTIONS(2045),
    [anon_sym_rmdir] = ACTIONS(2045),
    [anon_sym_readdir] = ACTIONS(2045),
    [anon_sym_readline] = ACTIONS(2045),
    [anon_sym_readpipe] = ACTIONS(2045),
    [anon_sym_rewinddir] = ACTIONS(2045),
    [anon_sym_readlink] = ACTIONS(2045),
    [anon_sym_ref] = ACTIONS(2045),
    [anon_sym_scalar] = ACTIONS(2045),
    [anon_sym_shift] = ACTIONS(2045),
    [anon_sym_sin] = ACTIONS(2045),
    [anon_sym_sleep] = ACTIONS(2045),
    [anon_sym_sqrt] = ACTIONS(2045),
    [anon_sym_srand] = ACTIONS(2045),
    [anon_sym_stat] = ACTIONS(2045),
    [anon_sym_study] = ACTIONS(2045),
    [anon_sym_tell] = ACTIONS(2045),
    [anon_sym_telldir] = ACTIONS(2045),
    [anon_sym_tied] = ACTIONS(2045),
    [anon_sym_uc] = ACTIONS(2045),
    [anon_sym_ucfirst] = ACTIONS(2045),
    [anon_sym_untie] = ACTIONS(2045),
    [anon_sym_umask] = ACTIONS(2045),
    [anon_sym_values] = ACTIONS(2045),
    [anon_sym_write] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2045),
    [anon_sym_qq] = ACTIONS(2045),
    [anon_sym_qw] = ACTIONS(2045),
    [anon_sym_qx] = ACTIONS(2045),
    [anon_sym_qr] = ACTIONS(2045),
    [anon_sym_m] = ACTIONS(2045),
    [anon_sym_s] = ACTIONS(2045),
    [anon_sym_tr] = ACTIONS(2045),
    [anon_sym_y] = ACTIONS(2045),
    [aux_sym__bareword_token1] = ACTIONS(2045),
    [sym_number] = ACTIONS(2045),
    [anon_sym_true] = ACTIONS(2045),
    [anon_sym_false] = ACTIONS(2045),
    [sym__single_quote] = ACTIONS(2043),
    [sym__double_quote] = ACTIONS(2043),
    [sym__backtick_quote] = ACTIONS(2043),
    [sym__search_slash_quote] = ACTIONS(2043),
    [sym__open_readline_bracket] = ACTIONS(2043),
    [sym__open_fileglob_bracket] = ACTIONS(2043),
    [sym__PERLY_HEREDOC] = ACTIONS(2043),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2043),
    [sym__filetest] = ACTIONS(2043),
  },
  [1107] = {
    [sym_heredoc_content] = STATE(1107),
    [sym__identifier] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2173),
    [anon_sym_DOLLAR] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2173),
    [anon_sym_RPAREN] = ACTIONS(2173),
    [anon_sym_my] = ACTIONS(2173),
    [anon_sym_extended] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_sub] = ACTIONS(2173),
    [anon_sym_method] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_state] = ACTIONS(2173),
    [anon_sym_our] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2173),
    [anon_sym_LT_LT] = ACTIONS(2173),
    [anon_sym_SLASH_SLASH] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2173),
    [anon_sym_DASH_DASH] = ACTIONS(2173),
    [anon_sym_BSLASH] = ACTIONS(2171),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_eval] = ACTIONS(2173),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_field] = ACTIONS(2173),
    [anon_sym_local] = ACTIONS(2173),
    [anon_sym_dynamically] = ACTIONS(2173),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2173),
    [anon_sym_require] = ACTIONS(2173),
    [anon_sym_map] = ACTIONS(2173),
    [anon_sym_grep] = ACTIONS(2173),
    [anon_sym_sort] = ACTIONS(2173),
    [anon_sym_goto] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_undef] = ACTIONS(2173),
    [anon_sym_PERCENT2] = ACTIONS(2173),
    [anon_sym_AMP2] = ACTIONS(2173),
    [anon_sym_STAR2] = ACTIONS(2173),
    [anon_sym_last] = ACTIONS(2173),
    [anon_sym_next] = ACTIONS(2173),
    [anon_sym_redo] = ACTIONS(2173),
    [anon_sym___FILE__] = ACTIONS(2173),
    [anon_sym___LINE__] = ACTIONS(2173),
    [anon_sym___PACKAGE__] = ACTIONS(2173),
    [anon_sym___SUB__] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_fork] = ACTIONS(2173),
    [anon_sym_getppid] = ACTIONS(2173),
    [anon_sym_time] = ACTIONS(2173),
    [anon_sym_times] = ACTIONS(2173),
    [anon_sym_wait] = ACTIONS(2173),
    [anon_sym_wantarray] = ACTIONS(2173),
    [anon_sym_abs] = ACTIONS(2173),
    [anon_sym_alarm] = ACTIONS(2173),
    [anon_sym_chop] = ACTIONS(2173),
    [anon_sym_chdir] = ACTIONS(2173),
    [anon_sym_close] = ACTIONS(2173),
    [anon_sym_closedir] = ACTIONS(2173),
    [anon_sym_caller] = ACTIONS(2173),
    [anon_sym_chomp] = ACTIONS(2173),
    [anon_sym_chr] = ACTIONS(2173),
    [anon_sym_cos] = ACTIONS(2173),
    [anon_sym_chroot] = ACTIONS(2173),
    [anon_sym_defined] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_dbmclose] = ACTIONS(2173),
    [anon_sym_exists] = ACTIONS(2173),
    [anon_sym_exit] = ACTIONS(2173),
    [anon_sym_eof] = ACTIONS(2173),
    [anon_sym_exp] = ACTIONS(2173),
    [anon_sym_each] = ACTIONS(2173),
    [anon_sym_fc] = ACTIONS(2173),
    [anon_sym_fileno] = ACTIONS(2173),
    [anon_sym_gmtime] = ACTIONS(2173),
    [anon_sym_getc] = ACTIONS(2173),
    [anon_sym_getpgrp] = ACTIONS(2173),
    [anon_sym_getprotobyname] = ACTIONS(2173),
    [anon_sym_getpwname] = ACTIONS(2173),
    [anon_sym_getpwuid] = ACTIONS(2173),
    [anon_sym_getpeername] = ACTIONS(2173),
    [anon_sym_getnetbyname] = ACTIONS(2173),
    [anon_sym_getsockname] = ACTIONS(2173),
    [anon_sym_getgrnam] = ACTIONS(2173),
    [anon_sym_getgrgid] = ACTIONS(2173),
    [anon_sym_hex] = ACTIONS(2173),
    [anon_sym_int] = ACTIONS(2173),
    [anon_sym_keys] = ACTIONS(2173),
    [anon_sym_lc] = ACTIONS(2173),
    [anon_sym_lcfirst] = ACTIONS(2173),
    [anon_sym_length] = ACTIONS(2173),
    [anon_sym_localtime] = ACTIONS(2173),
    [anon_sym_log] = ACTIONS(2173),
    [anon_sym_lock] = ACTIONS(2173),
    [anon_sym_lstat] = ACTIONS(2173),
    [anon_sym_oct] = ACTIONS(2173),
    [anon_sym_ord] = ACTIONS(2173),
    [anon_sym_prototype] = ACTIONS(2173),
    [anon_sym_pop] = ACTIONS(2173),
    [anon_sym_pos] = ACTIONS(2173),
    [anon_sym_quotemeta] = ACTIONS(2173),
    [anon_sym_reset] = ACTIONS(2173),
    [anon_sym_rand] = ACTIONS(2173),
    [anon_sym_rmdir] = ACTIONS(2173),
    [anon_sym_readdir] = ACTIONS(2173),
    [anon_sym_readline] = ACTIONS(2173),
    [anon_sym_readpipe] = ACTIONS(2173),
    [anon_sym_rewinddir] = ACTIONS(2173),
    [anon_sym_readlink] = ACTIONS(2173),
    [anon_sym_ref] = ACTIONS(2173),
    [anon_sym_scalar] = ACTIONS(2173),
    [anon_sym_shift] = ACTIONS(2173),
    [anon_sym_sin] = ACTIONS(2173),
    [anon_sym_sleep] = ACTIONS(2173),
    [anon_sym_sqrt] = ACTIONS(2173),
    [anon_sym_srand] = ACTIONS(2173),
    [anon_sym_stat] = ACTIONS(2173),
    [anon_sym_study] = ACTIONS(2173),
    [anon_sym_tell] = ACTIONS(2173),
    [anon_sym_telldir] = ACTIONS(2173),
    [anon_sym_tied] = ACTIONS(2173),
    [anon_sym_uc] = ACTIONS(2173),
    [anon_sym_ucfirst] = ACTIONS(2173),
    [anon_sym_untie] = ACTIONS(2173),
    [anon_sym_umask] = ACTIONS(2173),
    [anon_sym_values] = ACTIONS(2173),
    [anon_sym_write] = ACTIONS(2173),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2173),
    [anon_sym_qq] = ACTIONS(2173),
    [anon_sym_qw] = ACTIONS(2173),
    [anon_sym_qx] = ACTIONS(2173),
    [anon_sym_qr] = ACTIONS(2173),
    [anon_sym_m] = ACTIONS(2173),
    [anon_sym_s] = ACTIONS(2173),
    [anon_sym_tr] = ACTIONS(2173),
    [anon_sym_y] = ACTIONS(2173),
    [aux_sym__bareword_token1] = ACTIONS(2173),
    [sym_number] = ACTIONS(2173),
    [anon_sym_true] = ACTIONS(2173),
    [anon_sym_false] = ACTIONS(2173),
    [sym__single_quote] = ACTIONS(2171),
    [sym__double_quote] = ACTIONS(2171),
    [sym__backtick_quote] = ACTIONS(2171),
    [sym__search_slash_quote] = ACTIONS(2171),
    [sym__open_readline_bracket] = ACTIONS(2171),
    [sym__open_fileglob_bracket] = ACTIONS(2171),
    [sym__PERLY_HEREDOC] = ACTIONS(2171),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2171),
    [sym__filetest] = ACTIONS(2171),
  },
  [1108] = {
    [sym_heredoc_content] = STATE(1108),
    [sym__identifier] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2053),
    [anon_sym_DOLLAR] = ACTIONS(2053),
    [anon_sym_AT] = ACTIONS(2053),
    [anon_sym_RPAREN] = ACTIONS(2053),
    [anon_sym_my] = ACTIONS(2053),
    [anon_sym_extended] = ACTIONS(2053),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_sub] = ACTIONS(2053),
    [anon_sym_method] = ACTIONS(2053),
    [anon_sym_LPAREN] = ACTIONS(2053),
    [anon_sym_continue] = ACTIONS(2053),
    [anon_sym_state] = ACTIONS(2053),
    [anon_sym_our] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2053),
    [anon_sym_LT_LT] = ACTIONS(2053),
    [anon_sym_SLASH_SLASH] = ACTIONS(2053),
    [anon_sym_PLUS] = ACTIONS(2053),
    [anon_sym_DASH] = ACTIONS(2053),
    [anon_sym_TILDE] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(2053),
    [anon_sym_PLUS_PLUS] = ACTIONS(2053),
    [anon_sym_DASH_DASH] = ACTIONS(2053),
    [anon_sym_BSLASH] = ACTIONS(2051),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_eval] = ACTIONS(2053),
    [anon_sym_await] = ACTIONS(2053),
    [anon_sym_field] = ACTIONS(2053),
    [anon_sym_local] = ACTIONS(2053),
    [anon_sym_dynamically] = ACTIONS(2053),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2053),
    [anon_sym_require] = ACTIONS(2053),
    [anon_sym_map] = ACTIONS(2053),
    [anon_sym_grep] = ACTIONS(2053),
    [anon_sym_sort] = ACTIONS(2053),
    [anon_sym_goto] = ACTIONS(2053),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_undef] = ACTIONS(2053),
    [anon_sym_PERCENT2] = ACTIONS(2053),
    [anon_sym_AMP2] = ACTIONS(2053),
    [anon_sym_STAR2] = ACTIONS(2053),
    [anon_sym_last] = ACTIONS(2053),
    [anon_sym_next] = ACTIONS(2053),
    [anon_sym_redo] = ACTIONS(2053),
    [anon_sym___FILE__] = ACTIONS(2053),
    [anon_sym___LINE__] = ACTIONS(2053),
    [anon_sym___PACKAGE__] = ACTIONS(2053),
    [anon_sym___SUB__] = ACTIONS(2053),
    [anon_sym_break] = ACTIONS(2053),
    [anon_sym_fork] = ACTIONS(2053),
    [anon_sym_getppid] = ACTIONS(2053),
    [anon_sym_time] = ACTIONS(2053),
    [anon_sym_times] = ACTIONS(2053),
    [anon_sym_wait] = ACTIONS(2053),
    [anon_sym_wantarray] = ACTIONS(2053),
    [anon_sym_abs] = ACTIONS(2053),
    [anon_sym_alarm] = ACTIONS(2053),
    [anon_sym_chop] = ACTIONS(2053),
    [anon_sym_chdir] = ACTIONS(2053),
    [anon_sym_close] = ACTIONS(2053),
    [anon_sym_closedir] = ACTIONS(2053),
    [anon_sym_caller] = ACTIONS(2053),
    [anon_sym_chomp] = ACTIONS(2053),
    [anon_sym_chr] = ACTIONS(2053),
    [anon_sym_cos] = ACTIONS(2053),
    [anon_sym_chroot] = ACTIONS(2053),
    [anon_sym_defined] = ACTIONS(2053),
    [anon_sym_delete] = ACTIONS(2053),
    [anon_sym_dbmclose] = ACTIONS(2053),
    [anon_sym_exists] = ACTIONS(2053),
    [anon_sym_exit] = ACTIONS(2053),
    [anon_sym_eof] = ACTIONS(2053),
    [anon_sym_exp] = ACTIONS(2053),
    [anon_sym_each] = ACTIONS(2053),
    [anon_sym_fc] = ACTIONS(2053),
    [anon_sym_fileno] = ACTIONS(2053),
    [anon_sym_gmtime] = ACTIONS(2053),
    [anon_sym_getc] = ACTIONS(2053),
    [anon_sym_getpgrp] = ACTIONS(2053),
    [anon_sym_getprotobyname] = ACTIONS(2053),
    [anon_sym_getpwname] = ACTIONS(2053),
    [anon_sym_getpwuid] = ACTIONS(2053),
    [anon_sym_getpeername] = ACTIONS(2053),
    [anon_sym_getnetbyname] = ACTIONS(2053),
    [anon_sym_getsockname] = ACTIONS(2053),
    [anon_sym_getgrnam] = ACTIONS(2053),
    [anon_sym_getgrgid] = ACTIONS(2053),
    [anon_sym_hex] = ACTIONS(2053),
    [anon_sym_int] = ACTIONS(2053),
    [anon_sym_keys] = ACTIONS(2053),
    [anon_sym_lc] = ACTIONS(2053),
    [anon_sym_lcfirst] = ACTIONS(2053),
    [anon_sym_length] = ACTIONS(2053),
    [anon_sym_localtime] = ACTIONS(2053),
    [anon_sym_log] = ACTIONS(2053),
    [anon_sym_lock] = ACTIONS(2053),
    [anon_sym_lstat] = ACTIONS(2053),
    [anon_sym_oct] = ACTIONS(2053),
    [anon_sym_ord] = ACTIONS(2053),
    [anon_sym_prototype] = ACTIONS(2053),
    [anon_sym_pop] = ACTIONS(2053),
    [anon_sym_pos] = ACTIONS(2053),
    [anon_sym_quotemeta] = ACTIONS(2053),
    [anon_sym_reset] = ACTIONS(2053),
    [anon_sym_rand] = ACTIONS(2053),
    [anon_sym_rmdir] = ACTIONS(2053),
    [anon_sym_readdir] = ACTIONS(2053),
    [anon_sym_readline] = ACTIONS(2053),
    [anon_sym_readpipe] = ACTIONS(2053),
    [anon_sym_rewinddir] = ACTIONS(2053),
    [anon_sym_readlink] = ACTIONS(2053),
    [anon_sym_ref] = ACTIONS(2053),
    [anon_sym_scalar] = ACTIONS(2053),
    [anon_sym_shift] = ACTIONS(2053),
    [anon_sym_sin] = ACTIONS(2053),
    [anon_sym_sleep] = ACTIONS(2053),
    [anon_sym_sqrt] = ACTIONS(2053),
    [anon_sym_srand] = ACTIONS(2053),
    [anon_sym_stat] = ACTIONS(2053),
    [anon_sym_study] = ACTIONS(2053),
    [anon_sym_tell] = ACTIONS(2053),
    [anon_sym_telldir] = ACTIONS(2053),
    [anon_sym_tied] = ACTIONS(2053),
    [anon_sym_uc] = ACTIONS(2053),
    [anon_sym_ucfirst] = ACTIONS(2053),
    [anon_sym_untie] = ACTIONS(2053),
    [anon_sym_umask] = ACTIONS(2053),
    [anon_sym_values] = ACTIONS(2053),
    [anon_sym_write] = ACTIONS(2053),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2053),
    [anon_sym_qq] = ACTIONS(2053),
    [anon_sym_qw] = ACTIONS(2053),
    [anon_sym_qx] = ACTIONS(2053),
    [anon_sym_qr] = ACTIONS(2053),
    [anon_sym_m] = ACTIONS(2053),
    [anon_sym_s] = ACTIONS(2053),
    [anon_sym_tr] = ACTIONS(2053),
    [anon_sym_y] = ACTIONS(2053),
    [aux_sym__bareword_token1] = ACTIONS(2053),
    [sym_number] = ACTIONS(2053),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [sym__single_quote] = ACTIONS(2051),
    [sym__double_quote] = ACTIONS(2051),
    [sym__backtick_quote] = ACTIONS(2051),
    [sym__search_slash_quote] = ACTIONS(2051),
    [sym__open_readline_bracket] = ACTIONS(2051),
    [sym__open_fileglob_bracket] = ACTIONS(2051),
    [sym__PERLY_HEREDOC] = ACTIONS(2051),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2051),
    [sym__filetest] = ACTIONS(2051),
  },
  [1109] = {
    [sym_heredoc_content] = STATE(1109),
    [sym__identifier] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2061),
    [anon_sym_DOLLAR] = ACTIONS(2061),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_RPAREN] = ACTIONS(2061),
    [anon_sym_my] = ACTIONS(2061),
    [anon_sym_extended] = ACTIONS(2061),
    [anon_sym_async] = ACTIONS(2061),
    [anon_sym_sub] = ACTIONS(2061),
    [anon_sym_method] = ACTIONS(2061),
    [anon_sym_LPAREN] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_state] = ACTIONS(2061),
    [anon_sym_our] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_LT_LT] = ACTIONS(2061),
    [anon_sym_SLASH_SLASH] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_TILDE] = ACTIONS(2061),
    [anon_sym_BANG] = ACTIONS(2061),
    [anon_sym_PLUS_PLUS] = ACTIONS(2061),
    [anon_sym_DASH_DASH] = ACTIONS(2061),
    [anon_sym_BSLASH] = ACTIONS(2059),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_eval] = ACTIONS(2061),
    [anon_sym_await] = ACTIONS(2061),
    [anon_sym_field] = ACTIONS(2061),
    [anon_sym_local] = ACTIONS(2061),
    [anon_sym_dynamically] = ACTIONS(2061),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2061),
    [anon_sym_require] = ACTIONS(2061),
    [anon_sym_map] = ACTIONS(2061),
    [anon_sym_grep] = ACTIONS(2061),
    [anon_sym_sort] = ACTIONS(2061),
    [anon_sym_goto] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_undef] = ACTIONS(2061),
    [anon_sym_PERCENT2] = ACTIONS(2061),
    [anon_sym_AMP2] = ACTIONS(2061),
    [anon_sym_STAR2] = ACTIONS(2061),
    [anon_sym_last] = ACTIONS(2061),
    [anon_sym_next] = ACTIONS(2061),
    [anon_sym_redo] = ACTIONS(2061),
    [anon_sym___FILE__] = ACTIONS(2061),
    [anon_sym___LINE__] = ACTIONS(2061),
    [anon_sym___PACKAGE__] = ACTIONS(2061),
    [anon_sym___SUB__] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_fork] = ACTIONS(2061),
    [anon_sym_getppid] = ACTIONS(2061),
    [anon_sym_time] = ACTIONS(2061),
    [anon_sym_times] = ACTIONS(2061),
    [anon_sym_wait] = ACTIONS(2061),
    [anon_sym_wantarray] = ACTIONS(2061),
    [anon_sym_abs] = ACTIONS(2061),
    [anon_sym_alarm] = ACTIONS(2061),
    [anon_sym_chop] = ACTIONS(2061),
    [anon_sym_chdir] = ACTIONS(2061),
    [anon_sym_close] = ACTIONS(2061),
    [anon_sym_closedir] = ACTIONS(2061),
    [anon_sym_caller] = ACTIONS(2061),
    [anon_sym_chomp] = ACTIONS(2061),
    [anon_sym_chr] = ACTIONS(2061),
    [anon_sym_cos] = ACTIONS(2061),
    [anon_sym_chroot] = ACTIONS(2061),
    [anon_sym_defined] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_dbmclose] = ACTIONS(2061),
    [anon_sym_exists] = ACTIONS(2061),
    [anon_sym_exit] = ACTIONS(2061),
    [anon_sym_eof] = ACTIONS(2061),
    [anon_sym_exp] = ACTIONS(2061),
    [anon_sym_each] = ACTIONS(2061),
    [anon_sym_fc] = ACTIONS(2061),
    [anon_sym_fileno] = ACTIONS(2061),
    [anon_sym_gmtime] = ACTIONS(2061),
    [anon_sym_getc] = ACTIONS(2061),
    [anon_sym_getpgrp] = ACTIONS(2061),
    [anon_sym_getprotobyname] = ACTIONS(2061),
    [anon_sym_getpwname] = ACTIONS(2061),
    [anon_sym_getpwuid] = ACTIONS(2061),
    [anon_sym_getpeername] = ACTIONS(2061),
    [anon_sym_getnetbyname] = ACTIONS(2061),
    [anon_sym_getsockname] = ACTIONS(2061),
    [anon_sym_getgrnam] = ACTIONS(2061),
    [anon_sym_getgrgid] = ACTIONS(2061),
    [anon_sym_hex] = ACTIONS(2061),
    [anon_sym_int] = ACTIONS(2061),
    [anon_sym_keys] = ACTIONS(2061),
    [anon_sym_lc] = ACTIONS(2061),
    [anon_sym_lcfirst] = ACTIONS(2061),
    [anon_sym_length] = ACTIONS(2061),
    [anon_sym_localtime] = ACTIONS(2061),
    [anon_sym_log] = ACTIONS(2061),
    [anon_sym_lock] = ACTIONS(2061),
    [anon_sym_lstat] = ACTIONS(2061),
    [anon_sym_oct] = ACTIONS(2061),
    [anon_sym_ord] = ACTIONS(2061),
    [anon_sym_prototype] = ACTIONS(2061),
    [anon_sym_pop] = ACTIONS(2061),
    [anon_sym_pos] = ACTIONS(2061),
    [anon_sym_quotemeta] = ACTIONS(2061),
    [anon_sym_reset] = ACTIONS(2061),
    [anon_sym_rand] = ACTIONS(2061),
    [anon_sym_rmdir] = ACTIONS(2061),
    [anon_sym_readdir] = ACTIONS(2061),
    [anon_sym_readline] = ACTIONS(2061),
    [anon_sym_readpipe] = ACTIONS(2061),
    [anon_sym_rewinddir] = ACTIONS(2061),
    [anon_sym_readlink] = ACTIONS(2061),
    [anon_sym_ref] = ACTIONS(2061),
    [anon_sym_scalar] = ACTIONS(2061),
    [anon_sym_shift] = ACTIONS(2061),
    [anon_sym_sin] = ACTIONS(2061),
    [anon_sym_sleep] = ACTIONS(2061),
    [anon_sym_sqrt] = ACTIONS(2061),
    [anon_sym_srand] = ACTIONS(2061),
    [anon_sym_stat] = ACTIONS(2061),
    [anon_sym_study] = ACTIONS(2061),
    [anon_sym_tell] = ACTIONS(2061),
    [anon_sym_telldir] = ACTIONS(2061),
    [anon_sym_tied] = ACTIONS(2061),
    [anon_sym_uc] = ACTIONS(2061),
    [anon_sym_ucfirst] = ACTIONS(2061),
    [anon_sym_untie] = ACTIONS(2061),
    [anon_sym_umask] = ACTIONS(2061),
    [anon_sym_values] = ACTIONS(2061),
    [anon_sym_write] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2061),
    [anon_sym_qq] = ACTIONS(2061),
    [anon_sym_qw] = ACTIONS(2061),
    [anon_sym_qx] = ACTIONS(2061),
    [anon_sym_qr] = ACTIONS(2061),
    [anon_sym_m] = ACTIONS(2061),
    [anon_sym_s] = ACTIONS(2061),
    [anon_sym_tr] = ACTIONS(2061),
    [anon_sym_y] = ACTIONS(2061),
    [aux_sym__bareword_token1] = ACTIONS(2061),
    [sym_number] = ACTIONS(2061),
    [anon_sym_true] = ACTIONS(2061),
    [anon_sym_false] = ACTIONS(2061),
    [sym__single_quote] = ACTIONS(2059),
    [sym__double_quote] = ACTIONS(2059),
    [sym__backtick_quote] = ACTIONS(2059),
    [sym__search_slash_quote] = ACTIONS(2059),
    [sym__open_readline_bracket] = ACTIONS(2059),
    [sym__open_fileglob_bracket] = ACTIONS(2059),
    [sym__PERLY_HEREDOC] = ACTIONS(2059),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2059),
    [sym__filetest] = ACTIONS(2059),
  },
  [1110] = {
    [sym_heredoc_content] = STATE(1110),
    [sym__identifier] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2065),
    [anon_sym_DOLLAR] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2065),
    [anon_sym_RPAREN] = ACTIONS(2065),
    [anon_sym_my] = ACTIONS(2065),
    [anon_sym_extended] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_sub] = ACTIONS(2065),
    [anon_sym_method] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_state] = ACTIONS(2065),
    [anon_sym_our] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2065),
    [anon_sym_LT_LT] = ACTIONS(2065),
    [anon_sym_SLASH_SLASH] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2065),
    [anon_sym_DASH_DASH] = ACTIONS(2065),
    [anon_sym_BSLASH] = ACTIONS(2063),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_eval] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_field] = ACTIONS(2065),
    [anon_sym_local] = ACTIONS(2065),
    [anon_sym_dynamically] = ACTIONS(2065),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2065),
    [anon_sym_require] = ACTIONS(2065),
    [anon_sym_map] = ACTIONS(2065),
    [anon_sym_grep] = ACTIONS(2065),
    [anon_sym_sort] = ACTIONS(2065),
    [anon_sym_goto] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_undef] = ACTIONS(2065),
    [anon_sym_PERCENT2] = ACTIONS(2065),
    [anon_sym_AMP2] = ACTIONS(2065),
    [anon_sym_STAR2] = ACTIONS(2065),
    [anon_sym_last] = ACTIONS(2065),
    [anon_sym_next] = ACTIONS(2065),
    [anon_sym_redo] = ACTIONS(2065),
    [anon_sym___FILE__] = ACTIONS(2065),
    [anon_sym___LINE__] = ACTIONS(2065),
    [anon_sym___PACKAGE__] = ACTIONS(2065),
    [anon_sym___SUB__] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_fork] = ACTIONS(2065),
    [anon_sym_getppid] = ACTIONS(2065),
    [anon_sym_time] = ACTIONS(2065),
    [anon_sym_times] = ACTIONS(2065),
    [anon_sym_wait] = ACTIONS(2065),
    [anon_sym_wantarray] = ACTIONS(2065),
    [anon_sym_abs] = ACTIONS(2065),
    [anon_sym_alarm] = ACTIONS(2065),
    [anon_sym_chop] = ACTIONS(2065),
    [anon_sym_chdir] = ACTIONS(2065),
    [anon_sym_close] = ACTIONS(2065),
    [anon_sym_closedir] = ACTIONS(2065),
    [anon_sym_caller] = ACTIONS(2065),
    [anon_sym_chomp] = ACTIONS(2065),
    [anon_sym_chr] = ACTIONS(2065),
    [anon_sym_cos] = ACTIONS(2065),
    [anon_sym_chroot] = ACTIONS(2065),
    [anon_sym_defined] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_dbmclose] = ACTIONS(2065),
    [anon_sym_exists] = ACTIONS(2065),
    [anon_sym_exit] = ACTIONS(2065),
    [anon_sym_eof] = ACTIONS(2065),
    [anon_sym_exp] = ACTIONS(2065),
    [anon_sym_each] = ACTIONS(2065),
    [anon_sym_fc] = ACTIONS(2065),
    [anon_sym_fileno] = ACTIONS(2065),
    [anon_sym_gmtime] = ACTIONS(2065),
    [anon_sym_getc] = ACTIONS(2065),
    [anon_sym_getpgrp] = ACTIONS(2065),
    [anon_sym_getprotobyname] = ACTIONS(2065),
    [anon_sym_getpwname] = ACTIONS(2065),
    [anon_sym_getpwuid] = ACTIONS(2065),
    [anon_sym_getpeername] = ACTIONS(2065),
    [anon_sym_getnetbyname] = ACTIONS(2065),
    [anon_sym_getsockname] = ACTIONS(2065),
    [anon_sym_getgrnam] = ACTIONS(2065),
    [anon_sym_getgrgid] = ACTIONS(2065),
    [anon_sym_hex] = ACTIONS(2065),
    [anon_sym_int] = ACTIONS(2065),
    [anon_sym_keys] = ACTIONS(2065),
    [anon_sym_lc] = ACTIONS(2065),
    [anon_sym_lcfirst] = ACTIONS(2065),
    [anon_sym_length] = ACTIONS(2065),
    [anon_sym_localtime] = ACTIONS(2065),
    [anon_sym_log] = ACTIONS(2065),
    [anon_sym_lock] = ACTIONS(2065),
    [anon_sym_lstat] = ACTIONS(2065),
    [anon_sym_oct] = ACTIONS(2065),
    [anon_sym_ord] = ACTIONS(2065),
    [anon_sym_prototype] = ACTIONS(2065),
    [anon_sym_pop] = ACTIONS(2065),
    [anon_sym_pos] = ACTIONS(2065),
    [anon_sym_quotemeta] = ACTIONS(2065),
    [anon_sym_reset] = ACTIONS(2065),
    [anon_sym_rand] = ACTIONS(2065),
    [anon_sym_rmdir] = ACTIONS(2065),
    [anon_sym_readdir] = ACTIONS(2065),
    [anon_sym_readline] = ACTIONS(2065),
    [anon_sym_readpipe] = ACTIONS(2065),
    [anon_sym_rewinddir] = ACTIONS(2065),
    [anon_sym_readlink] = ACTIONS(2065),
    [anon_sym_ref] = ACTIONS(2065),
    [anon_sym_scalar] = ACTIONS(2065),
    [anon_sym_shift] = ACTIONS(2065),
    [anon_sym_sin] = ACTIONS(2065),
    [anon_sym_sleep] = ACTIONS(2065),
    [anon_sym_sqrt] = ACTIONS(2065),
    [anon_sym_srand] = ACTIONS(2065),
    [anon_sym_stat] = ACTIONS(2065),
    [anon_sym_study] = ACTIONS(2065),
    [anon_sym_tell] = ACTIONS(2065),
    [anon_sym_telldir] = ACTIONS(2065),
    [anon_sym_tied] = ACTIONS(2065),
    [anon_sym_uc] = ACTIONS(2065),
    [anon_sym_ucfirst] = ACTIONS(2065),
    [anon_sym_untie] = ACTIONS(2065),
    [anon_sym_umask] = ACTIONS(2065),
    [anon_sym_values] = ACTIONS(2065),
    [anon_sym_write] = ACTIONS(2065),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2065),
    [anon_sym_qq] = ACTIONS(2065),
    [anon_sym_qw] = ACTIONS(2065),
    [anon_sym_qx] = ACTIONS(2065),
    [anon_sym_qr] = ACTIONS(2065),
    [anon_sym_m] = ACTIONS(2065),
    [anon_sym_s] = ACTIONS(2065),
    [anon_sym_tr] = ACTIONS(2065),
    [anon_sym_y] = ACTIONS(2065),
    [aux_sym__bareword_token1] = ACTIONS(2065),
    [sym_number] = ACTIONS(2065),
    [anon_sym_true] = ACTIONS(2065),
    [anon_sym_false] = ACTIONS(2065),
    [sym__single_quote] = ACTIONS(2063),
    [sym__double_quote] = ACTIONS(2063),
    [sym__backtick_quote] = ACTIONS(2063),
    [sym__search_slash_quote] = ACTIONS(2063),
    [sym__open_readline_bracket] = ACTIONS(2063),
    [sym__open_fileglob_bracket] = ACTIONS(2063),
    [sym__PERLY_HEREDOC] = ACTIONS(2063),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2063),
    [sym__filetest] = ACTIONS(2063),
  },
  [1111] = {
    [sym_heredoc_content] = STATE(1111),
    [sym__identifier] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2069),
    [anon_sym_DOLLAR] = ACTIONS(2069),
    [anon_sym_AT] = ACTIONS(2069),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_my] = ACTIONS(2069),
    [anon_sym_extended] = ACTIONS(2069),
    [anon_sym_async] = ACTIONS(2069),
    [anon_sym_sub] = ACTIONS(2069),
    [anon_sym_method] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2069),
    [anon_sym_continue] = ACTIONS(2069),
    [anon_sym_state] = ACTIONS(2069),
    [anon_sym_our] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(2069),
    [anon_sym_LT_LT] = ACTIONS(2069),
    [anon_sym_SLASH_SLASH] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2069),
    [anon_sym_DASH_DASH] = ACTIONS(2069),
    [anon_sym_BSLASH] = ACTIONS(2067),
    [anon_sym_do] = ACTIONS(2069),
    [anon_sym_eval] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(2069),
    [anon_sym_field] = ACTIONS(2069),
    [anon_sym_local] = ACTIONS(2069),
    [anon_sym_dynamically] = ACTIONS(2069),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2069),
    [anon_sym_require] = ACTIONS(2069),
    [anon_sym_map] = ACTIONS(2069),
    [anon_sym_grep] = ACTIONS(2069),
    [anon_sym_sort] = ACTIONS(2069),
    [anon_sym_goto] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_undef] = ACTIONS(2069),
    [anon_sym_PERCENT2] = ACTIONS(2069),
    [anon_sym_AMP2] = ACTIONS(2069),
    [anon_sym_STAR2] = ACTIONS(2069),
    [anon_sym_last] = ACTIONS(2069),
    [anon_sym_next] = ACTIONS(2069),
    [anon_sym_redo] = ACTIONS(2069),
    [anon_sym___FILE__] = ACTIONS(2069),
    [anon_sym___LINE__] = ACTIONS(2069),
    [anon_sym___PACKAGE__] = ACTIONS(2069),
    [anon_sym___SUB__] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_fork] = ACTIONS(2069),
    [anon_sym_getppid] = ACTIONS(2069),
    [anon_sym_time] = ACTIONS(2069),
    [anon_sym_times] = ACTIONS(2069),
    [anon_sym_wait] = ACTIONS(2069),
    [anon_sym_wantarray] = ACTIONS(2069),
    [anon_sym_abs] = ACTIONS(2069),
    [anon_sym_alarm] = ACTIONS(2069),
    [anon_sym_chop] = ACTIONS(2069),
    [anon_sym_chdir] = ACTIONS(2069),
    [anon_sym_close] = ACTIONS(2069),
    [anon_sym_closedir] = ACTIONS(2069),
    [anon_sym_caller] = ACTIONS(2069),
    [anon_sym_chomp] = ACTIONS(2069),
    [anon_sym_chr] = ACTIONS(2069),
    [anon_sym_cos] = ACTIONS(2069),
    [anon_sym_chroot] = ACTIONS(2069),
    [anon_sym_defined] = ACTIONS(2069),
    [anon_sym_delete] = ACTIONS(2069),
    [anon_sym_dbmclose] = ACTIONS(2069),
    [anon_sym_exists] = ACTIONS(2069),
    [anon_sym_exit] = ACTIONS(2069),
    [anon_sym_eof] = ACTIONS(2069),
    [anon_sym_exp] = ACTIONS(2069),
    [anon_sym_each] = ACTIONS(2069),
    [anon_sym_fc] = ACTIONS(2069),
    [anon_sym_fileno] = ACTIONS(2069),
    [anon_sym_gmtime] = ACTIONS(2069),
    [anon_sym_getc] = ACTIONS(2069),
    [anon_sym_getpgrp] = ACTIONS(2069),
    [anon_sym_getprotobyname] = ACTIONS(2069),
    [anon_sym_getpwname] = ACTIONS(2069),
    [anon_sym_getpwuid] = ACTIONS(2069),
    [anon_sym_getpeername] = ACTIONS(2069),
    [anon_sym_getnetbyname] = ACTIONS(2069),
    [anon_sym_getsockname] = ACTIONS(2069),
    [anon_sym_getgrnam] = ACTIONS(2069),
    [anon_sym_getgrgid] = ACTIONS(2069),
    [anon_sym_hex] = ACTIONS(2069),
    [anon_sym_int] = ACTIONS(2069),
    [anon_sym_keys] = ACTIONS(2069),
    [anon_sym_lc] = ACTIONS(2069),
    [anon_sym_lcfirst] = ACTIONS(2069),
    [anon_sym_length] = ACTIONS(2069),
    [anon_sym_localtime] = ACTIONS(2069),
    [anon_sym_log] = ACTIONS(2069),
    [anon_sym_lock] = ACTIONS(2069),
    [anon_sym_lstat] = ACTIONS(2069),
    [anon_sym_oct] = ACTIONS(2069),
    [anon_sym_ord] = ACTIONS(2069),
    [anon_sym_prototype] = ACTIONS(2069),
    [anon_sym_pop] = ACTIONS(2069),
    [anon_sym_pos] = ACTIONS(2069),
    [anon_sym_quotemeta] = ACTIONS(2069),
    [anon_sym_reset] = ACTIONS(2069),
    [anon_sym_rand] = ACTIONS(2069),
    [anon_sym_rmdir] = ACTIONS(2069),
    [anon_sym_readdir] = ACTIONS(2069),
    [anon_sym_readline] = ACTIONS(2069),
    [anon_sym_readpipe] = ACTIONS(2069),
    [anon_sym_rewinddir] = ACTIONS(2069),
    [anon_sym_readlink] = ACTIONS(2069),
    [anon_sym_ref] = ACTIONS(2069),
    [anon_sym_scalar] = ACTIONS(2069),
    [anon_sym_shift] = ACTIONS(2069),
    [anon_sym_sin] = ACTIONS(2069),
    [anon_sym_sleep] = ACTIONS(2069),
    [anon_sym_sqrt] = ACTIONS(2069),
    [anon_sym_srand] = ACTIONS(2069),
    [anon_sym_stat] = ACTIONS(2069),
    [anon_sym_study] = ACTIONS(2069),
    [anon_sym_tell] = ACTIONS(2069),
    [anon_sym_telldir] = ACTIONS(2069),
    [anon_sym_tied] = ACTIONS(2069),
    [anon_sym_uc] = ACTIONS(2069),
    [anon_sym_ucfirst] = ACTIONS(2069),
    [anon_sym_untie] = ACTIONS(2069),
    [anon_sym_umask] = ACTIONS(2069),
    [anon_sym_values] = ACTIONS(2069),
    [anon_sym_write] = ACTIONS(2069),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2069),
    [anon_sym_qq] = ACTIONS(2069),
    [anon_sym_qw] = ACTIONS(2069),
    [anon_sym_qx] = ACTIONS(2069),
    [anon_sym_qr] = ACTIONS(2069),
    [anon_sym_m] = ACTIONS(2069),
    [anon_sym_s] = ACTIONS(2069),
    [anon_sym_tr] = ACTIONS(2069),
    [anon_sym_y] = ACTIONS(2069),
    [aux_sym__bareword_token1] = ACTIONS(2069),
    [sym_number] = ACTIONS(2069),
    [anon_sym_true] = ACTIONS(2069),
    [anon_sym_false] = ACTIONS(2069),
    [sym__single_quote] = ACTIONS(2067),
    [sym__double_quote] = ACTIONS(2067),
    [sym__backtick_quote] = ACTIONS(2067),
    [sym__search_slash_quote] = ACTIONS(2067),
    [sym__open_readline_bracket] = ACTIONS(2067),
    [sym__open_fileglob_bracket] = ACTIONS(2067),
    [sym__PERLY_HEREDOC] = ACTIONS(2067),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2067),
    [sym__filetest] = ACTIONS(2067),
  },
  [1112] = {
    [sym_heredoc_content] = STATE(1112),
    [sym__identifier] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2077),
    [anon_sym_DOLLAR] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2077),
    [anon_sym_RPAREN] = ACTIONS(2077),
    [anon_sym_my] = ACTIONS(2077),
    [anon_sym_extended] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_sub] = ACTIONS(2077),
    [anon_sym_method] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_state] = ACTIONS(2077),
    [anon_sym_our] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2077),
    [anon_sym_LT_LT] = ACTIONS(2077),
    [anon_sym_SLASH_SLASH] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2077),
    [anon_sym_DASH_DASH] = ACTIONS(2077),
    [anon_sym_BSLASH] = ACTIONS(2075),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_eval] = ACTIONS(2077),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_field] = ACTIONS(2077),
    [anon_sym_local] = ACTIONS(2077),
    [anon_sym_dynamically] = ACTIONS(2077),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2077),
    [anon_sym_require] = ACTIONS(2077),
    [anon_sym_map] = ACTIONS(2077),
    [anon_sym_grep] = ACTIONS(2077),
    [anon_sym_sort] = ACTIONS(2077),
    [anon_sym_goto] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_undef] = ACTIONS(2077),
    [anon_sym_PERCENT2] = ACTIONS(2077),
    [anon_sym_AMP2] = ACTIONS(2077),
    [anon_sym_STAR2] = ACTIONS(2077),
    [anon_sym_last] = ACTIONS(2077),
    [anon_sym_next] = ACTIONS(2077),
    [anon_sym_redo] = ACTIONS(2077),
    [anon_sym___FILE__] = ACTIONS(2077),
    [anon_sym___LINE__] = ACTIONS(2077),
    [anon_sym___PACKAGE__] = ACTIONS(2077),
    [anon_sym___SUB__] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_fork] = ACTIONS(2077),
    [anon_sym_getppid] = ACTIONS(2077),
    [anon_sym_time] = ACTIONS(2077),
    [anon_sym_times] = ACTIONS(2077),
    [anon_sym_wait] = ACTIONS(2077),
    [anon_sym_wantarray] = ACTIONS(2077),
    [anon_sym_abs] = ACTIONS(2077),
    [anon_sym_alarm] = ACTIONS(2077),
    [anon_sym_chop] = ACTIONS(2077),
    [anon_sym_chdir] = ACTIONS(2077),
    [anon_sym_close] = ACTIONS(2077),
    [anon_sym_closedir] = ACTIONS(2077),
    [anon_sym_caller] = ACTIONS(2077),
    [anon_sym_chomp] = ACTIONS(2077),
    [anon_sym_chr] = ACTIONS(2077),
    [anon_sym_cos] = ACTIONS(2077),
    [anon_sym_chroot] = ACTIONS(2077),
    [anon_sym_defined] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_dbmclose] = ACTIONS(2077),
    [anon_sym_exists] = ACTIONS(2077),
    [anon_sym_exit] = ACTIONS(2077),
    [anon_sym_eof] = ACTIONS(2077),
    [anon_sym_exp] = ACTIONS(2077),
    [anon_sym_each] = ACTIONS(2077),
    [anon_sym_fc] = ACTIONS(2077),
    [anon_sym_fileno] = ACTIONS(2077),
    [anon_sym_gmtime] = ACTIONS(2077),
    [anon_sym_getc] = ACTIONS(2077),
    [anon_sym_getpgrp] = ACTIONS(2077),
    [anon_sym_getprotobyname] = ACTIONS(2077),
    [anon_sym_getpwname] = ACTIONS(2077),
    [anon_sym_getpwuid] = ACTIONS(2077),
    [anon_sym_getpeername] = ACTIONS(2077),
    [anon_sym_getnetbyname] = ACTIONS(2077),
    [anon_sym_getsockname] = ACTIONS(2077),
    [anon_sym_getgrnam] = ACTIONS(2077),
    [anon_sym_getgrgid] = ACTIONS(2077),
    [anon_sym_hex] = ACTIONS(2077),
    [anon_sym_int] = ACTIONS(2077),
    [anon_sym_keys] = ACTIONS(2077),
    [anon_sym_lc] = ACTIONS(2077),
    [anon_sym_lcfirst] = ACTIONS(2077),
    [anon_sym_length] = ACTIONS(2077),
    [anon_sym_localtime] = ACTIONS(2077),
    [anon_sym_log] = ACTIONS(2077),
    [anon_sym_lock] = ACTIONS(2077),
    [anon_sym_lstat] = ACTIONS(2077),
    [anon_sym_oct] = ACTIONS(2077),
    [anon_sym_ord] = ACTIONS(2077),
    [anon_sym_prototype] = ACTIONS(2077),
    [anon_sym_pop] = ACTIONS(2077),
    [anon_sym_pos] = ACTIONS(2077),
    [anon_sym_quotemeta] = ACTIONS(2077),
    [anon_sym_reset] = ACTIONS(2077),
    [anon_sym_rand] = ACTIONS(2077),
    [anon_sym_rmdir] = ACTIONS(2077),
    [anon_sym_readdir] = ACTIONS(2077),
    [anon_sym_readline] = ACTIONS(2077),
    [anon_sym_readpipe] = ACTIONS(2077),
    [anon_sym_rewinddir] = ACTIONS(2077),
    [anon_sym_readlink] = ACTIONS(2077),
    [anon_sym_ref] = ACTIONS(2077),
    [anon_sym_scalar] = ACTIONS(2077),
    [anon_sym_shift] = ACTIONS(2077),
    [anon_sym_sin] = ACTIONS(2077),
    [anon_sym_sleep] = ACTIONS(2077),
    [anon_sym_sqrt] = ACTIONS(2077),
    [anon_sym_srand] = ACTIONS(2077),
    [anon_sym_stat] = ACTIONS(2077),
    [anon_sym_study] = ACTIONS(2077),
    [anon_sym_tell] = ACTIONS(2077),
    [anon_sym_telldir] = ACTIONS(2077),
    [anon_sym_tied] = ACTIONS(2077),
    [anon_sym_uc] = ACTIONS(2077),
    [anon_sym_ucfirst] = ACTIONS(2077),
    [anon_sym_untie] = ACTIONS(2077),
    [anon_sym_umask] = ACTIONS(2077),
    [anon_sym_values] = ACTIONS(2077),
    [anon_sym_write] = ACTIONS(2077),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2077),
    [anon_sym_qq] = ACTIONS(2077),
    [anon_sym_qw] = ACTIONS(2077),
    [anon_sym_qx] = ACTIONS(2077),
    [anon_sym_qr] = ACTIONS(2077),
    [anon_sym_m] = ACTIONS(2077),
    [anon_sym_s] = ACTIONS(2077),
    [anon_sym_tr] = ACTIONS(2077),
    [anon_sym_y] = ACTIONS(2077),
    [aux_sym__bareword_token1] = ACTIONS(2077),
    [sym_number] = ACTIONS(2077),
    [anon_sym_true] = ACTIONS(2077),
    [anon_sym_false] = ACTIONS(2077),
    [sym__single_quote] = ACTIONS(2075),
    [sym__double_quote] = ACTIONS(2075),
    [sym__backtick_quote] = ACTIONS(2075),
    [sym__search_slash_quote] = ACTIONS(2075),
    [sym__open_readline_bracket] = ACTIONS(2075),
    [sym__open_fileglob_bracket] = ACTIONS(2075),
    [sym__PERLY_HEREDOC] = ACTIONS(2075),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2075),
    [sym__filetest] = ACTIONS(2075),
  },
  [1113] = {
    [sym_heredoc_content] = STATE(1113),
    [sym__identifier] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2081),
    [anon_sym_DOLLAR] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2081),
    [anon_sym_RPAREN] = ACTIONS(2081),
    [anon_sym_my] = ACTIONS(2081),
    [anon_sym_extended] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_sub] = ACTIONS(2081),
    [anon_sym_method] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_state] = ACTIONS(2081),
    [anon_sym_our] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2081),
    [anon_sym_LT_LT] = ACTIONS(2081),
    [anon_sym_SLASH_SLASH] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2081),
    [anon_sym_DASH_DASH] = ACTIONS(2081),
    [anon_sym_BSLASH] = ACTIONS(2079),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_eval] = ACTIONS(2081),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_field] = ACTIONS(2081),
    [anon_sym_local] = ACTIONS(2081),
    [anon_sym_dynamically] = ACTIONS(2081),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2081),
    [anon_sym_require] = ACTIONS(2081),
    [anon_sym_map] = ACTIONS(2081),
    [anon_sym_grep] = ACTIONS(2081),
    [anon_sym_sort] = ACTIONS(2081),
    [anon_sym_goto] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_undef] = ACTIONS(2081),
    [anon_sym_PERCENT2] = ACTIONS(2081),
    [anon_sym_AMP2] = ACTIONS(2081),
    [anon_sym_STAR2] = ACTIONS(2081),
    [anon_sym_last] = ACTIONS(2081),
    [anon_sym_next] = ACTIONS(2081),
    [anon_sym_redo] = ACTIONS(2081),
    [anon_sym___FILE__] = ACTIONS(2081),
    [anon_sym___LINE__] = ACTIONS(2081),
    [anon_sym___PACKAGE__] = ACTIONS(2081),
    [anon_sym___SUB__] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_fork] = ACTIONS(2081),
    [anon_sym_getppid] = ACTIONS(2081),
    [anon_sym_time] = ACTIONS(2081),
    [anon_sym_times] = ACTIONS(2081),
    [anon_sym_wait] = ACTIONS(2081),
    [anon_sym_wantarray] = ACTIONS(2081),
    [anon_sym_abs] = ACTIONS(2081),
    [anon_sym_alarm] = ACTIONS(2081),
    [anon_sym_chop] = ACTIONS(2081),
    [anon_sym_chdir] = ACTIONS(2081),
    [anon_sym_close] = ACTIONS(2081),
    [anon_sym_closedir] = ACTIONS(2081),
    [anon_sym_caller] = ACTIONS(2081),
    [anon_sym_chomp] = ACTIONS(2081),
    [anon_sym_chr] = ACTIONS(2081),
    [anon_sym_cos] = ACTIONS(2081),
    [anon_sym_chroot] = ACTIONS(2081),
    [anon_sym_defined] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_dbmclose] = ACTIONS(2081),
    [anon_sym_exists] = ACTIONS(2081),
    [anon_sym_exit] = ACTIONS(2081),
    [anon_sym_eof] = ACTIONS(2081),
    [anon_sym_exp] = ACTIONS(2081),
    [anon_sym_each] = ACTIONS(2081),
    [anon_sym_fc] = ACTIONS(2081),
    [anon_sym_fileno] = ACTIONS(2081),
    [anon_sym_gmtime] = ACTIONS(2081),
    [anon_sym_getc] = ACTIONS(2081),
    [anon_sym_getpgrp] = ACTIONS(2081),
    [anon_sym_getprotobyname] = ACTIONS(2081),
    [anon_sym_getpwname] = ACTIONS(2081),
    [anon_sym_getpwuid] = ACTIONS(2081),
    [anon_sym_getpeername] = ACTIONS(2081),
    [anon_sym_getnetbyname] = ACTIONS(2081),
    [anon_sym_getsockname] = ACTIONS(2081),
    [anon_sym_getgrnam] = ACTIONS(2081),
    [anon_sym_getgrgid] = ACTIONS(2081),
    [anon_sym_hex] = ACTIONS(2081),
    [anon_sym_int] = ACTIONS(2081),
    [anon_sym_keys] = ACTIONS(2081),
    [anon_sym_lc] = ACTIONS(2081),
    [anon_sym_lcfirst] = ACTIONS(2081),
    [anon_sym_length] = ACTIONS(2081),
    [anon_sym_localtime] = ACTIONS(2081),
    [anon_sym_log] = ACTIONS(2081),
    [anon_sym_lock] = ACTIONS(2081),
    [anon_sym_lstat] = ACTIONS(2081),
    [anon_sym_oct] = ACTIONS(2081),
    [anon_sym_ord] = ACTIONS(2081),
    [anon_sym_prototype] = ACTIONS(2081),
    [anon_sym_pop] = ACTIONS(2081),
    [anon_sym_pos] = ACTIONS(2081),
    [anon_sym_quotemeta] = ACTIONS(2081),
    [anon_sym_reset] = ACTIONS(2081),
    [anon_sym_rand] = ACTIONS(2081),
    [anon_sym_rmdir] = ACTIONS(2081),
    [anon_sym_readdir] = ACTIONS(2081),
    [anon_sym_readline] = ACTIONS(2081),
    [anon_sym_readpipe] = ACTIONS(2081),
    [anon_sym_rewinddir] = ACTIONS(2081),
    [anon_sym_readlink] = ACTIONS(2081),
    [anon_sym_ref] = ACTIONS(2081),
    [anon_sym_scalar] = ACTIONS(2081),
    [anon_sym_shift] = ACTIONS(2081),
    [anon_sym_sin] = ACTIONS(2081),
    [anon_sym_sleep] = ACTIONS(2081),
    [anon_sym_sqrt] = ACTIONS(2081),
    [anon_sym_srand] = ACTIONS(2081),
    [anon_sym_stat] = ACTIONS(2081),
    [anon_sym_study] = ACTIONS(2081),
    [anon_sym_tell] = ACTIONS(2081),
    [anon_sym_telldir] = ACTIONS(2081),
    [anon_sym_tied] = ACTIONS(2081),
    [anon_sym_uc] = ACTIONS(2081),
    [anon_sym_ucfirst] = ACTIONS(2081),
    [anon_sym_untie] = ACTIONS(2081),
    [anon_sym_umask] = ACTIONS(2081),
    [anon_sym_values] = ACTIONS(2081),
    [anon_sym_write] = ACTIONS(2081),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2081),
    [anon_sym_qq] = ACTIONS(2081),
    [anon_sym_qw] = ACTIONS(2081),
    [anon_sym_qx] = ACTIONS(2081),
    [anon_sym_qr] = ACTIONS(2081),
    [anon_sym_m] = ACTIONS(2081),
    [anon_sym_s] = ACTIONS(2081),
    [anon_sym_tr] = ACTIONS(2081),
    [anon_sym_y] = ACTIONS(2081),
    [aux_sym__bareword_token1] = ACTIONS(2081),
    [sym_number] = ACTIONS(2081),
    [anon_sym_true] = ACTIONS(2081),
    [anon_sym_false] = ACTIONS(2081),
    [sym__single_quote] = ACTIONS(2079),
    [sym__double_quote] = ACTIONS(2079),
    [sym__backtick_quote] = ACTIONS(2079),
    [sym__search_slash_quote] = ACTIONS(2079),
    [sym__open_readline_bracket] = ACTIONS(2079),
    [sym__open_fileglob_bracket] = ACTIONS(2079),
    [sym__PERLY_HEREDOC] = ACTIONS(2079),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2079),
    [sym__filetest] = ACTIONS(2079),
  },
  [1114] = {
    [sym_heredoc_content] = STATE(1114),
    [sym__identifier] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2089),
    [anon_sym_DOLLAR] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2089),
    [anon_sym_RPAREN] = ACTIONS(2089),
    [anon_sym_my] = ACTIONS(2089),
    [anon_sym_extended] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_sub] = ACTIONS(2089),
    [anon_sym_method] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_state] = ACTIONS(2089),
    [anon_sym_our] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_LT_LT] = ACTIONS(2089),
    [anon_sym_SLASH_SLASH] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2089),
    [anon_sym_DASH_DASH] = ACTIONS(2089),
    [anon_sym_BSLASH] = ACTIONS(2087),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_eval] = ACTIONS(2089),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_field] = ACTIONS(2089),
    [anon_sym_local] = ACTIONS(2089),
    [anon_sym_dynamically] = ACTIONS(2089),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2089),
    [anon_sym_require] = ACTIONS(2089),
    [anon_sym_map] = ACTIONS(2089),
    [anon_sym_grep] = ACTIONS(2089),
    [anon_sym_sort] = ACTIONS(2089),
    [anon_sym_goto] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_undef] = ACTIONS(2089),
    [anon_sym_PERCENT2] = ACTIONS(2089),
    [anon_sym_AMP2] = ACTIONS(2089),
    [anon_sym_STAR2] = ACTIONS(2089),
    [anon_sym_last] = ACTIONS(2089),
    [anon_sym_next] = ACTIONS(2089),
    [anon_sym_redo] = ACTIONS(2089),
    [anon_sym___FILE__] = ACTIONS(2089),
    [anon_sym___LINE__] = ACTIONS(2089),
    [anon_sym___PACKAGE__] = ACTIONS(2089),
    [anon_sym___SUB__] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_fork] = ACTIONS(2089),
    [anon_sym_getppid] = ACTIONS(2089),
    [anon_sym_time] = ACTIONS(2089),
    [anon_sym_times] = ACTIONS(2089),
    [anon_sym_wait] = ACTIONS(2089),
    [anon_sym_wantarray] = ACTIONS(2089),
    [anon_sym_abs] = ACTIONS(2089),
    [anon_sym_alarm] = ACTIONS(2089),
    [anon_sym_chop] = ACTIONS(2089),
    [anon_sym_chdir] = ACTIONS(2089),
    [anon_sym_close] = ACTIONS(2089),
    [anon_sym_closedir] = ACTIONS(2089),
    [anon_sym_caller] = ACTIONS(2089),
    [anon_sym_chomp] = ACTIONS(2089),
    [anon_sym_chr] = ACTIONS(2089),
    [anon_sym_cos] = ACTIONS(2089),
    [anon_sym_chroot] = ACTIONS(2089),
    [anon_sym_defined] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_dbmclose] = ACTIONS(2089),
    [anon_sym_exists] = ACTIONS(2089),
    [anon_sym_exit] = ACTIONS(2089),
    [anon_sym_eof] = ACTIONS(2089),
    [anon_sym_exp] = ACTIONS(2089),
    [anon_sym_each] = ACTIONS(2089),
    [anon_sym_fc] = ACTIONS(2089),
    [anon_sym_fileno] = ACTIONS(2089),
    [anon_sym_gmtime] = ACTIONS(2089),
    [anon_sym_getc] = ACTIONS(2089),
    [anon_sym_getpgrp] = ACTIONS(2089),
    [anon_sym_getprotobyname] = ACTIONS(2089),
    [anon_sym_getpwname] = ACTIONS(2089),
    [anon_sym_getpwuid] = ACTIONS(2089),
    [anon_sym_getpeername] = ACTIONS(2089),
    [anon_sym_getnetbyname] = ACTIONS(2089),
    [anon_sym_getsockname] = ACTIONS(2089),
    [anon_sym_getgrnam] = ACTIONS(2089),
    [anon_sym_getgrgid] = ACTIONS(2089),
    [anon_sym_hex] = ACTIONS(2089),
    [anon_sym_int] = ACTIONS(2089),
    [anon_sym_keys] = ACTIONS(2089),
    [anon_sym_lc] = ACTIONS(2089),
    [anon_sym_lcfirst] = ACTIONS(2089),
    [anon_sym_length] = ACTIONS(2089),
    [anon_sym_localtime] = ACTIONS(2089),
    [anon_sym_log] = ACTIONS(2089),
    [anon_sym_lock] = ACTIONS(2089),
    [anon_sym_lstat] = ACTIONS(2089),
    [anon_sym_oct] = ACTIONS(2089),
    [anon_sym_ord] = ACTIONS(2089),
    [anon_sym_prototype] = ACTIONS(2089),
    [anon_sym_pop] = ACTIONS(2089),
    [anon_sym_pos] = ACTIONS(2089),
    [anon_sym_quotemeta] = ACTIONS(2089),
    [anon_sym_reset] = ACTIONS(2089),
    [anon_sym_rand] = ACTIONS(2089),
    [anon_sym_rmdir] = ACTIONS(2089),
    [anon_sym_readdir] = ACTIONS(2089),
    [anon_sym_readline] = ACTIONS(2089),
    [anon_sym_readpipe] = ACTIONS(2089),
    [anon_sym_rewinddir] = ACTIONS(2089),
    [anon_sym_readlink] = ACTIONS(2089),
    [anon_sym_ref] = ACTIONS(2089),
    [anon_sym_scalar] = ACTIONS(2089),
    [anon_sym_shift] = ACTIONS(2089),
    [anon_sym_sin] = ACTIONS(2089),
    [anon_sym_sleep] = ACTIONS(2089),
    [anon_sym_sqrt] = ACTIONS(2089),
    [anon_sym_srand] = ACTIONS(2089),
    [anon_sym_stat] = ACTIONS(2089),
    [anon_sym_study] = ACTIONS(2089),
    [anon_sym_tell] = ACTIONS(2089),
    [anon_sym_telldir] = ACTIONS(2089),
    [anon_sym_tied] = ACTIONS(2089),
    [anon_sym_uc] = ACTIONS(2089),
    [anon_sym_ucfirst] = ACTIONS(2089),
    [anon_sym_untie] = ACTIONS(2089),
    [anon_sym_umask] = ACTIONS(2089),
    [anon_sym_values] = ACTIONS(2089),
    [anon_sym_write] = ACTIONS(2089),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2089),
    [anon_sym_qq] = ACTIONS(2089),
    [anon_sym_qw] = ACTIONS(2089),
    [anon_sym_qx] = ACTIONS(2089),
    [anon_sym_qr] = ACTIONS(2089),
    [anon_sym_m] = ACTIONS(2089),
    [anon_sym_s] = ACTIONS(2089),
    [anon_sym_tr] = ACTIONS(2089),
    [anon_sym_y] = ACTIONS(2089),
    [aux_sym__bareword_token1] = ACTIONS(2089),
    [sym_number] = ACTIONS(2089),
    [anon_sym_true] = ACTIONS(2089),
    [anon_sym_false] = ACTIONS(2089),
    [sym__single_quote] = ACTIONS(2087),
    [sym__double_quote] = ACTIONS(2087),
    [sym__backtick_quote] = ACTIONS(2087),
    [sym__search_slash_quote] = ACTIONS(2087),
    [sym__open_readline_bracket] = ACTIONS(2087),
    [sym__open_fileglob_bracket] = ACTIONS(2087),
    [sym__PERLY_HEREDOC] = ACTIONS(2087),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2087),
    [sym__filetest] = ACTIONS(2087),
  },
  [1115] = {
    [sym_heredoc_content] = STATE(1115),
    [sym__identifier] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2093),
    [anon_sym_DOLLAR] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2093),
    [anon_sym_RPAREN] = ACTIONS(2093),
    [anon_sym_my] = ACTIONS(2093),
    [anon_sym_extended] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_sub] = ACTIONS(2093),
    [anon_sym_method] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_state] = ACTIONS(2093),
    [anon_sym_our] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2093),
    [anon_sym_LT_LT] = ACTIONS(2093),
    [anon_sym_SLASH_SLASH] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2093),
    [anon_sym_DASH_DASH] = ACTIONS(2093),
    [anon_sym_BSLASH] = ACTIONS(2091),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_eval] = ACTIONS(2093),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_field] = ACTIONS(2093),
    [anon_sym_local] = ACTIONS(2093),
    [anon_sym_dynamically] = ACTIONS(2093),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2093),
    [anon_sym_require] = ACTIONS(2093),
    [anon_sym_map] = ACTIONS(2093),
    [anon_sym_grep] = ACTIONS(2093),
    [anon_sym_sort] = ACTIONS(2093),
    [anon_sym_goto] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_undef] = ACTIONS(2093),
    [anon_sym_PERCENT2] = ACTIONS(2093),
    [anon_sym_AMP2] = ACTIONS(2093),
    [anon_sym_STAR2] = ACTIONS(2093),
    [anon_sym_last] = ACTIONS(2093),
    [anon_sym_next] = ACTIONS(2093),
    [anon_sym_redo] = ACTIONS(2093),
    [anon_sym___FILE__] = ACTIONS(2093),
    [anon_sym___LINE__] = ACTIONS(2093),
    [anon_sym___PACKAGE__] = ACTIONS(2093),
    [anon_sym___SUB__] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_fork] = ACTIONS(2093),
    [anon_sym_getppid] = ACTIONS(2093),
    [anon_sym_time] = ACTIONS(2093),
    [anon_sym_times] = ACTIONS(2093),
    [anon_sym_wait] = ACTIONS(2093),
    [anon_sym_wantarray] = ACTIONS(2093),
    [anon_sym_abs] = ACTIONS(2093),
    [anon_sym_alarm] = ACTIONS(2093),
    [anon_sym_chop] = ACTIONS(2093),
    [anon_sym_chdir] = ACTIONS(2093),
    [anon_sym_close] = ACTIONS(2093),
    [anon_sym_closedir] = ACTIONS(2093),
    [anon_sym_caller] = ACTIONS(2093),
    [anon_sym_chomp] = ACTIONS(2093),
    [anon_sym_chr] = ACTIONS(2093),
    [anon_sym_cos] = ACTIONS(2093),
    [anon_sym_chroot] = ACTIONS(2093),
    [anon_sym_defined] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_dbmclose] = ACTIONS(2093),
    [anon_sym_exists] = ACTIONS(2093),
    [anon_sym_exit] = ACTIONS(2093),
    [anon_sym_eof] = ACTIONS(2093),
    [anon_sym_exp] = ACTIONS(2093),
    [anon_sym_each] = ACTIONS(2093),
    [anon_sym_fc] = ACTIONS(2093),
    [anon_sym_fileno] = ACTIONS(2093),
    [anon_sym_gmtime] = ACTIONS(2093),
    [anon_sym_getc] = ACTIONS(2093),
    [anon_sym_getpgrp] = ACTIONS(2093),
    [anon_sym_getprotobyname] = ACTIONS(2093),
    [anon_sym_getpwname] = ACTIONS(2093),
    [anon_sym_getpwuid] = ACTIONS(2093),
    [anon_sym_getpeername] = ACTIONS(2093),
    [anon_sym_getnetbyname] = ACTIONS(2093),
    [anon_sym_getsockname] = ACTIONS(2093),
    [anon_sym_getgrnam] = ACTIONS(2093),
    [anon_sym_getgrgid] = ACTIONS(2093),
    [anon_sym_hex] = ACTIONS(2093),
    [anon_sym_int] = ACTIONS(2093),
    [anon_sym_keys] = ACTIONS(2093),
    [anon_sym_lc] = ACTIONS(2093),
    [anon_sym_lcfirst] = ACTIONS(2093),
    [anon_sym_length] = ACTIONS(2093),
    [anon_sym_localtime] = ACTIONS(2093),
    [anon_sym_log] = ACTIONS(2093),
    [anon_sym_lock] = ACTIONS(2093),
    [anon_sym_lstat] = ACTIONS(2093),
    [anon_sym_oct] = ACTIONS(2093),
    [anon_sym_ord] = ACTIONS(2093),
    [anon_sym_prototype] = ACTIONS(2093),
    [anon_sym_pop] = ACTIONS(2093),
    [anon_sym_pos] = ACTIONS(2093),
    [anon_sym_quotemeta] = ACTIONS(2093),
    [anon_sym_reset] = ACTIONS(2093),
    [anon_sym_rand] = ACTIONS(2093),
    [anon_sym_rmdir] = ACTIONS(2093),
    [anon_sym_readdir] = ACTIONS(2093),
    [anon_sym_readline] = ACTIONS(2093),
    [anon_sym_readpipe] = ACTIONS(2093),
    [anon_sym_rewinddir] = ACTIONS(2093),
    [anon_sym_readlink] = ACTIONS(2093),
    [anon_sym_ref] = ACTIONS(2093),
    [anon_sym_scalar] = ACTIONS(2093),
    [anon_sym_shift] = ACTIONS(2093),
    [anon_sym_sin] = ACTIONS(2093),
    [anon_sym_sleep] = ACTIONS(2093),
    [anon_sym_sqrt] = ACTIONS(2093),
    [anon_sym_srand] = ACTIONS(2093),
    [anon_sym_stat] = ACTIONS(2093),
    [anon_sym_study] = ACTIONS(2093),
    [anon_sym_tell] = ACTIONS(2093),
    [anon_sym_telldir] = ACTIONS(2093),
    [anon_sym_tied] = ACTIONS(2093),
    [anon_sym_uc] = ACTIONS(2093),
    [anon_sym_ucfirst] = ACTIONS(2093),
    [anon_sym_untie] = ACTIONS(2093),
    [anon_sym_umask] = ACTIONS(2093),
    [anon_sym_values] = ACTIONS(2093),
    [anon_sym_write] = ACTIONS(2093),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2093),
    [anon_sym_qq] = ACTIONS(2093),
    [anon_sym_qw] = ACTIONS(2093),
    [anon_sym_qx] = ACTIONS(2093),
    [anon_sym_qr] = ACTIONS(2093),
    [anon_sym_m] = ACTIONS(2093),
    [anon_sym_s] = ACTIONS(2093),
    [anon_sym_tr] = ACTIONS(2093),
    [anon_sym_y] = ACTIONS(2093),
    [aux_sym__bareword_token1] = ACTIONS(2093),
    [sym_number] = ACTIONS(2093),
    [anon_sym_true] = ACTIONS(2093),
    [anon_sym_false] = ACTIONS(2093),
    [sym__single_quote] = ACTIONS(2091),
    [sym__double_quote] = ACTIONS(2091),
    [sym__backtick_quote] = ACTIONS(2091),
    [sym__search_slash_quote] = ACTIONS(2091),
    [sym__open_readline_bracket] = ACTIONS(2091),
    [sym__open_fileglob_bracket] = ACTIONS(2091),
    [sym__PERLY_HEREDOC] = ACTIONS(2091),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2091),
    [sym__filetest] = ACTIONS(2091),
  },
  [1116] = {
    [sym_heredoc_content] = STATE(1116),
    [sym__identifier] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2097),
    [anon_sym_DOLLAR] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2097),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [anon_sym_my] = ACTIONS(2097),
    [anon_sym_extended] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_sub] = ACTIONS(2097),
    [anon_sym_method] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_state] = ACTIONS(2097),
    [anon_sym_our] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_LT_LT] = ACTIONS(2097),
    [anon_sym_SLASH_SLASH] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2097),
    [anon_sym_DASH_DASH] = ACTIONS(2097),
    [anon_sym_BSLASH] = ACTIONS(2095),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_eval] = ACTIONS(2097),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_field] = ACTIONS(2097),
    [anon_sym_local] = ACTIONS(2097),
    [anon_sym_dynamically] = ACTIONS(2097),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2097),
    [anon_sym_require] = ACTIONS(2097),
    [anon_sym_map] = ACTIONS(2097),
    [anon_sym_grep] = ACTIONS(2097),
    [anon_sym_sort] = ACTIONS(2097),
    [anon_sym_goto] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_undef] = ACTIONS(2097),
    [anon_sym_PERCENT2] = ACTIONS(2097),
    [anon_sym_AMP2] = ACTIONS(2097),
    [anon_sym_STAR2] = ACTIONS(2097),
    [anon_sym_last] = ACTIONS(2097),
    [anon_sym_next] = ACTIONS(2097),
    [anon_sym_redo] = ACTIONS(2097),
    [anon_sym___FILE__] = ACTIONS(2097),
    [anon_sym___LINE__] = ACTIONS(2097),
    [anon_sym___PACKAGE__] = ACTIONS(2097),
    [anon_sym___SUB__] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_fork] = ACTIONS(2097),
    [anon_sym_getppid] = ACTIONS(2097),
    [anon_sym_time] = ACTIONS(2097),
    [anon_sym_times] = ACTIONS(2097),
    [anon_sym_wait] = ACTIONS(2097),
    [anon_sym_wantarray] = ACTIONS(2097),
    [anon_sym_abs] = ACTIONS(2097),
    [anon_sym_alarm] = ACTIONS(2097),
    [anon_sym_chop] = ACTIONS(2097),
    [anon_sym_chdir] = ACTIONS(2097),
    [anon_sym_close] = ACTIONS(2097),
    [anon_sym_closedir] = ACTIONS(2097),
    [anon_sym_caller] = ACTIONS(2097),
    [anon_sym_chomp] = ACTIONS(2097),
    [anon_sym_chr] = ACTIONS(2097),
    [anon_sym_cos] = ACTIONS(2097),
    [anon_sym_chroot] = ACTIONS(2097),
    [anon_sym_defined] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_dbmclose] = ACTIONS(2097),
    [anon_sym_exists] = ACTIONS(2097),
    [anon_sym_exit] = ACTIONS(2097),
    [anon_sym_eof] = ACTIONS(2097),
    [anon_sym_exp] = ACTIONS(2097),
    [anon_sym_each] = ACTIONS(2097),
    [anon_sym_fc] = ACTIONS(2097),
    [anon_sym_fileno] = ACTIONS(2097),
    [anon_sym_gmtime] = ACTIONS(2097),
    [anon_sym_getc] = ACTIONS(2097),
    [anon_sym_getpgrp] = ACTIONS(2097),
    [anon_sym_getprotobyname] = ACTIONS(2097),
    [anon_sym_getpwname] = ACTIONS(2097),
    [anon_sym_getpwuid] = ACTIONS(2097),
    [anon_sym_getpeername] = ACTIONS(2097),
    [anon_sym_getnetbyname] = ACTIONS(2097),
    [anon_sym_getsockname] = ACTIONS(2097),
    [anon_sym_getgrnam] = ACTIONS(2097),
    [anon_sym_getgrgid] = ACTIONS(2097),
    [anon_sym_hex] = ACTIONS(2097),
    [anon_sym_int] = ACTIONS(2097),
    [anon_sym_keys] = ACTIONS(2097),
    [anon_sym_lc] = ACTIONS(2097),
    [anon_sym_lcfirst] = ACTIONS(2097),
    [anon_sym_length] = ACTIONS(2097),
    [anon_sym_localtime] = ACTIONS(2097),
    [anon_sym_log] = ACTIONS(2097),
    [anon_sym_lock] = ACTIONS(2097),
    [anon_sym_lstat] = ACTIONS(2097),
    [anon_sym_oct] = ACTIONS(2097),
    [anon_sym_ord] = ACTIONS(2097),
    [anon_sym_prototype] = ACTIONS(2097),
    [anon_sym_pop] = ACTIONS(2097),
    [anon_sym_pos] = ACTIONS(2097),
    [anon_sym_quotemeta] = ACTIONS(2097),
    [anon_sym_reset] = ACTIONS(2097),
    [anon_sym_rand] = ACTIONS(2097),
    [anon_sym_rmdir] = ACTIONS(2097),
    [anon_sym_readdir] = ACTIONS(2097),
    [anon_sym_readline] = ACTIONS(2097),
    [anon_sym_readpipe] = ACTIONS(2097),
    [anon_sym_rewinddir] = ACTIONS(2097),
    [anon_sym_readlink] = ACTIONS(2097),
    [anon_sym_ref] = ACTIONS(2097),
    [anon_sym_scalar] = ACTIONS(2097),
    [anon_sym_shift] = ACTIONS(2097),
    [anon_sym_sin] = ACTIONS(2097),
    [anon_sym_sleep] = ACTIONS(2097),
    [anon_sym_sqrt] = ACTIONS(2097),
    [anon_sym_srand] = ACTIONS(2097),
    [anon_sym_stat] = ACTIONS(2097),
    [anon_sym_study] = ACTIONS(2097),
    [anon_sym_tell] = ACTIONS(2097),
    [anon_sym_telldir] = ACTIONS(2097),
    [anon_sym_tied] = ACTIONS(2097),
    [anon_sym_uc] = ACTIONS(2097),
    [anon_sym_ucfirst] = ACTIONS(2097),
    [anon_sym_untie] = ACTIONS(2097),
    [anon_sym_umask] = ACTIONS(2097),
    [anon_sym_values] = ACTIONS(2097),
    [anon_sym_write] = ACTIONS(2097),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2097),
    [anon_sym_qq] = ACTIONS(2097),
    [anon_sym_qw] = ACTIONS(2097),
    [anon_sym_qx] = ACTIONS(2097),
    [anon_sym_qr] = ACTIONS(2097),
    [anon_sym_m] = ACTIONS(2097),
    [anon_sym_s] = ACTIONS(2097),
    [anon_sym_tr] = ACTIONS(2097),
    [anon_sym_y] = ACTIONS(2097),
    [aux_sym__bareword_token1] = ACTIONS(2097),
    [sym_number] = ACTIONS(2097),
    [anon_sym_true] = ACTIONS(2097),
    [anon_sym_false] = ACTIONS(2097),
    [sym__single_quote] = ACTIONS(2095),
    [sym__double_quote] = ACTIONS(2095),
    [sym__backtick_quote] = ACTIONS(2095),
    [sym__search_slash_quote] = ACTIONS(2095),
    [sym__open_readline_bracket] = ACTIONS(2095),
    [sym__open_fileglob_bracket] = ACTIONS(2095),
    [sym__PERLY_HEREDOC] = ACTIONS(2095),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2095),
    [sym__filetest] = ACTIONS(2095),
  },
  [1117] = {
    [sym_heredoc_content] = STATE(1117),
    [sym__identifier] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2117),
    [anon_sym_DOLLAR] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2117),
    [anon_sym_RPAREN] = ACTIONS(2117),
    [anon_sym_my] = ACTIONS(2117),
    [anon_sym_extended] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_sub] = ACTIONS(2117),
    [anon_sym_method] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_state] = ACTIONS(2117),
    [anon_sym_our] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2117),
    [anon_sym_LT_LT] = ACTIONS(2117),
    [anon_sym_SLASH_SLASH] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2117),
    [anon_sym_DASH_DASH] = ACTIONS(2117),
    [anon_sym_BSLASH] = ACTIONS(2115),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_eval] = ACTIONS(2117),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_field] = ACTIONS(2117),
    [anon_sym_local] = ACTIONS(2117),
    [anon_sym_dynamically] = ACTIONS(2117),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2117),
    [anon_sym_require] = ACTIONS(2117),
    [anon_sym_map] = ACTIONS(2117),
    [anon_sym_grep] = ACTIONS(2117),
    [anon_sym_sort] = ACTIONS(2117),
    [anon_sym_goto] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_undef] = ACTIONS(2117),
    [anon_sym_PERCENT2] = ACTIONS(2117),
    [anon_sym_AMP2] = ACTIONS(2117),
    [anon_sym_STAR2] = ACTIONS(2117),
    [anon_sym_last] = ACTIONS(2117),
    [anon_sym_next] = ACTIONS(2117),
    [anon_sym_redo] = ACTIONS(2117),
    [anon_sym___FILE__] = ACTIONS(2117),
    [anon_sym___LINE__] = ACTIONS(2117),
    [anon_sym___PACKAGE__] = ACTIONS(2117),
    [anon_sym___SUB__] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_fork] = ACTIONS(2117),
    [anon_sym_getppid] = ACTIONS(2117),
    [anon_sym_time] = ACTIONS(2117),
    [anon_sym_times] = ACTIONS(2117),
    [anon_sym_wait] = ACTIONS(2117),
    [anon_sym_wantarray] = ACTIONS(2117),
    [anon_sym_abs] = ACTIONS(2117),
    [anon_sym_alarm] = ACTIONS(2117),
    [anon_sym_chop] = ACTIONS(2117),
    [anon_sym_chdir] = ACTIONS(2117),
    [anon_sym_close] = ACTIONS(2117),
    [anon_sym_closedir] = ACTIONS(2117),
    [anon_sym_caller] = ACTIONS(2117),
    [anon_sym_chomp] = ACTIONS(2117),
    [anon_sym_chr] = ACTIONS(2117),
    [anon_sym_cos] = ACTIONS(2117),
    [anon_sym_chroot] = ACTIONS(2117),
    [anon_sym_defined] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_dbmclose] = ACTIONS(2117),
    [anon_sym_exists] = ACTIONS(2117),
    [anon_sym_exit] = ACTIONS(2117),
    [anon_sym_eof] = ACTIONS(2117),
    [anon_sym_exp] = ACTIONS(2117),
    [anon_sym_each] = ACTIONS(2117),
    [anon_sym_fc] = ACTIONS(2117),
    [anon_sym_fileno] = ACTIONS(2117),
    [anon_sym_gmtime] = ACTIONS(2117),
    [anon_sym_getc] = ACTIONS(2117),
    [anon_sym_getpgrp] = ACTIONS(2117),
    [anon_sym_getprotobyname] = ACTIONS(2117),
    [anon_sym_getpwname] = ACTIONS(2117),
    [anon_sym_getpwuid] = ACTIONS(2117),
    [anon_sym_getpeername] = ACTIONS(2117),
    [anon_sym_getnetbyname] = ACTIONS(2117),
    [anon_sym_getsockname] = ACTIONS(2117),
    [anon_sym_getgrnam] = ACTIONS(2117),
    [anon_sym_getgrgid] = ACTIONS(2117),
    [anon_sym_hex] = ACTIONS(2117),
    [anon_sym_int] = ACTIONS(2117),
    [anon_sym_keys] = ACTIONS(2117),
    [anon_sym_lc] = ACTIONS(2117),
    [anon_sym_lcfirst] = ACTIONS(2117),
    [anon_sym_length] = ACTIONS(2117),
    [anon_sym_localtime] = ACTIONS(2117),
    [anon_sym_log] = ACTIONS(2117),
    [anon_sym_lock] = ACTIONS(2117),
    [anon_sym_lstat] = ACTIONS(2117),
    [anon_sym_oct] = ACTIONS(2117),
    [anon_sym_ord] = ACTIONS(2117),
    [anon_sym_prototype] = ACTIONS(2117),
    [anon_sym_pop] = ACTIONS(2117),
    [anon_sym_pos] = ACTIONS(2117),
    [anon_sym_quotemeta] = ACTIONS(2117),
    [anon_sym_reset] = ACTIONS(2117),
    [anon_sym_rand] = ACTIONS(2117),
    [anon_sym_rmdir] = ACTIONS(2117),
    [anon_sym_readdir] = ACTIONS(2117),
    [anon_sym_readline] = ACTIONS(2117),
    [anon_sym_readpipe] = ACTIONS(2117),
    [anon_sym_rewinddir] = ACTIONS(2117),
    [anon_sym_readlink] = ACTIONS(2117),
    [anon_sym_ref] = ACTIONS(2117),
    [anon_sym_scalar] = ACTIONS(2117),
    [anon_sym_shift] = ACTIONS(2117),
    [anon_sym_sin] = ACTIONS(2117),
    [anon_sym_sleep] = ACTIONS(2117),
    [anon_sym_sqrt] = ACTIONS(2117),
    [anon_sym_srand] = ACTIONS(2117),
    [anon_sym_stat] = ACTIONS(2117),
    [anon_sym_study] = ACTIONS(2117),
    [anon_sym_tell] = ACTIONS(2117),
    [anon_sym_telldir] = ACTIONS(2117),
    [anon_sym_tied] = ACTIONS(2117),
    [anon_sym_uc] = ACTIONS(2117),
    [anon_sym_ucfirst] = ACTIONS(2117),
    [anon_sym_untie] = ACTIONS(2117),
    [anon_sym_umask] = ACTIONS(2117),
    [anon_sym_values] = ACTIONS(2117),
    [anon_sym_write] = ACTIONS(2117),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2117),
    [anon_sym_qq] = ACTIONS(2117),
    [anon_sym_qw] = ACTIONS(2117),
    [anon_sym_qx] = ACTIONS(2117),
    [anon_sym_qr] = ACTIONS(2117),
    [anon_sym_m] = ACTIONS(2117),
    [anon_sym_s] = ACTIONS(2117),
    [anon_sym_tr] = ACTIONS(2117),
    [anon_sym_y] = ACTIONS(2117),
    [aux_sym__bareword_token1] = ACTIONS(2117),
    [sym_number] = ACTIONS(2117),
    [anon_sym_true] = ACTIONS(2117),
    [anon_sym_false] = ACTIONS(2117),
    [sym__single_quote] = ACTIONS(2115),
    [sym__double_quote] = ACTIONS(2115),
    [sym__backtick_quote] = ACTIONS(2115),
    [sym__search_slash_quote] = ACTIONS(2115),
    [sym__open_readline_bracket] = ACTIONS(2115),
    [sym__open_fileglob_bracket] = ACTIONS(2115),
    [sym__PERLY_HEREDOC] = ACTIONS(2115),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2115),
    [sym__filetest] = ACTIONS(2115),
  },
  [1118] = {
    [sym_heredoc_content] = STATE(1118),
    [sym__identifier] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2370),
    [anon_sym_RBRACE] = ACTIONS(2370),
    [anon_sym_DOLLAR] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_my] = ACTIONS(2370),
    [anon_sym_extended] = ACTIONS(2370),
    [anon_sym_async] = ACTIONS(2370),
    [anon_sym_sub] = ACTIONS(2370),
    [anon_sym_method] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_state] = ACTIONS(2370),
    [anon_sym_our] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2370),
    [anon_sym_LT_LT] = ACTIONS(2370),
    [anon_sym_SLASH_SLASH] = ACTIONS(2370),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_TILDE] = ACTIONS(2370),
    [anon_sym_BANG] = ACTIONS(2370),
    [anon_sym_PLUS_PLUS] = ACTIONS(2370),
    [anon_sym_DASH_DASH] = ACTIONS(2370),
    [anon_sym_BSLASH] = ACTIONS(2372),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_eval] = ACTIONS(2370),
    [anon_sym_await] = ACTIONS(2370),
    [anon_sym_field] = ACTIONS(2370),
    [anon_sym_local] = ACTIONS(2370),
    [anon_sym_dynamically] = ACTIONS(2370),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2370),
    [anon_sym_require] = ACTIONS(2370),
    [anon_sym_map] = ACTIONS(2370),
    [anon_sym_grep] = ACTIONS(2370),
    [anon_sym_sort] = ACTIONS(2370),
    [anon_sym_goto] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_undef] = ACTIONS(2370),
    [anon_sym_PERCENT2] = ACTIONS(2370),
    [anon_sym_AMP2] = ACTIONS(2370),
    [anon_sym_STAR2] = ACTIONS(2370),
    [anon_sym_last] = ACTIONS(2370),
    [anon_sym_next] = ACTIONS(2370),
    [anon_sym_redo] = ACTIONS(2370),
    [anon_sym___FILE__] = ACTIONS(2370),
    [anon_sym___LINE__] = ACTIONS(2370),
    [anon_sym___PACKAGE__] = ACTIONS(2370),
    [anon_sym___SUB__] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_fork] = ACTIONS(2370),
    [anon_sym_getppid] = ACTIONS(2370),
    [anon_sym_time] = ACTIONS(2370),
    [anon_sym_times] = ACTIONS(2370),
    [anon_sym_wait] = ACTIONS(2370),
    [anon_sym_wantarray] = ACTIONS(2370),
    [anon_sym_abs] = ACTIONS(2370),
    [anon_sym_alarm] = ACTIONS(2370),
    [anon_sym_chop] = ACTIONS(2370),
    [anon_sym_chdir] = ACTIONS(2370),
    [anon_sym_close] = ACTIONS(2370),
    [anon_sym_closedir] = ACTIONS(2370),
    [anon_sym_caller] = ACTIONS(2370),
    [anon_sym_chomp] = ACTIONS(2370),
    [anon_sym_chr] = ACTIONS(2370),
    [anon_sym_cos] = ACTIONS(2370),
    [anon_sym_chroot] = ACTIONS(2370),
    [anon_sym_defined] = ACTIONS(2370),
    [anon_sym_delete] = ACTIONS(2370),
    [anon_sym_dbmclose] = ACTIONS(2370),
    [anon_sym_exists] = ACTIONS(2370),
    [anon_sym_exit] = ACTIONS(2370),
    [anon_sym_eof] = ACTIONS(2370),
    [anon_sym_exp] = ACTIONS(2370),
    [anon_sym_each] = ACTIONS(2370),
    [anon_sym_fc] = ACTIONS(2370),
    [anon_sym_fileno] = ACTIONS(2370),
    [anon_sym_gmtime] = ACTIONS(2370),
    [anon_sym_getc] = ACTIONS(2370),
    [anon_sym_getpgrp] = ACTIONS(2370),
    [anon_sym_getprotobyname] = ACTIONS(2370),
    [anon_sym_getpwname] = ACTIONS(2370),
    [anon_sym_getpwuid] = ACTIONS(2370),
    [anon_sym_getpeername] = ACTIONS(2370),
    [anon_sym_getnetbyname] = ACTIONS(2370),
    [anon_sym_getsockname] = ACTIONS(2370),
    [anon_sym_getgrnam] = ACTIONS(2370),
    [anon_sym_getgrgid] = ACTIONS(2370),
    [anon_sym_hex] = ACTIONS(2370),
    [anon_sym_int] = ACTIONS(2370),
    [anon_sym_keys] = ACTIONS(2370),
    [anon_sym_lc] = ACTIONS(2370),
    [anon_sym_lcfirst] = ACTIONS(2370),
    [anon_sym_length] = ACTIONS(2370),
    [anon_sym_localtime] = ACTIONS(2370),
    [anon_sym_log] = ACTIONS(2370),
    [anon_sym_lock] = ACTIONS(2370),
    [anon_sym_lstat] = ACTIONS(2370),
    [anon_sym_oct] = ACTIONS(2370),
    [anon_sym_ord] = ACTIONS(2370),
    [anon_sym_prototype] = ACTIONS(2370),
    [anon_sym_pop] = ACTIONS(2370),
    [anon_sym_pos] = ACTIONS(2370),
    [anon_sym_quotemeta] = ACTIONS(2370),
    [anon_sym_reset] = ACTIONS(2370),
    [anon_sym_rand] = ACTIONS(2370),
    [anon_sym_rmdir] = ACTIONS(2370),
    [anon_sym_readdir] = ACTIONS(2370),
    [anon_sym_readline] = ACTIONS(2370),
    [anon_sym_readpipe] = ACTIONS(2370),
    [anon_sym_rewinddir] = ACTIONS(2370),
    [anon_sym_readlink] = ACTIONS(2370),
    [anon_sym_ref] = ACTIONS(2370),
    [anon_sym_scalar] = ACTIONS(2370),
    [anon_sym_shift] = ACTIONS(2370),
    [anon_sym_sin] = ACTIONS(2370),
    [anon_sym_sleep] = ACTIONS(2370),
    [anon_sym_sqrt] = ACTIONS(2370),
    [anon_sym_srand] = ACTIONS(2370),
    [anon_sym_stat] = ACTIONS(2370),
    [anon_sym_study] = ACTIONS(2370),
    [anon_sym_tell] = ACTIONS(2370),
    [anon_sym_telldir] = ACTIONS(2370),
    [anon_sym_tied] = ACTIONS(2370),
    [anon_sym_uc] = ACTIONS(2370),
    [anon_sym_ucfirst] = ACTIONS(2370),
    [anon_sym_untie] = ACTIONS(2370),
    [anon_sym_umask] = ACTIONS(2370),
    [anon_sym_values] = ACTIONS(2370),
    [anon_sym_write] = ACTIONS(2370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2370),
    [anon_sym_qq] = ACTIONS(2370),
    [anon_sym_qw] = ACTIONS(2370),
    [anon_sym_qx] = ACTIONS(2370),
    [anon_sym_qr] = ACTIONS(2370),
    [anon_sym_m] = ACTIONS(2370),
    [anon_sym_s] = ACTIONS(2370),
    [anon_sym_tr] = ACTIONS(2370),
    [anon_sym_y] = ACTIONS(2370),
    [aux_sym__bareword_token1] = ACTIONS(2370),
    [sym_number] = ACTIONS(2370),
    [anon_sym_true] = ACTIONS(2370),
    [anon_sym_false] = ACTIONS(2370),
    [sym__single_quote] = ACTIONS(2372),
    [sym__double_quote] = ACTIONS(2372),
    [sym__backtick_quote] = ACTIONS(2372),
    [sym__search_slash_quote] = ACTIONS(2372),
    [sym__open_readline_bracket] = ACTIONS(2372),
    [sym__open_fileglob_bracket] = ACTIONS(2372),
    [sym__PERLY_HEREDOC] = ACTIONS(2372),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2372),
    [sym__filetest] = ACTIONS(2372),
  },
  [1119] = {
    [sym_heredoc_content] = STATE(1119),
    [sym__identifier] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2181),
    [anon_sym_DOLLAR] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2181),
    [anon_sym_RPAREN] = ACTIONS(2181),
    [anon_sym_my] = ACTIONS(2181),
    [anon_sym_extended] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_sub] = ACTIONS(2181),
    [anon_sym_method] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_state] = ACTIONS(2181),
    [anon_sym_our] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2181),
    [anon_sym_LT_LT] = ACTIONS(2181),
    [anon_sym_SLASH_SLASH] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2181),
    [anon_sym_DASH_DASH] = ACTIONS(2181),
    [anon_sym_BSLASH] = ACTIONS(2179),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_eval] = ACTIONS(2181),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_field] = ACTIONS(2181),
    [anon_sym_local] = ACTIONS(2181),
    [anon_sym_dynamically] = ACTIONS(2181),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2181),
    [anon_sym_require] = ACTIONS(2181),
    [anon_sym_map] = ACTIONS(2181),
    [anon_sym_grep] = ACTIONS(2181),
    [anon_sym_sort] = ACTIONS(2181),
    [anon_sym_goto] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_undef] = ACTIONS(2181),
    [anon_sym_PERCENT2] = ACTIONS(2181),
    [anon_sym_AMP2] = ACTIONS(2181),
    [anon_sym_STAR2] = ACTIONS(2181),
    [anon_sym_last] = ACTIONS(2181),
    [anon_sym_next] = ACTIONS(2181),
    [anon_sym_redo] = ACTIONS(2181),
    [anon_sym___FILE__] = ACTIONS(2181),
    [anon_sym___LINE__] = ACTIONS(2181),
    [anon_sym___PACKAGE__] = ACTIONS(2181),
    [anon_sym___SUB__] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_fork] = ACTIONS(2181),
    [anon_sym_getppid] = ACTIONS(2181),
    [anon_sym_time] = ACTIONS(2181),
    [anon_sym_times] = ACTIONS(2181),
    [anon_sym_wait] = ACTIONS(2181),
    [anon_sym_wantarray] = ACTIONS(2181),
    [anon_sym_abs] = ACTIONS(2181),
    [anon_sym_alarm] = ACTIONS(2181),
    [anon_sym_chop] = ACTIONS(2181),
    [anon_sym_chdir] = ACTIONS(2181),
    [anon_sym_close] = ACTIONS(2181),
    [anon_sym_closedir] = ACTIONS(2181),
    [anon_sym_caller] = ACTIONS(2181),
    [anon_sym_chomp] = ACTIONS(2181),
    [anon_sym_chr] = ACTIONS(2181),
    [anon_sym_cos] = ACTIONS(2181),
    [anon_sym_chroot] = ACTIONS(2181),
    [anon_sym_defined] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_dbmclose] = ACTIONS(2181),
    [anon_sym_exists] = ACTIONS(2181),
    [anon_sym_exit] = ACTIONS(2181),
    [anon_sym_eof] = ACTIONS(2181),
    [anon_sym_exp] = ACTIONS(2181),
    [anon_sym_each] = ACTIONS(2181),
    [anon_sym_fc] = ACTIONS(2181),
    [anon_sym_fileno] = ACTIONS(2181),
    [anon_sym_gmtime] = ACTIONS(2181),
    [anon_sym_getc] = ACTIONS(2181),
    [anon_sym_getpgrp] = ACTIONS(2181),
    [anon_sym_getprotobyname] = ACTIONS(2181),
    [anon_sym_getpwname] = ACTIONS(2181),
    [anon_sym_getpwuid] = ACTIONS(2181),
    [anon_sym_getpeername] = ACTIONS(2181),
    [anon_sym_getnetbyname] = ACTIONS(2181),
    [anon_sym_getsockname] = ACTIONS(2181),
    [anon_sym_getgrnam] = ACTIONS(2181),
    [anon_sym_getgrgid] = ACTIONS(2181),
    [anon_sym_hex] = ACTIONS(2181),
    [anon_sym_int] = ACTIONS(2181),
    [anon_sym_keys] = ACTIONS(2181),
    [anon_sym_lc] = ACTIONS(2181),
    [anon_sym_lcfirst] = ACTIONS(2181),
    [anon_sym_length] = ACTIONS(2181),
    [anon_sym_localtime] = ACTIONS(2181),
    [anon_sym_log] = ACTIONS(2181),
    [anon_sym_lock] = ACTIONS(2181),
    [anon_sym_lstat] = ACTIONS(2181),
    [anon_sym_oct] = ACTIONS(2181),
    [anon_sym_ord] = ACTIONS(2181),
    [anon_sym_prototype] = ACTIONS(2181),
    [anon_sym_pop] = ACTIONS(2181),
    [anon_sym_pos] = ACTIONS(2181),
    [anon_sym_quotemeta] = ACTIONS(2181),
    [anon_sym_reset] = ACTIONS(2181),
    [anon_sym_rand] = ACTIONS(2181),
    [anon_sym_rmdir] = ACTIONS(2181),
    [anon_sym_readdir] = ACTIONS(2181),
    [anon_sym_readline] = ACTIONS(2181),
    [anon_sym_readpipe] = ACTIONS(2181),
    [anon_sym_rewinddir] = ACTIONS(2181),
    [anon_sym_readlink] = ACTIONS(2181),
    [anon_sym_ref] = ACTIONS(2181),
    [anon_sym_scalar] = ACTIONS(2181),
    [anon_sym_shift] = ACTIONS(2181),
    [anon_sym_sin] = ACTIONS(2181),
    [anon_sym_sleep] = ACTIONS(2181),
    [anon_sym_sqrt] = ACTIONS(2181),
    [anon_sym_srand] = ACTIONS(2181),
    [anon_sym_stat] = ACTIONS(2181),
    [anon_sym_study] = ACTIONS(2181),
    [anon_sym_tell] = ACTIONS(2181),
    [anon_sym_telldir] = ACTIONS(2181),
    [anon_sym_tied] = ACTIONS(2181),
    [anon_sym_uc] = ACTIONS(2181),
    [anon_sym_ucfirst] = ACTIONS(2181),
    [anon_sym_untie] = ACTIONS(2181),
    [anon_sym_umask] = ACTIONS(2181),
    [anon_sym_values] = ACTIONS(2181),
    [anon_sym_write] = ACTIONS(2181),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2181),
    [anon_sym_qq] = ACTIONS(2181),
    [anon_sym_qw] = ACTIONS(2181),
    [anon_sym_qx] = ACTIONS(2181),
    [anon_sym_qr] = ACTIONS(2181),
    [anon_sym_m] = ACTIONS(2181),
    [anon_sym_s] = ACTIONS(2181),
    [anon_sym_tr] = ACTIONS(2181),
    [anon_sym_y] = ACTIONS(2181),
    [aux_sym__bareword_token1] = ACTIONS(2181),
    [sym_number] = ACTIONS(2181),
    [anon_sym_true] = ACTIONS(2181),
    [anon_sym_false] = ACTIONS(2181),
    [sym__single_quote] = ACTIONS(2179),
    [sym__double_quote] = ACTIONS(2179),
    [sym__backtick_quote] = ACTIONS(2179),
    [sym__search_slash_quote] = ACTIONS(2179),
    [sym__open_readline_bracket] = ACTIONS(2179),
    [sym__open_fileglob_bracket] = ACTIONS(2179),
    [sym__PERLY_HEREDOC] = ACTIONS(2179),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2179),
    [sym__filetest] = ACTIONS(2179),
  },
  [1120] = {
    [sym_heredoc_content] = STATE(1120),
    [sym__identifier] = ACTIONS(1845),
    [anon_sym_LBRACE] = ACTIONS(1845),
    [anon_sym_DOLLAR] = ACTIONS(1845),
    [anon_sym_AT] = ACTIONS(1845),
    [anon_sym_RPAREN] = ACTIONS(1845),
    [anon_sym_my] = ACTIONS(1845),
    [anon_sym_extended] = ACTIONS(1845),
    [anon_sym_async] = ACTIONS(1845),
    [anon_sym_sub] = ACTIONS(1845),
    [anon_sym_method] = ACTIONS(1845),
    [anon_sym_LPAREN] = ACTIONS(1845),
    [anon_sym_continue] = ACTIONS(1845),
    [anon_sym_state] = ACTIONS(1845),
    [anon_sym_our] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1845),
    [anon_sym_BANG] = ACTIONS(1845),
    [anon_sym_PLUS_PLUS] = ACTIONS(1845),
    [anon_sym_DASH_DASH] = ACTIONS(1845),
    [anon_sym_BSLASH] = ACTIONS(1847),
    [anon_sym_do] = ACTIONS(1845),
    [anon_sym_eval] = ACTIONS(1845),
    [anon_sym_await] = ACTIONS(1845),
    [anon_sym_field] = ACTIONS(1845),
    [anon_sym_local] = ACTIONS(1845),
    [anon_sym_dynamically] = ACTIONS(1845),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1845),
    [anon_sym_require] = ACTIONS(1845),
    [anon_sym_map] = ACTIONS(1845),
    [anon_sym_grep] = ACTIONS(1845),
    [anon_sym_sort] = ACTIONS(1845),
    [anon_sym_goto] = ACTIONS(1845),
    [anon_sym_return] = ACTIONS(1845),
    [anon_sym_undef] = ACTIONS(1845),
    [anon_sym_PERCENT2] = ACTIONS(1845),
    [anon_sym_AMP2] = ACTIONS(1845),
    [anon_sym_STAR2] = ACTIONS(1845),
    [anon_sym_last] = ACTIONS(1845),
    [anon_sym_next] = ACTIONS(1845),
    [anon_sym_redo] = ACTIONS(1845),
    [anon_sym___FILE__] = ACTIONS(1845),
    [anon_sym___LINE__] = ACTIONS(1845),
    [anon_sym___PACKAGE__] = ACTIONS(1845),
    [anon_sym___SUB__] = ACTIONS(1845),
    [anon_sym_break] = ACTIONS(1845),
    [anon_sym_fork] = ACTIONS(1845),
    [anon_sym_getppid] = ACTIONS(1845),
    [anon_sym_time] = ACTIONS(1845),
    [anon_sym_times] = ACTIONS(1845),
    [anon_sym_wait] = ACTIONS(1845),
    [anon_sym_wantarray] = ACTIONS(1845),
    [anon_sym_abs] = ACTIONS(1845),
    [anon_sym_alarm] = ACTIONS(1845),
    [anon_sym_chop] = ACTIONS(1845),
    [anon_sym_chdir] = ACTIONS(1845),
    [anon_sym_close] = ACTIONS(1845),
    [anon_sym_closedir] = ACTIONS(1845),
    [anon_sym_caller] = ACTIONS(1845),
    [anon_sym_chomp] = ACTIONS(1845),
    [anon_sym_chr] = ACTIONS(1845),
    [anon_sym_cos] = ACTIONS(1845),
    [anon_sym_chroot] = ACTIONS(1845),
    [anon_sym_defined] = ACTIONS(1845),
    [anon_sym_delete] = ACTIONS(1845),
    [anon_sym_dbmclose] = ACTIONS(1845),
    [anon_sym_exists] = ACTIONS(1845),
    [anon_sym_exit] = ACTIONS(1845),
    [anon_sym_eof] = ACTIONS(1845),
    [anon_sym_exp] = ACTIONS(1845),
    [anon_sym_each] = ACTIONS(1845),
    [anon_sym_fc] = ACTIONS(1845),
    [anon_sym_fileno] = ACTIONS(1845),
    [anon_sym_gmtime] = ACTIONS(1845),
    [anon_sym_getc] = ACTIONS(1845),
    [anon_sym_getpgrp] = ACTIONS(1845),
    [anon_sym_getprotobyname] = ACTIONS(1845),
    [anon_sym_getpwname] = ACTIONS(1845),
    [anon_sym_getpwuid] = ACTIONS(1845),
    [anon_sym_getpeername] = ACTIONS(1845),
    [anon_sym_getnetbyname] = ACTIONS(1845),
    [anon_sym_getsockname] = ACTIONS(1845),
    [anon_sym_getgrnam] = ACTIONS(1845),
    [anon_sym_getgrgid] = ACTIONS(1845),
    [anon_sym_hex] = ACTIONS(1845),
    [anon_sym_int] = ACTIONS(1845),
    [anon_sym_keys] = ACTIONS(1845),
    [anon_sym_lc] = ACTIONS(1845),
    [anon_sym_lcfirst] = ACTIONS(1845),
    [anon_sym_length] = ACTIONS(1845),
    [anon_sym_localtime] = ACTIONS(1845),
    [anon_sym_log] = ACTIONS(1845),
    [anon_sym_lock] = ACTIONS(1845),
    [anon_sym_lstat] = ACTIONS(1845),
    [anon_sym_oct] = ACTIONS(1845),
    [anon_sym_ord] = ACTIONS(1845),
    [anon_sym_prototype] = ACTIONS(1845),
    [anon_sym_pop] = ACTIONS(1845),
    [anon_sym_pos] = ACTIONS(1845),
    [anon_sym_quotemeta] = ACTIONS(1845),
    [anon_sym_reset] = ACTIONS(1845),
    [anon_sym_rand] = ACTIONS(1845),
    [anon_sym_rmdir] = ACTIONS(1845),
    [anon_sym_readdir] = ACTIONS(1845),
    [anon_sym_readline] = ACTIONS(1845),
    [anon_sym_readpipe] = ACTIONS(1845),
    [anon_sym_rewinddir] = ACTIONS(1845),
    [anon_sym_readlink] = ACTIONS(1845),
    [anon_sym_ref] = ACTIONS(1845),
    [anon_sym_scalar] = ACTIONS(1845),
    [anon_sym_shift] = ACTIONS(1845),
    [anon_sym_sin] = ACTIONS(1845),
    [anon_sym_sleep] = ACTIONS(1845),
    [anon_sym_sqrt] = ACTIONS(1845),
    [anon_sym_srand] = ACTIONS(1845),
    [anon_sym_stat] = ACTIONS(1845),
    [anon_sym_study] = ACTIONS(1845),
    [anon_sym_tell] = ACTIONS(1845),
    [anon_sym_telldir] = ACTIONS(1845),
    [anon_sym_tied] = ACTIONS(1845),
    [anon_sym_uc] = ACTIONS(1845),
    [anon_sym_ucfirst] = ACTIONS(1845),
    [anon_sym_untie] = ACTIONS(1845),
    [anon_sym_umask] = ACTIONS(1845),
    [anon_sym_values] = ACTIONS(1845),
    [anon_sym_write] = ACTIONS(1845),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1845),
    [anon_sym_qq] = ACTIONS(1845),
    [anon_sym_qw] = ACTIONS(1845),
    [anon_sym_qx] = ACTIONS(1845),
    [anon_sym_qr] = ACTIONS(1845),
    [anon_sym_m] = ACTIONS(1845),
    [anon_sym_s] = ACTIONS(1845),
    [anon_sym_tr] = ACTIONS(1845),
    [anon_sym_y] = ACTIONS(1845),
    [aux_sym__bareword_token1] = ACTIONS(1845),
    [sym_number] = ACTIONS(1845),
    [anon_sym_true] = ACTIONS(1845),
    [anon_sym_false] = ACTIONS(1845),
    [sym__single_quote] = ACTIONS(1847),
    [sym__double_quote] = ACTIONS(1847),
    [sym__backtick_quote] = ACTIONS(1847),
    [sym__search_slash_quote] = ACTIONS(1847),
    [sym__open_readline_bracket] = ACTIONS(1847),
    [sym__open_fileglob_bracket] = ACTIONS(1847),
    [sym__PERLY_HEREDOC] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1847),
    [sym__filetest] = ACTIONS(1847),
  },
  [1121] = {
    [sym_heredoc_content] = STATE(1121),
    [sym__identifier] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2113),
    [anon_sym_DOLLAR] = ACTIONS(2113),
    [anon_sym_AT] = ACTIONS(2113),
    [anon_sym_RPAREN] = ACTIONS(2113),
    [anon_sym_my] = ACTIONS(2113),
    [anon_sym_extended] = ACTIONS(2113),
    [anon_sym_async] = ACTIONS(2113),
    [anon_sym_sub] = ACTIONS(2113),
    [anon_sym_method] = ACTIONS(2113),
    [anon_sym_LPAREN] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_state] = ACTIONS(2113),
    [anon_sym_our] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2113),
    [anon_sym_LT_LT] = ACTIONS(2113),
    [anon_sym_SLASH_SLASH] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_TILDE] = ACTIONS(2113),
    [anon_sym_BANG] = ACTIONS(2113),
    [anon_sym_PLUS_PLUS] = ACTIONS(2113),
    [anon_sym_DASH_DASH] = ACTIONS(2113),
    [anon_sym_BSLASH] = ACTIONS(2111),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_eval] = ACTIONS(2113),
    [anon_sym_await] = ACTIONS(2113),
    [anon_sym_field] = ACTIONS(2113),
    [anon_sym_local] = ACTIONS(2113),
    [anon_sym_dynamically] = ACTIONS(2113),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2113),
    [anon_sym_require] = ACTIONS(2113),
    [anon_sym_map] = ACTIONS(2113),
    [anon_sym_grep] = ACTIONS(2113),
    [anon_sym_sort] = ACTIONS(2113),
    [anon_sym_goto] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_undef] = ACTIONS(2113),
    [anon_sym_PERCENT2] = ACTIONS(2113),
    [anon_sym_AMP2] = ACTIONS(2113),
    [anon_sym_STAR2] = ACTIONS(2113),
    [anon_sym_last] = ACTIONS(2113),
    [anon_sym_next] = ACTIONS(2113),
    [anon_sym_redo] = ACTIONS(2113),
    [anon_sym___FILE__] = ACTIONS(2113),
    [anon_sym___LINE__] = ACTIONS(2113),
    [anon_sym___PACKAGE__] = ACTIONS(2113),
    [anon_sym___SUB__] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_fork] = ACTIONS(2113),
    [anon_sym_getppid] = ACTIONS(2113),
    [anon_sym_time] = ACTIONS(2113),
    [anon_sym_times] = ACTIONS(2113),
    [anon_sym_wait] = ACTIONS(2113),
    [anon_sym_wantarray] = ACTIONS(2113),
    [anon_sym_abs] = ACTIONS(2113),
    [anon_sym_alarm] = ACTIONS(2113),
    [anon_sym_chop] = ACTIONS(2113),
    [anon_sym_chdir] = ACTIONS(2113),
    [anon_sym_close] = ACTIONS(2113),
    [anon_sym_closedir] = ACTIONS(2113),
    [anon_sym_caller] = ACTIONS(2113),
    [anon_sym_chomp] = ACTIONS(2113),
    [anon_sym_chr] = ACTIONS(2113),
    [anon_sym_cos] = ACTIONS(2113),
    [anon_sym_chroot] = ACTIONS(2113),
    [anon_sym_defined] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_dbmclose] = ACTIONS(2113),
    [anon_sym_exists] = ACTIONS(2113),
    [anon_sym_exit] = ACTIONS(2113),
    [anon_sym_eof] = ACTIONS(2113),
    [anon_sym_exp] = ACTIONS(2113),
    [anon_sym_each] = ACTIONS(2113),
    [anon_sym_fc] = ACTIONS(2113),
    [anon_sym_fileno] = ACTIONS(2113),
    [anon_sym_gmtime] = ACTIONS(2113),
    [anon_sym_getc] = ACTIONS(2113),
    [anon_sym_getpgrp] = ACTIONS(2113),
    [anon_sym_getprotobyname] = ACTIONS(2113),
    [anon_sym_getpwname] = ACTIONS(2113),
    [anon_sym_getpwuid] = ACTIONS(2113),
    [anon_sym_getpeername] = ACTIONS(2113),
    [anon_sym_getnetbyname] = ACTIONS(2113),
    [anon_sym_getsockname] = ACTIONS(2113),
    [anon_sym_getgrnam] = ACTIONS(2113),
    [anon_sym_getgrgid] = ACTIONS(2113),
    [anon_sym_hex] = ACTIONS(2113),
    [anon_sym_int] = ACTIONS(2113),
    [anon_sym_keys] = ACTIONS(2113),
    [anon_sym_lc] = ACTIONS(2113),
    [anon_sym_lcfirst] = ACTIONS(2113),
    [anon_sym_length] = ACTIONS(2113),
    [anon_sym_localtime] = ACTIONS(2113),
    [anon_sym_log] = ACTIONS(2113),
    [anon_sym_lock] = ACTIONS(2113),
    [anon_sym_lstat] = ACTIONS(2113),
    [anon_sym_oct] = ACTIONS(2113),
    [anon_sym_ord] = ACTIONS(2113),
    [anon_sym_prototype] = ACTIONS(2113),
    [anon_sym_pop] = ACTIONS(2113),
    [anon_sym_pos] = ACTIONS(2113),
    [anon_sym_quotemeta] = ACTIONS(2113),
    [anon_sym_reset] = ACTIONS(2113),
    [anon_sym_rand] = ACTIONS(2113),
    [anon_sym_rmdir] = ACTIONS(2113),
    [anon_sym_readdir] = ACTIONS(2113),
    [anon_sym_readline] = ACTIONS(2113),
    [anon_sym_readpipe] = ACTIONS(2113),
    [anon_sym_rewinddir] = ACTIONS(2113),
    [anon_sym_readlink] = ACTIONS(2113),
    [anon_sym_ref] = ACTIONS(2113),
    [anon_sym_scalar] = ACTIONS(2113),
    [anon_sym_shift] = ACTIONS(2113),
    [anon_sym_sin] = ACTIONS(2113),
    [anon_sym_sleep] = ACTIONS(2113),
    [anon_sym_sqrt] = ACTIONS(2113),
    [anon_sym_srand] = ACTIONS(2113),
    [anon_sym_stat] = ACTIONS(2113),
    [anon_sym_study] = ACTIONS(2113),
    [anon_sym_tell] = ACTIONS(2113),
    [anon_sym_telldir] = ACTIONS(2113),
    [anon_sym_tied] = ACTIONS(2113),
    [anon_sym_uc] = ACTIONS(2113),
    [anon_sym_ucfirst] = ACTIONS(2113),
    [anon_sym_untie] = ACTIONS(2113),
    [anon_sym_umask] = ACTIONS(2113),
    [anon_sym_values] = ACTIONS(2113),
    [anon_sym_write] = ACTIONS(2113),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2113),
    [anon_sym_qq] = ACTIONS(2113),
    [anon_sym_qw] = ACTIONS(2113),
    [anon_sym_qx] = ACTIONS(2113),
    [anon_sym_qr] = ACTIONS(2113),
    [anon_sym_m] = ACTIONS(2113),
    [anon_sym_s] = ACTIONS(2113),
    [anon_sym_tr] = ACTIONS(2113),
    [anon_sym_y] = ACTIONS(2113),
    [aux_sym__bareword_token1] = ACTIONS(2113),
    [sym_number] = ACTIONS(2113),
    [anon_sym_true] = ACTIONS(2113),
    [anon_sym_false] = ACTIONS(2113),
    [sym__single_quote] = ACTIONS(2111),
    [sym__double_quote] = ACTIONS(2111),
    [sym__backtick_quote] = ACTIONS(2111),
    [sym__search_slash_quote] = ACTIONS(2111),
    [sym__open_readline_bracket] = ACTIONS(2111),
    [sym__open_fileglob_bracket] = ACTIONS(2111),
    [sym__PERLY_HEREDOC] = ACTIONS(2111),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2111),
    [sym__filetest] = ACTIONS(2111),
  },
  [1122] = {
    [sym_heredoc_content] = STATE(1122),
    [sym__identifier] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2125),
    [anon_sym_DOLLAR] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2125),
    [anon_sym_RPAREN] = ACTIONS(2125),
    [anon_sym_my] = ACTIONS(2125),
    [anon_sym_extended] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_sub] = ACTIONS(2125),
    [anon_sym_method] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_state] = ACTIONS(2125),
    [anon_sym_our] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2125),
    [anon_sym_LT_LT] = ACTIONS(2125),
    [anon_sym_SLASH_SLASH] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2125),
    [anon_sym_DASH_DASH] = ACTIONS(2125),
    [anon_sym_BSLASH] = ACTIONS(2123),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_eval] = ACTIONS(2125),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_field] = ACTIONS(2125),
    [anon_sym_local] = ACTIONS(2125),
    [anon_sym_dynamically] = ACTIONS(2125),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2125),
    [anon_sym_require] = ACTIONS(2125),
    [anon_sym_map] = ACTIONS(2125),
    [anon_sym_grep] = ACTIONS(2125),
    [anon_sym_sort] = ACTIONS(2125),
    [anon_sym_goto] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_undef] = ACTIONS(2125),
    [anon_sym_PERCENT2] = ACTIONS(2125),
    [anon_sym_AMP2] = ACTIONS(2125),
    [anon_sym_STAR2] = ACTIONS(2125),
    [anon_sym_last] = ACTIONS(2125),
    [anon_sym_next] = ACTIONS(2125),
    [anon_sym_redo] = ACTIONS(2125),
    [anon_sym___FILE__] = ACTIONS(2125),
    [anon_sym___LINE__] = ACTIONS(2125),
    [anon_sym___PACKAGE__] = ACTIONS(2125),
    [anon_sym___SUB__] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_fork] = ACTIONS(2125),
    [anon_sym_getppid] = ACTIONS(2125),
    [anon_sym_time] = ACTIONS(2125),
    [anon_sym_times] = ACTIONS(2125),
    [anon_sym_wait] = ACTIONS(2125),
    [anon_sym_wantarray] = ACTIONS(2125),
    [anon_sym_abs] = ACTIONS(2125),
    [anon_sym_alarm] = ACTIONS(2125),
    [anon_sym_chop] = ACTIONS(2125),
    [anon_sym_chdir] = ACTIONS(2125),
    [anon_sym_close] = ACTIONS(2125),
    [anon_sym_closedir] = ACTIONS(2125),
    [anon_sym_caller] = ACTIONS(2125),
    [anon_sym_chomp] = ACTIONS(2125),
    [anon_sym_chr] = ACTIONS(2125),
    [anon_sym_cos] = ACTIONS(2125),
    [anon_sym_chroot] = ACTIONS(2125),
    [anon_sym_defined] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_dbmclose] = ACTIONS(2125),
    [anon_sym_exists] = ACTIONS(2125),
    [anon_sym_exit] = ACTIONS(2125),
    [anon_sym_eof] = ACTIONS(2125),
    [anon_sym_exp] = ACTIONS(2125),
    [anon_sym_each] = ACTIONS(2125),
    [anon_sym_fc] = ACTIONS(2125),
    [anon_sym_fileno] = ACTIONS(2125),
    [anon_sym_gmtime] = ACTIONS(2125),
    [anon_sym_getc] = ACTIONS(2125),
    [anon_sym_getpgrp] = ACTIONS(2125),
    [anon_sym_getprotobyname] = ACTIONS(2125),
    [anon_sym_getpwname] = ACTIONS(2125),
    [anon_sym_getpwuid] = ACTIONS(2125),
    [anon_sym_getpeername] = ACTIONS(2125),
    [anon_sym_getnetbyname] = ACTIONS(2125),
    [anon_sym_getsockname] = ACTIONS(2125),
    [anon_sym_getgrnam] = ACTIONS(2125),
    [anon_sym_getgrgid] = ACTIONS(2125),
    [anon_sym_hex] = ACTIONS(2125),
    [anon_sym_int] = ACTIONS(2125),
    [anon_sym_keys] = ACTIONS(2125),
    [anon_sym_lc] = ACTIONS(2125),
    [anon_sym_lcfirst] = ACTIONS(2125),
    [anon_sym_length] = ACTIONS(2125),
    [anon_sym_localtime] = ACTIONS(2125),
    [anon_sym_log] = ACTIONS(2125),
    [anon_sym_lock] = ACTIONS(2125),
    [anon_sym_lstat] = ACTIONS(2125),
    [anon_sym_oct] = ACTIONS(2125),
    [anon_sym_ord] = ACTIONS(2125),
    [anon_sym_prototype] = ACTIONS(2125),
    [anon_sym_pop] = ACTIONS(2125),
    [anon_sym_pos] = ACTIONS(2125),
    [anon_sym_quotemeta] = ACTIONS(2125),
    [anon_sym_reset] = ACTIONS(2125),
    [anon_sym_rand] = ACTIONS(2125),
    [anon_sym_rmdir] = ACTIONS(2125),
    [anon_sym_readdir] = ACTIONS(2125),
    [anon_sym_readline] = ACTIONS(2125),
    [anon_sym_readpipe] = ACTIONS(2125),
    [anon_sym_rewinddir] = ACTIONS(2125),
    [anon_sym_readlink] = ACTIONS(2125),
    [anon_sym_ref] = ACTIONS(2125),
    [anon_sym_scalar] = ACTIONS(2125),
    [anon_sym_shift] = ACTIONS(2125),
    [anon_sym_sin] = ACTIONS(2125),
    [anon_sym_sleep] = ACTIONS(2125),
    [anon_sym_sqrt] = ACTIONS(2125),
    [anon_sym_srand] = ACTIONS(2125),
    [anon_sym_stat] = ACTIONS(2125),
    [anon_sym_study] = ACTIONS(2125),
    [anon_sym_tell] = ACTIONS(2125),
    [anon_sym_telldir] = ACTIONS(2125),
    [anon_sym_tied] = ACTIONS(2125),
    [anon_sym_uc] = ACTIONS(2125),
    [anon_sym_ucfirst] = ACTIONS(2125),
    [anon_sym_untie] = ACTIONS(2125),
    [anon_sym_umask] = ACTIONS(2125),
    [anon_sym_values] = ACTIONS(2125),
    [anon_sym_write] = ACTIONS(2125),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2125),
    [anon_sym_qq] = ACTIONS(2125),
    [anon_sym_qw] = ACTIONS(2125),
    [anon_sym_qx] = ACTIONS(2125),
    [anon_sym_qr] = ACTIONS(2125),
    [anon_sym_m] = ACTIONS(2125),
    [anon_sym_s] = ACTIONS(2125),
    [anon_sym_tr] = ACTIONS(2125),
    [anon_sym_y] = ACTIONS(2125),
    [aux_sym__bareword_token1] = ACTIONS(2125),
    [sym_number] = ACTIONS(2125),
    [anon_sym_true] = ACTIONS(2125),
    [anon_sym_false] = ACTIONS(2125),
    [sym__single_quote] = ACTIONS(2123),
    [sym__double_quote] = ACTIONS(2123),
    [sym__backtick_quote] = ACTIONS(2123),
    [sym__search_slash_quote] = ACTIONS(2123),
    [sym__open_readline_bracket] = ACTIONS(2123),
    [sym__open_fileglob_bracket] = ACTIONS(2123),
    [sym__PERLY_HEREDOC] = ACTIONS(2123),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2123),
    [sym__filetest] = ACTIONS(2123),
  },
  [1123] = {
    [sym_heredoc_content] = STATE(1123),
    [sym__identifier] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2169),
    [anon_sym_DOLLAR] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2169),
    [anon_sym_RPAREN] = ACTIONS(2169),
    [anon_sym_my] = ACTIONS(2169),
    [anon_sym_extended] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_sub] = ACTIONS(2169),
    [anon_sym_method] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_state] = ACTIONS(2169),
    [anon_sym_our] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2169),
    [anon_sym_LT_LT] = ACTIONS(2169),
    [anon_sym_SLASH_SLASH] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2169),
    [anon_sym_DASH_DASH] = ACTIONS(2169),
    [anon_sym_BSLASH] = ACTIONS(2167),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_eval] = ACTIONS(2169),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_field] = ACTIONS(2169),
    [anon_sym_local] = ACTIONS(2169),
    [anon_sym_dynamically] = ACTIONS(2169),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2169),
    [anon_sym_require] = ACTIONS(2169),
    [anon_sym_map] = ACTIONS(2169),
    [anon_sym_grep] = ACTIONS(2169),
    [anon_sym_sort] = ACTIONS(2169),
    [anon_sym_goto] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_undef] = ACTIONS(2169),
    [anon_sym_PERCENT2] = ACTIONS(2169),
    [anon_sym_AMP2] = ACTIONS(2169),
    [anon_sym_STAR2] = ACTIONS(2169),
    [anon_sym_last] = ACTIONS(2169),
    [anon_sym_next] = ACTIONS(2169),
    [anon_sym_redo] = ACTIONS(2169),
    [anon_sym___FILE__] = ACTIONS(2169),
    [anon_sym___LINE__] = ACTIONS(2169),
    [anon_sym___PACKAGE__] = ACTIONS(2169),
    [anon_sym___SUB__] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_fork] = ACTIONS(2169),
    [anon_sym_getppid] = ACTIONS(2169),
    [anon_sym_time] = ACTIONS(2169),
    [anon_sym_times] = ACTIONS(2169),
    [anon_sym_wait] = ACTIONS(2169),
    [anon_sym_wantarray] = ACTIONS(2169),
    [anon_sym_abs] = ACTIONS(2169),
    [anon_sym_alarm] = ACTIONS(2169),
    [anon_sym_chop] = ACTIONS(2169),
    [anon_sym_chdir] = ACTIONS(2169),
    [anon_sym_close] = ACTIONS(2169),
    [anon_sym_closedir] = ACTIONS(2169),
    [anon_sym_caller] = ACTIONS(2169),
    [anon_sym_chomp] = ACTIONS(2169),
    [anon_sym_chr] = ACTIONS(2169),
    [anon_sym_cos] = ACTIONS(2169),
    [anon_sym_chroot] = ACTIONS(2169),
    [anon_sym_defined] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_dbmclose] = ACTIONS(2169),
    [anon_sym_exists] = ACTIONS(2169),
    [anon_sym_exit] = ACTIONS(2169),
    [anon_sym_eof] = ACTIONS(2169),
    [anon_sym_exp] = ACTIONS(2169),
    [anon_sym_each] = ACTIONS(2169),
    [anon_sym_fc] = ACTIONS(2169),
    [anon_sym_fileno] = ACTIONS(2169),
    [anon_sym_gmtime] = ACTIONS(2169),
    [anon_sym_getc] = ACTIONS(2169),
    [anon_sym_getpgrp] = ACTIONS(2169),
    [anon_sym_getprotobyname] = ACTIONS(2169),
    [anon_sym_getpwname] = ACTIONS(2169),
    [anon_sym_getpwuid] = ACTIONS(2169),
    [anon_sym_getpeername] = ACTIONS(2169),
    [anon_sym_getnetbyname] = ACTIONS(2169),
    [anon_sym_getsockname] = ACTIONS(2169),
    [anon_sym_getgrnam] = ACTIONS(2169),
    [anon_sym_getgrgid] = ACTIONS(2169),
    [anon_sym_hex] = ACTIONS(2169),
    [anon_sym_int] = ACTIONS(2169),
    [anon_sym_keys] = ACTIONS(2169),
    [anon_sym_lc] = ACTIONS(2169),
    [anon_sym_lcfirst] = ACTIONS(2169),
    [anon_sym_length] = ACTIONS(2169),
    [anon_sym_localtime] = ACTIONS(2169),
    [anon_sym_log] = ACTIONS(2169),
    [anon_sym_lock] = ACTIONS(2169),
    [anon_sym_lstat] = ACTIONS(2169),
    [anon_sym_oct] = ACTIONS(2169),
    [anon_sym_ord] = ACTIONS(2169),
    [anon_sym_prototype] = ACTIONS(2169),
    [anon_sym_pop] = ACTIONS(2169),
    [anon_sym_pos] = ACTIONS(2169),
    [anon_sym_quotemeta] = ACTIONS(2169),
    [anon_sym_reset] = ACTIONS(2169),
    [anon_sym_rand] = ACTIONS(2169),
    [anon_sym_rmdir] = ACTIONS(2169),
    [anon_sym_readdir] = ACTIONS(2169),
    [anon_sym_readline] = ACTIONS(2169),
    [anon_sym_readpipe] = ACTIONS(2169),
    [anon_sym_rewinddir] = ACTIONS(2169),
    [anon_sym_readlink] = ACTIONS(2169),
    [anon_sym_ref] = ACTIONS(2169),
    [anon_sym_scalar] = ACTIONS(2169),
    [anon_sym_shift] = ACTIONS(2169),
    [anon_sym_sin] = ACTIONS(2169),
    [anon_sym_sleep] = ACTIONS(2169),
    [anon_sym_sqrt] = ACTIONS(2169),
    [anon_sym_srand] = ACTIONS(2169),
    [anon_sym_stat] = ACTIONS(2169),
    [anon_sym_study] = ACTIONS(2169),
    [anon_sym_tell] = ACTIONS(2169),
    [anon_sym_telldir] = ACTIONS(2169),
    [anon_sym_tied] = ACTIONS(2169),
    [anon_sym_uc] = ACTIONS(2169),
    [anon_sym_ucfirst] = ACTIONS(2169),
    [anon_sym_untie] = ACTIONS(2169),
    [anon_sym_umask] = ACTIONS(2169),
    [anon_sym_values] = ACTIONS(2169),
    [anon_sym_write] = ACTIONS(2169),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2169),
    [anon_sym_qq] = ACTIONS(2169),
    [anon_sym_qw] = ACTIONS(2169),
    [anon_sym_qx] = ACTIONS(2169),
    [anon_sym_qr] = ACTIONS(2169),
    [anon_sym_m] = ACTIONS(2169),
    [anon_sym_s] = ACTIONS(2169),
    [anon_sym_tr] = ACTIONS(2169),
    [anon_sym_y] = ACTIONS(2169),
    [aux_sym__bareword_token1] = ACTIONS(2169),
    [sym_number] = ACTIONS(2169),
    [anon_sym_true] = ACTIONS(2169),
    [anon_sym_false] = ACTIONS(2169),
    [sym__single_quote] = ACTIONS(2167),
    [sym__double_quote] = ACTIONS(2167),
    [sym__backtick_quote] = ACTIONS(2167),
    [sym__search_slash_quote] = ACTIONS(2167),
    [sym__open_readline_bracket] = ACTIONS(2167),
    [sym__open_fileglob_bracket] = ACTIONS(2167),
    [sym__PERLY_HEREDOC] = ACTIONS(2167),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2167),
    [sym__filetest] = ACTIONS(2167),
  },
  [1124] = {
    [sym_heredoc_content] = STATE(1124),
    [sym__identifier] = ACTIONS(2029),
    [anon_sym_LBRACE] = ACTIONS(2029),
    [anon_sym_DOLLAR] = ACTIONS(2029),
    [anon_sym_AT] = ACTIONS(2029),
    [anon_sym_RPAREN] = ACTIONS(2029),
    [anon_sym_my] = ACTIONS(2029),
    [anon_sym_extended] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_sub] = ACTIONS(2029),
    [anon_sym_method] = ACTIONS(2029),
    [anon_sym_LPAREN] = ACTIONS(2029),
    [anon_sym_continue] = ACTIONS(2029),
    [anon_sym_state] = ACTIONS(2029),
    [anon_sym_our] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2029),
    [anon_sym_LT_LT] = ACTIONS(2029),
    [anon_sym_SLASH_SLASH] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_TILDE] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2029),
    [anon_sym_DASH_DASH] = ACTIONS(2029),
    [anon_sym_BSLASH] = ACTIONS(2027),
    [anon_sym_do] = ACTIONS(2029),
    [anon_sym_eval] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(2029),
    [anon_sym_field] = ACTIONS(2029),
    [anon_sym_local] = ACTIONS(2029),
    [anon_sym_dynamically] = ACTIONS(2029),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2029),
    [anon_sym_require] = ACTIONS(2029),
    [anon_sym_map] = ACTIONS(2029),
    [anon_sym_grep] = ACTIONS(2029),
    [anon_sym_sort] = ACTIONS(2029),
    [anon_sym_goto] = ACTIONS(2029),
    [anon_sym_return] = ACTIONS(2029),
    [anon_sym_undef] = ACTIONS(2029),
    [anon_sym_PERCENT2] = ACTIONS(2029),
    [anon_sym_AMP2] = ACTIONS(2029),
    [anon_sym_STAR2] = ACTIONS(2029),
    [anon_sym_last] = ACTIONS(2029),
    [anon_sym_next] = ACTIONS(2029),
    [anon_sym_redo] = ACTIONS(2029),
    [anon_sym___FILE__] = ACTIONS(2029),
    [anon_sym___LINE__] = ACTIONS(2029),
    [anon_sym___PACKAGE__] = ACTIONS(2029),
    [anon_sym___SUB__] = ACTIONS(2029),
    [anon_sym_break] = ACTIONS(2029),
    [anon_sym_fork] = ACTIONS(2029),
    [anon_sym_getppid] = ACTIONS(2029),
    [anon_sym_time] = ACTIONS(2029),
    [anon_sym_times] = ACTIONS(2029),
    [anon_sym_wait] = ACTIONS(2029),
    [anon_sym_wantarray] = ACTIONS(2029),
    [anon_sym_abs] = ACTIONS(2029),
    [anon_sym_alarm] = ACTIONS(2029),
    [anon_sym_chop] = ACTIONS(2029),
    [anon_sym_chdir] = ACTIONS(2029),
    [anon_sym_close] = ACTIONS(2029),
    [anon_sym_closedir] = ACTIONS(2029),
    [anon_sym_caller] = ACTIONS(2029),
    [anon_sym_chomp] = ACTIONS(2029),
    [anon_sym_chr] = ACTIONS(2029),
    [anon_sym_cos] = ACTIONS(2029),
    [anon_sym_chroot] = ACTIONS(2029),
    [anon_sym_defined] = ACTIONS(2029),
    [anon_sym_delete] = ACTIONS(2029),
    [anon_sym_dbmclose] = ACTIONS(2029),
    [anon_sym_exists] = ACTIONS(2029),
    [anon_sym_exit] = ACTIONS(2029),
    [anon_sym_eof] = ACTIONS(2029),
    [anon_sym_exp] = ACTIONS(2029),
    [anon_sym_each] = ACTIONS(2029),
    [anon_sym_fc] = ACTIONS(2029),
    [anon_sym_fileno] = ACTIONS(2029),
    [anon_sym_gmtime] = ACTIONS(2029),
    [anon_sym_getc] = ACTIONS(2029),
    [anon_sym_getpgrp] = ACTIONS(2029),
    [anon_sym_getprotobyname] = ACTIONS(2029),
    [anon_sym_getpwname] = ACTIONS(2029),
    [anon_sym_getpwuid] = ACTIONS(2029),
    [anon_sym_getpeername] = ACTIONS(2029),
    [anon_sym_getnetbyname] = ACTIONS(2029),
    [anon_sym_getsockname] = ACTIONS(2029),
    [anon_sym_getgrnam] = ACTIONS(2029),
    [anon_sym_getgrgid] = ACTIONS(2029),
    [anon_sym_hex] = ACTIONS(2029),
    [anon_sym_int] = ACTIONS(2029),
    [anon_sym_keys] = ACTIONS(2029),
    [anon_sym_lc] = ACTIONS(2029),
    [anon_sym_lcfirst] = ACTIONS(2029),
    [anon_sym_length] = ACTIONS(2029),
    [anon_sym_localtime] = ACTIONS(2029),
    [anon_sym_log] = ACTIONS(2029),
    [anon_sym_lock] = ACTIONS(2029),
    [anon_sym_lstat] = ACTIONS(2029),
    [anon_sym_oct] = ACTIONS(2029),
    [anon_sym_ord] = ACTIONS(2029),
    [anon_sym_prototype] = ACTIONS(2029),
    [anon_sym_pop] = ACTIONS(2029),
    [anon_sym_pos] = ACTIONS(2029),
    [anon_sym_quotemeta] = ACTIONS(2029),
    [anon_sym_reset] = ACTIONS(2029),
    [anon_sym_rand] = ACTIONS(2029),
    [anon_sym_rmdir] = ACTIONS(2029),
    [anon_sym_readdir] = ACTIONS(2029),
    [anon_sym_readline] = ACTIONS(2029),
    [anon_sym_readpipe] = ACTIONS(2029),
    [anon_sym_rewinddir] = ACTIONS(2029),
    [anon_sym_readlink] = ACTIONS(2029),
    [anon_sym_ref] = ACTIONS(2029),
    [anon_sym_scalar] = ACTIONS(2029),
    [anon_sym_shift] = ACTIONS(2029),
    [anon_sym_sin] = ACTIONS(2029),
    [anon_sym_sleep] = ACTIONS(2029),
    [anon_sym_sqrt] = ACTIONS(2029),
    [anon_sym_srand] = ACTIONS(2029),
    [anon_sym_stat] = ACTIONS(2029),
    [anon_sym_study] = ACTIONS(2029),
    [anon_sym_tell] = ACTIONS(2029),
    [anon_sym_telldir] = ACTIONS(2029),
    [anon_sym_tied] = ACTIONS(2029),
    [anon_sym_uc] = ACTIONS(2029),
    [anon_sym_ucfirst] = ACTIONS(2029),
    [anon_sym_untie] = ACTIONS(2029),
    [anon_sym_umask] = ACTIONS(2029),
    [anon_sym_values] = ACTIONS(2029),
    [anon_sym_write] = ACTIONS(2029),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2029),
    [anon_sym_qq] = ACTIONS(2029),
    [anon_sym_qw] = ACTIONS(2029),
    [anon_sym_qx] = ACTIONS(2029),
    [anon_sym_qr] = ACTIONS(2029),
    [anon_sym_m] = ACTIONS(2029),
    [anon_sym_s] = ACTIONS(2029),
    [anon_sym_tr] = ACTIONS(2029),
    [anon_sym_y] = ACTIONS(2029),
    [aux_sym__bareword_token1] = ACTIONS(2029),
    [sym_number] = ACTIONS(2029),
    [anon_sym_true] = ACTIONS(2029),
    [anon_sym_false] = ACTIONS(2029),
    [sym__single_quote] = ACTIONS(2027),
    [sym__double_quote] = ACTIONS(2027),
    [sym__backtick_quote] = ACTIONS(2027),
    [sym__search_slash_quote] = ACTIONS(2027),
    [sym__open_readline_bracket] = ACTIONS(2027),
    [sym__open_fileglob_bracket] = ACTIONS(2027),
    [sym__PERLY_HEREDOC] = ACTIONS(2027),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2027),
    [sym__filetest] = ACTIONS(2027),
  },
  [1125] = {
    [sym_heredoc_content] = STATE(1125),
    [sym__identifier] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_DOLLAR] = ACTIONS(2073),
    [anon_sym_AT] = ACTIONS(2073),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_my] = ACTIONS(2073),
    [anon_sym_extended] = ACTIONS(2073),
    [anon_sym_async] = ACTIONS(2073),
    [anon_sym_sub] = ACTIONS(2073),
    [anon_sym_method] = ACTIONS(2073),
    [anon_sym_LPAREN] = ACTIONS(2073),
    [anon_sym_continue] = ACTIONS(2073),
    [anon_sym_state] = ACTIONS(2073),
    [anon_sym_our] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_LT_LT] = ACTIONS(2073),
    [anon_sym_SLASH_SLASH] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2073),
    [anon_sym_TILDE] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2073),
    [anon_sym_DASH_DASH] = ACTIONS(2073),
    [anon_sym_BSLASH] = ACTIONS(2071),
    [anon_sym_do] = ACTIONS(2073),
    [anon_sym_eval] = ACTIONS(2073),
    [anon_sym_await] = ACTIONS(2073),
    [anon_sym_field] = ACTIONS(2073),
    [anon_sym_local] = ACTIONS(2073),
    [anon_sym_dynamically] = ACTIONS(2073),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2073),
    [anon_sym_require] = ACTIONS(2073),
    [anon_sym_map] = ACTIONS(2073),
    [anon_sym_grep] = ACTIONS(2073),
    [anon_sym_sort] = ACTIONS(2073),
    [anon_sym_goto] = ACTIONS(2073),
    [anon_sym_return] = ACTIONS(2073),
    [anon_sym_undef] = ACTIONS(2073),
    [anon_sym_PERCENT2] = ACTIONS(2073),
    [anon_sym_AMP2] = ACTIONS(2073),
    [anon_sym_STAR2] = ACTIONS(2073),
    [anon_sym_last] = ACTIONS(2073),
    [anon_sym_next] = ACTIONS(2073),
    [anon_sym_redo] = ACTIONS(2073),
    [anon_sym___FILE__] = ACTIONS(2073),
    [anon_sym___LINE__] = ACTIONS(2073),
    [anon_sym___PACKAGE__] = ACTIONS(2073),
    [anon_sym___SUB__] = ACTIONS(2073),
    [anon_sym_break] = ACTIONS(2073),
    [anon_sym_fork] = ACTIONS(2073),
    [anon_sym_getppid] = ACTIONS(2073),
    [anon_sym_time] = ACTIONS(2073),
    [anon_sym_times] = ACTIONS(2073),
    [anon_sym_wait] = ACTIONS(2073),
    [anon_sym_wantarray] = ACTIONS(2073),
    [anon_sym_abs] = ACTIONS(2073),
    [anon_sym_alarm] = ACTIONS(2073),
    [anon_sym_chop] = ACTIONS(2073),
    [anon_sym_chdir] = ACTIONS(2073),
    [anon_sym_close] = ACTIONS(2073),
    [anon_sym_closedir] = ACTIONS(2073),
    [anon_sym_caller] = ACTIONS(2073),
    [anon_sym_chomp] = ACTIONS(2073),
    [anon_sym_chr] = ACTIONS(2073),
    [anon_sym_cos] = ACTIONS(2073),
    [anon_sym_chroot] = ACTIONS(2073),
    [anon_sym_defined] = ACTIONS(2073),
    [anon_sym_delete] = ACTIONS(2073),
    [anon_sym_dbmclose] = ACTIONS(2073),
    [anon_sym_exists] = ACTIONS(2073),
    [anon_sym_exit] = ACTIONS(2073),
    [anon_sym_eof] = ACTIONS(2073),
    [anon_sym_exp] = ACTIONS(2073),
    [anon_sym_each] = ACTIONS(2073),
    [anon_sym_fc] = ACTIONS(2073),
    [anon_sym_fileno] = ACTIONS(2073),
    [anon_sym_gmtime] = ACTIONS(2073),
    [anon_sym_getc] = ACTIONS(2073),
    [anon_sym_getpgrp] = ACTIONS(2073),
    [anon_sym_getprotobyname] = ACTIONS(2073),
    [anon_sym_getpwname] = ACTIONS(2073),
    [anon_sym_getpwuid] = ACTIONS(2073),
    [anon_sym_getpeername] = ACTIONS(2073),
    [anon_sym_getnetbyname] = ACTIONS(2073),
    [anon_sym_getsockname] = ACTIONS(2073),
    [anon_sym_getgrnam] = ACTIONS(2073),
    [anon_sym_getgrgid] = ACTIONS(2073),
    [anon_sym_hex] = ACTIONS(2073),
    [anon_sym_int] = ACTIONS(2073),
    [anon_sym_keys] = ACTIONS(2073),
    [anon_sym_lc] = ACTIONS(2073),
    [anon_sym_lcfirst] = ACTIONS(2073),
    [anon_sym_length] = ACTIONS(2073),
    [anon_sym_localtime] = ACTIONS(2073),
    [anon_sym_log] = ACTIONS(2073),
    [anon_sym_lock] = ACTIONS(2073),
    [anon_sym_lstat] = ACTIONS(2073),
    [anon_sym_oct] = ACTIONS(2073),
    [anon_sym_ord] = ACTIONS(2073),
    [anon_sym_prototype] = ACTIONS(2073),
    [anon_sym_pop] = ACTIONS(2073),
    [anon_sym_pos] = ACTIONS(2073),
    [anon_sym_quotemeta] = ACTIONS(2073),
    [anon_sym_reset] = ACTIONS(2073),
    [anon_sym_rand] = ACTIONS(2073),
    [anon_sym_rmdir] = ACTIONS(2073),
    [anon_sym_readdir] = ACTIONS(2073),
    [anon_sym_readline] = ACTIONS(2073),
    [anon_sym_readpipe] = ACTIONS(2073),
    [anon_sym_rewinddir] = ACTIONS(2073),
    [anon_sym_readlink] = ACTIONS(2073),
    [anon_sym_ref] = ACTIONS(2073),
    [anon_sym_scalar] = ACTIONS(2073),
    [anon_sym_shift] = ACTIONS(2073),
    [anon_sym_sin] = ACTIONS(2073),
    [anon_sym_sleep] = ACTIONS(2073),
    [anon_sym_sqrt] = ACTIONS(2073),
    [anon_sym_srand] = ACTIONS(2073),
    [anon_sym_stat] = ACTIONS(2073),
    [anon_sym_study] = ACTIONS(2073),
    [anon_sym_tell] = ACTIONS(2073),
    [anon_sym_telldir] = ACTIONS(2073),
    [anon_sym_tied] = ACTIONS(2073),
    [anon_sym_uc] = ACTIONS(2073),
    [anon_sym_ucfirst] = ACTIONS(2073),
    [anon_sym_untie] = ACTIONS(2073),
    [anon_sym_umask] = ACTIONS(2073),
    [anon_sym_values] = ACTIONS(2073),
    [anon_sym_write] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2073),
    [anon_sym_qq] = ACTIONS(2073),
    [anon_sym_qw] = ACTIONS(2073),
    [anon_sym_qx] = ACTIONS(2073),
    [anon_sym_qr] = ACTIONS(2073),
    [anon_sym_m] = ACTIONS(2073),
    [anon_sym_s] = ACTIONS(2073),
    [anon_sym_tr] = ACTIONS(2073),
    [anon_sym_y] = ACTIONS(2073),
    [aux_sym__bareword_token1] = ACTIONS(2073),
    [sym_number] = ACTIONS(2073),
    [anon_sym_true] = ACTIONS(2073),
    [anon_sym_false] = ACTIONS(2073),
    [sym__single_quote] = ACTIONS(2071),
    [sym__double_quote] = ACTIONS(2071),
    [sym__backtick_quote] = ACTIONS(2071),
    [sym__search_slash_quote] = ACTIONS(2071),
    [sym__open_readline_bracket] = ACTIONS(2071),
    [sym__open_fileglob_bracket] = ACTIONS(2071),
    [sym__PERLY_HEREDOC] = ACTIONS(2071),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2071),
    [sym__filetest] = ACTIONS(2071),
  },
  [1126] = {
    [sym_heredoc_content] = STATE(1126),
    [sym__identifier] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2105),
    [anon_sym_DOLLAR] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2105),
    [anon_sym_RPAREN] = ACTIONS(2105),
    [anon_sym_my] = ACTIONS(2105),
    [anon_sym_extended] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_sub] = ACTIONS(2105),
    [anon_sym_method] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_state] = ACTIONS(2105),
    [anon_sym_our] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2105),
    [anon_sym_LT_LT] = ACTIONS(2105),
    [anon_sym_SLASH_SLASH] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2105),
    [anon_sym_DASH_DASH] = ACTIONS(2105),
    [anon_sym_BSLASH] = ACTIONS(2103),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_eval] = ACTIONS(2105),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_field] = ACTIONS(2105),
    [anon_sym_local] = ACTIONS(2105),
    [anon_sym_dynamically] = ACTIONS(2105),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2105),
    [anon_sym_require] = ACTIONS(2105),
    [anon_sym_map] = ACTIONS(2105),
    [anon_sym_grep] = ACTIONS(2105),
    [anon_sym_sort] = ACTIONS(2105),
    [anon_sym_goto] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_undef] = ACTIONS(2105),
    [anon_sym_PERCENT2] = ACTIONS(2105),
    [anon_sym_AMP2] = ACTIONS(2105),
    [anon_sym_STAR2] = ACTIONS(2105),
    [anon_sym_last] = ACTIONS(2105),
    [anon_sym_next] = ACTIONS(2105),
    [anon_sym_redo] = ACTIONS(2105),
    [anon_sym___FILE__] = ACTIONS(2105),
    [anon_sym___LINE__] = ACTIONS(2105),
    [anon_sym___PACKAGE__] = ACTIONS(2105),
    [anon_sym___SUB__] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_fork] = ACTIONS(2105),
    [anon_sym_getppid] = ACTIONS(2105),
    [anon_sym_time] = ACTIONS(2105),
    [anon_sym_times] = ACTIONS(2105),
    [anon_sym_wait] = ACTIONS(2105),
    [anon_sym_wantarray] = ACTIONS(2105),
    [anon_sym_abs] = ACTIONS(2105),
    [anon_sym_alarm] = ACTIONS(2105),
    [anon_sym_chop] = ACTIONS(2105),
    [anon_sym_chdir] = ACTIONS(2105),
    [anon_sym_close] = ACTIONS(2105),
    [anon_sym_closedir] = ACTIONS(2105),
    [anon_sym_caller] = ACTIONS(2105),
    [anon_sym_chomp] = ACTIONS(2105),
    [anon_sym_chr] = ACTIONS(2105),
    [anon_sym_cos] = ACTIONS(2105),
    [anon_sym_chroot] = ACTIONS(2105),
    [anon_sym_defined] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_dbmclose] = ACTIONS(2105),
    [anon_sym_exists] = ACTIONS(2105),
    [anon_sym_exit] = ACTIONS(2105),
    [anon_sym_eof] = ACTIONS(2105),
    [anon_sym_exp] = ACTIONS(2105),
    [anon_sym_each] = ACTIONS(2105),
    [anon_sym_fc] = ACTIONS(2105),
    [anon_sym_fileno] = ACTIONS(2105),
    [anon_sym_gmtime] = ACTIONS(2105),
    [anon_sym_getc] = ACTIONS(2105),
    [anon_sym_getpgrp] = ACTIONS(2105),
    [anon_sym_getprotobyname] = ACTIONS(2105),
    [anon_sym_getpwname] = ACTIONS(2105),
    [anon_sym_getpwuid] = ACTIONS(2105),
    [anon_sym_getpeername] = ACTIONS(2105),
    [anon_sym_getnetbyname] = ACTIONS(2105),
    [anon_sym_getsockname] = ACTIONS(2105),
    [anon_sym_getgrnam] = ACTIONS(2105),
    [anon_sym_getgrgid] = ACTIONS(2105),
    [anon_sym_hex] = ACTIONS(2105),
    [anon_sym_int] = ACTIONS(2105),
    [anon_sym_keys] = ACTIONS(2105),
    [anon_sym_lc] = ACTIONS(2105),
    [anon_sym_lcfirst] = ACTIONS(2105),
    [anon_sym_length] = ACTIONS(2105),
    [anon_sym_localtime] = ACTIONS(2105),
    [anon_sym_log] = ACTIONS(2105),
    [anon_sym_lock] = ACTIONS(2105),
    [anon_sym_lstat] = ACTIONS(2105),
    [anon_sym_oct] = ACTIONS(2105),
    [anon_sym_ord] = ACTIONS(2105),
    [anon_sym_prototype] = ACTIONS(2105),
    [anon_sym_pop] = ACTIONS(2105),
    [anon_sym_pos] = ACTIONS(2105),
    [anon_sym_quotemeta] = ACTIONS(2105),
    [anon_sym_reset] = ACTIONS(2105),
    [anon_sym_rand] = ACTIONS(2105),
    [anon_sym_rmdir] = ACTIONS(2105),
    [anon_sym_readdir] = ACTIONS(2105),
    [anon_sym_readline] = ACTIONS(2105),
    [anon_sym_readpipe] = ACTIONS(2105),
    [anon_sym_rewinddir] = ACTIONS(2105),
    [anon_sym_readlink] = ACTIONS(2105),
    [anon_sym_ref] = ACTIONS(2105),
    [anon_sym_scalar] = ACTIONS(2105),
    [anon_sym_shift] = ACTIONS(2105),
    [anon_sym_sin] = ACTIONS(2105),
    [anon_sym_sleep] = ACTIONS(2105),
    [anon_sym_sqrt] = ACTIONS(2105),
    [anon_sym_srand] = ACTIONS(2105),
    [anon_sym_stat] = ACTIONS(2105),
    [anon_sym_study] = ACTIONS(2105),
    [anon_sym_tell] = ACTIONS(2105),
    [anon_sym_telldir] = ACTIONS(2105),
    [anon_sym_tied] = ACTIONS(2105),
    [anon_sym_uc] = ACTIONS(2105),
    [anon_sym_ucfirst] = ACTIONS(2105),
    [anon_sym_untie] = ACTIONS(2105),
    [anon_sym_umask] = ACTIONS(2105),
    [anon_sym_values] = ACTIONS(2105),
    [anon_sym_write] = ACTIONS(2105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2105),
    [anon_sym_qq] = ACTIONS(2105),
    [anon_sym_qw] = ACTIONS(2105),
    [anon_sym_qx] = ACTIONS(2105),
    [anon_sym_qr] = ACTIONS(2105),
    [anon_sym_m] = ACTIONS(2105),
    [anon_sym_s] = ACTIONS(2105),
    [anon_sym_tr] = ACTIONS(2105),
    [anon_sym_y] = ACTIONS(2105),
    [aux_sym__bareword_token1] = ACTIONS(2105),
    [sym_number] = ACTIONS(2105),
    [anon_sym_true] = ACTIONS(2105),
    [anon_sym_false] = ACTIONS(2105),
    [sym__single_quote] = ACTIONS(2103),
    [sym__double_quote] = ACTIONS(2103),
    [sym__backtick_quote] = ACTIONS(2103),
    [sym__search_slash_quote] = ACTIONS(2103),
    [sym__open_readline_bracket] = ACTIONS(2103),
    [sym__open_fileglob_bracket] = ACTIONS(2103),
    [sym__PERLY_HEREDOC] = ACTIONS(2103),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2103),
    [sym__filetest] = ACTIONS(2103),
  },
  [1127] = {
    [sym_heredoc_content] = STATE(1127),
    [sym__identifier] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2109),
    [anon_sym_DOLLAR] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2109),
    [anon_sym_RPAREN] = ACTIONS(2109),
    [anon_sym_my] = ACTIONS(2109),
    [anon_sym_extended] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_sub] = ACTIONS(2109),
    [anon_sym_method] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_state] = ACTIONS(2109),
    [anon_sym_our] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2109),
    [anon_sym_LT_LT] = ACTIONS(2109),
    [anon_sym_SLASH_SLASH] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2109),
    [anon_sym_DASH_DASH] = ACTIONS(2109),
    [anon_sym_BSLASH] = ACTIONS(2107),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_eval] = ACTIONS(2109),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_field] = ACTIONS(2109),
    [anon_sym_local] = ACTIONS(2109),
    [anon_sym_dynamically] = ACTIONS(2109),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2109),
    [anon_sym_require] = ACTIONS(2109),
    [anon_sym_map] = ACTIONS(2109),
    [anon_sym_grep] = ACTIONS(2109),
    [anon_sym_sort] = ACTIONS(2109),
    [anon_sym_goto] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_undef] = ACTIONS(2109),
    [anon_sym_PERCENT2] = ACTIONS(2109),
    [anon_sym_AMP2] = ACTIONS(2109),
    [anon_sym_STAR2] = ACTIONS(2109),
    [anon_sym_last] = ACTIONS(2109),
    [anon_sym_next] = ACTIONS(2109),
    [anon_sym_redo] = ACTIONS(2109),
    [anon_sym___FILE__] = ACTIONS(2109),
    [anon_sym___LINE__] = ACTIONS(2109),
    [anon_sym___PACKAGE__] = ACTIONS(2109),
    [anon_sym___SUB__] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_fork] = ACTIONS(2109),
    [anon_sym_getppid] = ACTIONS(2109),
    [anon_sym_time] = ACTIONS(2109),
    [anon_sym_times] = ACTIONS(2109),
    [anon_sym_wait] = ACTIONS(2109),
    [anon_sym_wantarray] = ACTIONS(2109),
    [anon_sym_abs] = ACTIONS(2109),
    [anon_sym_alarm] = ACTIONS(2109),
    [anon_sym_chop] = ACTIONS(2109),
    [anon_sym_chdir] = ACTIONS(2109),
    [anon_sym_close] = ACTIONS(2109),
    [anon_sym_closedir] = ACTIONS(2109),
    [anon_sym_caller] = ACTIONS(2109),
    [anon_sym_chomp] = ACTIONS(2109),
    [anon_sym_chr] = ACTIONS(2109),
    [anon_sym_cos] = ACTIONS(2109),
    [anon_sym_chroot] = ACTIONS(2109),
    [anon_sym_defined] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_dbmclose] = ACTIONS(2109),
    [anon_sym_exists] = ACTIONS(2109),
    [anon_sym_exit] = ACTIONS(2109),
    [anon_sym_eof] = ACTIONS(2109),
    [anon_sym_exp] = ACTIONS(2109),
    [anon_sym_each] = ACTIONS(2109),
    [anon_sym_fc] = ACTIONS(2109),
    [anon_sym_fileno] = ACTIONS(2109),
    [anon_sym_gmtime] = ACTIONS(2109),
    [anon_sym_getc] = ACTIONS(2109),
    [anon_sym_getpgrp] = ACTIONS(2109),
    [anon_sym_getprotobyname] = ACTIONS(2109),
    [anon_sym_getpwname] = ACTIONS(2109),
    [anon_sym_getpwuid] = ACTIONS(2109),
    [anon_sym_getpeername] = ACTIONS(2109),
    [anon_sym_getnetbyname] = ACTIONS(2109),
    [anon_sym_getsockname] = ACTIONS(2109),
    [anon_sym_getgrnam] = ACTIONS(2109),
    [anon_sym_getgrgid] = ACTIONS(2109),
    [anon_sym_hex] = ACTIONS(2109),
    [anon_sym_int] = ACTIONS(2109),
    [anon_sym_keys] = ACTIONS(2109),
    [anon_sym_lc] = ACTIONS(2109),
    [anon_sym_lcfirst] = ACTIONS(2109),
    [anon_sym_length] = ACTIONS(2109),
    [anon_sym_localtime] = ACTIONS(2109),
    [anon_sym_log] = ACTIONS(2109),
    [anon_sym_lock] = ACTIONS(2109),
    [anon_sym_lstat] = ACTIONS(2109),
    [anon_sym_oct] = ACTIONS(2109),
    [anon_sym_ord] = ACTIONS(2109),
    [anon_sym_prototype] = ACTIONS(2109),
    [anon_sym_pop] = ACTIONS(2109),
    [anon_sym_pos] = ACTIONS(2109),
    [anon_sym_quotemeta] = ACTIONS(2109),
    [anon_sym_reset] = ACTIONS(2109),
    [anon_sym_rand] = ACTIONS(2109),
    [anon_sym_rmdir] = ACTIONS(2109),
    [anon_sym_readdir] = ACTIONS(2109),
    [anon_sym_readline] = ACTIONS(2109),
    [anon_sym_readpipe] = ACTIONS(2109),
    [anon_sym_rewinddir] = ACTIONS(2109),
    [anon_sym_readlink] = ACTIONS(2109),
    [anon_sym_ref] = ACTIONS(2109),
    [anon_sym_scalar] = ACTIONS(2109),
    [anon_sym_shift] = ACTIONS(2109),
    [anon_sym_sin] = ACTIONS(2109),
    [anon_sym_sleep] = ACTIONS(2109),
    [anon_sym_sqrt] = ACTIONS(2109),
    [anon_sym_srand] = ACTIONS(2109),
    [anon_sym_stat] = ACTIONS(2109),
    [anon_sym_study] = ACTIONS(2109),
    [anon_sym_tell] = ACTIONS(2109),
    [anon_sym_telldir] = ACTIONS(2109),
    [anon_sym_tied] = ACTIONS(2109),
    [anon_sym_uc] = ACTIONS(2109),
    [anon_sym_ucfirst] = ACTIONS(2109),
    [anon_sym_untie] = ACTIONS(2109),
    [anon_sym_umask] = ACTIONS(2109),
    [anon_sym_values] = ACTIONS(2109),
    [anon_sym_write] = ACTIONS(2109),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2109),
    [anon_sym_qq] = ACTIONS(2109),
    [anon_sym_qw] = ACTIONS(2109),
    [anon_sym_qx] = ACTIONS(2109),
    [anon_sym_qr] = ACTIONS(2109),
    [anon_sym_m] = ACTIONS(2109),
    [anon_sym_s] = ACTIONS(2109),
    [anon_sym_tr] = ACTIONS(2109),
    [anon_sym_y] = ACTIONS(2109),
    [aux_sym__bareword_token1] = ACTIONS(2109),
    [sym_number] = ACTIONS(2109),
    [anon_sym_true] = ACTIONS(2109),
    [anon_sym_false] = ACTIONS(2109),
    [sym__single_quote] = ACTIONS(2107),
    [sym__double_quote] = ACTIONS(2107),
    [sym__backtick_quote] = ACTIONS(2107),
    [sym__search_slash_quote] = ACTIONS(2107),
    [sym__open_readline_bracket] = ACTIONS(2107),
    [sym__open_fileglob_bracket] = ACTIONS(2107),
    [sym__PERLY_HEREDOC] = ACTIONS(2107),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2107),
    [sym__filetest] = ACTIONS(2107),
  },
  [1128] = {
    [sym_heredoc_content] = STATE(1128),
    [sym__identifier] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2137),
    [anon_sym_DOLLAR] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2137),
    [anon_sym_RPAREN] = ACTIONS(2137),
    [anon_sym_my] = ACTIONS(2137),
    [anon_sym_extended] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_sub] = ACTIONS(2137),
    [anon_sym_method] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_state] = ACTIONS(2137),
    [anon_sym_our] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2137),
    [anon_sym_LT_LT] = ACTIONS(2137),
    [anon_sym_SLASH_SLASH] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2137),
    [anon_sym_DASH_DASH] = ACTIONS(2137),
    [anon_sym_BSLASH] = ACTIONS(2135),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_eval] = ACTIONS(2137),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_field] = ACTIONS(2137),
    [anon_sym_local] = ACTIONS(2137),
    [anon_sym_dynamically] = ACTIONS(2137),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2137),
    [anon_sym_require] = ACTIONS(2137),
    [anon_sym_map] = ACTIONS(2137),
    [anon_sym_grep] = ACTIONS(2137),
    [anon_sym_sort] = ACTIONS(2137),
    [anon_sym_goto] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_undef] = ACTIONS(2137),
    [anon_sym_PERCENT2] = ACTIONS(2137),
    [anon_sym_AMP2] = ACTIONS(2137),
    [anon_sym_STAR2] = ACTIONS(2137),
    [anon_sym_last] = ACTIONS(2137),
    [anon_sym_next] = ACTIONS(2137),
    [anon_sym_redo] = ACTIONS(2137),
    [anon_sym___FILE__] = ACTIONS(2137),
    [anon_sym___LINE__] = ACTIONS(2137),
    [anon_sym___PACKAGE__] = ACTIONS(2137),
    [anon_sym___SUB__] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_fork] = ACTIONS(2137),
    [anon_sym_getppid] = ACTIONS(2137),
    [anon_sym_time] = ACTIONS(2137),
    [anon_sym_times] = ACTIONS(2137),
    [anon_sym_wait] = ACTIONS(2137),
    [anon_sym_wantarray] = ACTIONS(2137),
    [anon_sym_abs] = ACTIONS(2137),
    [anon_sym_alarm] = ACTIONS(2137),
    [anon_sym_chop] = ACTIONS(2137),
    [anon_sym_chdir] = ACTIONS(2137),
    [anon_sym_close] = ACTIONS(2137),
    [anon_sym_closedir] = ACTIONS(2137),
    [anon_sym_caller] = ACTIONS(2137),
    [anon_sym_chomp] = ACTIONS(2137),
    [anon_sym_chr] = ACTIONS(2137),
    [anon_sym_cos] = ACTIONS(2137),
    [anon_sym_chroot] = ACTIONS(2137),
    [anon_sym_defined] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_dbmclose] = ACTIONS(2137),
    [anon_sym_exists] = ACTIONS(2137),
    [anon_sym_exit] = ACTIONS(2137),
    [anon_sym_eof] = ACTIONS(2137),
    [anon_sym_exp] = ACTIONS(2137),
    [anon_sym_each] = ACTIONS(2137),
    [anon_sym_fc] = ACTIONS(2137),
    [anon_sym_fileno] = ACTIONS(2137),
    [anon_sym_gmtime] = ACTIONS(2137),
    [anon_sym_getc] = ACTIONS(2137),
    [anon_sym_getpgrp] = ACTIONS(2137),
    [anon_sym_getprotobyname] = ACTIONS(2137),
    [anon_sym_getpwname] = ACTIONS(2137),
    [anon_sym_getpwuid] = ACTIONS(2137),
    [anon_sym_getpeername] = ACTIONS(2137),
    [anon_sym_getnetbyname] = ACTIONS(2137),
    [anon_sym_getsockname] = ACTIONS(2137),
    [anon_sym_getgrnam] = ACTIONS(2137),
    [anon_sym_getgrgid] = ACTIONS(2137),
    [anon_sym_hex] = ACTIONS(2137),
    [anon_sym_int] = ACTIONS(2137),
    [anon_sym_keys] = ACTIONS(2137),
    [anon_sym_lc] = ACTIONS(2137),
    [anon_sym_lcfirst] = ACTIONS(2137),
    [anon_sym_length] = ACTIONS(2137),
    [anon_sym_localtime] = ACTIONS(2137),
    [anon_sym_log] = ACTIONS(2137),
    [anon_sym_lock] = ACTIONS(2137),
    [anon_sym_lstat] = ACTIONS(2137),
    [anon_sym_oct] = ACTIONS(2137),
    [anon_sym_ord] = ACTIONS(2137),
    [anon_sym_prototype] = ACTIONS(2137),
    [anon_sym_pop] = ACTIONS(2137),
    [anon_sym_pos] = ACTIONS(2137),
    [anon_sym_quotemeta] = ACTIONS(2137),
    [anon_sym_reset] = ACTIONS(2137),
    [anon_sym_rand] = ACTIONS(2137),
    [anon_sym_rmdir] = ACTIONS(2137),
    [anon_sym_readdir] = ACTIONS(2137),
    [anon_sym_readline] = ACTIONS(2137),
    [anon_sym_readpipe] = ACTIONS(2137),
    [anon_sym_rewinddir] = ACTIONS(2137),
    [anon_sym_readlink] = ACTIONS(2137),
    [anon_sym_ref] = ACTIONS(2137),
    [anon_sym_scalar] = ACTIONS(2137),
    [anon_sym_shift] = ACTIONS(2137),
    [anon_sym_sin] = ACTIONS(2137),
    [anon_sym_sleep] = ACTIONS(2137),
    [anon_sym_sqrt] = ACTIONS(2137),
    [anon_sym_srand] = ACTIONS(2137),
    [anon_sym_stat] = ACTIONS(2137),
    [anon_sym_study] = ACTIONS(2137),
    [anon_sym_tell] = ACTIONS(2137),
    [anon_sym_telldir] = ACTIONS(2137),
    [anon_sym_tied] = ACTIONS(2137),
    [anon_sym_uc] = ACTIONS(2137),
    [anon_sym_ucfirst] = ACTIONS(2137),
    [anon_sym_untie] = ACTIONS(2137),
    [anon_sym_umask] = ACTIONS(2137),
    [anon_sym_values] = ACTIONS(2137),
    [anon_sym_write] = ACTIONS(2137),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2137),
    [anon_sym_qq] = ACTIONS(2137),
    [anon_sym_qw] = ACTIONS(2137),
    [anon_sym_qx] = ACTIONS(2137),
    [anon_sym_qr] = ACTIONS(2137),
    [anon_sym_m] = ACTIONS(2137),
    [anon_sym_s] = ACTIONS(2137),
    [anon_sym_tr] = ACTIONS(2137),
    [anon_sym_y] = ACTIONS(2137),
    [aux_sym__bareword_token1] = ACTIONS(2137),
    [sym_number] = ACTIONS(2137),
    [anon_sym_true] = ACTIONS(2137),
    [anon_sym_false] = ACTIONS(2137),
    [sym__single_quote] = ACTIONS(2135),
    [sym__double_quote] = ACTIONS(2135),
    [sym__backtick_quote] = ACTIONS(2135),
    [sym__search_slash_quote] = ACTIONS(2135),
    [sym__open_readline_bracket] = ACTIONS(2135),
    [sym__open_fileglob_bracket] = ACTIONS(2135),
    [sym__PERLY_HEREDOC] = ACTIONS(2135),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2135),
    [sym__filetest] = ACTIONS(2135),
  },
  [1129] = {
    [sym_heredoc_content] = STATE(1129),
    [sym__identifier] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2141),
    [anon_sym_DOLLAR] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2141),
    [anon_sym_RPAREN] = ACTIONS(2141),
    [anon_sym_my] = ACTIONS(2141),
    [anon_sym_extended] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_sub] = ACTIONS(2141),
    [anon_sym_method] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_state] = ACTIONS(2141),
    [anon_sym_our] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2141),
    [anon_sym_LT_LT] = ACTIONS(2141),
    [anon_sym_SLASH_SLASH] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2141),
    [anon_sym_DASH_DASH] = ACTIONS(2141),
    [anon_sym_BSLASH] = ACTIONS(2139),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_eval] = ACTIONS(2141),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_field] = ACTIONS(2141),
    [anon_sym_local] = ACTIONS(2141),
    [anon_sym_dynamically] = ACTIONS(2141),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2141),
    [anon_sym_require] = ACTIONS(2141),
    [anon_sym_map] = ACTIONS(2141),
    [anon_sym_grep] = ACTIONS(2141),
    [anon_sym_sort] = ACTIONS(2141),
    [anon_sym_goto] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_undef] = ACTIONS(2141),
    [anon_sym_PERCENT2] = ACTIONS(2141),
    [anon_sym_AMP2] = ACTIONS(2141),
    [anon_sym_STAR2] = ACTIONS(2141),
    [anon_sym_last] = ACTIONS(2141),
    [anon_sym_next] = ACTIONS(2141),
    [anon_sym_redo] = ACTIONS(2141),
    [anon_sym___FILE__] = ACTIONS(2141),
    [anon_sym___LINE__] = ACTIONS(2141),
    [anon_sym___PACKAGE__] = ACTIONS(2141),
    [anon_sym___SUB__] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_fork] = ACTIONS(2141),
    [anon_sym_getppid] = ACTIONS(2141),
    [anon_sym_time] = ACTIONS(2141),
    [anon_sym_times] = ACTIONS(2141),
    [anon_sym_wait] = ACTIONS(2141),
    [anon_sym_wantarray] = ACTIONS(2141),
    [anon_sym_abs] = ACTIONS(2141),
    [anon_sym_alarm] = ACTIONS(2141),
    [anon_sym_chop] = ACTIONS(2141),
    [anon_sym_chdir] = ACTIONS(2141),
    [anon_sym_close] = ACTIONS(2141),
    [anon_sym_closedir] = ACTIONS(2141),
    [anon_sym_caller] = ACTIONS(2141),
    [anon_sym_chomp] = ACTIONS(2141),
    [anon_sym_chr] = ACTIONS(2141),
    [anon_sym_cos] = ACTIONS(2141),
    [anon_sym_chroot] = ACTIONS(2141),
    [anon_sym_defined] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_dbmclose] = ACTIONS(2141),
    [anon_sym_exists] = ACTIONS(2141),
    [anon_sym_exit] = ACTIONS(2141),
    [anon_sym_eof] = ACTIONS(2141),
    [anon_sym_exp] = ACTIONS(2141),
    [anon_sym_each] = ACTIONS(2141),
    [anon_sym_fc] = ACTIONS(2141),
    [anon_sym_fileno] = ACTIONS(2141),
    [anon_sym_gmtime] = ACTIONS(2141),
    [anon_sym_getc] = ACTIONS(2141),
    [anon_sym_getpgrp] = ACTIONS(2141),
    [anon_sym_getprotobyname] = ACTIONS(2141),
    [anon_sym_getpwname] = ACTIONS(2141),
    [anon_sym_getpwuid] = ACTIONS(2141),
    [anon_sym_getpeername] = ACTIONS(2141),
    [anon_sym_getnetbyname] = ACTIONS(2141),
    [anon_sym_getsockname] = ACTIONS(2141),
    [anon_sym_getgrnam] = ACTIONS(2141),
    [anon_sym_getgrgid] = ACTIONS(2141),
    [anon_sym_hex] = ACTIONS(2141),
    [anon_sym_int] = ACTIONS(2141),
    [anon_sym_keys] = ACTIONS(2141),
    [anon_sym_lc] = ACTIONS(2141),
    [anon_sym_lcfirst] = ACTIONS(2141),
    [anon_sym_length] = ACTIONS(2141),
    [anon_sym_localtime] = ACTIONS(2141),
    [anon_sym_log] = ACTIONS(2141),
    [anon_sym_lock] = ACTIONS(2141),
    [anon_sym_lstat] = ACTIONS(2141),
    [anon_sym_oct] = ACTIONS(2141),
    [anon_sym_ord] = ACTIONS(2141),
    [anon_sym_prototype] = ACTIONS(2141),
    [anon_sym_pop] = ACTIONS(2141),
    [anon_sym_pos] = ACTIONS(2141),
    [anon_sym_quotemeta] = ACTIONS(2141),
    [anon_sym_reset] = ACTIONS(2141),
    [anon_sym_rand] = ACTIONS(2141),
    [anon_sym_rmdir] = ACTIONS(2141),
    [anon_sym_readdir] = ACTIONS(2141),
    [anon_sym_readline] = ACTIONS(2141),
    [anon_sym_readpipe] = ACTIONS(2141),
    [anon_sym_rewinddir] = ACTIONS(2141),
    [anon_sym_readlink] = ACTIONS(2141),
    [anon_sym_ref] = ACTIONS(2141),
    [anon_sym_scalar] = ACTIONS(2141),
    [anon_sym_shift] = ACTIONS(2141),
    [anon_sym_sin] = ACTIONS(2141),
    [anon_sym_sleep] = ACTIONS(2141),
    [anon_sym_sqrt] = ACTIONS(2141),
    [anon_sym_srand] = ACTIONS(2141),
    [anon_sym_stat] = ACTIONS(2141),
    [anon_sym_study] = ACTIONS(2141),
    [anon_sym_tell] = ACTIONS(2141),
    [anon_sym_telldir] = ACTIONS(2141),
    [anon_sym_tied] = ACTIONS(2141),
    [anon_sym_uc] = ACTIONS(2141),
    [anon_sym_ucfirst] = ACTIONS(2141),
    [anon_sym_untie] = ACTIONS(2141),
    [anon_sym_umask] = ACTIONS(2141),
    [anon_sym_values] = ACTIONS(2141),
    [anon_sym_write] = ACTIONS(2141),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2141),
    [anon_sym_qq] = ACTIONS(2141),
    [anon_sym_qw] = ACTIONS(2141),
    [anon_sym_qx] = ACTIONS(2141),
    [anon_sym_qr] = ACTIONS(2141),
    [anon_sym_m] = ACTIONS(2141),
    [anon_sym_s] = ACTIONS(2141),
    [anon_sym_tr] = ACTIONS(2141),
    [anon_sym_y] = ACTIONS(2141),
    [aux_sym__bareword_token1] = ACTIONS(2141),
    [sym_number] = ACTIONS(2141),
    [anon_sym_true] = ACTIONS(2141),
    [anon_sym_false] = ACTIONS(2141),
    [sym__single_quote] = ACTIONS(2139),
    [sym__double_quote] = ACTIONS(2139),
    [sym__backtick_quote] = ACTIONS(2139),
    [sym__search_slash_quote] = ACTIONS(2139),
    [sym__open_readline_bracket] = ACTIONS(2139),
    [sym__open_fileglob_bracket] = ACTIONS(2139),
    [sym__PERLY_HEREDOC] = ACTIONS(2139),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2139),
    [sym__filetest] = ACTIONS(2139),
  },
  [1130] = {
    [sym_heredoc_content] = STATE(1130),
    [sym__identifier] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2145),
    [anon_sym_DOLLAR] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2145),
    [anon_sym_RPAREN] = ACTIONS(2145),
    [anon_sym_my] = ACTIONS(2145),
    [anon_sym_extended] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_sub] = ACTIONS(2145),
    [anon_sym_method] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_state] = ACTIONS(2145),
    [anon_sym_our] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2145),
    [anon_sym_LT_LT] = ACTIONS(2145),
    [anon_sym_SLASH_SLASH] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2145),
    [anon_sym_DASH_DASH] = ACTIONS(2145),
    [anon_sym_BSLASH] = ACTIONS(2143),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_eval] = ACTIONS(2145),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_field] = ACTIONS(2145),
    [anon_sym_local] = ACTIONS(2145),
    [anon_sym_dynamically] = ACTIONS(2145),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2145),
    [anon_sym_require] = ACTIONS(2145),
    [anon_sym_map] = ACTIONS(2145),
    [anon_sym_grep] = ACTIONS(2145),
    [anon_sym_sort] = ACTIONS(2145),
    [anon_sym_goto] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_undef] = ACTIONS(2145),
    [anon_sym_PERCENT2] = ACTIONS(2145),
    [anon_sym_AMP2] = ACTIONS(2145),
    [anon_sym_STAR2] = ACTIONS(2145),
    [anon_sym_last] = ACTIONS(2145),
    [anon_sym_next] = ACTIONS(2145),
    [anon_sym_redo] = ACTIONS(2145),
    [anon_sym___FILE__] = ACTIONS(2145),
    [anon_sym___LINE__] = ACTIONS(2145),
    [anon_sym___PACKAGE__] = ACTIONS(2145),
    [anon_sym___SUB__] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_fork] = ACTIONS(2145),
    [anon_sym_getppid] = ACTIONS(2145),
    [anon_sym_time] = ACTIONS(2145),
    [anon_sym_times] = ACTIONS(2145),
    [anon_sym_wait] = ACTIONS(2145),
    [anon_sym_wantarray] = ACTIONS(2145),
    [anon_sym_abs] = ACTIONS(2145),
    [anon_sym_alarm] = ACTIONS(2145),
    [anon_sym_chop] = ACTIONS(2145),
    [anon_sym_chdir] = ACTIONS(2145),
    [anon_sym_close] = ACTIONS(2145),
    [anon_sym_closedir] = ACTIONS(2145),
    [anon_sym_caller] = ACTIONS(2145),
    [anon_sym_chomp] = ACTIONS(2145),
    [anon_sym_chr] = ACTIONS(2145),
    [anon_sym_cos] = ACTIONS(2145),
    [anon_sym_chroot] = ACTIONS(2145),
    [anon_sym_defined] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_dbmclose] = ACTIONS(2145),
    [anon_sym_exists] = ACTIONS(2145),
    [anon_sym_exit] = ACTIONS(2145),
    [anon_sym_eof] = ACTIONS(2145),
    [anon_sym_exp] = ACTIONS(2145),
    [anon_sym_each] = ACTIONS(2145),
    [anon_sym_fc] = ACTIONS(2145),
    [anon_sym_fileno] = ACTIONS(2145),
    [anon_sym_gmtime] = ACTIONS(2145),
    [anon_sym_getc] = ACTIONS(2145),
    [anon_sym_getpgrp] = ACTIONS(2145),
    [anon_sym_getprotobyname] = ACTIONS(2145),
    [anon_sym_getpwname] = ACTIONS(2145),
    [anon_sym_getpwuid] = ACTIONS(2145),
    [anon_sym_getpeername] = ACTIONS(2145),
    [anon_sym_getnetbyname] = ACTIONS(2145),
    [anon_sym_getsockname] = ACTIONS(2145),
    [anon_sym_getgrnam] = ACTIONS(2145),
    [anon_sym_getgrgid] = ACTIONS(2145),
    [anon_sym_hex] = ACTIONS(2145),
    [anon_sym_int] = ACTIONS(2145),
    [anon_sym_keys] = ACTIONS(2145),
    [anon_sym_lc] = ACTIONS(2145),
    [anon_sym_lcfirst] = ACTIONS(2145),
    [anon_sym_length] = ACTIONS(2145),
    [anon_sym_localtime] = ACTIONS(2145),
    [anon_sym_log] = ACTIONS(2145),
    [anon_sym_lock] = ACTIONS(2145),
    [anon_sym_lstat] = ACTIONS(2145),
    [anon_sym_oct] = ACTIONS(2145),
    [anon_sym_ord] = ACTIONS(2145),
    [anon_sym_prototype] = ACTIONS(2145),
    [anon_sym_pop] = ACTIONS(2145),
    [anon_sym_pos] = ACTIONS(2145),
    [anon_sym_quotemeta] = ACTIONS(2145),
    [anon_sym_reset] = ACTIONS(2145),
    [anon_sym_rand] = ACTIONS(2145),
    [anon_sym_rmdir] = ACTIONS(2145),
    [anon_sym_readdir] = ACTIONS(2145),
    [anon_sym_readline] = ACTIONS(2145),
    [anon_sym_readpipe] = ACTIONS(2145),
    [anon_sym_rewinddir] = ACTIONS(2145),
    [anon_sym_readlink] = ACTIONS(2145),
    [anon_sym_ref] = ACTIONS(2145),
    [anon_sym_scalar] = ACTIONS(2145),
    [anon_sym_shift] = ACTIONS(2145),
    [anon_sym_sin] = ACTIONS(2145),
    [anon_sym_sleep] = ACTIONS(2145),
    [anon_sym_sqrt] = ACTIONS(2145),
    [anon_sym_srand] = ACTIONS(2145),
    [anon_sym_stat] = ACTIONS(2145),
    [anon_sym_study] = ACTIONS(2145),
    [anon_sym_tell] = ACTIONS(2145),
    [anon_sym_telldir] = ACTIONS(2145),
    [anon_sym_tied] = ACTIONS(2145),
    [anon_sym_uc] = ACTIONS(2145),
    [anon_sym_ucfirst] = ACTIONS(2145),
    [anon_sym_untie] = ACTIONS(2145),
    [anon_sym_umask] = ACTIONS(2145),
    [anon_sym_values] = ACTIONS(2145),
    [anon_sym_write] = ACTIONS(2145),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2145),
    [anon_sym_qq] = ACTIONS(2145),
    [anon_sym_qw] = ACTIONS(2145),
    [anon_sym_qx] = ACTIONS(2145),
    [anon_sym_qr] = ACTIONS(2145),
    [anon_sym_m] = ACTIONS(2145),
    [anon_sym_s] = ACTIONS(2145),
    [anon_sym_tr] = ACTIONS(2145),
    [anon_sym_y] = ACTIONS(2145),
    [aux_sym__bareword_token1] = ACTIONS(2145),
    [sym_number] = ACTIONS(2145),
    [anon_sym_true] = ACTIONS(2145),
    [anon_sym_false] = ACTIONS(2145),
    [sym__single_quote] = ACTIONS(2143),
    [sym__double_quote] = ACTIONS(2143),
    [sym__backtick_quote] = ACTIONS(2143),
    [sym__search_slash_quote] = ACTIONS(2143),
    [sym__open_readline_bracket] = ACTIONS(2143),
    [sym__open_fileglob_bracket] = ACTIONS(2143),
    [sym__PERLY_HEREDOC] = ACTIONS(2143),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2143),
    [sym__filetest] = ACTIONS(2143),
  },
  [1131] = {
    [sym_heredoc_content] = STATE(1131),
    [sym__identifier] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(2153),
    [anon_sym_DOLLAR] = ACTIONS(2153),
    [anon_sym_AT] = ACTIONS(2153),
    [anon_sym_RPAREN] = ACTIONS(2153),
    [anon_sym_my] = ACTIONS(2153),
    [anon_sym_extended] = ACTIONS(2153),
    [anon_sym_async] = ACTIONS(2153),
    [anon_sym_sub] = ACTIONS(2153),
    [anon_sym_method] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2153),
    [anon_sym_continue] = ACTIONS(2153),
    [anon_sym_state] = ACTIONS(2153),
    [anon_sym_our] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(2153),
    [anon_sym_LT_LT] = ACTIONS(2153),
    [anon_sym_SLASH_SLASH] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2153),
    [anon_sym_DASH_DASH] = ACTIONS(2153),
    [anon_sym_BSLASH] = ACTIONS(2151),
    [anon_sym_do] = ACTIONS(2153),
    [anon_sym_eval] = ACTIONS(2153),
    [anon_sym_await] = ACTIONS(2153),
    [anon_sym_field] = ACTIONS(2153),
    [anon_sym_local] = ACTIONS(2153),
    [anon_sym_dynamically] = ACTIONS(2153),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2153),
    [anon_sym_require] = ACTIONS(2153),
    [anon_sym_map] = ACTIONS(2153),
    [anon_sym_grep] = ACTIONS(2153),
    [anon_sym_sort] = ACTIONS(2153),
    [anon_sym_goto] = ACTIONS(2153),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_undef] = ACTIONS(2153),
    [anon_sym_PERCENT2] = ACTIONS(2153),
    [anon_sym_AMP2] = ACTIONS(2153),
    [anon_sym_STAR2] = ACTIONS(2153),
    [anon_sym_last] = ACTIONS(2153),
    [anon_sym_next] = ACTIONS(2153),
    [anon_sym_redo] = ACTIONS(2153),
    [anon_sym___FILE__] = ACTIONS(2153),
    [anon_sym___LINE__] = ACTIONS(2153),
    [anon_sym___PACKAGE__] = ACTIONS(2153),
    [anon_sym___SUB__] = ACTIONS(2153),
    [anon_sym_break] = ACTIONS(2153),
    [anon_sym_fork] = ACTIONS(2153),
    [anon_sym_getppid] = ACTIONS(2153),
    [anon_sym_time] = ACTIONS(2153),
    [anon_sym_times] = ACTIONS(2153),
    [anon_sym_wait] = ACTIONS(2153),
    [anon_sym_wantarray] = ACTIONS(2153),
    [anon_sym_abs] = ACTIONS(2153),
    [anon_sym_alarm] = ACTIONS(2153),
    [anon_sym_chop] = ACTIONS(2153),
    [anon_sym_chdir] = ACTIONS(2153),
    [anon_sym_close] = ACTIONS(2153),
    [anon_sym_closedir] = ACTIONS(2153),
    [anon_sym_caller] = ACTIONS(2153),
    [anon_sym_chomp] = ACTIONS(2153),
    [anon_sym_chr] = ACTIONS(2153),
    [anon_sym_cos] = ACTIONS(2153),
    [anon_sym_chroot] = ACTIONS(2153),
    [anon_sym_defined] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2153),
    [anon_sym_dbmclose] = ACTIONS(2153),
    [anon_sym_exists] = ACTIONS(2153),
    [anon_sym_exit] = ACTIONS(2153),
    [anon_sym_eof] = ACTIONS(2153),
    [anon_sym_exp] = ACTIONS(2153),
    [anon_sym_each] = ACTIONS(2153),
    [anon_sym_fc] = ACTIONS(2153),
    [anon_sym_fileno] = ACTIONS(2153),
    [anon_sym_gmtime] = ACTIONS(2153),
    [anon_sym_getc] = ACTIONS(2153),
    [anon_sym_getpgrp] = ACTIONS(2153),
    [anon_sym_getprotobyname] = ACTIONS(2153),
    [anon_sym_getpwname] = ACTIONS(2153),
    [anon_sym_getpwuid] = ACTIONS(2153),
    [anon_sym_getpeername] = ACTIONS(2153),
    [anon_sym_getnetbyname] = ACTIONS(2153),
    [anon_sym_getsockname] = ACTIONS(2153),
    [anon_sym_getgrnam] = ACTIONS(2153),
    [anon_sym_getgrgid] = ACTIONS(2153),
    [anon_sym_hex] = ACTIONS(2153),
    [anon_sym_int] = ACTIONS(2153),
    [anon_sym_keys] = ACTIONS(2153),
    [anon_sym_lc] = ACTIONS(2153),
    [anon_sym_lcfirst] = ACTIONS(2153),
    [anon_sym_length] = ACTIONS(2153),
    [anon_sym_localtime] = ACTIONS(2153),
    [anon_sym_log] = ACTIONS(2153),
    [anon_sym_lock] = ACTIONS(2153),
    [anon_sym_lstat] = ACTIONS(2153),
    [anon_sym_oct] = ACTIONS(2153),
    [anon_sym_ord] = ACTIONS(2153),
    [anon_sym_prototype] = ACTIONS(2153),
    [anon_sym_pop] = ACTIONS(2153),
    [anon_sym_pos] = ACTIONS(2153),
    [anon_sym_quotemeta] = ACTIONS(2153),
    [anon_sym_reset] = ACTIONS(2153),
    [anon_sym_rand] = ACTIONS(2153),
    [anon_sym_rmdir] = ACTIONS(2153),
    [anon_sym_readdir] = ACTIONS(2153),
    [anon_sym_readline] = ACTIONS(2153),
    [anon_sym_readpipe] = ACTIONS(2153),
    [anon_sym_rewinddir] = ACTIONS(2153),
    [anon_sym_readlink] = ACTIONS(2153),
    [anon_sym_ref] = ACTIONS(2153),
    [anon_sym_scalar] = ACTIONS(2153),
    [anon_sym_shift] = ACTIONS(2153),
    [anon_sym_sin] = ACTIONS(2153),
    [anon_sym_sleep] = ACTIONS(2153),
    [anon_sym_sqrt] = ACTIONS(2153),
    [anon_sym_srand] = ACTIONS(2153),
    [anon_sym_stat] = ACTIONS(2153),
    [anon_sym_study] = ACTIONS(2153),
    [anon_sym_tell] = ACTIONS(2153),
    [anon_sym_telldir] = ACTIONS(2153),
    [anon_sym_tied] = ACTIONS(2153),
    [anon_sym_uc] = ACTIONS(2153),
    [anon_sym_ucfirst] = ACTIONS(2153),
    [anon_sym_untie] = ACTIONS(2153),
    [anon_sym_umask] = ACTIONS(2153),
    [anon_sym_values] = ACTIONS(2153),
    [anon_sym_write] = ACTIONS(2153),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2153),
    [anon_sym_qq] = ACTIONS(2153),
    [anon_sym_qw] = ACTIONS(2153),
    [anon_sym_qx] = ACTIONS(2153),
    [anon_sym_qr] = ACTIONS(2153),
    [anon_sym_m] = ACTIONS(2153),
    [anon_sym_s] = ACTIONS(2153),
    [anon_sym_tr] = ACTIONS(2153),
    [anon_sym_y] = ACTIONS(2153),
    [aux_sym__bareword_token1] = ACTIONS(2153),
    [sym_number] = ACTIONS(2153),
    [anon_sym_true] = ACTIONS(2153),
    [anon_sym_false] = ACTIONS(2153),
    [sym__single_quote] = ACTIONS(2151),
    [sym__double_quote] = ACTIONS(2151),
    [sym__backtick_quote] = ACTIONS(2151),
    [sym__search_slash_quote] = ACTIONS(2151),
    [sym__open_readline_bracket] = ACTIONS(2151),
    [sym__open_fileglob_bracket] = ACTIONS(2151),
    [sym__PERLY_HEREDOC] = ACTIONS(2151),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2151),
    [sym__filetest] = ACTIONS(2151),
  },
  [1132] = {
    [sym_heredoc_content] = STATE(1132),
    [sym__identifier] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1707),
    [anon_sym_DOLLAR] = ACTIONS(1707),
    [anon_sym_AT] = ACTIONS(1707),
    [anon_sym_RPAREN] = ACTIONS(1707),
    [anon_sym_my] = ACTIONS(1707),
    [anon_sym_extended] = ACTIONS(1707),
    [anon_sym_async] = ACTIONS(1707),
    [anon_sym_sub] = ACTIONS(1707),
    [anon_sym_method] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_state] = ACTIONS(1707),
    [anon_sym_our] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_TILDE] = ACTIONS(1707),
    [anon_sym_BANG] = ACTIONS(1707),
    [anon_sym_PLUS_PLUS] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1707),
    [anon_sym_BSLASH] = ACTIONS(1705),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_eval] = ACTIONS(1707),
    [anon_sym_await] = ACTIONS(1707),
    [anon_sym_field] = ACTIONS(1707),
    [anon_sym_local] = ACTIONS(1707),
    [anon_sym_dynamically] = ACTIONS(1707),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1707),
    [anon_sym_require] = ACTIONS(1707),
    [anon_sym_map] = ACTIONS(1707),
    [anon_sym_grep] = ACTIONS(1707),
    [anon_sym_sort] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_undef] = ACTIONS(1707),
    [anon_sym_PERCENT2] = ACTIONS(1707),
    [anon_sym_AMP2] = ACTIONS(1707),
    [anon_sym_STAR2] = ACTIONS(1707),
    [anon_sym_last] = ACTIONS(1707),
    [anon_sym_next] = ACTIONS(1707),
    [anon_sym_redo] = ACTIONS(1707),
    [anon_sym___FILE__] = ACTIONS(1707),
    [anon_sym___LINE__] = ACTIONS(1707),
    [anon_sym___PACKAGE__] = ACTIONS(1707),
    [anon_sym___SUB__] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_fork] = ACTIONS(1707),
    [anon_sym_getppid] = ACTIONS(1707),
    [anon_sym_time] = ACTIONS(1707),
    [anon_sym_times] = ACTIONS(1707),
    [anon_sym_wait] = ACTIONS(1707),
    [anon_sym_wantarray] = ACTIONS(1707),
    [anon_sym_abs] = ACTIONS(1707),
    [anon_sym_alarm] = ACTIONS(1707),
    [anon_sym_chop] = ACTIONS(1707),
    [anon_sym_chdir] = ACTIONS(1707),
    [anon_sym_close] = ACTIONS(1707),
    [anon_sym_closedir] = ACTIONS(1707),
    [anon_sym_caller] = ACTIONS(1707),
    [anon_sym_chomp] = ACTIONS(1707),
    [anon_sym_chr] = ACTIONS(1707),
    [anon_sym_cos] = ACTIONS(1707),
    [anon_sym_chroot] = ACTIONS(1707),
    [anon_sym_defined] = ACTIONS(1707),
    [anon_sym_delete] = ACTIONS(1707),
    [anon_sym_dbmclose] = ACTIONS(1707),
    [anon_sym_exists] = ACTIONS(1707),
    [anon_sym_exit] = ACTIONS(1707),
    [anon_sym_eof] = ACTIONS(1707),
    [anon_sym_exp] = ACTIONS(1707),
    [anon_sym_each] = ACTIONS(1707),
    [anon_sym_fc] = ACTIONS(1707),
    [anon_sym_fileno] = ACTIONS(1707),
    [anon_sym_gmtime] = ACTIONS(1707),
    [anon_sym_getc] = ACTIONS(1707),
    [anon_sym_getpgrp] = ACTIONS(1707),
    [anon_sym_getprotobyname] = ACTIONS(1707),
    [anon_sym_getpwname] = ACTIONS(1707),
    [anon_sym_getpwuid] = ACTIONS(1707),
    [anon_sym_getpeername] = ACTIONS(1707),
    [anon_sym_getnetbyname] = ACTIONS(1707),
    [anon_sym_getsockname] = ACTIONS(1707),
    [anon_sym_getgrnam] = ACTIONS(1707),
    [anon_sym_getgrgid] = ACTIONS(1707),
    [anon_sym_hex] = ACTIONS(1707),
    [anon_sym_int] = ACTIONS(1707),
    [anon_sym_keys] = ACTIONS(1707),
    [anon_sym_lc] = ACTIONS(1707),
    [anon_sym_lcfirst] = ACTIONS(1707),
    [anon_sym_length] = ACTIONS(1707),
    [anon_sym_localtime] = ACTIONS(1707),
    [anon_sym_log] = ACTIONS(1707),
    [anon_sym_lock] = ACTIONS(1707),
    [anon_sym_lstat] = ACTIONS(1707),
    [anon_sym_oct] = ACTIONS(1707),
    [anon_sym_ord] = ACTIONS(1707),
    [anon_sym_prototype] = ACTIONS(1707),
    [anon_sym_pop] = ACTIONS(1707),
    [anon_sym_pos] = ACTIONS(1707),
    [anon_sym_quotemeta] = ACTIONS(1707),
    [anon_sym_reset] = ACTIONS(1707),
    [anon_sym_rand] = ACTIONS(1707),
    [anon_sym_rmdir] = ACTIONS(1707),
    [anon_sym_readdir] = ACTIONS(1707),
    [anon_sym_readline] = ACTIONS(1707),
    [anon_sym_readpipe] = ACTIONS(1707),
    [anon_sym_rewinddir] = ACTIONS(1707),
    [anon_sym_readlink] = ACTIONS(1707),
    [anon_sym_ref] = ACTIONS(1707),
    [anon_sym_scalar] = ACTIONS(1707),
    [anon_sym_shift] = ACTIONS(1707),
    [anon_sym_sin] = ACTIONS(1707),
    [anon_sym_sleep] = ACTIONS(1707),
    [anon_sym_sqrt] = ACTIONS(1707),
    [anon_sym_srand] = ACTIONS(1707),
    [anon_sym_stat] = ACTIONS(1707),
    [anon_sym_study] = ACTIONS(1707),
    [anon_sym_tell] = ACTIONS(1707),
    [anon_sym_telldir] = ACTIONS(1707),
    [anon_sym_tied] = ACTIONS(1707),
    [anon_sym_uc] = ACTIONS(1707),
    [anon_sym_ucfirst] = ACTIONS(1707),
    [anon_sym_untie] = ACTIONS(1707),
    [anon_sym_umask] = ACTIONS(1707),
    [anon_sym_values] = ACTIONS(1707),
    [anon_sym_write] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1707),
    [anon_sym_qq] = ACTIONS(1707),
    [anon_sym_qw] = ACTIONS(1707),
    [anon_sym_qx] = ACTIONS(1707),
    [anon_sym_qr] = ACTIONS(1707),
    [anon_sym_m] = ACTIONS(1707),
    [anon_sym_s] = ACTIONS(1707),
    [anon_sym_tr] = ACTIONS(1707),
    [anon_sym_y] = ACTIONS(1707),
    [aux_sym__bareword_token1] = ACTIONS(1707),
    [sym_number] = ACTIONS(1707),
    [anon_sym_true] = ACTIONS(1707),
    [anon_sym_false] = ACTIONS(1707),
    [sym__single_quote] = ACTIONS(1705),
    [sym__double_quote] = ACTIONS(1705),
    [sym__backtick_quote] = ACTIONS(1705),
    [sym__search_slash_quote] = ACTIONS(1705),
    [sym__open_readline_bracket] = ACTIONS(1705),
    [sym__open_fileglob_bracket] = ACTIONS(1705),
    [sym__PERLY_HEREDOC] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1705),
    [sym__filetest] = ACTIONS(1705),
  },
  [1133] = {
    [sym_heredoc_content] = STATE(1133),
    [sym__identifier] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2185),
    [anon_sym_DOLLAR] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2185),
    [anon_sym_RPAREN] = ACTIONS(2185),
    [anon_sym_my] = ACTIONS(2185),
    [anon_sym_extended] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_sub] = ACTIONS(2185),
    [anon_sym_method] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_state] = ACTIONS(2185),
    [anon_sym_our] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2185),
    [anon_sym_LT_LT] = ACTIONS(2185),
    [anon_sym_SLASH_SLASH] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2185),
    [anon_sym_DASH_DASH] = ACTIONS(2185),
    [anon_sym_BSLASH] = ACTIONS(2183),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_eval] = ACTIONS(2185),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_field] = ACTIONS(2185),
    [anon_sym_local] = ACTIONS(2185),
    [anon_sym_dynamically] = ACTIONS(2185),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2185),
    [anon_sym_require] = ACTIONS(2185),
    [anon_sym_map] = ACTIONS(2185),
    [anon_sym_grep] = ACTIONS(2185),
    [anon_sym_sort] = ACTIONS(2185),
    [anon_sym_goto] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_undef] = ACTIONS(2185),
    [anon_sym_PERCENT2] = ACTIONS(2185),
    [anon_sym_AMP2] = ACTIONS(2185),
    [anon_sym_STAR2] = ACTIONS(2185),
    [anon_sym_last] = ACTIONS(2185),
    [anon_sym_next] = ACTIONS(2185),
    [anon_sym_redo] = ACTIONS(2185),
    [anon_sym___FILE__] = ACTIONS(2185),
    [anon_sym___LINE__] = ACTIONS(2185),
    [anon_sym___PACKAGE__] = ACTIONS(2185),
    [anon_sym___SUB__] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_fork] = ACTIONS(2185),
    [anon_sym_getppid] = ACTIONS(2185),
    [anon_sym_time] = ACTIONS(2185),
    [anon_sym_times] = ACTIONS(2185),
    [anon_sym_wait] = ACTIONS(2185),
    [anon_sym_wantarray] = ACTIONS(2185),
    [anon_sym_abs] = ACTIONS(2185),
    [anon_sym_alarm] = ACTIONS(2185),
    [anon_sym_chop] = ACTIONS(2185),
    [anon_sym_chdir] = ACTIONS(2185),
    [anon_sym_close] = ACTIONS(2185),
    [anon_sym_closedir] = ACTIONS(2185),
    [anon_sym_caller] = ACTIONS(2185),
    [anon_sym_chomp] = ACTIONS(2185),
    [anon_sym_chr] = ACTIONS(2185),
    [anon_sym_cos] = ACTIONS(2185),
    [anon_sym_chroot] = ACTIONS(2185),
    [anon_sym_defined] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_dbmclose] = ACTIONS(2185),
    [anon_sym_exists] = ACTIONS(2185),
    [anon_sym_exit] = ACTIONS(2185),
    [anon_sym_eof] = ACTIONS(2185),
    [anon_sym_exp] = ACTIONS(2185),
    [anon_sym_each] = ACTIONS(2185),
    [anon_sym_fc] = ACTIONS(2185),
    [anon_sym_fileno] = ACTIONS(2185),
    [anon_sym_gmtime] = ACTIONS(2185),
    [anon_sym_getc] = ACTIONS(2185),
    [anon_sym_getpgrp] = ACTIONS(2185),
    [anon_sym_getprotobyname] = ACTIONS(2185),
    [anon_sym_getpwname] = ACTIONS(2185),
    [anon_sym_getpwuid] = ACTIONS(2185),
    [anon_sym_getpeername] = ACTIONS(2185),
    [anon_sym_getnetbyname] = ACTIONS(2185),
    [anon_sym_getsockname] = ACTIONS(2185),
    [anon_sym_getgrnam] = ACTIONS(2185),
    [anon_sym_getgrgid] = ACTIONS(2185),
    [anon_sym_hex] = ACTIONS(2185),
    [anon_sym_int] = ACTIONS(2185),
    [anon_sym_keys] = ACTIONS(2185),
    [anon_sym_lc] = ACTIONS(2185),
    [anon_sym_lcfirst] = ACTIONS(2185),
    [anon_sym_length] = ACTIONS(2185),
    [anon_sym_localtime] = ACTIONS(2185),
    [anon_sym_log] = ACTIONS(2185),
    [anon_sym_lock] = ACTIONS(2185),
    [anon_sym_lstat] = ACTIONS(2185),
    [anon_sym_oct] = ACTIONS(2185),
    [anon_sym_ord] = ACTIONS(2185),
    [anon_sym_prototype] = ACTIONS(2185),
    [anon_sym_pop] = ACTIONS(2185),
    [anon_sym_pos] = ACTIONS(2185),
    [anon_sym_quotemeta] = ACTIONS(2185),
    [anon_sym_reset] = ACTIONS(2185),
    [anon_sym_rand] = ACTIONS(2185),
    [anon_sym_rmdir] = ACTIONS(2185),
    [anon_sym_readdir] = ACTIONS(2185),
    [anon_sym_readline] = ACTIONS(2185),
    [anon_sym_readpipe] = ACTIONS(2185),
    [anon_sym_rewinddir] = ACTIONS(2185),
    [anon_sym_readlink] = ACTIONS(2185),
    [anon_sym_ref] = ACTIONS(2185),
    [anon_sym_scalar] = ACTIONS(2185),
    [anon_sym_shift] = ACTIONS(2185),
    [anon_sym_sin] = ACTIONS(2185),
    [anon_sym_sleep] = ACTIONS(2185),
    [anon_sym_sqrt] = ACTIONS(2185),
    [anon_sym_srand] = ACTIONS(2185),
    [anon_sym_stat] = ACTIONS(2185),
    [anon_sym_study] = ACTIONS(2185),
    [anon_sym_tell] = ACTIONS(2185),
    [anon_sym_telldir] = ACTIONS(2185),
    [anon_sym_tied] = ACTIONS(2185),
    [anon_sym_uc] = ACTIONS(2185),
    [anon_sym_ucfirst] = ACTIONS(2185),
    [anon_sym_untie] = ACTIONS(2185),
    [anon_sym_umask] = ACTIONS(2185),
    [anon_sym_values] = ACTIONS(2185),
    [anon_sym_write] = ACTIONS(2185),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2185),
    [anon_sym_qq] = ACTIONS(2185),
    [anon_sym_qw] = ACTIONS(2185),
    [anon_sym_qx] = ACTIONS(2185),
    [anon_sym_qr] = ACTIONS(2185),
    [anon_sym_m] = ACTIONS(2185),
    [anon_sym_s] = ACTIONS(2185),
    [anon_sym_tr] = ACTIONS(2185),
    [anon_sym_y] = ACTIONS(2185),
    [aux_sym__bareword_token1] = ACTIONS(2185),
    [sym_number] = ACTIONS(2185),
    [anon_sym_true] = ACTIONS(2185),
    [anon_sym_false] = ACTIONS(2185),
    [sym__single_quote] = ACTIONS(2183),
    [sym__double_quote] = ACTIONS(2183),
    [sym__backtick_quote] = ACTIONS(2183),
    [sym__search_slash_quote] = ACTIONS(2183),
    [sym__open_readline_bracket] = ACTIONS(2183),
    [sym__open_fileglob_bracket] = ACTIONS(2183),
    [sym__PERLY_HEREDOC] = ACTIONS(2183),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2183),
    [sym__filetest] = ACTIONS(2183),
  },
  [1134] = {
    [sym_heredoc_content] = STATE(1134),
    [sym__identifier] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2189),
    [anon_sym_DOLLAR] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2189),
    [anon_sym_RPAREN] = ACTIONS(2189),
    [anon_sym_my] = ACTIONS(2189),
    [anon_sym_extended] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_sub] = ACTIONS(2189),
    [anon_sym_method] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_state] = ACTIONS(2189),
    [anon_sym_our] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2189),
    [anon_sym_LT_LT] = ACTIONS(2189),
    [anon_sym_SLASH_SLASH] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2189),
    [anon_sym_DASH_DASH] = ACTIONS(2189),
    [anon_sym_BSLASH] = ACTIONS(2187),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_eval] = ACTIONS(2189),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_field] = ACTIONS(2189),
    [anon_sym_local] = ACTIONS(2189),
    [anon_sym_dynamically] = ACTIONS(2189),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2189),
    [anon_sym_require] = ACTIONS(2189),
    [anon_sym_map] = ACTIONS(2189),
    [anon_sym_grep] = ACTIONS(2189),
    [anon_sym_sort] = ACTIONS(2189),
    [anon_sym_goto] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_undef] = ACTIONS(2189),
    [anon_sym_PERCENT2] = ACTIONS(2189),
    [anon_sym_AMP2] = ACTIONS(2189),
    [anon_sym_STAR2] = ACTIONS(2189),
    [anon_sym_last] = ACTIONS(2189),
    [anon_sym_next] = ACTIONS(2189),
    [anon_sym_redo] = ACTIONS(2189),
    [anon_sym___FILE__] = ACTIONS(2189),
    [anon_sym___LINE__] = ACTIONS(2189),
    [anon_sym___PACKAGE__] = ACTIONS(2189),
    [anon_sym___SUB__] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_fork] = ACTIONS(2189),
    [anon_sym_getppid] = ACTIONS(2189),
    [anon_sym_time] = ACTIONS(2189),
    [anon_sym_times] = ACTIONS(2189),
    [anon_sym_wait] = ACTIONS(2189),
    [anon_sym_wantarray] = ACTIONS(2189),
    [anon_sym_abs] = ACTIONS(2189),
    [anon_sym_alarm] = ACTIONS(2189),
    [anon_sym_chop] = ACTIONS(2189),
    [anon_sym_chdir] = ACTIONS(2189),
    [anon_sym_close] = ACTIONS(2189),
    [anon_sym_closedir] = ACTIONS(2189),
    [anon_sym_caller] = ACTIONS(2189),
    [anon_sym_chomp] = ACTIONS(2189),
    [anon_sym_chr] = ACTIONS(2189),
    [anon_sym_cos] = ACTIONS(2189),
    [anon_sym_chroot] = ACTIONS(2189),
    [anon_sym_defined] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_dbmclose] = ACTIONS(2189),
    [anon_sym_exists] = ACTIONS(2189),
    [anon_sym_exit] = ACTIONS(2189),
    [anon_sym_eof] = ACTIONS(2189),
    [anon_sym_exp] = ACTIONS(2189),
    [anon_sym_each] = ACTIONS(2189),
    [anon_sym_fc] = ACTIONS(2189),
    [anon_sym_fileno] = ACTIONS(2189),
    [anon_sym_gmtime] = ACTIONS(2189),
    [anon_sym_getc] = ACTIONS(2189),
    [anon_sym_getpgrp] = ACTIONS(2189),
    [anon_sym_getprotobyname] = ACTIONS(2189),
    [anon_sym_getpwname] = ACTIONS(2189),
    [anon_sym_getpwuid] = ACTIONS(2189),
    [anon_sym_getpeername] = ACTIONS(2189),
    [anon_sym_getnetbyname] = ACTIONS(2189),
    [anon_sym_getsockname] = ACTIONS(2189),
    [anon_sym_getgrnam] = ACTIONS(2189),
    [anon_sym_getgrgid] = ACTIONS(2189),
    [anon_sym_hex] = ACTIONS(2189),
    [anon_sym_int] = ACTIONS(2189),
    [anon_sym_keys] = ACTIONS(2189),
    [anon_sym_lc] = ACTIONS(2189),
    [anon_sym_lcfirst] = ACTIONS(2189),
    [anon_sym_length] = ACTIONS(2189),
    [anon_sym_localtime] = ACTIONS(2189),
    [anon_sym_log] = ACTIONS(2189),
    [anon_sym_lock] = ACTIONS(2189),
    [anon_sym_lstat] = ACTIONS(2189),
    [anon_sym_oct] = ACTIONS(2189),
    [anon_sym_ord] = ACTIONS(2189),
    [anon_sym_prototype] = ACTIONS(2189),
    [anon_sym_pop] = ACTIONS(2189),
    [anon_sym_pos] = ACTIONS(2189),
    [anon_sym_quotemeta] = ACTIONS(2189),
    [anon_sym_reset] = ACTIONS(2189),
    [anon_sym_rand] = ACTIONS(2189),
    [anon_sym_rmdir] = ACTIONS(2189),
    [anon_sym_readdir] = ACTIONS(2189),
    [anon_sym_readline] = ACTIONS(2189),
    [anon_sym_readpipe] = ACTIONS(2189),
    [anon_sym_rewinddir] = ACTIONS(2189),
    [anon_sym_readlink] = ACTIONS(2189),
    [anon_sym_ref] = ACTIONS(2189),
    [anon_sym_scalar] = ACTIONS(2189),
    [anon_sym_shift] = ACTIONS(2189),
    [anon_sym_sin] = ACTIONS(2189),
    [anon_sym_sleep] = ACTIONS(2189),
    [anon_sym_sqrt] = ACTIONS(2189),
    [anon_sym_srand] = ACTIONS(2189),
    [anon_sym_stat] = ACTIONS(2189),
    [anon_sym_study] = ACTIONS(2189),
    [anon_sym_tell] = ACTIONS(2189),
    [anon_sym_telldir] = ACTIONS(2189),
    [anon_sym_tied] = ACTIONS(2189),
    [anon_sym_uc] = ACTIONS(2189),
    [anon_sym_ucfirst] = ACTIONS(2189),
    [anon_sym_untie] = ACTIONS(2189),
    [anon_sym_umask] = ACTIONS(2189),
    [anon_sym_values] = ACTIONS(2189),
    [anon_sym_write] = ACTIONS(2189),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2189),
    [anon_sym_qq] = ACTIONS(2189),
    [anon_sym_qw] = ACTIONS(2189),
    [anon_sym_qx] = ACTIONS(2189),
    [anon_sym_qr] = ACTIONS(2189),
    [anon_sym_m] = ACTIONS(2189),
    [anon_sym_s] = ACTIONS(2189),
    [anon_sym_tr] = ACTIONS(2189),
    [anon_sym_y] = ACTIONS(2189),
    [aux_sym__bareword_token1] = ACTIONS(2189),
    [sym_number] = ACTIONS(2189),
    [anon_sym_true] = ACTIONS(2189),
    [anon_sym_false] = ACTIONS(2189),
    [sym__single_quote] = ACTIONS(2187),
    [sym__double_quote] = ACTIONS(2187),
    [sym__backtick_quote] = ACTIONS(2187),
    [sym__search_slash_quote] = ACTIONS(2187),
    [sym__open_readline_bracket] = ACTIONS(2187),
    [sym__open_fileglob_bracket] = ACTIONS(2187),
    [sym__PERLY_HEREDOC] = ACTIONS(2187),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2187),
    [sym__filetest] = ACTIONS(2187),
  },
  [1135] = {
    [sym_heredoc_content] = STATE(1135),
    [sym__identifier] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2193),
    [anon_sym_DOLLAR] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2193),
    [anon_sym_RPAREN] = ACTIONS(2193),
    [anon_sym_my] = ACTIONS(2193),
    [anon_sym_extended] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_sub] = ACTIONS(2193),
    [anon_sym_method] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_state] = ACTIONS(2193),
    [anon_sym_our] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2193),
    [anon_sym_LT_LT] = ACTIONS(2193),
    [anon_sym_SLASH_SLASH] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2193),
    [anon_sym_DASH_DASH] = ACTIONS(2193),
    [anon_sym_BSLASH] = ACTIONS(2191),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_eval] = ACTIONS(2193),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_field] = ACTIONS(2193),
    [anon_sym_local] = ACTIONS(2193),
    [anon_sym_dynamically] = ACTIONS(2193),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2193),
    [anon_sym_require] = ACTIONS(2193),
    [anon_sym_map] = ACTIONS(2193),
    [anon_sym_grep] = ACTIONS(2193),
    [anon_sym_sort] = ACTIONS(2193),
    [anon_sym_goto] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_undef] = ACTIONS(2193),
    [anon_sym_PERCENT2] = ACTIONS(2193),
    [anon_sym_AMP2] = ACTIONS(2193),
    [anon_sym_STAR2] = ACTIONS(2193),
    [anon_sym_last] = ACTIONS(2193),
    [anon_sym_next] = ACTIONS(2193),
    [anon_sym_redo] = ACTIONS(2193),
    [anon_sym___FILE__] = ACTIONS(2193),
    [anon_sym___LINE__] = ACTIONS(2193),
    [anon_sym___PACKAGE__] = ACTIONS(2193),
    [anon_sym___SUB__] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_fork] = ACTIONS(2193),
    [anon_sym_getppid] = ACTIONS(2193),
    [anon_sym_time] = ACTIONS(2193),
    [anon_sym_times] = ACTIONS(2193),
    [anon_sym_wait] = ACTIONS(2193),
    [anon_sym_wantarray] = ACTIONS(2193),
    [anon_sym_abs] = ACTIONS(2193),
    [anon_sym_alarm] = ACTIONS(2193),
    [anon_sym_chop] = ACTIONS(2193),
    [anon_sym_chdir] = ACTIONS(2193),
    [anon_sym_close] = ACTIONS(2193),
    [anon_sym_closedir] = ACTIONS(2193),
    [anon_sym_caller] = ACTIONS(2193),
    [anon_sym_chomp] = ACTIONS(2193),
    [anon_sym_chr] = ACTIONS(2193),
    [anon_sym_cos] = ACTIONS(2193),
    [anon_sym_chroot] = ACTIONS(2193),
    [anon_sym_defined] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_dbmclose] = ACTIONS(2193),
    [anon_sym_exists] = ACTIONS(2193),
    [anon_sym_exit] = ACTIONS(2193),
    [anon_sym_eof] = ACTIONS(2193),
    [anon_sym_exp] = ACTIONS(2193),
    [anon_sym_each] = ACTIONS(2193),
    [anon_sym_fc] = ACTIONS(2193),
    [anon_sym_fileno] = ACTIONS(2193),
    [anon_sym_gmtime] = ACTIONS(2193),
    [anon_sym_getc] = ACTIONS(2193),
    [anon_sym_getpgrp] = ACTIONS(2193),
    [anon_sym_getprotobyname] = ACTIONS(2193),
    [anon_sym_getpwname] = ACTIONS(2193),
    [anon_sym_getpwuid] = ACTIONS(2193),
    [anon_sym_getpeername] = ACTIONS(2193),
    [anon_sym_getnetbyname] = ACTIONS(2193),
    [anon_sym_getsockname] = ACTIONS(2193),
    [anon_sym_getgrnam] = ACTIONS(2193),
    [anon_sym_getgrgid] = ACTIONS(2193),
    [anon_sym_hex] = ACTIONS(2193),
    [anon_sym_int] = ACTIONS(2193),
    [anon_sym_keys] = ACTIONS(2193),
    [anon_sym_lc] = ACTIONS(2193),
    [anon_sym_lcfirst] = ACTIONS(2193),
    [anon_sym_length] = ACTIONS(2193),
    [anon_sym_localtime] = ACTIONS(2193),
    [anon_sym_log] = ACTIONS(2193),
    [anon_sym_lock] = ACTIONS(2193),
    [anon_sym_lstat] = ACTIONS(2193),
    [anon_sym_oct] = ACTIONS(2193),
    [anon_sym_ord] = ACTIONS(2193),
    [anon_sym_prototype] = ACTIONS(2193),
    [anon_sym_pop] = ACTIONS(2193),
    [anon_sym_pos] = ACTIONS(2193),
    [anon_sym_quotemeta] = ACTIONS(2193),
    [anon_sym_reset] = ACTIONS(2193),
    [anon_sym_rand] = ACTIONS(2193),
    [anon_sym_rmdir] = ACTIONS(2193),
    [anon_sym_readdir] = ACTIONS(2193),
    [anon_sym_readline] = ACTIONS(2193),
    [anon_sym_readpipe] = ACTIONS(2193),
    [anon_sym_rewinddir] = ACTIONS(2193),
    [anon_sym_readlink] = ACTIONS(2193),
    [anon_sym_ref] = ACTIONS(2193),
    [anon_sym_scalar] = ACTIONS(2193),
    [anon_sym_shift] = ACTIONS(2193),
    [anon_sym_sin] = ACTIONS(2193),
    [anon_sym_sleep] = ACTIONS(2193),
    [anon_sym_sqrt] = ACTIONS(2193),
    [anon_sym_srand] = ACTIONS(2193),
    [anon_sym_stat] = ACTIONS(2193),
    [anon_sym_study] = ACTIONS(2193),
    [anon_sym_tell] = ACTIONS(2193),
    [anon_sym_telldir] = ACTIONS(2193),
    [anon_sym_tied] = ACTIONS(2193),
    [anon_sym_uc] = ACTIONS(2193),
    [anon_sym_ucfirst] = ACTIONS(2193),
    [anon_sym_untie] = ACTIONS(2193),
    [anon_sym_umask] = ACTIONS(2193),
    [anon_sym_values] = ACTIONS(2193),
    [anon_sym_write] = ACTIONS(2193),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2193),
    [anon_sym_qq] = ACTIONS(2193),
    [anon_sym_qw] = ACTIONS(2193),
    [anon_sym_qx] = ACTIONS(2193),
    [anon_sym_qr] = ACTIONS(2193),
    [anon_sym_m] = ACTIONS(2193),
    [anon_sym_s] = ACTIONS(2193),
    [anon_sym_tr] = ACTIONS(2193),
    [anon_sym_y] = ACTIONS(2193),
    [aux_sym__bareword_token1] = ACTIONS(2193),
    [sym_number] = ACTIONS(2193),
    [anon_sym_true] = ACTIONS(2193),
    [anon_sym_false] = ACTIONS(2193),
    [sym__single_quote] = ACTIONS(2191),
    [sym__double_quote] = ACTIONS(2191),
    [sym__backtick_quote] = ACTIONS(2191),
    [sym__search_slash_quote] = ACTIONS(2191),
    [sym__open_readline_bracket] = ACTIONS(2191),
    [sym__open_fileglob_bracket] = ACTIONS(2191),
    [sym__PERLY_HEREDOC] = ACTIONS(2191),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2191),
    [sym__filetest] = ACTIONS(2191),
  },
  [1136] = {
    [sym_heredoc_content] = STATE(1136),
    [sym__identifier] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2197),
    [anon_sym_DOLLAR] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2197),
    [anon_sym_RPAREN] = ACTIONS(2197),
    [anon_sym_my] = ACTIONS(2197),
    [anon_sym_extended] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_sub] = ACTIONS(2197),
    [anon_sym_method] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_state] = ACTIONS(2197),
    [anon_sym_our] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2197),
    [anon_sym_LT_LT] = ACTIONS(2197),
    [anon_sym_SLASH_SLASH] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2197),
    [anon_sym_BSLASH] = ACTIONS(2195),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_eval] = ACTIONS(2197),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_field] = ACTIONS(2197),
    [anon_sym_local] = ACTIONS(2197),
    [anon_sym_dynamically] = ACTIONS(2197),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2197),
    [anon_sym_require] = ACTIONS(2197),
    [anon_sym_map] = ACTIONS(2197),
    [anon_sym_grep] = ACTIONS(2197),
    [anon_sym_sort] = ACTIONS(2197),
    [anon_sym_goto] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_undef] = ACTIONS(2197),
    [anon_sym_PERCENT2] = ACTIONS(2197),
    [anon_sym_AMP2] = ACTIONS(2197),
    [anon_sym_STAR2] = ACTIONS(2197),
    [anon_sym_last] = ACTIONS(2197),
    [anon_sym_next] = ACTIONS(2197),
    [anon_sym_redo] = ACTIONS(2197),
    [anon_sym___FILE__] = ACTIONS(2197),
    [anon_sym___LINE__] = ACTIONS(2197),
    [anon_sym___PACKAGE__] = ACTIONS(2197),
    [anon_sym___SUB__] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_fork] = ACTIONS(2197),
    [anon_sym_getppid] = ACTIONS(2197),
    [anon_sym_time] = ACTIONS(2197),
    [anon_sym_times] = ACTIONS(2197),
    [anon_sym_wait] = ACTIONS(2197),
    [anon_sym_wantarray] = ACTIONS(2197),
    [anon_sym_abs] = ACTIONS(2197),
    [anon_sym_alarm] = ACTIONS(2197),
    [anon_sym_chop] = ACTIONS(2197),
    [anon_sym_chdir] = ACTIONS(2197),
    [anon_sym_close] = ACTIONS(2197),
    [anon_sym_closedir] = ACTIONS(2197),
    [anon_sym_caller] = ACTIONS(2197),
    [anon_sym_chomp] = ACTIONS(2197),
    [anon_sym_chr] = ACTIONS(2197),
    [anon_sym_cos] = ACTIONS(2197),
    [anon_sym_chroot] = ACTIONS(2197),
    [anon_sym_defined] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_dbmclose] = ACTIONS(2197),
    [anon_sym_exists] = ACTIONS(2197),
    [anon_sym_exit] = ACTIONS(2197),
    [anon_sym_eof] = ACTIONS(2197),
    [anon_sym_exp] = ACTIONS(2197),
    [anon_sym_each] = ACTIONS(2197),
    [anon_sym_fc] = ACTIONS(2197),
    [anon_sym_fileno] = ACTIONS(2197),
    [anon_sym_gmtime] = ACTIONS(2197),
    [anon_sym_getc] = ACTIONS(2197),
    [anon_sym_getpgrp] = ACTIONS(2197),
    [anon_sym_getprotobyname] = ACTIONS(2197),
    [anon_sym_getpwname] = ACTIONS(2197),
    [anon_sym_getpwuid] = ACTIONS(2197),
    [anon_sym_getpeername] = ACTIONS(2197),
    [anon_sym_getnetbyname] = ACTIONS(2197),
    [anon_sym_getsockname] = ACTIONS(2197),
    [anon_sym_getgrnam] = ACTIONS(2197),
    [anon_sym_getgrgid] = ACTIONS(2197),
    [anon_sym_hex] = ACTIONS(2197),
    [anon_sym_int] = ACTIONS(2197),
    [anon_sym_keys] = ACTIONS(2197),
    [anon_sym_lc] = ACTIONS(2197),
    [anon_sym_lcfirst] = ACTIONS(2197),
    [anon_sym_length] = ACTIONS(2197),
    [anon_sym_localtime] = ACTIONS(2197),
    [anon_sym_log] = ACTIONS(2197),
    [anon_sym_lock] = ACTIONS(2197),
    [anon_sym_lstat] = ACTIONS(2197),
    [anon_sym_oct] = ACTIONS(2197),
    [anon_sym_ord] = ACTIONS(2197),
    [anon_sym_prototype] = ACTIONS(2197),
    [anon_sym_pop] = ACTIONS(2197),
    [anon_sym_pos] = ACTIONS(2197),
    [anon_sym_quotemeta] = ACTIONS(2197),
    [anon_sym_reset] = ACTIONS(2197),
    [anon_sym_rand] = ACTIONS(2197),
    [anon_sym_rmdir] = ACTIONS(2197),
    [anon_sym_readdir] = ACTIONS(2197),
    [anon_sym_readline] = ACTIONS(2197),
    [anon_sym_readpipe] = ACTIONS(2197),
    [anon_sym_rewinddir] = ACTIONS(2197),
    [anon_sym_readlink] = ACTIONS(2197),
    [anon_sym_ref] = ACTIONS(2197),
    [anon_sym_scalar] = ACTIONS(2197),
    [anon_sym_shift] = ACTIONS(2197),
    [anon_sym_sin] = ACTIONS(2197),
    [anon_sym_sleep] = ACTIONS(2197),
    [anon_sym_sqrt] = ACTIONS(2197),
    [anon_sym_srand] = ACTIONS(2197),
    [anon_sym_stat] = ACTIONS(2197),
    [anon_sym_study] = ACTIONS(2197),
    [anon_sym_tell] = ACTIONS(2197),
    [anon_sym_telldir] = ACTIONS(2197),
    [anon_sym_tied] = ACTIONS(2197),
    [anon_sym_uc] = ACTIONS(2197),
    [anon_sym_ucfirst] = ACTIONS(2197),
    [anon_sym_untie] = ACTIONS(2197),
    [anon_sym_umask] = ACTIONS(2197),
    [anon_sym_values] = ACTIONS(2197),
    [anon_sym_write] = ACTIONS(2197),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2197),
    [anon_sym_qq] = ACTIONS(2197),
    [anon_sym_qw] = ACTIONS(2197),
    [anon_sym_qx] = ACTIONS(2197),
    [anon_sym_qr] = ACTIONS(2197),
    [anon_sym_m] = ACTIONS(2197),
    [anon_sym_s] = ACTIONS(2197),
    [anon_sym_tr] = ACTIONS(2197),
    [anon_sym_y] = ACTIONS(2197),
    [aux_sym__bareword_token1] = ACTIONS(2197),
    [sym_number] = ACTIONS(2197),
    [anon_sym_true] = ACTIONS(2197),
    [anon_sym_false] = ACTIONS(2197),
    [sym__single_quote] = ACTIONS(2195),
    [sym__double_quote] = ACTIONS(2195),
    [sym__backtick_quote] = ACTIONS(2195),
    [sym__search_slash_quote] = ACTIONS(2195),
    [sym__open_readline_bracket] = ACTIONS(2195),
    [sym__open_fileglob_bracket] = ACTIONS(2195),
    [sym__PERLY_HEREDOC] = ACTIONS(2195),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2195),
    [sym__filetest] = ACTIONS(2195),
  },
  [1137] = {
    [sym_heredoc_content] = STATE(1137),
    [sym__identifier] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_DOLLAR] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2205),
    [anon_sym_RPAREN] = ACTIONS(2205),
    [anon_sym_my] = ACTIONS(2205),
    [anon_sym_extended] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_sub] = ACTIONS(2205),
    [anon_sym_method] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_state] = ACTIONS(2205),
    [anon_sym_our] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2205),
    [anon_sym_LT_LT] = ACTIONS(2205),
    [anon_sym_SLASH_SLASH] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2205),
    [anon_sym_DASH_DASH] = ACTIONS(2205),
    [anon_sym_BSLASH] = ACTIONS(2203),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_eval] = ACTIONS(2205),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_field] = ACTIONS(2205),
    [anon_sym_local] = ACTIONS(2205),
    [anon_sym_dynamically] = ACTIONS(2205),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2205),
    [anon_sym_require] = ACTIONS(2205),
    [anon_sym_map] = ACTIONS(2205),
    [anon_sym_grep] = ACTIONS(2205),
    [anon_sym_sort] = ACTIONS(2205),
    [anon_sym_goto] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_undef] = ACTIONS(2205),
    [anon_sym_PERCENT2] = ACTIONS(2205),
    [anon_sym_AMP2] = ACTIONS(2205),
    [anon_sym_STAR2] = ACTIONS(2205),
    [anon_sym_last] = ACTIONS(2205),
    [anon_sym_next] = ACTIONS(2205),
    [anon_sym_redo] = ACTIONS(2205),
    [anon_sym___FILE__] = ACTIONS(2205),
    [anon_sym___LINE__] = ACTIONS(2205),
    [anon_sym___PACKAGE__] = ACTIONS(2205),
    [anon_sym___SUB__] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_fork] = ACTIONS(2205),
    [anon_sym_getppid] = ACTIONS(2205),
    [anon_sym_time] = ACTIONS(2205),
    [anon_sym_times] = ACTIONS(2205),
    [anon_sym_wait] = ACTIONS(2205),
    [anon_sym_wantarray] = ACTIONS(2205),
    [anon_sym_abs] = ACTIONS(2205),
    [anon_sym_alarm] = ACTIONS(2205),
    [anon_sym_chop] = ACTIONS(2205),
    [anon_sym_chdir] = ACTIONS(2205),
    [anon_sym_close] = ACTIONS(2205),
    [anon_sym_closedir] = ACTIONS(2205),
    [anon_sym_caller] = ACTIONS(2205),
    [anon_sym_chomp] = ACTIONS(2205),
    [anon_sym_chr] = ACTIONS(2205),
    [anon_sym_cos] = ACTIONS(2205),
    [anon_sym_chroot] = ACTIONS(2205),
    [anon_sym_defined] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_dbmclose] = ACTIONS(2205),
    [anon_sym_exists] = ACTIONS(2205),
    [anon_sym_exit] = ACTIONS(2205),
    [anon_sym_eof] = ACTIONS(2205),
    [anon_sym_exp] = ACTIONS(2205),
    [anon_sym_each] = ACTIONS(2205),
    [anon_sym_fc] = ACTIONS(2205),
    [anon_sym_fileno] = ACTIONS(2205),
    [anon_sym_gmtime] = ACTIONS(2205),
    [anon_sym_getc] = ACTIONS(2205),
    [anon_sym_getpgrp] = ACTIONS(2205),
    [anon_sym_getprotobyname] = ACTIONS(2205),
    [anon_sym_getpwname] = ACTIONS(2205),
    [anon_sym_getpwuid] = ACTIONS(2205),
    [anon_sym_getpeername] = ACTIONS(2205),
    [anon_sym_getnetbyname] = ACTIONS(2205),
    [anon_sym_getsockname] = ACTIONS(2205),
    [anon_sym_getgrnam] = ACTIONS(2205),
    [anon_sym_getgrgid] = ACTIONS(2205),
    [anon_sym_hex] = ACTIONS(2205),
    [anon_sym_int] = ACTIONS(2205),
    [anon_sym_keys] = ACTIONS(2205),
    [anon_sym_lc] = ACTIONS(2205),
    [anon_sym_lcfirst] = ACTIONS(2205),
    [anon_sym_length] = ACTIONS(2205),
    [anon_sym_localtime] = ACTIONS(2205),
    [anon_sym_log] = ACTIONS(2205),
    [anon_sym_lock] = ACTIONS(2205),
    [anon_sym_lstat] = ACTIONS(2205),
    [anon_sym_oct] = ACTIONS(2205),
    [anon_sym_ord] = ACTIONS(2205),
    [anon_sym_prototype] = ACTIONS(2205),
    [anon_sym_pop] = ACTIONS(2205),
    [anon_sym_pos] = ACTIONS(2205),
    [anon_sym_quotemeta] = ACTIONS(2205),
    [anon_sym_reset] = ACTIONS(2205),
    [anon_sym_rand] = ACTIONS(2205),
    [anon_sym_rmdir] = ACTIONS(2205),
    [anon_sym_readdir] = ACTIONS(2205),
    [anon_sym_readline] = ACTIONS(2205),
    [anon_sym_readpipe] = ACTIONS(2205),
    [anon_sym_rewinddir] = ACTIONS(2205),
    [anon_sym_readlink] = ACTIONS(2205),
    [anon_sym_ref] = ACTIONS(2205),
    [anon_sym_scalar] = ACTIONS(2205),
    [anon_sym_shift] = ACTIONS(2205),
    [anon_sym_sin] = ACTIONS(2205),
    [anon_sym_sleep] = ACTIONS(2205),
    [anon_sym_sqrt] = ACTIONS(2205),
    [anon_sym_srand] = ACTIONS(2205),
    [anon_sym_stat] = ACTIONS(2205),
    [anon_sym_study] = ACTIONS(2205),
    [anon_sym_tell] = ACTIONS(2205),
    [anon_sym_telldir] = ACTIONS(2205),
    [anon_sym_tied] = ACTIONS(2205),
    [anon_sym_uc] = ACTIONS(2205),
    [anon_sym_ucfirst] = ACTIONS(2205),
    [anon_sym_untie] = ACTIONS(2205),
    [anon_sym_umask] = ACTIONS(2205),
    [anon_sym_values] = ACTIONS(2205),
    [anon_sym_write] = ACTIONS(2205),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2205),
    [anon_sym_qq] = ACTIONS(2205),
    [anon_sym_qw] = ACTIONS(2205),
    [anon_sym_qx] = ACTIONS(2205),
    [anon_sym_qr] = ACTIONS(2205),
    [anon_sym_m] = ACTIONS(2205),
    [anon_sym_s] = ACTIONS(2205),
    [anon_sym_tr] = ACTIONS(2205),
    [anon_sym_y] = ACTIONS(2205),
    [aux_sym__bareword_token1] = ACTIONS(2205),
    [sym_number] = ACTIONS(2205),
    [anon_sym_true] = ACTIONS(2205),
    [anon_sym_false] = ACTIONS(2205),
    [sym__single_quote] = ACTIONS(2203),
    [sym__double_quote] = ACTIONS(2203),
    [sym__backtick_quote] = ACTIONS(2203),
    [sym__search_slash_quote] = ACTIONS(2203),
    [sym__open_readline_bracket] = ACTIONS(2203),
    [sym__open_fileglob_bracket] = ACTIONS(2203),
    [sym__PERLY_HEREDOC] = ACTIONS(2203),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2203),
    [sym__filetest] = ACTIONS(2203),
  },
  [1138] = {
    [sym_heredoc_content] = STATE(1138),
    [sym__identifier] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2209),
    [anon_sym_DOLLAR] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2209),
    [anon_sym_RPAREN] = ACTIONS(2209),
    [anon_sym_my] = ACTIONS(2209),
    [anon_sym_extended] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_sub] = ACTIONS(2209),
    [anon_sym_method] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_state] = ACTIONS(2209),
    [anon_sym_our] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2209),
    [anon_sym_LT_LT] = ACTIONS(2209),
    [anon_sym_SLASH_SLASH] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2209),
    [anon_sym_DASH_DASH] = ACTIONS(2209),
    [anon_sym_BSLASH] = ACTIONS(2207),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_eval] = ACTIONS(2209),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_field] = ACTIONS(2209),
    [anon_sym_local] = ACTIONS(2209),
    [anon_sym_dynamically] = ACTIONS(2209),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2209),
    [anon_sym_require] = ACTIONS(2209),
    [anon_sym_map] = ACTIONS(2209),
    [anon_sym_grep] = ACTIONS(2209),
    [anon_sym_sort] = ACTIONS(2209),
    [anon_sym_goto] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_undef] = ACTIONS(2209),
    [anon_sym_PERCENT2] = ACTIONS(2209),
    [anon_sym_AMP2] = ACTIONS(2209),
    [anon_sym_STAR2] = ACTIONS(2209),
    [anon_sym_last] = ACTIONS(2209),
    [anon_sym_next] = ACTIONS(2209),
    [anon_sym_redo] = ACTIONS(2209),
    [anon_sym___FILE__] = ACTIONS(2209),
    [anon_sym___LINE__] = ACTIONS(2209),
    [anon_sym___PACKAGE__] = ACTIONS(2209),
    [anon_sym___SUB__] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_fork] = ACTIONS(2209),
    [anon_sym_getppid] = ACTIONS(2209),
    [anon_sym_time] = ACTIONS(2209),
    [anon_sym_times] = ACTIONS(2209),
    [anon_sym_wait] = ACTIONS(2209),
    [anon_sym_wantarray] = ACTIONS(2209),
    [anon_sym_abs] = ACTIONS(2209),
    [anon_sym_alarm] = ACTIONS(2209),
    [anon_sym_chop] = ACTIONS(2209),
    [anon_sym_chdir] = ACTIONS(2209),
    [anon_sym_close] = ACTIONS(2209),
    [anon_sym_closedir] = ACTIONS(2209),
    [anon_sym_caller] = ACTIONS(2209),
    [anon_sym_chomp] = ACTIONS(2209),
    [anon_sym_chr] = ACTIONS(2209),
    [anon_sym_cos] = ACTIONS(2209),
    [anon_sym_chroot] = ACTIONS(2209),
    [anon_sym_defined] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_dbmclose] = ACTIONS(2209),
    [anon_sym_exists] = ACTIONS(2209),
    [anon_sym_exit] = ACTIONS(2209),
    [anon_sym_eof] = ACTIONS(2209),
    [anon_sym_exp] = ACTIONS(2209),
    [anon_sym_each] = ACTIONS(2209),
    [anon_sym_fc] = ACTIONS(2209),
    [anon_sym_fileno] = ACTIONS(2209),
    [anon_sym_gmtime] = ACTIONS(2209),
    [anon_sym_getc] = ACTIONS(2209),
    [anon_sym_getpgrp] = ACTIONS(2209),
    [anon_sym_getprotobyname] = ACTIONS(2209),
    [anon_sym_getpwname] = ACTIONS(2209),
    [anon_sym_getpwuid] = ACTIONS(2209),
    [anon_sym_getpeername] = ACTIONS(2209),
    [anon_sym_getnetbyname] = ACTIONS(2209),
    [anon_sym_getsockname] = ACTIONS(2209),
    [anon_sym_getgrnam] = ACTIONS(2209),
    [anon_sym_getgrgid] = ACTIONS(2209),
    [anon_sym_hex] = ACTIONS(2209),
    [anon_sym_int] = ACTIONS(2209),
    [anon_sym_keys] = ACTIONS(2209),
    [anon_sym_lc] = ACTIONS(2209),
    [anon_sym_lcfirst] = ACTIONS(2209),
    [anon_sym_length] = ACTIONS(2209),
    [anon_sym_localtime] = ACTIONS(2209),
    [anon_sym_log] = ACTIONS(2209),
    [anon_sym_lock] = ACTIONS(2209),
    [anon_sym_lstat] = ACTIONS(2209),
    [anon_sym_oct] = ACTIONS(2209),
    [anon_sym_ord] = ACTIONS(2209),
    [anon_sym_prototype] = ACTIONS(2209),
    [anon_sym_pop] = ACTIONS(2209),
    [anon_sym_pos] = ACTIONS(2209),
    [anon_sym_quotemeta] = ACTIONS(2209),
    [anon_sym_reset] = ACTIONS(2209),
    [anon_sym_rand] = ACTIONS(2209),
    [anon_sym_rmdir] = ACTIONS(2209),
    [anon_sym_readdir] = ACTIONS(2209),
    [anon_sym_readline] = ACTIONS(2209),
    [anon_sym_readpipe] = ACTIONS(2209),
    [anon_sym_rewinddir] = ACTIONS(2209),
    [anon_sym_readlink] = ACTIONS(2209),
    [anon_sym_ref] = ACTIONS(2209),
    [anon_sym_scalar] = ACTIONS(2209),
    [anon_sym_shift] = ACTIONS(2209),
    [anon_sym_sin] = ACTIONS(2209),
    [anon_sym_sleep] = ACTIONS(2209),
    [anon_sym_sqrt] = ACTIONS(2209),
    [anon_sym_srand] = ACTIONS(2209),
    [anon_sym_stat] = ACTIONS(2209),
    [anon_sym_study] = ACTIONS(2209),
    [anon_sym_tell] = ACTIONS(2209),
    [anon_sym_telldir] = ACTIONS(2209),
    [anon_sym_tied] = ACTIONS(2209),
    [anon_sym_uc] = ACTIONS(2209),
    [anon_sym_ucfirst] = ACTIONS(2209),
    [anon_sym_untie] = ACTIONS(2209),
    [anon_sym_umask] = ACTIONS(2209),
    [anon_sym_values] = ACTIONS(2209),
    [anon_sym_write] = ACTIONS(2209),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2209),
    [anon_sym_qq] = ACTIONS(2209),
    [anon_sym_qw] = ACTIONS(2209),
    [anon_sym_qx] = ACTIONS(2209),
    [anon_sym_qr] = ACTIONS(2209),
    [anon_sym_m] = ACTIONS(2209),
    [anon_sym_s] = ACTIONS(2209),
    [anon_sym_tr] = ACTIONS(2209),
    [anon_sym_y] = ACTIONS(2209),
    [aux_sym__bareword_token1] = ACTIONS(2209),
    [sym_number] = ACTIONS(2209),
    [anon_sym_true] = ACTIONS(2209),
    [anon_sym_false] = ACTIONS(2209),
    [sym__single_quote] = ACTIONS(2207),
    [sym__double_quote] = ACTIONS(2207),
    [sym__backtick_quote] = ACTIONS(2207),
    [sym__search_slash_quote] = ACTIONS(2207),
    [sym__open_readline_bracket] = ACTIONS(2207),
    [sym__open_fileglob_bracket] = ACTIONS(2207),
    [sym__PERLY_HEREDOC] = ACTIONS(2207),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2207),
    [sym__filetest] = ACTIONS(2207),
  },
  [1139] = {
    [sym_heredoc_content] = STATE(1139),
    [sym__identifier] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2213),
    [anon_sym_DOLLAR] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2213),
    [anon_sym_RPAREN] = ACTIONS(2213),
    [anon_sym_my] = ACTIONS(2213),
    [anon_sym_extended] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_sub] = ACTIONS(2213),
    [anon_sym_method] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_state] = ACTIONS(2213),
    [anon_sym_our] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2213),
    [anon_sym_LT_LT] = ACTIONS(2213),
    [anon_sym_SLASH_SLASH] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2213),
    [anon_sym_DASH_DASH] = ACTIONS(2213),
    [anon_sym_BSLASH] = ACTIONS(2211),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_eval] = ACTIONS(2213),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_field] = ACTIONS(2213),
    [anon_sym_local] = ACTIONS(2213),
    [anon_sym_dynamically] = ACTIONS(2213),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2213),
    [anon_sym_require] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2213),
    [anon_sym_grep] = ACTIONS(2213),
    [anon_sym_sort] = ACTIONS(2213),
    [anon_sym_goto] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_undef] = ACTIONS(2213),
    [anon_sym_PERCENT2] = ACTIONS(2213),
    [anon_sym_AMP2] = ACTIONS(2213),
    [anon_sym_STAR2] = ACTIONS(2213),
    [anon_sym_last] = ACTIONS(2213),
    [anon_sym_next] = ACTIONS(2213),
    [anon_sym_redo] = ACTIONS(2213),
    [anon_sym___FILE__] = ACTIONS(2213),
    [anon_sym___LINE__] = ACTIONS(2213),
    [anon_sym___PACKAGE__] = ACTIONS(2213),
    [anon_sym___SUB__] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_fork] = ACTIONS(2213),
    [anon_sym_getppid] = ACTIONS(2213),
    [anon_sym_time] = ACTIONS(2213),
    [anon_sym_times] = ACTIONS(2213),
    [anon_sym_wait] = ACTIONS(2213),
    [anon_sym_wantarray] = ACTIONS(2213),
    [anon_sym_abs] = ACTIONS(2213),
    [anon_sym_alarm] = ACTIONS(2213),
    [anon_sym_chop] = ACTIONS(2213),
    [anon_sym_chdir] = ACTIONS(2213),
    [anon_sym_close] = ACTIONS(2213),
    [anon_sym_closedir] = ACTIONS(2213),
    [anon_sym_caller] = ACTIONS(2213),
    [anon_sym_chomp] = ACTIONS(2213),
    [anon_sym_chr] = ACTIONS(2213),
    [anon_sym_cos] = ACTIONS(2213),
    [anon_sym_chroot] = ACTIONS(2213),
    [anon_sym_defined] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_dbmclose] = ACTIONS(2213),
    [anon_sym_exists] = ACTIONS(2213),
    [anon_sym_exit] = ACTIONS(2213),
    [anon_sym_eof] = ACTIONS(2213),
    [anon_sym_exp] = ACTIONS(2213),
    [anon_sym_each] = ACTIONS(2213),
    [anon_sym_fc] = ACTIONS(2213),
    [anon_sym_fileno] = ACTIONS(2213),
    [anon_sym_gmtime] = ACTIONS(2213),
    [anon_sym_getc] = ACTIONS(2213),
    [anon_sym_getpgrp] = ACTIONS(2213),
    [anon_sym_getprotobyname] = ACTIONS(2213),
    [anon_sym_getpwname] = ACTIONS(2213),
    [anon_sym_getpwuid] = ACTIONS(2213),
    [anon_sym_getpeername] = ACTIONS(2213),
    [anon_sym_getnetbyname] = ACTIONS(2213),
    [anon_sym_getsockname] = ACTIONS(2213),
    [anon_sym_getgrnam] = ACTIONS(2213),
    [anon_sym_getgrgid] = ACTIONS(2213),
    [anon_sym_hex] = ACTIONS(2213),
    [anon_sym_int] = ACTIONS(2213),
    [anon_sym_keys] = ACTIONS(2213),
    [anon_sym_lc] = ACTIONS(2213),
    [anon_sym_lcfirst] = ACTIONS(2213),
    [anon_sym_length] = ACTIONS(2213),
    [anon_sym_localtime] = ACTIONS(2213),
    [anon_sym_log] = ACTIONS(2213),
    [anon_sym_lock] = ACTIONS(2213),
    [anon_sym_lstat] = ACTIONS(2213),
    [anon_sym_oct] = ACTIONS(2213),
    [anon_sym_ord] = ACTIONS(2213),
    [anon_sym_prototype] = ACTIONS(2213),
    [anon_sym_pop] = ACTIONS(2213),
    [anon_sym_pos] = ACTIONS(2213),
    [anon_sym_quotemeta] = ACTIONS(2213),
    [anon_sym_reset] = ACTIONS(2213),
    [anon_sym_rand] = ACTIONS(2213),
    [anon_sym_rmdir] = ACTIONS(2213),
    [anon_sym_readdir] = ACTIONS(2213),
    [anon_sym_readline] = ACTIONS(2213),
    [anon_sym_readpipe] = ACTIONS(2213),
    [anon_sym_rewinddir] = ACTIONS(2213),
    [anon_sym_readlink] = ACTIONS(2213),
    [anon_sym_ref] = ACTIONS(2213),
    [anon_sym_scalar] = ACTIONS(2213),
    [anon_sym_shift] = ACTIONS(2213),
    [anon_sym_sin] = ACTIONS(2213),
    [anon_sym_sleep] = ACTIONS(2213),
    [anon_sym_sqrt] = ACTIONS(2213),
    [anon_sym_srand] = ACTIONS(2213),
    [anon_sym_stat] = ACTIONS(2213),
    [anon_sym_study] = ACTIONS(2213),
    [anon_sym_tell] = ACTIONS(2213),
    [anon_sym_telldir] = ACTIONS(2213),
    [anon_sym_tied] = ACTIONS(2213),
    [anon_sym_uc] = ACTIONS(2213),
    [anon_sym_ucfirst] = ACTIONS(2213),
    [anon_sym_untie] = ACTIONS(2213),
    [anon_sym_umask] = ACTIONS(2213),
    [anon_sym_values] = ACTIONS(2213),
    [anon_sym_write] = ACTIONS(2213),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2213),
    [anon_sym_qq] = ACTIONS(2213),
    [anon_sym_qw] = ACTIONS(2213),
    [anon_sym_qx] = ACTIONS(2213),
    [anon_sym_qr] = ACTIONS(2213),
    [anon_sym_m] = ACTIONS(2213),
    [anon_sym_s] = ACTIONS(2213),
    [anon_sym_tr] = ACTIONS(2213),
    [anon_sym_y] = ACTIONS(2213),
    [aux_sym__bareword_token1] = ACTIONS(2213),
    [sym_number] = ACTIONS(2213),
    [anon_sym_true] = ACTIONS(2213),
    [anon_sym_false] = ACTIONS(2213),
    [sym__single_quote] = ACTIONS(2211),
    [sym__double_quote] = ACTIONS(2211),
    [sym__backtick_quote] = ACTIONS(2211),
    [sym__search_slash_quote] = ACTIONS(2211),
    [sym__open_readline_bracket] = ACTIONS(2211),
    [sym__open_fileglob_bracket] = ACTIONS(2211),
    [sym__PERLY_HEREDOC] = ACTIONS(2211),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2211),
    [sym__filetest] = ACTIONS(2211),
  },
  [1140] = {
    [sym_heredoc_content] = STATE(1140),
    [sym__identifier] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2217),
    [anon_sym_DOLLAR] = ACTIONS(2217),
    [anon_sym_AT] = ACTIONS(2217),
    [anon_sym_RPAREN] = ACTIONS(2217),
    [anon_sym_my] = ACTIONS(2217),
    [anon_sym_extended] = ACTIONS(2217),
    [anon_sym_async] = ACTIONS(2217),
    [anon_sym_sub] = ACTIONS(2217),
    [anon_sym_method] = ACTIONS(2217),
    [anon_sym_LPAREN] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_state] = ACTIONS(2217),
    [anon_sym_our] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2217),
    [anon_sym_LT_LT] = ACTIONS(2217),
    [anon_sym_SLASH_SLASH] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2217),
    [anon_sym_BANG] = ACTIONS(2217),
    [anon_sym_PLUS_PLUS] = ACTIONS(2217),
    [anon_sym_DASH_DASH] = ACTIONS(2217),
    [anon_sym_BSLASH] = ACTIONS(2215),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_eval] = ACTIONS(2217),
    [anon_sym_await] = ACTIONS(2217),
    [anon_sym_field] = ACTIONS(2217),
    [anon_sym_local] = ACTIONS(2217),
    [anon_sym_dynamically] = ACTIONS(2217),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2217),
    [anon_sym_require] = ACTIONS(2217),
    [anon_sym_map] = ACTIONS(2217),
    [anon_sym_grep] = ACTIONS(2217),
    [anon_sym_sort] = ACTIONS(2217),
    [anon_sym_goto] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_undef] = ACTIONS(2217),
    [anon_sym_PERCENT2] = ACTIONS(2217),
    [anon_sym_AMP2] = ACTIONS(2217),
    [anon_sym_STAR2] = ACTIONS(2217),
    [anon_sym_last] = ACTIONS(2217),
    [anon_sym_next] = ACTIONS(2217),
    [anon_sym_redo] = ACTIONS(2217),
    [anon_sym___FILE__] = ACTIONS(2217),
    [anon_sym___LINE__] = ACTIONS(2217),
    [anon_sym___PACKAGE__] = ACTIONS(2217),
    [anon_sym___SUB__] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_fork] = ACTIONS(2217),
    [anon_sym_getppid] = ACTIONS(2217),
    [anon_sym_time] = ACTIONS(2217),
    [anon_sym_times] = ACTIONS(2217),
    [anon_sym_wait] = ACTIONS(2217),
    [anon_sym_wantarray] = ACTIONS(2217),
    [anon_sym_abs] = ACTIONS(2217),
    [anon_sym_alarm] = ACTIONS(2217),
    [anon_sym_chop] = ACTIONS(2217),
    [anon_sym_chdir] = ACTIONS(2217),
    [anon_sym_close] = ACTIONS(2217),
    [anon_sym_closedir] = ACTIONS(2217),
    [anon_sym_caller] = ACTIONS(2217),
    [anon_sym_chomp] = ACTIONS(2217),
    [anon_sym_chr] = ACTIONS(2217),
    [anon_sym_cos] = ACTIONS(2217),
    [anon_sym_chroot] = ACTIONS(2217),
    [anon_sym_defined] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_dbmclose] = ACTIONS(2217),
    [anon_sym_exists] = ACTIONS(2217),
    [anon_sym_exit] = ACTIONS(2217),
    [anon_sym_eof] = ACTIONS(2217),
    [anon_sym_exp] = ACTIONS(2217),
    [anon_sym_each] = ACTIONS(2217),
    [anon_sym_fc] = ACTIONS(2217),
    [anon_sym_fileno] = ACTIONS(2217),
    [anon_sym_gmtime] = ACTIONS(2217),
    [anon_sym_getc] = ACTIONS(2217),
    [anon_sym_getpgrp] = ACTIONS(2217),
    [anon_sym_getprotobyname] = ACTIONS(2217),
    [anon_sym_getpwname] = ACTIONS(2217),
    [anon_sym_getpwuid] = ACTIONS(2217),
    [anon_sym_getpeername] = ACTIONS(2217),
    [anon_sym_getnetbyname] = ACTIONS(2217),
    [anon_sym_getsockname] = ACTIONS(2217),
    [anon_sym_getgrnam] = ACTIONS(2217),
    [anon_sym_getgrgid] = ACTIONS(2217),
    [anon_sym_hex] = ACTIONS(2217),
    [anon_sym_int] = ACTIONS(2217),
    [anon_sym_keys] = ACTIONS(2217),
    [anon_sym_lc] = ACTIONS(2217),
    [anon_sym_lcfirst] = ACTIONS(2217),
    [anon_sym_length] = ACTIONS(2217),
    [anon_sym_localtime] = ACTIONS(2217),
    [anon_sym_log] = ACTIONS(2217),
    [anon_sym_lock] = ACTIONS(2217),
    [anon_sym_lstat] = ACTIONS(2217),
    [anon_sym_oct] = ACTIONS(2217),
    [anon_sym_ord] = ACTIONS(2217),
    [anon_sym_prototype] = ACTIONS(2217),
    [anon_sym_pop] = ACTIONS(2217),
    [anon_sym_pos] = ACTIONS(2217),
    [anon_sym_quotemeta] = ACTIONS(2217),
    [anon_sym_reset] = ACTIONS(2217),
    [anon_sym_rand] = ACTIONS(2217),
    [anon_sym_rmdir] = ACTIONS(2217),
    [anon_sym_readdir] = ACTIONS(2217),
    [anon_sym_readline] = ACTIONS(2217),
    [anon_sym_readpipe] = ACTIONS(2217),
    [anon_sym_rewinddir] = ACTIONS(2217),
    [anon_sym_readlink] = ACTIONS(2217),
    [anon_sym_ref] = ACTIONS(2217),
    [anon_sym_scalar] = ACTIONS(2217),
    [anon_sym_shift] = ACTIONS(2217),
    [anon_sym_sin] = ACTIONS(2217),
    [anon_sym_sleep] = ACTIONS(2217),
    [anon_sym_sqrt] = ACTIONS(2217),
    [anon_sym_srand] = ACTIONS(2217),
    [anon_sym_stat] = ACTIONS(2217),
    [anon_sym_study] = ACTIONS(2217),
    [anon_sym_tell] = ACTIONS(2217),
    [anon_sym_telldir] = ACTIONS(2217),
    [anon_sym_tied] = ACTIONS(2217),
    [anon_sym_uc] = ACTIONS(2217),
    [anon_sym_ucfirst] = ACTIONS(2217),
    [anon_sym_untie] = ACTIONS(2217),
    [anon_sym_umask] = ACTIONS(2217),
    [anon_sym_values] = ACTIONS(2217),
    [anon_sym_write] = ACTIONS(2217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2217),
    [anon_sym_qq] = ACTIONS(2217),
    [anon_sym_qw] = ACTIONS(2217),
    [anon_sym_qx] = ACTIONS(2217),
    [anon_sym_qr] = ACTIONS(2217),
    [anon_sym_m] = ACTIONS(2217),
    [anon_sym_s] = ACTIONS(2217),
    [anon_sym_tr] = ACTIONS(2217),
    [anon_sym_y] = ACTIONS(2217),
    [aux_sym__bareword_token1] = ACTIONS(2217),
    [sym_number] = ACTIONS(2217),
    [anon_sym_true] = ACTIONS(2217),
    [anon_sym_false] = ACTIONS(2217),
    [sym__single_quote] = ACTIONS(2215),
    [sym__double_quote] = ACTIONS(2215),
    [sym__backtick_quote] = ACTIONS(2215),
    [sym__search_slash_quote] = ACTIONS(2215),
    [sym__open_readline_bracket] = ACTIONS(2215),
    [sym__open_fileglob_bracket] = ACTIONS(2215),
    [sym__PERLY_HEREDOC] = ACTIONS(2215),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2215),
    [sym__filetest] = ACTIONS(2215),
  },
  [1141] = {
    [sym_heredoc_content] = STATE(1141),
    [sym__identifier] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2221),
    [anon_sym_DOLLAR] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2221),
    [anon_sym_RPAREN] = ACTIONS(2221),
    [anon_sym_my] = ACTIONS(2221),
    [anon_sym_extended] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_sub] = ACTIONS(2221),
    [anon_sym_method] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_state] = ACTIONS(2221),
    [anon_sym_our] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2221),
    [anon_sym_LT_LT] = ACTIONS(2221),
    [anon_sym_SLASH_SLASH] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2221),
    [anon_sym_DASH_DASH] = ACTIONS(2221),
    [anon_sym_BSLASH] = ACTIONS(2219),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_eval] = ACTIONS(2221),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_field] = ACTIONS(2221),
    [anon_sym_local] = ACTIONS(2221),
    [anon_sym_dynamically] = ACTIONS(2221),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2221),
    [anon_sym_require] = ACTIONS(2221),
    [anon_sym_map] = ACTIONS(2221),
    [anon_sym_grep] = ACTIONS(2221),
    [anon_sym_sort] = ACTIONS(2221),
    [anon_sym_goto] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_undef] = ACTIONS(2221),
    [anon_sym_PERCENT2] = ACTIONS(2221),
    [anon_sym_AMP2] = ACTIONS(2221),
    [anon_sym_STAR2] = ACTIONS(2221),
    [anon_sym_last] = ACTIONS(2221),
    [anon_sym_next] = ACTIONS(2221),
    [anon_sym_redo] = ACTIONS(2221),
    [anon_sym___FILE__] = ACTIONS(2221),
    [anon_sym___LINE__] = ACTIONS(2221),
    [anon_sym___PACKAGE__] = ACTIONS(2221),
    [anon_sym___SUB__] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_fork] = ACTIONS(2221),
    [anon_sym_getppid] = ACTIONS(2221),
    [anon_sym_time] = ACTIONS(2221),
    [anon_sym_times] = ACTIONS(2221),
    [anon_sym_wait] = ACTIONS(2221),
    [anon_sym_wantarray] = ACTIONS(2221),
    [anon_sym_abs] = ACTIONS(2221),
    [anon_sym_alarm] = ACTIONS(2221),
    [anon_sym_chop] = ACTIONS(2221),
    [anon_sym_chdir] = ACTIONS(2221),
    [anon_sym_close] = ACTIONS(2221),
    [anon_sym_closedir] = ACTIONS(2221),
    [anon_sym_caller] = ACTIONS(2221),
    [anon_sym_chomp] = ACTIONS(2221),
    [anon_sym_chr] = ACTIONS(2221),
    [anon_sym_cos] = ACTIONS(2221),
    [anon_sym_chroot] = ACTIONS(2221),
    [anon_sym_defined] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_dbmclose] = ACTIONS(2221),
    [anon_sym_exists] = ACTIONS(2221),
    [anon_sym_exit] = ACTIONS(2221),
    [anon_sym_eof] = ACTIONS(2221),
    [anon_sym_exp] = ACTIONS(2221),
    [anon_sym_each] = ACTIONS(2221),
    [anon_sym_fc] = ACTIONS(2221),
    [anon_sym_fileno] = ACTIONS(2221),
    [anon_sym_gmtime] = ACTIONS(2221),
    [anon_sym_getc] = ACTIONS(2221),
    [anon_sym_getpgrp] = ACTIONS(2221),
    [anon_sym_getprotobyname] = ACTIONS(2221),
    [anon_sym_getpwname] = ACTIONS(2221),
    [anon_sym_getpwuid] = ACTIONS(2221),
    [anon_sym_getpeername] = ACTIONS(2221),
    [anon_sym_getnetbyname] = ACTIONS(2221),
    [anon_sym_getsockname] = ACTIONS(2221),
    [anon_sym_getgrnam] = ACTIONS(2221),
    [anon_sym_getgrgid] = ACTIONS(2221),
    [anon_sym_hex] = ACTIONS(2221),
    [anon_sym_int] = ACTIONS(2221),
    [anon_sym_keys] = ACTIONS(2221),
    [anon_sym_lc] = ACTIONS(2221),
    [anon_sym_lcfirst] = ACTIONS(2221),
    [anon_sym_length] = ACTIONS(2221),
    [anon_sym_localtime] = ACTIONS(2221),
    [anon_sym_log] = ACTIONS(2221),
    [anon_sym_lock] = ACTIONS(2221),
    [anon_sym_lstat] = ACTIONS(2221),
    [anon_sym_oct] = ACTIONS(2221),
    [anon_sym_ord] = ACTIONS(2221),
    [anon_sym_prototype] = ACTIONS(2221),
    [anon_sym_pop] = ACTIONS(2221),
    [anon_sym_pos] = ACTIONS(2221),
    [anon_sym_quotemeta] = ACTIONS(2221),
    [anon_sym_reset] = ACTIONS(2221),
    [anon_sym_rand] = ACTIONS(2221),
    [anon_sym_rmdir] = ACTIONS(2221),
    [anon_sym_readdir] = ACTIONS(2221),
    [anon_sym_readline] = ACTIONS(2221),
    [anon_sym_readpipe] = ACTIONS(2221),
    [anon_sym_rewinddir] = ACTIONS(2221),
    [anon_sym_readlink] = ACTIONS(2221),
    [anon_sym_ref] = ACTIONS(2221),
    [anon_sym_scalar] = ACTIONS(2221),
    [anon_sym_shift] = ACTIONS(2221),
    [anon_sym_sin] = ACTIONS(2221),
    [anon_sym_sleep] = ACTIONS(2221),
    [anon_sym_sqrt] = ACTIONS(2221),
    [anon_sym_srand] = ACTIONS(2221),
    [anon_sym_stat] = ACTIONS(2221),
    [anon_sym_study] = ACTIONS(2221),
    [anon_sym_tell] = ACTIONS(2221),
    [anon_sym_telldir] = ACTIONS(2221),
    [anon_sym_tied] = ACTIONS(2221),
    [anon_sym_uc] = ACTIONS(2221),
    [anon_sym_ucfirst] = ACTIONS(2221),
    [anon_sym_untie] = ACTIONS(2221),
    [anon_sym_umask] = ACTIONS(2221),
    [anon_sym_values] = ACTIONS(2221),
    [anon_sym_write] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2221),
    [anon_sym_qq] = ACTIONS(2221),
    [anon_sym_qw] = ACTIONS(2221),
    [anon_sym_qx] = ACTIONS(2221),
    [anon_sym_qr] = ACTIONS(2221),
    [anon_sym_m] = ACTIONS(2221),
    [anon_sym_s] = ACTIONS(2221),
    [anon_sym_tr] = ACTIONS(2221),
    [anon_sym_y] = ACTIONS(2221),
    [aux_sym__bareword_token1] = ACTIONS(2221),
    [sym_number] = ACTIONS(2221),
    [anon_sym_true] = ACTIONS(2221),
    [anon_sym_false] = ACTIONS(2221),
    [sym__single_quote] = ACTIONS(2219),
    [sym__double_quote] = ACTIONS(2219),
    [sym__backtick_quote] = ACTIONS(2219),
    [sym__search_slash_quote] = ACTIONS(2219),
    [sym__open_readline_bracket] = ACTIONS(2219),
    [sym__open_fileglob_bracket] = ACTIONS(2219),
    [sym__PERLY_HEREDOC] = ACTIONS(2219),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2219),
    [sym__filetest] = ACTIONS(2219),
  },
  [1142] = {
    [sym_heredoc_content] = STATE(1142),
    [sym__identifier] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2225),
    [anon_sym_DOLLAR] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2225),
    [anon_sym_RPAREN] = ACTIONS(2225),
    [anon_sym_my] = ACTIONS(2225),
    [anon_sym_extended] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_sub] = ACTIONS(2225),
    [anon_sym_method] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_state] = ACTIONS(2225),
    [anon_sym_our] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2225),
    [anon_sym_LT_LT] = ACTIONS(2225),
    [anon_sym_SLASH_SLASH] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2225),
    [anon_sym_DASH_DASH] = ACTIONS(2225),
    [anon_sym_BSLASH] = ACTIONS(2223),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_eval] = ACTIONS(2225),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_field] = ACTIONS(2225),
    [anon_sym_local] = ACTIONS(2225),
    [anon_sym_dynamically] = ACTIONS(2225),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2225),
    [anon_sym_require] = ACTIONS(2225),
    [anon_sym_map] = ACTIONS(2225),
    [anon_sym_grep] = ACTIONS(2225),
    [anon_sym_sort] = ACTIONS(2225),
    [anon_sym_goto] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_undef] = ACTIONS(2225),
    [anon_sym_PERCENT2] = ACTIONS(2225),
    [anon_sym_AMP2] = ACTIONS(2225),
    [anon_sym_STAR2] = ACTIONS(2225),
    [anon_sym_last] = ACTIONS(2225),
    [anon_sym_next] = ACTIONS(2225),
    [anon_sym_redo] = ACTIONS(2225),
    [anon_sym___FILE__] = ACTIONS(2225),
    [anon_sym___LINE__] = ACTIONS(2225),
    [anon_sym___PACKAGE__] = ACTIONS(2225),
    [anon_sym___SUB__] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_fork] = ACTIONS(2225),
    [anon_sym_getppid] = ACTIONS(2225),
    [anon_sym_time] = ACTIONS(2225),
    [anon_sym_times] = ACTIONS(2225),
    [anon_sym_wait] = ACTIONS(2225),
    [anon_sym_wantarray] = ACTIONS(2225),
    [anon_sym_abs] = ACTIONS(2225),
    [anon_sym_alarm] = ACTIONS(2225),
    [anon_sym_chop] = ACTIONS(2225),
    [anon_sym_chdir] = ACTIONS(2225),
    [anon_sym_close] = ACTIONS(2225),
    [anon_sym_closedir] = ACTIONS(2225),
    [anon_sym_caller] = ACTIONS(2225),
    [anon_sym_chomp] = ACTIONS(2225),
    [anon_sym_chr] = ACTIONS(2225),
    [anon_sym_cos] = ACTIONS(2225),
    [anon_sym_chroot] = ACTIONS(2225),
    [anon_sym_defined] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_dbmclose] = ACTIONS(2225),
    [anon_sym_exists] = ACTIONS(2225),
    [anon_sym_exit] = ACTIONS(2225),
    [anon_sym_eof] = ACTIONS(2225),
    [anon_sym_exp] = ACTIONS(2225),
    [anon_sym_each] = ACTIONS(2225),
    [anon_sym_fc] = ACTIONS(2225),
    [anon_sym_fileno] = ACTIONS(2225),
    [anon_sym_gmtime] = ACTIONS(2225),
    [anon_sym_getc] = ACTIONS(2225),
    [anon_sym_getpgrp] = ACTIONS(2225),
    [anon_sym_getprotobyname] = ACTIONS(2225),
    [anon_sym_getpwname] = ACTIONS(2225),
    [anon_sym_getpwuid] = ACTIONS(2225),
    [anon_sym_getpeername] = ACTIONS(2225),
    [anon_sym_getnetbyname] = ACTIONS(2225),
    [anon_sym_getsockname] = ACTIONS(2225),
    [anon_sym_getgrnam] = ACTIONS(2225),
    [anon_sym_getgrgid] = ACTIONS(2225),
    [anon_sym_hex] = ACTIONS(2225),
    [anon_sym_int] = ACTIONS(2225),
    [anon_sym_keys] = ACTIONS(2225),
    [anon_sym_lc] = ACTIONS(2225),
    [anon_sym_lcfirst] = ACTIONS(2225),
    [anon_sym_length] = ACTIONS(2225),
    [anon_sym_localtime] = ACTIONS(2225),
    [anon_sym_log] = ACTIONS(2225),
    [anon_sym_lock] = ACTIONS(2225),
    [anon_sym_lstat] = ACTIONS(2225),
    [anon_sym_oct] = ACTIONS(2225),
    [anon_sym_ord] = ACTIONS(2225),
    [anon_sym_prototype] = ACTIONS(2225),
    [anon_sym_pop] = ACTIONS(2225),
    [anon_sym_pos] = ACTIONS(2225),
    [anon_sym_quotemeta] = ACTIONS(2225),
    [anon_sym_reset] = ACTIONS(2225),
    [anon_sym_rand] = ACTIONS(2225),
    [anon_sym_rmdir] = ACTIONS(2225),
    [anon_sym_readdir] = ACTIONS(2225),
    [anon_sym_readline] = ACTIONS(2225),
    [anon_sym_readpipe] = ACTIONS(2225),
    [anon_sym_rewinddir] = ACTIONS(2225),
    [anon_sym_readlink] = ACTIONS(2225),
    [anon_sym_ref] = ACTIONS(2225),
    [anon_sym_scalar] = ACTIONS(2225),
    [anon_sym_shift] = ACTIONS(2225),
    [anon_sym_sin] = ACTIONS(2225),
    [anon_sym_sleep] = ACTIONS(2225),
    [anon_sym_sqrt] = ACTIONS(2225),
    [anon_sym_srand] = ACTIONS(2225),
    [anon_sym_stat] = ACTIONS(2225),
    [anon_sym_study] = ACTIONS(2225),
    [anon_sym_tell] = ACTIONS(2225),
    [anon_sym_telldir] = ACTIONS(2225),
    [anon_sym_tied] = ACTIONS(2225),
    [anon_sym_uc] = ACTIONS(2225),
    [anon_sym_ucfirst] = ACTIONS(2225),
    [anon_sym_untie] = ACTIONS(2225),
    [anon_sym_umask] = ACTIONS(2225),
    [anon_sym_values] = ACTIONS(2225),
    [anon_sym_write] = ACTIONS(2225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2225),
    [anon_sym_qq] = ACTIONS(2225),
    [anon_sym_qw] = ACTIONS(2225),
    [anon_sym_qx] = ACTIONS(2225),
    [anon_sym_qr] = ACTIONS(2225),
    [anon_sym_m] = ACTIONS(2225),
    [anon_sym_s] = ACTIONS(2225),
    [anon_sym_tr] = ACTIONS(2225),
    [anon_sym_y] = ACTIONS(2225),
    [aux_sym__bareword_token1] = ACTIONS(2225),
    [sym_number] = ACTIONS(2225),
    [anon_sym_true] = ACTIONS(2225),
    [anon_sym_false] = ACTIONS(2225),
    [sym__single_quote] = ACTIONS(2223),
    [sym__double_quote] = ACTIONS(2223),
    [sym__backtick_quote] = ACTIONS(2223),
    [sym__search_slash_quote] = ACTIONS(2223),
    [sym__open_readline_bracket] = ACTIONS(2223),
    [sym__open_fileglob_bracket] = ACTIONS(2223),
    [sym__PERLY_HEREDOC] = ACTIONS(2223),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2223),
    [sym__filetest] = ACTIONS(2223),
  },
  [1143] = {
    [sym_heredoc_content] = STATE(1143),
    [sym__identifier] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2229),
    [anon_sym_DOLLAR] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2229),
    [anon_sym_RPAREN] = ACTIONS(2229),
    [anon_sym_my] = ACTIONS(2229),
    [anon_sym_extended] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_sub] = ACTIONS(2229),
    [anon_sym_method] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_state] = ACTIONS(2229),
    [anon_sym_our] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2229),
    [anon_sym_LT_LT] = ACTIONS(2229),
    [anon_sym_SLASH_SLASH] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2229),
    [anon_sym_DASH_DASH] = ACTIONS(2229),
    [anon_sym_BSLASH] = ACTIONS(2227),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_eval] = ACTIONS(2229),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_field] = ACTIONS(2229),
    [anon_sym_local] = ACTIONS(2229),
    [anon_sym_dynamically] = ACTIONS(2229),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2229),
    [anon_sym_require] = ACTIONS(2229),
    [anon_sym_map] = ACTIONS(2229),
    [anon_sym_grep] = ACTIONS(2229),
    [anon_sym_sort] = ACTIONS(2229),
    [anon_sym_goto] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_undef] = ACTIONS(2229),
    [anon_sym_PERCENT2] = ACTIONS(2229),
    [anon_sym_AMP2] = ACTIONS(2229),
    [anon_sym_STAR2] = ACTIONS(2229),
    [anon_sym_last] = ACTIONS(2229),
    [anon_sym_next] = ACTIONS(2229),
    [anon_sym_redo] = ACTIONS(2229),
    [anon_sym___FILE__] = ACTIONS(2229),
    [anon_sym___LINE__] = ACTIONS(2229),
    [anon_sym___PACKAGE__] = ACTIONS(2229),
    [anon_sym___SUB__] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_fork] = ACTIONS(2229),
    [anon_sym_getppid] = ACTIONS(2229),
    [anon_sym_time] = ACTIONS(2229),
    [anon_sym_times] = ACTIONS(2229),
    [anon_sym_wait] = ACTIONS(2229),
    [anon_sym_wantarray] = ACTIONS(2229),
    [anon_sym_abs] = ACTIONS(2229),
    [anon_sym_alarm] = ACTIONS(2229),
    [anon_sym_chop] = ACTIONS(2229),
    [anon_sym_chdir] = ACTIONS(2229),
    [anon_sym_close] = ACTIONS(2229),
    [anon_sym_closedir] = ACTIONS(2229),
    [anon_sym_caller] = ACTIONS(2229),
    [anon_sym_chomp] = ACTIONS(2229),
    [anon_sym_chr] = ACTIONS(2229),
    [anon_sym_cos] = ACTIONS(2229),
    [anon_sym_chroot] = ACTIONS(2229),
    [anon_sym_defined] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_dbmclose] = ACTIONS(2229),
    [anon_sym_exists] = ACTIONS(2229),
    [anon_sym_exit] = ACTIONS(2229),
    [anon_sym_eof] = ACTIONS(2229),
    [anon_sym_exp] = ACTIONS(2229),
    [anon_sym_each] = ACTIONS(2229),
    [anon_sym_fc] = ACTIONS(2229),
    [anon_sym_fileno] = ACTIONS(2229),
    [anon_sym_gmtime] = ACTIONS(2229),
    [anon_sym_getc] = ACTIONS(2229),
    [anon_sym_getpgrp] = ACTIONS(2229),
    [anon_sym_getprotobyname] = ACTIONS(2229),
    [anon_sym_getpwname] = ACTIONS(2229),
    [anon_sym_getpwuid] = ACTIONS(2229),
    [anon_sym_getpeername] = ACTIONS(2229),
    [anon_sym_getnetbyname] = ACTIONS(2229),
    [anon_sym_getsockname] = ACTIONS(2229),
    [anon_sym_getgrnam] = ACTIONS(2229),
    [anon_sym_getgrgid] = ACTIONS(2229),
    [anon_sym_hex] = ACTIONS(2229),
    [anon_sym_int] = ACTIONS(2229),
    [anon_sym_keys] = ACTIONS(2229),
    [anon_sym_lc] = ACTIONS(2229),
    [anon_sym_lcfirst] = ACTIONS(2229),
    [anon_sym_length] = ACTIONS(2229),
    [anon_sym_localtime] = ACTIONS(2229),
    [anon_sym_log] = ACTIONS(2229),
    [anon_sym_lock] = ACTIONS(2229),
    [anon_sym_lstat] = ACTIONS(2229),
    [anon_sym_oct] = ACTIONS(2229),
    [anon_sym_ord] = ACTIONS(2229),
    [anon_sym_prototype] = ACTIONS(2229),
    [anon_sym_pop] = ACTIONS(2229),
    [anon_sym_pos] = ACTIONS(2229),
    [anon_sym_quotemeta] = ACTIONS(2229),
    [anon_sym_reset] = ACTIONS(2229),
    [anon_sym_rand] = ACTIONS(2229),
    [anon_sym_rmdir] = ACTIONS(2229),
    [anon_sym_readdir] = ACTIONS(2229),
    [anon_sym_readline] = ACTIONS(2229),
    [anon_sym_readpipe] = ACTIONS(2229),
    [anon_sym_rewinddir] = ACTIONS(2229),
    [anon_sym_readlink] = ACTIONS(2229),
    [anon_sym_ref] = ACTIONS(2229),
    [anon_sym_scalar] = ACTIONS(2229),
    [anon_sym_shift] = ACTIONS(2229),
    [anon_sym_sin] = ACTIONS(2229),
    [anon_sym_sleep] = ACTIONS(2229),
    [anon_sym_sqrt] = ACTIONS(2229),
    [anon_sym_srand] = ACTIONS(2229),
    [anon_sym_stat] = ACTIONS(2229),
    [anon_sym_study] = ACTIONS(2229),
    [anon_sym_tell] = ACTIONS(2229),
    [anon_sym_telldir] = ACTIONS(2229),
    [anon_sym_tied] = ACTIONS(2229),
    [anon_sym_uc] = ACTIONS(2229),
    [anon_sym_ucfirst] = ACTIONS(2229),
    [anon_sym_untie] = ACTIONS(2229),
    [anon_sym_umask] = ACTIONS(2229),
    [anon_sym_values] = ACTIONS(2229),
    [anon_sym_write] = ACTIONS(2229),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2229),
    [anon_sym_qq] = ACTIONS(2229),
    [anon_sym_qw] = ACTIONS(2229),
    [anon_sym_qx] = ACTIONS(2229),
    [anon_sym_qr] = ACTIONS(2229),
    [anon_sym_m] = ACTIONS(2229),
    [anon_sym_s] = ACTIONS(2229),
    [anon_sym_tr] = ACTIONS(2229),
    [anon_sym_y] = ACTIONS(2229),
    [aux_sym__bareword_token1] = ACTIONS(2229),
    [sym_number] = ACTIONS(2229),
    [anon_sym_true] = ACTIONS(2229),
    [anon_sym_false] = ACTIONS(2229),
    [sym__single_quote] = ACTIONS(2227),
    [sym__double_quote] = ACTIONS(2227),
    [sym__backtick_quote] = ACTIONS(2227),
    [sym__search_slash_quote] = ACTIONS(2227),
    [sym__open_readline_bracket] = ACTIONS(2227),
    [sym__open_fileglob_bracket] = ACTIONS(2227),
    [sym__PERLY_HEREDOC] = ACTIONS(2227),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2227),
    [sym__filetest] = ACTIONS(2227),
  },
  [1144] = {
    [sym_heredoc_content] = STATE(1144),
    [sym__identifier] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2165),
    [anon_sym_DOLLAR] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2165),
    [anon_sym_RPAREN] = ACTIONS(2165),
    [anon_sym_my] = ACTIONS(2165),
    [anon_sym_extended] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_sub] = ACTIONS(2165),
    [anon_sym_method] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_state] = ACTIONS(2165),
    [anon_sym_our] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2165),
    [anon_sym_LT_LT] = ACTIONS(2165),
    [anon_sym_SLASH_SLASH] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2165),
    [anon_sym_DASH_DASH] = ACTIONS(2165),
    [anon_sym_BSLASH] = ACTIONS(2163),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_eval] = ACTIONS(2165),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_field] = ACTIONS(2165),
    [anon_sym_local] = ACTIONS(2165),
    [anon_sym_dynamically] = ACTIONS(2165),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2165),
    [anon_sym_require] = ACTIONS(2165),
    [anon_sym_map] = ACTIONS(2165),
    [anon_sym_grep] = ACTIONS(2165),
    [anon_sym_sort] = ACTIONS(2165),
    [anon_sym_goto] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_undef] = ACTIONS(2165),
    [anon_sym_PERCENT2] = ACTIONS(2165),
    [anon_sym_AMP2] = ACTIONS(2165),
    [anon_sym_STAR2] = ACTIONS(2165),
    [anon_sym_last] = ACTIONS(2165),
    [anon_sym_next] = ACTIONS(2165),
    [anon_sym_redo] = ACTIONS(2165),
    [anon_sym___FILE__] = ACTIONS(2165),
    [anon_sym___LINE__] = ACTIONS(2165),
    [anon_sym___PACKAGE__] = ACTIONS(2165),
    [anon_sym___SUB__] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_fork] = ACTIONS(2165),
    [anon_sym_getppid] = ACTIONS(2165),
    [anon_sym_time] = ACTIONS(2165),
    [anon_sym_times] = ACTIONS(2165),
    [anon_sym_wait] = ACTIONS(2165),
    [anon_sym_wantarray] = ACTIONS(2165),
    [anon_sym_abs] = ACTIONS(2165),
    [anon_sym_alarm] = ACTIONS(2165),
    [anon_sym_chop] = ACTIONS(2165),
    [anon_sym_chdir] = ACTIONS(2165),
    [anon_sym_close] = ACTIONS(2165),
    [anon_sym_closedir] = ACTIONS(2165),
    [anon_sym_caller] = ACTIONS(2165),
    [anon_sym_chomp] = ACTIONS(2165),
    [anon_sym_chr] = ACTIONS(2165),
    [anon_sym_cos] = ACTIONS(2165),
    [anon_sym_chroot] = ACTIONS(2165),
    [anon_sym_defined] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_dbmclose] = ACTIONS(2165),
    [anon_sym_exists] = ACTIONS(2165),
    [anon_sym_exit] = ACTIONS(2165),
    [anon_sym_eof] = ACTIONS(2165),
    [anon_sym_exp] = ACTIONS(2165),
    [anon_sym_each] = ACTIONS(2165),
    [anon_sym_fc] = ACTIONS(2165),
    [anon_sym_fileno] = ACTIONS(2165),
    [anon_sym_gmtime] = ACTIONS(2165),
    [anon_sym_getc] = ACTIONS(2165),
    [anon_sym_getpgrp] = ACTIONS(2165),
    [anon_sym_getprotobyname] = ACTIONS(2165),
    [anon_sym_getpwname] = ACTIONS(2165),
    [anon_sym_getpwuid] = ACTIONS(2165),
    [anon_sym_getpeername] = ACTIONS(2165),
    [anon_sym_getnetbyname] = ACTIONS(2165),
    [anon_sym_getsockname] = ACTIONS(2165),
    [anon_sym_getgrnam] = ACTIONS(2165),
    [anon_sym_getgrgid] = ACTIONS(2165),
    [anon_sym_hex] = ACTIONS(2165),
    [anon_sym_int] = ACTIONS(2165),
    [anon_sym_keys] = ACTIONS(2165),
    [anon_sym_lc] = ACTIONS(2165),
    [anon_sym_lcfirst] = ACTIONS(2165),
    [anon_sym_length] = ACTIONS(2165),
    [anon_sym_localtime] = ACTIONS(2165),
    [anon_sym_log] = ACTIONS(2165),
    [anon_sym_lock] = ACTIONS(2165),
    [anon_sym_lstat] = ACTIONS(2165),
    [anon_sym_oct] = ACTIONS(2165),
    [anon_sym_ord] = ACTIONS(2165),
    [anon_sym_prototype] = ACTIONS(2165),
    [anon_sym_pop] = ACTIONS(2165),
    [anon_sym_pos] = ACTIONS(2165),
    [anon_sym_quotemeta] = ACTIONS(2165),
    [anon_sym_reset] = ACTIONS(2165),
    [anon_sym_rand] = ACTIONS(2165),
    [anon_sym_rmdir] = ACTIONS(2165),
    [anon_sym_readdir] = ACTIONS(2165),
    [anon_sym_readline] = ACTIONS(2165),
    [anon_sym_readpipe] = ACTIONS(2165),
    [anon_sym_rewinddir] = ACTIONS(2165),
    [anon_sym_readlink] = ACTIONS(2165),
    [anon_sym_ref] = ACTIONS(2165),
    [anon_sym_scalar] = ACTIONS(2165),
    [anon_sym_shift] = ACTIONS(2165),
    [anon_sym_sin] = ACTIONS(2165),
    [anon_sym_sleep] = ACTIONS(2165),
    [anon_sym_sqrt] = ACTIONS(2165),
    [anon_sym_srand] = ACTIONS(2165),
    [anon_sym_stat] = ACTIONS(2165),
    [anon_sym_study] = ACTIONS(2165),
    [anon_sym_tell] = ACTIONS(2165),
    [anon_sym_telldir] = ACTIONS(2165),
    [anon_sym_tied] = ACTIONS(2165),
    [anon_sym_uc] = ACTIONS(2165),
    [anon_sym_ucfirst] = ACTIONS(2165),
    [anon_sym_untie] = ACTIONS(2165),
    [anon_sym_umask] = ACTIONS(2165),
    [anon_sym_values] = ACTIONS(2165),
    [anon_sym_write] = ACTIONS(2165),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2165),
    [anon_sym_qq] = ACTIONS(2165),
    [anon_sym_qw] = ACTIONS(2165),
    [anon_sym_qx] = ACTIONS(2165),
    [anon_sym_qr] = ACTIONS(2165),
    [anon_sym_m] = ACTIONS(2165),
    [anon_sym_s] = ACTIONS(2165),
    [anon_sym_tr] = ACTIONS(2165),
    [anon_sym_y] = ACTIONS(2165),
    [aux_sym__bareword_token1] = ACTIONS(2165),
    [sym_number] = ACTIONS(2165),
    [anon_sym_true] = ACTIONS(2165),
    [anon_sym_false] = ACTIONS(2165),
    [sym__single_quote] = ACTIONS(2163),
    [sym__double_quote] = ACTIONS(2163),
    [sym__backtick_quote] = ACTIONS(2163),
    [sym__search_slash_quote] = ACTIONS(2163),
    [sym__open_readline_bracket] = ACTIONS(2163),
    [sym__open_fileglob_bracket] = ACTIONS(2163),
    [sym__PERLY_HEREDOC] = ACTIONS(2163),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2163),
    [sym__filetest] = ACTIONS(2163),
  },
  [1145] = {
    [sym_heredoc_content] = STATE(1145),
    [sym__identifier] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(2233),
    [anon_sym_DOLLAR] = ACTIONS(2233),
    [anon_sym_AT] = ACTIONS(2233),
    [anon_sym_RPAREN] = ACTIONS(2233),
    [anon_sym_my] = ACTIONS(2233),
    [anon_sym_extended] = ACTIONS(2233),
    [anon_sym_async] = ACTIONS(2233),
    [anon_sym_sub] = ACTIONS(2233),
    [anon_sym_method] = ACTIONS(2233),
    [anon_sym_LPAREN] = ACTIONS(2233),
    [anon_sym_continue] = ACTIONS(2233),
    [anon_sym_state] = ACTIONS(2233),
    [anon_sym_our] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2233),
    [anon_sym_LT_LT] = ACTIONS(2233),
    [anon_sym_SLASH_SLASH] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_DASH] = ACTIONS(2233),
    [anon_sym_TILDE] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(2233),
    [anon_sym_PLUS_PLUS] = ACTIONS(2233),
    [anon_sym_DASH_DASH] = ACTIONS(2233),
    [anon_sym_BSLASH] = ACTIONS(2231),
    [anon_sym_do] = ACTIONS(2233),
    [anon_sym_eval] = ACTIONS(2233),
    [anon_sym_await] = ACTIONS(2233),
    [anon_sym_field] = ACTIONS(2233),
    [anon_sym_local] = ACTIONS(2233),
    [anon_sym_dynamically] = ACTIONS(2233),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2233),
    [anon_sym_require] = ACTIONS(2233),
    [anon_sym_map] = ACTIONS(2233),
    [anon_sym_grep] = ACTIONS(2233),
    [anon_sym_sort] = ACTIONS(2233),
    [anon_sym_goto] = ACTIONS(2233),
    [anon_sym_return] = ACTIONS(2233),
    [anon_sym_undef] = ACTIONS(2233),
    [anon_sym_PERCENT2] = ACTIONS(2233),
    [anon_sym_AMP2] = ACTIONS(2233),
    [anon_sym_STAR2] = ACTIONS(2233),
    [anon_sym_last] = ACTIONS(2233),
    [anon_sym_next] = ACTIONS(2233),
    [anon_sym_redo] = ACTIONS(2233),
    [anon_sym___FILE__] = ACTIONS(2233),
    [anon_sym___LINE__] = ACTIONS(2233),
    [anon_sym___PACKAGE__] = ACTIONS(2233),
    [anon_sym___SUB__] = ACTIONS(2233),
    [anon_sym_break] = ACTIONS(2233),
    [anon_sym_fork] = ACTIONS(2233),
    [anon_sym_getppid] = ACTIONS(2233),
    [anon_sym_time] = ACTIONS(2233),
    [anon_sym_times] = ACTIONS(2233),
    [anon_sym_wait] = ACTIONS(2233),
    [anon_sym_wantarray] = ACTIONS(2233),
    [anon_sym_abs] = ACTIONS(2233),
    [anon_sym_alarm] = ACTIONS(2233),
    [anon_sym_chop] = ACTIONS(2233),
    [anon_sym_chdir] = ACTIONS(2233),
    [anon_sym_close] = ACTIONS(2233),
    [anon_sym_closedir] = ACTIONS(2233),
    [anon_sym_caller] = ACTIONS(2233),
    [anon_sym_chomp] = ACTIONS(2233),
    [anon_sym_chr] = ACTIONS(2233),
    [anon_sym_cos] = ACTIONS(2233),
    [anon_sym_chroot] = ACTIONS(2233),
    [anon_sym_defined] = ACTIONS(2233),
    [anon_sym_delete] = ACTIONS(2233),
    [anon_sym_dbmclose] = ACTIONS(2233),
    [anon_sym_exists] = ACTIONS(2233),
    [anon_sym_exit] = ACTIONS(2233),
    [anon_sym_eof] = ACTIONS(2233),
    [anon_sym_exp] = ACTIONS(2233),
    [anon_sym_each] = ACTIONS(2233),
    [anon_sym_fc] = ACTIONS(2233),
    [anon_sym_fileno] = ACTIONS(2233),
    [anon_sym_gmtime] = ACTIONS(2233),
    [anon_sym_getc] = ACTIONS(2233),
    [anon_sym_getpgrp] = ACTIONS(2233),
    [anon_sym_getprotobyname] = ACTIONS(2233),
    [anon_sym_getpwname] = ACTIONS(2233),
    [anon_sym_getpwuid] = ACTIONS(2233),
    [anon_sym_getpeername] = ACTIONS(2233),
    [anon_sym_getnetbyname] = ACTIONS(2233),
    [anon_sym_getsockname] = ACTIONS(2233),
    [anon_sym_getgrnam] = ACTIONS(2233),
    [anon_sym_getgrgid] = ACTIONS(2233),
    [anon_sym_hex] = ACTIONS(2233),
    [anon_sym_int] = ACTIONS(2233),
    [anon_sym_keys] = ACTIONS(2233),
    [anon_sym_lc] = ACTIONS(2233),
    [anon_sym_lcfirst] = ACTIONS(2233),
    [anon_sym_length] = ACTIONS(2233),
    [anon_sym_localtime] = ACTIONS(2233),
    [anon_sym_log] = ACTIONS(2233),
    [anon_sym_lock] = ACTIONS(2233),
    [anon_sym_lstat] = ACTIONS(2233),
    [anon_sym_oct] = ACTIONS(2233),
    [anon_sym_ord] = ACTIONS(2233),
    [anon_sym_prototype] = ACTIONS(2233),
    [anon_sym_pop] = ACTIONS(2233),
    [anon_sym_pos] = ACTIONS(2233),
    [anon_sym_quotemeta] = ACTIONS(2233),
    [anon_sym_reset] = ACTIONS(2233),
    [anon_sym_rand] = ACTIONS(2233),
    [anon_sym_rmdir] = ACTIONS(2233),
    [anon_sym_readdir] = ACTIONS(2233),
    [anon_sym_readline] = ACTIONS(2233),
    [anon_sym_readpipe] = ACTIONS(2233),
    [anon_sym_rewinddir] = ACTIONS(2233),
    [anon_sym_readlink] = ACTIONS(2233),
    [anon_sym_ref] = ACTIONS(2233),
    [anon_sym_scalar] = ACTIONS(2233),
    [anon_sym_shift] = ACTIONS(2233),
    [anon_sym_sin] = ACTIONS(2233),
    [anon_sym_sleep] = ACTIONS(2233),
    [anon_sym_sqrt] = ACTIONS(2233),
    [anon_sym_srand] = ACTIONS(2233),
    [anon_sym_stat] = ACTIONS(2233),
    [anon_sym_study] = ACTIONS(2233),
    [anon_sym_tell] = ACTIONS(2233),
    [anon_sym_telldir] = ACTIONS(2233),
    [anon_sym_tied] = ACTIONS(2233),
    [anon_sym_uc] = ACTIONS(2233),
    [anon_sym_ucfirst] = ACTIONS(2233),
    [anon_sym_untie] = ACTIONS(2233),
    [anon_sym_umask] = ACTIONS(2233),
    [anon_sym_values] = ACTIONS(2233),
    [anon_sym_write] = ACTIONS(2233),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2233),
    [anon_sym_qq] = ACTIONS(2233),
    [anon_sym_qw] = ACTIONS(2233),
    [anon_sym_qx] = ACTIONS(2233),
    [anon_sym_qr] = ACTIONS(2233),
    [anon_sym_m] = ACTIONS(2233),
    [anon_sym_s] = ACTIONS(2233),
    [anon_sym_tr] = ACTIONS(2233),
    [anon_sym_y] = ACTIONS(2233),
    [aux_sym__bareword_token1] = ACTIONS(2233),
    [sym_number] = ACTIONS(2233),
    [anon_sym_true] = ACTIONS(2233),
    [anon_sym_false] = ACTIONS(2233),
    [sym__single_quote] = ACTIONS(2231),
    [sym__double_quote] = ACTIONS(2231),
    [sym__backtick_quote] = ACTIONS(2231),
    [sym__search_slash_quote] = ACTIONS(2231),
    [sym__open_readline_bracket] = ACTIONS(2231),
    [sym__open_fileglob_bracket] = ACTIONS(2231),
    [sym__PERLY_HEREDOC] = ACTIONS(2231),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2231),
    [sym__filetest] = ACTIONS(2231),
  },
  [1146] = {
    [sym_heredoc_content] = STATE(1146),
    [sym__identifier] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2237),
    [anon_sym_DOLLAR] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2237),
    [anon_sym_RPAREN] = ACTIONS(2237),
    [anon_sym_my] = ACTIONS(2237),
    [anon_sym_extended] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_sub] = ACTIONS(2237),
    [anon_sym_method] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_state] = ACTIONS(2237),
    [anon_sym_our] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2237),
    [anon_sym_LT_LT] = ACTIONS(2237),
    [anon_sym_SLASH_SLASH] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2237),
    [anon_sym_DASH_DASH] = ACTIONS(2237),
    [anon_sym_BSLASH] = ACTIONS(2235),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_eval] = ACTIONS(2237),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_field] = ACTIONS(2237),
    [anon_sym_local] = ACTIONS(2237),
    [anon_sym_dynamically] = ACTIONS(2237),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2237),
    [anon_sym_require] = ACTIONS(2237),
    [anon_sym_map] = ACTIONS(2237),
    [anon_sym_grep] = ACTIONS(2237),
    [anon_sym_sort] = ACTIONS(2237),
    [anon_sym_goto] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_undef] = ACTIONS(2237),
    [anon_sym_PERCENT2] = ACTIONS(2237),
    [anon_sym_AMP2] = ACTIONS(2237),
    [anon_sym_STAR2] = ACTIONS(2237),
    [anon_sym_last] = ACTIONS(2237),
    [anon_sym_next] = ACTIONS(2237),
    [anon_sym_redo] = ACTIONS(2237),
    [anon_sym___FILE__] = ACTIONS(2237),
    [anon_sym___LINE__] = ACTIONS(2237),
    [anon_sym___PACKAGE__] = ACTIONS(2237),
    [anon_sym___SUB__] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_fork] = ACTIONS(2237),
    [anon_sym_getppid] = ACTIONS(2237),
    [anon_sym_time] = ACTIONS(2237),
    [anon_sym_times] = ACTIONS(2237),
    [anon_sym_wait] = ACTIONS(2237),
    [anon_sym_wantarray] = ACTIONS(2237),
    [anon_sym_abs] = ACTIONS(2237),
    [anon_sym_alarm] = ACTIONS(2237),
    [anon_sym_chop] = ACTIONS(2237),
    [anon_sym_chdir] = ACTIONS(2237),
    [anon_sym_close] = ACTIONS(2237),
    [anon_sym_closedir] = ACTIONS(2237),
    [anon_sym_caller] = ACTIONS(2237),
    [anon_sym_chomp] = ACTIONS(2237),
    [anon_sym_chr] = ACTIONS(2237),
    [anon_sym_cos] = ACTIONS(2237),
    [anon_sym_chroot] = ACTIONS(2237),
    [anon_sym_defined] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_dbmclose] = ACTIONS(2237),
    [anon_sym_exists] = ACTIONS(2237),
    [anon_sym_exit] = ACTIONS(2237),
    [anon_sym_eof] = ACTIONS(2237),
    [anon_sym_exp] = ACTIONS(2237),
    [anon_sym_each] = ACTIONS(2237),
    [anon_sym_fc] = ACTIONS(2237),
    [anon_sym_fileno] = ACTIONS(2237),
    [anon_sym_gmtime] = ACTIONS(2237),
    [anon_sym_getc] = ACTIONS(2237),
    [anon_sym_getpgrp] = ACTIONS(2237),
    [anon_sym_getprotobyname] = ACTIONS(2237),
    [anon_sym_getpwname] = ACTIONS(2237),
    [anon_sym_getpwuid] = ACTIONS(2237),
    [anon_sym_getpeername] = ACTIONS(2237),
    [anon_sym_getnetbyname] = ACTIONS(2237),
    [anon_sym_getsockname] = ACTIONS(2237),
    [anon_sym_getgrnam] = ACTIONS(2237),
    [anon_sym_getgrgid] = ACTIONS(2237),
    [anon_sym_hex] = ACTIONS(2237),
    [anon_sym_int] = ACTIONS(2237),
    [anon_sym_keys] = ACTIONS(2237),
    [anon_sym_lc] = ACTIONS(2237),
    [anon_sym_lcfirst] = ACTIONS(2237),
    [anon_sym_length] = ACTIONS(2237),
    [anon_sym_localtime] = ACTIONS(2237),
    [anon_sym_log] = ACTIONS(2237),
    [anon_sym_lock] = ACTIONS(2237),
    [anon_sym_lstat] = ACTIONS(2237),
    [anon_sym_oct] = ACTIONS(2237),
    [anon_sym_ord] = ACTIONS(2237),
    [anon_sym_prototype] = ACTIONS(2237),
    [anon_sym_pop] = ACTIONS(2237),
    [anon_sym_pos] = ACTIONS(2237),
    [anon_sym_quotemeta] = ACTIONS(2237),
    [anon_sym_reset] = ACTIONS(2237),
    [anon_sym_rand] = ACTIONS(2237),
    [anon_sym_rmdir] = ACTIONS(2237),
    [anon_sym_readdir] = ACTIONS(2237),
    [anon_sym_readline] = ACTIONS(2237),
    [anon_sym_readpipe] = ACTIONS(2237),
    [anon_sym_rewinddir] = ACTIONS(2237),
    [anon_sym_readlink] = ACTIONS(2237),
    [anon_sym_ref] = ACTIONS(2237),
    [anon_sym_scalar] = ACTIONS(2237),
    [anon_sym_shift] = ACTIONS(2237),
    [anon_sym_sin] = ACTIONS(2237),
    [anon_sym_sleep] = ACTIONS(2237),
    [anon_sym_sqrt] = ACTIONS(2237),
    [anon_sym_srand] = ACTIONS(2237),
    [anon_sym_stat] = ACTIONS(2237),
    [anon_sym_study] = ACTIONS(2237),
    [anon_sym_tell] = ACTIONS(2237),
    [anon_sym_telldir] = ACTIONS(2237),
    [anon_sym_tied] = ACTIONS(2237),
    [anon_sym_uc] = ACTIONS(2237),
    [anon_sym_ucfirst] = ACTIONS(2237),
    [anon_sym_untie] = ACTIONS(2237),
    [anon_sym_umask] = ACTIONS(2237),
    [anon_sym_values] = ACTIONS(2237),
    [anon_sym_write] = ACTIONS(2237),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2237),
    [anon_sym_qq] = ACTIONS(2237),
    [anon_sym_qw] = ACTIONS(2237),
    [anon_sym_qx] = ACTIONS(2237),
    [anon_sym_qr] = ACTIONS(2237),
    [anon_sym_m] = ACTIONS(2237),
    [anon_sym_s] = ACTIONS(2237),
    [anon_sym_tr] = ACTIONS(2237),
    [anon_sym_y] = ACTIONS(2237),
    [aux_sym__bareword_token1] = ACTIONS(2237),
    [sym_number] = ACTIONS(2237),
    [anon_sym_true] = ACTIONS(2237),
    [anon_sym_false] = ACTIONS(2237),
    [sym__single_quote] = ACTIONS(2235),
    [sym__double_quote] = ACTIONS(2235),
    [sym__backtick_quote] = ACTIONS(2235),
    [sym__search_slash_quote] = ACTIONS(2235),
    [sym__open_readline_bracket] = ACTIONS(2235),
    [sym__open_fileglob_bracket] = ACTIONS(2235),
    [sym__PERLY_HEREDOC] = ACTIONS(2235),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2235),
    [sym__filetest] = ACTIONS(2235),
  },
  [1147] = {
    [sym_heredoc_content] = STATE(1147),
    [sym__identifier] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2241),
    [anon_sym_DOLLAR] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2241),
    [anon_sym_RPAREN] = ACTIONS(2241),
    [anon_sym_my] = ACTIONS(2241),
    [anon_sym_extended] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_sub] = ACTIONS(2241),
    [anon_sym_method] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_state] = ACTIONS(2241),
    [anon_sym_our] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2241),
    [anon_sym_LT_LT] = ACTIONS(2241),
    [anon_sym_SLASH_SLASH] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2241),
    [anon_sym_DASH_DASH] = ACTIONS(2241),
    [anon_sym_BSLASH] = ACTIONS(2239),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_eval] = ACTIONS(2241),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_field] = ACTIONS(2241),
    [anon_sym_local] = ACTIONS(2241),
    [anon_sym_dynamically] = ACTIONS(2241),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2241),
    [anon_sym_require] = ACTIONS(2241),
    [anon_sym_map] = ACTIONS(2241),
    [anon_sym_grep] = ACTIONS(2241),
    [anon_sym_sort] = ACTIONS(2241),
    [anon_sym_goto] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_undef] = ACTIONS(2241),
    [anon_sym_PERCENT2] = ACTIONS(2241),
    [anon_sym_AMP2] = ACTIONS(2241),
    [anon_sym_STAR2] = ACTIONS(2241),
    [anon_sym_last] = ACTIONS(2241),
    [anon_sym_next] = ACTIONS(2241),
    [anon_sym_redo] = ACTIONS(2241),
    [anon_sym___FILE__] = ACTIONS(2241),
    [anon_sym___LINE__] = ACTIONS(2241),
    [anon_sym___PACKAGE__] = ACTIONS(2241),
    [anon_sym___SUB__] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_fork] = ACTIONS(2241),
    [anon_sym_getppid] = ACTIONS(2241),
    [anon_sym_time] = ACTIONS(2241),
    [anon_sym_times] = ACTIONS(2241),
    [anon_sym_wait] = ACTIONS(2241),
    [anon_sym_wantarray] = ACTIONS(2241),
    [anon_sym_abs] = ACTIONS(2241),
    [anon_sym_alarm] = ACTIONS(2241),
    [anon_sym_chop] = ACTIONS(2241),
    [anon_sym_chdir] = ACTIONS(2241),
    [anon_sym_close] = ACTIONS(2241),
    [anon_sym_closedir] = ACTIONS(2241),
    [anon_sym_caller] = ACTIONS(2241),
    [anon_sym_chomp] = ACTIONS(2241),
    [anon_sym_chr] = ACTIONS(2241),
    [anon_sym_cos] = ACTIONS(2241),
    [anon_sym_chroot] = ACTIONS(2241),
    [anon_sym_defined] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_dbmclose] = ACTIONS(2241),
    [anon_sym_exists] = ACTIONS(2241),
    [anon_sym_exit] = ACTIONS(2241),
    [anon_sym_eof] = ACTIONS(2241),
    [anon_sym_exp] = ACTIONS(2241),
    [anon_sym_each] = ACTIONS(2241),
    [anon_sym_fc] = ACTIONS(2241),
    [anon_sym_fileno] = ACTIONS(2241),
    [anon_sym_gmtime] = ACTIONS(2241),
    [anon_sym_getc] = ACTIONS(2241),
    [anon_sym_getpgrp] = ACTIONS(2241),
    [anon_sym_getprotobyname] = ACTIONS(2241),
    [anon_sym_getpwname] = ACTIONS(2241),
    [anon_sym_getpwuid] = ACTIONS(2241),
    [anon_sym_getpeername] = ACTIONS(2241),
    [anon_sym_getnetbyname] = ACTIONS(2241),
    [anon_sym_getsockname] = ACTIONS(2241),
    [anon_sym_getgrnam] = ACTIONS(2241),
    [anon_sym_getgrgid] = ACTIONS(2241),
    [anon_sym_hex] = ACTIONS(2241),
    [anon_sym_int] = ACTIONS(2241),
    [anon_sym_keys] = ACTIONS(2241),
    [anon_sym_lc] = ACTIONS(2241),
    [anon_sym_lcfirst] = ACTIONS(2241),
    [anon_sym_length] = ACTIONS(2241),
    [anon_sym_localtime] = ACTIONS(2241),
    [anon_sym_log] = ACTIONS(2241),
    [anon_sym_lock] = ACTIONS(2241),
    [anon_sym_lstat] = ACTIONS(2241),
    [anon_sym_oct] = ACTIONS(2241),
    [anon_sym_ord] = ACTIONS(2241),
    [anon_sym_prototype] = ACTIONS(2241),
    [anon_sym_pop] = ACTIONS(2241),
    [anon_sym_pos] = ACTIONS(2241),
    [anon_sym_quotemeta] = ACTIONS(2241),
    [anon_sym_reset] = ACTIONS(2241),
    [anon_sym_rand] = ACTIONS(2241),
    [anon_sym_rmdir] = ACTIONS(2241),
    [anon_sym_readdir] = ACTIONS(2241),
    [anon_sym_readline] = ACTIONS(2241),
    [anon_sym_readpipe] = ACTIONS(2241),
    [anon_sym_rewinddir] = ACTIONS(2241),
    [anon_sym_readlink] = ACTIONS(2241),
    [anon_sym_ref] = ACTIONS(2241),
    [anon_sym_scalar] = ACTIONS(2241),
    [anon_sym_shift] = ACTIONS(2241),
    [anon_sym_sin] = ACTIONS(2241),
    [anon_sym_sleep] = ACTIONS(2241),
    [anon_sym_sqrt] = ACTIONS(2241),
    [anon_sym_srand] = ACTIONS(2241),
    [anon_sym_stat] = ACTIONS(2241),
    [anon_sym_study] = ACTIONS(2241),
    [anon_sym_tell] = ACTIONS(2241),
    [anon_sym_telldir] = ACTIONS(2241),
    [anon_sym_tied] = ACTIONS(2241),
    [anon_sym_uc] = ACTIONS(2241),
    [anon_sym_ucfirst] = ACTIONS(2241),
    [anon_sym_untie] = ACTIONS(2241),
    [anon_sym_umask] = ACTIONS(2241),
    [anon_sym_values] = ACTIONS(2241),
    [anon_sym_write] = ACTIONS(2241),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2241),
    [anon_sym_qq] = ACTIONS(2241),
    [anon_sym_qw] = ACTIONS(2241),
    [anon_sym_qx] = ACTIONS(2241),
    [anon_sym_qr] = ACTIONS(2241),
    [anon_sym_m] = ACTIONS(2241),
    [anon_sym_s] = ACTIONS(2241),
    [anon_sym_tr] = ACTIONS(2241),
    [anon_sym_y] = ACTIONS(2241),
    [aux_sym__bareword_token1] = ACTIONS(2241),
    [sym_number] = ACTIONS(2241),
    [anon_sym_true] = ACTIONS(2241),
    [anon_sym_false] = ACTIONS(2241),
    [sym__single_quote] = ACTIONS(2239),
    [sym__double_quote] = ACTIONS(2239),
    [sym__backtick_quote] = ACTIONS(2239),
    [sym__search_slash_quote] = ACTIONS(2239),
    [sym__open_readline_bracket] = ACTIONS(2239),
    [sym__open_fileglob_bracket] = ACTIONS(2239),
    [sym__PERLY_HEREDOC] = ACTIONS(2239),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2239),
    [sym__filetest] = ACTIONS(2239),
  },
  [1148] = {
    [sym_heredoc_content] = STATE(1148),
    [sym__identifier] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_DOLLAR] = ACTIONS(2245),
    [anon_sym_AT] = ACTIONS(2245),
    [anon_sym_RPAREN] = ACTIONS(2245),
    [anon_sym_my] = ACTIONS(2245),
    [anon_sym_extended] = ACTIONS(2245),
    [anon_sym_async] = ACTIONS(2245),
    [anon_sym_sub] = ACTIONS(2245),
    [anon_sym_method] = ACTIONS(2245),
    [anon_sym_LPAREN] = ACTIONS(2245),
    [anon_sym_continue] = ACTIONS(2245),
    [anon_sym_state] = ACTIONS(2245),
    [anon_sym_our] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2245),
    [anon_sym_LT_LT] = ACTIONS(2245),
    [anon_sym_SLASH_SLASH] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2245),
    [anon_sym_DASH] = ACTIONS(2245),
    [anon_sym_TILDE] = ACTIONS(2245),
    [anon_sym_BANG] = ACTIONS(2245),
    [anon_sym_PLUS_PLUS] = ACTIONS(2245),
    [anon_sym_DASH_DASH] = ACTIONS(2245),
    [anon_sym_BSLASH] = ACTIONS(2243),
    [anon_sym_do] = ACTIONS(2245),
    [anon_sym_eval] = ACTIONS(2245),
    [anon_sym_await] = ACTIONS(2245),
    [anon_sym_field] = ACTIONS(2245),
    [anon_sym_local] = ACTIONS(2245),
    [anon_sym_dynamically] = ACTIONS(2245),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2245),
    [anon_sym_require] = ACTIONS(2245),
    [anon_sym_map] = ACTIONS(2245),
    [anon_sym_grep] = ACTIONS(2245),
    [anon_sym_sort] = ACTIONS(2245),
    [anon_sym_goto] = ACTIONS(2245),
    [anon_sym_return] = ACTIONS(2245),
    [anon_sym_undef] = ACTIONS(2245),
    [anon_sym_PERCENT2] = ACTIONS(2245),
    [anon_sym_AMP2] = ACTIONS(2245),
    [anon_sym_STAR2] = ACTIONS(2245),
    [anon_sym_last] = ACTIONS(2245),
    [anon_sym_next] = ACTIONS(2245),
    [anon_sym_redo] = ACTIONS(2245),
    [anon_sym___FILE__] = ACTIONS(2245),
    [anon_sym___LINE__] = ACTIONS(2245),
    [anon_sym___PACKAGE__] = ACTIONS(2245),
    [anon_sym___SUB__] = ACTIONS(2245),
    [anon_sym_break] = ACTIONS(2245),
    [anon_sym_fork] = ACTIONS(2245),
    [anon_sym_getppid] = ACTIONS(2245),
    [anon_sym_time] = ACTIONS(2245),
    [anon_sym_times] = ACTIONS(2245),
    [anon_sym_wait] = ACTIONS(2245),
    [anon_sym_wantarray] = ACTIONS(2245),
    [anon_sym_abs] = ACTIONS(2245),
    [anon_sym_alarm] = ACTIONS(2245),
    [anon_sym_chop] = ACTIONS(2245),
    [anon_sym_chdir] = ACTIONS(2245),
    [anon_sym_close] = ACTIONS(2245),
    [anon_sym_closedir] = ACTIONS(2245),
    [anon_sym_caller] = ACTIONS(2245),
    [anon_sym_chomp] = ACTIONS(2245),
    [anon_sym_chr] = ACTIONS(2245),
    [anon_sym_cos] = ACTIONS(2245),
    [anon_sym_chroot] = ACTIONS(2245),
    [anon_sym_defined] = ACTIONS(2245),
    [anon_sym_delete] = ACTIONS(2245),
    [anon_sym_dbmclose] = ACTIONS(2245),
    [anon_sym_exists] = ACTIONS(2245),
    [anon_sym_exit] = ACTIONS(2245),
    [anon_sym_eof] = ACTIONS(2245),
    [anon_sym_exp] = ACTIONS(2245),
    [anon_sym_each] = ACTIONS(2245),
    [anon_sym_fc] = ACTIONS(2245),
    [anon_sym_fileno] = ACTIONS(2245),
    [anon_sym_gmtime] = ACTIONS(2245),
    [anon_sym_getc] = ACTIONS(2245),
    [anon_sym_getpgrp] = ACTIONS(2245),
    [anon_sym_getprotobyname] = ACTIONS(2245),
    [anon_sym_getpwname] = ACTIONS(2245),
    [anon_sym_getpwuid] = ACTIONS(2245),
    [anon_sym_getpeername] = ACTIONS(2245),
    [anon_sym_getnetbyname] = ACTIONS(2245),
    [anon_sym_getsockname] = ACTIONS(2245),
    [anon_sym_getgrnam] = ACTIONS(2245),
    [anon_sym_getgrgid] = ACTIONS(2245),
    [anon_sym_hex] = ACTIONS(2245),
    [anon_sym_int] = ACTIONS(2245),
    [anon_sym_keys] = ACTIONS(2245),
    [anon_sym_lc] = ACTIONS(2245),
    [anon_sym_lcfirst] = ACTIONS(2245),
    [anon_sym_length] = ACTIONS(2245),
    [anon_sym_localtime] = ACTIONS(2245),
    [anon_sym_log] = ACTIONS(2245),
    [anon_sym_lock] = ACTIONS(2245),
    [anon_sym_lstat] = ACTIONS(2245),
    [anon_sym_oct] = ACTIONS(2245),
    [anon_sym_ord] = ACTIONS(2245),
    [anon_sym_prototype] = ACTIONS(2245),
    [anon_sym_pop] = ACTIONS(2245),
    [anon_sym_pos] = ACTIONS(2245),
    [anon_sym_quotemeta] = ACTIONS(2245),
    [anon_sym_reset] = ACTIONS(2245),
    [anon_sym_rand] = ACTIONS(2245),
    [anon_sym_rmdir] = ACTIONS(2245),
    [anon_sym_readdir] = ACTIONS(2245),
    [anon_sym_readline] = ACTIONS(2245),
    [anon_sym_readpipe] = ACTIONS(2245),
    [anon_sym_rewinddir] = ACTIONS(2245),
    [anon_sym_readlink] = ACTIONS(2245),
    [anon_sym_ref] = ACTIONS(2245),
    [anon_sym_scalar] = ACTIONS(2245),
    [anon_sym_shift] = ACTIONS(2245),
    [anon_sym_sin] = ACTIONS(2245),
    [anon_sym_sleep] = ACTIONS(2245),
    [anon_sym_sqrt] = ACTIONS(2245),
    [anon_sym_srand] = ACTIONS(2245),
    [anon_sym_stat] = ACTIONS(2245),
    [anon_sym_study] = ACTIONS(2245),
    [anon_sym_tell] = ACTIONS(2245),
    [anon_sym_telldir] = ACTIONS(2245),
    [anon_sym_tied] = ACTIONS(2245),
    [anon_sym_uc] = ACTIONS(2245),
    [anon_sym_ucfirst] = ACTIONS(2245),
    [anon_sym_untie] = ACTIONS(2245),
    [anon_sym_umask] = ACTIONS(2245),
    [anon_sym_values] = ACTIONS(2245),
    [anon_sym_write] = ACTIONS(2245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2245),
    [anon_sym_qq] = ACTIONS(2245),
    [anon_sym_qw] = ACTIONS(2245),
    [anon_sym_qx] = ACTIONS(2245),
    [anon_sym_qr] = ACTIONS(2245),
    [anon_sym_m] = ACTIONS(2245),
    [anon_sym_s] = ACTIONS(2245),
    [anon_sym_tr] = ACTIONS(2245),
    [anon_sym_y] = ACTIONS(2245),
    [aux_sym__bareword_token1] = ACTIONS(2245),
    [sym_number] = ACTIONS(2245),
    [anon_sym_true] = ACTIONS(2245),
    [anon_sym_false] = ACTIONS(2245),
    [sym__single_quote] = ACTIONS(2243),
    [sym__double_quote] = ACTIONS(2243),
    [sym__backtick_quote] = ACTIONS(2243),
    [sym__search_slash_quote] = ACTIONS(2243),
    [sym__open_readline_bracket] = ACTIONS(2243),
    [sym__open_fileglob_bracket] = ACTIONS(2243),
    [sym__PERLY_HEREDOC] = ACTIONS(2243),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2243),
    [sym__filetest] = ACTIONS(2243),
  },
  [1149] = {
    [sym_heredoc_content] = STATE(1149),
    [sym__identifier] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2249),
    [anon_sym_DOLLAR] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2249),
    [anon_sym_RPAREN] = ACTIONS(2249),
    [anon_sym_my] = ACTIONS(2249),
    [anon_sym_extended] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_sub] = ACTIONS(2249),
    [anon_sym_method] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_state] = ACTIONS(2249),
    [anon_sym_our] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2249),
    [anon_sym_LT_LT] = ACTIONS(2249),
    [anon_sym_SLASH_SLASH] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2249),
    [anon_sym_DASH_DASH] = ACTIONS(2249),
    [anon_sym_BSLASH] = ACTIONS(2247),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_eval] = ACTIONS(2249),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_field] = ACTIONS(2249),
    [anon_sym_local] = ACTIONS(2249),
    [anon_sym_dynamically] = ACTIONS(2249),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2249),
    [anon_sym_require] = ACTIONS(2249),
    [anon_sym_map] = ACTIONS(2249),
    [anon_sym_grep] = ACTIONS(2249),
    [anon_sym_sort] = ACTIONS(2249),
    [anon_sym_goto] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_undef] = ACTIONS(2249),
    [anon_sym_PERCENT2] = ACTIONS(2249),
    [anon_sym_AMP2] = ACTIONS(2249),
    [anon_sym_STAR2] = ACTIONS(2249),
    [anon_sym_last] = ACTIONS(2249),
    [anon_sym_next] = ACTIONS(2249),
    [anon_sym_redo] = ACTIONS(2249),
    [anon_sym___FILE__] = ACTIONS(2249),
    [anon_sym___LINE__] = ACTIONS(2249),
    [anon_sym___PACKAGE__] = ACTIONS(2249),
    [anon_sym___SUB__] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_fork] = ACTIONS(2249),
    [anon_sym_getppid] = ACTIONS(2249),
    [anon_sym_time] = ACTIONS(2249),
    [anon_sym_times] = ACTIONS(2249),
    [anon_sym_wait] = ACTIONS(2249),
    [anon_sym_wantarray] = ACTIONS(2249),
    [anon_sym_abs] = ACTIONS(2249),
    [anon_sym_alarm] = ACTIONS(2249),
    [anon_sym_chop] = ACTIONS(2249),
    [anon_sym_chdir] = ACTIONS(2249),
    [anon_sym_close] = ACTIONS(2249),
    [anon_sym_closedir] = ACTIONS(2249),
    [anon_sym_caller] = ACTIONS(2249),
    [anon_sym_chomp] = ACTIONS(2249),
    [anon_sym_chr] = ACTIONS(2249),
    [anon_sym_cos] = ACTIONS(2249),
    [anon_sym_chroot] = ACTIONS(2249),
    [anon_sym_defined] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_dbmclose] = ACTIONS(2249),
    [anon_sym_exists] = ACTIONS(2249),
    [anon_sym_exit] = ACTIONS(2249),
    [anon_sym_eof] = ACTIONS(2249),
    [anon_sym_exp] = ACTIONS(2249),
    [anon_sym_each] = ACTIONS(2249),
    [anon_sym_fc] = ACTIONS(2249),
    [anon_sym_fileno] = ACTIONS(2249),
    [anon_sym_gmtime] = ACTIONS(2249),
    [anon_sym_getc] = ACTIONS(2249),
    [anon_sym_getpgrp] = ACTIONS(2249),
    [anon_sym_getprotobyname] = ACTIONS(2249),
    [anon_sym_getpwname] = ACTIONS(2249),
    [anon_sym_getpwuid] = ACTIONS(2249),
    [anon_sym_getpeername] = ACTIONS(2249),
    [anon_sym_getnetbyname] = ACTIONS(2249),
    [anon_sym_getsockname] = ACTIONS(2249),
    [anon_sym_getgrnam] = ACTIONS(2249),
    [anon_sym_getgrgid] = ACTIONS(2249),
    [anon_sym_hex] = ACTIONS(2249),
    [anon_sym_int] = ACTIONS(2249),
    [anon_sym_keys] = ACTIONS(2249),
    [anon_sym_lc] = ACTIONS(2249),
    [anon_sym_lcfirst] = ACTIONS(2249),
    [anon_sym_length] = ACTIONS(2249),
    [anon_sym_localtime] = ACTIONS(2249),
    [anon_sym_log] = ACTIONS(2249),
    [anon_sym_lock] = ACTIONS(2249),
    [anon_sym_lstat] = ACTIONS(2249),
    [anon_sym_oct] = ACTIONS(2249),
    [anon_sym_ord] = ACTIONS(2249),
    [anon_sym_prototype] = ACTIONS(2249),
    [anon_sym_pop] = ACTIONS(2249),
    [anon_sym_pos] = ACTIONS(2249),
    [anon_sym_quotemeta] = ACTIONS(2249),
    [anon_sym_reset] = ACTIONS(2249),
    [anon_sym_rand] = ACTIONS(2249),
    [anon_sym_rmdir] = ACTIONS(2249),
    [anon_sym_readdir] = ACTIONS(2249),
    [anon_sym_readline] = ACTIONS(2249),
    [anon_sym_readpipe] = ACTIONS(2249),
    [anon_sym_rewinddir] = ACTIONS(2249),
    [anon_sym_readlink] = ACTIONS(2249),
    [anon_sym_ref] = ACTIONS(2249),
    [anon_sym_scalar] = ACTIONS(2249),
    [anon_sym_shift] = ACTIONS(2249),
    [anon_sym_sin] = ACTIONS(2249),
    [anon_sym_sleep] = ACTIONS(2249),
    [anon_sym_sqrt] = ACTIONS(2249),
    [anon_sym_srand] = ACTIONS(2249),
    [anon_sym_stat] = ACTIONS(2249),
    [anon_sym_study] = ACTIONS(2249),
    [anon_sym_tell] = ACTIONS(2249),
    [anon_sym_telldir] = ACTIONS(2249),
    [anon_sym_tied] = ACTIONS(2249),
    [anon_sym_uc] = ACTIONS(2249),
    [anon_sym_ucfirst] = ACTIONS(2249),
    [anon_sym_untie] = ACTIONS(2249),
    [anon_sym_umask] = ACTIONS(2249),
    [anon_sym_values] = ACTIONS(2249),
    [anon_sym_write] = ACTIONS(2249),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2249),
    [anon_sym_qq] = ACTIONS(2249),
    [anon_sym_qw] = ACTIONS(2249),
    [anon_sym_qx] = ACTIONS(2249),
    [anon_sym_qr] = ACTIONS(2249),
    [anon_sym_m] = ACTIONS(2249),
    [anon_sym_s] = ACTIONS(2249),
    [anon_sym_tr] = ACTIONS(2249),
    [anon_sym_y] = ACTIONS(2249),
    [aux_sym__bareword_token1] = ACTIONS(2249),
    [sym_number] = ACTIONS(2249),
    [anon_sym_true] = ACTIONS(2249),
    [anon_sym_false] = ACTIONS(2249),
    [sym__single_quote] = ACTIONS(2247),
    [sym__double_quote] = ACTIONS(2247),
    [sym__backtick_quote] = ACTIONS(2247),
    [sym__search_slash_quote] = ACTIONS(2247),
    [sym__open_readline_bracket] = ACTIONS(2247),
    [sym__open_fileglob_bracket] = ACTIONS(2247),
    [sym__PERLY_HEREDOC] = ACTIONS(2247),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2247),
    [sym__filetest] = ACTIONS(2247),
  },
  [1150] = {
    [sym_heredoc_content] = STATE(1150),
    [sym__identifier] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2253),
    [anon_sym_DOLLAR] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2253),
    [anon_sym_RPAREN] = ACTIONS(2253),
    [anon_sym_my] = ACTIONS(2253),
    [anon_sym_extended] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_sub] = ACTIONS(2253),
    [anon_sym_method] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_state] = ACTIONS(2253),
    [anon_sym_our] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2253),
    [anon_sym_LT_LT] = ACTIONS(2253),
    [anon_sym_SLASH_SLASH] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2253),
    [anon_sym_DASH_DASH] = ACTIONS(2253),
    [anon_sym_BSLASH] = ACTIONS(2251),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_eval] = ACTIONS(2253),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_field] = ACTIONS(2253),
    [anon_sym_local] = ACTIONS(2253),
    [anon_sym_dynamically] = ACTIONS(2253),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2253),
    [anon_sym_require] = ACTIONS(2253),
    [anon_sym_map] = ACTIONS(2253),
    [anon_sym_grep] = ACTIONS(2253),
    [anon_sym_sort] = ACTIONS(2253),
    [anon_sym_goto] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_undef] = ACTIONS(2253),
    [anon_sym_PERCENT2] = ACTIONS(2253),
    [anon_sym_AMP2] = ACTIONS(2253),
    [anon_sym_STAR2] = ACTIONS(2253),
    [anon_sym_last] = ACTIONS(2253),
    [anon_sym_next] = ACTIONS(2253),
    [anon_sym_redo] = ACTIONS(2253),
    [anon_sym___FILE__] = ACTIONS(2253),
    [anon_sym___LINE__] = ACTIONS(2253),
    [anon_sym___PACKAGE__] = ACTIONS(2253),
    [anon_sym___SUB__] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_fork] = ACTIONS(2253),
    [anon_sym_getppid] = ACTIONS(2253),
    [anon_sym_time] = ACTIONS(2253),
    [anon_sym_times] = ACTIONS(2253),
    [anon_sym_wait] = ACTIONS(2253),
    [anon_sym_wantarray] = ACTIONS(2253),
    [anon_sym_abs] = ACTIONS(2253),
    [anon_sym_alarm] = ACTIONS(2253),
    [anon_sym_chop] = ACTIONS(2253),
    [anon_sym_chdir] = ACTIONS(2253),
    [anon_sym_close] = ACTIONS(2253),
    [anon_sym_closedir] = ACTIONS(2253),
    [anon_sym_caller] = ACTIONS(2253),
    [anon_sym_chomp] = ACTIONS(2253),
    [anon_sym_chr] = ACTIONS(2253),
    [anon_sym_cos] = ACTIONS(2253),
    [anon_sym_chroot] = ACTIONS(2253),
    [anon_sym_defined] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_dbmclose] = ACTIONS(2253),
    [anon_sym_exists] = ACTIONS(2253),
    [anon_sym_exit] = ACTIONS(2253),
    [anon_sym_eof] = ACTIONS(2253),
    [anon_sym_exp] = ACTIONS(2253),
    [anon_sym_each] = ACTIONS(2253),
    [anon_sym_fc] = ACTIONS(2253),
    [anon_sym_fileno] = ACTIONS(2253),
    [anon_sym_gmtime] = ACTIONS(2253),
    [anon_sym_getc] = ACTIONS(2253),
    [anon_sym_getpgrp] = ACTIONS(2253),
    [anon_sym_getprotobyname] = ACTIONS(2253),
    [anon_sym_getpwname] = ACTIONS(2253),
    [anon_sym_getpwuid] = ACTIONS(2253),
    [anon_sym_getpeername] = ACTIONS(2253),
    [anon_sym_getnetbyname] = ACTIONS(2253),
    [anon_sym_getsockname] = ACTIONS(2253),
    [anon_sym_getgrnam] = ACTIONS(2253),
    [anon_sym_getgrgid] = ACTIONS(2253),
    [anon_sym_hex] = ACTIONS(2253),
    [anon_sym_int] = ACTIONS(2253),
    [anon_sym_keys] = ACTIONS(2253),
    [anon_sym_lc] = ACTIONS(2253),
    [anon_sym_lcfirst] = ACTIONS(2253),
    [anon_sym_length] = ACTIONS(2253),
    [anon_sym_localtime] = ACTIONS(2253),
    [anon_sym_log] = ACTIONS(2253),
    [anon_sym_lock] = ACTIONS(2253),
    [anon_sym_lstat] = ACTIONS(2253),
    [anon_sym_oct] = ACTIONS(2253),
    [anon_sym_ord] = ACTIONS(2253),
    [anon_sym_prototype] = ACTIONS(2253),
    [anon_sym_pop] = ACTIONS(2253),
    [anon_sym_pos] = ACTIONS(2253),
    [anon_sym_quotemeta] = ACTIONS(2253),
    [anon_sym_reset] = ACTIONS(2253),
    [anon_sym_rand] = ACTIONS(2253),
    [anon_sym_rmdir] = ACTIONS(2253),
    [anon_sym_readdir] = ACTIONS(2253),
    [anon_sym_readline] = ACTIONS(2253),
    [anon_sym_readpipe] = ACTIONS(2253),
    [anon_sym_rewinddir] = ACTIONS(2253),
    [anon_sym_readlink] = ACTIONS(2253),
    [anon_sym_ref] = ACTIONS(2253),
    [anon_sym_scalar] = ACTIONS(2253),
    [anon_sym_shift] = ACTIONS(2253),
    [anon_sym_sin] = ACTIONS(2253),
    [anon_sym_sleep] = ACTIONS(2253),
    [anon_sym_sqrt] = ACTIONS(2253),
    [anon_sym_srand] = ACTIONS(2253),
    [anon_sym_stat] = ACTIONS(2253),
    [anon_sym_study] = ACTIONS(2253),
    [anon_sym_tell] = ACTIONS(2253),
    [anon_sym_telldir] = ACTIONS(2253),
    [anon_sym_tied] = ACTIONS(2253),
    [anon_sym_uc] = ACTIONS(2253),
    [anon_sym_ucfirst] = ACTIONS(2253),
    [anon_sym_untie] = ACTIONS(2253),
    [anon_sym_umask] = ACTIONS(2253),
    [anon_sym_values] = ACTIONS(2253),
    [anon_sym_write] = ACTIONS(2253),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2253),
    [anon_sym_qq] = ACTIONS(2253),
    [anon_sym_qw] = ACTIONS(2253),
    [anon_sym_qx] = ACTIONS(2253),
    [anon_sym_qr] = ACTIONS(2253),
    [anon_sym_m] = ACTIONS(2253),
    [anon_sym_s] = ACTIONS(2253),
    [anon_sym_tr] = ACTIONS(2253),
    [anon_sym_y] = ACTIONS(2253),
    [aux_sym__bareword_token1] = ACTIONS(2253),
    [sym_number] = ACTIONS(2253),
    [anon_sym_true] = ACTIONS(2253),
    [anon_sym_false] = ACTIONS(2253),
    [sym__single_quote] = ACTIONS(2251),
    [sym__double_quote] = ACTIONS(2251),
    [sym__backtick_quote] = ACTIONS(2251),
    [sym__search_slash_quote] = ACTIONS(2251),
    [sym__open_readline_bracket] = ACTIONS(2251),
    [sym__open_fileglob_bracket] = ACTIONS(2251),
    [sym__PERLY_HEREDOC] = ACTIONS(2251),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2251),
    [sym__filetest] = ACTIONS(2251),
  },
  [1151] = {
    [sym_heredoc_content] = STATE(1151),
    [sym__identifier] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2257),
    [anon_sym_DOLLAR] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2257),
    [anon_sym_RPAREN] = ACTIONS(2257),
    [anon_sym_my] = ACTIONS(2257),
    [anon_sym_extended] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_sub] = ACTIONS(2257),
    [anon_sym_method] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_state] = ACTIONS(2257),
    [anon_sym_our] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2257),
    [anon_sym_LT_LT] = ACTIONS(2257),
    [anon_sym_SLASH_SLASH] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2257),
    [anon_sym_DASH_DASH] = ACTIONS(2257),
    [anon_sym_BSLASH] = ACTIONS(2255),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_eval] = ACTIONS(2257),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_field] = ACTIONS(2257),
    [anon_sym_local] = ACTIONS(2257),
    [anon_sym_dynamically] = ACTIONS(2257),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2257),
    [anon_sym_require] = ACTIONS(2257),
    [anon_sym_map] = ACTIONS(2257),
    [anon_sym_grep] = ACTIONS(2257),
    [anon_sym_sort] = ACTIONS(2257),
    [anon_sym_goto] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_undef] = ACTIONS(2257),
    [anon_sym_PERCENT2] = ACTIONS(2257),
    [anon_sym_AMP2] = ACTIONS(2257),
    [anon_sym_STAR2] = ACTIONS(2257),
    [anon_sym_last] = ACTIONS(2257),
    [anon_sym_next] = ACTIONS(2257),
    [anon_sym_redo] = ACTIONS(2257),
    [anon_sym___FILE__] = ACTIONS(2257),
    [anon_sym___LINE__] = ACTIONS(2257),
    [anon_sym___PACKAGE__] = ACTIONS(2257),
    [anon_sym___SUB__] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_fork] = ACTIONS(2257),
    [anon_sym_getppid] = ACTIONS(2257),
    [anon_sym_time] = ACTIONS(2257),
    [anon_sym_times] = ACTIONS(2257),
    [anon_sym_wait] = ACTIONS(2257),
    [anon_sym_wantarray] = ACTIONS(2257),
    [anon_sym_abs] = ACTIONS(2257),
    [anon_sym_alarm] = ACTIONS(2257),
    [anon_sym_chop] = ACTIONS(2257),
    [anon_sym_chdir] = ACTIONS(2257),
    [anon_sym_close] = ACTIONS(2257),
    [anon_sym_closedir] = ACTIONS(2257),
    [anon_sym_caller] = ACTIONS(2257),
    [anon_sym_chomp] = ACTIONS(2257),
    [anon_sym_chr] = ACTIONS(2257),
    [anon_sym_cos] = ACTIONS(2257),
    [anon_sym_chroot] = ACTIONS(2257),
    [anon_sym_defined] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_dbmclose] = ACTIONS(2257),
    [anon_sym_exists] = ACTIONS(2257),
    [anon_sym_exit] = ACTIONS(2257),
    [anon_sym_eof] = ACTIONS(2257),
    [anon_sym_exp] = ACTIONS(2257),
    [anon_sym_each] = ACTIONS(2257),
    [anon_sym_fc] = ACTIONS(2257),
    [anon_sym_fileno] = ACTIONS(2257),
    [anon_sym_gmtime] = ACTIONS(2257),
    [anon_sym_getc] = ACTIONS(2257),
    [anon_sym_getpgrp] = ACTIONS(2257),
    [anon_sym_getprotobyname] = ACTIONS(2257),
    [anon_sym_getpwname] = ACTIONS(2257),
    [anon_sym_getpwuid] = ACTIONS(2257),
    [anon_sym_getpeername] = ACTIONS(2257),
    [anon_sym_getnetbyname] = ACTIONS(2257),
    [anon_sym_getsockname] = ACTIONS(2257),
    [anon_sym_getgrnam] = ACTIONS(2257),
    [anon_sym_getgrgid] = ACTIONS(2257),
    [anon_sym_hex] = ACTIONS(2257),
    [anon_sym_int] = ACTIONS(2257),
    [anon_sym_keys] = ACTIONS(2257),
    [anon_sym_lc] = ACTIONS(2257),
    [anon_sym_lcfirst] = ACTIONS(2257),
    [anon_sym_length] = ACTIONS(2257),
    [anon_sym_localtime] = ACTIONS(2257),
    [anon_sym_log] = ACTIONS(2257),
    [anon_sym_lock] = ACTIONS(2257),
    [anon_sym_lstat] = ACTIONS(2257),
    [anon_sym_oct] = ACTIONS(2257),
    [anon_sym_ord] = ACTIONS(2257),
    [anon_sym_prototype] = ACTIONS(2257),
    [anon_sym_pop] = ACTIONS(2257),
    [anon_sym_pos] = ACTIONS(2257),
    [anon_sym_quotemeta] = ACTIONS(2257),
    [anon_sym_reset] = ACTIONS(2257),
    [anon_sym_rand] = ACTIONS(2257),
    [anon_sym_rmdir] = ACTIONS(2257),
    [anon_sym_readdir] = ACTIONS(2257),
    [anon_sym_readline] = ACTIONS(2257),
    [anon_sym_readpipe] = ACTIONS(2257),
    [anon_sym_rewinddir] = ACTIONS(2257),
    [anon_sym_readlink] = ACTIONS(2257),
    [anon_sym_ref] = ACTIONS(2257),
    [anon_sym_scalar] = ACTIONS(2257),
    [anon_sym_shift] = ACTIONS(2257),
    [anon_sym_sin] = ACTIONS(2257),
    [anon_sym_sleep] = ACTIONS(2257),
    [anon_sym_sqrt] = ACTIONS(2257),
    [anon_sym_srand] = ACTIONS(2257),
    [anon_sym_stat] = ACTIONS(2257),
    [anon_sym_study] = ACTIONS(2257),
    [anon_sym_tell] = ACTIONS(2257),
    [anon_sym_telldir] = ACTIONS(2257),
    [anon_sym_tied] = ACTIONS(2257),
    [anon_sym_uc] = ACTIONS(2257),
    [anon_sym_ucfirst] = ACTIONS(2257),
    [anon_sym_untie] = ACTIONS(2257),
    [anon_sym_umask] = ACTIONS(2257),
    [anon_sym_values] = ACTIONS(2257),
    [anon_sym_write] = ACTIONS(2257),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2257),
    [anon_sym_qq] = ACTIONS(2257),
    [anon_sym_qw] = ACTIONS(2257),
    [anon_sym_qx] = ACTIONS(2257),
    [anon_sym_qr] = ACTIONS(2257),
    [anon_sym_m] = ACTIONS(2257),
    [anon_sym_s] = ACTIONS(2257),
    [anon_sym_tr] = ACTIONS(2257),
    [anon_sym_y] = ACTIONS(2257),
    [aux_sym__bareword_token1] = ACTIONS(2257),
    [sym_number] = ACTIONS(2257),
    [anon_sym_true] = ACTIONS(2257),
    [anon_sym_false] = ACTIONS(2257),
    [sym__single_quote] = ACTIONS(2255),
    [sym__double_quote] = ACTIONS(2255),
    [sym__backtick_quote] = ACTIONS(2255),
    [sym__search_slash_quote] = ACTIONS(2255),
    [sym__open_readline_bracket] = ACTIONS(2255),
    [sym__open_fileglob_bracket] = ACTIONS(2255),
    [sym__PERLY_HEREDOC] = ACTIONS(2255),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2255),
    [sym__filetest] = ACTIONS(2255),
  },
  [1152] = {
    [sym_heredoc_content] = STATE(1152),
    [sym__identifier] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2261),
    [anon_sym_DOLLAR] = ACTIONS(2261),
    [anon_sym_AT] = ACTIONS(2261),
    [anon_sym_RPAREN] = ACTIONS(2261),
    [anon_sym_my] = ACTIONS(2261),
    [anon_sym_extended] = ACTIONS(2261),
    [anon_sym_async] = ACTIONS(2261),
    [anon_sym_sub] = ACTIONS(2261),
    [anon_sym_method] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_state] = ACTIONS(2261),
    [anon_sym_our] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2261),
    [anon_sym_LT_LT] = ACTIONS(2261),
    [anon_sym_SLASH_SLASH] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2261),
    [anon_sym_BANG] = ACTIONS(2261),
    [anon_sym_PLUS_PLUS] = ACTIONS(2261),
    [anon_sym_DASH_DASH] = ACTIONS(2261),
    [anon_sym_BSLASH] = ACTIONS(2259),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_eval] = ACTIONS(2261),
    [anon_sym_await] = ACTIONS(2261),
    [anon_sym_field] = ACTIONS(2261),
    [anon_sym_local] = ACTIONS(2261),
    [anon_sym_dynamically] = ACTIONS(2261),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2261),
    [anon_sym_require] = ACTIONS(2261),
    [anon_sym_map] = ACTIONS(2261),
    [anon_sym_grep] = ACTIONS(2261),
    [anon_sym_sort] = ACTIONS(2261),
    [anon_sym_goto] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_undef] = ACTIONS(2261),
    [anon_sym_PERCENT2] = ACTIONS(2261),
    [anon_sym_AMP2] = ACTIONS(2261),
    [anon_sym_STAR2] = ACTIONS(2261),
    [anon_sym_last] = ACTIONS(2261),
    [anon_sym_next] = ACTIONS(2261),
    [anon_sym_redo] = ACTIONS(2261),
    [anon_sym___FILE__] = ACTIONS(2261),
    [anon_sym___LINE__] = ACTIONS(2261),
    [anon_sym___PACKAGE__] = ACTIONS(2261),
    [anon_sym___SUB__] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_fork] = ACTIONS(2261),
    [anon_sym_getppid] = ACTIONS(2261),
    [anon_sym_time] = ACTIONS(2261),
    [anon_sym_times] = ACTIONS(2261),
    [anon_sym_wait] = ACTIONS(2261),
    [anon_sym_wantarray] = ACTIONS(2261),
    [anon_sym_abs] = ACTIONS(2261),
    [anon_sym_alarm] = ACTIONS(2261),
    [anon_sym_chop] = ACTIONS(2261),
    [anon_sym_chdir] = ACTIONS(2261),
    [anon_sym_close] = ACTIONS(2261),
    [anon_sym_closedir] = ACTIONS(2261),
    [anon_sym_caller] = ACTIONS(2261),
    [anon_sym_chomp] = ACTIONS(2261),
    [anon_sym_chr] = ACTIONS(2261),
    [anon_sym_cos] = ACTIONS(2261),
    [anon_sym_chroot] = ACTIONS(2261),
    [anon_sym_defined] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_dbmclose] = ACTIONS(2261),
    [anon_sym_exists] = ACTIONS(2261),
    [anon_sym_exit] = ACTIONS(2261),
    [anon_sym_eof] = ACTIONS(2261),
    [anon_sym_exp] = ACTIONS(2261),
    [anon_sym_each] = ACTIONS(2261),
    [anon_sym_fc] = ACTIONS(2261),
    [anon_sym_fileno] = ACTIONS(2261),
    [anon_sym_gmtime] = ACTIONS(2261),
    [anon_sym_getc] = ACTIONS(2261),
    [anon_sym_getpgrp] = ACTIONS(2261),
    [anon_sym_getprotobyname] = ACTIONS(2261),
    [anon_sym_getpwname] = ACTIONS(2261),
    [anon_sym_getpwuid] = ACTIONS(2261),
    [anon_sym_getpeername] = ACTIONS(2261),
    [anon_sym_getnetbyname] = ACTIONS(2261),
    [anon_sym_getsockname] = ACTIONS(2261),
    [anon_sym_getgrnam] = ACTIONS(2261),
    [anon_sym_getgrgid] = ACTIONS(2261),
    [anon_sym_hex] = ACTIONS(2261),
    [anon_sym_int] = ACTIONS(2261),
    [anon_sym_keys] = ACTIONS(2261),
    [anon_sym_lc] = ACTIONS(2261),
    [anon_sym_lcfirst] = ACTIONS(2261),
    [anon_sym_length] = ACTIONS(2261),
    [anon_sym_localtime] = ACTIONS(2261),
    [anon_sym_log] = ACTIONS(2261),
    [anon_sym_lock] = ACTIONS(2261),
    [anon_sym_lstat] = ACTIONS(2261),
    [anon_sym_oct] = ACTIONS(2261),
    [anon_sym_ord] = ACTIONS(2261),
    [anon_sym_prototype] = ACTIONS(2261),
    [anon_sym_pop] = ACTIONS(2261),
    [anon_sym_pos] = ACTIONS(2261),
    [anon_sym_quotemeta] = ACTIONS(2261),
    [anon_sym_reset] = ACTIONS(2261),
    [anon_sym_rand] = ACTIONS(2261),
    [anon_sym_rmdir] = ACTIONS(2261),
    [anon_sym_readdir] = ACTIONS(2261),
    [anon_sym_readline] = ACTIONS(2261),
    [anon_sym_readpipe] = ACTIONS(2261),
    [anon_sym_rewinddir] = ACTIONS(2261),
    [anon_sym_readlink] = ACTIONS(2261),
    [anon_sym_ref] = ACTIONS(2261),
    [anon_sym_scalar] = ACTIONS(2261),
    [anon_sym_shift] = ACTIONS(2261),
    [anon_sym_sin] = ACTIONS(2261),
    [anon_sym_sleep] = ACTIONS(2261),
    [anon_sym_sqrt] = ACTIONS(2261),
    [anon_sym_srand] = ACTIONS(2261),
    [anon_sym_stat] = ACTIONS(2261),
    [anon_sym_study] = ACTIONS(2261),
    [anon_sym_tell] = ACTIONS(2261),
    [anon_sym_telldir] = ACTIONS(2261),
    [anon_sym_tied] = ACTIONS(2261),
    [anon_sym_uc] = ACTIONS(2261),
    [anon_sym_ucfirst] = ACTIONS(2261),
    [anon_sym_untie] = ACTIONS(2261),
    [anon_sym_umask] = ACTIONS(2261),
    [anon_sym_values] = ACTIONS(2261),
    [anon_sym_write] = ACTIONS(2261),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2261),
    [anon_sym_qq] = ACTIONS(2261),
    [anon_sym_qw] = ACTIONS(2261),
    [anon_sym_qx] = ACTIONS(2261),
    [anon_sym_qr] = ACTIONS(2261),
    [anon_sym_m] = ACTIONS(2261),
    [anon_sym_s] = ACTIONS(2261),
    [anon_sym_tr] = ACTIONS(2261),
    [anon_sym_y] = ACTIONS(2261),
    [aux_sym__bareword_token1] = ACTIONS(2261),
    [sym_number] = ACTIONS(2261),
    [anon_sym_true] = ACTIONS(2261),
    [anon_sym_false] = ACTIONS(2261),
    [sym__single_quote] = ACTIONS(2259),
    [sym__double_quote] = ACTIONS(2259),
    [sym__backtick_quote] = ACTIONS(2259),
    [sym__search_slash_quote] = ACTIONS(2259),
    [sym__open_readline_bracket] = ACTIONS(2259),
    [sym__open_fileglob_bracket] = ACTIONS(2259),
    [sym__PERLY_HEREDOC] = ACTIONS(2259),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2259),
    [sym__filetest] = ACTIONS(2259),
  },
  [1153] = {
    [sym_heredoc_content] = STATE(1153),
    [sym__identifier] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2265),
    [anon_sym_DOLLAR] = ACTIONS(2265),
    [anon_sym_AT] = ACTIONS(2265),
    [anon_sym_RPAREN] = ACTIONS(2265),
    [anon_sym_my] = ACTIONS(2265),
    [anon_sym_extended] = ACTIONS(2265),
    [anon_sym_async] = ACTIONS(2265),
    [anon_sym_sub] = ACTIONS(2265),
    [anon_sym_method] = ACTIONS(2265),
    [anon_sym_LPAREN] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_state] = ACTIONS(2265),
    [anon_sym_our] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2265),
    [anon_sym_LT_LT] = ACTIONS(2265),
    [anon_sym_SLASH_SLASH] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_TILDE] = ACTIONS(2265),
    [anon_sym_BANG] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(2265),
    [anon_sym_DASH_DASH] = ACTIONS(2265),
    [anon_sym_BSLASH] = ACTIONS(2263),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_eval] = ACTIONS(2265),
    [anon_sym_await] = ACTIONS(2265),
    [anon_sym_field] = ACTIONS(2265),
    [anon_sym_local] = ACTIONS(2265),
    [anon_sym_dynamically] = ACTIONS(2265),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2265),
    [anon_sym_require] = ACTIONS(2265),
    [anon_sym_map] = ACTIONS(2265),
    [anon_sym_grep] = ACTIONS(2265),
    [anon_sym_sort] = ACTIONS(2265),
    [anon_sym_goto] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_undef] = ACTIONS(2265),
    [anon_sym_PERCENT2] = ACTIONS(2265),
    [anon_sym_AMP2] = ACTIONS(2265),
    [anon_sym_STAR2] = ACTIONS(2265),
    [anon_sym_last] = ACTIONS(2265),
    [anon_sym_next] = ACTIONS(2265),
    [anon_sym_redo] = ACTIONS(2265),
    [anon_sym___FILE__] = ACTIONS(2265),
    [anon_sym___LINE__] = ACTIONS(2265),
    [anon_sym___PACKAGE__] = ACTIONS(2265),
    [anon_sym___SUB__] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_fork] = ACTIONS(2265),
    [anon_sym_getppid] = ACTIONS(2265),
    [anon_sym_time] = ACTIONS(2265),
    [anon_sym_times] = ACTIONS(2265),
    [anon_sym_wait] = ACTIONS(2265),
    [anon_sym_wantarray] = ACTIONS(2265),
    [anon_sym_abs] = ACTIONS(2265),
    [anon_sym_alarm] = ACTIONS(2265),
    [anon_sym_chop] = ACTIONS(2265),
    [anon_sym_chdir] = ACTIONS(2265),
    [anon_sym_close] = ACTIONS(2265),
    [anon_sym_closedir] = ACTIONS(2265),
    [anon_sym_caller] = ACTIONS(2265),
    [anon_sym_chomp] = ACTIONS(2265),
    [anon_sym_chr] = ACTIONS(2265),
    [anon_sym_cos] = ACTIONS(2265),
    [anon_sym_chroot] = ACTIONS(2265),
    [anon_sym_defined] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_dbmclose] = ACTIONS(2265),
    [anon_sym_exists] = ACTIONS(2265),
    [anon_sym_exit] = ACTIONS(2265),
    [anon_sym_eof] = ACTIONS(2265),
    [anon_sym_exp] = ACTIONS(2265),
    [anon_sym_each] = ACTIONS(2265),
    [anon_sym_fc] = ACTIONS(2265),
    [anon_sym_fileno] = ACTIONS(2265),
    [anon_sym_gmtime] = ACTIONS(2265),
    [anon_sym_getc] = ACTIONS(2265),
    [anon_sym_getpgrp] = ACTIONS(2265),
    [anon_sym_getprotobyname] = ACTIONS(2265),
    [anon_sym_getpwname] = ACTIONS(2265),
    [anon_sym_getpwuid] = ACTIONS(2265),
    [anon_sym_getpeername] = ACTIONS(2265),
    [anon_sym_getnetbyname] = ACTIONS(2265),
    [anon_sym_getsockname] = ACTIONS(2265),
    [anon_sym_getgrnam] = ACTIONS(2265),
    [anon_sym_getgrgid] = ACTIONS(2265),
    [anon_sym_hex] = ACTIONS(2265),
    [anon_sym_int] = ACTIONS(2265),
    [anon_sym_keys] = ACTIONS(2265),
    [anon_sym_lc] = ACTIONS(2265),
    [anon_sym_lcfirst] = ACTIONS(2265),
    [anon_sym_length] = ACTIONS(2265),
    [anon_sym_localtime] = ACTIONS(2265),
    [anon_sym_log] = ACTIONS(2265),
    [anon_sym_lock] = ACTIONS(2265),
    [anon_sym_lstat] = ACTIONS(2265),
    [anon_sym_oct] = ACTIONS(2265),
    [anon_sym_ord] = ACTIONS(2265),
    [anon_sym_prototype] = ACTIONS(2265),
    [anon_sym_pop] = ACTIONS(2265),
    [anon_sym_pos] = ACTIONS(2265),
    [anon_sym_quotemeta] = ACTIONS(2265),
    [anon_sym_reset] = ACTIONS(2265),
    [anon_sym_rand] = ACTIONS(2265),
    [anon_sym_rmdir] = ACTIONS(2265),
    [anon_sym_readdir] = ACTIONS(2265),
    [anon_sym_readline] = ACTIONS(2265),
    [anon_sym_readpipe] = ACTIONS(2265),
    [anon_sym_rewinddir] = ACTIONS(2265),
    [anon_sym_readlink] = ACTIONS(2265),
    [anon_sym_ref] = ACTIONS(2265),
    [anon_sym_scalar] = ACTIONS(2265),
    [anon_sym_shift] = ACTIONS(2265),
    [anon_sym_sin] = ACTIONS(2265),
    [anon_sym_sleep] = ACTIONS(2265),
    [anon_sym_sqrt] = ACTIONS(2265),
    [anon_sym_srand] = ACTIONS(2265),
    [anon_sym_stat] = ACTIONS(2265),
    [anon_sym_study] = ACTIONS(2265),
    [anon_sym_tell] = ACTIONS(2265),
    [anon_sym_telldir] = ACTIONS(2265),
    [anon_sym_tied] = ACTIONS(2265),
    [anon_sym_uc] = ACTIONS(2265),
    [anon_sym_ucfirst] = ACTIONS(2265),
    [anon_sym_untie] = ACTIONS(2265),
    [anon_sym_umask] = ACTIONS(2265),
    [anon_sym_values] = ACTIONS(2265),
    [anon_sym_write] = ACTIONS(2265),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2265),
    [anon_sym_qq] = ACTIONS(2265),
    [anon_sym_qw] = ACTIONS(2265),
    [anon_sym_qx] = ACTIONS(2265),
    [anon_sym_qr] = ACTIONS(2265),
    [anon_sym_m] = ACTIONS(2265),
    [anon_sym_s] = ACTIONS(2265),
    [anon_sym_tr] = ACTIONS(2265),
    [anon_sym_y] = ACTIONS(2265),
    [aux_sym__bareword_token1] = ACTIONS(2265),
    [sym_number] = ACTIONS(2265),
    [anon_sym_true] = ACTIONS(2265),
    [anon_sym_false] = ACTIONS(2265),
    [sym__single_quote] = ACTIONS(2263),
    [sym__double_quote] = ACTIONS(2263),
    [sym__backtick_quote] = ACTIONS(2263),
    [sym__search_slash_quote] = ACTIONS(2263),
    [sym__open_readline_bracket] = ACTIONS(2263),
    [sym__open_fileglob_bracket] = ACTIONS(2263),
    [sym__PERLY_HEREDOC] = ACTIONS(2263),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2263),
    [sym__filetest] = ACTIONS(2263),
  },
  [1154] = {
    [sym_heredoc_content] = STATE(1154),
    [sym__identifier] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(2269),
    [anon_sym_DOLLAR] = ACTIONS(2269),
    [anon_sym_AT] = ACTIONS(2269),
    [anon_sym_RPAREN] = ACTIONS(2269),
    [anon_sym_my] = ACTIONS(2269),
    [anon_sym_extended] = ACTIONS(2269),
    [anon_sym_async] = ACTIONS(2269),
    [anon_sym_sub] = ACTIONS(2269),
    [anon_sym_method] = ACTIONS(2269),
    [anon_sym_LPAREN] = ACTIONS(2269),
    [anon_sym_continue] = ACTIONS(2269),
    [anon_sym_state] = ACTIONS(2269),
    [anon_sym_our] = ACTIONS(2269),
    [anon_sym_LBRACK] = ACTIONS(2269),
    [anon_sym_LT_LT] = ACTIONS(2269),
    [anon_sym_SLASH_SLASH] = ACTIONS(2269),
    [anon_sym_PLUS] = ACTIONS(2269),
    [anon_sym_DASH] = ACTIONS(2269),
    [anon_sym_TILDE] = ACTIONS(2269),
    [anon_sym_BANG] = ACTIONS(2269),
    [anon_sym_PLUS_PLUS] = ACTIONS(2269),
    [anon_sym_DASH_DASH] = ACTIONS(2269),
    [anon_sym_BSLASH] = ACTIONS(2267),
    [anon_sym_do] = ACTIONS(2269),
    [anon_sym_eval] = ACTIONS(2269),
    [anon_sym_await] = ACTIONS(2269),
    [anon_sym_field] = ACTIONS(2269),
    [anon_sym_local] = ACTIONS(2269),
    [anon_sym_dynamically] = ACTIONS(2269),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2269),
    [anon_sym_require] = ACTIONS(2269),
    [anon_sym_map] = ACTIONS(2269),
    [anon_sym_grep] = ACTIONS(2269),
    [anon_sym_sort] = ACTIONS(2269),
    [anon_sym_goto] = ACTIONS(2269),
    [anon_sym_return] = ACTIONS(2269),
    [anon_sym_undef] = ACTIONS(2269),
    [anon_sym_PERCENT2] = ACTIONS(2269),
    [anon_sym_AMP2] = ACTIONS(2269),
    [anon_sym_STAR2] = ACTIONS(2269),
    [anon_sym_last] = ACTIONS(2269),
    [anon_sym_next] = ACTIONS(2269),
    [anon_sym_redo] = ACTIONS(2269),
    [anon_sym___FILE__] = ACTIONS(2269),
    [anon_sym___LINE__] = ACTIONS(2269),
    [anon_sym___PACKAGE__] = ACTIONS(2269),
    [anon_sym___SUB__] = ACTIONS(2269),
    [anon_sym_break] = ACTIONS(2269),
    [anon_sym_fork] = ACTIONS(2269),
    [anon_sym_getppid] = ACTIONS(2269),
    [anon_sym_time] = ACTIONS(2269),
    [anon_sym_times] = ACTIONS(2269),
    [anon_sym_wait] = ACTIONS(2269),
    [anon_sym_wantarray] = ACTIONS(2269),
    [anon_sym_abs] = ACTIONS(2269),
    [anon_sym_alarm] = ACTIONS(2269),
    [anon_sym_chop] = ACTIONS(2269),
    [anon_sym_chdir] = ACTIONS(2269),
    [anon_sym_close] = ACTIONS(2269),
    [anon_sym_closedir] = ACTIONS(2269),
    [anon_sym_caller] = ACTIONS(2269),
    [anon_sym_chomp] = ACTIONS(2269),
    [anon_sym_chr] = ACTIONS(2269),
    [anon_sym_cos] = ACTIONS(2269),
    [anon_sym_chroot] = ACTIONS(2269),
    [anon_sym_defined] = ACTIONS(2269),
    [anon_sym_delete] = ACTIONS(2269),
    [anon_sym_dbmclose] = ACTIONS(2269),
    [anon_sym_exists] = ACTIONS(2269),
    [anon_sym_exit] = ACTIONS(2269),
    [anon_sym_eof] = ACTIONS(2269),
    [anon_sym_exp] = ACTIONS(2269),
    [anon_sym_each] = ACTIONS(2269),
    [anon_sym_fc] = ACTIONS(2269),
    [anon_sym_fileno] = ACTIONS(2269),
    [anon_sym_gmtime] = ACTIONS(2269),
    [anon_sym_getc] = ACTIONS(2269),
    [anon_sym_getpgrp] = ACTIONS(2269),
    [anon_sym_getprotobyname] = ACTIONS(2269),
    [anon_sym_getpwname] = ACTIONS(2269),
    [anon_sym_getpwuid] = ACTIONS(2269),
    [anon_sym_getpeername] = ACTIONS(2269),
    [anon_sym_getnetbyname] = ACTIONS(2269),
    [anon_sym_getsockname] = ACTIONS(2269),
    [anon_sym_getgrnam] = ACTIONS(2269),
    [anon_sym_getgrgid] = ACTIONS(2269),
    [anon_sym_hex] = ACTIONS(2269),
    [anon_sym_int] = ACTIONS(2269),
    [anon_sym_keys] = ACTIONS(2269),
    [anon_sym_lc] = ACTIONS(2269),
    [anon_sym_lcfirst] = ACTIONS(2269),
    [anon_sym_length] = ACTIONS(2269),
    [anon_sym_localtime] = ACTIONS(2269),
    [anon_sym_log] = ACTIONS(2269),
    [anon_sym_lock] = ACTIONS(2269),
    [anon_sym_lstat] = ACTIONS(2269),
    [anon_sym_oct] = ACTIONS(2269),
    [anon_sym_ord] = ACTIONS(2269),
    [anon_sym_prototype] = ACTIONS(2269),
    [anon_sym_pop] = ACTIONS(2269),
    [anon_sym_pos] = ACTIONS(2269),
    [anon_sym_quotemeta] = ACTIONS(2269),
    [anon_sym_reset] = ACTIONS(2269),
    [anon_sym_rand] = ACTIONS(2269),
    [anon_sym_rmdir] = ACTIONS(2269),
    [anon_sym_readdir] = ACTIONS(2269),
    [anon_sym_readline] = ACTIONS(2269),
    [anon_sym_readpipe] = ACTIONS(2269),
    [anon_sym_rewinddir] = ACTIONS(2269),
    [anon_sym_readlink] = ACTIONS(2269),
    [anon_sym_ref] = ACTIONS(2269),
    [anon_sym_scalar] = ACTIONS(2269),
    [anon_sym_shift] = ACTIONS(2269),
    [anon_sym_sin] = ACTIONS(2269),
    [anon_sym_sleep] = ACTIONS(2269),
    [anon_sym_sqrt] = ACTIONS(2269),
    [anon_sym_srand] = ACTIONS(2269),
    [anon_sym_stat] = ACTIONS(2269),
    [anon_sym_study] = ACTIONS(2269),
    [anon_sym_tell] = ACTIONS(2269),
    [anon_sym_telldir] = ACTIONS(2269),
    [anon_sym_tied] = ACTIONS(2269),
    [anon_sym_uc] = ACTIONS(2269),
    [anon_sym_ucfirst] = ACTIONS(2269),
    [anon_sym_untie] = ACTIONS(2269),
    [anon_sym_umask] = ACTIONS(2269),
    [anon_sym_values] = ACTIONS(2269),
    [anon_sym_write] = ACTIONS(2269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2269),
    [anon_sym_qq] = ACTIONS(2269),
    [anon_sym_qw] = ACTIONS(2269),
    [anon_sym_qx] = ACTIONS(2269),
    [anon_sym_qr] = ACTIONS(2269),
    [anon_sym_m] = ACTIONS(2269),
    [anon_sym_s] = ACTIONS(2269),
    [anon_sym_tr] = ACTIONS(2269),
    [anon_sym_y] = ACTIONS(2269),
    [aux_sym__bareword_token1] = ACTIONS(2269),
    [sym_number] = ACTIONS(2269),
    [anon_sym_true] = ACTIONS(2269),
    [anon_sym_false] = ACTIONS(2269),
    [sym__single_quote] = ACTIONS(2267),
    [sym__double_quote] = ACTIONS(2267),
    [sym__backtick_quote] = ACTIONS(2267),
    [sym__search_slash_quote] = ACTIONS(2267),
    [sym__open_readline_bracket] = ACTIONS(2267),
    [sym__open_fileglob_bracket] = ACTIONS(2267),
    [sym__PERLY_HEREDOC] = ACTIONS(2267),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2267),
    [sym__filetest] = ACTIONS(2267),
  },
  [1155] = {
    [sym_heredoc_content] = STATE(1155),
    [sym__identifier] = ACTIONS(2273),
    [anon_sym_LBRACE] = ACTIONS(2273),
    [anon_sym_DOLLAR] = ACTIONS(2273),
    [anon_sym_AT] = ACTIONS(2273),
    [anon_sym_RPAREN] = ACTIONS(2273),
    [anon_sym_my] = ACTIONS(2273),
    [anon_sym_extended] = ACTIONS(2273),
    [anon_sym_async] = ACTIONS(2273),
    [anon_sym_sub] = ACTIONS(2273),
    [anon_sym_method] = ACTIONS(2273),
    [anon_sym_LPAREN] = ACTIONS(2273),
    [anon_sym_continue] = ACTIONS(2273),
    [anon_sym_state] = ACTIONS(2273),
    [anon_sym_our] = ACTIONS(2273),
    [anon_sym_LBRACK] = ACTIONS(2273),
    [anon_sym_LT_LT] = ACTIONS(2273),
    [anon_sym_SLASH_SLASH] = ACTIONS(2273),
    [anon_sym_PLUS] = ACTIONS(2273),
    [anon_sym_DASH] = ACTIONS(2273),
    [anon_sym_TILDE] = ACTIONS(2273),
    [anon_sym_BANG] = ACTIONS(2273),
    [anon_sym_PLUS_PLUS] = ACTIONS(2273),
    [anon_sym_DASH_DASH] = ACTIONS(2273),
    [anon_sym_BSLASH] = ACTIONS(2271),
    [anon_sym_do] = ACTIONS(2273),
    [anon_sym_eval] = ACTIONS(2273),
    [anon_sym_await] = ACTIONS(2273),
    [anon_sym_field] = ACTIONS(2273),
    [anon_sym_local] = ACTIONS(2273),
    [anon_sym_dynamically] = ACTIONS(2273),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2273),
    [anon_sym_require] = ACTIONS(2273),
    [anon_sym_map] = ACTIONS(2273),
    [anon_sym_grep] = ACTIONS(2273),
    [anon_sym_sort] = ACTIONS(2273),
    [anon_sym_goto] = ACTIONS(2273),
    [anon_sym_return] = ACTIONS(2273),
    [anon_sym_undef] = ACTIONS(2273),
    [anon_sym_PERCENT2] = ACTIONS(2273),
    [anon_sym_AMP2] = ACTIONS(2273),
    [anon_sym_STAR2] = ACTIONS(2273),
    [anon_sym_last] = ACTIONS(2273),
    [anon_sym_next] = ACTIONS(2273),
    [anon_sym_redo] = ACTIONS(2273),
    [anon_sym___FILE__] = ACTIONS(2273),
    [anon_sym___LINE__] = ACTIONS(2273),
    [anon_sym___PACKAGE__] = ACTIONS(2273),
    [anon_sym___SUB__] = ACTIONS(2273),
    [anon_sym_break] = ACTIONS(2273),
    [anon_sym_fork] = ACTIONS(2273),
    [anon_sym_getppid] = ACTIONS(2273),
    [anon_sym_time] = ACTIONS(2273),
    [anon_sym_times] = ACTIONS(2273),
    [anon_sym_wait] = ACTIONS(2273),
    [anon_sym_wantarray] = ACTIONS(2273),
    [anon_sym_abs] = ACTIONS(2273),
    [anon_sym_alarm] = ACTIONS(2273),
    [anon_sym_chop] = ACTIONS(2273),
    [anon_sym_chdir] = ACTIONS(2273),
    [anon_sym_close] = ACTIONS(2273),
    [anon_sym_closedir] = ACTIONS(2273),
    [anon_sym_caller] = ACTIONS(2273),
    [anon_sym_chomp] = ACTIONS(2273),
    [anon_sym_chr] = ACTIONS(2273),
    [anon_sym_cos] = ACTIONS(2273),
    [anon_sym_chroot] = ACTIONS(2273),
    [anon_sym_defined] = ACTIONS(2273),
    [anon_sym_delete] = ACTIONS(2273),
    [anon_sym_dbmclose] = ACTIONS(2273),
    [anon_sym_exists] = ACTIONS(2273),
    [anon_sym_exit] = ACTIONS(2273),
    [anon_sym_eof] = ACTIONS(2273),
    [anon_sym_exp] = ACTIONS(2273),
    [anon_sym_each] = ACTIONS(2273),
    [anon_sym_fc] = ACTIONS(2273),
    [anon_sym_fileno] = ACTIONS(2273),
    [anon_sym_gmtime] = ACTIONS(2273),
    [anon_sym_getc] = ACTIONS(2273),
    [anon_sym_getpgrp] = ACTIONS(2273),
    [anon_sym_getprotobyname] = ACTIONS(2273),
    [anon_sym_getpwname] = ACTIONS(2273),
    [anon_sym_getpwuid] = ACTIONS(2273),
    [anon_sym_getpeername] = ACTIONS(2273),
    [anon_sym_getnetbyname] = ACTIONS(2273),
    [anon_sym_getsockname] = ACTIONS(2273),
    [anon_sym_getgrnam] = ACTIONS(2273),
    [anon_sym_getgrgid] = ACTIONS(2273),
    [anon_sym_hex] = ACTIONS(2273),
    [anon_sym_int] = ACTIONS(2273),
    [anon_sym_keys] = ACTIONS(2273),
    [anon_sym_lc] = ACTIONS(2273),
    [anon_sym_lcfirst] = ACTIONS(2273),
    [anon_sym_length] = ACTIONS(2273),
    [anon_sym_localtime] = ACTIONS(2273),
    [anon_sym_log] = ACTIONS(2273),
    [anon_sym_lock] = ACTIONS(2273),
    [anon_sym_lstat] = ACTIONS(2273),
    [anon_sym_oct] = ACTIONS(2273),
    [anon_sym_ord] = ACTIONS(2273),
    [anon_sym_prototype] = ACTIONS(2273),
    [anon_sym_pop] = ACTIONS(2273),
    [anon_sym_pos] = ACTIONS(2273),
    [anon_sym_quotemeta] = ACTIONS(2273),
    [anon_sym_reset] = ACTIONS(2273),
    [anon_sym_rand] = ACTIONS(2273),
    [anon_sym_rmdir] = ACTIONS(2273),
    [anon_sym_readdir] = ACTIONS(2273),
    [anon_sym_readline] = ACTIONS(2273),
    [anon_sym_readpipe] = ACTIONS(2273),
    [anon_sym_rewinddir] = ACTIONS(2273),
    [anon_sym_readlink] = ACTIONS(2273),
    [anon_sym_ref] = ACTIONS(2273),
    [anon_sym_scalar] = ACTIONS(2273),
    [anon_sym_shift] = ACTIONS(2273),
    [anon_sym_sin] = ACTIONS(2273),
    [anon_sym_sleep] = ACTIONS(2273),
    [anon_sym_sqrt] = ACTIONS(2273),
    [anon_sym_srand] = ACTIONS(2273),
    [anon_sym_stat] = ACTIONS(2273),
    [anon_sym_study] = ACTIONS(2273),
    [anon_sym_tell] = ACTIONS(2273),
    [anon_sym_telldir] = ACTIONS(2273),
    [anon_sym_tied] = ACTIONS(2273),
    [anon_sym_uc] = ACTIONS(2273),
    [anon_sym_ucfirst] = ACTIONS(2273),
    [anon_sym_untie] = ACTIONS(2273),
    [anon_sym_umask] = ACTIONS(2273),
    [anon_sym_values] = ACTIONS(2273),
    [anon_sym_write] = ACTIONS(2273),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2273),
    [anon_sym_qq] = ACTIONS(2273),
    [anon_sym_qw] = ACTIONS(2273),
    [anon_sym_qx] = ACTIONS(2273),
    [anon_sym_qr] = ACTIONS(2273),
    [anon_sym_m] = ACTIONS(2273),
    [anon_sym_s] = ACTIONS(2273),
    [anon_sym_tr] = ACTIONS(2273),
    [anon_sym_y] = ACTIONS(2273),
    [aux_sym__bareword_token1] = ACTIONS(2273),
    [sym_number] = ACTIONS(2273),
    [anon_sym_true] = ACTIONS(2273),
    [anon_sym_false] = ACTIONS(2273),
    [sym__single_quote] = ACTIONS(2271),
    [sym__double_quote] = ACTIONS(2271),
    [sym__backtick_quote] = ACTIONS(2271),
    [sym__search_slash_quote] = ACTIONS(2271),
    [sym__open_readline_bracket] = ACTIONS(2271),
    [sym__open_fileglob_bracket] = ACTIONS(2271),
    [sym__PERLY_HEREDOC] = ACTIONS(2271),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2271),
    [sym__filetest] = ACTIONS(2271),
  },
  [1156] = {
    [sym_heredoc_content] = STATE(1156),
    [sym__identifier] = ACTIONS(2277),
    [anon_sym_LBRACE] = ACTIONS(2277),
    [anon_sym_DOLLAR] = ACTIONS(2277),
    [anon_sym_AT] = ACTIONS(2277),
    [anon_sym_RPAREN] = ACTIONS(2277),
    [anon_sym_my] = ACTIONS(2277),
    [anon_sym_extended] = ACTIONS(2277),
    [anon_sym_async] = ACTIONS(2277),
    [anon_sym_sub] = ACTIONS(2277),
    [anon_sym_method] = ACTIONS(2277),
    [anon_sym_LPAREN] = ACTIONS(2277),
    [anon_sym_continue] = ACTIONS(2277),
    [anon_sym_state] = ACTIONS(2277),
    [anon_sym_our] = ACTIONS(2277),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_LT_LT] = ACTIONS(2277),
    [anon_sym_SLASH_SLASH] = ACTIONS(2277),
    [anon_sym_PLUS] = ACTIONS(2277),
    [anon_sym_DASH] = ACTIONS(2277),
    [anon_sym_TILDE] = ACTIONS(2277),
    [anon_sym_BANG] = ACTIONS(2277),
    [anon_sym_PLUS_PLUS] = ACTIONS(2277),
    [anon_sym_DASH_DASH] = ACTIONS(2277),
    [anon_sym_BSLASH] = ACTIONS(2275),
    [anon_sym_do] = ACTIONS(2277),
    [anon_sym_eval] = ACTIONS(2277),
    [anon_sym_await] = ACTIONS(2277),
    [anon_sym_field] = ACTIONS(2277),
    [anon_sym_local] = ACTIONS(2277),
    [anon_sym_dynamically] = ACTIONS(2277),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2277),
    [anon_sym_require] = ACTIONS(2277),
    [anon_sym_map] = ACTIONS(2277),
    [anon_sym_grep] = ACTIONS(2277),
    [anon_sym_sort] = ACTIONS(2277),
    [anon_sym_goto] = ACTIONS(2277),
    [anon_sym_return] = ACTIONS(2277),
    [anon_sym_undef] = ACTIONS(2277),
    [anon_sym_PERCENT2] = ACTIONS(2277),
    [anon_sym_AMP2] = ACTIONS(2277),
    [anon_sym_STAR2] = ACTIONS(2277),
    [anon_sym_last] = ACTIONS(2277),
    [anon_sym_next] = ACTIONS(2277),
    [anon_sym_redo] = ACTIONS(2277),
    [anon_sym___FILE__] = ACTIONS(2277),
    [anon_sym___LINE__] = ACTIONS(2277),
    [anon_sym___PACKAGE__] = ACTIONS(2277),
    [anon_sym___SUB__] = ACTIONS(2277),
    [anon_sym_break] = ACTIONS(2277),
    [anon_sym_fork] = ACTIONS(2277),
    [anon_sym_getppid] = ACTIONS(2277),
    [anon_sym_time] = ACTIONS(2277),
    [anon_sym_times] = ACTIONS(2277),
    [anon_sym_wait] = ACTIONS(2277),
    [anon_sym_wantarray] = ACTIONS(2277),
    [anon_sym_abs] = ACTIONS(2277),
    [anon_sym_alarm] = ACTIONS(2277),
    [anon_sym_chop] = ACTIONS(2277),
    [anon_sym_chdir] = ACTIONS(2277),
    [anon_sym_close] = ACTIONS(2277),
    [anon_sym_closedir] = ACTIONS(2277),
    [anon_sym_caller] = ACTIONS(2277),
    [anon_sym_chomp] = ACTIONS(2277),
    [anon_sym_chr] = ACTIONS(2277),
    [anon_sym_cos] = ACTIONS(2277),
    [anon_sym_chroot] = ACTIONS(2277),
    [anon_sym_defined] = ACTIONS(2277),
    [anon_sym_delete] = ACTIONS(2277),
    [anon_sym_dbmclose] = ACTIONS(2277),
    [anon_sym_exists] = ACTIONS(2277),
    [anon_sym_exit] = ACTIONS(2277),
    [anon_sym_eof] = ACTIONS(2277),
    [anon_sym_exp] = ACTIONS(2277),
    [anon_sym_each] = ACTIONS(2277),
    [anon_sym_fc] = ACTIONS(2277),
    [anon_sym_fileno] = ACTIONS(2277),
    [anon_sym_gmtime] = ACTIONS(2277),
    [anon_sym_getc] = ACTIONS(2277),
    [anon_sym_getpgrp] = ACTIONS(2277),
    [anon_sym_getprotobyname] = ACTIONS(2277),
    [anon_sym_getpwname] = ACTIONS(2277),
    [anon_sym_getpwuid] = ACTIONS(2277),
    [anon_sym_getpeername] = ACTIONS(2277),
    [anon_sym_getnetbyname] = ACTIONS(2277),
    [anon_sym_getsockname] = ACTIONS(2277),
    [anon_sym_getgrnam] = ACTIONS(2277),
    [anon_sym_getgrgid] = ACTIONS(2277),
    [anon_sym_hex] = ACTIONS(2277),
    [anon_sym_int] = ACTIONS(2277),
    [anon_sym_keys] = ACTIONS(2277),
    [anon_sym_lc] = ACTIONS(2277),
    [anon_sym_lcfirst] = ACTIONS(2277),
    [anon_sym_length] = ACTIONS(2277),
    [anon_sym_localtime] = ACTIONS(2277),
    [anon_sym_log] = ACTIONS(2277),
    [anon_sym_lock] = ACTIONS(2277),
    [anon_sym_lstat] = ACTIONS(2277),
    [anon_sym_oct] = ACTIONS(2277),
    [anon_sym_ord] = ACTIONS(2277),
    [anon_sym_prototype] = ACTIONS(2277),
    [anon_sym_pop] = ACTIONS(2277),
    [anon_sym_pos] = ACTIONS(2277),
    [anon_sym_quotemeta] = ACTIONS(2277),
    [anon_sym_reset] = ACTIONS(2277),
    [anon_sym_rand] = ACTIONS(2277),
    [anon_sym_rmdir] = ACTIONS(2277),
    [anon_sym_readdir] = ACTIONS(2277),
    [anon_sym_readline] = ACTIONS(2277),
    [anon_sym_readpipe] = ACTIONS(2277),
    [anon_sym_rewinddir] = ACTIONS(2277),
    [anon_sym_readlink] = ACTIONS(2277),
    [anon_sym_ref] = ACTIONS(2277),
    [anon_sym_scalar] = ACTIONS(2277),
    [anon_sym_shift] = ACTIONS(2277),
    [anon_sym_sin] = ACTIONS(2277),
    [anon_sym_sleep] = ACTIONS(2277),
    [anon_sym_sqrt] = ACTIONS(2277),
    [anon_sym_srand] = ACTIONS(2277),
    [anon_sym_stat] = ACTIONS(2277),
    [anon_sym_study] = ACTIONS(2277),
    [anon_sym_tell] = ACTIONS(2277),
    [anon_sym_telldir] = ACTIONS(2277),
    [anon_sym_tied] = ACTIONS(2277),
    [anon_sym_uc] = ACTIONS(2277),
    [anon_sym_ucfirst] = ACTIONS(2277),
    [anon_sym_untie] = ACTIONS(2277),
    [anon_sym_umask] = ACTIONS(2277),
    [anon_sym_values] = ACTIONS(2277),
    [anon_sym_write] = ACTIONS(2277),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2277),
    [anon_sym_qq] = ACTIONS(2277),
    [anon_sym_qw] = ACTIONS(2277),
    [anon_sym_qx] = ACTIONS(2277),
    [anon_sym_qr] = ACTIONS(2277),
    [anon_sym_m] = ACTIONS(2277),
    [anon_sym_s] = ACTIONS(2277),
    [anon_sym_tr] = ACTIONS(2277),
    [anon_sym_y] = ACTIONS(2277),
    [aux_sym__bareword_token1] = ACTIONS(2277),
    [sym_number] = ACTIONS(2277),
    [anon_sym_true] = ACTIONS(2277),
    [anon_sym_false] = ACTIONS(2277),
    [sym__single_quote] = ACTIONS(2275),
    [sym__double_quote] = ACTIONS(2275),
    [sym__backtick_quote] = ACTIONS(2275),
    [sym__search_slash_quote] = ACTIONS(2275),
    [sym__open_readline_bracket] = ACTIONS(2275),
    [sym__open_fileglob_bracket] = ACTIONS(2275),
    [sym__PERLY_HEREDOC] = ACTIONS(2275),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2275),
    [sym__filetest] = ACTIONS(2275),
  },
  [1157] = {
    [sym_heredoc_content] = STATE(1157),
    [sym__identifier] = ACTIONS(2281),
    [anon_sym_LBRACE] = ACTIONS(2281),
    [anon_sym_DOLLAR] = ACTIONS(2281),
    [anon_sym_AT] = ACTIONS(2281),
    [anon_sym_RPAREN] = ACTIONS(2281),
    [anon_sym_my] = ACTIONS(2281),
    [anon_sym_extended] = ACTIONS(2281),
    [anon_sym_async] = ACTIONS(2281),
    [anon_sym_sub] = ACTIONS(2281),
    [anon_sym_method] = ACTIONS(2281),
    [anon_sym_LPAREN] = ACTIONS(2281),
    [anon_sym_continue] = ACTIONS(2281),
    [anon_sym_state] = ACTIONS(2281),
    [anon_sym_our] = ACTIONS(2281),
    [anon_sym_LBRACK] = ACTIONS(2281),
    [anon_sym_LT_LT] = ACTIONS(2281),
    [anon_sym_SLASH_SLASH] = ACTIONS(2281),
    [anon_sym_PLUS] = ACTIONS(2281),
    [anon_sym_DASH] = ACTIONS(2281),
    [anon_sym_TILDE] = ACTIONS(2281),
    [anon_sym_BANG] = ACTIONS(2281),
    [anon_sym_PLUS_PLUS] = ACTIONS(2281),
    [anon_sym_DASH_DASH] = ACTIONS(2281),
    [anon_sym_BSLASH] = ACTIONS(2279),
    [anon_sym_do] = ACTIONS(2281),
    [anon_sym_eval] = ACTIONS(2281),
    [anon_sym_await] = ACTIONS(2281),
    [anon_sym_field] = ACTIONS(2281),
    [anon_sym_local] = ACTIONS(2281),
    [anon_sym_dynamically] = ACTIONS(2281),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2281),
    [anon_sym_require] = ACTIONS(2281),
    [anon_sym_map] = ACTIONS(2281),
    [anon_sym_grep] = ACTIONS(2281),
    [anon_sym_sort] = ACTIONS(2281),
    [anon_sym_goto] = ACTIONS(2281),
    [anon_sym_return] = ACTIONS(2281),
    [anon_sym_undef] = ACTIONS(2281),
    [anon_sym_PERCENT2] = ACTIONS(2281),
    [anon_sym_AMP2] = ACTIONS(2281),
    [anon_sym_STAR2] = ACTIONS(2281),
    [anon_sym_last] = ACTIONS(2281),
    [anon_sym_next] = ACTIONS(2281),
    [anon_sym_redo] = ACTIONS(2281),
    [anon_sym___FILE__] = ACTIONS(2281),
    [anon_sym___LINE__] = ACTIONS(2281),
    [anon_sym___PACKAGE__] = ACTIONS(2281),
    [anon_sym___SUB__] = ACTIONS(2281),
    [anon_sym_break] = ACTIONS(2281),
    [anon_sym_fork] = ACTIONS(2281),
    [anon_sym_getppid] = ACTIONS(2281),
    [anon_sym_time] = ACTIONS(2281),
    [anon_sym_times] = ACTIONS(2281),
    [anon_sym_wait] = ACTIONS(2281),
    [anon_sym_wantarray] = ACTIONS(2281),
    [anon_sym_abs] = ACTIONS(2281),
    [anon_sym_alarm] = ACTIONS(2281),
    [anon_sym_chop] = ACTIONS(2281),
    [anon_sym_chdir] = ACTIONS(2281),
    [anon_sym_close] = ACTIONS(2281),
    [anon_sym_closedir] = ACTIONS(2281),
    [anon_sym_caller] = ACTIONS(2281),
    [anon_sym_chomp] = ACTIONS(2281),
    [anon_sym_chr] = ACTIONS(2281),
    [anon_sym_cos] = ACTIONS(2281),
    [anon_sym_chroot] = ACTIONS(2281),
    [anon_sym_defined] = ACTIONS(2281),
    [anon_sym_delete] = ACTIONS(2281),
    [anon_sym_dbmclose] = ACTIONS(2281),
    [anon_sym_exists] = ACTIONS(2281),
    [anon_sym_exit] = ACTIONS(2281),
    [anon_sym_eof] = ACTIONS(2281),
    [anon_sym_exp] = ACTIONS(2281),
    [anon_sym_each] = ACTIONS(2281),
    [anon_sym_fc] = ACTIONS(2281),
    [anon_sym_fileno] = ACTIONS(2281),
    [anon_sym_gmtime] = ACTIONS(2281),
    [anon_sym_getc] = ACTIONS(2281),
    [anon_sym_getpgrp] = ACTIONS(2281),
    [anon_sym_getprotobyname] = ACTIONS(2281),
    [anon_sym_getpwname] = ACTIONS(2281),
    [anon_sym_getpwuid] = ACTIONS(2281),
    [anon_sym_getpeername] = ACTIONS(2281),
    [anon_sym_getnetbyname] = ACTIONS(2281),
    [anon_sym_getsockname] = ACTIONS(2281),
    [anon_sym_getgrnam] = ACTIONS(2281),
    [anon_sym_getgrgid] = ACTIONS(2281),
    [anon_sym_hex] = ACTIONS(2281),
    [anon_sym_int] = ACTIONS(2281),
    [anon_sym_keys] = ACTIONS(2281),
    [anon_sym_lc] = ACTIONS(2281),
    [anon_sym_lcfirst] = ACTIONS(2281),
    [anon_sym_length] = ACTIONS(2281),
    [anon_sym_localtime] = ACTIONS(2281),
    [anon_sym_log] = ACTIONS(2281),
    [anon_sym_lock] = ACTIONS(2281),
    [anon_sym_lstat] = ACTIONS(2281),
    [anon_sym_oct] = ACTIONS(2281),
    [anon_sym_ord] = ACTIONS(2281),
    [anon_sym_prototype] = ACTIONS(2281),
    [anon_sym_pop] = ACTIONS(2281),
    [anon_sym_pos] = ACTIONS(2281),
    [anon_sym_quotemeta] = ACTIONS(2281),
    [anon_sym_reset] = ACTIONS(2281),
    [anon_sym_rand] = ACTIONS(2281),
    [anon_sym_rmdir] = ACTIONS(2281),
    [anon_sym_readdir] = ACTIONS(2281),
    [anon_sym_readline] = ACTIONS(2281),
    [anon_sym_readpipe] = ACTIONS(2281),
    [anon_sym_rewinddir] = ACTIONS(2281),
    [anon_sym_readlink] = ACTIONS(2281),
    [anon_sym_ref] = ACTIONS(2281),
    [anon_sym_scalar] = ACTIONS(2281),
    [anon_sym_shift] = ACTIONS(2281),
    [anon_sym_sin] = ACTIONS(2281),
    [anon_sym_sleep] = ACTIONS(2281),
    [anon_sym_sqrt] = ACTIONS(2281),
    [anon_sym_srand] = ACTIONS(2281),
    [anon_sym_stat] = ACTIONS(2281),
    [anon_sym_study] = ACTIONS(2281),
    [anon_sym_tell] = ACTIONS(2281),
    [anon_sym_telldir] = ACTIONS(2281),
    [anon_sym_tied] = ACTIONS(2281),
    [anon_sym_uc] = ACTIONS(2281),
    [anon_sym_ucfirst] = ACTIONS(2281),
    [anon_sym_untie] = ACTIONS(2281),
    [anon_sym_umask] = ACTIONS(2281),
    [anon_sym_values] = ACTIONS(2281),
    [anon_sym_write] = ACTIONS(2281),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2281),
    [anon_sym_qq] = ACTIONS(2281),
    [anon_sym_qw] = ACTIONS(2281),
    [anon_sym_qx] = ACTIONS(2281),
    [anon_sym_qr] = ACTIONS(2281),
    [anon_sym_m] = ACTIONS(2281),
    [anon_sym_s] = ACTIONS(2281),
    [anon_sym_tr] = ACTIONS(2281),
    [anon_sym_y] = ACTIONS(2281),
    [aux_sym__bareword_token1] = ACTIONS(2281),
    [sym_number] = ACTIONS(2281),
    [anon_sym_true] = ACTIONS(2281),
    [anon_sym_false] = ACTIONS(2281),
    [sym__single_quote] = ACTIONS(2279),
    [sym__double_quote] = ACTIONS(2279),
    [sym__backtick_quote] = ACTIONS(2279),
    [sym__search_slash_quote] = ACTIONS(2279),
    [sym__open_readline_bracket] = ACTIONS(2279),
    [sym__open_fileglob_bracket] = ACTIONS(2279),
    [sym__PERLY_HEREDOC] = ACTIONS(2279),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2279),
    [sym__filetest] = ACTIONS(2279),
  },
  [1158] = {
    [sym_heredoc_content] = STATE(1158),
    [sym__identifier] = ACTIONS(2285),
    [anon_sym_LBRACE] = ACTIONS(2285),
    [anon_sym_DOLLAR] = ACTIONS(2285),
    [anon_sym_AT] = ACTIONS(2285),
    [anon_sym_RPAREN] = ACTIONS(2285),
    [anon_sym_my] = ACTIONS(2285),
    [anon_sym_extended] = ACTIONS(2285),
    [anon_sym_async] = ACTIONS(2285),
    [anon_sym_sub] = ACTIONS(2285),
    [anon_sym_method] = ACTIONS(2285),
    [anon_sym_LPAREN] = ACTIONS(2285),
    [anon_sym_continue] = ACTIONS(2285),
    [anon_sym_state] = ACTIONS(2285),
    [anon_sym_our] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(2285),
    [anon_sym_LT_LT] = ACTIONS(2285),
    [anon_sym_SLASH_SLASH] = ACTIONS(2285),
    [anon_sym_PLUS] = ACTIONS(2285),
    [anon_sym_DASH] = ACTIONS(2285),
    [anon_sym_TILDE] = ACTIONS(2285),
    [anon_sym_BANG] = ACTIONS(2285),
    [anon_sym_PLUS_PLUS] = ACTIONS(2285),
    [anon_sym_DASH_DASH] = ACTIONS(2285),
    [anon_sym_BSLASH] = ACTIONS(2283),
    [anon_sym_do] = ACTIONS(2285),
    [anon_sym_eval] = ACTIONS(2285),
    [anon_sym_await] = ACTIONS(2285),
    [anon_sym_field] = ACTIONS(2285),
    [anon_sym_local] = ACTIONS(2285),
    [anon_sym_dynamically] = ACTIONS(2285),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2285),
    [anon_sym_require] = ACTIONS(2285),
    [anon_sym_map] = ACTIONS(2285),
    [anon_sym_grep] = ACTIONS(2285),
    [anon_sym_sort] = ACTIONS(2285),
    [anon_sym_goto] = ACTIONS(2285),
    [anon_sym_return] = ACTIONS(2285),
    [anon_sym_undef] = ACTIONS(2285),
    [anon_sym_PERCENT2] = ACTIONS(2285),
    [anon_sym_AMP2] = ACTIONS(2285),
    [anon_sym_STAR2] = ACTIONS(2285),
    [anon_sym_last] = ACTIONS(2285),
    [anon_sym_next] = ACTIONS(2285),
    [anon_sym_redo] = ACTIONS(2285),
    [anon_sym___FILE__] = ACTIONS(2285),
    [anon_sym___LINE__] = ACTIONS(2285),
    [anon_sym___PACKAGE__] = ACTIONS(2285),
    [anon_sym___SUB__] = ACTIONS(2285),
    [anon_sym_break] = ACTIONS(2285),
    [anon_sym_fork] = ACTIONS(2285),
    [anon_sym_getppid] = ACTIONS(2285),
    [anon_sym_time] = ACTIONS(2285),
    [anon_sym_times] = ACTIONS(2285),
    [anon_sym_wait] = ACTIONS(2285),
    [anon_sym_wantarray] = ACTIONS(2285),
    [anon_sym_abs] = ACTIONS(2285),
    [anon_sym_alarm] = ACTIONS(2285),
    [anon_sym_chop] = ACTIONS(2285),
    [anon_sym_chdir] = ACTIONS(2285),
    [anon_sym_close] = ACTIONS(2285),
    [anon_sym_closedir] = ACTIONS(2285),
    [anon_sym_caller] = ACTIONS(2285),
    [anon_sym_chomp] = ACTIONS(2285),
    [anon_sym_chr] = ACTIONS(2285),
    [anon_sym_cos] = ACTIONS(2285),
    [anon_sym_chroot] = ACTIONS(2285),
    [anon_sym_defined] = ACTIONS(2285),
    [anon_sym_delete] = ACTIONS(2285),
    [anon_sym_dbmclose] = ACTIONS(2285),
    [anon_sym_exists] = ACTIONS(2285),
    [anon_sym_exit] = ACTIONS(2285),
    [anon_sym_eof] = ACTIONS(2285),
    [anon_sym_exp] = ACTIONS(2285),
    [anon_sym_each] = ACTIONS(2285),
    [anon_sym_fc] = ACTIONS(2285),
    [anon_sym_fileno] = ACTIONS(2285),
    [anon_sym_gmtime] = ACTIONS(2285),
    [anon_sym_getc] = ACTIONS(2285),
    [anon_sym_getpgrp] = ACTIONS(2285),
    [anon_sym_getprotobyname] = ACTIONS(2285),
    [anon_sym_getpwname] = ACTIONS(2285),
    [anon_sym_getpwuid] = ACTIONS(2285),
    [anon_sym_getpeername] = ACTIONS(2285),
    [anon_sym_getnetbyname] = ACTIONS(2285),
    [anon_sym_getsockname] = ACTIONS(2285),
    [anon_sym_getgrnam] = ACTIONS(2285),
    [anon_sym_getgrgid] = ACTIONS(2285),
    [anon_sym_hex] = ACTIONS(2285),
    [anon_sym_int] = ACTIONS(2285),
    [anon_sym_keys] = ACTIONS(2285),
    [anon_sym_lc] = ACTIONS(2285),
    [anon_sym_lcfirst] = ACTIONS(2285),
    [anon_sym_length] = ACTIONS(2285),
    [anon_sym_localtime] = ACTIONS(2285),
    [anon_sym_log] = ACTIONS(2285),
    [anon_sym_lock] = ACTIONS(2285),
    [anon_sym_lstat] = ACTIONS(2285),
    [anon_sym_oct] = ACTIONS(2285),
    [anon_sym_ord] = ACTIONS(2285),
    [anon_sym_prototype] = ACTIONS(2285),
    [anon_sym_pop] = ACTIONS(2285),
    [anon_sym_pos] = ACTIONS(2285),
    [anon_sym_quotemeta] = ACTIONS(2285),
    [anon_sym_reset] = ACTIONS(2285),
    [anon_sym_rand] = ACTIONS(2285),
    [anon_sym_rmdir] = ACTIONS(2285),
    [anon_sym_readdir] = ACTIONS(2285),
    [anon_sym_readline] = ACTIONS(2285),
    [anon_sym_readpipe] = ACTIONS(2285),
    [anon_sym_rewinddir] = ACTIONS(2285),
    [anon_sym_readlink] = ACTIONS(2285),
    [anon_sym_ref] = ACTIONS(2285),
    [anon_sym_scalar] = ACTIONS(2285),
    [anon_sym_shift] = ACTIONS(2285),
    [anon_sym_sin] = ACTIONS(2285),
    [anon_sym_sleep] = ACTIONS(2285),
    [anon_sym_sqrt] = ACTIONS(2285),
    [anon_sym_srand] = ACTIONS(2285),
    [anon_sym_stat] = ACTIONS(2285),
    [anon_sym_study] = ACTIONS(2285),
    [anon_sym_tell] = ACTIONS(2285),
    [anon_sym_telldir] = ACTIONS(2285),
    [anon_sym_tied] = ACTIONS(2285),
    [anon_sym_uc] = ACTIONS(2285),
    [anon_sym_ucfirst] = ACTIONS(2285),
    [anon_sym_untie] = ACTIONS(2285),
    [anon_sym_umask] = ACTIONS(2285),
    [anon_sym_values] = ACTIONS(2285),
    [anon_sym_write] = ACTIONS(2285),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2285),
    [anon_sym_qq] = ACTIONS(2285),
    [anon_sym_qw] = ACTIONS(2285),
    [anon_sym_qx] = ACTIONS(2285),
    [anon_sym_qr] = ACTIONS(2285),
    [anon_sym_m] = ACTIONS(2285),
    [anon_sym_s] = ACTIONS(2285),
    [anon_sym_tr] = ACTIONS(2285),
    [anon_sym_y] = ACTIONS(2285),
    [aux_sym__bareword_token1] = ACTIONS(2285),
    [sym_number] = ACTIONS(2285),
    [anon_sym_true] = ACTIONS(2285),
    [anon_sym_false] = ACTIONS(2285),
    [sym__single_quote] = ACTIONS(2283),
    [sym__double_quote] = ACTIONS(2283),
    [sym__backtick_quote] = ACTIONS(2283),
    [sym__search_slash_quote] = ACTIONS(2283),
    [sym__open_readline_bracket] = ACTIONS(2283),
    [sym__open_fileglob_bracket] = ACTIONS(2283),
    [sym__PERLY_HEREDOC] = ACTIONS(2283),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2283),
    [sym__filetest] = ACTIONS(2283),
  },
  [1159] = {
    [sym_heredoc_content] = STATE(1159),
    [sym__identifier] = ACTIONS(2289),
    [anon_sym_LBRACE] = ACTIONS(2289),
    [anon_sym_DOLLAR] = ACTIONS(2289),
    [anon_sym_AT] = ACTIONS(2289),
    [anon_sym_RPAREN] = ACTIONS(2289),
    [anon_sym_my] = ACTIONS(2289),
    [anon_sym_extended] = ACTIONS(2289),
    [anon_sym_async] = ACTIONS(2289),
    [anon_sym_sub] = ACTIONS(2289),
    [anon_sym_method] = ACTIONS(2289),
    [anon_sym_LPAREN] = ACTIONS(2289),
    [anon_sym_continue] = ACTIONS(2289),
    [anon_sym_state] = ACTIONS(2289),
    [anon_sym_our] = ACTIONS(2289),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_LT_LT] = ACTIONS(2289),
    [anon_sym_SLASH_SLASH] = ACTIONS(2289),
    [anon_sym_PLUS] = ACTIONS(2289),
    [anon_sym_DASH] = ACTIONS(2289),
    [anon_sym_TILDE] = ACTIONS(2289),
    [anon_sym_BANG] = ACTIONS(2289),
    [anon_sym_PLUS_PLUS] = ACTIONS(2289),
    [anon_sym_DASH_DASH] = ACTIONS(2289),
    [anon_sym_BSLASH] = ACTIONS(2287),
    [anon_sym_do] = ACTIONS(2289),
    [anon_sym_eval] = ACTIONS(2289),
    [anon_sym_await] = ACTIONS(2289),
    [anon_sym_field] = ACTIONS(2289),
    [anon_sym_local] = ACTIONS(2289),
    [anon_sym_dynamically] = ACTIONS(2289),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2289),
    [anon_sym_require] = ACTIONS(2289),
    [anon_sym_map] = ACTIONS(2289),
    [anon_sym_grep] = ACTIONS(2289),
    [anon_sym_sort] = ACTIONS(2289),
    [anon_sym_goto] = ACTIONS(2289),
    [anon_sym_return] = ACTIONS(2289),
    [anon_sym_undef] = ACTIONS(2289),
    [anon_sym_PERCENT2] = ACTIONS(2289),
    [anon_sym_AMP2] = ACTIONS(2289),
    [anon_sym_STAR2] = ACTIONS(2289),
    [anon_sym_last] = ACTIONS(2289),
    [anon_sym_next] = ACTIONS(2289),
    [anon_sym_redo] = ACTIONS(2289),
    [anon_sym___FILE__] = ACTIONS(2289),
    [anon_sym___LINE__] = ACTIONS(2289),
    [anon_sym___PACKAGE__] = ACTIONS(2289),
    [anon_sym___SUB__] = ACTIONS(2289),
    [anon_sym_break] = ACTIONS(2289),
    [anon_sym_fork] = ACTIONS(2289),
    [anon_sym_getppid] = ACTIONS(2289),
    [anon_sym_time] = ACTIONS(2289),
    [anon_sym_times] = ACTIONS(2289),
    [anon_sym_wait] = ACTIONS(2289),
    [anon_sym_wantarray] = ACTIONS(2289),
    [anon_sym_abs] = ACTIONS(2289),
    [anon_sym_alarm] = ACTIONS(2289),
    [anon_sym_chop] = ACTIONS(2289),
    [anon_sym_chdir] = ACTIONS(2289),
    [anon_sym_close] = ACTIONS(2289),
    [anon_sym_closedir] = ACTIONS(2289),
    [anon_sym_caller] = ACTIONS(2289),
    [anon_sym_chomp] = ACTIONS(2289),
    [anon_sym_chr] = ACTIONS(2289),
    [anon_sym_cos] = ACTIONS(2289),
    [anon_sym_chroot] = ACTIONS(2289),
    [anon_sym_defined] = ACTIONS(2289),
    [anon_sym_delete] = ACTIONS(2289),
    [anon_sym_dbmclose] = ACTIONS(2289),
    [anon_sym_exists] = ACTIONS(2289),
    [anon_sym_exit] = ACTIONS(2289),
    [anon_sym_eof] = ACTIONS(2289),
    [anon_sym_exp] = ACTIONS(2289),
    [anon_sym_each] = ACTIONS(2289),
    [anon_sym_fc] = ACTIONS(2289),
    [anon_sym_fileno] = ACTIONS(2289),
    [anon_sym_gmtime] = ACTIONS(2289),
    [anon_sym_getc] = ACTIONS(2289),
    [anon_sym_getpgrp] = ACTIONS(2289),
    [anon_sym_getprotobyname] = ACTIONS(2289),
    [anon_sym_getpwname] = ACTIONS(2289),
    [anon_sym_getpwuid] = ACTIONS(2289),
    [anon_sym_getpeername] = ACTIONS(2289),
    [anon_sym_getnetbyname] = ACTIONS(2289),
    [anon_sym_getsockname] = ACTIONS(2289),
    [anon_sym_getgrnam] = ACTIONS(2289),
    [anon_sym_getgrgid] = ACTIONS(2289),
    [anon_sym_hex] = ACTIONS(2289),
    [anon_sym_int] = ACTIONS(2289),
    [anon_sym_keys] = ACTIONS(2289),
    [anon_sym_lc] = ACTIONS(2289),
    [anon_sym_lcfirst] = ACTIONS(2289),
    [anon_sym_length] = ACTIONS(2289),
    [anon_sym_localtime] = ACTIONS(2289),
    [anon_sym_log] = ACTIONS(2289),
    [anon_sym_lock] = ACTIONS(2289),
    [anon_sym_lstat] = ACTIONS(2289),
    [anon_sym_oct] = ACTIONS(2289),
    [anon_sym_ord] = ACTIONS(2289),
    [anon_sym_prototype] = ACTIONS(2289),
    [anon_sym_pop] = ACTIONS(2289),
    [anon_sym_pos] = ACTIONS(2289),
    [anon_sym_quotemeta] = ACTIONS(2289),
    [anon_sym_reset] = ACTIONS(2289),
    [anon_sym_rand] = ACTIONS(2289),
    [anon_sym_rmdir] = ACTIONS(2289),
    [anon_sym_readdir] = ACTIONS(2289),
    [anon_sym_readline] = ACTIONS(2289),
    [anon_sym_readpipe] = ACTIONS(2289),
    [anon_sym_rewinddir] = ACTIONS(2289),
    [anon_sym_readlink] = ACTIONS(2289),
    [anon_sym_ref] = ACTIONS(2289),
    [anon_sym_scalar] = ACTIONS(2289),
    [anon_sym_shift] = ACTIONS(2289),
    [anon_sym_sin] = ACTIONS(2289),
    [anon_sym_sleep] = ACTIONS(2289),
    [anon_sym_sqrt] = ACTIONS(2289),
    [anon_sym_srand] = ACTIONS(2289),
    [anon_sym_stat] = ACTIONS(2289),
    [anon_sym_study] = ACTIONS(2289),
    [anon_sym_tell] = ACTIONS(2289),
    [anon_sym_telldir] = ACTIONS(2289),
    [anon_sym_tied] = ACTIONS(2289),
    [anon_sym_uc] = ACTIONS(2289),
    [anon_sym_ucfirst] = ACTIONS(2289),
    [anon_sym_untie] = ACTIONS(2289),
    [anon_sym_umask] = ACTIONS(2289),
    [anon_sym_values] = ACTIONS(2289),
    [anon_sym_write] = ACTIONS(2289),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2289),
    [anon_sym_qq] = ACTIONS(2289),
    [anon_sym_qw] = ACTIONS(2289),
    [anon_sym_qx] = ACTIONS(2289),
    [anon_sym_qr] = ACTIONS(2289),
    [anon_sym_m] = ACTIONS(2289),
    [anon_sym_s] = ACTIONS(2289),
    [anon_sym_tr] = ACTIONS(2289),
    [anon_sym_y] = ACTIONS(2289),
    [aux_sym__bareword_token1] = ACTIONS(2289),
    [sym_number] = ACTIONS(2289),
    [anon_sym_true] = ACTIONS(2289),
    [anon_sym_false] = ACTIONS(2289),
    [sym__single_quote] = ACTIONS(2287),
    [sym__double_quote] = ACTIONS(2287),
    [sym__backtick_quote] = ACTIONS(2287),
    [sym__search_slash_quote] = ACTIONS(2287),
    [sym__open_readline_bracket] = ACTIONS(2287),
    [sym__open_fileglob_bracket] = ACTIONS(2287),
    [sym__PERLY_HEREDOC] = ACTIONS(2287),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2287),
    [sym__filetest] = ACTIONS(2287),
  },
  [1160] = {
    [sym_heredoc_content] = STATE(1160),
    [sym__identifier] = ACTIONS(2293),
    [anon_sym_LBRACE] = ACTIONS(2293),
    [anon_sym_DOLLAR] = ACTIONS(2293),
    [anon_sym_AT] = ACTIONS(2293),
    [anon_sym_RPAREN] = ACTIONS(2293),
    [anon_sym_my] = ACTIONS(2293),
    [anon_sym_extended] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2293),
    [anon_sym_sub] = ACTIONS(2293),
    [anon_sym_method] = ACTIONS(2293),
    [anon_sym_LPAREN] = ACTIONS(2293),
    [anon_sym_continue] = ACTIONS(2293),
    [anon_sym_state] = ACTIONS(2293),
    [anon_sym_our] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(2293),
    [anon_sym_LT_LT] = ACTIONS(2293),
    [anon_sym_SLASH_SLASH] = ACTIONS(2293),
    [anon_sym_PLUS] = ACTIONS(2293),
    [anon_sym_DASH] = ACTIONS(2293),
    [anon_sym_TILDE] = ACTIONS(2293),
    [anon_sym_BANG] = ACTIONS(2293),
    [anon_sym_PLUS_PLUS] = ACTIONS(2293),
    [anon_sym_DASH_DASH] = ACTIONS(2293),
    [anon_sym_BSLASH] = ACTIONS(2291),
    [anon_sym_do] = ACTIONS(2293),
    [anon_sym_eval] = ACTIONS(2293),
    [anon_sym_await] = ACTIONS(2293),
    [anon_sym_field] = ACTIONS(2293),
    [anon_sym_local] = ACTIONS(2293),
    [anon_sym_dynamically] = ACTIONS(2293),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2293),
    [anon_sym_require] = ACTIONS(2293),
    [anon_sym_map] = ACTIONS(2293),
    [anon_sym_grep] = ACTIONS(2293),
    [anon_sym_sort] = ACTIONS(2293),
    [anon_sym_goto] = ACTIONS(2293),
    [anon_sym_return] = ACTIONS(2293),
    [anon_sym_undef] = ACTIONS(2293),
    [anon_sym_PERCENT2] = ACTIONS(2293),
    [anon_sym_AMP2] = ACTIONS(2293),
    [anon_sym_STAR2] = ACTIONS(2293),
    [anon_sym_last] = ACTIONS(2293),
    [anon_sym_next] = ACTIONS(2293),
    [anon_sym_redo] = ACTIONS(2293),
    [anon_sym___FILE__] = ACTIONS(2293),
    [anon_sym___LINE__] = ACTIONS(2293),
    [anon_sym___PACKAGE__] = ACTIONS(2293),
    [anon_sym___SUB__] = ACTIONS(2293),
    [anon_sym_break] = ACTIONS(2293),
    [anon_sym_fork] = ACTIONS(2293),
    [anon_sym_getppid] = ACTIONS(2293),
    [anon_sym_time] = ACTIONS(2293),
    [anon_sym_times] = ACTIONS(2293),
    [anon_sym_wait] = ACTIONS(2293),
    [anon_sym_wantarray] = ACTIONS(2293),
    [anon_sym_abs] = ACTIONS(2293),
    [anon_sym_alarm] = ACTIONS(2293),
    [anon_sym_chop] = ACTIONS(2293),
    [anon_sym_chdir] = ACTIONS(2293),
    [anon_sym_close] = ACTIONS(2293),
    [anon_sym_closedir] = ACTIONS(2293),
    [anon_sym_caller] = ACTIONS(2293),
    [anon_sym_chomp] = ACTIONS(2293),
    [anon_sym_chr] = ACTIONS(2293),
    [anon_sym_cos] = ACTIONS(2293),
    [anon_sym_chroot] = ACTIONS(2293),
    [anon_sym_defined] = ACTIONS(2293),
    [anon_sym_delete] = ACTIONS(2293),
    [anon_sym_dbmclose] = ACTIONS(2293),
    [anon_sym_exists] = ACTIONS(2293),
    [anon_sym_exit] = ACTIONS(2293),
    [anon_sym_eof] = ACTIONS(2293),
    [anon_sym_exp] = ACTIONS(2293),
    [anon_sym_each] = ACTIONS(2293),
    [anon_sym_fc] = ACTIONS(2293),
    [anon_sym_fileno] = ACTIONS(2293),
    [anon_sym_gmtime] = ACTIONS(2293),
    [anon_sym_getc] = ACTIONS(2293),
    [anon_sym_getpgrp] = ACTIONS(2293),
    [anon_sym_getprotobyname] = ACTIONS(2293),
    [anon_sym_getpwname] = ACTIONS(2293),
    [anon_sym_getpwuid] = ACTIONS(2293),
    [anon_sym_getpeername] = ACTIONS(2293),
    [anon_sym_getnetbyname] = ACTIONS(2293),
    [anon_sym_getsockname] = ACTIONS(2293),
    [anon_sym_getgrnam] = ACTIONS(2293),
    [anon_sym_getgrgid] = ACTIONS(2293),
    [anon_sym_hex] = ACTIONS(2293),
    [anon_sym_int] = ACTIONS(2293),
    [anon_sym_keys] = ACTIONS(2293),
    [anon_sym_lc] = ACTIONS(2293),
    [anon_sym_lcfirst] = ACTIONS(2293),
    [anon_sym_length] = ACTIONS(2293),
    [anon_sym_localtime] = ACTIONS(2293),
    [anon_sym_log] = ACTIONS(2293),
    [anon_sym_lock] = ACTIONS(2293),
    [anon_sym_lstat] = ACTIONS(2293),
    [anon_sym_oct] = ACTIONS(2293),
    [anon_sym_ord] = ACTIONS(2293),
    [anon_sym_prototype] = ACTIONS(2293),
    [anon_sym_pop] = ACTIONS(2293),
    [anon_sym_pos] = ACTIONS(2293),
    [anon_sym_quotemeta] = ACTIONS(2293),
    [anon_sym_reset] = ACTIONS(2293),
    [anon_sym_rand] = ACTIONS(2293),
    [anon_sym_rmdir] = ACTIONS(2293),
    [anon_sym_readdir] = ACTIONS(2293),
    [anon_sym_readline] = ACTIONS(2293),
    [anon_sym_readpipe] = ACTIONS(2293),
    [anon_sym_rewinddir] = ACTIONS(2293),
    [anon_sym_readlink] = ACTIONS(2293),
    [anon_sym_ref] = ACTIONS(2293),
    [anon_sym_scalar] = ACTIONS(2293),
    [anon_sym_shift] = ACTIONS(2293),
    [anon_sym_sin] = ACTIONS(2293),
    [anon_sym_sleep] = ACTIONS(2293),
    [anon_sym_sqrt] = ACTIONS(2293),
    [anon_sym_srand] = ACTIONS(2293),
    [anon_sym_stat] = ACTIONS(2293),
    [anon_sym_study] = ACTIONS(2293),
    [anon_sym_tell] = ACTIONS(2293),
    [anon_sym_telldir] = ACTIONS(2293),
    [anon_sym_tied] = ACTIONS(2293),
    [anon_sym_uc] = ACTIONS(2293),
    [anon_sym_ucfirst] = ACTIONS(2293),
    [anon_sym_untie] = ACTIONS(2293),
    [anon_sym_umask] = ACTIONS(2293),
    [anon_sym_values] = ACTIONS(2293),
    [anon_sym_write] = ACTIONS(2293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2293),
    [anon_sym_qq] = ACTIONS(2293),
    [anon_sym_qw] = ACTIONS(2293),
    [anon_sym_qx] = ACTIONS(2293),
    [anon_sym_qr] = ACTIONS(2293),
    [anon_sym_m] = ACTIONS(2293),
    [anon_sym_s] = ACTIONS(2293),
    [anon_sym_tr] = ACTIONS(2293),
    [anon_sym_y] = ACTIONS(2293),
    [aux_sym__bareword_token1] = ACTIONS(2293),
    [sym_number] = ACTIONS(2293),
    [anon_sym_true] = ACTIONS(2293),
    [anon_sym_false] = ACTIONS(2293),
    [sym__single_quote] = ACTIONS(2291),
    [sym__double_quote] = ACTIONS(2291),
    [sym__backtick_quote] = ACTIONS(2291),
    [sym__search_slash_quote] = ACTIONS(2291),
    [sym__open_readline_bracket] = ACTIONS(2291),
    [sym__open_fileglob_bracket] = ACTIONS(2291),
    [sym__PERLY_HEREDOC] = ACTIONS(2291),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2291),
    [sym__filetest] = ACTIONS(2291),
  },
  [1161] = {
    [sym_heredoc_content] = STATE(1161),
    [sym__identifier] = ACTIONS(2297),
    [anon_sym_LBRACE] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2297),
    [anon_sym_AT] = ACTIONS(2297),
    [anon_sym_RPAREN] = ACTIONS(2297),
    [anon_sym_my] = ACTIONS(2297),
    [anon_sym_extended] = ACTIONS(2297),
    [anon_sym_async] = ACTIONS(2297),
    [anon_sym_sub] = ACTIONS(2297),
    [anon_sym_method] = ACTIONS(2297),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_continue] = ACTIONS(2297),
    [anon_sym_state] = ACTIONS(2297),
    [anon_sym_our] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(2297),
    [anon_sym_LT_LT] = ACTIONS(2297),
    [anon_sym_SLASH_SLASH] = ACTIONS(2297),
    [anon_sym_PLUS] = ACTIONS(2297),
    [anon_sym_DASH] = ACTIONS(2297),
    [anon_sym_TILDE] = ACTIONS(2297),
    [anon_sym_BANG] = ACTIONS(2297),
    [anon_sym_PLUS_PLUS] = ACTIONS(2297),
    [anon_sym_DASH_DASH] = ACTIONS(2297),
    [anon_sym_BSLASH] = ACTIONS(2295),
    [anon_sym_do] = ACTIONS(2297),
    [anon_sym_eval] = ACTIONS(2297),
    [anon_sym_await] = ACTIONS(2297),
    [anon_sym_field] = ACTIONS(2297),
    [anon_sym_local] = ACTIONS(2297),
    [anon_sym_dynamically] = ACTIONS(2297),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2297),
    [anon_sym_require] = ACTIONS(2297),
    [anon_sym_map] = ACTIONS(2297),
    [anon_sym_grep] = ACTIONS(2297),
    [anon_sym_sort] = ACTIONS(2297),
    [anon_sym_goto] = ACTIONS(2297),
    [anon_sym_return] = ACTIONS(2297),
    [anon_sym_undef] = ACTIONS(2297),
    [anon_sym_PERCENT2] = ACTIONS(2297),
    [anon_sym_AMP2] = ACTIONS(2297),
    [anon_sym_STAR2] = ACTIONS(2297),
    [anon_sym_last] = ACTIONS(2297),
    [anon_sym_next] = ACTIONS(2297),
    [anon_sym_redo] = ACTIONS(2297),
    [anon_sym___FILE__] = ACTIONS(2297),
    [anon_sym___LINE__] = ACTIONS(2297),
    [anon_sym___PACKAGE__] = ACTIONS(2297),
    [anon_sym___SUB__] = ACTIONS(2297),
    [anon_sym_break] = ACTIONS(2297),
    [anon_sym_fork] = ACTIONS(2297),
    [anon_sym_getppid] = ACTIONS(2297),
    [anon_sym_time] = ACTIONS(2297),
    [anon_sym_times] = ACTIONS(2297),
    [anon_sym_wait] = ACTIONS(2297),
    [anon_sym_wantarray] = ACTIONS(2297),
    [anon_sym_abs] = ACTIONS(2297),
    [anon_sym_alarm] = ACTIONS(2297),
    [anon_sym_chop] = ACTIONS(2297),
    [anon_sym_chdir] = ACTIONS(2297),
    [anon_sym_close] = ACTIONS(2297),
    [anon_sym_closedir] = ACTIONS(2297),
    [anon_sym_caller] = ACTIONS(2297),
    [anon_sym_chomp] = ACTIONS(2297),
    [anon_sym_chr] = ACTIONS(2297),
    [anon_sym_cos] = ACTIONS(2297),
    [anon_sym_chroot] = ACTIONS(2297),
    [anon_sym_defined] = ACTIONS(2297),
    [anon_sym_delete] = ACTIONS(2297),
    [anon_sym_dbmclose] = ACTIONS(2297),
    [anon_sym_exists] = ACTIONS(2297),
    [anon_sym_exit] = ACTIONS(2297),
    [anon_sym_eof] = ACTIONS(2297),
    [anon_sym_exp] = ACTIONS(2297),
    [anon_sym_each] = ACTIONS(2297),
    [anon_sym_fc] = ACTIONS(2297),
    [anon_sym_fileno] = ACTIONS(2297),
    [anon_sym_gmtime] = ACTIONS(2297),
    [anon_sym_getc] = ACTIONS(2297),
    [anon_sym_getpgrp] = ACTIONS(2297),
    [anon_sym_getprotobyname] = ACTIONS(2297),
    [anon_sym_getpwname] = ACTIONS(2297),
    [anon_sym_getpwuid] = ACTIONS(2297),
    [anon_sym_getpeername] = ACTIONS(2297),
    [anon_sym_getnetbyname] = ACTIONS(2297),
    [anon_sym_getsockname] = ACTIONS(2297),
    [anon_sym_getgrnam] = ACTIONS(2297),
    [anon_sym_getgrgid] = ACTIONS(2297),
    [anon_sym_hex] = ACTIONS(2297),
    [anon_sym_int] = ACTIONS(2297),
    [anon_sym_keys] = ACTIONS(2297),
    [anon_sym_lc] = ACTIONS(2297),
    [anon_sym_lcfirst] = ACTIONS(2297),
    [anon_sym_length] = ACTIONS(2297),
    [anon_sym_localtime] = ACTIONS(2297),
    [anon_sym_log] = ACTIONS(2297),
    [anon_sym_lock] = ACTIONS(2297),
    [anon_sym_lstat] = ACTIONS(2297),
    [anon_sym_oct] = ACTIONS(2297),
    [anon_sym_ord] = ACTIONS(2297),
    [anon_sym_prototype] = ACTIONS(2297),
    [anon_sym_pop] = ACTIONS(2297),
    [anon_sym_pos] = ACTIONS(2297),
    [anon_sym_quotemeta] = ACTIONS(2297),
    [anon_sym_reset] = ACTIONS(2297),
    [anon_sym_rand] = ACTIONS(2297),
    [anon_sym_rmdir] = ACTIONS(2297),
    [anon_sym_readdir] = ACTIONS(2297),
    [anon_sym_readline] = ACTIONS(2297),
    [anon_sym_readpipe] = ACTIONS(2297),
    [anon_sym_rewinddir] = ACTIONS(2297),
    [anon_sym_readlink] = ACTIONS(2297),
    [anon_sym_ref] = ACTIONS(2297),
    [anon_sym_scalar] = ACTIONS(2297),
    [anon_sym_shift] = ACTIONS(2297),
    [anon_sym_sin] = ACTIONS(2297),
    [anon_sym_sleep] = ACTIONS(2297),
    [anon_sym_sqrt] = ACTIONS(2297),
    [anon_sym_srand] = ACTIONS(2297),
    [anon_sym_stat] = ACTIONS(2297),
    [anon_sym_study] = ACTIONS(2297),
    [anon_sym_tell] = ACTIONS(2297),
    [anon_sym_telldir] = ACTIONS(2297),
    [anon_sym_tied] = ACTIONS(2297),
    [anon_sym_uc] = ACTIONS(2297),
    [anon_sym_ucfirst] = ACTIONS(2297),
    [anon_sym_untie] = ACTIONS(2297),
    [anon_sym_umask] = ACTIONS(2297),
    [anon_sym_values] = ACTIONS(2297),
    [anon_sym_write] = ACTIONS(2297),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2297),
    [anon_sym_qq] = ACTIONS(2297),
    [anon_sym_qw] = ACTIONS(2297),
    [anon_sym_qx] = ACTIONS(2297),
    [anon_sym_qr] = ACTIONS(2297),
    [anon_sym_m] = ACTIONS(2297),
    [anon_sym_s] = ACTIONS(2297),
    [anon_sym_tr] = ACTIONS(2297),
    [anon_sym_y] = ACTIONS(2297),
    [aux_sym__bareword_token1] = ACTIONS(2297),
    [sym_number] = ACTIONS(2297),
    [anon_sym_true] = ACTIONS(2297),
    [anon_sym_false] = ACTIONS(2297),
    [sym__single_quote] = ACTIONS(2295),
    [sym__double_quote] = ACTIONS(2295),
    [sym__backtick_quote] = ACTIONS(2295),
    [sym__search_slash_quote] = ACTIONS(2295),
    [sym__open_readline_bracket] = ACTIONS(2295),
    [sym__open_fileglob_bracket] = ACTIONS(2295),
    [sym__PERLY_HEREDOC] = ACTIONS(2295),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2295),
    [sym__filetest] = ACTIONS(2295),
  },
  [1162] = {
    [sym_heredoc_content] = STATE(1162),
    [sym__identifier] = ACTIONS(2301),
    [anon_sym_LBRACE] = ACTIONS(2301),
    [anon_sym_DOLLAR] = ACTIONS(2301),
    [anon_sym_AT] = ACTIONS(2301),
    [anon_sym_RPAREN] = ACTIONS(2301),
    [anon_sym_my] = ACTIONS(2301),
    [anon_sym_extended] = ACTIONS(2301),
    [anon_sym_async] = ACTIONS(2301),
    [anon_sym_sub] = ACTIONS(2301),
    [anon_sym_method] = ACTIONS(2301),
    [anon_sym_LPAREN] = ACTIONS(2301),
    [anon_sym_continue] = ACTIONS(2301),
    [anon_sym_state] = ACTIONS(2301),
    [anon_sym_our] = ACTIONS(2301),
    [anon_sym_LBRACK] = ACTIONS(2301),
    [anon_sym_LT_LT] = ACTIONS(2301),
    [anon_sym_SLASH_SLASH] = ACTIONS(2301),
    [anon_sym_PLUS] = ACTIONS(2301),
    [anon_sym_DASH] = ACTIONS(2301),
    [anon_sym_TILDE] = ACTIONS(2301),
    [anon_sym_BANG] = ACTIONS(2301),
    [anon_sym_PLUS_PLUS] = ACTIONS(2301),
    [anon_sym_DASH_DASH] = ACTIONS(2301),
    [anon_sym_BSLASH] = ACTIONS(2299),
    [anon_sym_do] = ACTIONS(2301),
    [anon_sym_eval] = ACTIONS(2301),
    [anon_sym_await] = ACTIONS(2301),
    [anon_sym_field] = ACTIONS(2301),
    [anon_sym_local] = ACTIONS(2301),
    [anon_sym_dynamically] = ACTIONS(2301),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2301),
    [anon_sym_require] = ACTIONS(2301),
    [anon_sym_map] = ACTIONS(2301),
    [anon_sym_grep] = ACTIONS(2301),
    [anon_sym_sort] = ACTIONS(2301),
    [anon_sym_goto] = ACTIONS(2301),
    [anon_sym_return] = ACTIONS(2301),
    [anon_sym_undef] = ACTIONS(2301),
    [anon_sym_PERCENT2] = ACTIONS(2301),
    [anon_sym_AMP2] = ACTIONS(2301),
    [anon_sym_STAR2] = ACTIONS(2301),
    [anon_sym_last] = ACTIONS(2301),
    [anon_sym_next] = ACTIONS(2301),
    [anon_sym_redo] = ACTIONS(2301),
    [anon_sym___FILE__] = ACTIONS(2301),
    [anon_sym___LINE__] = ACTIONS(2301),
    [anon_sym___PACKAGE__] = ACTIONS(2301),
    [anon_sym___SUB__] = ACTIONS(2301),
    [anon_sym_break] = ACTIONS(2301),
    [anon_sym_fork] = ACTIONS(2301),
    [anon_sym_getppid] = ACTIONS(2301),
    [anon_sym_time] = ACTIONS(2301),
    [anon_sym_times] = ACTIONS(2301),
    [anon_sym_wait] = ACTIONS(2301),
    [anon_sym_wantarray] = ACTIONS(2301),
    [anon_sym_abs] = ACTIONS(2301),
    [anon_sym_alarm] = ACTIONS(2301),
    [anon_sym_chop] = ACTIONS(2301),
    [anon_sym_chdir] = ACTIONS(2301),
    [anon_sym_close] = ACTIONS(2301),
    [anon_sym_closedir] = ACTIONS(2301),
    [anon_sym_caller] = ACTIONS(2301),
    [anon_sym_chomp] = ACTIONS(2301),
    [anon_sym_chr] = ACTIONS(2301),
    [anon_sym_cos] = ACTIONS(2301),
    [anon_sym_chroot] = ACTIONS(2301),
    [anon_sym_defined] = ACTIONS(2301),
    [anon_sym_delete] = ACTIONS(2301),
    [anon_sym_dbmclose] = ACTIONS(2301),
    [anon_sym_exists] = ACTIONS(2301),
    [anon_sym_exit] = ACTIONS(2301),
    [anon_sym_eof] = ACTIONS(2301),
    [anon_sym_exp] = ACTIONS(2301),
    [anon_sym_each] = ACTIONS(2301),
    [anon_sym_fc] = ACTIONS(2301),
    [anon_sym_fileno] = ACTIONS(2301),
    [anon_sym_gmtime] = ACTIONS(2301),
    [anon_sym_getc] = ACTIONS(2301),
    [anon_sym_getpgrp] = ACTIONS(2301),
    [anon_sym_getprotobyname] = ACTIONS(2301),
    [anon_sym_getpwname] = ACTIONS(2301),
    [anon_sym_getpwuid] = ACTIONS(2301),
    [anon_sym_getpeername] = ACTIONS(2301),
    [anon_sym_getnetbyname] = ACTIONS(2301),
    [anon_sym_getsockname] = ACTIONS(2301),
    [anon_sym_getgrnam] = ACTIONS(2301),
    [anon_sym_getgrgid] = ACTIONS(2301),
    [anon_sym_hex] = ACTIONS(2301),
    [anon_sym_int] = ACTIONS(2301),
    [anon_sym_keys] = ACTIONS(2301),
    [anon_sym_lc] = ACTIONS(2301),
    [anon_sym_lcfirst] = ACTIONS(2301),
    [anon_sym_length] = ACTIONS(2301),
    [anon_sym_localtime] = ACTIONS(2301),
    [anon_sym_log] = ACTIONS(2301),
    [anon_sym_lock] = ACTIONS(2301),
    [anon_sym_lstat] = ACTIONS(2301),
    [anon_sym_oct] = ACTIONS(2301),
    [anon_sym_ord] = ACTIONS(2301),
    [anon_sym_prototype] = ACTIONS(2301),
    [anon_sym_pop] = ACTIONS(2301),
    [anon_sym_pos] = ACTIONS(2301),
    [anon_sym_quotemeta] = ACTIONS(2301),
    [anon_sym_reset] = ACTIONS(2301),
    [anon_sym_rand] = ACTIONS(2301),
    [anon_sym_rmdir] = ACTIONS(2301),
    [anon_sym_readdir] = ACTIONS(2301),
    [anon_sym_readline] = ACTIONS(2301),
    [anon_sym_readpipe] = ACTIONS(2301),
    [anon_sym_rewinddir] = ACTIONS(2301),
    [anon_sym_readlink] = ACTIONS(2301),
    [anon_sym_ref] = ACTIONS(2301),
    [anon_sym_scalar] = ACTIONS(2301),
    [anon_sym_shift] = ACTIONS(2301),
    [anon_sym_sin] = ACTIONS(2301),
    [anon_sym_sleep] = ACTIONS(2301),
    [anon_sym_sqrt] = ACTIONS(2301),
    [anon_sym_srand] = ACTIONS(2301),
    [anon_sym_stat] = ACTIONS(2301),
    [anon_sym_study] = ACTIONS(2301),
    [anon_sym_tell] = ACTIONS(2301),
    [anon_sym_telldir] = ACTIONS(2301),
    [anon_sym_tied] = ACTIONS(2301),
    [anon_sym_uc] = ACTIONS(2301),
    [anon_sym_ucfirst] = ACTIONS(2301),
    [anon_sym_untie] = ACTIONS(2301),
    [anon_sym_umask] = ACTIONS(2301),
    [anon_sym_values] = ACTIONS(2301),
    [anon_sym_write] = ACTIONS(2301),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2301),
    [anon_sym_qq] = ACTIONS(2301),
    [anon_sym_qw] = ACTIONS(2301),
    [anon_sym_qx] = ACTIONS(2301),
    [anon_sym_qr] = ACTIONS(2301),
    [anon_sym_m] = ACTIONS(2301),
    [anon_sym_s] = ACTIONS(2301),
    [anon_sym_tr] = ACTIONS(2301),
    [anon_sym_y] = ACTIONS(2301),
    [aux_sym__bareword_token1] = ACTIONS(2301),
    [sym_number] = ACTIONS(2301),
    [anon_sym_true] = ACTIONS(2301),
    [anon_sym_false] = ACTIONS(2301),
    [sym__single_quote] = ACTIONS(2299),
    [sym__double_quote] = ACTIONS(2299),
    [sym__backtick_quote] = ACTIONS(2299),
    [sym__search_slash_quote] = ACTIONS(2299),
    [sym__open_readline_bracket] = ACTIONS(2299),
    [sym__open_fileglob_bracket] = ACTIONS(2299),
    [sym__PERLY_HEREDOC] = ACTIONS(2299),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2299),
    [sym__filetest] = ACTIONS(2299),
  },
  [1163] = {
    [sym_heredoc_content] = STATE(1163),
    [sym__identifier] = ACTIONS(2305),
    [anon_sym_LBRACE] = ACTIONS(2305),
    [anon_sym_DOLLAR] = ACTIONS(2305),
    [anon_sym_AT] = ACTIONS(2305),
    [anon_sym_RPAREN] = ACTIONS(2305),
    [anon_sym_my] = ACTIONS(2305),
    [anon_sym_extended] = ACTIONS(2305),
    [anon_sym_async] = ACTIONS(2305),
    [anon_sym_sub] = ACTIONS(2305),
    [anon_sym_method] = ACTIONS(2305),
    [anon_sym_LPAREN] = ACTIONS(2305),
    [anon_sym_continue] = ACTIONS(2305),
    [anon_sym_state] = ACTIONS(2305),
    [anon_sym_our] = ACTIONS(2305),
    [anon_sym_LBRACK] = ACTIONS(2305),
    [anon_sym_LT_LT] = ACTIONS(2305),
    [anon_sym_SLASH_SLASH] = ACTIONS(2305),
    [anon_sym_PLUS] = ACTIONS(2305),
    [anon_sym_DASH] = ACTIONS(2305),
    [anon_sym_TILDE] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2305),
    [anon_sym_PLUS_PLUS] = ACTIONS(2305),
    [anon_sym_DASH_DASH] = ACTIONS(2305),
    [anon_sym_BSLASH] = ACTIONS(2303),
    [anon_sym_do] = ACTIONS(2305),
    [anon_sym_eval] = ACTIONS(2305),
    [anon_sym_await] = ACTIONS(2305),
    [anon_sym_field] = ACTIONS(2305),
    [anon_sym_local] = ACTIONS(2305),
    [anon_sym_dynamically] = ACTIONS(2305),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2305),
    [anon_sym_require] = ACTIONS(2305),
    [anon_sym_map] = ACTIONS(2305),
    [anon_sym_grep] = ACTIONS(2305),
    [anon_sym_sort] = ACTIONS(2305),
    [anon_sym_goto] = ACTIONS(2305),
    [anon_sym_return] = ACTIONS(2305),
    [anon_sym_undef] = ACTIONS(2305),
    [anon_sym_PERCENT2] = ACTIONS(2305),
    [anon_sym_AMP2] = ACTIONS(2305),
    [anon_sym_STAR2] = ACTIONS(2305),
    [anon_sym_last] = ACTIONS(2305),
    [anon_sym_next] = ACTIONS(2305),
    [anon_sym_redo] = ACTIONS(2305),
    [anon_sym___FILE__] = ACTIONS(2305),
    [anon_sym___LINE__] = ACTIONS(2305),
    [anon_sym___PACKAGE__] = ACTIONS(2305),
    [anon_sym___SUB__] = ACTIONS(2305),
    [anon_sym_break] = ACTIONS(2305),
    [anon_sym_fork] = ACTIONS(2305),
    [anon_sym_getppid] = ACTIONS(2305),
    [anon_sym_time] = ACTIONS(2305),
    [anon_sym_times] = ACTIONS(2305),
    [anon_sym_wait] = ACTIONS(2305),
    [anon_sym_wantarray] = ACTIONS(2305),
    [anon_sym_abs] = ACTIONS(2305),
    [anon_sym_alarm] = ACTIONS(2305),
    [anon_sym_chop] = ACTIONS(2305),
    [anon_sym_chdir] = ACTIONS(2305),
    [anon_sym_close] = ACTIONS(2305),
    [anon_sym_closedir] = ACTIONS(2305),
    [anon_sym_caller] = ACTIONS(2305),
    [anon_sym_chomp] = ACTIONS(2305),
    [anon_sym_chr] = ACTIONS(2305),
    [anon_sym_cos] = ACTIONS(2305),
    [anon_sym_chroot] = ACTIONS(2305),
    [anon_sym_defined] = ACTIONS(2305),
    [anon_sym_delete] = ACTIONS(2305),
    [anon_sym_dbmclose] = ACTIONS(2305),
    [anon_sym_exists] = ACTIONS(2305),
    [anon_sym_exit] = ACTIONS(2305),
    [anon_sym_eof] = ACTIONS(2305),
    [anon_sym_exp] = ACTIONS(2305),
    [anon_sym_each] = ACTIONS(2305),
    [anon_sym_fc] = ACTIONS(2305),
    [anon_sym_fileno] = ACTIONS(2305),
    [anon_sym_gmtime] = ACTIONS(2305),
    [anon_sym_getc] = ACTIONS(2305),
    [anon_sym_getpgrp] = ACTIONS(2305),
    [anon_sym_getprotobyname] = ACTIONS(2305),
    [anon_sym_getpwname] = ACTIONS(2305),
    [anon_sym_getpwuid] = ACTIONS(2305),
    [anon_sym_getpeername] = ACTIONS(2305),
    [anon_sym_getnetbyname] = ACTIONS(2305),
    [anon_sym_getsockname] = ACTIONS(2305),
    [anon_sym_getgrnam] = ACTIONS(2305),
    [anon_sym_getgrgid] = ACTIONS(2305),
    [anon_sym_hex] = ACTIONS(2305),
    [anon_sym_int] = ACTIONS(2305),
    [anon_sym_keys] = ACTIONS(2305),
    [anon_sym_lc] = ACTIONS(2305),
    [anon_sym_lcfirst] = ACTIONS(2305),
    [anon_sym_length] = ACTIONS(2305),
    [anon_sym_localtime] = ACTIONS(2305),
    [anon_sym_log] = ACTIONS(2305),
    [anon_sym_lock] = ACTIONS(2305),
    [anon_sym_lstat] = ACTIONS(2305),
    [anon_sym_oct] = ACTIONS(2305),
    [anon_sym_ord] = ACTIONS(2305),
    [anon_sym_prototype] = ACTIONS(2305),
    [anon_sym_pop] = ACTIONS(2305),
    [anon_sym_pos] = ACTIONS(2305),
    [anon_sym_quotemeta] = ACTIONS(2305),
    [anon_sym_reset] = ACTIONS(2305),
    [anon_sym_rand] = ACTIONS(2305),
    [anon_sym_rmdir] = ACTIONS(2305),
    [anon_sym_readdir] = ACTIONS(2305),
    [anon_sym_readline] = ACTIONS(2305),
    [anon_sym_readpipe] = ACTIONS(2305),
    [anon_sym_rewinddir] = ACTIONS(2305),
    [anon_sym_readlink] = ACTIONS(2305),
    [anon_sym_ref] = ACTIONS(2305),
    [anon_sym_scalar] = ACTIONS(2305),
    [anon_sym_shift] = ACTIONS(2305),
    [anon_sym_sin] = ACTIONS(2305),
    [anon_sym_sleep] = ACTIONS(2305),
    [anon_sym_sqrt] = ACTIONS(2305),
    [anon_sym_srand] = ACTIONS(2305),
    [anon_sym_stat] = ACTIONS(2305),
    [anon_sym_study] = ACTIONS(2305),
    [anon_sym_tell] = ACTIONS(2305),
    [anon_sym_telldir] = ACTIONS(2305),
    [anon_sym_tied] = ACTIONS(2305),
    [anon_sym_uc] = ACTIONS(2305),
    [anon_sym_ucfirst] = ACTIONS(2305),
    [anon_sym_untie] = ACTIONS(2305),
    [anon_sym_umask] = ACTIONS(2305),
    [anon_sym_values] = ACTIONS(2305),
    [anon_sym_write] = ACTIONS(2305),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2305),
    [anon_sym_qq] = ACTIONS(2305),
    [anon_sym_qw] = ACTIONS(2305),
    [anon_sym_qx] = ACTIONS(2305),
    [anon_sym_qr] = ACTIONS(2305),
    [anon_sym_m] = ACTIONS(2305),
    [anon_sym_s] = ACTIONS(2305),
    [anon_sym_tr] = ACTIONS(2305),
    [anon_sym_y] = ACTIONS(2305),
    [aux_sym__bareword_token1] = ACTIONS(2305),
    [sym_number] = ACTIONS(2305),
    [anon_sym_true] = ACTIONS(2305),
    [anon_sym_false] = ACTIONS(2305),
    [sym__single_quote] = ACTIONS(2303),
    [sym__double_quote] = ACTIONS(2303),
    [sym__backtick_quote] = ACTIONS(2303),
    [sym__search_slash_quote] = ACTIONS(2303),
    [sym__open_readline_bracket] = ACTIONS(2303),
    [sym__open_fileglob_bracket] = ACTIONS(2303),
    [sym__PERLY_HEREDOC] = ACTIONS(2303),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2303),
    [sym__filetest] = ACTIONS(2303),
  },
  [1164] = {
    [sym_heredoc_content] = STATE(1164),
    [sym__identifier] = ACTIONS(2309),
    [anon_sym_LBRACE] = ACTIONS(2309),
    [anon_sym_DOLLAR] = ACTIONS(2309),
    [anon_sym_AT] = ACTIONS(2309),
    [anon_sym_RPAREN] = ACTIONS(2309),
    [anon_sym_my] = ACTIONS(2309),
    [anon_sym_extended] = ACTIONS(2309),
    [anon_sym_async] = ACTIONS(2309),
    [anon_sym_sub] = ACTIONS(2309),
    [anon_sym_method] = ACTIONS(2309),
    [anon_sym_LPAREN] = ACTIONS(2309),
    [anon_sym_continue] = ACTIONS(2309),
    [anon_sym_state] = ACTIONS(2309),
    [anon_sym_our] = ACTIONS(2309),
    [anon_sym_LBRACK] = ACTIONS(2309),
    [anon_sym_LT_LT] = ACTIONS(2309),
    [anon_sym_SLASH_SLASH] = ACTIONS(2309),
    [anon_sym_PLUS] = ACTIONS(2309),
    [anon_sym_DASH] = ACTIONS(2309),
    [anon_sym_TILDE] = ACTIONS(2309),
    [anon_sym_BANG] = ACTIONS(2309),
    [anon_sym_PLUS_PLUS] = ACTIONS(2309),
    [anon_sym_DASH_DASH] = ACTIONS(2309),
    [anon_sym_BSLASH] = ACTIONS(2307),
    [anon_sym_do] = ACTIONS(2309),
    [anon_sym_eval] = ACTIONS(2309),
    [anon_sym_await] = ACTIONS(2309),
    [anon_sym_field] = ACTIONS(2309),
    [anon_sym_local] = ACTIONS(2309),
    [anon_sym_dynamically] = ACTIONS(2309),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2309),
    [anon_sym_require] = ACTIONS(2309),
    [anon_sym_map] = ACTIONS(2309),
    [anon_sym_grep] = ACTIONS(2309),
    [anon_sym_sort] = ACTIONS(2309),
    [anon_sym_goto] = ACTIONS(2309),
    [anon_sym_return] = ACTIONS(2309),
    [anon_sym_undef] = ACTIONS(2309),
    [anon_sym_PERCENT2] = ACTIONS(2309),
    [anon_sym_AMP2] = ACTIONS(2309),
    [anon_sym_STAR2] = ACTIONS(2309),
    [anon_sym_last] = ACTIONS(2309),
    [anon_sym_next] = ACTIONS(2309),
    [anon_sym_redo] = ACTIONS(2309),
    [anon_sym___FILE__] = ACTIONS(2309),
    [anon_sym___LINE__] = ACTIONS(2309),
    [anon_sym___PACKAGE__] = ACTIONS(2309),
    [anon_sym___SUB__] = ACTIONS(2309),
    [anon_sym_break] = ACTIONS(2309),
    [anon_sym_fork] = ACTIONS(2309),
    [anon_sym_getppid] = ACTIONS(2309),
    [anon_sym_time] = ACTIONS(2309),
    [anon_sym_times] = ACTIONS(2309),
    [anon_sym_wait] = ACTIONS(2309),
    [anon_sym_wantarray] = ACTIONS(2309),
    [anon_sym_abs] = ACTIONS(2309),
    [anon_sym_alarm] = ACTIONS(2309),
    [anon_sym_chop] = ACTIONS(2309),
    [anon_sym_chdir] = ACTIONS(2309),
    [anon_sym_close] = ACTIONS(2309),
    [anon_sym_closedir] = ACTIONS(2309),
    [anon_sym_caller] = ACTIONS(2309),
    [anon_sym_chomp] = ACTIONS(2309),
    [anon_sym_chr] = ACTIONS(2309),
    [anon_sym_cos] = ACTIONS(2309),
    [anon_sym_chroot] = ACTIONS(2309),
    [anon_sym_defined] = ACTIONS(2309),
    [anon_sym_delete] = ACTIONS(2309),
    [anon_sym_dbmclose] = ACTIONS(2309),
    [anon_sym_exists] = ACTIONS(2309),
    [anon_sym_exit] = ACTIONS(2309),
    [anon_sym_eof] = ACTIONS(2309),
    [anon_sym_exp] = ACTIONS(2309),
    [anon_sym_each] = ACTIONS(2309),
    [anon_sym_fc] = ACTIONS(2309),
    [anon_sym_fileno] = ACTIONS(2309),
    [anon_sym_gmtime] = ACTIONS(2309),
    [anon_sym_getc] = ACTIONS(2309),
    [anon_sym_getpgrp] = ACTIONS(2309),
    [anon_sym_getprotobyname] = ACTIONS(2309),
    [anon_sym_getpwname] = ACTIONS(2309),
    [anon_sym_getpwuid] = ACTIONS(2309),
    [anon_sym_getpeername] = ACTIONS(2309),
    [anon_sym_getnetbyname] = ACTIONS(2309),
    [anon_sym_getsockname] = ACTIONS(2309),
    [anon_sym_getgrnam] = ACTIONS(2309),
    [anon_sym_getgrgid] = ACTIONS(2309),
    [anon_sym_hex] = ACTIONS(2309),
    [anon_sym_int] = ACTIONS(2309),
    [anon_sym_keys] = ACTIONS(2309),
    [anon_sym_lc] = ACTIONS(2309),
    [anon_sym_lcfirst] = ACTIONS(2309),
    [anon_sym_length] = ACTIONS(2309),
    [anon_sym_localtime] = ACTIONS(2309),
    [anon_sym_log] = ACTIONS(2309),
    [anon_sym_lock] = ACTIONS(2309),
    [anon_sym_lstat] = ACTIONS(2309),
    [anon_sym_oct] = ACTIONS(2309),
    [anon_sym_ord] = ACTIONS(2309),
    [anon_sym_prototype] = ACTIONS(2309),
    [anon_sym_pop] = ACTIONS(2309),
    [anon_sym_pos] = ACTIONS(2309),
    [anon_sym_quotemeta] = ACTIONS(2309),
    [anon_sym_reset] = ACTIONS(2309),
    [anon_sym_rand] = ACTIONS(2309),
    [anon_sym_rmdir] = ACTIONS(2309),
    [anon_sym_readdir] = ACTIONS(2309),
    [anon_sym_readline] = ACTIONS(2309),
    [anon_sym_readpipe] = ACTIONS(2309),
    [anon_sym_rewinddir] = ACTIONS(2309),
    [anon_sym_readlink] = ACTIONS(2309),
    [anon_sym_ref] = ACTIONS(2309),
    [anon_sym_scalar] = ACTIONS(2309),
    [anon_sym_shift] = ACTIONS(2309),
    [anon_sym_sin] = ACTIONS(2309),
    [anon_sym_sleep] = ACTIONS(2309),
    [anon_sym_sqrt] = ACTIONS(2309),
    [anon_sym_srand] = ACTIONS(2309),
    [anon_sym_stat] = ACTIONS(2309),
    [anon_sym_study] = ACTIONS(2309),
    [anon_sym_tell] = ACTIONS(2309),
    [anon_sym_telldir] = ACTIONS(2309),
    [anon_sym_tied] = ACTIONS(2309),
    [anon_sym_uc] = ACTIONS(2309),
    [anon_sym_ucfirst] = ACTIONS(2309),
    [anon_sym_untie] = ACTIONS(2309),
    [anon_sym_umask] = ACTIONS(2309),
    [anon_sym_values] = ACTIONS(2309),
    [anon_sym_write] = ACTIONS(2309),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2309),
    [anon_sym_qq] = ACTIONS(2309),
    [anon_sym_qw] = ACTIONS(2309),
    [anon_sym_qx] = ACTIONS(2309),
    [anon_sym_qr] = ACTIONS(2309),
    [anon_sym_m] = ACTIONS(2309),
    [anon_sym_s] = ACTIONS(2309),
    [anon_sym_tr] = ACTIONS(2309),
    [anon_sym_y] = ACTIONS(2309),
    [aux_sym__bareword_token1] = ACTIONS(2309),
    [sym_number] = ACTIONS(2309),
    [anon_sym_true] = ACTIONS(2309),
    [anon_sym_false] = ACTIONS(2309),
    [sym__single_quote] = ACTIONS(2307),
    [sym__double_quote] = ACTIONS(2307),
    [sym__backtick_quote] = ACTIONS(2307),
    [sym__search_slash_quote] = ACTIONS(2307),
    [sym__open_readline_bracket] = ACTIONS(2307),
    [sym__open_fileglob_bracket] = ACTIONS(2307),
    [sym__PERLY_HEREDOC] = ACTIONS(2307),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2307),
    [sym__filetest] = ACTIONS(2307),
  },
  [1165] = {
    [sym_heredoc_content] = STATE(1165),
    [sym__identifier] = ACTIONS(2313),
    [anon_sym_LBRACE] = ACTIONS(2313),
    [anon_sym_DOLLAR] = ACTIONS(2313),
    [anon_sym_AT] = ACTIONS(2313),
    [anon_sym_RPAREN] = ACTIONS(2313),
    [anon_sym_my] = ACTIONS(2313),
    [anon_sym_extended] = ACTIONS(2313),
    [anon_sym_async] = ACTIONS(2313),
    [anon_sym_sub] = ACTIONS(2313),
    [anon_sym_method] = ACTIONS(2313),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_continue] = ACTIONS(2313),
    [anon_sym_state] = ACTIONS(2313),
    [anon_sym_our] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(2313),
    [anon_sym_LT_LT] = ACTIONS(2313),
    [anon_sym_SLASH_SLASH] = ACTIONS(2313),
    [anon_sym_PLUS] = ACTIONS(2313),
    [anon_sym_DASH] = ACTIONS(2313),
    [anon_sym_TILDE] = ACTIONS(2313),
    [anon_sym_BANG] = ACTIONS(2313),
    [anon_sym_PLUS_PLUS] = ACTIONS(2313),
    [anon_sym_DASH_DASH] = ACTIONS(2313),
    [anon_sym_BSLASH] = ACTIONS(2311),
    [anon_sym_do] = ACTIONS(2313),
    [anon_sym_eval] = ACTIONS(2313),
    [anon_sym_await] = ACTIONS(2313),
    [anon_sym_field] = ACTIONS(2313),
    [anon_sym_local] = ACTIONS(2313),
    [anon_sym_dynamically] = ACTIONS(2313),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2313),
    [anon_sym_require] = ACTIONS(2313),
    [anon_sym_map] = ACTIONS(2313),
    [anon_sym_grep] = ACTIONS(2313),
    [anon_sym_sort] = ACTIONS(2313),
    [anon_sym_goto] = ACTIONS(2313),
    [anon_sym_return] = ACTIONS(2313),
    [anon_sym_undef] = ACTIONS(2313),
    [anon_sym_PERCENT2] = ACTIONS(2313),
    [anon_sym_AMP2] = ACTIONS(2313),
    [anon_sym_STAR2] = ACTIONS(2313),
    [anon_sym_last] = ACTIONS(2313),
    [anon_sym_next] = ACTIONS(2313),
    [anon_sym_redo] = ACTIONS(2313),
    [anon_sym___FILE__] = ACTIONS(2313),
    [anon_sym___LINE__] = ACTIONS(2313),
    [anon_sym___PACKAGE__] = ACTIONS(2313),
    [anon_sym___SUB__] = ACTIONS(2313),
    [anon_sym_break] = ACTIONS(2313),
    [anon_sym_fork] = ACTIONS(2313),
    [anon_sym_getppid] = ACTIONS(2313),
    [anon_sym_time] = ACTIONS(2313),
    [anon_sym_times] = ACTIONS(2313),
    [anon_sym_wait] = ACTIONS(2313),
    [anon_sym_wantarray] = ACTIONS(2313),
    [anon_sym_abs] = ACTIONS(2313),
    [anon_sym_alarm] = ACTIONS(2313),
    [anon_sym_chop] = ACTIONS(2313),
    [anon_sym_chdir] = ACTIONS(2313),
    [anon_sym_close] = ACTIONS(2313),
    [anon_sym_closedir] = ACTIONS(2313),
    [anon_sym_caller] = ACTIONS(2313),
    [anon_sym_chomp] = ACTIONS(2313),
    [anon_sym_chr] = ACTIONS(2313),
    [anon_sym_cos] = ACTIONS(2313),
    [anon_sym_chroot] = ACTIONS(2313),
    [anon_sym_defined] = ACTIONS(2313),
    [anon_sym_delete] = ACTIONS(2313),
    [anon_sym_dbmclose] = ACTIONS(2313),
    [anon_sym_exists] = ACTIONS(2313),
    [anon_sym_exit] = ACTIONS(2313),
    [anon_sym_eof] = ACTIONS(2313),
    [anon_sym_exp] = ACTIONS(2313),
    [anon_sym_each] = ACTIONS(2313),
    [anon_sym_fc] = ACTIONS(2313),
    [anon_sym_fileno] = ACTIONS(2313),
    [anon_sym_gmtime] = ACTIONS(2313),
    [anon_sym_getc] = ACTIONS(2313),
    [anon_sym_getpgrp] = ACTIONS(2313),
    [anon_sym_getprotobyname] = ACTIONS(2313),
    [anon_sym_getpwname] = ACTIONS(2313),
    [anon_sym_getpwuid] = ACTIONS(2313),
    [anon_sym_getpeername] = ACTIONS(2313),
    [anon_sym_getnetbyname] = ACTIONS(2313),
    [anon_sym_getsockname] = ACTIONS(2313),
    [anon_sym_getgrnam] = ACTIONS(2313),
    [anon_sym_getgrgid] = ACTIONS(2313),
    [anon_sym_hex] = ACTIONS(2313),
    [anon_sym_int] = ACTIONS(2313),
    [anon_sym_keys] = ACTIONS(2313),
    [anon_sym_lc] = ACTIONS(2313),
    [anon_sym_lcfirst] = ACTIONS(2313),
    [anon_sym_length] = ACTIONS(2313),
    [anon_sym_localtime] = ACTIONS(2313),
    [anon_sym_log] = ACTIONS(2313),
    [anon_sym_lock] = ACTIONS(2313),
    [anon_sym_lstat] = ACTIONS(2313),
    [anon_sym_oct] = ACTIONS(2313),
    [anon_sym_ord] = ACTIONS(2313),
    [anon_sym_prototype] = ACTIONS(2313),
    [anon_sym_pop] = ACTIONS(2313),
    [anon_sym_pos] = ACTIONS(2313),
    [anon_sym_quotemeta] = ACTIONS(2313),
    [anon_sym_reset] = ACTIONS(2313),
    [anon_sym_rand] = ACTIONS(2313),
    [anon_sym_rmdir] = ACTIONS(2313),
    [anon_sym_readdir] = ACTIONS(2313),
    [anon_sym_readline] = ACTIONS(2313),
    [anon_sym_readpipe] = ACTIONS(2313),
    [anon_sym_rewinddir] = ACTIONS(2313),
    [anon_sym_readlink] = ACTIONS(2313),
    [anon_sym_ref] = ACTIONS(2313),
    [anon_sym_scalar] = ACTIONS(2313),
    [anon_sym_shift] = ACTIONS(2313),
    [anon_sym_sin] = ACTIONS(2313),
    [anon_sym_sleep] = ACTIONS(2313),
    [anon_sym_sqrt] = ACTIONS(2313),
    [anon_sym_srand] = ACTIONS(2313),
    [anon_sym_stat] = ACTIONS(2313),
    [anon_sym_study] = ACTIONS(2313),
    [anon_sym_tell] = ACTIONS(2313),
    [anon_sym_telldir] = ACTIONS(2313),
    [anon_sym_tied] = ACTIONS(2313),
    [anon_sym_uc] = ACTIONS(2313),
    [anon_sym_ucfirst] = ACTIONS(2313),
    [anon_sym_untie] = ACTIONS(2313),
    [anon_sym_umask] = ACTIONS(2313),
    [anon_sym_values] = ACTIONS(2313),
    [anon_sym_write] = ACTIONS(2313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2313),
    [anon_sym_qq] = ACTIONS(2313),
    [anon_sym_qw] = ACTIONS(2313),
    [anon_sym_qx] = ACTIONS(2313),
    [anon_sym_qr] = ACTIONS(2313),
    [anon_sym_m] = ACTIONS(2313),
    [anon_sym_s] = ACTIONS(2313),
    [anon_sym_tr] = ACTIONS(2313),
    [anon_sym_y] = ACTIONS(2313),
    [aux_sym__bareword_token1] = ACTIONS(2313),
    [sym_number] = ACTIONS(2313),
    [anon_sym_true] = ACTIONS(2313),
    [anon_sym_false] = ACTIONS(2313),
    [sym__single_quote] = ACTIONS(2311),
    [sym__double_quote] = ACTIONS(2311),
    [sym__backtick_quote] = ACTIONS(2311),
    [sym__search_slash_quote] = ACTIONS(2311),
    [sym__open_readline_bracket] = ACTIONS(2311),
    [sym__open_fileglob_bracket] = ACTIONS(2311),
    [sym__PERLY_HEREDOC] = ACTIONS(2311),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2311),
    [sym__filetest] = ACTIONS(2311),
  },
  [1166] = {
    [sym_heredoc_content] = STATE(1166),
    [sym__identifier] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_DOLLAR] = ACTIONS(2317),
    [anon_sym_AT] = ACTIONS(2317),
    [anon_sym_RPAREN] = ACTIONS(2317),
    [anon_sym_my] = ACTIONS(2317),
    [anon_sym_extended] = ACTIONS(2317),
    [anon_sym_async] = ACTIONS(2317),
    [anon_sym_sub] = ACTIONS(2317),
    [anon_sym_method] = ACTIONS(2317),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_continue] = ACTIONS(2317),
    [anon_sym_state] = ACTIONS(2317),
    [anon_sym_our] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_LT_LT] = ACTIONS(2317),
    [anon_sym_SLASH_SLASH] = ACTIONS(2317),
    [anon_sym_PLUS] = ACTIONS(2317),
    [anon_sym_DASH] = ACTIONS(2317),
    [anon_sym_TILDE] = ACTIONS(2317),
    [anon_sym_BANG] = ACTIONS(2317),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_BSLASH] = ACTIONS(2315),
    [anon_sym_do] = ACTIONS(2317),
    [anon_sym_eval] = ACTIONS(2317),
    [anon_sym_await] = ACTIONS(2317),
    [anon_sym_field] = ACTIONS(2317),
    [anon_sym_local] = ACTIONS(2317),
    [anon_sym_dynamically] = ACTIONS(2317),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2317),
    [anon_sym_require] = ACTIONS(2317),
    [anon_sym_map] = ACTIONS(2317),
    [anon_sym_grep] = ACTIONS(2317),
    [anon_sym_sort] = ACTIONS(2317),
    [anon_sym_goto] = ACTIONS(2317),
    [anon_sym_return] = ACTIONS(2317),
    [anon_sym_undef] = ACTIONS(2317),
    [anon_sym_PERCENT2] = ACTIONS(2317),
    [anon_sym_AMP2] = ACTIONS(2317),
    [anon_sym_STAR2] = ACTIONS(2317),
    [anon_sym_last] = ACTIONS(2317),
    [anon_sym_next] = ACTIONS(2317),
    [anon_sym_redo] = ACTIONS(2317),
    [anon_sym___FILE__] = ACTIONS(2317),
    [anon_sym___LINE__] = ACTIONS(2317),
    [anon_sym___PACKAGE__] = ACTIONS(2317),
    [anon_sym___SUB__] = ACTIONS(2317),
    [anon_sym_break] = ACTIONS(2317),
    [anon_sym_fork] = ACTIONS(2317),
    [anon_sym_getppid] = ACTIONS(2317),
    [anon_sym_time] = ACTIONS(2317),
    [anon_sym_times] = ACTIONS(2317),
    [anon_sym_wait] = ACTIONS(2317),
    [anon_sym_wantarray] = ACTIONS(2317),
    [anon_sym_abs] = ACTIONS(2317),
    [anon_sym_alarm] = ACTIONS(2317),
    [anon_sym_chop] = ACTIONS(2317),
    [anon_sym_chdir] = ACTIONS(2317),
    [anon_sym_close] = ACTIONS(2317),
    [anon_sym_closedir] = ACTIONS(2317),
    [anon_sym_caller] = ACTIONS(2317),
    [anon_sym_chomp] = ACTIONS(2317),
    [anon_sym_chr] = ACTIONS(2317),
    [anon_sym_cos] = ACTIONS(2317),
    [anon_sym_chroot] = ACTIONS(2317),
    [anon_sym_defined] = ACTIONS(2317),
    [anon_sym_delete] = ACTIONS(2317),
    [anon_sym_dbmclose] = ACTIONS(2317),
    [anon_sym_exists] = ACTIONS(2317),
    [anon_sym_exit] = ACTIONS(2317),
    [anon_sym_eof] = ACTIONS(2317),
    [anon_sym_exp] = ACTIONS(2317),
    [anon_sym_each] = ACTIONS(2317),
    [anon_sym_fc] = ACTIONS(2317),
    [anon_sym_fileno] = ACTIONS(2317),
    [anon_sym_gmtime] = ACTIONS(2317),
    [anon_sym_getc] = ACTIONS(2317),
    [anon_sym_getpgrp] = ACTIONS(2317),
    [anon_sym_getprotobyname] = ACTIONS(2317),
    [anon_sym_getpwname] = ACTIONS(2317),
    [anon_sym_getpwuid] = ACTIONS(2317),
    [anon_sym_getpeername] = ACTIONS(2317),
    [anon_sym_getnetbyname] = ACTIONS(2317),
    [anon_sym_getsockname] = ACTIONS(2317),
    [anon_sym_getgrnam] = ACTIONS(2317),
    [anon_sym_getgrgid] = ACTIONS(2317),
    [anon_sym_hex] = ACTIONS(2317),
    [anon_sym_int] = ACTIONS(2317),
    [anon_sym_keys] = ACTIONS(2317),
    [anon_sym_lc] = ACTIONS(2317),
    [anon_sym_lcfirst] = ACTIONS(2317),
    [anon_sym_length] = ACTIONS(2317),
    [anon_sym_localtime] = ACTIONS(2317),
    [anon_sym_log] = ACTIONS(2317),
    [anon_sym_lock] = ACTIONS(2317),
    [anon_sym_lstat] = ACTIONS(2317),
    [anon_sym_oct] = ACTIONS(2317),
    [anon_sym_ord] = ACTIONS(2317),
    [anon_sym_prototype] = ACTIONS(2317),
    [anon_sym_pop] = ACTIONS(2317),
    [anon_sym_pos] = ACTIONS(2317),
    [anon_sym_quotemeta] = ACTIONS(2317),
    [anon_sym_reset] = ACTIONS(2317),
    [anon_sym_rand] = ACTIONS(2317),
    [anon_sym_rmdir] = ACTIONS(2317),
    [anon_sym_readdir] = ACTIONS(2317),
    [anon_sym_readline] = ACTIONS(2317),
    [anon_sym_readpipe] = ACTIONS(2317),
    [anon_sym_rewinddir] = ACTIONS(2317),
    [anon_sym_readlink] = ACTIONS(2317),
    [anon_sym_ref] = ACTIONS(2317),
    [anon_sym_scalar] = ACTIONS(2317),
    [anon_sym_shift] = ACTIONS(2317),
    [anon_sym_sin] = ACTIONS(2317),
    [anon_sym_sleep] = ACTIONS(2317),
    [anon_sym_sqrt] = ACTIONS(2317),
    [anon_sym_srand] = ACTIONS(2317),
    [anon_sym_stat] = ACTIONS(2317),
    [anon_sym_study] = ACTIONS(2317),
    [anon_sym_tell] = ACTIONS(2317),
    [anon_sym_telldir] = ACTIONS(2317),
    [anon_sym_tied] = ACTIONS(2317),
    [anon_sym_uc] = ACTIONS(2317),
    [anon_sym_ucfirst] = ACTIONS(2317),
    [anon_sym_untie] = ACTIONS(2317),
    [anon_sym_umask] = ACTIONS(2317),
    [anon_sym_values] = ACTIONS(2317),
    [anon_sym_write] = ACTIONS(2317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2317),
    [anon_sym_qq] = ACTIONS(2317),
    [anon_sym_qw] = ACTIONS(2317),
    [anon_sym_qx] = ACTIONS(2317),
    [anon_sym_qr] = ACTIONS(2317),
    [anon_sym_m] = ACTIONS(2317),
    [anon_sym_s] = ACTIONS(2317),
    [anon_sym_tr] = ACTIONS(2317),
    [anon_sym_y] = ACTIONS(2317),
    [aux_sym__bareword_token1] = ACTIONS(2317),
    [sym_number] = ACTIONS(2317),
    [anon_sym_true] = ACTIONS(2317),
    [anon_sym_false] = ACTIONS(2317),
    [sym__single_quote] = ACTIONS(2315),
    [sym__double_quote] = ACTIONS(2315),
    [sym__backtick_quote] = ACTIONS(2315),
    [sym__search_slash_quote] = ACTIONS(2315),
    [sym__open_readline_bracket] = ACTIONS(2315),
    [sym__open_fileglob_bracket] = ACTIONS(2315),
    [sym__PERLY_HEREDOC] = ACTIONS(2315),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2315),
    [sym__filetest] = ACTIONS(2315),
  },
  [1167] = {
    [sym_heredoc_content] = STATE(1167),
    [sym__identifier] = ACTIONS(2321),
    [anon_sym_LBRACE] = ACTIONS(2321),
    [anon_sym_DOLLAR] = ACTIONS(2321),
    [anon_sym_AT] = ACTIONS(2321),
    [anon_sym_RPAREN] = ACTIONS(2321),
    [anon_sym_my] = ACTIONS(2321),
    [anon_sym_extended] = ACTIONS(2321),
    [anon_sym_async] = ACTIONS(2321),
    [anon_sym_sub] = ACTIONS(2321),
    [anon_sym_method] = ACTIONS(2321),
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_continue] = ACTIONS(2321),
    [anon_sym_state] = ACTIONS(2321),
    [anon_sym_our] = ACTIONS(2321),
    [anon_sym_LBRACK] = ACTIONS(2321),
    [anon_sym_LT_LT] = ACTIONS(2321),
    [anon_sym_SLASH_SLASH] = ACTIONS(2321),
    [anon_sym_PLUS] = ACTIONS(2321),
    [anon_sym_DASH] = ACTIONS(2321),
    [anon_sym_TILDE] = ACTIONS(2321),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_PLUS_PLUS] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(2321),
    [anon_sym_BSLASH] = ACTIONS(2319),
    [anon_sym_do] = ACTIONS(2321),
    [anon_sym_eval] = ACTIONS(2321),
    [anon_sym_await] = ACTIONS(2321),
    [anon_sym_field] = ACTIONS(2321),
    [anon_sym_local] = ACTIONS(2321),
    [anon_sym_dynamically] = ACTIONS(2321),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2321),
    [anon_sym_require] = ACTIONS(2321),
    [anon_sym_map] = ACTIONS(2321),
    [anon_sym_grep] = ACTIONS(2321),
    [anon_sym_sort] = ACTIONS(2321),
    [anon_sym_goto] = ACTIONS(2321),
    [anon_sym_return] = ACTIONS(2321),
    [anon_sym_undef] = ACTIONS(2321),
    [anon_sym_PERCENT2] = ACTIONS(2321),
    [anon_sym_AMP2] = ACTIONS(2321),
    [anon_sym_STAR2] = ACTIONS(2321),
    [anon_sym_last] = ACTIONS(2321),
    [anon_sym_next] = ACTIONS(2321),
    [anon_sym_redo] = ACTIONS(2321),
    [anon_sym___FILE__] = ACTIONS(2321),
    [anon_sym___LINE__] = ACTIONS(2321),
    [anon_sym___PACKAGE__] = ACTIONS(2321),
    [anon_sym___SUB__] = ACTIONS(2321),
    [anon_sym_break] = ACTIONS(2321),
    [anon_sym_fork] = ACTIONS(2321),
    [anon_sym_getppid] = ACTIONS(2321),
    [anon_sym_time] = ACTIONS(2321),
    [anon_sym_times] = ACTIONS(2321),
    [anon_sym_wait] = ACTIONS(2321),
    [anon_sym_wantarray] = ACTIONS(2321),
    [anon_sym_abs] = ACTIONS(2321),
    [anon_sym_alarm] = ACTIONS(2321),
    [anon_sym_chop] = ACTIONS(2321),
    [anon_sym_chdir] = ACTIONS(2321),
    [anon_sym_close] = ACTIONS(2321),
    [anon_sym_closedir] = ACTIONS(2321),
    [anon_sym_caller] = ACTIONS(2321),
    [anon_sym_chomp] = ACTIONS(2321),
    [anon_sym_chr] = ACTIONS(2321),
    [anon_sym_cos] = ACTIONS(2321),
    [anon_sym_chroot] = ACTIONS(2321),
    [anon_sym_defined] = ACTIONS(2321),
    [anon_sym_delete] = ACTIONS(2321),
    [anon_sym_dbmclose] = ACTIONS(2321),
    [anon_sym_exists] = ACTIONS(2321),
    [anon_sym_exit] = ACTIONS(2321),
    [anon_sym_eof] = ACTIONS(2321),
    [anon_sym_exp] = ACTIONS(2321),
    [anon_sym_each] = ACTIONS(2321),
    [anon_sym_fc] = ACTIONS(2321),
    [anon_sym_fileno] = ACTIONS(2321),
    [anon_sym_gmtime] = ACTIONS(2321),
    [anon_sym_getc] = ACTIONS(2321),
    [anon_sym_getpgrp] = ACTIONS(2321),
    [anon_sym_getprotobyname] = ACTIONS(2321),
    [anon_sym_getpwname] = ACTIONS(2321),
    [anon_sym_getpwuid] = ACTIONS(2321),
    [anon_sym_getpeername] = ACTIONS(2321),
    [anon_sym_getnetbyname] = ACTIONS(2321),
    [anon_sym_getsockname] = ACTIONS(2321),
    [anon_sym_getgrnam] = ACTIONS(2321),
    [anon_sym_getgrgid] = ACTIONS(2321),
    [anon_sym_hex] = ACTIONS(2321),
    [anon_sym_int] = ACTIONS(2321),
    [anon_sym_keys] = ACTIONS(2321),
    [anon_sym_lc] = ACTIONS(2321),
    [anon_sym_lcfirst] = ACTIONS(2321),
    [anon_sym_length] = ACTIONS(2321),
    [anon_sym_localtime] = ACTIONS(2321),
    [anon_sym_log] = ACTIONS(2321),
    [anon_sym_lock] = ACTIONS(2321),
    [anon_sym_lstat] = ACTIONS(2321),
    [anon_sym_oct] = ACTIONS(2321),
    [anon_sym_ord] = ACTIONS(2321),
    [anon_sym_prototype] = ACTIONS(2321),
    [anon_sym_pop] = ACTIONS(2321),
    [anon_sym_pos] = ACTIONS(2321),
    [anon_sym_quotemeta] = ACTIONS(2321),
    [anon_sym_reset] = ACTIONS(2321),
    [anon_sym_rand] = ACTIONS(2321),
    [anon_sym_rmdir] = ACTIONS(2321),
    [anon_sym_readdir] = ACTIONS(2321),
    [anon_sym_readline] = ACTIONS(2321),
    [anon_sym_readpipe] = ACTIONS(2321),
    [anon_sym_rewinddir] = ACTIONS(2321),
    [anon_sym_readlink] = ACTIONS(2321),
    [anon_sym_ref] = ACTIONS(2321),
    [anon_sym_scalar] = ACTIONS(2321),
    [anon_sym_shift] = ACTIONS(2321),
    [anon_sym_sin] = ACTIONS(2321),
    [anon_sym_sleep] = ACTIONS(2321),
    [anon_sym_sqrt] = ACTIONS(2321),
    [anon_sym_srand] = ACTIONS(2321),
    [anon_sym_stat] = ACTIONS(2321),
    [anon_sym_study] = ACTIONS(2321),
    [anon_sym_tell] = ACTIONS(2321),
    [anon_sym_telldir] = ACTIONS(2321),
    [anon_sym_tied] = ACTIONS(2321),
    [anon_sym_uc] = ACTIONS(2321),
    [anon_sym_ucfirst] = ACTIONS(2321),
    [anon_sym_untie] = ACTIONS(2321),
    [anon_sym_umask] = ACTIONS(2321),
    [anon_sym_values] = ACTIONS(2321),
    [anon_sym_write] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2321),
    [anon_sym_qq] = ACTIONS(2321),
    [anon_sym_qw] = ACTIONS(2321),
    [anon_sym_qx] = ACTIONS(2321),
    [anon_sym_qr] = ACTIONS(2321),
    [anon_sym_m] = ACTIONS(2321),
    [anon_sym_s] = ACTIONS(2321),
    [anon_sym_tr] = ACTIONS(2321),
    [anon_sym_y] = ACTIONS(2321),
    [aux_sym__bareword_token1] = ACTIONS(2321),
    [sym_number] = ACTIONS(2321),
    [anon_sym_true] = ACTIONS(2321),
    [anon_sym_false] = ACTIONS(2321),
    [sym__single_quote] = ACTIONS(2319),
    [sym__double_quote] = ACTIONS(2319),
    [sym__backtick_quote] = ACTIONS(2319),
    [sym__search_slash_quote] = ACTIONS(2319),
    [sym__open_readline_bracket] = ACTIONS(2319),
    [sym__open_fileglob_bracket] = ACTIONS(2319),
    [sym__PERLY_HEREDOC] = ACTIONS(2319),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2319),
    [sym__filetest] = ACTIONS(2319),
  },
  [1168] = {
    [sym_heredoc_content] = STATE(1168),
    [sym__identifier] = ACTIONS(2325),
    [anon_sym_LBRACE] = ACTIONS(2325),
    [anon_sym_DOLLAR] = ACTIONS(2325),
    [anon_sym_AT] = ACTIONS(2325),
    [anon_sym_RPAREN] = ACTIONS(2325),
    [anon_sym_my] = ACTIONS(2325),
    [anon_sym_extended] = ACTIONS(2325),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_sub] = ACTIONS(2325),
    [anon_sym_method] = ACTIONS(2325),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_continue] = ACTIONS(2401),
    [anon_sym_state] = ACTIONS(2325),
    [anon_sym_our] = ACTIONS(2325),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_LT_LT] = ACTIONS(2325),
    [anon_sym_SLASH_SLASH] = ACTIONS(2325),
    [anon_sym_PLUS] = ACTIONS(2325),
    [anon_sym_DASH] = ACTIONS(2325),
    [anon_sym_TILDE] = ACTIONS(2325),
    [anon_sym_BANG] = ACTIONS(2325),
    [anon_sym_PLUS_PLUS] = ACTIONS(2325),
    [anon_sym_DASH_DASH] = ACTIONS(2325),
    [anon_sym_BSLASH] = ACTIONS(2323),
    [anon_sym_do] = ACTIONS(2325),
    [anon_sym_eval] = ACTIONS(2325),
    [anon_sym_await] = ACTIONS(2325),
    [anon_sym_field] = ACTIONS(2325),
    [anon_sym_local] = ACTIONS(2325),
    [anon_sym_dynamically] = ACTIONS(2325),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2325),
    [anon_sym_require] = ACTIONS(2325),
    [anon_sym_map] = ACTIONS(2325),
    [anon_sym_grep] = ACTIONS(2325),
    [anon_sym_sort] = ACTIONS(2325),
    [anon_sym_goto] = ACTIONS(2325),
    [anon_sym_return] = ACTIONS(2325),
    [anon_sym_undef] = ACTIONS(2325),
    [anon_sym_PERCENT2] = ACTIONS(2325),
    [anon_sym_AMP2] = ACTIONS(2325),
    [anon_sym_STAR2] = ACTIONS(2325),
    [anon_sym_last] = ACTIONS(2325),
    [anon_sym_next] = ACTIONS(2325),
    [anon_sym_redo] = ACTIONS(2325),
    [anon_sym___FILE__] = ACTIONS(2325),
    [anon_sym___LINE__] = ACTIONS(2325),
    [anon_sym___PACKAGE__] = ACTIONS(2325),
    [anon_sym___SUB__] = ACTIONS(2325),
    [anon_sym_break] = ACTIONS(2325),
    [anon_sym_fork] = ACTIONS(2325),
    [anon_sym_getppid] = ACTIONS(2325),
    [anon_sym_time] = ACTIONS(2325),
    [anon_sym_times] = ACTIONS(2325),
    [anon_sym_wait] = ACTIONS(2325),
    [anon_sym_wantarray] = ACTIONS(2325),
    [anon_sym_abs] = ACTIONS(2325),
    [anon_sym_alarm] = ACTIONS(2325),
    [anon_sym_chop] = ACTIONS(2325),
    [anon_sym_chdir] = ACTIONS(2325),
    [anon_sym_close] = ACTIONS(2325),
    [anon_sym_closedir] = ACTIONS(2325),
    [anon_sym_caller] = ACTIONS(2325),
    [anon_sym_chomp] = ACTIONS(2325),
    [anon_sym_chr] = ACTIONS(2325),
    [anon_sym_cos] = ACTIONS(2325),
    [anon_sym_chroot] = ACTIONS(2325),
    [anon_sym_defined] = ACTIONS(2325),
    [anon_sym_delete] = ACTIONS(2325),
    [anon_sym_dbmclose] = ACTIONS(2325),
    [anon_sym_exists] = ACTIONS(2325),
    [anon_sym_exit] = ACTIONS(2325),
    [anon_sym_eof] = ACTIONS(2325),
    [anon_sym_exp] = ACTIONS(2325),
    [anon_sym_each] = ACTIONS(2325),
    [anon_sym_fc] = ACTIONS(2325),
    [anon_sym_fileno] = ACTIONS(2325),
    [anon_sym_gmtime] = ACTIONS(2325),
    [anon_sym_getc] = ACTIONS(2325),
    [anon_sym_getpgrp] = ACTIONS(2325),
    [anon_sym_getprotobyname] = ACTIONS(2325),
    [anon_sym_getpwname] = ACTIONS(2325),
    [anon_sym_getpwuid] = ACTIONS(2325),
    [anon_sym_getpeername] = ACTIONS(2325),
    [anon_sym_getnetbyname] = ACTIONS(2325),
    [anon_sym_getsockname] = ACTIONS(2325),
    [anon_sym_getgrnam] = ACTIONS(2325),
    [anon_sym_getgrgid] = ACTIONS(2325),
    [anon_sym_hex] = ACTIONS(2325),
    [anon_sym_int] = ACTIONS(2325),
    [anon_sym_keys] = ACTIONS(2325),
    [anon_sym_lc] = ACTIONS(2325),
    [anon_sym_lcfirst] = ACTIONS(2325),
    [anon_sym_length] = ACTIONS(2325),
    [anon_sym_localtime] = ACTIONS(2325),
    [anon_sym_log] = ACTIONS(2325),
    [anon_sym_lock] = ACTIONS(2325),
    [anon_sym_lstat] = ACTIONS(2325),
    [anon_sym_oct] = ACTIONS(2325),
    [anon_sym_ord] = ACTIONS(2325),
    [anon_sym_prototype] = ACTIONS(2325),
    [anon_sym_pop] = ACTIONS(2325),
    [anon_sym_pos] = ACTIONS(2325),
    [anon_sym_quotemeta] = ACTIONS(2325),
    [anon_sym_reset] = ACTIONS(2325),
    [anon_sym_rand] = ACTIONS(2325),
    [anon_sym_rmdir] = ACTIONS(2325),
    [anon_sym_readdir] = ACTIONS(2325),
    [anon_sym_readline] = ACTIONS(2325),
    [anon_sym_readpipe] = ACTIONS(2325),
    [anon_sym_rewinddir] = ACTIONS(2325),
    [anon_sym_readlink] = ACTIONS(2325),
    [anon_sym_ref] = ACTIONS(2325),
    [anon_sym_scalar] = ACTIONS(2325),
    [anon_sym_shift] = ACTIONS(2325),
    [anon_sym_sin] = ACTIONS(2325),
    [anon_sym_sleep] = ACTIONS(2325),
    [anon_sym_sqrt] = ACTIONS(2325),
    [anon_sym_srand] = ACTIONS(2325),
    [anon_sym_stat] = ACTIONS(2325),
    [anon_sym_study] = ACTIONS(2325),
    [anon_sym_tell] = ACTIONS(2325),
    [anon_sym_telldir] = ACTIONS(2325),
    [anon_sym_tied] = ACTIONS(2325),
    [anon_sym_uc] = ACTIONS(2325),
    [anon_sym_ucfirst] = ACTIONS(2325),
    [anon_sym_untie] = ACTIONS(2325),
    [anon_sym_umask] = ACTIONS(2325),
    [anon_sym_values] = ACTIONS(2325),
    [anon_sym_write] = ACTIONS(2325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2325),
    [anon_sym_qq] = ACTIONS(2325),
    [anon_sym_qw] = ACTIONS(2325),
    [anon_sym_qx] = ACTIONS(2325),
    [anon_sym_qr] = ACTIONS(2325),
    [anon_sym_m] = ACTIONS(2325),
    [anon_sym_s] = ACTIONS(2325),
    [anon_sym_tr] = ACTIONS(2325),
    [anon_sym_y] = ACTIONS(2325),
    [aux_sym__bareword_token1] = ACTIONS(2325),
    [sym_number] = ACTIONS(2325),
    [anon_sym_true] = ACTIONS(2325),
    [anon_sym_false] = ACTIONS(2325),
    [sym__single_quote] = ACTIONS(2323),
    [sym__double_quote] = ACTIONS(2323),
    [sym__backtick_quote] = ACTIONS(2323),
    [sym__search_slash_quote] = ACTIONS(2323),
    [sym__open_readline_bracket] = ACTIONS(2323),
    [sym__open_fileglob_bracket] = ACTIONS(2323),
    [sym__PERLY_HEREDOC] = ACTIONS(2323),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2323),
    [sym__filetest] = ACTIONS(2323),
  },
  [1169] = {
    [sym_heredoc_content] = STATE(1169),
    [sym__identifier] = ACTIONS(2332),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_DOLLAR] = ACTIONS(2332),
    [anon_sym_AT] = ACTIONS(2332),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_my] = ACTIONS(2332),
    [anon_sym_extended] = ACTIONS(2332),
    [anon_sym_async] = ACTIONS(2332),
    [anon_sym_sub] = ACTIONS(2332),
    [anon_sym_method] = ACTIONS(2332),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_continue] = ACTIONS(2332),
    [anon_sym_state] = ACTIONS(2332),
    [anon_sym_our] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_LT_LT] = ACTIONS(2332),
    [anon_sym_SLASH_SLASH] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_BSLASH] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2332),
    [anon_sym_eval] = ACTIONS(2332),
    [anon_sym_await] = ACTIONS(2332),
    [anon_sym_field] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2332),
    [anon_sym_dynamically] = ACTIONS(2332),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2332),
    [anon_sym_require] = ACTIONS(2332),
    [anon_sym_map] = ACTIONS(2332),
    [anon_sym_grep] = ACTIONS(2332),
    [anon_sym_sort] = ACTIONS(2332),
    [anon_sym_goto] = ACTIONS(2332),
    [anon_sym_return] = ACTIONS(2332),
    [anon_sym_undef] = ACTIONS(2332),
    [anon_sym_PERCENT2] = ACTIONS(2332),
    [anon_sym_AMP2] = ACTIONS(2332),
    [anon_sym_STAR2] = ACTIONS(2332),
    [anon_sym_last] = ACTIONS(2332),
    [anon_sym_next] = ACTIONS(2332),
    [anon_sym_redo] = ACTIONS(2332),
    [anon_sym___FILE__] = ACTIONS(2332),
    [anon_sym___LINE__] = ACTIONS(2332),
    [anon_sym___PACKAGE__] = ACTIONS(2332),
    [anon_sym___SUB__] = ACTIONS(2332),
    [anon_sym_break] = ACTIONS(2332),
    [anon_sym_fork] = ACTIONS(2332),
    [anon_sym_getppid] = ACTIONS(2332),
    [anon_sym_time] = ACTIONS(2332),
    [anon_sym_times] = ACTIONS(2332),
    [anon_sym_wait] = ACTIONS(2332),
    [anon_sym_wantarray] = ACTIONS(2332),
    [anon_sym_abs] = ACTIONS(2332),
    [anon_sym_alarm] = ACTIONS(2332),
    [anon_sym_chop] = ACTIONS(2332),
    [anon_sym_chdir] = ACTIONS(2332),
    [anon_sym_close] = ACTIONS(2332),
    [anon_sym_closedir] = ACTIONS(2332),
    [anon_sym_caller] = ACTIONS(2332),
    [anon_sym_chomp] = ACTIONS(2332),
    [anon_sym_chr] = ACTIONS(2332),
    [anon_sym_cos] = ACTIONS(2332),
    [anon_sym_chroot] = ACTIONS(2332),
    [anon_sym_defined] = ACTIONS(2332),
    [anon_sym_delete] = ACTIONS(2332),
    [anon_sym_dbmclose] = ACTIONS(2332),
    [anon_sym_exists] = ACTIONS(2332),
    [anon_sym_exit] = ACTIONS(2332),
    [anon_sym_eof] = ACTIONS(2332),
    [anon_sym_exp] = ACTIONS(2332),
    [anon_sym_each] = ACTIONS(2332),
    [anon_sym_fc] = ACTIONS(2332),
    [anon_sym_fileno] = ACTIONS(2332),
    [anon_sym_gmtime] = ACTIONS(2332),
    [anon_sym_getc] = ACTIONS(2332),
    [anon_sym_getpgrp] = ACTIONS(2332),
    [anon_sym_getprotobyname] = ACTIONS(2332),
    [anon_sym_getpwname] = ACTIONS(2332),
    [anon_sym_getpwuid] = ACTIONS(2332),
    [anon_sym_getpeername] = ACTIONS(2332),
    [anon_sym_getnetbyname] = ACTIONS(2332),
    [anon_sym_getsockname] = ACTIONS(2332),
    [anon_sym_getgrnam] = ACTIONS(2332),
    [anon_sym_getgrgid] = ACTIONS(2332),
    [anon_sym_hex] = ACTIONS(2332),
    [anon_sym_int] = ACTIONS(2332),
    [anon_sym_keys] = ACTIONS(2332),
    [anon_sym_lc] = ACTIONS(2332),
    [anon_sym_lcfirst] = ACTIONS(2332),
    [anon_sym_length] = ACTIONS(2332),
    [anon_sym_localtime] = ACTIONS(2332),
    [anon_sym_log] = ACTIONS(2332),
    [anon_sym_lock] = ACTIONS(2332),
    [anon_sym_lstat] = ACTIONS(2332),
    [anon_sym_oct] = ACTIONS(2332),
    [anon_sym_ord] = ACTIONS(2332),
    [anon_sym_prototype] = ACTIONS(2332),
    [anon_sym_pop] = ACTIONS(2332),
    [anon_sym_pos] = ACTIONS(2332),
    [anon_sym_quotemeta] = ACTIONS(2332),
    [anon_sym_reset] = ACTIONS(2332),
    [anon_sym_rand] = ACTIONS(2332),
    [anon_sym_rmdir] = ACTIONS(2332),
    [anon_sym_readdir] = ACTIONS(2332),
    [anon_sym_readline] = ACTIONS(2332),
    [anon_sym_readpipe] = ACTIONS(2332),
    [anon_sym_rewinddir] = ACTIONS(2332),
    [anon_sym_readlink] = ACTIONS(2332),
    [anon_sym_ref] = ACTIONS(2332),
    [anon_sym_scalar] = ACTIONS(2332),
    [anon_sym_shift] = ACTIONS(2332),
    [anon_sym_sin] = ACTIONS(2332),
    [anon_sym_sleep] = ACTIONS(2332),
    [anon_sym_sqrt] = ACTIONS(2332),
    [anon_sym_srand] = ACTIONS(2332),
    [anon_sym_stat] = ACTIONS(2332),
    [anon_sym_study] = ACTIONS(2332),
    [anon_sym_tell] = ACTIONS(2332),
    [anon_sym_telldir] = ACTIONS(2332),
    [anon_sym_tied] = ACTIONS(2332),
    [anon_sym_uc] = ACTIONS(2332),
    [anon_sym_ucfirst] = ACTIONS(2332),
    [anon_sym_untie] = ACTIONS(2332),
    [anon_sym_umask] = ACTIONS(2332),
    [anon_sym_values] = ACTIONS(2332),
    [anon_sym_write] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2332),
    [anon_sym_qq] = ACTIONS(2332),
    [anon_sym_qw] = ACTIONS(2332),
    [anon_sym_qx] = ACTIONS(2332),
    [anon_sym_qr] = ACTIONS(2332),
    [anon_sym_m] = ACTIONS(2332),
    [anon_sym_s] = ACTIONS(2332),
    [anon_sym_tr] = ACTIONS(2332),
    [anon_sym_y] = ACTIONS(2332),
    [aux_sym__bareword_token1] = ACTIONS(2332),
    [sym_number] = ACTIONS(2332),
    [anon_sym_true] = ACTIONS(2332),
    [anon_sym_false] = ACTIONS(2332),
    [sym__single_quote] = ACTIONS(2330),
    [sym__double_quote] = ACTIONS(2330),
    [sym__backtick_quote] = ACTIONS(2330),
    [sym__search_slash_quote] = ACTIONS(2330),
    [sym__open_readline_bracket] = ACTIONS(2330),
    [sym__open_fileglob_bracket] = ACTIONS(2330),
    [sym__PERLY_HEREDOC] = ACTIONS(2330),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2330),
    [sym__filetest] = ACTIONS(2330),
  },
  [1170] = {
    [sym_heredoc_content] = STATE(1170),
    [sym__identifier] = ACTIONS(2336),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_DOLLAR] = ACTIONS(2336),
    [anon_sym_AT] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_my] = ACTIONS(2336),
    [anon_sym_extended] = ACTIONS(2336),
    [anon_sym_async] = ACTIONS(2336),
    [anon_sym_sub] = ACTIONS(2336),
    [anon_sym_method] = ACTIONS(2336),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_continue] = ACTIONS(2336),
    [anon_sym_state] = ACTIONS(2336),
    [anon_sym_our] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_LT_LT] = ACTIONS(2336),
    [anon_sym_SLASH_SLASH] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_BSLASH] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2336),
    [anon_sym_eval] = ACTIONS(2336),
    [anon_sym_await] = ACTIONS(2336),
    [anon_sym_field] = ACTIONS(2336),
    [anon_sym_local] = ACTIONS(2336),
    [anon_sym_dynamically] = ACTIONS(2336),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2336),
    [anon_sym_require] = ACTIONS(2336),
    [anon_sym_map] = ACTIONS(2336),
    [anon_sym_grep] = ACTIONS(2336),
    [anon_sym_sort] = ACTIONS(2336),
    [anon_sym_goto] = ACTIONS(2336),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_undef] = ACTIONS(2336),
    [anon_sym_PERCENT2] = ACTIONS(2336),
    [anon_sym_AMP2] = ACTIONS(2336),
    [anon_sym_STAR2] = ACTIONS(2336),
    [anon_sym_last] = ACTIONS(2336),
    [anon_sym_next] = ACTIONS(2336),
    [anon_sym_redo] = ACTIONS(2336),
    [anon_sym___FILE__] = ACTIONS(2336),
    [anon_sym___LINE__] = ACTIONS(2336),
    [anon_sym___PACKAGE__] = ACTIONS(2336),
    [anon_sym___SUB__] = ACTIONS(2336),
    [anon_sym_break] = ACTIONS(2336),
    [anon_sym_fork] = ACTIONS(2336),
    [anon_sym_getppid] = ACTIONS(2336),
    [anon_sym_time] = ACTIONS(2336),
    [anon_sym_times] = ACTIONS(2336),
    [anon_sym_wait] = ACTIONS(2336),
    [anon_sym_wantarray] = ACTIONS(2336),
    [anon_sym_abs] = ACTIONS(2336),
    [anon_sym_alarm] = ACTIONS(2336),
    [anon_sym_chop] = ACTIONS(2336),
    [anon_sym_chdir] = ACTIONS(2336),
    [anon_sym_close] = ACTIONS(2336),
    [anon_sym_closedir] = ACTIONS(2336),
    [anon_sym_caller] = ACTIONS(2336),
    [anon_sym_chomp] = ACTIONS(2336),
    [anon_sym_chr] = ACTIONS(2336),
    [anon_sym_cos] = ACTIONS(2336),
    [anon_sym_chroot] = ACTIONS(2336),
    [anon_sym_defined] = ACTIONS(2336),
    [anon_sym_delete] = ACTIONS(2336),
    [anon_sym_dbmclose] = ACTIONS(2336),
    [anon_sym_exists] = ACTIONS(2336),
    [anon_sym_exit] = ACTIONS(2336),
    [anon_sym_eof] = ACTIONS(2336),
    [anon_sym_exp] = ACTIONS(2336),
    [anon_sym_each] = ACTIONS(2336),
    [anon_sym_fc] = ACTIONS(2336),
    [anon_sym_fileno] = ACTIONS(2336),
    [anon_sym_gmtime] = ACTIONS(2336),
    [anon_sym_getc] = ACTIONS(2336),
    [anon_sym_getpgrp] = ACTIONS(2336),
    [anon_sym_getprotobyname] = ACTIONS(2336),
    [anon_sym_getpwname] = ACTIONS(2336),
    [anon_sym_getpwuid] = ACTIONS(2336),
    [anon_sym_getpeername] = ACTIONS(2336),
    [anon_sym_getnetbyname] = ACTIONS(2336),
    [anon_sym_getsockname] = ACTIONS(2336),
    [anon_sym_getgrnam] = ACTIONS(2336),
    [anon_sym_getgrgid] = ACTIONS(2336),
    [anon_sym_hex] = ACTIONS(2336),
    [anon_sym_int] = ACTIONS(2336),
    [anon_sym_keys] = ACTIONS(2336),
    [anon_sym_lc] = ACTIONS(2336),
    [anon_sym_lcfirst] = ACTIONS(2336),
    [anon_sym_length] = ACTIONS(2336),
    [anon_sym_localtime] = ACTIONS(2336),
    [anon_sym_log] = ACTIONS(2336),
    [anon_sym_lock] = ACTIONS(2336),
    [anon_sym_lstat] = ACTIONS(2336),
    [anon_sym_oct] = ACTIONS(2336),
    [anon_sym_ord] = ACTIONS(2336),
    [anon_sym_prototype] = ACTIONS(2336),
    [anon_sym_pop] = ACTIONS(2336),
    [anon_sym_pos] = ACTIONS(2336),
    [anon_sym_quotemeta] = ACTIONS(2336),
    [anon_sym_reset] = ACTIONS(2336),
    [anon_sym_rand] = ACTIONS(2336),
    [anon_sym_rmdir] = ACTIONS(2336),
    [anon_sym_readdir] = ACTIONS(2336),
    [anon_sym_readline] = ACTIONS(2336),
    [anon_sym_readpipe] = ACTIONS(2336),
    [anon_sym_rewinddir] = ACTIONS(2336),
    [anon_sym_readlink] = ACTIONS(2336),
    [anon_sym_ref] = ACTIONS(2336),
    [anon_sym_scalar] = ACTIONS(2336),
    [anon_sym_shift] = ACTIONS(2336),
    [anon_sym_sin] = ACTIONS(2336),
    [anon_sym_sleep] = ACTIONS(2336),
    [anon_sym_sqrt] = ACTIONS(2336),
    [anon_sym_srand] = ACTIONS(2336),
    [anon_sym_stat] = ACTIONS(2336),
    [anon_sym_study] = ACTIONS(2336),
    [anon_sym_tell] = ACTIONS(2336),
    [anon_sym_telldir] = ACTIONS(2336),
    [anon_sym_tied] = ACTIONS(2336),
    [anon_sym_uc] = ACTIONS(2336),
    [anon_sym_ucfirst] = ACTIONS(2336),
    [anon_sym_untie] = ACTIONS(2336),
    [anon_sym_umask] = ACTIONS(2336),
    [anon_sym_values] = ACTIONS(2336),
    [anon_sym_write] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2336),
    [anon_sym_qq] = ACTIONS(2336),
    [anon_sym_qw] = ACTIONS(2336),
    [anon_sym_qx] = ACTIONS(2336),
    [anon_sym_qr] = ACTIONS(2336),
    [anon_sym_m] = ACTIONS(2336),
    [anon_sym_s] = ACTIONS(2336),
    [anon_sym_tr] = ACTIONS(2336),
    [anon_sym_y] = ACTIONS(2336),
    [aux_sym__bareword_token1] = ACTIONS(2336),
    [sym_number] = ACTIONS(2336),
    [anon_sym_true] = ACTIONS(2336),
    [anon_sym_false] = ACTIONS(2336),
    [sym__single_quote] = ACTIONS(2334),
    [sym__double_quote] = ACTIONS(2334),
    [sym__backtick_quote] = ACTIONS(2334),
    [sym__search_slash_quote] = ACTIONS(2334),
    [sym__open_readline_bracket] = ACTIONS(2334),
    [sym__open_fileglob_bracket] = ACTIONS(2334),
    [sym__PERLY_HEREDOC] = ACTIONS(2334),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2334),
    [sym__filetest] = ACTIONS(2334),
  },
  [1171] = {
    [sym_heredoc_content] = STATE(1171),
    [sym__identifier] = ACTIONS(2340),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_DOLLAR] = ACTIONS(2340),
    [anon_sym_AT] = ACTIONS(2340),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_my] = ACTIONS(2340),
    [anon_sym_extended] = ACTIONS(2340),
    [anon_sym_async] = ACTIONS(2340),
    [anon_sym_sub] = ACTIONS(2340),
    [anon_sym_method] = ACTIONS(2340),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_continue] = ACTIONS(2340),
    [anon_sym_state] = ACTIONS(2340),
    [anon_sym_our] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_LT_LT] = ACTIONS(2340),
    [anon_sym_SLASH_SLASH] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_BSLASH] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2340),
    [anon_sym_eval] = ACTIONS(2340),
    [anon_sym_await] = ACTIONS(2340),
    [anon_sym_field] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2340),
    [anon_sym_dynamically] = ACTIONS(2340),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2340),
    [anon_sym_require] = ACTIONS(2340),
    [anon_sym_map] = ACTIONS(2340),
    [anon_sym_grep] = ACTIONS(2340),
    [anon_sym_sort] = ACTIONS(2340),
    [anon_sym_goto] = ACTIONS(2340),
    [anon_sym_return] = ACTIONS(2340),
    [anon_sym_undef] = ACTIONS(2340),
    [anon_sym_PERCENT2] = ACTIONS(2340),
    [anon_sym_AMP2] = ACTIONS(2340),
    [anon_sym_STAR2] = ACTIONS(2340),
    [anon_sym_last] = ACTIONS(2340),
    [anon_sym_next] = ACTIONS(2340),
    [anon_sym_redo] = ACTIONS(2340),
    [anon_sym___FILE__] = ACTIONS(2340),
    [anon_sym___LINE__] = ACTIONS(2340),
    [anon_sym___PACKAGE__] = ACTIONS(2340),
    [anon_sym___SUB__] = ACTIONS(2340),
    [anon_sym_break] = ACTIONS(2340),
    [anon_sym_fork] = ACTIONS(2340),
    [anon_sym_getppid] = ACTIONS(2340),
    [anon_sym_time] = ACTIONS(2340),
    [anon_sym_times] = ACTIONS(2340),
    [anon_sym_wait] = ACTIONS(2340),
    [anon_sym_wantarray] = ACTIONS(2340),
    [anon_sym_abs] = ACTIONS(2340),
    [anon_sym_alarm] = ACTIONS(2340),
    [anon_sym_chop] = ACTIONS(2340),
    [anon_sym_chdir] = ACTIONS(2340),
    [anon_sym_close] = ACTIONS(2340),
    [anon_sym_closedir] = ACTIONS(2340),
    [anon_sym_caller] = ACTIONS(2340),
    [anon_sym_chomp] = ACTIONS(2340),
    [anon_sym_chr] = ACTIONS(2340),
    [anon_sym_cos] = ACTIONS(2340),
    [anon_sym_chroot] = ACTIONS(2340),
    [anon_sym_defined] = ACTIONS(2340),
    [anon_sym_delete] = ACTIONS(2340),
    [anon_sym_dbmclose] = ACTIONS(2340),
    [anon_sym_exists] = ACTIONS(2340),
    [anon_sym_exit] = ACTIONS(2340),
    [anon_sym_eof] = ACTIONS(2340),
    [anon_sym_exp] = ACTIONS(2340),
    [anon_sym_each] = ACTIONS(2340),
    [anon_sym_fc] = ACTIONS(2340),
    [anon_sym_fileno] = ACTIONS(2340),
    [anon_sym_gmtime] = ACTIONS(2340),
    [anon_sym_getc] = ACTIONS(2340),
    [anon_sym_getpgrp] = ACTIONS(2340),
    [anon_sym_getprotobyname] = ACTIONS(2340),
    [anon_sym_getpwname] = ACTIONS(2340),
    [anon_sym_getpwuid] = ACTIONS(2340),
    [anon_sym_getpeername] = ACTIONS(2340),
    [anon_sym_getnetbyname] = ACTIONS(2340),
    [anon_sym_getsockname] = ACTIONS(2340),
    [anon_sym_getgrnam] = ACTIONS(2340),
    [anon_sym_getgrgid] = ACTIONS(2340),
    [anon_sym_hex] = ACTIONS(2340),
    [anon_sym_int] = ACTIONS(2340),
    [anon_sym_keys] = ACTIONS(2340),
    [anon_sym_lc] = ACTIONS(2340),
    [anon_sym_lcfirst] = ACTIONS(2340),
    [anon_sym_length] = ACTIONS(2340),
    [anon_sym_localtime] = ACTIONS(2340),
    [anon_sym_log] = ACTIONS(2340),
    [anon_sym_lock] = ACTIONS(2340),
    [anon_sym_lstat] = ACTIONS(2340),
    [anon_sym_oct] = ACTIONS(2340),
    [anon_sym_ord] = ACTIONS(2340),
    [anon_sym_prototype] = ACTIONS(2340),
    [anon_sym_pop] = ACTIONS(2340),
    [anon_sym_pos] = ACTIONS(2340),
    [anon_sym_quotemeta] = ACTIONS(2340),
    [anon_sym_reset] = ACTIONS(2340),
    [anon_sym_rand] = ACTIONS(2340),
    [anon_sym_rmdir] = ACTIONS(2340),
    [anon_sym_readdir] = ACTIONS(2340),
    [anon_sym_readline] = ACTIONS(2340),
    [anon_sym_readpipe] = ACTIONS(2340),
    [anon_sym_rewinddir] = ACTIONS(2340),
    [anon_sym_readlink] = ACTIONS(2340),
    [anon_sym_ref] = ACTIONS(2340),
    [anon_sym_scalar] = ACTIONS(2340),
    [anon_sym_shift] = ACTIONS(2340),
    [anon_sym_sin] = ACTIONS(2340),
    [anon_sym_sleep] = ACTIONS(2340),
    [anon_sym_sqrt] = ACTIONS(2340),
    [anon_sym_srand] = ACTIONS(2340),
    [anon_sym_stat] = ACTIONS(2340),
    [anon_sym_study] = ACTIONS(2340),
    [anon_sym_tell] = ACTIONS(2340),
    [anon_sym_telldir] = ACTIONS(2340),
    [anon_sym_tied] = ACTIONS(2340),
    [anon_sym_uc] = ACTIONS(2340),
    [anon_sym_ucfirst] = ACTIONS(2340),
    [anon_sym_untie] = ACTIONS(2340),
    [anon_sym_umask] = ACTIONS(2340),
    [anon_sym_values] = ACTIONS(2340),
    [anon_sym_write] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2340),
    [anon_sym_qq] = ACTIONS(2340),
    [anon_sym_qw] = ACTIONS(2340),
    [anon_sym_qx] = ACTIONS(2340),
    [anon_sym_qr] = ACTIONS(2340),
    [anon_sym_m] = ACTIONS(2340),
    [anon_sym_s] = ACTIONS(2340),
    [anon_sym_tr] = ACTIONS(2340),
    [anon_sym_y] = ACTIONS(2340),
    [aux_sym__bareword_token1] = ACTIONS(2340),
    [sym_number] = ACTIONS(2340),
    [anon_sym_true] = ACTIONS(2340),
    [anon_sym_false] = ACTIONS(2340),
    [sym__single_quote] = ACTIONS(2338),
    [sym__double_quote] = ACTIONS(2338),
    [sym__backtick_quote] = ACTIONS(2338),
    [sym__search_slash_quote] = ACTIONS(2338),
    [sym__open_readline_bracket] = ACTIONS(2338),
    [sym__open_fileglob_bracket] = ACTIONS(2338),
    [sym__PERLY_HEREDOC] = ACTIONS(2338),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2338),
    [sym__filetest] = ACTIONS(2338),
  },
  [1172] = {
    [sym_heredoc_content] = STATE(1172),
    [sym__identifier] = ACTIONS(2344),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_DOLLAR] = ACTIONS(2344),
    [anon_sym_AT] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2344),
    [anon_sym_my] = ACTIONS(2344),
    [anon_sym_extended] = ACTIONS(2344),
    [anon_sym_async] = ACTIONS(2344),
    [anon_sym_sub] = ACTIONS(2344),
    [anon_sym_method] = ACTIONS(2344),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_continue] = ACTIONS(2344),
    [anon_sym_state] = ACTIONS(2344),
    [anon_sym_our] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_LT_LT] = ACTIONS(2344),
    [anon_sym_SLASH_SLASH] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_BSLASH] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2344),
    [anon_sym_eval] = ACTIONS(2344),
    [anon_sym_await] = ACTIONS(2344),
    [anon_sym_field] = ACTIONS(2344),
    [anon_sym_local] = ACTIONS(2344),
    [anon_sym_dynamically] = ACTIONS(2344),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2344),
    [anon_sym_require] = ACTIONS(2344),
    [anon_sym_map] = ACTIONS(2344),
    [anon_sym_grep] = ACTIONS(2344),
    [anon_sym_sort] = ACTIONS(2344),
    [anon_sym_goto] = ACTIONS(2344),
    [anon_sym_return] = ACTIONS(2344),
    [anon_sym_undef] = ACTIONS(2344),
    [anon_sym_PERCENT2] = ACTIONS(2344),
    [anon_sym_AMP2] = ACTIONS(2344),
    [anon_sym_STAR2] = ACTIONS(2344),
    [anon_sym_last] = ACTIONS(2344),
    [anon_sym_next] = ACTIONS(2344),
    [anon_sym_redo] = ACTIONS(2344),
    [anon_sym___FILE__] = ACTIONS(2344),
    [anon_sym___LINE__] = ACTIONS(2344),
    [anon_sym___PACKAGE__] = ACTIONS(2344),
    [anon_sym___SUB__] = ACTIONS(2344),
    [anon_sym_break] = ACTIONS(2344),
    [anon_sym_fork] = ACTIONS(2344),
    [anon_sym_getppid] = ACTIONS(2344),
    [anon_sym_time] = ACTIONS(2344),
    [anon_sym_times] = ACTIONS(2344),
    [anon_sym_wait] = ACTIONS(2344),
    [anon_sym_wantarray] = ACTIONS(2344),
    [anon_sym_abs] = ACTIONS(2344),
    [anon_sym_alarm] = ACTIONS(2344),
    [anon_sym_chop] = ACTIONS(2344),
    [anon_sym_chdir] = ACTIONS(2344),
    [anon_sym_close] = ACTIONS(2344),
    [anon_sym_closedir] = ACTIONS(2344),
    [anon_sym_caller] = ACTIONS(2344),
    [anon_sym_chomp] = ACTIONS(2344),
    [anon_sym_chr] = ACTIONS(2344),
    [anon_sym_cos] = ACTIONS(2344),
    [anon_sym_chroot] = ACTIONS(2344),
    [anon_sym_defined] = ACTIONS(2344),
    [anon_sym_delete] = ACTIONS(2344),
    [anon_sym_dbmclose] = ACTIONS(2344),
    [anon_sym_exists] = ACTIONS(2344),
    [anon_sym_exit] = ACTIONS(2344),
    [anon_sym_eof] = ACTIONS(2344),
    [anon_sym_exp] = ACTIONS(2344),
    [anon_sym_each] = ACTIONS(2344),
    [anon_sym_fc] = ACTIONS(2344),
    [anon_sym_fileno] = ACTIONS(2344),
    [anon_sym_gmtime] = ACTIONS(2344),
    [anon_sym_getc] = ACTIONS(2344),
    [anon_sym_getpgrp] = ACTIONS(2344),
    [anon_sym_getprotobyname] = ACTIONS(2344),
    [anon_sym_getpwname] = ACTIONS(2344),
    [anon_sym_getpwuid] = ACTIONS(2344),
    [anon_sym_getpeername] = ACTIONS(2344),
    [anon_sym_getnetbyname] = ACTIONS(2344),
    [anon_sym_getsockname] = ACTIONS(2344),
    [anon_sym_getgrnam] = ACTIONS(2344),
    [anon_sym_getgrgid] = ACTIONS(2344),
    [anon_sym_hex] = ACTIONS(2344),
    [anon_sym_int] = ACTIONS(2344),
    [anon_sym_keys] = ACTIONS(2344),
    [anon_sym_lc] = ACTIONS(2344),
    [anon_sym_lcfirst] = ACTIONS(2344),
    [anon_sym_length] = ACTIONS(2344),
    [anon_sym_localtime] = ACTIONS(2344),
    [anon_sym_log] = ACTIONS(2344),
    [anon_sym_lock] = ACTIONS(2344),
    [anon_sym_lstat] = ACTIONS(2344),
    [anon_sym_oct] = ACTIONS(2344),
    [anon_sym_ord] = ACTIONS(2344),
    [anon_sym_prototype] = ACTIONS(2344),
    [anon_sym_pop] = ACTIONS(2344),
    [anon_sym_pos] = ACTIONS(2344),
    [anon_sym_quotemeta] = ACTIONS(2344),
    [anon_sym_reset] = ACTIONS(2344),
    [anon_sym_rand] = ACTIONS(2344),
    [anon_sym_rmdir] = ACTIONS(2344),
    [anon_sym_readdir] = ACTIONS(2344),
    [anon_sym_readline] = ACTIONS(2344),
    [anon_sym_readpipe] = ACTIONS(2344),
    [anon_sym_rewinddir] = ACTIONS(2344),
    [anon_sym_readlink] = ACTIONS(2344),
    [anon_sym_ref] = ACTIONS(2344),
    [anon_sym_scalar] = ACTIONS(2344),
    [anon_sym_shift] = ACTIONS(2344),
    [anon_sym_sin] = ACTIONS(2344),
    [anon_sym_sleep] = ACTIONS(2344),
    [anon_sym_sqrt] = ACTIONS(2344),
    [anon_sym_srand] = ACTIONS(2344),
    [anon_sym_stat] = ACTIONS(2344),
    [anon_sym_study] = ACTIONS(2344),
    [anon_sym_tell] = ACTIONS(2344),
    [anon_sym_telldir] = ACTIONS(2344),
    [anon_sym_tied] = ACTIONS(2344),
    [anon_sym_uc] = ACTIONS(2344),
    [anon_sym_ucfirst] = ACTIONS(2344),
    [anon_sym_untie] = ACTIONS(2344),
    [anon_sym_umask] = ACTIONS(2344),
    [anon_sym_values] = ACTIONS(2344),
    [anon_sym_write] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2344),
    [anon_sym_qq] = ACTIONS(2344),
    [anon_sym_qw] = ACTIONS(2344),
    [anon_sym_qx] = ACTIONS(2344),
    [anon_sym_qr] = ACTIONS(2344),
    [anon_sym_m] = ACTIONS(2344),
    [anon_sym_s] = ACTIONS(2344),
    [anon_sym_tr] = ACTIONS(2344),
    [anon_sym_y] = ACTIONS(2344),
    [aux_sym__bareword_token1] = ACTIONS(2344),
    [sym_number] = ACTIONS(2344),
    [anon_sym_true] = ACTIONS(2344),
    [anon_sym_false] = ACTIONS(2344),
    [sym__single_quote] = ACTIONS(2342),
    [sym__double_quote] = ACTIONS(2342),
    [sym__backtick_quote] = ACTIONS(2342),
    [sym__search_slash_quote] = ACTIONS(2342),
    [sym__open_readline_bracket] = ACTIONS(2342),
    [sym__open_fileglob_bracket] = ACTIONS(2342),
    [sym__PERLY_HEREDOC] = ACTIONS(2342),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2342),
    [sym__filetest] = ACTIONS(2342),
  },
  [1173] = {
    [sym_heredoc_content] = STATE(1173),
    [sym__identifier] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_DOLLAR] = ACTIONS(2348),
    [anon_sym_AT] = ACTIONS(2348),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [anon_sym_my] = ACTIONS(2348),
    [anon_sym_extended] = ACTIONS(2348),
    [anon_sym_async] = ACTIONS(2348),
    [anon_sym_sub] = ACTIONS(2348),
    [anon_sym_method] = ACTIONS(2348),
    [anon_sym_LPAREN] = ACTIONS(2348),
    [anon_sym_continue] = ACTIONS(2348),
    [anon_sym_state] = ACTIONS(2348),
    [anon_sym_our] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_LT_LT] = ACTIONS(2348),
    [anon_sym_SLASH_SLASH] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_BSLASH] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2348),
    [anon_sym_eval] = ACTIONS(2348),
    [anon_sym_await] = ACTIONS(2348),
    [anon_sym_field] = ACTIONS(2348),
    [anon_sym_local] = ACTIONS(2348),
    [anon_sym_dynamically] = ACTIONS(2348),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2348),
    [anon_sym_require] = ACTIONS(2348),
    [anon_sym_map] = ACTIONS(2348),
    [anon_sym_grep] = ACTIONS(2348),
    [anon_sym_sort] = ACTIONS(2348),
    [anon_sym_goto] = ACTIONS(2348),
    [anon_sym_return] = ACTIONS(2348),
    [anon_sym_undef] = ACTIONS(2348),
    [anon_sym_PERCENT2] = ACTIONS(2348),
    [anon_sym_AMP2] = ACTIONS(2348),
    [anon_sym_STAR2] = ACTIONS(2348),
    [anon_sym_last] = ACTIONS(2348),
    [anon_sym_next] = ACTIONS(2348),
    [anon_sym_redo] = ACTIONS(2348),
    [anon_sym___FILE__] = ACTIONS(2348),
    [anon_sym___LINE__] = ACTIONS(2348),
    [anon_sym___PACKAGE__] = ACTIONS(2348),
    [anon_sym___SUB__] = ACTIONS(2348),
    [anon_sym_break] = ACTIONS(2348),
    [anon_sym_fork] = ACTIONS(2348),
    [anon_sym_getppid] = ACTIONS(2348),
    [anon_sym_time] = ACTIONS(2348),
    [anon_sym_times] = ACTIONS(2348),
    [anon_sym_wait] = ACTIONS(2348),
    [anon_sym_wantarray] = ACTIONS(2348),
    [anon_sym_abs] = ACTIONS(2348),
    [anon_sym_alarm] = ACTIONS(2348),
    [anon_sym_chop] = ACTIONS(2348),
    [anon_sym_chdir] = ACTIONS(2348),
    [anon_sym_close] = ACTIONS(2348),
    [anon_sym_closedir] = ACTIONS(2348),
    [anon_sym_caller] = ACTIONS(2348),
    [anon_sym_chomp] = ACTIONS(2348),
    [anon_sym_chr] = ACTIONS(2348),
    [anon_sym_cos] = ACTIONS(2348),
    [anon_sym_chroot] = ACTIONS(2348),
    [anon_sym_defined] = ACTIONS(2348),
    [anon_sym_delete] = ACTIONS(2348),
    [anon_sym_dbmclose] = ACTIONS(2348),
    [anon_sym_exists] = ACTIONS(2348),
    [anon_sym_exit] = ACTIONS(2348),
    [anon_sym_eof] = ACTIONS(2348),
    [anon_sym_exp] = ACTIONS(2348),
    [anon_sym_each] = ACTIONS(2348),
    [anon_sym_fc] = ACTIONS(2348),
    [anon_sym_fileno] = ACTIONS(2348),
    [anon_sym_gmtime] = ACTIONS(2348),
    [anon_sym_getc] = ACTIONS(2348),
    [anon_sym_getpgrp] = ACTIONS(2348),
    [anon_sym_getprotobyname] = ACTIONS(2348),
    [anon_sym_getpwname] = ACTIONS(2348),
    [anon_sym_getpwuid] = ACTIONS(2348),
    [anon_sym_getpeername] = ACTIONS(2348),
    [anon_sym_getnetbyname] = ACTIONS(2348),
    [anon_sym_getsockname] = ACTIONS(2348),
    [anon_sym_getgrnam] = ACTIONS(2348),
    [anon_sym_getgrgid] = ACTIONS(2348),
    [anon_sym_hex] = ACTIONS(2348),
    [anon_sym_int] = ACTIONS(2348),
    [anon_sym_keys] = ACTIONS(2348),
    [anon_sym_lc] = ACTIONS(2348),
    [anon_sym_lcfirst] = ACTIONS(2348),
    [anon_sym_length] = ACTIONS(2348),
    [anon_sym_localtime] = ACTIONS(2348),
    [anon_sym_log] = ACTIONS(2348),
    [anon_sym_lock] = ACTIONS(2348),
    [anon_sym_lstat] = ACTIONS(2348),
    [anon_sym_oct] = ACTIONS(2348),
    [anon_sym_ord] = ACTIONS(2348),
    [anon_sym_prototype] = ACTIONS(2348),
    [anon_sym_pop] = ACTIONS(2348),
    [anon_sym_pos] = ACTIONS(2348),
    [anon_sym_quotemeta] = ACTIONS(2348),
    [anon_sym_reset] = ACTIONS(2348),
    [anon_sym_rand] = ACTIONS(2348),
    [anon_sym_rmdir] = ACTIONS(2348),
    [anon_sym_readdir] = ACTIONS(2348),
    [anon_sym_readline] = ACTIONS(2348),
    [anon_sym_readpipe] = ACTIONS(2348),
    [anon_sym_rewinddir] = ACTIONS(2348),
    [anon_sym_readlink] = ACTIONS(2348),
    [anon_sym_ref] = ACTIONS(2348),
    [anon_sym_scalar] = ACTIONS(2348),
    [anon_sym_shift] = ACTIONS(2348),
    [anon_sym_sin] = ACTIONS(2348),
    [anon_sym_sleep] = ACTIONS(2348),
    [anon_sym_sqrt] = ACTIONS(2348),
    [anon_sym_srand] = ACTIONS(2348),
    [anon_sym_stat] = ACTIONS(2348),
    [anon_sym_study] = ACTIONS(2348),
    [anon_sym_tell] = ACTIONS(2348),
    [anon_sym_telldir] = ACTIONS(2348),
    [anon_sym_tied] = ACTIONS(2348),
    [anon_sym_uc] = ACTIONS(2348),
    [anon_sym_ucfirst] = ACTIONS(2348),
    [anon_sym_untie] = ACTIONS(2348),
    [anon_sym_umask] = ACTIONS(2348),
    [anon_sym_values] = ACTIONS(2348),
    [anon_sym_write] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2348),
    [anon_sym_qq] = ACTIONS(2348),
    [anon_sym_qw] = ACTIONS(2348),
    [anon_sym_qx] = ACTIONS(2348),
    [anon_sym_qr] = ACTIONS(2348),
    [anon_sym_m] = ACTIONS(2348),
    [anon_sym_s] = ACTIONS(2348),
    [anon_sym_tr] = ACTIONS(2348),
    [anon_sym_y] = ACTIONS(2348),
    [aux_sym__bareword_token1] = ACTIONS(2348),
    [sym_number] = ACTIONS(2348),
    [anon_sym_true] = ACTIONS(2348),
    [anon_sym_false] = ACTIONS(2348),
    [sym__single_quote] = ACTIONS(2346),
    [sym__double_quote] = ACTIONS(2346),
    [sym__backtick_quote] = ACTIONS(2346),
    [sym__search_slash_quote] = ACTIONS(2346),
    [sym__open_readline_bracket] = ACTIONS(2346),
    [sym__open_fileglob_bracket] = ACTIONS(2346),
    [sym__PERLY_HEREDOC] = ACTIONS(2346),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2346),
    [sym__filetest] = ACTIONS(2346),
  },
  [1174] = {
    [sym_heredoc_content] = STATE(1174),
    [sym__identifier] = ACTIONS(2352),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_DOLLAR] = ACTIONS(2352),
    [anon_sym_AT] = ACTIONS(2352),
    [anon_sym_RPAREN] = ACTIONS(2352),
    [anon_sym_my] = ACTIONS(2352),
    [anon_sym_extended] = ACTIONS(2352),
    [anon_sym_async] = ACTIONS(2352),
    [anon_sym_sub] = ACTIONS(2352),
    [anon_sym_method] = ACTIONS(2352),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_continue] = ACTIONS(2352),
    [anon_sym_state] = ACTIONS(2352),
    [anon_sym_our] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_LT_LT] = ACTIONS(2352),
    [anon_sym_SLASH_SLASH] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_BSLASH] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2352),
    [anon_sym_eval] = ACTIONS(2352),
    [anon_sym_await] = ACTIONS(2352),
    [anon_sym_field] = ACTIONS(2352),
    [anon_sym_local] = ACTIONS(2352),
    [anon_sym_dynamically] = ACTIONS(2352),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2352),
    [anon_sym_require] = ACTIONS(2352),
    [anon_sym_map] = ACTIONS(2352),
    [anon_sym_grep] = ACTIONS(2352),
    [anon_sym_sort] = ACTIONS(2352),
    [anon_sym_goto] = ACTIONS(2352),
    [anon_sym_return] = ACTIONS(2352),
    [anon_sym_undef] = ACTIONS(2352),
    [anon_sym_PERCENT2] = ACTIONS(2352),
    [anon_sym_AMP2] = ACTIONS(2352),
    [anon_sym_STAR2] = ACTIONS(2352),
    [anon_sym_last] = ACTIONS(2352),
    [anon_sym_next] = ACTIONS(2352),
    [anon_sym_redo] = ACTIONS(2352),
    [anon_sym___FILE__] = ACTIONS(2352),
    [anon_sym___LINE__] = ACTIONS(2352),
    [anon_sym___PACKAGE__] = ACTIONS(2352),
    [anon_sym___SUB__] = ACTIONS(2352),
    [anon_sym_break] = ACTIONS(2352),
    [anon_sym_fork] = ACTIONS(2352),
    [anon_sym_getppid] = ACTIONS(2352),
    [anon_sym_time] = ACTIONS(2352),
    [anon_sym_times] = ACTIONS(2352),
    [anon_sym_wait] = ACTIONS(2352),
    [anon_sym_wantarray] = ACTIONS(2352),
    [anon_sym_abs] = ACTIONS(2352),
    [anon_sym_alarm] = ACTIONS(2352),
    [anon_sym_chop] = ACTIONS(2352),
    [anon_sym_chdir] = ACTIONS(2352),
    [anon_sym_close] = ACTIONS(2352),
    [anon_sym_closedir] = ACTIONS(2352),
    [anon_sym_caller] = ACTIONS(2352),
    [anon_sym_chomp] = ACTIONS(2352),
    [anon_sym_chr] = ACTIONS(2352),
    [anon_sym_cos] = ACTIONS(2352),
    [anon_sym_chroot] = ACTIONS(2352),
    [anon_sym_defined] = ACTIONS(2352),
    [anon_sym_delete] = ACTIONS(2352),
    [anon_sym_dbmclose] = ACTIONS(2352),
    [anon_sym_exists] = ACTIONS(2352),
    [anon_sym_exit] = ACTIONS(2352),
    [anon_sym_eof] = ACTIONS(2352),
    [anon_sym_exp] = ACTIONS(2352),
    [anon_sym_each] = ACTIONS(2352),
    [anon_sym_fc] = ACTIONS(2352),
    [anon_sym_fileno] = ACTIONS(2352),
    [anon_sym_gmtime] = ACTIONS(2352),
    [anon_sym_getc] = ACTIONS(2352),
    [anon_sym_getpgrp] = ACTIONS(2352),
    [anon_sym_getprotobyname] = ACTIONS(2352),
    [anon_sym_getpwname] = ACTIONS(2352),
    [anon_sym_getpwuid] = ACTIONS(2352),
    [anon_sym_getpeername] = ACTIONS(2352),
    [anon_sym_getnetbyname] = ACTIONS(2352),
    [anon_sym_getsockname] = ACTIONS(2352),
    [anon_sym_getgrnam] = ACTIONS(2352),
    [anon_sym_getgrgid] = ACTIONS(2352),
    [anon_sym_hex] = ACTIONS(2352),
    [anon_sym_int] = ACTIONS(2352),
    [anon_sym_keys] = ACTIONS(2352),
    [anon_sym_lc] = ACTIONS(2352),
    [anon_sym_lcfirst] = ACTIONS(2352),
    [anon_sym_length] = ACTIONS(2352),
    [anon_sym_localtime] = ACTIONS(2352),
    [anon_sym_log] = ACTIONS(2352),
    [anon_sym_lock] = ACTIONS(2352),
    [anon_sym_lstat] = ACTIONS(2352),
    [anon_sym_oct] = ACTIONS(2352),
    [anon_sym_ord] = ACTIONS(2352),
    [anon_sym_prototype] = ACTIONS(2352),
    [anon_sym_pop] = ACTIONS(2352),
    [anon_sym_pos] = ACTIONS(2352),
    [anon_sym_quotemeta] = ACTIONS(2352),
    [anon_sym_reset] = ACTIONS(2352),
    [anon_sym_rand] = ACTIONS(2352),
    [anon_sym_rmdir] = ACTIONS(2352),
    [anon_sym_readdir] = ACTIONS(2352),
    [anon_sym_readline] = ACTIONS(2352),
    [anon_sym_readpipe] = ACTIONS(2352),
    [anon_sym_rewinddir] = ACTIONS(2352),
    [anon_sym_readlink] = ACTIONS(2352),
    [anon_sym_ref] = ACTIONS(2352),
    [anon_sym_scalar] = ACTIONS(2352),
    [anon_sym_shift] = ACTIONS(2352),
    [anon_sym_sin] = ACTIONS(2352),
    [anon_sym_sleep] = ACTIONS(2352),
    [anon_sym_sqrt] = ACTIONS(2352),
    [anon_sym_srand] = ACTIONS(2352),
    [anon_sym_stat] = ACTIONS(2352),
    [anon_sym_study] = ACTIONS(2352),
    [anon_sym_tell] = ACTIONS(2352),
    [anon_sym_telldir] = ACTIONS(2352),
    [anon_sym_tied] = ACTIONS(2352),
    [anon_sym_uc] = ACTIONS(2352),
    [anon_sym_ucfirst] = ACTIONS(2352),
    [anon_sym_untie] = ACTIONS(2352),
    [anon_sym_umask] = ACTIONS(2352),
    [anon_sym_values] = ACTIONS(2352),
    [anon_sym_write] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2352),
    [anon_sym_qq] = ACTIONS(2352),
    [anon_sym_qw] = ACTIONS(2352),
    [anon_sym_qx] = ACTIONS(2352),
    [anon_sym_qr] = ACTIONS(2352),
    [anon_sym_m] = ACTIONS(2352),
    [anon_sym_s] = ACTIONS(2352),
    [anon_sym_tr] = ACTIONS(2352),
    [anon_sym_y] = ACTIONS(2352),
    [aux_sym__bareword_token1] = ACTIONS(2352),
    [sym_number] = ACTIONS(2352),
    [anon_sym_true] = ACTIONS(2352),
    [anon_sym_false] = ACTIONS(2352),
    [sym__single_quote] = ACTIONS(2350),
    [sym__double_quote] = ACTIONS(2350),
    [sym__backtick_quote] = ACTIONS(2350),
    [sym__search_slash_quote] = ACTIONS(2350),
    [sym__open_readline_bracket] = ACTIONS(2350),
    [sym__open_fileglob_bracket] = ACTIONS(2350),
    [sym__PERLY_HEREDOC] = ACTIONS(2350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2350),
    [sym__filetest] = ACTIONS(2350),
  },
  [1175] = {
    [sym_heredoc_content] = STATE(1175),
    [sym__identifier] = ACTIONS(2356),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_DOLLAR] = ACTIONS(2356),
    [anon_sym_AT] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_my] = ACTIONS(2356),
    [anon_sym_extended] = ACTIONS(2356),
    [anon_sym_async] = ACTIONS(2356),
    [anon_sym_sub] = ACTIONS(2356),
    [anon_sym_method] = ACTIONS(2356),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_continue] = ACTIONS(2356),
    [anon_sym_state] = ACTIONS(2356),
    [anon_sym_our] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_LT_LT] = ACTIONS(2356),
    [anon_sym_SLASH_SLASH] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_BSLASH] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2356),
    [anon_sym_eval] = ACTIONS(2356),
    [anon_sym_await] = ACTIONS(2356),
    [anon_sym_field] = ACTIONS(2356),
    [anon_sym_local] = ACTIONS(2356),
    [anon_sym_dynamically] = ACTIONS(2356),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2356),
    [anon_sym_require] = ACTIONS(2356),
    [anon_sym_map] = ACTIONS(2356),
    [anon_sym_grep] = ACTIONS(2356),
    [anon_sym_sort] = ACTIONS(2356),
    [anon_sym_goto] = ACTIONS(2356),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_undef] = ACTIONS(2356),
    [anon_sym_PERCENT2] = ACTIONS(2356),
    [anon_sym_AMP2] = ACTIONS(2356),
    [anon_sym_STAR2] = ACTIONS(2356),
    [anon_sym_last] = ACTIONS(2356),
    [anon_sym_next] = ACTIONS(2356),
    [anon_sym_redo] = ACTIONS(2356),
    [anon_sym___FILE__] = ACTIONS(2356),
    [anon_sym___LINE__] = ACTIONS(2356),
    [anon_sym___PACKAGE__] = ACTIONS(2356),
    [anon_sym___SUB__] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2356),
    [anon_sym_fork] = ACTIONS(2356),
    [anon_sym_getppid] = ACTIONS(2356),
    [anon_sym_time] = ACTIONS(2356),
    [anon_sym_times] = ACTIONS(2356),
    [anon_sym_wait] = ACTIONS(2356),
    [anon_sym_wantarray] = ACTIONS(2356),
    [anon_sym_abs] = ACTIONS(2356),
    [anon_sym_alarm] = ACTIONS(2356),
    [anon_sym_chop] = ACTIONS(2356),
    [anon_sym_chdir] = ACTIONS(2356),
    [anon_sym_close] = ACTIONS(2356),
    [anon_sym_closedir] = ACTIONS(2356),
    [anon_sym_caller] = ACTIONS(2356),
    [anon_sym_chomp] = ACTIONS(2356),
    [anon_sym_chr] = ACTIONS(2356),
    [anon_sym_cos] = ACTIONS(2356),
    [anon_sym_chroot] = ACTIONS(2356),
    [anon_sym_defined] = ACTIONS(2356),
    [anon_sym_delete] = ACTIONS(2356),
    [anon_sym_dbmclose] = ACTIONS(2356),
    [anon_sym_exists] = ACTIONS(2356),
    [anon_sym_exit] = ACTIONS(2356),
    [anon_sym_eof] = ACTIONS(2356),
    [anon_sym_exp] = ACTIONS(2356),
    [anon_sym_each] = ACTIONS(2356),
    [anon_sym_fc] = ACTIONS(2356),
    [anon_sym_fileno] = ACTIONS(2356),
    [anon_sym_gmtime] = ACTIONS(2356),
    [anon_sym_getc] = ACTIONS(2356),
    [anon_sym_getpgrp] = ACTIONS(2356),
    [anon_sym_getprotobyname] = ACTIONS(2356),
    [anon_sym_getpwname] = ACTIONS(2356),
    [anon_sym_getpwuid] = ACTIONS(2356),
    [anon_sym_getpeername] = ACTIONS(2356),
    [anon_sym_getnetbyname] = ACTIONS(2356),
    [anon_sym_getsockname] = ACTIONS(2356),
    [anon_sym_getgrnam] = ACTIONS(2356),
    [anon_sym_getgrgid] = ACTIONS(2356),
    [anon_sym_hex] = ACTIONS(2356),
    [anon_sym_int] = ACTIONS(2356),
    [anon_sym_keys] = ACTIONS(2356),
    [anon_sym_lc] = ACTIONS(2356),
    [anon_sym_lcfirst] = ACTIONS(2356),
    [anon_sym_length] = ACTIONS(2356),
    [anon_sym_localtime] = ACTIONS(2356),
    [anon_sym_log] = ACTIONS(2356),
    [anon_sym_lock] = ACTIONS(2356),
    [anon_sym_lstat] = ACTIONS(2356),
    [anon_sym_oct] = ACTIONS(2356),
    [anon_sym_ord] = ACTIONS(2356),
    [anon_sym_prototype] = ACTIONS(2356),
    [anon_sym_pop] = ACTIONS(2356),
    [anon_sym_pos] = ACTIONS(2356),
    [anon_sym_quotemeta] = ACTIONS(2356),
    [anon_sym_reset] = ACTIONS(2356),
    [anon_sym_rand] = ACTIONS(2356),
    [anon_sym_rmdir] = ACTIONS(2356),
    [anon_sym_readdir] = ACTIONS(2356),
    [anon_sym_readline] = ACTIONS(2356),
    [anon_sym_readpipe] = ACTIONS(2356),
    [anon_sym_rewinddir] = ACTIONS(2356),
    [anon_sym_readlink] = ACTIONS(2356),
    [anon_sym_ref] = ACTIONS(2356),
    [anon_sym_scalar] = ACTIONS(2356),
    [anon_sym_shift] = ACTIONS(2356),
    [anon_sym_sin] = ACTIONS(2356),
    [anon_sym_sleep] = ACTIONS(2356),
    [anon_sym_sqrt] = ACTIONS(2356),
    [anon_sym_srand] = ACTIONS(2356),
    [anon_sym_stat] = ACTIONS(2356),
    [anon_sym_study] = ACTIONS(2356),
    [anon_sym_tell] = ACTIONS(2356),
    [anon_sym_telldir] = ACTIONS(2356),
    [anon_sym_tied] = ACTIONS(2356),
    [anon_sym_uc] = ACTIONS(2356),
    [anon_sym_ucfirst] = ACTIONS(2356),
    [anon_sym_untie] = ACTIONS(2356),
    [anon_sym_umask] = ACTIONS(2356),
    [anon_sym_values] = ACTIONS(2356),
    [anon_sym_write] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2356),
    [anon_sym_qq] = ACTIONS(2356),
    [anon_sym_qw] = ACTIONS(2356),
    [anon_sym_qx] = ACTIONS(2356),
    [anon_sym_qr] = ACTIONS(2356),
    [anon_sym_m] = ACTIONS(2356),
    [anon_sym_s] = ACTIONS(2356),
    [anon_sym_tr] = ACTIONS(2356),
    [anon_sym_y] = ACTIONS(2356),
    [aux_sym__bareword_token1] = ACTIONS(2356),
    [sym_number] = ACTIONS(2356),
    [anon_sym_true] = ACTIONS(2356),
    [anon_sym_false] = ACTIONS(2356),
    [sym__single_quote] = ACTIONS(2354),
    [sym__double_quote] = ACTIONS(2354),
    [sym__backtick_quote] = ACTIONS(2354),
    [sym__search_slash_quote] = ACTIONS(2354),
    [sym__open_readline_bracket] = ACTIONS(2354),
    [sym__open_fileglob_bracket] = ACTIONS(2354),
    [sym__PERLY_HEREDOC] = ACTIONS(2354),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2354),
    [sym__filetest] = ACTIONS(2354),
  },
  [1176] = {
    [sym_heredoc_content] = STATE(1176),
    [sym__identifier] = ACTIONS(2360),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_DOLLAR] = ACTIONS(2360),
    [anon_sym_AT] = ACTIONS(2360),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_my] = ACTIONS(2360),
    [anon_sym_extended] = ACTIONS(2360),
    [anon_sym_async] = ACTIONS(2360),
    [anon_sym_sub] = ACTIONS(2360),
    [anon_sym_method] = ACTIONS(2360),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_continue] = ACTIONS(2360),
    [anon_sym_state] = ACTIONS(2360),
    [anon_sym_our] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_LT_LT] = ACTIONS(2360),
    [anon_sym_SLASH_SLASH] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2360),
    [anon_sym_TILDE] = ACTIONS(2360),
    [anon_sym_BANG] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_BSLASH] = ACTIONS(2358),
    [anon_sym_do] = ACTIONS(2360),
    [anon_sym_eval] = ACTIONS(2360),
    [anon_sym_await] = ACTIONS(2360),
    [anon_sym_field] = ACTIONS(2360),
    [anon_sym_local] = ACTIONS(2360),
    [anon_sym_dynamically] = ACTIONS(2360),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2360),
    [anon_sym_require] = ACTIONS(2360),
    [anon_sym_map] = ACTIONS(2360),
    [anon_sym_grep] = ACTIONS(2360),
    [anon_sym_sort] = ACTIONS(2360),
    [anon_sym_goto] = ACTIONS(2360),
    [anon_sym_return] = ACTIONS(2360),
    [anon_sym_undef] = ACTIONS(2360),
    [anon_sym_PERCENT2] = ACTIONS(2360),
    [anon_sym_AMP2] = ACTIONS(2360),
    [anon_sym_STAR2] = ACTIONS(2360),
    [anon_sym_last] = ACTIONS(2360),
    [anon_sym_next] = ACTIONS(2360),
    [anon_sym_redo] = ACTIONS(2360),
    [anon_sym___FILE__] = ACTIONS(2360),
    [anon_sym___LINE__] = ACTIONS(2360),
    [anon_sym___PACKAGE__] = ACTIONS(2360),
    [anon_sym___SUB__] = ACTIONS(2360),
    [anon_sym_break] = ACTIONS(2360),
    [anon_sym_fork] = ACTIONS(2360),
    [anon_sym_getppid] = ACTIONS(2360),
    [anon_sym_time] = ACTIONS(2360),
    [anon_sym_times] = ACTIONS(2360),
    [anon_sym_wait] = ACTIONS(2360),
    [anon_sym_wantarray] = ACTIONS(2360),
    [anon_sym_abs] = ACTIONS(2360),
    [anon_sym_alarm] = ACTIONS(2360),
    [anon_sym_chop] = ACTIONS(2360),
    [anon_sym_chdir] = ACTIONS(2360),
    [anon_sym_close] = ACTIONS(2360),
    [anon_sym_closedir] = ACTIONS(2360),
    [anon_sym_caller] = ACTIONS(2360),
    [anon_sym_chomp] = ACTIONS(2360),
    [anon_sym_chr] = ACTIONS(2360),
    [anon_sym_cos] = ACTIONS(2360),
    [anon_sym_chroot] = ACTIONS(2360),
    [anon_sym_defined] = ACTIONS(2360),
    [anon_sym_delete] = ACTIONS(2360),
    [anon_sym_dbmclose] = ACTIONS(2360),
    [anon_sym_exists] = ACTIONS(2360),
    [anon_sym_exit] = ACTIONS(2360),
    [anon_sym_eof] = ACTIONS(2360),
    [anon_sym_exp] = ACTIONS(2360),
    [anon_sym_each] = ACTIONS(2360),
    [anon_sym_fc] = ACTIONS(2360),
    [anon_sym_fileno] = ACTIONS(2360),
    [anon_sym_gmtime] = ACTIONS(2360),
    [anon_sym_getc] = ACTIONS(2360),
    [anon_sym_getpgrp] = ACTIONS(2360),
    [anon_sym_getprotobyname] = ACTIONS(2360),
    [anon_sym_getpwname] = ACTIONS(2360),
    [anon_sym_getpwuid] = ACTIONS(2360),
    [anon_sym_getpeername] = ACTIONS(2360),
    [anon_sym_getnetbyname] = ACTIONS(2360),
    [anon_sym_getsockname] = ACTIONS(2360),
    [anon_sym_getgrnam] = ACTIONS(2360),
    [anon_sym_getgrgid] = ACTIONS(2360),
    [anon_sym_hex] = ACTIONS(2360),
    [anon_sym_int] = ACTIONS(2360),
    [anon_sym_keys] = ACTIONS(2360),
    [anon_sym_lc] = ACTIONS(2360),
    [anon_sym_lcfirst] = ACTIONS(2360),
    [anon_sym_length] = ACTIONS(2360),
    [anon_sym_localtime] = ACTIONS(2360),
    [anon_sym_log] = ACTIONS(2360),
    [anon_sym_lock] = ACTIONS(2360),
    [anon_sym_lstat] = ACTIONS(2360),
    [anon_sym_oct] = ACTIONS(2360),
    [anon_sym_ord] = ACTIONS(2360),
    [anon_sym_prototype] = ACTIONS(2360),
    [anon_sym_pop] = ACTIONS(2360),
    [anon_sym_pos] = ACTIONS(2360),
    [anon_sym_quotemeta] = ACTIONS(2360),
    [anon_sym_reset] = ACTIONS(2360),
    [anon_sym_rand] = ACTIONS(2360),
    [anon_sym_rmdir] = ACTIONS(2360),
    [anon_sym_readdir] = ACTIONS(2360),
    [anon_sym_readline] = ACTIONS(2360),
    [anon_sym_readpipe] = ACTIONS(2360),
    [anon_sym_rewinddir] = ACTIONS(2360),
    [anon_sym_readlink] = ACTIONS(2360),
    [anon_sym_ref] = ACTIONS(2360),
    [anon_sym_scalar] = ACTIONS(2360),
    [anon_sym_shift] = ACTIONS(2360),
    [anon_sym_sin] = ACTIONS(2360),
    [anon_sym_sleep] = ACTIONS(2360),
    [anon_sym_sqrt] = ACTIONS(2360),
    [anon_sym_srand] = ACTIONS(2360),
    [anon_sym_stat] = ACTIONS(2360),
    [anon_sym_study] = ACTIONS(2360),
    [anon_sym_tell] = ACTIONS(2360),
    [anon_sym_telldir] = ACTIONS(2360),
    [anon_sym_tied] = ACTIONS(2360),
    [anon_sym_uc] = ACTIONS(2360),
    [anon_sym_ucfirst] = ACTIONS(2360),
    [anon_sym_untie] = ACTIONS(2360),
    [anon_sym_umask] = ACTIONS(2360),
    [anon_sym_values] = ACTIONS(2360),
    [anon_sym_write] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2360),
    [anon_sym_qq] = ACTIONS(2360),
    [anon_sym_qw] = ACTIONS(2360),
    [anon_sym_qx] = ACTIONS(2360),
    [anon_sym_qr] = ACTIONS(2360),
    [anon_sym_m] = ACTIONS(2360),
    [anon_sym_s] = ACTIONS(2360),
    [anon_sym_tr] = ACTIONS(2360),
    [anon_sym_y] = ACTIONS(2360),
    [aux_sym__bareword_token1] = ACTIONS(2360),
    [sym_number] = ACTIONS(2360),
    [anon_sym_true] = ACTIONS(2360),
    [anon_sym_false] = ACTIONS(2360),
    [sym__single_quote] = ACTIONS(2358),
    [sym__double_quote] = ACTIONS(2358),
    [sym__backtick_quote] = ACTIONS(2358),
    [sym__search_slash_quote] = ACTIONS(2358),
    [sym__open_readline_bracket] = ACTIONS(2358),
    [sym__open_fileglob_bracket] = ACTIONS(2358),
    [sym__PERLY_HEREDOC] = ACTIONS(2358),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2358),
    [sym__filetest] = ACTIONS(2358),
  },
  [1177] = {
    [sym_heredoc_content] = STATE(1177),
    [sym__identifier] = ACTIONS(2364),
    [anon_sym_LBRACE] = ACTIONS(2364),
    [anon_sym_DOLLAR] = ACTIONS(2364),
    [anon_sym_AT] = ACTIONS(2364),
    [anon_sym_RPAREN] = ACTIONS(2364),
    [anon_sym_my] = ACTIONS(2364),
    [anon_sym_extended] = ACTIONS(2364),
    [anon_sym_async] = ACTIONS(2364),
    [anon_sym_sub] = ACTIONS(2364),
    [anon_sym_method] = ACTIONS(2364),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_continue] = ACTIONS(2364),
    [anon_sym_state] = ACTIONS(2364),
    [anon_sym_our] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_LT_LT] = ACTIONS(2364),
    [anon_sym_SLASH_SLASH] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2364),
    [anon_sym_BSLASH] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2364),
    [anon_sym_eval] = ACTIONS(2364),
    [anon_sym_await] = ACTIONS(2364),
    [anon_sym_field] = ACTIONS(2364),
    [anon_sym_local] = ACTIONS(2364),
    [anon_sym_dynamically] = ACTIONS(2364),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2364),
    [anon_sym_require] = ACTIONS(2364),
    [anon_sym_map] = ACTIONS(2364),
    [anon_sym_grep] = ACTIONS(2364),
    [anon_sym_sort] = ACTIONS(2364),
    [anon_sym_goto] = ACTIONS(2364),
    [anon_sym_return] = ACTIONS(2364),
    [anon_sym_undef] = ACTIONS(2364),
    [anon_sym_PERCENT2] = ACTIONS(2364),
    [anon_sym_AMP2] = ACTIONS(2364),
    [anon_sym_STAR2] = ACTIONS(2364),
    [anon_sym_last] = ACTIONS(2364),
    [anon_sym_next] = ACTIONS(2364),
    [anon_sym_redo] = ACTIONS(2364),
    [anon_sym___FILE__] = ACTIONS(2364),
    [anon_sym___LINE__] = ACTIONS(2364),
    [anon_sym___PACKAGE__] = ACTIONS(2364),
    [anon_sym___SUB__] = ACTIONS(2364),
    [anon_sym_break] = ACTIONS(2364),
    [anon_sym_fork] = ACTIONS(2364),
    [anon_sym_getppid] = ACTIONS(2364),
    [anon_sym_time] = ACTIONS(2364),
    [anon_sym_times] = ACTIONS(2364),
    [anon_sym_wait] = ACTIONS(2364),
    [anon_sym_wantarray] = ACTIONS(2364),
    [anon_sym_abs] = ACTIONS(2364),
    [anon_sym_alarm] = ACTIONS(2364),
    [anon_sym_chop] = ACTIONS(2364),
    [anon_sym_chdir] = ACTIONS(2364),
    [anon_sym_close] = ACTIONS(2364),
    [anon_sym_closedir] = ACTIONS(2364),
    [anon_sym_caller] = ACTIONS(2364),
    [anon_sym_chomp] = ACTIONS(2364),
    [anon_sym_chr] = ACTIONS(2364),
    [anon_sym_cos] = ACTIONS(2364),
    [anon_sym_chroot] = ACTIONS(2364),
    [anon_sym_defined] = ACTIONS(2364),
    [anon_sym_delete] = ACTIONS(2364),
    [anon_sym_dbmclose] = ACTIONS(2364),
    [anon_sym_exists] = ACTIONS(2364),
    [anon_sym_exit] = ACTIONS(2364),
    [anon_sym_eof] = ACTIONS(2364),
    [anon_sym_exp] = ACTIONS(2364),
    [anon_sym_each] = ACTIONS(2364),
    [anon_sym_fc] = ACTIONS(2364),
    [anon_sym_fileno] = ACTIONS(2364),
    [anon_sym_gmtime] = ACTIONS(2364),
    [anon_sym_getc] = ACTIONS(2364),
    [anon_sym_getpgrp] = ACTIONS(2364),
    [anon_sym_getprotobyname] = ACTIONS(2364),
    [anon_sym_getpwname] = ACTIONS(2364),
    [anon_sym_getpwuid] = ACTIONS(2364),
    [anon_sym_getpeername] = ACTIONS(2364),
    [anon_sym_getnetbyname] = ACTIONS(2364),
    [anon_sym_getsockname] = ACTIONS(2364),
    [anon_sym_getgrnam] = ACTIONS(2364),
    [anon_sym_getgrgid] = ACTIONS(2364),
    [anon_sym_hex] = ACTIONS(2364),
    [anon_sym_int] = ACTIONS(2364),
    [anon_sym_keys] = ACTIONS(2364),
    [anon_sym_lc] = ACTIONS(2364),
    [anon_sym_lcfirst] = ACTIONS(2364),
    [anon_sym_length] = ACTIONS(2364),
    [anon_sym_localtime] = ACTIONS(2364),
    [anon_sym_log] = ACTIONS(2364),
    [anon_sym_lock] = ACTIONS(2364),
    [anon_sym_lstat] = ACTIONS(2364),
    [anon_sym_oct] = ACTIONS(2364),
    [anon_sym_ord] = ACTIONS(2364),
    [anon_sym_prototype] = ACTIONS(2364),
    [anon_sym_pop] = ACTIONS(2364),
    [anon_sym_pos] = ACTIONS(2364),
    [anon_sym_quotemeta] = ACTIONS(2364),
    [anon_sym_reset] = ACTIONS(2364),
    [anon_sym_rand] = ACTIONS(2364),
    [anon_sym_rmdir] = ACTIONS(2364),
    [anon_sym_readdir] = ACTIONS(2364),
    [anon_sym_readline] = ACTIONS(2364),
    [anon_sym_readpipe] = ACTIONS(2364),
    [anon_sym_rewinddir] = ACTIONS(2364),
    [anon_sym_readlink] = ACTIONS(2364),
    [anon_sym_ref] = ACTIONS(2364),
    [anon_sym_scalar] = ACTIONS(2364),
    [anon_sym_shift] = ACTIONS(2364),
    [anon_sym_sin] = ACTIONS(2364),
    [anon_sym_sleep] = ACTIONS(2364),
    [anon_sym_sqrt] = ACTIONS(2364),
    [anon_sym_srand] = ACTIONS(2364),
    [anon_sym_stat] = ACTIONS(2364),
    [anon_sym_study] = ACTIONS(2364),
    [anon_sym_tell] = ACTIONS(2364),
    [anon_sym_telldir] = ACTIONS(2364),
    [anon_sym_tied] = ACTIONS(2364),
    [anon_sym_uc] = ACTIONS(2364),
    [anon_sym_ucfirst] = ACTIONS(2364),
    [anon_sym_untie] = ACTIONS(2364),
    [anon_sym_umask] = ACTIONS(2364),
    [anon_sym_values] = ACTIONS(2364),
    [anon_sym_write] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2364),
    [anon_sym_qq] = ACTIONS(2364),
    [anon_sym_qw] = ACTIONS(2364),
    [anon_sym_qx] = ACTIONS(2364),
    [anon_sym_qr] = ACTIONS(2364),
    [anon_sym_m] = ACTIONS(2364),
    [anon_sym_s] = ACTIONS(2364),
    [anon_sym_tr] = ACTIONS(2364),
    [anon_sym_y] = ACTIONS(2364),
    [aux_sym__bareword_token1] = ACTIONS(2364),
    [sym_number] = ACTIONS(2364),
    [anon_sym_true] = ACTIONS(2364),
    [anon_sym_false] = ACTIONS(2364),
    [sym__single_quote] = ACTIONS(2362),
    [sym__double_quote] = ACTIONS(2362),
    [sym__backtick_quote] = ACTIONS(2362),
    [sym__search_slash_quote] = ACTIONS(2362),
    [sym__open_readline_bracket] = ACTIONS(2362),
    [sym__open_fileglob_bracket] = ACTIONS(2362),
    [sym__PERLY_HEREDOC] = ACTIONS(2362),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2362),
    [sym__filetest] = ACTIONS(2362),
  },
  [1178] = {
    [sym_heredoc_content] = STATE(1178),
    [sym__identifier] = ACTIONS(2368),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_DOLLAR] = ACTIONS(2368),
    [anon_sym_AT] = ACTIONS(2368),
    [anon_sym_RPAREN] = ACTIONS(2368),
    [anon_sym_my] = ACTIONS(2368),
    [anon_sym_extended] = ACTIONS(2368),
    [anon_sym_async] = ACTIONS(2368),
    [anon_sym_sub] = ACTIONS(2368),
    [anon_sym_method] = ACTIONS(2368),
    [anon_sym_LPAREN] = ACTIONS(2368),
    [anon_sym_continue] = ACTIONS(2368),
    [anon_sym_state] = ACTIONS(2368),
    [anon_sym_our] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_LT_LT] = ACTIONS(2368),
    [anon_sym_SLASH_SLASH] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_BSLASH] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2368),
    [anon_sym_eval] = ACTIONS(2368),
    [anon_sym_await] = ACTIONS(2368),
    [anon_sym_field] = ACTIONS(2368),
    [anon_sym_local] = ACTIONS(2368),
    [anon_sym_dynamically] = ACTIONS(2368),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2368),
    [anon_sym_require] = ACTIONS(2368),
    [anon_sym_map] = ACTIONS(2368),
    [anon_sym_grep] = ACTIONS(2368),
    [anon_sym_sort] = ACTIONS(2368),
    [anon_sym_goto] = ACTIONS(2368),
    [anon_sym_return] = ACTIONS(2368),
    [anon_sym_undef] = ACTIONS(2368),
    [anon_sym_PERCENT2] = ACTIONS(2368),
    [anon_sym_AMP2] = ACTIONS(2368),
    [anon_sym_STAR2] = ACTIONS(2368),
    [anon_sym_last] = ACTIONS(2368),
    [anon_sym_next] = ACTIONS(2368),
    [anon_sym_redo] = ACTIONS(2368),
    [anon_sym___FILE__] = ACTIONS(2368),
    [anon_sym___LINE__] = ACTIONS(2368),
    [anon_sym___PACKAGE__] = ACTIONS(2368),
    [anon_sym___SUB__] = ACTIONS(2368),
    [anon_sym_break] = ACTIONS(2368),
    [anon_sym_fork] = ACTIONS(2368),
    [anon_sym_getppid] = ACTIONS(2368),
    [anon_sym_time] = ACTIONS(2368),
    [anon_sym_times] = ACTIONS(2368),
    [anon_sym_wait] = ACTIONS(2368),
    [anon_sym_wantarray] = ACTIONS(2368),
    [anon_sym_abs] = ACTIONS(2368),
    [anon_sym_alarm] = ACTIONS(2368),
    [anon_sym_chop] = ACTIONS(2368),
    [anon_sym_chdir] = ACTIONS(2368),
    [anon_sym_close] = ACTIONS(2368),
    [anon_sym_closedir] = ACTIONS(2368),
    [anon_sym_caller] = ACTIONS(2368),
    [anon_sym_chomp] = ACTIONS(2368),
    [anon_sym_chr] = ACTIONS(2368),
    [anon_sym_cos] = ACTIONS(2368),
    [anon_sym_chroot] = ACTIONS(2368),
    [anon_sym_defined] = ACTIONS(2368),
    [anon_sym_delete] = ACTIONS(2368),
    [anon_sym_dbmclose] = ACTIONS(2368),
    [anon_sym_exists] = ACTIONS(2368),
    [anon_sym_exit] = ACTIONS(2368),
    [anon_sym_eof] = ACTIONS(2368),
    [anon_sym_exp] = ACTIONS(2368),
    [anon_sym_each] = ACTIONS(2368),
    [anon_sym_fc] = ACTIONS(2368),
    [anon_sym_fileno] = ACTIONS(2368),
    [anon_sym_gmtime] = ACTIONS(2368),
    [anon_sym_getc] = ACTIONS(2368),
    [anon_sym_getpgrp] = ACTIONS(2368),
    [anon_sym_getprotobyname] = ACTIONS(2368),
    [anon_sym_getpwname] = ACTIONS(2368),
    [anon_sym_getpwuid] = ACTIONS(2368),
    [anon_sym_getpeername] = ACTIONS(2368),
    [anon_sym_getnetbyname] = ACTIONS(2368),
    [anon_sym_getsockname] = ACTIONS(2368),
    [anon_sym_getgrnam] = ACTIONS(2368),
    [anon_sym_getgrgid] = ACTIONS(2368),
    [anon_sym_hex] = ACTIONS(2368),
    [anon_sym_int] = ACTIONS(2368),
    [anon_sym_keys] = ACTIONS(2368),
    [anon_sym_lc] = ACTIONS(2368),
    [anon_sym_lcfirst] = ACTIONS(2368),
    [anon_sym_length] = ACTIONS(2368),
    [anon_sym_localtime] = ACTIONS(2368),
    [anon_sym_log] = ACTIONS(2368),
    [anon_sym_lock] = ACTIONS(2368),
    [anon_sym_lstat] = ACTIONS(2368),
    [anon_sym_oct] = ACTIONS(2368),
    [anon_sym_ord] = ACTIONS(2368),
    [anon_sym_prototype] = ACTIONS(2368),
    [anon_sym_pop] = ACTIONS(2368),
    [anon_sym_pos] = ACTIONS(2368),
    [anon_sym_quotemeta] = ACTIONS(2368),
    [anon_sym_reset] = ACTIONS(2368),
    [anon_sym_rand] = ACTIONS(2368),
    [anon_sym_rmdir] = ACTIONS(2368),
    [anon_sym_readdir] = ACTIONS(2368),
    [anon_sym_readline] = ACTIONS(2368),
    [anon_sym_readpipe] = ACTIONS(2368),
    [anon_sym_rewinddir] = ACTIONS(2368),
    [anon_sym_readlink] = ACTIONS(2368),
    [anon_sym_ref] = ACTIONS(2368),
    [anon_sym_scalar] = ACTIONS(2368),
    [anon_sym_shift] = ACTIONS(2368),
    [anon_sym_sin] = ACTIONS(2368),
    [anon_sym_sleep] = ACTIONS(2368),
    [anon_sym_sqrt] = ACTIONS(2368),
    [anon_sym_srand] = ACTIONS(2368),
    [anon_sym_stat] = ACTIONS(2368),
    [anon_sym_study] = ACTIONS(2368),
    [anon_sym_tell] = ACTIONS(2368),
    [anon_sym_telldir] = ACTIONS(2368),
    [anon_sym_tied] = ACTIONS(2368),
    [anon_sym_uc] = ACTIONS(2368),
    [anon_sym_ucfirst] = ACTIONS(2368),
    [anon_sym_untie] = ACTIONS(2368),
    [anon_sym_umask] = ACTIONS(2368),
    [anon_sym_values] = ACTIONS(2368),
    [anon_sym_write] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2368),
    [anon_sym_qq] = ACTIONS(2368),
    [anon_sym_qw] = ACTIONS(2368),
    [anon_sym_qx] = ACTIONS(2368),
    [anon_sym_qr] = ACTIONS(2368),
    [anon_sym_m] = ACTIONS(2368),
    [anon_sym_s] = ACTIONS(2368),
    [anon_sym_tr] = ACTIONS(2368),
    [anon_sym_y] = ACTIONS(2368),
    [aux_sym__bareword_token1] = ACTIONS(2368),
    [sym_number] = ACTIONS(2368),
    [anon_sym_true] = ACTIONS(2368),
    [anon_sym_false] = ACTIONS(2368),
    [sym__single_quote] = ACTIONS(2366),
    [sym__double_quote] = ACTIONS(2366),
    [sym__backtick_quote] = ACTIONS(2366),
    [sym__search_slash_quote] = ACTIONS(2366),
    [sym__open_readline_bracket] = ACTIONS(2366),
    [sym__open_fileglob_bracket] = ACTIONS(2366),
    [sym__PERLY_HEREDOC] = ACTIONS(2366),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2366),
    [sym__filetest] = ACTIONS(2366),
  },
  [1179] = {
    [sym_heredoc_content] = STATE(1179),
    [sym__identifier] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2085),
    [anon_sym_DOLLAR] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2085),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_my] = ACTIONS(2085),
    [anon_sym_extended] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_sub] = ACTIONS(2085),
    [anon_sym_method] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_state] = ACTIONS(2085),
    [anon_sym_our] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2085),
    [anon_sym_LT_LT] = ACTIONS(2085),
    [anon_sym_SLASH_SLASH] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2085),
    [anon_sym_DASH_DASH] = ACTIONS(2085),
    [anon_sym_BSLASH] = ACTIONS(2083),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_eval] = ACTIONS(2085),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_field] = ACTIONS(2085),
    [anon_sym_local] = ACTIONS(2085),
    [anon_sym_dynamically] = ACTIONS(2085),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2085),
    [anon_sym_require] = ACTIONS(2085),
    [anon_sym_map] = ACTIONS(2085),
    [anon_sym_grep] = ACTIONS(2085),
    [anon_sym_sort] = ACTIONS(2085),
    [anon_sym_goto] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_undef] = ACTIONS(2085),
    [anon_sym_PERCENT2] = ACTIONS(2085),
    [anon_sym_AMP2] = ACTIONS(2085),
    [anon_sym_STAR2] = ACTIONS(2085),
    [anon_sym_last] = ACTIONS(2085),
    [anon_sym_next] = ACTIONS(2085),
    [anon_sym_redo] = ACTIONS(2085),
    [anon_sym___FILE__] = ACTIONS(2085),
    [anon_sym___LINE__] = ACTIONS(2085),
    [anon_sym___PACKAGE__] = ACTIONS(2085),
    [anon_sym___SUB__] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_fork] = ACTIONS(2085),
    [anon_sym_getppid] = ACTIONS(2085),
    [anon_sym_time] = ACTIONS(2085),
    [anon_sym_times] = ACTIONS(2085),
    [anon_sym_wait] = ACTIONS(2085),
    [anon_sym_wantarray] = ACTIONS(2085),
    [anon_sym_abs] = ACTIONS(2085),
    [anon_sym_alarm] = ACTIONS(2085),
    [anon_sym_chop] = ACTIONS(2085),
    [anon_sym_chdir] = ACTIONS(2085),
    [anon_sym_close] = ACTIONS(2085),
    [anon_sym_closedir] = ACTIONS(2085),
    [anon_sym_caller] = ACTIONS(2085),
    [anon_sym_chomp] = ACTIONS(2085),
    [anon_sym_chr] = ACTIONS(2085),
    [anon_sym_cos] = ACTIONS(2085),
    [anon_sym_chroot] = ACTIONS(2085),
    [anon_sym_defined] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_dbmclose] = ACTIONS(2085),
    [anon_sym_exists] = ACTIONS(2085),
    [anon_sym_exit] = ACTIONS(2085),
    [anon_sym_eof] = ACTIONS(2085),
    [anon_sym_exp] = ACTIONS(2085),
    [anon_sym_each] = ACTIONS(2085),
    [anon_sym_fc] = ACTIONS(2085),
    [anon_sym_fileno] = ACTIONS(2085),
    [anon_sym_gmtime] = ACTIONS(2085),
    [anon_sym_getc] = ACTIONS(2085),
    [anon_sym_getpgrp] = ACTIONS(2085),
    [anon_sym_getprotobyname] = ACTIONS(2085),
    [anon_sym_getpwname] = ACTIONS(2085),
    [anon_sym_getpwuid] = ACTIONS(2085),
    [anon_sym_getpeername] = ACTIONS(2085),
    [anon_sym_getnetbyname] = ACTIONS(2085),
    [anon_sym_getsockname] = ACTIONS(2085),
    [anon_sym_getgrnam] = ACTIONS(2085),
    [anon_sym_getgrgid] = ACTIONS(2085),
    [anon_sym_hex] = ACTIONS(2085),
    [anon_sym_int] = ACTIONS(2085),
    [anon_sym_keys] = ACTIONS(2085),
    [anon_sym_lc] = ACTIONS(2085),
    [anon_sym_lcfirst] = ACTIONS(2085),
    [anon_sym_length] = ACTIONS(2085),
    [anon_sym_localtime] = ACTIONS(2085),
    [anon_sym_log] = ACTIONS(2085),
    [anon_sym_lock] = ACTIONS(2085),
    [anon_sym_lstat] = ACTIONS(2085),
    [anon_sym_oct] = ACTIONS(2085),
    [anon_sym_ord] = ACTIONS(2085),
    [anon_sym_prototype] = ACTIONS(2085),
    [anon_sym_pop] = ACTIONS(2085),
    [anon_sym_pos] = ACTIONS(2085),
    [anon_sym_quotemeta] = ACTIONS(2085),
    [anon_sym_reset] = ACTIONS(2085),
    [anon_sym_rand] = ACTIONS(2085),
    [anon_sym_rmdir] = ACTIONS(2085),
    [anon_sym_readdir] = ACTIONS(2085),
    [anon_sym_readline] = ACTIONS(2085),
    [anon_sym_readpipe] = ACTIONS(2085),
    [anon_sym_rewinddir] = ACTIONS(2085),
    [anon_sym_readlink] = ACTIONS(2085),
    [anon_sym_ref] = ACTIONS(2085),
    [anon_sym_scalar] = ACTIONS(2085),
    [anon_sym_shift] = ACTIONS(2085),
    [anon_sym_sin] = ACTIONS(2085),
    [anon_sym_sleep] = ACTIONS(2085),
    [anon_sym_sqrt] = ACTIONS(2085),
    [anon_sym_srand] = ACTIONS(2085),
    [anon_sym_stat] = ACTIONS(2085),
    [anon_sym_study] = ACTIONS(2085),
    [anon_sym_tell] = ACTIONS(2085),
    [anon_sym_telldir] = ACTIONS(2085),
    [anon_sym_tied] = ACTIONS(2085),
    [anon_sym_uc] = ACTIONS(2085),
    [anon_sym_ucfirst] = ACTIONS(2085),
    [anon_sym_untie] = ACTIONS(2085),
    [anon_sym_umask] = ACTIONS(2085),
    [anon_sym_values] = ACTIONS(2085),
    [anon_sym_write] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2085),
    [anon_sym_qq] = ACTIONS(2085),
    [anon_sym_qw] = ACTIONS(2085),
    [anon_sym_qx] = ACTIONS(2085),
    [anon_sym_qr] = ACTIONS(2085),
    [anon_sym_m] = ACTIONS(2085),
    [anon_sym_s] = ACTIONS(2085),
    [anon_sym_tr] = ACTIONS(2085),
    [anon_sym_y] = ACTIONS(2085),
    [aux_sym__bareword_token1] = ACTIONS(2085),
    [sym_number] = ACTIONS(2085),
    [anon_sym_true] = ACTIONS(2085),
    [anon_sym_false] = ACTIONS(2085),
    [sym__single_quote] = ACTIONS(2083),
    [sym__double_quote] = ACTIONS(2083),
    [sym__backtick_quote] = ACTIONS(2083),
    [sym__search_slash_quote] = ACTIONS(2083),
    [sym__open_readline_bracket] = ACTIONS(2083),
    [sym__open_fileglob_bracket] = ACTIONS(2083),
    [sym__PERLY_HEREDOC] = ACTIONS(2083),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2083),
    [sym__filetest] = ACTIONS(2083),
  },
  [1180] = {
    [sym_heredoc_content] = STATE(1180),
    [sym__identifier] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2049),
    [anon_sym_DOLLAR] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2049),
    [anon_sym_RPAREN] = ACTIONS(2049),
    [anon_sym_my] = ACTIONS(2049),
    [anon_sym_extended] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_sub] = ACTIONS(2049),
    [anon_sym_method] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_state] = ACTIONS(2049),
    [anon_sym_our] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2049),
    [anon_sym_LT_LT] = ACTIONS(2049),
    [anon_sym_SLASH_SLASH] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_TILDE] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2049),
    [anon_sym_PLUS_PLUS] = ACTIONS(2049),
    [anon_sym_DASH_DASH] = ACTIONS(2049),
    [anon_sym_BSLASH] = ACTIONS(2047),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_eval] = ACTIONS(2049),
    [anon_sym_await] = ACTIONS(2049),
    [anon_sym_field] = ACTIONS(2049),
    [anon_sym_local] = ACTIONS(2049),
    [anon_sym_dynamically] = ACTIONS(2049),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2049),
    [anon_sym_require] = ACTIONS(2049),
    [anon_sym_map] = ACTIONS(2049),
    [anon_sym_grep] = ACTIONS(2049),
    [anon_sym_sort] = ACTIONS(2049),
    [anon_sym_goto] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_undef] = ACTIONS(2049),
    [anon_sym_PERCENT2] = ACTIONS(2049),
    [anon_sym_AMP2] = ACTIONS(2049),
    [anon_sym_STAR2] = ACTIONS(2049),
    [anon_sym_last] = ACTIONS(2049),
    [anon_sym_next] = ACTIONS(2049),
    [anon_sym_redo] = ACTIONS(2049),
    [anon_sym___FILE__] = ACTIONS(2049),
    [anon_sym___LINE__] = ACTIONS(2049),
    [anon_sym___PACKAGE__] = ACTIONS(2049),
    [anon_sym___SUB__] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_fork] = ACTIONS(2049),
    [anon_sym_getppid] = ACTIONS(2049),
    [anon_sym_time] = ACTIONS(2049),
    [anon_sym_times] = ACTIONS(2049),
    [anon_sym_wait] = ACTIONS(2049),
    [anon_sym_wantarray] = ACTIONS(2049),
    [anon_sym_abs] = ACTIONS(2049),
    [anon_sym_alarm] = ACTIONS(2049),
    [anon_sym_chop] = ACTIONS(2049),
    [anon_sym_chdir] = ACTIONS(2049),
    [anon_sym_close] = ACTIONS(2049),
    [anon_sym_closedir] = ACTIONS(2049),
    [anon_sym_caller] = ACTIONS(2049),
    [anon_sym_chomp] = ACTIONS(2049),
    [anon_sym_chr] = ACTIONS(2049),
    [anon_sym_cos] = ACTIONS(2049),
    [anon_sym_chroot] = ACTIONS(2049),
    [anon_sym_defined] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_dbmclose] = ACTIONS(2049),
    [anon_sym_exists] = ACTIONS(2049),
    [anon_sym_exit] = ACTIONS(2049),
    [anon_sym_eof] = ACTIONS(2049),
    [anon_sym_exp] = ACTIONS(2049),
    [anon_sym_each] = ACTIONS(2049),
    [anon_sym_fc] = ACTIONS(2049),
    [anon_sym_fileno] = ACTIONS(2049),
    [anon_sym_gmtime] = ACTIONS(2049),
    [anon_sym_getc] = ACTIONS(2049),
    [anon_sym_getpgrp] = ACTIONS(2049),
    [anon_sym_getprotobyname] = ACTIONS(2049),
    [anon_sym_getpwname] = ACTIONS(2049),
    [anon_sym_getpwuid] = ACTIONS(2049),
    [anon_sym_getpeername] = ACTIONS(2049),
    [anon_sym_getnetbyname] = ACTIONS(2049),
    [anon_sym_getsockname] = ACTIONS(2049),
    [anon_sym_getgrnam] = ACTIONS(2049),
    [anon_sym_getgrgid] = ACTIONS(2049),
    [anon_sym_hex] = ACTIONS(2049),
    [anon_sym_int] = ACTIONS(2049),
    [anon_sym_keys] = ACTIONS(2049),
    [anon_sym_lc] = ACTIONS(2049),
    [anon_sym_lcfirst] = ACTIONS(2049),
    [anon_sym_length] = ACTIONS(2049),
    [anon_sym_localtime] = ACTIONS(2049),
    [anon_sym_log] = ACTIONS(2049),
    [anon_sym_lock] = ACTIONS(2049),
    [anon_sym_lstat] = ACTIONS(2049),
    [anon_sym_oct] = ACTIONS(2049),
    [anon_sym_ord] = ACTIONS(2049),
    [anon_sym_prototype] = ACTIONS(2049),
    [anon_sym_pop] = ACTIONS(2049),
    [anon_sym_pos] = ACTIONS(2049),
    [anon_sym_quotemeta] = ACTIONS(2049),
    [anon_sym_reset] = ACTIONS(2049),
    [anon_sym_rand] = ACTIONS(2049),
    [anon_sym_rmdir] = ACTIONS(2049),
    [anon_sym_readdir] = ACTIONS(2049),
    [anon_sym_readline] = ACTIONS(2049),
    [anon_sym_readpipe] = ACTIONS(2049),
    [anon_sym_rewinddir] = ACTIONS(2049),
    [anon_sym_readlink] = ACTIONS(2049),
    [anon_sym_ref] = ACTIONS(2049),
    [anon_sym_scalar] = ACTIONS(2049),
    [anon_sym_shift] = ACTIONS(2049),
    [anon_sym_sin] = ACTIONS(2049),
    [anon_sym_sleep] = ACTIONS(2049),
    [anon_sym_sqrt] = ACTIONS(2049),
    [anon_sym_srand] = ACTIONS(2049),
    [anon_sym_stat] = ACTIONS(2049),
    [anon_sym_study] = ACTIONS(2049),
    [anon_sym_tell] = ACTIONS(2049),
    [anon_sym_telldir] = ACTIONS(2049),
    [anon_sym_tied] = ACTIONS(2049),
    [anon_sym_uc] = ACTIONS(2049),
    [anon_sym_ucfirst] = ACTIONS(2049),
    [anon_sym_untie] = ACTIONS(2049),
    [anon_sym_umask] = ACTIONS(2049),
    [anon_sym_values] = ACTIONS(2049),
    [anon_sym_write] = ACTIONS(2049),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2049),
    [anon_sym_qq] = ACTIONS(2049),
    [anon_sym_qw] = ACTIONS(2049),
    [anon_sym_qx] = ACTIONS(2049),
    [anon_sym_qr] = ACTIONS(2049),
    [anon_sym_m] = ACTIONS(2049),
    [anon_sym_s] = ACTIONS(2049),
    [anon_sym_tr] = ACTIONS(2049),
    [anon_sym_y] = ACTIONS(2049),
    [aux_sym__bareword_token1] = ACTIONS(2049),
    [sym_number] = ACTIONS(2049),
    [anon_sym_true] = ACTIONS(2049),
    [anon_sym_false] = ACTIONS(2049),
    [sym__single_quote] = ACTIONS(2047),
    [sym__double_quote] = ACTIONS(2047),
    [sym__backtick_quote] = ACTIONS(2047),
    [sym__search_slash_quote] = ACTIONS(2047),
    [sym__open_readline_bracket] = ACTIONS(2047),
    [sym__open_fileglob_bracket] = ACTIONS(2047),
    [sym__PERLY_HEREDOC] = ACTIONS(2047),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2047),
    [sym__filetest] = ACTIONS(2047),
  },
  [1181] = {
    [sym_heredoc_content] = STATE(1181),
    [sym__identifier] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2177),
    [anon_sym_DOLLAR] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2177),
    [anon_sym_RPAREN] = ACTIONS(2177),
    [anon_sym_my] = ACTIONS(2177),
    [anon_sym_extended] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_sub] = ACTIONS(2177),
    [anon_sym_method] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_state] = ACTIONS(2177),
    [anon_sym_our] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2177),
    [anon_sym_LT_LT] = ACTIONS(2177),
    [anon_sym_SLASH_SLASH] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2177),
    [anon_sym_DASH_DASH] = ACTIONS(2177),
    [anon_sym_BSLASH] = ACTIONS(2175),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_eval] = ACTIONS(2177),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_field] = ACTIONS(2177),
    [anon_sym_local] = ACTIONS(2177),
    [anon_sym_dynamically] = ACTIONS(2177),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2177),
    [anon_sym_require] = ACTIONS(2177),
    [anon_sym_map] = ACTIONS(2177),
    [anon_sym_grep] = ACTIONS(2177),
    [anon_sym_sort] = ACTIONS(2177),
    [anon_sym_goto] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_undef] = ACTIONS(2177),
    [anon_sym_PERCENT2] = ACTIONS(2177),
    [anon_sym_AMP2] = ACTIONS(2177),
    [anon_sym_STAR2] = ACTIONS(2177),
    [anon_sym_last] = ACTIONS(2177),
    [anon_sym_next] = ACTIONS(2177),
    [anon_sym_redo] = ACTIONS(2177),
    [anon_sym___FILE__] = ACTIONS(2177),
    [anon_sym___LINE__] = ACTIONS(2177),
    [anon_sym___PACKAGE__] = ACTIONS(2177),
    [anon_sym___SUB__] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_fork] = ACTIONS(2177),
    [anon_sym_getppid] = ACTIONS(2177),
    [anon_sym_time] = ACTIONS(2177),
    [anon_sym_times] = ACTIONS(2177),
    [anon_sym_wait] = ACTIONS(2177),
    [anon_sym_wantarray] = ACTIONS(2177),
    [anon_sym_abs] = ACTIONS(2177),
    [anon_sym_alarm] = ACTIONS(2177),
    [anon_sym_chop] = ACTIONS(2177),
    [anon_sym_chdir] = ACTIONS(2177),
    [anon_sym_close] = ACTIONS(2177),
    [anon_sym_closedir] = ACTIONS(2177),
    [anon_sym_caller] = ACTIONS(2177),
    [anon_sym_chomp] = ACTIONS(2177),
    [anon_sym_chr] = ACTIONS(2177),
    [anon_sym_cos] = ACTIONS(2177),
    [anon_sym_chroot] = ACTIONS(2177),
    [anon_sym_defined] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_dbmclose] = ACTIONS(2177),
    [anon_sym_exists] = ACTIONS(2177),
    [anon_sym_exit] = ACTIONS(2177),
    [anon_sym_eof] = ACTIONS(2177),
    [anon_sym_exp] = ACTIONS(2177),
    [anon_sym_each] = ACTIONS(2177),
    [anon_sym_fc] = ACTIONS(2177),
    [anon_sym_fileno] = ACTIONS(2177),
    [anon_sym_gmtime] = ACTIONS(2177),
    [anon_sym_getc] = ACTIONS(2177),
    [anon_sym_getpgrp] = ACTIONS(2177),
    [anon_sym_getprotobyname] = ACTIONS(2177),
    [anon_sym_getpwname] = ACTIONS(2177),
    [anon_sym_getpwuid] = ACTIONS(2177),
    [anon_sym_getpeername] = ACTIONS(2177),
    [anon_sym_getnetbyname] = ACTIONS(2177),
    [anon_sym_getsockname] = ACTIONS(2177),
    [anon_sym_getgrnam] = ACTIONS(2177),
    [anon_sym_getgrgid] = ACTIONS(2177),
    [anon_sym_hex] = ACTIONS(2177),
    [anon_sym_int] = ACTIONS(2177),
    [anon_sym_keys] = ACTIONS(2177),
    [anon_sym_lc] = ACTIONS(2177),
    [anon_sym_lcfirst] = ACTIONS(2177),
    [anon_sym_length] = ACTIONS(2177),
    [anon_sym_localtime] = ACTIONS(2177),
    [anon_sym_log] = ACTIONS(2177),
    [anon_sym_lock] = ACTIONS(2177),
    [anon_sym_lstat] = ACTIONS(2177),
    [anon_sym_oct] = ACTIONS(2177),
    [anon_sym_ord] = ACTIONS(2177),
    [anon_sym_prototype] = ACTIONS(2177),
    [anon_sym_pop] = ACTIONS(2177),
    [anon_sym_pos] = ACTIONS(2177),
    [anon_sym_quotemeta] = ACTIONS(2177),
    [anon_sym_reset] = ACTIONS(2177),
    [anon_sym_rand] = ACTIONS(2177),
    [anon_sym_rmdir] = ACTIONS(2177),
    [anon_sym_readdir] = ACTIONS(2177),
    [anon_sym_readline] = ACTIONS(2177),
    [anon_sym_readpipe] = ACTIONS(2177),
    [anon_sym_rewinddir] = ACTIONS(2177),
    [anon_sym_readlink] = ACTIONS(2177),
    [anon_sym_ref] = ACTIONS(2177),
    [anon_sym_scalar] = ACTIONS(2177),
    [anon_sym_shift] = ACTIONS(2177),
    [anon_sym_sin] = ACTIONS(2177),
    [anon_sym_sleep] = ACTIONS(2177),
    [anon_sym_sqrt] = ACTIONS(2177),
    [anon_sym_srand] = ACTIONS(2177),
    [anon_sym_stat] = ACTIONS(2177),
    [anon_sym_study] = ACTIONS(2177),
    [anon_sym_tell] = ACTIONS(2177),
    [anon_sym_telldir] = ACTIONS(2177),
    [anon_sym_tied] = ACTIONS(2177),
    [anon_sym_uc] = ACTIONS(2177),
    [anon_sym_ucfirst] = ACTIONS(2177),
    [anon_sym_untie] = ACTIONS(2177),
    [anon_sym_umask] = ACTIONS(2177),
    [anon_sym_values] = ACTIONS(2177),
    [anon_sym_write] = ACTIONS(2177),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2177),
    [anon_sym_qq] = ACTIONS(2177),
    [anon_sym_qw] = ACTIONS(2177),
    [anon_sym_qx] = ACTIONS(2177),
    [anon_sym_qr] = ACTIONS(2177),
    [anon_sym_m] = ACTIONS(2177),
    [anon_sym_s] = ACTIONS(2177),
    [anon_sym_tr] = ACTIONS(2177),
    [anon_sym_y] = ACTIONS(2177),
    [aux_sym__bareword_token1] = ACTIONS(2177),
    [sym_number] = ACTIONS(2177),
    [anon_sym_true] = ACTIONS(2177),
    [anon_sym_false] = ACTIONS(2177),
    [sym__single_quote] = ACTIONS(2175),
    [sym__double_quote] = ACTIONS(2175),
    [sym__backtick_quote] = ACTIONS(2175),
    [sym__search_slash_quote] = ACTIONS(2175),
    [sym__open_readline_bracket] = ACTIONS(2175),
    [sym__open_fileglob_bracket] = ACTIONS(2175),
    [sym__PERLY_HEREDOC] = ACTIONS(2175),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2175),
    [sym__filetest] = ACTIONS(2175),
  },
  [1182] = {
    [sym_heredoc_content] = STATE(1182),
    [sym__identifier] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2057),
    [anon_sym_DOLLAR] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2057),
    [anon_sym_RPAREN] = ACTIONS(2057),
    [anon_sym_my] = ACTIONS(2057),
    [anon_sym_extended] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_sub] = ACTIONS(2057),
    [anon_sym_method] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2057),
    [anon_sym_continue] = ACTIONS(2057),
    [anon_sym_state] = ACTIONS(2057),
    [anon_sym_our] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2057),
    [anon_sym_LT_LT] = ACTIONS(2057),
    [anon_sym_SLASH_SLASH] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2057),
    [anon_sym_DASH_DASH] = ACTIONS(2057),
    [anon_sym_BSLASH] = ACTIONS(2055),
    [anon_sym_do] = ACTIONS(2057),
    [anon_sym_eval] = ACTIONS(2057),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_field] = ACTIONS(2057),
    [anon_sym_local] = ACTIONS(2057),
    [anon_sym_dynamically] = ACTIONS(2057),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2057),
    [anon_sym_require] = ACTIONS(2057),
    [anon_sym_map] = ACTIONS(2057),
    [anon_sym_grep] = ACTIONS(2057),
    [anon_sym_sort] = ACTIONS(2057),
    [anon_sym_goto] = ACTIONS(2057),
    [anon_sym_return] = ACTIONS(2057),
    [anon_sym_undef] = ACTIONS(2057),
    [anon_sym_PERCENT2] = ACTIONS(2057),
    [anon_sym_AMP2] = ACTIONS(2057),
    [anon_sym_STAR2] = ACTIONS(2057),
    [anon_sym_last] = ACTIONS(2057),
    [anon_sym_next] = ACTIONS(2057),
    [anon_sym_redo] = ACTIONS(2057),
    [anon_sym___FILE__] = ACTIONS(2057),
    [anon_sym___LINE__] = ACTIONS(2057),
    [anon_sym___PACKAGE__] = ACTIONS(2057),
    [anon_sym___SUB__] = ACTIONS(2057),
    [anon_sym_break] = ACTIONS(2057),
    [anon_sym_fork] = ACTIONS(2057),
    [anon_sym_getppid] = ACTIONS(2057),
    [anon_sym_time] = ACTIONS(2057),
    [anon_sym_times] = ACTIONS(2057),
    [anon_sym_wait] = ACTIONS(2057),
    [anon_sym_wantarray] = ACTIONS(2057),
    [anon_sym_abs] = ACTIONS(2057),
    [anon_sym_alarm] = ACTIONS(2057),
    [anon_sym_chop] = ACTIONS(2057),
    [anon_sym_chdir] = ACTIONS(2057),
    [anon_sym_close] = ACTIONS(2057),
    [anon_sym_closedir] = ACTIONS(2057),
    [anon_sym_caller] = ACTIONS(2057),
    [anon_sym_chomp] = ACTIONS(2057),
    [anon_sym_chr] = ACTIONS(2057),
    [anon_sym_cos] = ACTIONS(2057),
    [anon_sym_chroot] = ACTIONS(2057),
    [anon_sym_defined] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_dbmclose] = ACTIONS(2057),
    [anon_sym_exists] = ACTIONS(2057),
    [anon_sym_exit] = ACTIONS(2057),
    [anon_sym_eof] = ACTIONS(2057),
    [anon_sym_exp] = ACTIONS(2057),
    [anon_sym_each] = ACTIONS(2057),
    [anon_sym_fc] = ACTIONS(2057),
    [anon_sym_fileno] = ACTIONS(2057),
    [anon_sym_gmtime] = ACTIONS(2057),
    [anon_sym_getc] = ACTIONS(2057),
    [anon_sym_getpgrp] = ACTIONS(2057),
    [anon_sym_getprotobyname] = ACTIONS(2057),
    [anon_sym_getpwname] = ACTIONS(2057),
    [anon_sym_getpwuid] = ACTIONS(2057),
    [anon_sym_getpeername] = ACTIONS(2057),
    [anon_sym_getnetbyname] = ACTIONS(2057),
    [anon_sym_getsockname] = ACTIONS(2057),
    [anon_sym_getgrnam] = ACTIONS(2057),
    [anon_sym_getgrgid] = ACTIONS(2057),
    [anon_sym_hex] = ACTIONS(2057),
    [anon_sym_int] = ACTIONS(2057),
    [anon_sym_keys] = ACTIONS(2057),
    [anon_sym_lc] = ACTIONS(2057),
    [anon_sym_lcfirst] = ACTIONS(2057),
    [anon_sym_length] = ACTIONS(2057),
    [anon_sym_localtime] = ACTIONS(2057),
    [anon_sym_log] = ACTIONS(2057),
    [anon_sym_lock] = ACTIONS(2057),
    [anon_sym_lstat] = ACTIONS(2057),
    [anon_sym_oct] = ACTIONS(2057),
    [anon_sym_ord] = ACTIONS(2057),
    [anon_sym_prototype] = ACTIONS(2057),
    [anon_sym_pop] = ACTIONS(2057),
    [anon_sym_pos] = ACTIONS(2057),
    [anon_sym_quotemeta] = ACTIONS(2057),
    [anon_sym_reset] = ACTIONS(2057),
    [anon_sym_rand] = ACTIONS(2057),
    [anon_sym_rmdir] = ACTIONS(2057),
    [anon_sym_readdir] = ACTIONS(2057),
    [anon_sym_readline] = ACTIONS(2057),
    [anon_sym_readpipe] = ACTIONS(2057),
    [anon_sym_rewinddir] = ACTIONS(2057),
    [anon_sym_readlink] = ACTIONS(2057),
    [anon_sym_ref] = ACTIONS(2057),
    [anon_sym_scalar] = ACTIONS(2057),
    [anon_sym_shift] = ACTIONS(2057),
    [anon_sym_sin] = ACTIONS(2057),
    [anon_sym_sleep] = ACTIONS(2057),
    [anon_sym_sqrt] = ACTIONS(2057),
    [anon_sym_srand] = ACTIONS(2057),
    [anon_sym_stat] = ACTIONS(2057),
    [anon_sym_study] = ACTIONS(2057),
    [anon_sym_tell] = ACTIONS(2057),
    [anon_sym_telldir] = ACTIONS(2057),
    [anon_sym_tied] = ACTIONS(2057),
    [anon_sym_uc] = ACTIONS(2057),
    [anon_sym_ucfirst] = ACTIONS(2057),
    [anon_sym_untie] = ACTIONS(2057),
    [anon_sym_umask] = ACTIONS(2057),
    [anon_sym_values] = ACTIONS(2057),
    [anon_sym_write] = ACTIONS(2057),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2057),
    [anon_sym_qq] = ACTIONS(2057),
    [anon_sym_qw] = ACTIONS(2057),
    [anon_sym_qx] = ACTIONS(2057),
    [anon_sym_qr] = ACTIONS(2057),
    [anon_sym_m] = ACTIONS(2057),
    [anon_sym_s] = ACTIONS(2057),
    [anon_sym_tr] = ACTIONS(2057),
    [anon_sym_y] = ACTIONS(2057),
    [aux_sym__bareword_token1] = ACTIONS(2057),
    [sym_number] = ACTIONS(2057),
    [anon_sym_true] = ACTIONS(2057),
    [anon_sym_false] = ACTIONS(2057),
    [sym__single_quote] = ACTIONS(2055),
    [sym__double_quote] = ACTIONS(2055),
    [sym__backtick_quote] = ACTIONS(2055),
    [sym__search_slash_quote] = ACTIONS(2055),
    [sym__open_readline_bracket] = ACTIONS(2055),
    [sym__open_fileglob_bracket] = ACTIONS(2055),
    [sym__PERLY_HEREDOC] = ACTIONS(2055),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2055),
    [sym__filetest] = ACTIONS(2055),
  },
  [1183] = {
    [sym_heredoc_content] = STATE(1183),
    [sym__identifier] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2101),
    [anon_sym_DOLLAR] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2101),
    [anon_sym_RPAREN] = ACTIONS(2101),
    [anon_sym_my] = ACTIONS(2101),
    [anon_sym_extended] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_sub] = ACTIONS(2101),
    [anon_sym_method] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_state] = ACTIONS(2101),
    [anon_sym_our] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2101),
    [anon_sym_LT_LT] = ACTIONS(2101),
    [anon_sym_SLASH_SLASH] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2101),
    [anon_sym_DASH_DASH] = ACTIONS(2101),
    [anon_sym_BSLASH] = ACTIONS(2099),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_eval] = ACTIONS(2101),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_field] = ACTIONS(2101),
    [anon_sym_local] = ACTIONS(2101),
    [anon_sym_dynamically] = ACTIONS(2101),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2101),
    [anon_sym_require] = ACTIONS(2101),
    [anon_sym_map] = ACTIONS(2101),
    [anon_sym_grep] = ACTIONS(2101),
    [anon_sym_sort] = ACTIONS(2101),
    [anon_sym_goto] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_undef] = ACTIONS(2101),
    [anon_sym_PERCENT2] = ACTIONS(2101),
    [anon_sym_AMP2] = ACTIONS(2101),
    [anon_sym_STAR2] = ACTIONS(2101),
    [anon_sym_last] = ACTIONS(2101),
    [anon_sym_next] = ACTIONS(2101),
    [anon_sym_redo] = ACTIONS(2101),
    [anon_sym___FILE__] = ACTIONS(2101),
    [anon_sym___LINE__] = ACTIONS(2101),
    [anon_sym___PACKAGE__] = ACTIONS(2101),
    [anon_sym___SUB__] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_fork] = ACTIONS(2101),
    [anon_sym_getppid] = ACTIONS(2101),
    [anon_sym_time] = ACTIONS(2101),
    [anon_sym_times] = ACTIONS(2101),
    [anon_sym_wait] = ACTIONS(2101),
    [anon_sym_wantarray] = ACTIONS(2101),
    [anon_sym_abs] = ACTIONS(2101),
    [anon_sym_alarm] = ACTIONS(2101),
    [anon_sym_chop] = ACTIONS(2101),
    [anon_sym_chdir] = ACTIONS(2101),
    [anon_sym_close] = ACTIONS(2101),
    [anon_sym_closedir] = ACTIONS(2101),
    [anon_sym_caller] = ACTIONS(2101),
    [anon_sym_chomp] = ACTIONS(2101),
    [anon_sym_chr] = ACTIONS(2101),
    [anon_sym_cos] = ACTIONS(2101),
    [anon_sym_chroot] = ACTIONS(2101),
    [anon_sym_defined] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_dbmclose] = ACTIONS(2101),
    [anon_sym_exists] = ACTIONS(2101),
    [anon_sym_exit] = ACTIONS(2101),
    [anon_sym_eof] = ACTIONS(2101),
    [anon_sym_exp] = ACTIONS(2101),
    [anon_sym_each] = ACTIONS(2101),
    [anon_sym_fc] = ACTIONS(2101),
    [anon_sym_fileno] = ACTIONS(2101),
    [anon_sym_gmtime] = ACTIONS(2101),
    [anon_sym_getc] = ACTIONS(2101),
    [anon_sym_getpgrp] = ACTIONS(2101),
    [anon_sym_getprotobyname] = ACTIONS(2101),
    [anon_sym_getpwname] = ACTIONS(2101),
    [anon_sym_getpwuid] = ACTIONS(2101),
    [anon_sym_getpeername] = ACTIONS(2101),
    [anon_sym_getnetbyname] = ACTIONS(2101),
    [anon_sym_getsockname] = ACTIONS(2101),
    [anon_sym_getgrnam] = ACTIONS(2101),
    [anon_sym_getgrgid] = ACTIONS(2101),
    [anon_sym_hex] = ACTIONS(2101),
    [anon_sym_int] = ACTIONS(2101),
    [anon_sym_keys] = ACTIONS(2101),
    [anon_sym_lc] = ACTIONS(2101),
    [anon_sym_lcfirst] = ACTIONS(2101),
    [anon_sym_length] = ACTIONS(2101),
    [anon_sym_localtime] = ACTIONS(2101),
    [anon_sym_log] = ACTIONS(2101),
    [anon_sym_lock] = ACTIONS(2101),
    [anon_sym_lstat] = ACTIONS(2101),
    [anon_sym_oct] = ACTIONS(2101),
    [anon_sym_ord] = ACTIONS(2101),
    [anon_sym_prototype] = ACTIONS(2101),
    [anon_sym_pop] = ACTIONS(2101),
    [anon_sym_pos] = ACTIONS(2101),
    [anon_sym_quotemeta] = ACTIONS(2101),
    [anon_sym_reset] = ACTIONS(2101),
    [anon_sym_rand] = ACTIONS(2101),
    [anon_sym_rmdir] = ACTIONS(2101),
    [anon_sym_readdir] = ACTIONS(2101),
    [anon_sym_readline] = ACTIONS(2101),
    [anon_sym_readpipe] = ACTIONS(2101),
    [anon_sym_rewinddir] = ACTIONS(2101),
    [anon_sym_readlink] = ACTIONS(2101),
    [anon_sym_ref] = ACTIONS(2101),
    [anon_sym_scalar] = ACTIONS(2101),
    [anon_sym_shift] = ACTIONS(2101),
    [anon_sym_sin] = ACTIONS(2101),
    [anon_sym_sleep] = ACTIONS(2101),
    [anon_sym_sqrt] = ACTIONS(2101),
    [anon_sym_srand] = ACTIONS(2101),
    [anon_sym_stat] = ACTIONS(2101),
    [anon_sym_study] = ACTIONS(2101),
    [anon_sym_tell] = ACTIONS(2101),
    [anon_sym_telldir] = ACTIONS(2101),
    [anon_sym_tied] = ACTIONS(2101),
    [anon_sym_uc] = ACTIONS(2101),
    [anon_sym_ucfirst] = ACTIONS(2101),
    [anon_sym_untie] = ACTIONS(2101),
    [anon_sym_umask] = ACTIONS(2101),
    [anon_sym_values] = ACTIONS(2101),
    [anon_sym_write] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2101),
    [anon_sym_qq] = ACTIONS(2101),
    [anon_sym_qw] = ACTIONS(2101),
    [anon_sym_qx] = ACTIONS(2101),
    [anon_sym_qr] = ACTIONS(2101),
    [anon_sym_m] = ACTIONS(2101),
    [anon_sym_s] = ACTIONS(2101),
    [anon_sym_tr] = ACTIONS(2101),
    [anon_sym_y] = ACTIONS(2101),
    [aux_sym__bareword_token1] = ACTIONS(2101),
    [sym_number] = ACTIONS(2101),
    [anon_sym_true] = ACTIONS(2101),
    [anon_sym_false] = ACTIONS(2101),
    [sym__single_quote] = ACTIONS(2099),
    [sym__double_quote] = ACTIONS(2099),
    [sym__backtick_quote] = ACTIONS(2099),
    [sym__search_slash_quote] = ACTIONS(2099),
    [sym__open_readline_bracket] = ACTIONS(2099),
    [sym__open_fileglob_bracket] = ACTIONS(2099),
    [sym__PERLY_HEREDOC] = ACTIONS(2099),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2099),
    [sym__filetest] = ACTIONS(2099),
  },
  [1184] = {
    [sym_heredoc_content] = STATE(1184),
    [sym__identifier] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2121),
    [anon_sym_DOLLAR] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2121),
    [anon_sym_RPAREN] = ACTIONS(2121),
    [anon_sym_my] = ACTIONS(2121),
    [anon_sym_extended] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_sub] = ACTIONS(2121),
    [anon_sym_method] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_state] = ACTIONS(2121),
    [anon_sym_our] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2121),
    [anon_sym_LT_LT] = ACTIONS(2121),
    [anon_sym_SLASH_SLASH] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2121),
    [anon_sym_DASH_DASH] = ACTIONS(2121),
    [anon_sym_BSLASH] = ACTIONS(2119),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_eval] = ACTIONS(2121),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_field] = ACTIONS(2121),
    [anon_sym_local] = ACTIONS(2121),
    [anon_sym_dynamically] = ACTIONS(2121),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2121),
    [anon_sym_require] = ACTIONS(2121),
    [anon_sym_map] = ACTIONS(2121),
    [anon_sym_grep] = ACTIONS(2121),
    [anon_sym_sort] = ACTIONS(2121),
    [anon_sym_goto] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_undef] = ACTIONS(2121),
    [anon_sym_PERCENT2] = ACTIONS(2121),
    [anon_sym_AMP2] = ACTIONS(2121),
    [anon_sym_STAR2] = ACTIONS(2121),
    [anon_sym_last] = ACTIONS(2121),
    [anon_sym_next] = ACTIONS(2121),
    [anon_sym_redo] = ACTIONS(2121),
    [anon_sym___FILE__] = ACTIONS(2121),
    [anon_sym___LINE__] = ACTIONS(2121),
    [anon_sym___PACKAGE__] = ACTIONS(2121),
    [anon_sym___SUB__] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_fork] = ACTIONS(2121),
    [anon_sym_getppid] = ACTIONS(2121),
    [anon_sym_time] = ACTIONS(2121),
    [anon_sym_times] = ACTIONS(2121),
    [anon_sym_wait] = ACTIONS(2121),
    [anon_sym_wantarray] = ACTIONS(2121),
    [anon_sym_abs] = ACTIONS(2121),
    [anon_sym_alarm] = ACTIONS(2121),
    [anon_sym_chop] = ACTIONS(2121),
    [anon_sym_chdir] = ACTIONS(2121),
    [anon_sym_close] = ACTIONS(2121),
    [anon_sym_closedir] = ACTIONS(2121),
    [anon_sym_caller] = ACTIONS(2121),
    [anon_sym_chomp] = ACTIONS(2121),
    [anon_sym_chr] = ACTIONS(2121),
    [anon_sym_cos] = ACTIONS(2121),
    [anon_sym_chroot] = ACTIONS(2121),
    [anon_sym_defined] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_dbmclose] = ACTIONS(2121),
    [anon_sym_exists] = ACTIONS(2121),
    [anon_sym_exit] = ACTIONS(2121),
    [anon_sym_eof] = ACTIONS(2121),
    [anon_sym_exp] = ACTIONS(2121),
    [anon_sym_each] = ACTIONS(2121),
    [anon_sym_fc] = ACTIONS(2121),
    [anon_sym_fileno] = ACTIONS(2121),
    [anon_sym_gmtime] = ACTIONS(2121),
    [anon_sym_getc] = ACTIONS(2121),
    [anon_sym_getpgrp] = ACTIONS(2121),
    [anon_sym_getprotobyname] = ACTIONS(2121),
    [anon_sym_getpwname] = ACTIONS(2121),
    [anon_sym_getpwuid] = ACTIONS(2121),
    [anon_sym_getpeername] = ACTIONS(2121),
    [anon_sym_getnetbyname] = ACTIONS(2121),
    [anon_sym_getsockname] = ACTIONS(2121),
    [anon_sym_getgrnam] = ACTIONS(2121),
    [anon_sym_getgrgid] = ACTIONS(2121),
    [anon_sym_hex] = ACTIONS(2121),
    [anon_sym_int] = ACTIONS(2121),
    [anon_sym_keys] = ACTIONS(2121),
    [anon_sym_lc] = ACTIONS(2121),
    [anon_sym_lcfirst] = ACTIONS(2121),
    [anon_sym_length] = ACTIONS(2121),
    [anon_sym_localtime] = ACTIONS(2121),
    [anon_sym_log] = ACTIONS(2121),
    [anon_sym_lock] = ACTIONS(2121),
    [anon_sym_lstat] = ACTIONS(2121),
    [anon_sym_oct] = ACTIONS(2121),
    [anon_sym_ord] = ACTIONS(2121),
    [anon_sym_prototype] = ACTIONS(2121),
    [anon_sym_pop] = ACTIONS(2121),
    [anon_sym_pos] = ACTIONS(2121),
    [anon_sym_quotemeta] = ACTIONS(2121),
    [anon_sym_reset] = ACTIONS(2121),
    [anon_sym_rand] = ACTIONS(2121),
    [anon_sym_rmdir] = ACTIONS(2121),
    [anon_sym_readdir] = ACTIONS(2121),
    [anon_sym_readline] = ACTIONS(2121),
    [anon_sym_readpipe] = ACTIONS(2121),
    [anon_sym_rewinddir] = ACTIONS(2121),
    [anon_sym_readlink] = ACTIONS(2121),
    [anon_sym_ref] = ACTIONS(2121),
    [anon_sym_scalar] = ACTIONS(2121),
    [anon_sym_shift] = ACTIONS(2121),
    [anon_sym_sin] = ACTIONS(2121),
    [anon_sym_sleep] = ACTIONS(2121),
    [anon_sym_sqrt] = ACTIONS(2121),
    [anon_sym_srand] = ACTIONS(2121),
    [anon_sym_stat] = ACTIONS(2121),
    [anon_sym_study] = ACTIONS(2121),
    [anon_sym_tell] = ACTIONS(2121),
    [anon_sym_telldir] = ACTIONS(2121),
    [anon_sym_tied] = ACTIONS(2121),
    [anon_sym_uc] = ACTIONS(2121),
    [anon_sym_ucfirst] = ACTIONS(2121),
    [anon_sym_untie] = ACTIONS(2121),
    [anon_sym_umask] = ACTIONS(2121),
    [anon_sym_values] = ACTIONS(2121),
    [anon_sym_write] = ACTIONS(2121),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2121),
    [anon_sym_qq] = ACTIONS(2121),
    [anon_sym_qw] = ACTIONS(2121),
    [anon_sym_qx] = ACTIONS(2121),
    [anon_sym_qr] = ACTIONS(2121),
    [anon_sym_m] = ACTIONS(2121),
    [anon_sym_s] = ACTIONS(2121),
    [anon_sym_tr] = ACTIONS(2121),
    [anon_sym_y] = ACTIONS(2121),
    [aux_sym__bareword_token1] = ACTIONS(2121),
    [sym_number] = ACTIONS(2121),
    [anon_sym_true] = ACTIONS(2121),
    [anon_sym_false] = ACTIONS(2121),
    [sym__single_quote] = ACTIONS(2119),
    [sym__double_quote] = ACTIONS(2119),
    [sym__backtick_quote] = ACTIONS(2119),
    [sym__search_slash_quote] = ACTIONS(2119),
    [sym__open_readline_bracket] = ACTIONS(2119),
    [sym__open_fileglob_bracket] = ACTIONS(2119),
    [sym__PERLY_HEREDOC] = ACTIONS(2119),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2119),
    [sym__filetest] = ACTIONS(2119),
  },
  [1185] = {
    [sym_heredoc_content] = STATE(1185),
    [sym__identifier] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2157),
    [anon_sym_DOLLAR] = ACTIONS(2157),
    [anon_sym_AT] = ACTIONS(2157),
    [anon_sym_RPAREN] = ACTIONS(2157),
    [anon_sym_my] = ACTIONS(2157),
    [anon_sym_extended] = ACTIONS(2157),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_sub] = ACTIONS(2157),
    [anon_sym_method] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2157),
    [anon_sym_state] = ACTIONS(2157),
    [anon_sym_our] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2157),
    [anon_sym_LT_LT] = ACTIONS(2157),
    [anon_sym_SLASH_SLASH] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2157),
    [anon_sym_DASH_DASH] = ACTIONS(2157),
    [anon_sym_BSLASH] = ACTIONS(2155),
    [anon_sym_do] = ACTIONS(2157),
    [anon_sym_eval] = ACTIONS(2157),
    [anon_sym_await] = ACTIONS(2157),
    [anon_sym_field] = ACTIONS(2157),
    [anon_sym_local] = ACTIONS(2157),
    [anon_sym_dynamically] = ACTIONS(2157),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2157),
    [anon_sym_require] = ACTIONS(2157),
    [anon_sym_map] = ACTIONS(2157),
    [anon_sym_grep] = ACTIONS(2157),
    [anon_sym_sort] = ACTIONS(2157),
    [anon_sym_goto] = ACTIONS(2157),
    [anon_sym_return] = ACTIONS(2157),
    [anon_sym_undef] = ACTIONS(2157),
    [anon_sym_PERCENT2] = ACTIONS(2157),
    [anon_sym_AMP2] = ACTIONS(2157),
    [anon_sym_STAR2] = ACTIONS(2157),
    [anon_sym_last] = ACTIONS(2157),
    [anon_sym_next] = ACTIONS(2157),
    [anon_sym_redo] = ACTIONS(2157),
    [anon_sym___FILE__] = ACTIONS(2157),
    [anon_sym___LINE__] = ACTIONS(2157),
    [anon_sym___PACKAGE__] = ACTIONS(2157),
    [anon_sym___SUB__] = ACTIONS(2157),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_fork] = ACTIONS(2157),
    [anon_sym_getppid] = ACTIONS(2157),
    [anon_sym_time] = ACTIONS(2157),
    [anon_sym_times] = ACTIONS(2157),
    [anon_sym_wait] = ACTIONS(2157),
    [anon_sym_wantarray] = ACTIONS(2157),
    [anon_sym_abs] = ACTIONS(2157),
    [anon_sym_alarm] = ACTIONS(2157),
    [anon_sym_chop] = ACTIONS(2157),
    [anon_sym_chdir] = ACTIONS(2157),
    [anon_sym_close] = ACTIONS(2157),
    [anon_sym_closedir] = ACTIONS(2157),
    [anon_sym_caller] = ACTIONS(2157),
    [anon_sym_chomp] = ACTIONS(2157),
    [anon_sym_chr] = ACTIONS(2157),
    [anon_sym_cos] = ACTIONS(2157),
    [anon_sym_chroot] = ACTIONS(2157),
    [anon_sym_defined] = ACTIONS(2157),
    [anon_sym_delete] = ACTIONS(2157),
    [anon_sym_dbmclose] = ACTIONS(2157),
    [anon_sym_exists] = ACTIONS(2157),
    [anon_sym_exit] = ACTIONS(2157),
    [anon_sym_eof] = ACTIONS(2157),
    [anon_sym_exp] = ACTIONS(2157),
    [anon_sym_each] = ACTIONS(2157),
    [anon_sym_fc] = ACTIONS(2157),
    [anon_sym_fileno] = ACTIONS(2157),
    [anon_sym_gmtime] = ACTIONS(2157),
    [anon_sym_getc] = ACTIONS(2157),
    [anon_sym_getpgrp] = ACTIONS(2157),
    [anon_sym_getprotobyname] = ACTIONS(2157),
    [anon_sym_getpwname] = ACTIONS(2157),
    [anon_sym_getpwuid] = ACTIONS(2157),
    [anon_sym_getpeername] = ACTIONS(2157),
    [anon_sym_getnetbyname] = ACTIONS(2157),
    [anon_sym_getsockname] = ACTIONS(2157),
    [anon_sym_getgrnam] = ACTIONS(2157),
    [anon_sym_getgrgid] = ACTIONS(2157),
    [anon_sym_hex] = ACTIONS(2157),
    [anon_sym_int] = ACTIONS(2157),
    [anon_sym_keys] = ACTIONS(2157),
    [anon_sym_lc] = ACTIONS(2157),
    [anon_sym_lcfirst] = ACTIONS(2157),
    [anon_sym_length] = ACTIONS(2157),
    [anon_sym_localtime] = ACTIONS(2157),
    [anon_sym_log] = ACTIONS(2157),
    [anon_sym_lock] = ACTIONS(2157),
    [anon_sym_lstat] = ACTIONS(2157),
    [anon_sym_oct] = ACTIONS(2157),
    [anon_sym_ord] = ACTIONS(2157),
    [anon_sym_prototype] = ACTIONS(2157),
    [anon_sym_pop] = ACTIONS(2157),
    [anon_sym_pos] = ACTIONS(2157),
    [anon_sym_quotemeta] = ACTIONS(2157),
    [anon_sym_reset] = ACTIONS(2157),
    [anon_sym_rand] = ACTIONS(2157),
    [anon_sym_rmdir] = ACTIONS(2157),
    [anon_sym_readdir] = ACTIONS(2157),
    [anon_sym_readline] = ACTIONS(2157),
    [anon_sym_readpipe] = ACTIONS(2157),
    [anon_sym_rewinddir] = ACTIONS(2157),
    [anon_sym_readlink] = ACTIONS(2157),
    [anon_sym_ref] = ACTIONS(2157),
    [anon_sym_scalar] = ACTIONS(2157),
    [anon_sym_shift] = ACTIONS(2157),
    [anon_sym_sin] = ACTIONS(2157),
    [anon_sym_sleep] = ACTIONS(2157),
    [anon_sym_sqrt] = ACTIONS(2157),
    [anon_sym_srand] = ACTIONS(2157),
    [anon_sym_stat] = ACTIONS(2157),
    [anon_sym_study] = ACTIONS(2157),
    [anon_sym_tell] = ACTIONS(2157),
    [anon_sym_telldir] = ACTIONS(2157),
    [anon_sym_tied] = ACTIONS(2157),
    [anon_sym_uc] = ACTIONS(2157),
    [anon_sym_ucfirst] = ACTIONS(2157),
    [anon_sym_untie] = ACTIONS(2157),
    [anon_sym_umask] = ACTIONS(2157),
    [anon_sym_values] = ACTIONS(2157),
    [anon_sym_write] = ACTIONS(2157),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2157),
    [anon_sym_qq] = ACTIONS(2157),
    [anon_sym_qw] = ACTIONS(2157),
    [anon_sym_qx] = ACTIONS(2157),
    [anon_sym_qr] = ACTIONS(2157),
    [anon_sym_m] = ACTIONS(2157),
    [anon_sym_s] = ACTIONS(2157),
    [anon_sym_tr] = ACTIONS(2157),
    [anon_sym_y] = ACTIONS(2157),
    [aux_sym__bareword_token1] = ACTIONS(2157),
    [sym_number] = ACTIONS(2157),
    [anon_sym_true] = ACTIONS(2157),
    [anon_sym_false] = ACTIONS(2157),
    [sym__single_quote] = ACTIONS(2155),
    [sym__double_quote] = ACTIONS(2155),
    [sym__backtick_quote] = ACTIONS(2155),
    [sym__search_slash_quote] = ACTIONS(2155),
    [sym__open_readline_bracket] = ACTIONS(2155),
    [sym__open_fileglob_bracket] = ACTIONS(2155),
    [sym__PERLY_HEREDOC] = ACTIONS(2155),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2155),
    [sym__filetest] = ACTIONS(2155),
  },
  [1186] = {
    [sym_heredoc_content] = STATE(1186),
    [sym__identifier] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2161),
    [anon_sym_DOLLAR] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(2161),
    [anon_sym_RPAREN] = ACTIONS(2161),
    [anon_sym_my] = ACTIONS(2161),
    [anon_sym_extended] = ACTIONS(2161),
    [anon_sym_async] = ACTIONS(2161),
    [anon_sym_sub] = ACTIONS(2161),
    [anon_sym_method] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2161),
    [anon_sym_continue] = ACTIONS(2161),
    [anon_sym_state] = ACTIONS(2161),
    [anon_sym_our] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(2161),
    [anon_sym_LT_LT] = ACTIONS(2161),
    [anon_sym_SLASH_SLASH] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2161),
    [anon_sym_DASH_DASH] = ACTIONS(2161),
    [anon_sym_BSLASH] = ACTIONS(2159),
    [anon_sym_do] = ACTIONS(2161),
    [anon_sym_eval] = ACTIONS(2161),
    [anon_sym_await] = ACTIONS(2161),
    [anon_sym_field] = ACTIONS(2161),
    [anon_sym_local] = ACTIONS(2161),
    [anon_sym_dynamically] = ACTIONS(2161),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2161),
    [anon_sym_require] = ACTIONS(2161),
    [anon_sym_map] = ACTIONS(2161),
    [anon_sym_grep] = ACTIONS(2161),
    [anon_sym_sort] = ACTIONS(2161),
    [anon_sym_goto] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2161),
    [anon_sym_undef] = ACTIONS(2161),
    [anon_sym_PERCENT2] = ACTIONS(2161),
    [anon_sym_AMP2] = ACTIONS(2161),
    [anon_sym_STAR2] = ACTIONS(2161),
    [anon_sym_last] = ACTIONS(2161),
    [anon_sym_next] = ACTIONS(2161),
    [anon_sym_redo] = ACTIONS(2161),
    [anon_sym___FILE__] = ACTIONS(2161),
    [anon_sym___LINE__] = ACTIONS(2161),
    [anon_sym___PACKAGE__] = ACTIONS(2161),
    [anon_sym___SUB__] = ACTIONS(2161),
    [anon_sym_break] = ACTIONS(2161),
    [anon_sym_fork] = ACTIONS(2161),
    [anon_sym_getppid] = ACTIONS(2161),
    [anon_sym_time] = ACTIONS(2161),
    [anon_sym_times] = ACTIONS(2161),
    [anon_sym_wait] = ACTIONS(2161),
    [anon_sym_wantarray] = ACTIONS(2161),
    [anon_sym_abs] = ACTIONS(2161),
    [anon_sym_alarm] = ACTIONS(2161),
    [anon_sym_chop] = ACTIONS(2161),
    [anon_sym_chdir] = ACTIONS(2161),
    [anon_sym_close] = ACTIONS(2161),
    [anon_sym_closedir] = ACTIONS(2161),
    [anon_sym_caller] = ACTIONS(2161),
    [anon_sym_chomp] = ACTIONS(2161),
    [anon_sym_chr] = ACTIONS(2161),
    [anon_sym_cos] = ACTIONS(2161),
    [anon_sym_chroot] = ACTIONS(2161),
    [anon_sym_defined] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2161),
    [anon_sym_dbmclose] = ACTIONS(2161),
    [anon_sym_exists] = ACTIONS(2161),
    [anon_sym_exit] = ACTIONS(2161),
    [anon_sym_eof] = ACTIONS(2161),
    [anon_sym_exp] = ACTIONS(2161),
    [anon_sym_each] = ACTIONS(2161),
    [anon_sym_fc] = ACTIONS(2161),
    [anon_sym_fileno] = ACTIONS(2161),
    [anon_sym_gmtime] = ACTIONS(2161),
    [anon_sym_getc] = ACTIONS(2161),
    [anon_sym_getpgrp] = ACTIONS(2161),
    [anon_sym_getprotobyname] = ACTIONS(2161),
    [anon_sym_getpwname] = ACTIONS(2161),
    [anon_sym_getpwuid] = ACTIONS(2161),
    [anon_sym_getpeername] = ACTIONS(2161),
    [anon_sym_getnetbyname] = ACTIONS(2161),
    [anon_sym_getsockname] = ACTIONS(2161),
    [anon_sym_getgrnam] = ACTIONS(2161),
    [anon_sym_getgrgid] = ACTIONS(2161),
    [anon_sym_hex] = ACTIONS(2161),
    [anon_sym_int] = ACTIONS(2161),
    [anon_sym_keys] = ACTIONS(2161),
    [anon_sym_lc] = ACTIONS(2161),
    [anon_sym_lcfirst] = ACTIONS(2161),
    [anon_sym_length] = ACTIONS(2161),
    [anon_sym_localtime] = ACTIONS(2161),
    [anon_sym_log] = ACTIONS(2161),
    [anon_sym_lock] = ACTIONS(2161),
    [anon_sym_lstat] = ACTIONS(2161),
    [anon_sym_oct] = ACTIONS(2161),
    [anon_sym_ord] = ACTIONS(2161),
    [anon_sym_prototype] = ACTIONS(2161),
    [anon_sym_pop] = ACTIONS(2161),
    [anon_sym_pos] = ACTIONS(2161),
    [anon_sym_quotemeta] = ACTIONS(2161),
    [anon_sym_reset] = ACTIONS(2161),
    [anon_sym_rand] = ACTIONS(2161),
    [anon_sym_rmdir] = ACTIONS(2161),
    [anon_sym_readdir] = ACTIONS(2161),
    [anon_sym_readline] = ACTIONS(2161),
    [anon_sym_readpipe] = ACTIONS(2161),
    [anon_sym_rewinddir] = ACTIONS(2161),
    [anon_sym_readlink] = ACTIONS(2161),
    [anon_sym_ref] = ACTIONS(2161),
    [anon_sym_scalar] = ACTIONS(2161),
    [anon_sym_shift] = ACTIONS(2161),
    [anon_sym_sin] = ACTIONS(2161),
    [anon_sym_sleep] = ACTIONS(2161),
    [anon_sym_sqrt] = ACTIONS(2161),
    [anon_sym_srand] = ACTIONS(2161),
    [anon_sym_stat] = ACTIONS(2161),
    [anon_sym_study] = ACTIONS(2161),
    [anon_sym_tell] = ACTIONS(2161),
    [anon_sym_telldir] = ACTIONS(2161),
    [anon_sym_tied] = ACTIONS(2161),
    [anon_sym_uc] = ACTIONS(2161),
    [anon_sym_ucfirst] = ACTIONS(2161),
    [anon_sym_untie] = ACTIONS(2161),
    [anon_sym_umask] = ACTIONS(2161),
    [anon_sym_values] = ACTIONS(2161),
    [anon_sym_write] = ACTIONS(2161),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2161),
    [anon_sym_qq] = ACTIONS(2161),
    [anon_sym_qw] = ACTIONS(2161),
    [anon_sym_qx] = ACTIONS(2161),
    [anon_sym_qr] = ACTIONS(2161),
    [anon_sym_m] = ACTIONS(2161),
    [anon_sym_s] = ACTIONS(2161),
    [anon_sym_tr] = ACTIONS(2161),
    [anon_sym_y] = ACTIONS(2161),
    [aux_sym__bareword_token1] = ACTIONS(2161),
    [sym_number] = ACTIONS(2161),
    [anon_sym_true] = ACTIONS(2161),
    [anon_sym_false] = ACTIONS(2161),
    [sym__single_quote] = ACTIONS(2159),
    [sym__double_quote] = ACTIONS(2159),
    [sym__backtick_quote] = ACTIONS(2159),
    [sym__search_slash_quote] = ACTIONS(2159),
    [sym__open_readline_bracket] = ACTIONS(2159),
    [sym__open_fileglob_bracket] = ACTIONS(2159),
    [sym__PERLY_HEREDOC] = ACTIONS(2159),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2159),
    [sym__filetest] = ACTIONS(2159),
  },
  [1187] = {
    [sym_heredoc_content] = STATE(1187),
    [sym__identifier] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2013),
    [anon_sym_DOLLAR] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2013),
    [anon_sym_RPAREN] = ACTIONS(2013),
    [anon_sym_my] = ACTIONS(2013),
    [anon_sym_extended] = ACTIONS(2013),
    [anon_sym_async] = ACTIONS(2013),
    [anon_sym_sub] = ACTIONS(2013),
    [anon_sym_method] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_state] = ACTIONS(2013),
    [anon_sym_our] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_LT_LT] = ACTIONS(2013),
    [anon_sym_SLASH_SLASH] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2013),
    [anon_sym_PLUS_PLUS] = ACTIONS(2013),
    [anon_sym_DASH_DASH] = ACTIONS(2013),
    [anon_sym_BSLASH] = ACTIONS(2011),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_eval] = ACTIONS(2013),
    [anon_sym_await] = ACTIONS(2013),
    [anon_sym_field] = ACTIONS(2013),
    [anon_sym_local] = ACTIONS(2013),
    [anon_sym_dynamically] = ACTIONS(2013),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2013),
    [anon_sym_require] = ACTIONS(2013),
    [anon_sym_map] = ACTIONS(2013),
    [anon_sym_grep] = ACTIONS(2013),
    [anon_sym_sort] = ACTIONS(2013),
    [anon_sym_goto] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_undef] = ACTIONS(2013),
    [anon_sym_PERCENT2] = ACTIONS(2013),
    [anon_sym_AMP2] = ACTIONS(2013),
    [anon_sym_STAR2] = ACTIONS(2013),
    [anon_sym_last] = ACTIONS(2013),
    [anon_sym_next] = ACTIONS(2013),
    [anon_sym_redo] = ACTIONS(2013),
    [anon_sym___FILE__] = ACTIONS(2013),
    [anon_sym___LINE__] = ACTIONS(2013),
    [anon_sym___PACKAGE__] = ACTIONS(2013),
    [anon_sym___SUB__] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_fork] = ACTIONS(2013),
    [anon_sym_getppid] = ACTIONS(2013),
    [anon_sym_time] = ACTIONS(2013),
    [anon_sym_times] = ACTIONS(2013),
    [anon_sym_wait] = ACTIONS(2013),
    [anon_sym_wantarray] = ACTIONS(2013),
    [anon_sym_abs] = ACTIONS(2013),
    [anon_sym_alarm] = ACTIONS(2013),
    [anon_sym_chop] = ACTIONS(2013),
    [anon_sym_chdir] = ACTIONS(2013),
    [anon_sym_close] = ACTIONS(2013),
    [anon_sym_closedir] = ACTIONS(2013),
    [anon_sym_caller] = ACTIONS(2013),
    [anon_sym_chomp] = ACTIONS(2013),
    [anon_sym_chr] = ACTIONS(2013),
    [anon_sym_cos] = ACTIONS(2013),
    [anon_sym_chroot] = ACTIONS(2013),
    [anon_sym_defined] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_dbmclose] = ACTIONS(2013),
    [anon_sym_exists] = ACTIONS(2013),
    [anon_sym_exit] = ACTIONS(2013),
    [anon_sym_eof] = ACTIONS(2013),
    [anon_sym_exp] = ACTIONS(2013),
    [anon_sym_each] = ACTIONS(2013),
    [anon_sym_fc] = ACTIONS(2013),
    [anon_sym_fileno] = ACTIONS(2013),
    [anon_sym_gmtime] = ACTIONS(2013),
    [anon_sym_getc] = ACTIONS(2013),
    [anon_sym_getpgrp] = ACTIONS(2013),
    [anon_sym_getprotobyname] = ACTIONS(2013),
    [anon_sym_getpwname] = ACTIONS(2013),
    [anon_sym_getpwuid] = ACTIONS(2013),
    [anon_sym_getpeername] = ACTIONS(2013),
    [anon_sym_getnetbyname] = ACTIONS(2013),
    [anon_sym_getsockname] = ACTIONS(2013),
    [anon_sym_getgrnam] = ACTIONS(2013),
    [anon_sym_getgrgid] = ACTIONS(2013),
    [anon_sym_hex] = ACTIONS(2013),
    [anon_sym_int] = ACTIONS(2013),
    [anon_sym_keys] = ACTIONS(2013),
    [anon_sym_lc] = ACTIONS(2013),
    [anon_sym_lcfirst] = ACTIONS(2013),
    [anon_sym_length] = ACTIONS(2013),
    [anon_sym_localtime] = ACTIONS(2013),
    [anon_sym_log] = ACTIONS(2013),
    [anon_sym_lock] = ACTIONS(2013),
    [anon_sym_lstat] = ACTIONS(2013),
    [anon_sym_oct] = ACTIONS(2013),
    [anon_sym_ord] = ACTIONS(2013),
    [anon_sym_prototype] = ACTIONS(2013),
    [anon_sym_pop] = ACTIONS(2013),
    [anon_sym_pos] = ACTIONS(2013),
    [anon_sym_quotemeta] = ACTIONS(2013),
    [anon_sym_reset] = ACTIONS(2013),
    [anon_sym_rand] = ACTIONS(2013),
    [anon_sym_rmdir] = ACTIONS(2013),
    [anon_sym_readdir] = ACTIONS(2013),
    [anon_sym_readline] = ACTIONS(2013),
    [anon_sym_readpipe] = ACTIONS(2013),
    [anon_sym_rewinddir] = ACTIONS(2013),
    [anon_sym_readlink] = ACTIONS(2013),
    [anon_sym_ref] = ACTIONS(2013),
    [anon_sym_scalar] = ACTIONS(2013),
    [anon_sym_shift] = ACTIONS(2013),
    [anon_sym_sin] = ACTIONS(2013),
    [anon_sym_sleep] = ACTIONS(2013),
    [anon_sym_sqrt] = ACTIONS(2013),
    [anon_sym_srand] = ACTIONS(2013),
    [anon_sym_stat] = ACTIONS(2013),
    [anon_sym_study] = ACTIONS(2013),
    [anon_sym_tell] = ACTIONS(2013),
    [anon_sym_telldir] = ACTIONS(2013),
    [anon_sym_tied] = ACTIONS(2013),
    [anon_sym_uc] = ACTIONS(2013),
    [anon_sym_ucfirst] = ACTIONS(2013),
    [anon_sym_untie] = ACTIONS(2013),
    [anon_sym_umask] = ACTIONS(2013),
    [anon_sym_values] = ACTIONS(2013),
    [anon_sym_write] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2013),
    [anon_sym_qq] = ACTIONS(2013),
    [anon_sym_qw] = ACTIONS(2013),
    [anon_sym_qx] = ACTIONS(2013),
    [anon_sym_qr] = ACTIONS(2013),
    [anon_sym_m] = ACTIONS(2013),
    [anon_sym_s] = ACTIONS(2013),
    [anon_sym_tr] = ACTIONS(2013),
    [anon_sym_y] = ACTIONS(2013),
    [aux_sym__bareword_token1] = ACTIONS(2013),
    [sym_number] = ACTIONS(2013),
    [anon_sym_true] = ACTIONS(2013),
    [anon_sym_false] = ACTIONS(2013),
    [sym__single_quote] = ACTIONS(2011),
    [sym__double_quote] = ACTIONS(2011),
    [sym__backtick_quote] = ACTIONS(2011),
    [sym__search_slash_quote] = ACTIONS(2011),
    [sym__open_readline_bracket] = ACTIONS(2011),
    [sym__open_fileglob_bracket] = ACTIONS(2011),
    [sym__PERLY_HEREDOC] = ACTIONS(2011),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2011),
    [sym__filetest] = ACTIONS(2011),
  },
  [1188] = {
    [sym_heredoc_content] = STATE(1188),
    [sym__identifier] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1949),
    [anon_sym_DOLLAR] = ACTIONS(1949),
    [anon_sym_AT] = ACTIONS(1949),
    [anon_sym_my] = ACTIONS(1949),
    [anon_sym_extended] = ACTIONS(1949),
    [anon_sym_async] = ACTIONS(1949),
    [anon_sym_sub] = ACTIONS(1949),
    [anon_sym_method] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1949),
    [anon_sym_continue] = ACTIONS(1949),
    [anon_sym_state] = ACTIONS(1949),
    [anon_sym_our] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1949),
    [anon_sym_LT_LT] = ACTIONS(1949),
    [anon_sym_SLASH_SLASH] = ACTIONS(1949),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1949),
    [anon_sym_DASH_DASH] = ACTIONS(1949),
    [anon_sym_BSLASH] = ACTIONS(1951),
    [anon_sym_do] = ACTIONS(1949),
    [anon_sym_eval] = ACTIONS(1949),
    [anon_sym_await] = ACTIONS(1949),
    [anon_sym_field] = ACTIONS(1949),
    [anon_sym_local] = ACTIONS(1949),
    [anon_sym_dynamically] = ACTIONS(1949),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1949),
    [anon_sym_require] = ACTIONS(1949),
    [anon_sym_map] = ACTIONS(1949),
    [anon_sym_grep] = ACTIONS(1949),
    [anon_sym_sort] = ACTIONS(1949),
    [anon_sym_goto] = ACTIONS(1949),
    [anon_sym_return] = ACTIONS(1949),
    [anon_sym_undef] = ACTIONS(1949),
    [anon_sym_PERCENT2] = ACTIONS(1949),
    [anon_sym_AMP2] = ACTIONS(1949),
    [anon_sym_STAR2] = ACTIONS(1949),
    [anon_sym_last] = ACTIONS(1949),
    [anon_sym_next] = ACTIONS(1949),
    [anon_sym_redo] = ACTIONS(1949),
    [anon_sym___FILE__] = ACTIONS(1949),
    [anon_sym___LINE__] = ACTIONS(1949),
    [anon_sym___PACKAGE__] = ACTIONS(1949),
    [anon_sym___SUB__] = ACTIONS(1949),
    [anon_sym_break] = ACTIONS(1949),
    [anon_sym_fork] = ACTIONS(1949),
    [anon_sym_getppid] = ACTIONS(1949),
    [anon_sym_time] = ACTIONS(1949),
    [anon_sym_times] = ACTIONS(1949),
    [anon_sym_wait] = ACTIONS(1949),
    [anon_sym_wantarray] = ACTIONS(1949),
    [anon_sym_abs] = ACTIONS(1949),
    [anon_sym_alarm] = ACTIONS(1949),
    [anon_sym_chop] = ACTIONS(1949),
    [anon_sym_chdir] = ACTIONS(1949),
    [anon_sym_close] = ACTIONS(1949),
    [anon_sym_closedir] = ACTIONS(1949),
    [anon_sym_caller] = ACTIONS(1949),
    [anon_sym_chomp] = ACTIONS(1949),
    [anon_sym_chr] = ACTIONS(1949),
    [anon_sym_cos] = ACTIONS(1949),
    [anon_sym_chroot] = ACTIONS(1949),
    [anon_sym_defined] = ACTIONS(1949),
    [anon_sym_delete] = ACTIONS(1949),
    [anon_sym_dbmclose] = ACTIONS(1949),
    [anon_sym_exists] = ACTIONS(1949),
    [anon_sym_exit] = ACTIONS(1949),
    [anon_sym_eof] = ACTIONS(1949),
    [anon_sym_exp] = ACTIONS(1949),
    [anon_sym_each] = ACTIONS(1949),
    [anon_sym_fc] = ACTIONS(1949),
    [anon_sym_fileno] = ACTIONS(1949),
    [anon_sym_gmtime] = ACTIONS(1949),
    [anon_sym_getc] = ACTIONS(1949),
    [anon_sym_getpgrp] = ACTIONS(1949),
    [anon_sym_getprotobyname] = ACTIONS(1949),
    [anon_sym_getpwname] = ACTIONS(1949),
    [anon_sym_getpwuid] = ACTIONS(1949),
    [anon_sym_getpeername] = ACTIONS(1949),
    [anon_sym_getnetbyname] = ACTIONS(1949),
    [anon_sym_getsockname] = ACTIONS(1949),
    [anon_sym_getgrnam] = ACTIONS(1949),
    [anon_sym_getgrgid] = ACTIONS(1949),
    [anon_sym_hex] = ACTIONS(1949),
    [anon_sym_int] = ACTIONS(1949),
    [anon_sym_keys] = ACTIONS(1949),
    [anon_sym_lc] = ACTIONS(1949),
    [anon_sym_lcfirst] = ACTIONS(1949),
    [anon_sym_length] = ACTIONS(1949),
    [anon_sym_localtime] = ACTIONS(1949),
    [anon_sym_log] = ACTIONS(1949),
    [anon_sym_lock] = ACTIONS(1949),
    [anon_sym_lstat] = ACTIONS(1949),
    [anon_sym_oct] = ACTIONS(1949),
    [anon_sym_ord] = ACTIONS(1949),
    [anon_sym_prototype] = ACTIONS(1949),
    [anon_sym_pop] = ACTIONS(1949),
    [anon_sym_pos] = ACTIONS(1949),
    [anon_sym_quotemeta] = ACTIONS(1949),
    [anon_sym_reset] = ACTIONS(1949),
    [anon_sym_rand] = ACTIONS(1949),
    [anon_sym_rmdir] = ACTIONS(1949),
    [anon_sym_readdir] = ACTIONS(1949),
    [anon_sym_readline] = ACTIONS(1949),
    [anon_sym_readpipe] = ACTIONS(1949),
    [anon_sym_rewinddir] = ACTIONS(1949),
    [anon_sym_readlink] = ACTIONS(1949),
    [anon_sym_ref] = ACTIONS(1949),
    [anon_sym_scalar] = ACTIONS(1949),
    [anon_sym_shift] = ACTIONS(1949),
    [anon_sym_sin] = ACTIONS(1949),
    [anon_sym_sleep] = ACTIONS(1949),
    [anon_sym_sqrt] = ACTIONS(1949),
    [anon_sym_srand] = ACTIONS(1949),
    [anon_sym_stat] = ACTIONS(1949),
    [anon_sym_study] = ACTIONS(1949),
    [anon_sym_tell] = ACTIONS(1949),
    [anon_sym_telldir] = ACTIONS(1949),
    [anon_sym_tied] = ACTIONS(1949),
    [anon_sym_uc] = ACTIONS(1949),
    [anon_sym_ucfirst] = ACTIONS(1949),
    [anon_sym_untie] = ACTIONS(1949),
    [anon_sym_umask] = ACTIONS(1949),
    [anon_sym_values] = ACTIONS(1949),
    [anon_sym_write] = ACTIONS(1949),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1949),
    [anon_sym_qq] = ACTIONS(1949),
    [anon_sym_qw] = ACTIONS(1949),
    [anon_sym_qx] = ACTIONS(1949),
    [anon_sym_qr] = ACTIONS(1949),
    [anon_sym_m] = ACTIONS(1949),
    [anon_sym_s] = ACTIONS(1949),
    [anon_sym_tr] = ACTIONS(1949),
    [anon_sym_y] = ACTIONS(1949),
    [aux_sym__bareword_token1] = ACTIONS(1949),
    [sym_number] = ACTIONS(1949),
    [anon_sym_true] = ACTIONS(1949),
    [anon_sym_false] = ACTIONS(1949),
    [sym__single_quote] = ACTIONS(1951),
    [sym__double_quote] = ACTIONS(1951),
    [sym__backtick_quote] = ACTIONS(1951),
    [sym__search_slash_quote] = ACTIONS(1951),
    [sym__open_readline_bracket] = ACTIONS(1951),
    [sym__open_fileglob_bracket] = ACTIONS(1951),
    [sym__PERLY_HEREDOC] = ACTIONS(1951),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1951),
    [sym__filetest] = ACTIONS(1951),
  },
  [1189] = {
    [sym_heredoc_content] = STATE(1189),
    [sym__identifier] = ACTIONS(2404),
    [anon_sym_LBRACE] = ACTIONS(2404),
    [anon_sym_DOLLAR] = ACTIONS(2404),
    [anon_sym_AT] = ACTIONS(2404),
    [anon_sym_my] = ACTIONS(2404),
    [anon_sym_extended] = ACTIONS(2404),
    [anon_sym_async] = ACTIONS(2404),
    [anon_sym_sub] = ACTIONS(2404),
    [anon_sym_method] = ACTIONS(2404),
    [anon_sym_LPAREN] = ACTIONS(2404),
    [anon_sym_continue] = ACTIONS(2404),
    [anon_sym_state] = ACTIONS(2404),
    [anon_sym_our] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_LT_LT] = ACTIONS(2404),
    [anon_sym_SLASH_SLASH] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2404),
    [anon_sym_TILDE] = ACTIONS(2404),
    [anon_sym_BANG] = ACTIONS(2404),
    [anon_sym_PLUS_PLUS] = ACTIONS(2404),
    [anon_sym_DASH_DASH] = ACTIONS(2404),
    [anon_sym_BSLASH] = ACTIONS(2406),
    [anon_sym_do] = ACTIONS(2404),
    [anon_sym_eval] = ACTIONS(2404),
    [anon_sym_await] = ACTIONS(2404),
    [anon_sym_field] = ACTIONS(2404),
    [anon_sym_local] = ACTIONS(2404),
    [anon_sym_dynamically] = ACTIONS(2404),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2404),
    [anon_sym_require] = ACTIONS(2404),
    [anon_sym_map] = ACTIONS(2404),
    [anon_sym_grep] = ACTIONS(2404),
    [anon_sym_sort] = ACTIONS(2404),
    [anon_sym_goto] = ACTIONS(2404),
    [anon_sym_return] = ACTIONS(2404),
    [anon_sym_undef] = ACTIONS(2404),
    [anon_sym_PERCENT2] = ACTIONS(2404),
    [anon_sym_AMP2] = ACTIONS(2404),
    [anon_sym_STAR2] = ACTIONS(2404),
    [anon_sym_last] = ACTIONS(2404),
    [anon_sym_next] = ACTIONS(2404),
    [anon_sym_redo] = ACTIONS(2404),
    [anon_sym___FILE__] = ACTIONS(2404),
    [anon_sym___LINE__] = ACTIONS(2404),
    [anon_sym___PACKAGE__] = ACTIONS(2404),
    [anon_sym___SUB__] = ACTIONS(2404),
    [anon_sym_break] = ACTIONS(2404),
    [anon_sym_fork] = ACTIONS(2404),
    [anon_sym_getppid] = ACTIONS(2404),
    [anon_sym_time] = ACTIONS(2404),
    [anon_sym_times] = ACTIONS(2404),
    [anon_sym_wait] = ACTIONS(2404),
    [anon_sym_wantarray] = ACTIONS(2404),
    [anon_sym_abs] = ACTIONS(2404),
    [anon_sym_alarm] = ACTIONS(2404),
    [anon_sym_chop] = ACTIONS(2404),
    [anon_sym_chdir] = ACTIONS(2404),
    [anon_sym_close] = ACTIONS(2404),
    [anon_sym_closedir] = ACTIONS(2404),
    [anon_sym_caller] = ACTIONS(2404),
    [anon_sym_chomp] = ACTIONS(2404),
    [anon_sym_chr] = ACTIONS(2404),
    [anon_sym_cos] = ACTIONS(2404),
    [anon_sym_chroot] = ACTIONS(2404),
    [anon_sym_defined] = ACTIONS(2404),
    [anon_sym_delete] = ACTIONS(2404),
    [anon_sym_dbmclose] = ACTIONS(2404),
    [anon_sym_exists] = ACTIONS(2404),
    [anon_sym_exit] = ACTIONS(2404),
    [anon_sym_eof] = ACTIONS(2404),
    [anon_sym_exp] = ACTIONS(2404),
    [anon_sym_each] = ACTIONS(2404),
    [anon_sym_fc] = ACTIONS(2404),
    [anon_sym_fileno] = ACTIONS(2404),
    [anon_sym_gmtime] = ACTIONS(2404),
    [anon_sym_getc] = ACTIONS(2404),
    [anon_sym_getpgrp] = ACTIONS(2404),
    [anon_sym_getprotobyname] = ACTIONS(2404),
    [anon_sym_getpwname] = ACTIONS(2404),
    [anon_sym_getpwuid] = ACTIONS(2404),
    [anon_sym_getpeername] = ACTIONS(2404),
    [anon_sym_getnetbyname] = ACTIONS(2404),
    [anon_sym_getsockname] = ACTIONS(2404),
    [anon_sym_getgrnam] = ACTIONS(2404),
    [anon_sym_getgrgid] = ACTIONS(2404),
    [anon_sym_hex] = ACTIONS(2404),
    [anon_sym_int] = ACTIONS(2404),
    [anon_sym_keys] = ACTIONS(2404),
    [anon_sym_lc] = ACTIONS(2404),
    [anon_sym_lcfirst] = ACTIONS(2404),
    [anon_sym_length] = ACTIONS(2404),
    [anon_sym_localtime] = ACTIONS(2404),
    [anon_sym_log] = ACTIONS(2404),
    [anon_sym_lock] = ACTIONS(2404),
    [anon_sym_lstat] = ACTIONS(2404),
    [anon_sym_oct] = ACTIONS(2404),
    [anon_sym_ord] = ACTIONS(2404),
    [anon_sym_prototype] = ACTIONS(2404),
    [anon_sym_pop] = ACTIONS(2404),
    [anon_sym_pos] = ACTIONS(2404),
    [anon_sym_quotemeta] = ACTIONS(2404),
    [anon_sym_reset] = ACTIONS(2404),
    [anon_sym_rand] = ACTIONS(2404),
    [anon_sym_rmdir] = ACTIONS(2404),
    [anon_sym_readdir] = ACTIONS(2404),
    [anon_sym_readline] = ACTIONS(2404),
    [anon_sym_readpipe] = ACTIONS(2404),
    [anon_sym_rewinddir] = ACTIONS(2404),
    [anon_sym_readlink] = ACTIONS(2404),
    [anon_sym_ref] = ACTIONS(2404),
    [anon_sym_scalar] = ACTIONS(2404),
    [anon_sym_shift] = ACTIONS(2404),
    [anon_sym_sin] = ACTIONS(2404),
    [anon_sym_sleep] = ACTIONS(2404),
    [anon_sym_sqrt] = ACTIONS(2404),
    [anon_sym_srand] = ACTIONS(2404),
    [anon_sym_stat] = ACTIONS(2404),
    [anon_sym_study] = ACTIONS(2404),
    [anon_sym_tell] = ACTIONS(2404),
    [anon_sym_telldir] = ACTIONS(2404),
    [anon_sym_tied] = ACTIONS(2404),
    [anon_sym_uc] = ACTIONS(2404),
    [anon_sym_ucfirst] = ACTIONS(2404),
    [anon_sym_untie] = ACTIONS(2404),
    [anon_sym_umask] = ACTIONS(2404),
    [anon_sym_values] = ACTIONS(2404),
    [anon_sym_write] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2404),
    [anon_sym_qq] = ACTIONS(2404),
    [anon_sym_qw] = ACTIONS(2404),
    [anon_sym_qx] = ACTIONS(2404),
    [anon_sym_qr] = ACTIONS(2404),
    [anon_sym_m] = ACTIONS(2404),
    [anon_sym_s] = ACTIONS(2404),
    [anon_sym_tr] = ACTIONS(2404),
    [anon_sym_y] = ACTIONS(2404),
    [aux_sym__bareword_token1] = ACTIONS(2404),
    [sym_number] = ACTIONS(2404),
    [anon_sym_true] = ACTIONS(2404),
    [anon_sym_false] = ACTIONS(2404),
    [sym__single_quote] = ACTIONS(2406),
    [sym__double_quote] = ACTIONS(2406),
    [sym__backtick_quote] = ACTIONS(2406),
    [sym__search_slash_quote] = ACTIONS(2406),
    [sym__open_readline_bracket] = ACTIONS(2406),
    [sym__open_fileglob_bracket] = ACTIONS(2406),
    [sym__PERLY_HEREDOC] = ACTIONS(2406),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2406),
    [sym__filetest] = ACTIONS(2406),
  },
  [1190] = {
    [sym_heredoc_content] = STATE(1190),
    [sym__identifier] = ACTIONS(2408),
    [anon_sym_LBRACE] = ACTIONS(2408),
    [anon_sym_DOLLAR] = ACTIONS(2408),
    [anon_sym_AT] = ACTIONS(2408),
    [anon_sym_my] = ACTIONS(2408),
    [anon_sym_extended] = ACTIONS(2408),
    [anon_sym_async] = ACTIONS(2408),
    [anon_sym_sub] = ACTIONS(2408),
    [anon_sym_method] = ACTIONS(2408),
    [anon_sym_LPAREN] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_state] = ACTIONS(2408),
    [anon_sym_our] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_LT_LT] = ACTIONS(2408),
    [anon_sym_SLASH_SLASH] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2408),
    [anon_sym_TILDE] = ACTIONS(2408),
    [anon_sym_BANG] = ACTIONS(2408),
    [anon_sym_PLUS_PLUS] = ACTIONS(2408),
    [anon_sym_DASH_DASH] = ACTIONS(2408),
    [anon_sym_BSLASH] = ACTIONS(2410),
    [anon_sym_do] = ACTIONS(2408),
    [anon_sym_eval] = ACTIONS(2408),
    [anon_sym_await] = ACTIONS(2408),
    [anon_sym_field] = ACTIONS(2408),
    [anon_sym_local] = ACTIONS(2408),
    [anon_sym_dynamically] = ACTIONS(2408),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2408),
    [anon_sym_require] = ACTIONS(2408),
    [anon_sym_map] = ACTIONS(2408),
    [anon_sym_grep] = ACTIONS(2408),
    [anon_sym_sort] = ACTIONS(2408),
    [anon_sym_goto] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_undef] = ACTIONS(2408),
    [anon_sym_PERCENT2] = ACTIONS(2408),
    [anon_sym_AMP2] = ACTIONS(2408),
    [anon_sym_STAR2] = ACTIONS(2408),
    [anon_sym_last] = ACTIONS(2408),
    [anon_sym_next] = ACTIONS(2408),
    [anon_sym_redo] = ACTIONS(2408),
    [anon_sym___FILE__] = ACTIONS(2408),
    [anon_sym___LINE__] = ACTIONS(2408),
    [anon_sym___PACKAGE__] = ACTIONS(2408),
    [anon_sym___SUB__] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_fork] = ACTIONS(2408),
    [anon_sym_getppid] = ACTIONS(2408),
    [anon_sym_time] = ACTIONS(2408),
    [anon_sym_times] = ACTIONS(2408),
    [anon_sym_wait] = ACTIONS(2408),
    [anon_sym_wantarray] = ACTIONS(2408),
    [anon_sym_abs] = ACTIONS(2408),
    [anon_sym_alarm] = ACTIONS(2408),
    [anon_sym_chop] = ACTIONS(2408),
    [anon_sym_chdir] = ACTIONS(2408),
    [anon_sym_close] = ACTIONS(2408),
    [anon_sym_closedir] = ACTIONS(2408),
    [anon_sym_caller] = ACTIONS(2408),
    [anon_sym_chomp] = ACTIONS(2408),
    [anon_sym_chr] = ACTIONS(2408),
    [anon_sym_cos] = ACTIONS(2408),
    [anon_sym_chroot] = ACTIONS(2408),
    [anon_sym_defined] = ACTIONS(2408),
    [anon_sym_delete] = ACTIONS(2408),
    [anon_sym_dbmclose] = ACTIONS(2408),
    [anon_sym_exists] = ACTIONS(2408),
    [anon_sym_exit] = ACTIONS(2408),
    [anon_sym_eof] = ACTIONS(2408),
    [anon_sym_exp] = ACTIONS(2408),
    [anon_sym_each] = ACTIONS(2408),
    [anon_sym_fc] = ACTIONS(2408),
    [anon_sym_fileno] = ACTIONS(2408),
    [anon_sym_gmtime] = ACTIONS(2408),
    [anon_sym_getc] = ACTIONS(2408),
    [anon_sym_getpgrp] = ACTIONS(2408),
    [anon_sym_getprotobyname] = ACTIONS(2408),
    [anon_sym_getpwname] = ACTIONS(2408),
    [anon_sym_getpwuid] = ACTIONS(2408),
    [anon_sym_getpeername] = ACTIONS(2408),
    [anon_sym_getnetbyname] = ACTIONS(2408),
    [anon_sym_getsockname] = ACTIONS(2408),
    [anon_sym_getgrnam] = ACTIONS(2408),
    [anon_sym_getgrgid] = ACTIONS(2408),
    [anon_sym_hex] = ACTIONS(2408),
    [anon_sym_int] = ACTIONS(2408),
    [anon_sym_keys] = ACTIONS(2408),
    [anon_sym_lc] = ACTIONS(2408),
    [anon_sym_lcfirst] = ACTIONS(2408),
    [anon_sym_length] = ACTIONS(2408),
    [anon_sym_localtime] = ACTIONS(2408),
    [anon_sym_log] = ACTIONS(2408),
    [anon_sym_lock] = ACTIONS(2408),
    [anon_sym_lstat] = ACTIONS(2408),
    [anon_sym_oct] = ACTIONS(2408),
    [anon_sym_ord] = ACTIONS(2408),
    [anon_sym_prototype] = ACTIONS(2408),
    [anon_sym_pop] = ACTIONS(2408),
    [anon_sym_pos] = ACTIONS(2408),
    [anon_sym_quotemeta] = ACTIONS(2408),
    [anon_sym_reset] = ACTIONS(2408),
    [anon_sym_rand] = ACTIONS(2408),
    [anon_sym_rmdir] = ACTIONS(2408),
    [anon_sym_readdir] = ACTIONS(2408),
    [anon_sym_readline] = ACTIONS(2408),
    [anon_sym_readpipe] = ACTIONS(2408),
    [anon_sym_rewinddir] = ACTIONS(2408),
    [anon_sym_readlink] = ACTIONS(2408),
    [anon_sym_ref] = ACTIONS(2408),
    [anon_sym_scalar] = ACTIONS(2408),
    [anon_sym_shift] = ACTIONS(2408),
    [anon_sym_sin] = ACTIONS(2408),
    [anon_sym_sleep] = ACTIONS(2408),
    [anon_sym_sqrt] = ACTIONS(2408),
    [anon_sym_srand] = ACTIONS(2408),
    [anon_sym_stat] = ACTIONS(2408),
    [anon_sym_study] = ACTIONS(2408),
    [anon_sym_tell] = ACTIONS(2408),
    [anon_sym_telldir] = ACTIONS(2408),
    [anon_sym_tied] = ACTIONS(2408),
    [anon_sym_uc] = ACTIONS(2408),
    [anon_sym_ucfirst] = ACTIONS(2408),
    [anon_sym_untie] = ACTIONS(2408),
    [anon_sym_umask] = ACTIONS(2408),
    [anon_sym_values] = ACTIONS(2408),
    [anon_sym_write] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2408),
    [anon_sym_qq] = ACTIONS(2408),
    [anon_sym_qw] = ACTIONS(2408),
    [anon_sym_qx] = ACTIONS(2408),
    [anon_sym_qr] = ACTIONS(2408),
    [anon_sym_m] = ACTIONS(2408),
    [anon_sym_s] = ACTIONS(2408),
    [anon_sym_tr] = ACTIONS(2408),
    [anon_sym_y] = ACTIONS(2408),
    [aux_sym__bareword_token1] = ACTIONS(2408),
    [sym_number] = ACTIONS(2408),
    [anon_sym_true] = ACTIONS(2408),
    [anon_sym_false] = ACTIONS(2408),
    [sym__single_quote] = ACTIONS(2410),
    [sym__double_quote] = ACTIONS(2410),
    [sym__backtick_quote] = ACTIONS(2410),
    [sym__search_slash_quote] = ACTIONS(2410),
    [sym__open_readline_bracket] = ACTIONS(2410),
    [sym__open_fileglob_bracket] = ACTIONS(2410),
    [sym__PERLY_HEREDOC] = ACTIONS(2410),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2410),
    [sym__filetest] = ACTIONS(2410),
  },
  [1191] = {
    [sym_heredoc_content] = STATE(1191),
    [sym__identifier] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1828),
    [anon_sym_DOLLAR] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1828),
    [anon_sym_my] = ACTIONS(1828),
    [anon_sym_extended] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_sub] = ACTIONS(1828),
    [anon_sym_method] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_state] = ACTIONS(1828),
    [anon_sym_our] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1828),
    [anon_sym_DASH_DASH] = ACTIONS(1828),
    [anon_sym_BSLASH] = ACTIONS(1835),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_eval] = ACTIONS(1828),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_field] = ACTIONS(1828),
    [anon_sym_local] = ACTIONS(1828),
    [anon_sym_dynamically] = ACTIONS(1828),
    [anon_sym_DOLLAR_POUND] = ACTIONS(1828),
    [anon_sym_require] = ACTIONS(1828),
    [anon_sym_map] = ACTIONS(1828),
    [anon_sym_grep] = ACTIONS(1828),
    [anon_sym_sort] = ACTIONS(1828),
    [anon_sym_goto] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_undef] = ACTIONS(1828),
    [anon_sym_PERCENT2] = ACTIONS(1828),
    [anon_sym_AMP2] = ACTIONS(1828),
    [anon_sym_STAR2] = ACTIONS(1828),
    [anon_sym_last] = ACTIONS(1828),
    [anon_sym_next] = ACTIONS(1828),
    [anon_sym_redo] = ACTIONS(1828),
    [anon_sym___FILE__] = ACTIONS(1828),
    [anon_sym___LINE__] = ACTIONS(1828),
    [anon_sym___PACKAGE__] = ACTIONS(1828),
    [anon_sym___SUB__] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_fork] = ACTIONS(1828),
    [anon_sym_getppid] = ACTIONS(1828),
    [anon_sym_time] = ACTIONS(1828),
    [anon_sym_times] = ACTIONS(1828),
    [anon_sym_wait] = ACTIONS(1828),
    [anon_sym_wantarray] = ACTIONS(1828),
    [anon_sym_abs] = ACTIONS(1828),
    [anon_sym_alarm] = ACTIONS(1828),
    [anon_sym_chop] = ACTIONS(1828),
    [anon_sym_chdir] = ACTIONS(1828),
    [anon_sym_close] = ACTIONS(1828),
    [anon_sym_closedir] = ACTIONS(1828),
    [anon_sym_caller] = ACTIONS(1828),
    [anon_sym_chomp] = ACTIONS(1828),
    [anon_sym_chr] = ACTIONS(1828),
    [anon_sym_cos] = ACTIONS(1828),
    [anon_sym_chroot] = ACTIONS(1828),
    [anon_sym_defined] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_dbmclose] = ACTIONS(1828),
    [anon_sym_exists] = ACTIONS(1828),
    [anon_sym_exit] = ACTIONS(1828),
    [anon_sym_eof] = ACTIONS(1828),
    [anon_sym_exp] = ACTIONS(1828),
    [anon_sym_each] = ACTIONS(1828),
    [anon_sym_fc] = ACTIONS(1828),
    [anon_sym_fileno] = ACTIONS(1828),
    [anon_sym_gmtime] = ACTIONS(1828),
    [anon_sym_getc] = ACTIONS(1828),
    [anon_sym_getpgrp] = ACTIONS(1828),
    [anon_sym_getprotobyname] = ACTIONS(1828),
    [anon_sym_getpwname] = ACTIONS(1828),
    [anon_sym_getpwuid] = ACTIONS(1828),
    [anon_sym_getpeername] = ACTIONS(1828),
    [anon_sym_getnetbyname] = ACTIONS(1828),
    [anon_sym_getsockname] = ACTIONS(1828),
    [anon_sym_getgrnam] = ACTIONS(1828),
    [anon_sym_getgrgid] = ACTIONS(1828),
    [anon_sym_hex] = ACTIONS(1828),
    [anon_sym_int] = ACTIONS(1828),
    [anon_sym_keys] = ACTIONS(1828),
    [anon_sym_lc] = ACTIONS(1828),
    [anon_sym_lcfirst] = ACTIONS(1828),
    [anon_sym_length] = ACTIONS(1828),
    [anon_sym_localtime] = ACTIONS(1828),
    [anon_sym_log] = ACTIONS(1828),
    [anon_sym_lock] = ACTIONS(1828),
    [anon_sym_lstat] = ACTIONS(1828),
    [anon_sym_oct] = ACTIONS(1828),
    [anon_sym_ord] = ACTIONS(1828),
    [anon_sym_prototype] = ACTIONS(1828),
    [anon_sym_pop] = ACTIONS(1828),
    [anon_sym_pos] = ACTIONS(1828),
    [anon_sym_quotemeta] = ACTIONS(1828),
    [anon_sym_reset] = ACTIONS(1828),
    [anon_sym_rand] = ACTIONS(1828),
    [anon_sym_rmdir] = ACTIONS(1828),
    [anon_sym_readdir] = ACTIONS(1828),
    [anon_sym_readline] = ACTIONS(1828),
    [anon_sym_readpipe] = ACTIONS(1828),
    [anon_sym_rewinddir] = ACTIONS(1828),
    [anon_sym_readlink] = ACTIONS(1828),
    [anon_sym_ref] = ACTIONS(1828),
    [anon_sym_scalar] = ACTIONS(1828),
    [anon_sym_shift] = ACTIONS(1828),
    [anon_sym_sin] = ACTIONS(1828),
    [anon_sym_sleep] = ACTIONS(1828),
    [anon_sym_sqrt] = ACTIONS(1828),
    [anon_sym_srand] = ACTIONS(1828),
    [anon_sym_stat] = ACTIONS(1828),
    [anon_sym_study] = ACTIONS(1828),
    [anon_sym_tell] = ACTIONS(1828),
    [anon_sym_telldir] = ACTIONS(1828),
    [anon_sym_tied] = ACTIONS(1828),
    [anon_sym_uc] = ACTIONS(1828),
    [anon_sym_ucfirst] = ACTIONS(1828),
    [anon_sym_untie] = ACTIONS(1828),
    [anon_sym_umask] = ACTIONS(1828),
    [anon_sym_values] = ACTIONS(1828),
    [anon_sym_write] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(1828),
    [anon_sym_qq] = ACTIONS(1828),
    [anon_sym_qw] = ACTIONS(1828),
    [anon_sym_qx] = ACTIONS(1828),
    [anon_sym_qr] = ACTIONS(1828),
    [anon_sym_m] = ACTIONS(1828),
    [anon_sym_s] = ACTIONS(1828),
    [anon_sym_tr] = ACTIONS(1828),
    [anon_sym_y] = ACTIONS(1828),
    [aux_sym__bareword_token1] = ACTIONS(1828),
    [sym_number] = ACTIONS(1828),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [sym__single_quote] = ACTIONS(1835),
    [sym__double_quote] = ACTIONS(1835),
    [sym__backtick_quote] = ACTIONS(1835),
    [sym__search_slash_quote] = ACTIONS(1835),
    [sym__open_readline_bracket] = ACTIONS(1835),
    [sym__open_fileglob_bracket] = ACTIONS(1835),
    [sym__PERLY_HEREDOC] = ACTIONS(1835),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(1835),
    [sym__filetest] = ACTIONS(1835),
  },
  [1192] = {
    [sym_heredoc_content] = STATE(1192),
    [sym__identifier] = ACTIONS(2412),
    [anon_sym_LBRACE] = ACTIONS(2412),
    [anon_sym_DOLLAR] = ACTIONS(2412),
    [anon_sym_AT] = ACTIONS(2412),
    [anon_sym_my] = ACTIONS(2412),
    [anon_sym_extended] = ACTIONS(2412),
    [anon_sym_async] = ACTIONS(2412),
    [anon_sym_sub] = ACTIONS(2412),
    [anon_sym_method] = ACTIONS(2412),
    [anon_sym_LPAREN] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_state] = ACTIONS(2412),
    [anon_sym_our] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_LT_LT] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2412),
    [anon_sym_TILDE] = ACTIONS(2412),
    [anon_sym_BANG] = ACTIONS(2412),
    [anon_sym_PLUS_PLUS] = ACTIONS(2412),
    [anon_sym_DASH_DASH] = ACTIONS(2412),
    [anon_sym_BSLASH] = ACTIONS(2414),
    [anon_sym_do] = ACTIONS(2412),
    [anon_sym_eval] = ACTIONS(2412),
    [anon_sym_await] = ACTIONS(2412),
    [anon_sym_field] = ACTIONS(2412),
    [anon_sym_local] = ACTIONS(2412),
    [anon_sym_dynamically] = ACTIONS(2412),
    [anon_sym_DOLLAR_POUND] = ACTIONS(2412),
    [anon_sym_require] = ACTIONS(2412),
    [anon_sym_map] = ACTIONS(2412),
    [anon_sym_grep] = ACTIONS(2412),
    [anon_sym_sort] = ACTIONS(2412),
    [anon_sym_goto] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_undef] = ACTIONS(2412),
    [anon_sym_PERCENT2] = ACTIONS(2412),
    [anon_sym_AMP2] = ACTIONS(2412),
    [anon_sym_STAR2] = ACTIONS(2412),
    [anon_sym_last] = ACTIONS(2412),
    [anon_sym_next] = ACTIONS(2412),
    [anon_sym_redo] = ACTIONS(2412),
    [anon_sym___FILE__] = ACTIONS(2412),
    [anon_sym___LINE__] = ACTIONS(2412),
    [anon_sym___PACKAGE__] = ACTIONS(2412),
    [anon_sym___SUB__] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_fork] = ACTIONS(2412),
    [anon_sym_getppid] = ACTIONS(2412),
    [anon_sym_time] = ACTIONS(2412),
    [anon_sym_times] = ACTIONS(2412),
    [anon_sym_wait] = ACTIONS(2412),
    [anon_sym_wantarray] = ACTIONS(2412),
    [anon_sym_abs] = ACTIONS(2412),
    [anon_sym_alarm] = ACTIONS(2412),
    [anon_sym_chop] = ACTIONS(2412),
    [anon_sym_chdir] = ACTIONS(2412),
    [anon_sym_close] = ACTIONS(2412),
    [anon_sym_closedir] = ACTIONS(2412),
    [anon_sym_caller] = ACTIONS(2412),
    [anon_sym_chomp] = ACTIONS(2412),
    [anon_sym_chr] = ACTIONS(2412),
    [anon_sym_cos] = ACTIONS(2412),
    [anon_sym_chroot] = ACTIONS(2412),
    [anon_sym_defined] = ACTIONS(2412),
    [anon_sym_delete] = ACTIONS(2412),
    [anon_sym_dbmclose] = ACTIONS(2412),
    [anon_sym_exists] = ACTIONS(2412),
    [anon_sym_exit] = ACTIONS(2412),
    [anon_sym_eof] = ACTIONS(2412),
    [anon_sym_exp] = ACTIONS(2412),
    [anon_sym_each] = ACTIONS(2412),
    [anon_sym_fc] = ACTIONS(2412),
    [anon_sym_fileno] = ACTIONS(2412),
    [anon_sym_gmtime] = ACTIONS(2412),
    [anon_sym_getc] = ACTIONS(2412),
    [anon_sym_getpgrp] = ACTIONS(2412),
    [anon_sym_getprotobyname] = ACTIONS(2412),
    [anon_sym_getpwname] = ACTIONS(2412),
    [anon_sym_getpwuid] = ACTIONS(2412),
    [anon_sym_getpeername] = ACTIONS(2412),
    [anon_sym_getnetbyname] = ACTIONS(2412),
    [anon_sym_getsockname] = ACTIONS(2412),
    [anon_sym_getgrnam] = ACTIONS(2412),
    [anon_sym_getgrgid] = ACTIONS(2412),
    [anon_sym_hex] = ACTIONS(2412),
    [anon_sym_int] = ACTIONS(2412),
    [anon_sym_keys] = ACTIONS(2412),
    [anon_sym_lc] = ACTIONS(2412),
    [anon_sym_lcfirst] = ACTIONS(2412),
    [anon_sym_length] = ACTIONS(2412),
    [anon_sym_localtime] = ACTIONS(2412),
    [anon_sym_log] = ACTIONS(2412),
    [anon_sym_lock] = ACTIONS(2412),
    [anon_sym_lstat] = ACTIONS(2412),
    [anon_sym_oct] = ACTIONS(2412),
    [anon_sym_ord] = ACTIONS(2412),
    [anon_sym_prototype] = ACTIONS(2412),
    [anon_sym_pop] = ACTIONS(2412),
    [anon_sym_pos] = ACTIONS(2412),
    [anon_sym_quotemeta] = ACTIONS(2412),
    [anon_sym_reset] = ACTIONS(2412),
    [anon_sym_rand] = ACTIONS(2412),
    [anon_sym_rmdir] = ACTIONS(2412),
    [anon_sym_readdir] = ACTIONS(2412),
    [anon_sym_readline] = ACTIONS(2412),
    [anon_sym_readpipe] = ACTIONS(2412),
    [anon_sym_rewinddir] = ACTIONS(2412),
    [anon_sym_readlink] = ACTIONS(2412),
    [anon_sym_ref] = ACTIONS(2412),
    [anon_sym_scalar] = ACTIONS(2412),
    [anon_sym_shift] = ACTIONS(2412),
    [anon_sym_sin] = ACTIONS(2412),
    [anon_sym_sleep] = ACTIONS(2412),
    [anon_sym_sqrt] = ACTIONS(2412),
    [anon_sym_srand] = ACTIONS(2412),
    [anon_sym_stat] = ACTIONS(2412),
    [anon_sym_study] = ACTIONS(2412),
    [anon_sym_tell] = ACTIONS(2412),
    [anon_sym_telldir] = ACTIONS(2412),
    [anon_sym_tied] = ACTIONS(2412),
    [anon_sym_uc] = ACTIONS(2412),
    [anon_sym_ucfirst] = ACTIONS(2412),
    [anon_sym_untie] = ACTIONS(2412),
    [anon_sym_umask] = ACTIONS(2412),
    [anon_sym_values] = ACTIONS(2412),
    [anon_sym_write] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [anon_sym_q] = ACTIONS(2412),
    [anon_sym_qq] = ACTIONS(2412),
    [anon_sym_qw] = ACTIONS(2412),
    [anon_sym_qx] = ACTIONS(2412),
    [anon_sym_qr] = ACTIONS(2412),
    [anon_sym_m] = ACTIONS(2412),
    [anon_sym_s] = ACTIONS(2412),
    [anon_sym_tr] = ACTIONS(2412),
    [anon_sym_y] = ACTIONS(2412),
    [aux_sym__bareword_token1] = ACTIONS(2412),
    [sym_number] = ACTIONS(2412),
    [anon_sym_true] = ACTIONS(2412),
    [anon_sym_false] = ACTIONS(2412),
    [sym__single_quote] = ACTIONS(2414),
    [sym__double_quote] = ACTIONS(2414),
    [sym__backtick_quote] = ACTIONS(2414),
    [sym__search_slash_quote] = ACTIONS(2414),
    [sym__open_readline_bracket] = ACTIONS(2414),
    [sym__open_fileglob_bracket] = ACTIONS(2414),
    [sym__PERLY_HEREDOC] = ACTIONS(2414),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
    [sym__fat_comma_autoquoted] = ACTIONS(2414),
    [sym__filetest] = ACTIONS(2414),
  },
  [1193] = {
    [sym_attribute] = STATE(1225),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1193),
    [aux_sym_attrlist_repeat1] = STATE(1195),
    [sym__identifier] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_COLON] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2422),
    [anon_sym_or] = ACTIONS(2422),
    [anon_sym_xor] = ACTIONS(2422),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [anon_sym_for] = ACTIONS(2422),
    [anon_sym_foreach] = ACTIONS(2422),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2422),
    [anon_sym___END__] = ACTIONS(2422),
    [anon_sym_EOT] = ACTIONS(2418),
    [anon_sym_if] = ACTIONS(2422),
    [anon_sym_unless] = ACTIONS(2422),
    [anon_sym_while] = ACTIONS(2422),
    [anon_sym_until] = ACTIONS(2422),
    [aux_sym__bareword_token1] = ACTIONS(2416),
    [sym__PERLY_SEMICOLON] = ACTIONS(2418),
    [sym__ctrl_z_hack] = ACTIONS(2418),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1194] = {
    [sym_attribute] = STATE(1225),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1194),
    [aux_sym_attrlist_repeat1] = STATE(1194),
    [sym__identifier] = ACTIONS(2424),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [anon_sym_COLON] = ACTIONS(2429),
    [anon_sym_SEMI] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_and] = ACTIONS(2432),
    [anon_sym_or] = ACTIONS(2432),
    [anon_sym_xor] = ACTIONS(2432),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_foreach] = ACTIONS(2432),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2432),
    [anon_sym___END__] = ACTIONS(2432),
    [anon_sym_EOT] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_unless] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_until] = ACTIONS(2432),
    [aux_sym__bareword_token1] = ACTIONS(2424),
    [sym__PERLY_SEMICOLON] = ACTIONS(2427),
    [sym__ctrl_z_hack] = ACTIONS(2427),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1195] = {
    [sym_attribute] = STATE(1225),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1195),
    [aux_sym_attrlist_repeat1] = STATE(1194),
    [sym__identifier] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_COLON] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2434),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_foreach] = ACTIONS(2436),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2436),
    [anon_sym___END__] = ACTIONS(2436),
    [anon_sym_EOT] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_unless] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_until] = ACTIONS(2436),
    [aux_sym__bareword_token1] = ACTIONS(2416),
    [sym__PERLY_SEMICOLON] = ACTIONS(2434),
    [sym__ctrl_z_hack] = ACTIONS(2434),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1196] = {
    [sym_attrlist] = STATE(1331),
    [sym_attribute] = STATE(1193),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1196),
    [sym__identifier] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_xor] = ACTIONS(2440),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_foreach] = ACTIONS(2440),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2440),
    [anon_sym___END__] = ACTIONS(2440),
    [anon_sym_EOT] = ACTIONS(2438),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_unless] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_until] = ACTIONS(2440),
    [aux_sym__bareword_token1] = ACTIONS(2416),
    [sym__PERLY_SEMICOLON] = ACTIONS(2438),
    [sym__ctrl_z_hack] = ACTIONS(2438),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1197] = {
    [sym_attrlist] = STATE(1332),
    [sym_attribute] = STATE(1193),
    [sym_attribute_name] = STATE(1201),
    [sym_heredoc_content] = STATE(1197),
    [sym__identifier] = ACTIONS(2416),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RPAREN] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_and] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2444),
    [anon_sym_xor] = ACTIONS(2444),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_foreach] = ACTIONS(2444),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2444),
    [anon_sym___END__] = ACTIONS(2444),
    [anon_sym_EOT] = ACTIONS(2442),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_unless] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_until] = ACTIONS(2444),
    [aux_sym__bareword_token1] = ACTIONS(2416),
    [sym__PERLY_SEMICOLON] = ACTIONS(2442),
    [sym__ctrl_z_hack] = ACTIONS(2442),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1198] = {
    [sym_heredoc_content] = STATE(1198),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_COLON] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_and] = ACTIONS(1855),
    [anon_sym_or] = ACTIONS(1855),
    [anon_sym_xor] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1853),
    [anon_sym_foreach] = ACTIONS(1855),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1855),
    [anon_sym___END__] = ACTIONS(1855),
    [anon_sym_EOT] = ACTIONS(1855),
    [anon_sym_if] = ACTIONS(1855),
    [anon_sym_unless] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1855),
    [anon_sym_until] = ACTIONS(1855),
    [sym__PERLY_SEMICOLON] = ACTIONS(1855),
    [sym__ctrl_z_hack] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1199] = {
    [sym_heredoc_content] = STATE(1199),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2448),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_and] = ACTIONS(2446),
    [anon_sym_or] = ACTIONS(2446),
    [anon_sym_xor] = ACTIONS(2446),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2446),
    [anon_sym_foreach] = ACTIONS(2446),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2446),
    [anon_sym___END__] = ACTIONS(2446),
    [anon_sym_EOT] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2446),
    [anon_sym_unless] = ACTIONS(2446),
    [anon_sym_while] = ACTIONS(2446),
    [anon_sym_until] = ACTIONS(2446),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym__PERLY_SEMICOLON] = ACTIONS(2448),
    [sym__ctrl_z_hack] = ACTIONS(2448),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1200] = {
    [sym_heredoc_content] = STATE(1200),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_COLON] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1851),
    [anon_sym_or] = ACTIONS(1851),
    [anon_sym_xor] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [anon_sym_for] = ACTIONS(1849),
    [anon_sym_foreach] = ACTIONS(1851),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1851),
    [anon_sym___END__] = ACTIONS(1851),
    [anon_sym_EOT] = ACTIONS(1851),
    [anon_sym_if] = ACTIONS(1851),
    [anon_sym_unless] = ACTIONS(1851),
    [anon_sym_while] = ACTIONS(1851),
    [anon_sym_until] = ACTIONS(1851),
    [sym__PERLY_SEMICOLON] = ACTIONS(1851),
    [sym__ctrl_z_hack] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1201] = {
    [sym_heredoc_content] = STATE(1201),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_xor] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2450),
    [anon_sym_foreach] = ACTIONS(2450),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2450),
    [anon_sym___END__] = ACTIONS(2450),
    [anon_sym_EOT] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2450),
    [anon_sym_unless] = ACTIONS(2450),
    [anon_sym_while] = ACTIONS(2450),
    [anon_sym_until] = ACTIONS(2450),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym__PERLY_SEMICOLON] = ACTIONS(2452),
    [sym__ctrl_z_hack] = ACTIONS(2452),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2454),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1202] = {
    [sym_heredoc_content] = STATE(1202),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_RPAREN] = ACTIONS(2456),
    [anon_sym_LPAREN] = ACTIONS(2456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2456),
    [anon_sym_and] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2456),
    [anon_sym_xor] = ACTIONS(2456),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(2458),
    [anon_sym_LT_LT] = ACTIONS(2458),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2456),
    [anon_sym_PLUS_EQ] = ACTIONS(2456),
    [anon_sym_DASH_EQ] = ACTIONS(2456),
    [anon_sym_DOT_EQ] = ACTIONS(2456),
    [anon_sym_STAR_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_PERCENT_EQ] = ACTIONS(2456),
    [anon_sym_x_EQ] = ACTIONS(2456),
    [anon_sym_AMP_EQ] = ACTIONS(2456),
    [anon_sym_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_CARET_EQ] = ACTIONS(2456),
    [anon_sym_LT_LT_EQ] = ACTIONS(2456),
    [anon_sym_GT_GT_EQ] = ACTIONS(2456),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2456),
    [anon_sym_DOT_DOT] = ACTIONS(2458),
    [anon_sym_STAR_STAR] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH] = ACTIONS(2458),
    [anon_sym_CARET_CARET] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_PIPE] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_GT_GT2] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_DOT] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_x] = ACTIONS(2458),
    [anon_sym_EQ_TILDE] = ACTIONS(2456),
    [anon_sym_BANG_TILDE] = ACTIONS(2456),
    [anon_sym_EQ_EQ] = ACTIONS(2458),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_eq] = ACTIONS(2458),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2456),
    [anon_sym_equ] = ACTIONS(2456),
    [anon_sym_eqr] = ACTIONS(2456),
    [anon_sym_ne] = ACTIONS(2456),
    [anon_sym_LT_EQ_GT] = ACTIONS(2456),
    [anon_sym_cmp] = ACTIONS(2456),
    [anon_sym_TILDE_TILDE] = ACTIONS(2456),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_EQ] = ACTIONS(2456),
    [anon_sym_lt] = ACTIONS(2456),
    [anon_sym_le] = ACTIONS(2456),
    [anon_sym_ge] = ACTIONS(2456),
    [anon_sym_gt] = ACTIONS(2456),
    [anon_sym_isa] = ACTIONS(2456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [anon_sym_QMARK] = ACTIONS(2456),
    [anon_sym_EQ_GT] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2458),
    [anon_sym_foreach] = ACTIONS(2456),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2456),
    [anon_sym___END__] = ACTIONS(2456),
    [anon_sym_EOT] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_unless] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_until] = ACTIONS(2456),
    [sym__PERLY_SEMICOLON] = ACTIONS(2456),
    [sym__ctrl_z_hack] = ACTIONS(2456),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1203] = {
    [sym_heredoc_content] = STATE(1203),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RPAREN] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2460),
    [anon_sym_and] = ACTIONS(2460),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_xor] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_GT] = ACTIONS(2462),
    [anon_sym_LT_LT] = ACTIONS(2462),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(2460),
    [anon_sym_DASH_EQ] = ACTIONS(2460),
    [anon_sym_DOT_EQ] = ACTIONS(2460),
    [anon_sym_STAR_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_PERCENT_EQ] = ACTIONS(2460),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_CARET_EQ] = ACTIONS(2460),
    [anon_sym_LT_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_GT_EQ] = ACTIONS(2460),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2460),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_STAR_STAR] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH] = ACTIONS(2462),
    [anon_sym_CARET_CARET] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_PIPE] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_GT_GT2] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2462),
    [anon_sym_SLASH] = ACTIONS(2462),
    [anon_sym_x] = ACTIONS(2462),
    [anon_sym_EQ_TILDE] = ACTIONS(2460),
    [anon_sym_BANG_TILDE] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2462),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_eq] = ACTIONS(2462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_equ] = ACTIONS(2460),
    [anon_sym_eqr] = ACTIONS(2460),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2460),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2462),
    [anon_sym_foreach] = ACTIONS(2460),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2460),
    [anon_sym___END__] = ACTIONS(2460),
    [anon_sym_EOT] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_unless] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_until] = ACTIONS(2460),
    [sym__PERLY_SEMICOLON] = ACTIONS(2460),
    [sym__ctrl_z_hack] = ACTIONS(2460),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1204] = {
    [sym_heredoc_content] = STATE(1204),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_RPAREN] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_and] = ACTIONS(2464),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_xor] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2466),
    [anon_sym_foreach] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2464),
    [anon_sym___END__] = ACTIONS(2464),
    [anon_sym_EOT] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_unless] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_until] = ACTIONS(2464),
    [sym__PERLY_SEMICOLON] = ACTIONS(2464),
    [sym__ctrl_z_hack] = ACTIONS(2464),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1205] = {
    [sym_heredoc_content] = STATE(1205),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_and] = ACTIONS(1863),
    [anon_sym_or] = ACTIONS(1863),
    [anon_sym_xor] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [anon_sym_for] = ACTIONS(1861),
    [anon_sym_foreach] = ACTIONS(1863),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1863),
    [anon_sym___END__] = ACTIONS(1863),
    [anon_sym_EOT] = ACTIONS(1863),
    [anon_sym_if] = ACTIONS(1863),
    [anon_sym_unless] = ACTIONS(1863),
    [anon_sym_while] = ACTIONS(1863),
    [anon_sym_until] = ACTIONS(1863),
    [sym__PERLY_SEMICOLON] = ACTIONS(1863),
    [sym__ctrl_z_hack] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1206] = {
    [sym_heredoc_content] = STATE(1206),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RPAREN] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2468),
    [anon_sym_and] = ACTIONS(2468),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_xor] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(2470),
    [anon_sym_LT_LT] = ACTIONS(2470),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2468),
    [anon_sym_PLUS_EQ] = ACTIONS(2468),
    [anon_sym_DASH_EQ] = ACTIONS(2468),
    [anon_sym_DOT_EQ] = ACTIONS(2468),
    [anon_sym_STAR_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_PERCENT_EQ] = ACTIONS(2468),
    [anon_sym_x_EQ] = ACTIONS(2468),
    [anon_sym_AMP_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_CARET_EQ] = ACTIONS(2468),
    [anon_sym_LT_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_GT_EQ] = ACTIONS(2468),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2468),
    [anon_sym_DOT_DOT] = ACTIONS(2470),
    [anon_sym_STAR_STAR] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH] = ACTIONS(2470),
    [anon_sym_CARET_CARET] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_PIPE] = ACTIONS(2470),
    [anon_sym_CARET] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_GT_GT2] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2470),
    [anon_sym_SLASH] = ACTIONS(2470),
    [anon_sym_x] = ACTIONS(2470),
    [anon_sym_EQ_TILDE] = ACTIONS(2468),
    [anon_sym_BANG_TILDE] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2470),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_eq] = ACTIONS(2470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_equ] = ACTIONS(2468),
    [anon_sym_eqr] = ACTIONS(2468),
    [anon_sym_ne] = ACTIONS(2468),
    [anon_sym_LT_EQ_GT] = ACTIONS(2468),
    [anon_sym_cmp] = ACTIONS(2468),
    [anon_sym_TILDE_TILDE] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_lt] = ACTIONS(2468),
    [anon_sym_le] = ACTIONS(2468),
    [anon_sym_ge] = ACTIONS(2468),
    [anon_sym_gt] = ACTIONS(2468),
    [anon_sym_isa] = ACTIONS(2468),
    [anon_sym_PLUS_PLUS] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_EQ_GT] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2470),
    [anon_sym_foreach] = ACTIONS(2468),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2468),
    [anon_sym___END__] = ACTIONS(2468),
    [anon_sym_EOT] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_unless] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_until] = ACTIONS(2468),
    [sym__PERLY_SEMICOLON] = ACTIONS(2468),
    [sym__ctrl_z_hack] = ACTIONS(2468),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1207] = {
    [sym_heredoc_content] = STATE(1207),
    [anon_sym_LBRACE] = ACTIONS(2472),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2480),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_foreach] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2474),
    [anon_sym___END__] = ACTIONS(2474),
    [anon_sym_EOT] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_unless] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_until] = ACTIONS(2474),
    [sym__PERLY_SEMICOLON] = ACTIONS(2474),
    [sym__ctrl_z_hack] = ACTIONS(2474),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1208] = {
    [sym_heredoc_content] = STATE(1208),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RPAREN] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_and] = ACTIONS(1826),
    [anon_sym_or] = ACTIONS(1826),
    [anon_sym_xor] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1826),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_foreach] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1826),
    [anon_sym___END__] = ACTIONS(1826),
    [anon_sym_EOT] = ACTIONS(1826),
    [anon_sym_if] = ACTIONS(1826),
    [anon_sym_unless] = ACTIONS(1826),
    [anon_sym_while] = ACTIONS(1826),
    [anon_sym_until] = ACTIONS(1826),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym__ctrl_z_hack] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1209] = {
    [sym_heredoc_content] = STATE(1209),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_RPAREN] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(2482),
    [anon_sym_or] = ACTIONS(2482),
    [anon_sym_xor] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2482),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_foreach] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2482),
    [anon_sym___END__] = ACTIONS(2482),
    [anon_sym_EOT] = ACTIONS(2482),
    [anon_sym_if] = ACTIONS(2482),
    [anon_sym_unless] = ACTIONS(2482),
    [anon_sym_while] = ACTIONS(2482),
    [anon_sym_until] = ACTIONS(2482),
    [sym__PERLY_SEMICOLON] = ACTIONS(2482),
    [sym__ctrl_z_hack] = ACTIONS(2482),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1210] = {
    [sym_heredoc_content] = STATE(1210),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_RPAREN] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_and] = ACTIONS(2486),
    [anon_sym_or] = ACTIONS(2486),
    [anon_sym_xor] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2486),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_foreach] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2486),
    [anon_sym___END__] = ACTIONS(2486),
    [anon_sym_EOT] = ACTIONS(2486),
    [anon_sym_if] = ACTIONS(2486),
    [anon_sym_unless] = ACTIONS(2486),
    [anon_sym_while] = ACTIONS(2486),
    [anon_sym_until] = ACTIONS(2486),
    [sym__PERLY_SEMICOLON] = ACTIONS(2486),
    [sym__ctrl_z_hack] = ACTIONS(2486),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1211] = {
    [sym_heredoc_content] = STATE(1211),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_RPAREN] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_and] = ACTIONS(2490),
    [anon_sym_or] = ACTIONS(2490),
    [anon_sym_xor] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2490),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_foreach] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2490),
    [anon_sym___END__] = ACTIONS(2490),
    [anon_sym_EOT] = ACTIONS(2490),
    [anon_sym_if] = ACTIONS(2490),
    [anon_sym_unless] = ACTIONS(2490),
    [anon_sym_while] = ACTIONS(2490),
    [anon_sym_until] = ACTIONS(2490),
    [sym__PERLY_SEMICOLON] = ACTIONS(2490),
    [sym__ctrl_z_hack] = ACTIONS(2490),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1212] = {
    [sym_heredoc_content] = STATE(1212),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_RPAREN] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_and] = ACTIONS(2494),
    [anon_sym_or] = ACTIONS(2494),
    [anon_sym_xor] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2494),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_foreach] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2494),
    [anon_sym___END__] = ACTIONS(2494),
    [anon_sym_EOT] = ACTIONS(2494),
    [anon_sym_if] = ACTIONS(2494),
    [anon_sym_unless] = ACTIONS(2494),
    [anon_sym_while] = ACTIONS(2494),
    [anon_sym_until] = ACTIONS(2494),
    [sym__PERLY_SEMICOLON] = ACTIONS(2494),
    [sym__ctrl_z_hack] = ACTIONS(2494),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1213] = {
    [sym_heredoc_content] = STATE(1213),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_RPAREN] = ACTIONS(2498),
    [anon_sym_LPAREN] = ACTIONS(2498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2498),
    [anon_sym_and] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2498),
    [anon_sym_xor] = ACTIONS(2498),
    [anon_sym_DASH_GT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_PERCENT] = ACTIONS(2500),
    [anon_sym_GT] = ACTIONS(2500),
    [anon_sym_LT_LT] = ACTIONS(2500),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2498),
    [anon_sym_PLUS_EQ] = ACTIONS(2498),
    [anon_sym_DASH_EQ] = ACTIONS(2498),
    [anon_sym_DOT_EQ] = ACTIONS(2498),
    [anon_sym_STAR_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_PERCENT_EQ] = ACTIONS(2498),
    [anon_sym_x_EQ] = ACTIONS(2498),
    [anon_sym_AMP_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_CARET_EQ] = ACTIONS(2498),
    [anon_sym_LT_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_GT_EQ] = ACTIONS(2498),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2500),
    [anon_sym_STAR_STAR] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH] = ACTIONS(2500),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2500),
    [anon_sym_CARET] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_GT_GT2] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_DOT] = ACTIONS(2500),
    [anon_sym_SLASH] = ACTIONS(2500),
    [anon_sym_x] = ACTIONS(2500),
    [anon_sym_EQ_TILDE] = ACTIONS(2498),
    [anon_sym_BANG_TILDE] = ACTIONS(2498),
    [anon_sym_EQ_EQ] = ACTIONS(2500),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_eq] = ACTIONS(2500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2498),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2498),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2498),
    [anon_sym_LT] = ACTIONS(2500),
    [anon_sym_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_EQ] = ACTIONS(2498),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2498),
    [anon_sym_EQ_GT] = ACTIONS(2498),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_foreach] = ACTIONS(2498),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2498),
    [anon_sym___END__] = ACTIONS(2498),
    [anon_sym_EOT] = ACTIONS(2498),
    [anon_sym_if] = ACTIONS(2498),
    [anon_sym_unless] = ACTIONS(2498),
    [anon_sym_while] = ACTIONS(2498),
    [anon_sym_until] = ACTIONS(2498),
    [sym__PERLY_SEMICOLON] = ACTIONS(2498),
    [sym__ctrl_z_hack] = ACTIONS(2498),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1214] = {
    [sym_heredoc_content] = STATE(1214),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_and] = ACTIONS(2502),
    [anon_sym_or] = ACTIONS(2502),
    [anon_sym_xor] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2502),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_foreach] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2502),
    [anon_sym___END__] = ACTIONS(2502),
    [anon_sym_EOT] = ACTIONS(2502),
    [anon_sym_if] = ACTIONS(2502),
    [anon_sym_unless] = ACTIONS(2502),
    [anon_sym_while] = ACTIONS(2502),
    [anon_sym_until] = ACTIONS(2502),
    [sym__PERLY_SEMICOLON] = ACTIONS(2502),
    [sym__ctrl_z_hack] = ACTIONS(2502),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1215] = {
    [sym_heredoc_content] = STATE(1215),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_and] = ACTIONS(2506),
    [anon_sym_or] = ACTIONS(2506),
    [anon_sym_xor] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2506),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_foreach] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2506),
    [anon_sym___END__] = ACTIONS(2506),
    [anon_sym_EOT] = ACTIONS(2506),
    [anon_sym_if] = ACTIONS(2506),
    [anon_sym_unless] = ACTIONS(2506),
    [anon_sym_while] = ACTIONS(2506),
    [anon_sym_until] = ACTIONS(2506),
    [sym__PERLY_SEMICOLON] = ACTIONS(2506),
    [sym__ctrl_z_hack] = ACTIONS(2506),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1216] = {
    [sym_heredoc_content] = STATE(1216),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_RPAREN] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_and] = ACTIONS(2510),
    [anon_sym_or] = ACTIONS(2510),
    [anon_sym_xor] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_foreach] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2510),
    [anon_sym___END__] = ACTIONS(2510),
    [anon_sym_EOT] = ACTIONS(2510),
    [anon_sym_if] = ACTIONS(2510),
    [anon_sym_unless] = ACTIONS(2510),
    [anon_sym_while] = ACTIONS(2510),
    [anon_sym_until] = ACTIONS(2510),
    [sym__PERLY_SEMICOLON] = ACTIONS(2510),
    [sym__ctrl_z_hack] = ACTIONS(2510),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1217] = {
    [sym_heredoc_content] = STATE(1217),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_foreach] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1859),
    [anon_sym___END__] = ACTIONS(1859),
    [anon_sym_EOT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_unless] = ACTIONS(1859),
    [anon_sym_while] = ACTIONS(1859),
    [anon_sym_until] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1218] = {
    [sym_heredoc_content] = STATE(1218),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1843),
    [anon_sym_and] = ACTIONS(1843),
    [anon_sym_or] = ACTIONS(1843),
    [anon_sym_xor] = ACTIONS(1843),
    [anon_sym_DASH_GT] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1843),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_DOT_EQ] = ACTIONS(1843),
    [anon_sym_STAR_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_PERCENT_EQ] = ACTIONS(1843),
    [anon_sym_x_EQ] = ACTIONS(1843),
    [anon_sym_AMP_EQ] = ACTIONS(1843),
    [anon_sym_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_CARET_EQ] = ACTIONS(1843),
    [anon_sym_LT_LT_EQ] = ACTIONS(1843),
    [anon_sym_GT_GT_EQ] = ACTIONS(1843),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1843),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1843),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1843),
    [anon_sym_BANG_TILDE] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1843),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1843),
    [anon_sym_equ] = ACTIONS(1843),
    [anon_sym_eqr] = ACTIONS(1843),
    [anon_sym_ne] = ACTIONS(1843),
    [anon_sym_LT_EQ_GT] = ACTIONS(1843),
    [anon_sym_cmp] = ACTIONS(1843),
    [anon_sym_TILDE_TILDE] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1843),
    [anon_sym_lt] = ACTIONS(1843),
    [anon_sym_le] = ACTIONS(1843),
    [anon_sym_ge] = ACTIONS(1843),
    [anon_sym_gt] = ACTIONS(1843),
    [anon_sym_isa] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_GT] = ACTIONS(1843),
    [anon_sym_for] = ACTIONS(1841),
    [anon_sym_foreach] = ACTIONS(1843),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1843),
    [anon_sym___END__] = ACTIONS(1843),
    [anon_sym_EOT] = ACTIONS(1843),
    [anon_sym_if] = ACTIONS(1843),
    [anon_sym_unless] = ACTIONS(1843),
    [anon_sym_while] = ACTIONS(1843),
    [anon_sym_until] = ACTIONS(1843),
    [sym__PERLY_SEMICOLON] = ACTIONS(1843),
    [sym__ctrl_z_hack] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1219] = {
    [sym_heredoc_content] = STATE(1219),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_RBRACE] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1705),
    [anon_sym_and] = ACTIONS(1705),
    [anon_sym_or] = ACTIONS(1705),
    [anon_sym_xor] = ACTIONS(1705),
    [anon_sym_DASH_GT] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_DOT_EQ] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_x_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1705),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1705),
    [anon_sym_BANG_TILDE] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1705),
    [anon_sym_equ] = ACTIONS(1705),
    [anon_sym_eqr] = ACTIONS(1705),
    [anon_sym_ne] = ACTIONS(1705),
    [anon_sym_LT_EQ_GT] = ACTIONS(1705),
    [anon_sym_cmp] = ACTIONS(1705),
    [anon_sym_TILDE_TILDE] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_lt] = ACTIONS(1705),
    [anon_sym_le] = ACTIONS(1705),
    [anon_sym_ge] = ACTIONS(1705),
    [anon_sym_gt] = ACTIONS(1705),
    [anon_sym_isa] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1705),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_foreach] = ACTIONS(1705),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1705),
    [anon_sym___END__] = ACTIONS(1705),
    [anon_sym_EOT] = ACTIONS(1705),
    [anon_sym_if] = ACTIONS(1705),
    [anon_sym_unless] = ACTIONS(1705),
    [anon_sym_while] = ACTIONS(1705),
    [anon_sym_until] = ACTIONS(1705),
    [sym__PERLY_SEMICOLON] = ACTIONS(1705),
    [sym__ctrl_z_hack] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1220] = {
    [sym_heredoc_content] = STATE(1220),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_and] = ACTIONS(2514),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_xor] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2514),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_foreach] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2514),
    [anon_sym___END__] = ACTIONS(2514),
    [anon_sym_EOT] = ACTIONS(2514),
    [anon_sym_if] = ACTIONS(2514),
    [anon_sym_unless] = ACTIONS(2514),
    [anon_sym_while] = ACTIONS(2514),
    [anon_sym_until] = ACTIONS(2514),
    [sym__PERLY_SEMICOLON] = ACTIONS(2514),
    [sym__ctrl_z_hack] = ACTIONS(2514),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1221] = {
    [sym_heredoc_content] = STATE(1221),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_and] = ACTIONS(2518),
    [anon_sym_or] = ACTIONS(2518),
    [anon_sym_xor] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2518),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_foreach] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2518),
    [anon_sym___END__] = ACTIONS(2518),
    [anon_sym_EOT] = ACTIONS(2518),
    [anon_sym_if] = ACTIONS(2518),
    [anon_sym_unless] = ACTIONS(2518),
    [anon_sym_while] = ACTIONS(2518),
    [anon_sym_until] = ACTIONS(2518),
    [sym__PERLY_SEMICOLON] = ACTIONS(2518),
    [sym__ctrl_z_hack] = ACTIONS(2518),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1222] = {
    [sym_heredoc_content] = STATE(1222),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_LPAREN] = ACTIONS(2522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_and] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_xor] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LT_LT] = ACTIONS(2524),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2522),
    [anon_sym_PLUS_EQ] = ACTIONS(2522),
    [anon_sym_DASH_EQ] = ACTIONS(2522),
    [anon_sym_DOT_EQ] = ACTIONS(2522),
    [anon_sym_STAR_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_PERCENT_EQ] = ACTIONS(2522),
    [anon_sym_x_EQ] = ACTIONS(2522),
    [anon_sym_AMP_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_CARET_EQ] = ACTIONS(2522),
    [anon_sym_LT_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_GT_EQ] = ACTIONS(2522),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2522),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_STAR_STAR] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH] = ACTIONS(2524),
    [anon_sym_CARET_CARET] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE] = ACTIONS(2524),
    [anon_sym_CARET] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_GT_GT2] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_DOT] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_x] = ACTIONS(2524),
    [anon_sym_EQ_TILDE] = ACTIONS(2522),
    [anon_sym_BANG_TILDE] = ACTIONS(2522),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_eq] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2522),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2522),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2522),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2522),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_foreach] = ACTIONS(2522),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2522),
    [anon_sym___END__] = ACTIONS(2522),
    [anon_sym_EOT] = ACTIONS(2522),
    [anon_sym_if] = ACTIONS(2522),
    [anon_sym_unless] = ACTIONS(2522),
    [anon_sym_while] = ACTIONS(2522),
    [anon_sym_until] = ACTIONS(2522),
    [sym__PERLY_SEMICOLON] = ACTIONS(2522),
    [sym__ctrl_z_hack] = ACTIONS(2522),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1223] = {
    [sym_heredoc_content] = STATE(1223),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_RPAREN] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_and] = ACTIONS(2526),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_xor] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2526),
    [anon_sym_x_EQ] = ACTIONS(2526),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2526),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2526),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2526),
    [anon_sym_le] = ACTIONS(2526),
    [anon_sym_ge] = ACTIONS(2526),
    [anon_sym_gt] = ACTIONS(2526),
    [anon_sym_isa] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [anon_sym_for] = ACTIONS(2528),
    [anon_sym_foreach] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2526),
    [anon_sym___END__] = ACTIONS(2526),
    [anon_sym_EOT] = ACTIONS(2526),
    [anon_sym_if] = ACTIONS(2526),
    [anon_sym_unless] = ACTIONS(2526),
    [anon_sym_while] = ACTIONS(2526),
    [anon_sym_until] = ACTIONS(2526),
    [sym__PERLY_SEMICOLON] = ACTIONS(2526),
    [sym__ctrl_z_hack] = ACTIONS(2526),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1224] = {
    [sym_heredoc_content] = STATE(1224),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1847),
    [anon_sym_and] = ACTIONS(1847),
    [anon_sym_or] = ACTIONS(1847),
    [anon_sym_xor] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1847),
    [anon_sym_PLUS_EQ] = ACTIONS(1847),
    [anon_sym_DASH_EQ] = ACTIONS(1847),
    [anon_sym_DOT_EQ] = ACTIONS(1847),
    [anon_sym_STAR_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_PERCENT_EQ] = ACTIONS(1847),
    [anon_sym_x_EQ] = ACTIONS(1847),
    [anon_sym_AMP_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_CARET_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_GT_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1847),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1847),
    [anon_sym_BANG_TILDE] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1847),
    [anon_sym_equ] = ACTIONS(1847),
    [anon_sym_eqr] = ACTIONS(1847),
    [anon_sym_ne] = ACTIONS(1847),
    [anon_sym_LT_EQ_GT] = ACTIONS(1847),
    [anon_sym_cmp] = ACTIONS(1847),
    [anon_sym_TILDE_TILDE] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_lt] = ACTIONS(1847),
    [anon_sym_le] = ACTIONS(1847),
    [anon_sym_ge] = ACTIONS(1847),
    [anon_sym_gt] = ACTIONS(1847),
    [anon_sym_isa] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_EQ_GT] = ACTIONS(1847),
    [anon_sym_for] = ACTIONS(1845),
    [anon_sym_foreach] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1847),
    [anon_sym___END__] = ACTIONS(1847),
    [anon_sym_EOT] = ACTIONS(1847),
    [anon_sym_if] = ACTIONS(1847),
    [anon_sym_unless] = ACTIONS(1847),
    [anon_sym_while] = ACTIONS(1847),
    [anon_sym_until] = ACTIONS(1847),
    [sym__PERLY_SEMICOLON] = ACTIONS(1847),
    [sym__ctrl_z_hack] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1225] = {
    [sym_heredoc_content] = STATE(1225),
    [sym__identifier] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2530),
    [anon_sym_or] = ACTIONS(2530),
    [anon_sym_xor] = ACTIONS(2530),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2530),
    [anon_sym_eqr] = ACTIONS(2530),
    [anon_sym_ne] = ACTIONS(2530),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2530),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2530),
    [anon_sym_le] = ACTIONS(2530),
    [anon_sym_ge] = ACTIONS(2530),
    [anon_sym_gt] = ACTIONS(2530),
    [anon_sym_isa] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_foreach] = ACTIONS(2530),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2530),
    [anon_sym___END__] = ACTIONS(2530),
    [anon_sym_EOT] = ACTIONS(2532),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_unless] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_until] = ACTIONS(2530),
    [aux_sym__bareword_token1] = ACTIONS(2530),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym__ctrl_z_hack] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1226] = {
    [sym_heredoc_content] = STATE(1226),
    [sym__identifier] = ACTIONS(2432),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [anon_sym_COLON] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_and] = ACTIONS(2432),
    [anon_sym_or] = ACTIONS(2432),
    [anon_sym_xor] = ACTIONS(2432),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_foreach] = ACTIONS(2432),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2432),
    [anon_sym___END__] = ACTIONS(2432),
    [anon_sym_EOT] = ACTIONS(2427),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_unless] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_until] = ACTIONS(2432),
    [aux_sym__bareword_token1] = ACTIONS(2432),
    [sym__PERLY_SEMICOLON] = ACTIONS(2427),
    [sym__ctrl_z_hack] = ACTIONS(2427),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1227] = {
    [sym_heredoc_content] = STATE(1227),
    [sym__identifier] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2536),
    [anon_sym_COLON] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_COMMA] = ACTIONS(2536),
    [anon_sym_RPAREN] = ACTIONS(2536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2536),
    [anon_sym_and] = ACTIONS(2534),
    [anon_sym_or] = ACTIONS(2534),
    [anon_sym_xor] = ACTIONS(2534),
    [anon_sym_DASH_GT] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2536),
    [anon_sym_PLUS_EQ] = ACTIONS(2536),
    [anon_sym_DASH_EQ] = ACTIONS(2536),
    [anon_sym_DOT_EQ] = ACTIONS(2536),
    [anon_sym_STAR_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_PERCENT_EQ] = ACTIONS(2536),
    [anon_sym_x_EQ] = ACTIONS(2536),
    [anon_sym_AMP_EQ] = ACTIONS(2536),
    [anon_sym_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_CARET_EQ] = ACTIONS(2536),
    [anon_sym_LT_LT_EQ] = ACTIONS(2536),
    [anon_sym_GT_GT_EQ] = ACTIONS(2536),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2536),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2536),
    [anon_sym_BANG_TILDE] = ACTIONS(2536),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2536),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2536),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2536),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2536),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2536),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_QMARK] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(2536),
    [anon_sym_for] = ACTIONS(2534),
    [anon_sym_foreach] = ACTIONS(2534),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2534),
    [anon_sym___END__] = ACTIONS(2534),
    [anon_sym_EOT] = ACTIONS(2536),
    [anon_sym_if] = ACTIONS(2534),
    [anon_sym_unless] = ACTIONS(2534),
    [anon_sym_while] = ACTIONS(2534),
    [anon_sym_until] = ACTIONS(2534),
    [aux_sym__bareword_token1] = ACTIONS(2534),
    [sym__PERLY_SEMICOLON] = ACTIONS(2536),
    [sym__ctrl_z_hack] = ACTIONS(2536),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1228] = {
    [sym_heredoc_content] = STATE(1228),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2538),
    [anon_sym_or] = ACTIONS(2538),
    [anon_sym_xor] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_foreach] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2538),
    [anon_sym___END__] = ACTIONS(2538),
    [anon_sym_EOT] = ACTIONS(2538),
    [sym_transliteration_modifiers] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2538),
    [anon_sym_unless] = ACTIONS(2538),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_until] = ACTIONS(2538),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym__ctrl_z_hack] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1229] = {
    [sym_heredoc_content] = STATE(1229),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_and] = ACTIONS(2544),
    [anon_sym_or] = ACTIONS(2544),
    [anon_sym_xor] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [anon_sym_for] = ACTIONS(2546),
    [anon_sym_foreach] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2544),
    [anon_sym___END__] = ACTIONS(2544),
    [anon_sym_EOT] = ACTIONS(2544),
    [anon_sym_if] = ACTIONS(2544),
    [anon_sym_unless] = ACTIONS(2544),
    [anon_sym_while] = ACTIONS(2544),
    [anon_sym_until] = ACTIONS(2544),
    [sym__PERLY_SEMICOLON] = ACTIONS(2544),
    [sym__ctrl_z_hack] = ACTIONS(2544),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1230] = {
    [sym_heredoc_content] = STATE(1230),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_and] = ACTIONS(2550),
    [anon_sym_or] = ACTIONS(2550),
    [anon_sym_xor] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [anon_sym_for] = ACTIONS(2552),
    [anon_sym_foreach] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2550),
    [anon_sym___END__] = ACTIONS(2550),
    [anon_sym_EOT] = ACTIONS(2550),
    [anon_sym_if] = ACTIONS(2550),
    [anon_sym_unless] = ACTIONS(2550),
    [anon_sym_while] = ACTIONS(2550),
    [anon_sym_until] = ACTIONS(2550),
    [sym__PERLY_SEMICOLON] = ACTIONS(2550),
    [sym__ctrl_z_hack] = ACTIONS(2550),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1231] = {
    [sym_heredoc_content] = STATE(1231),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_foreach] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1859),
    [anon_sym___END__] = ACTIONS(1859),
    [anon_sym_EOT] = ACTIONS(1859),
    [anon_sym_if] = ACTIONS(1859),
    [anon_sym_unless] = ACTIONS(1859),
    [anon_sym_while] = ACTIONS(1859),
    [anon_sym_until] = ACTIONS(1859),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym__ctrl_z_hack] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1232] = {
    [sym_heredoc_content] = STATE(1232),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2556),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_and] = ACTIONS(2556),
    [anon_sym_or] = ACTIONS(2556),
    [anon_sym_xor] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(2556),
    [anon_sym_for] = ACTIONS(2558),
    [anon_sym_foreach] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2556),
    [anon_sym___END__] = ACTIONS(2556),
    [anon_sym_EOT] = ACTIONS(2556),
    [anon_sym_if] = ACTIONS(2556),
    [anon_sym_unless] = ACTIONS(2556),
    [anon_sym_while] = ACTIONS(2556),
    [anon_sym_until] = ACTIONS(2556),
    [sym__PERLY_SEMICOLON] = ACTIONS(2556),
    [sym__ctrl_z_hack] = ACTIONS(2556),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1233] = {
    [sym_heredoc_content] = STATE(1233),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_and] = ACTIONS(2562),
    [anon_sym_or] = ACTIONS(2562),
    [anon_sym_xor] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [anon_sym_for] = ACTIONS(2564),
    [anon_sym_foreach] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2562),
    [anon_sym___END__] = ACTIONS(2562),
    [anon_sym_EOT] = ACTIONS(2562),
    [anon_sym_if] = ACTIONS(2562),
    [anon_sym_unless] = ACTIONS(2562),
    [anon_sym_while] = ACTIONS(2562),
    [anon_sym_until] = ACTIONS(2562),
    [sym__PERLY_SEMICOLON] = ACTIONS(2562),
    [sym__ctrl_z_hack] = ACTIONS(2562),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1234] = {
    [sym_heredoc_content] = STATE(1234),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2566),
    [anon_sym_RPAREN] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(2570),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_xor] = ACTIONS(2566),
    [anon_sym_DASH_GT] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2568),
    [anon_sym_GT] = ACTIONS(2568),
    [anon_sym_LT_LT] = ACTIONS(2568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2566),
    [anon_sym_PLUS_EQ] = ACTIONS(2566),
    [anon_sym_DASH_EQ] = ACTIONS(2566),
    [anon_sym_DOT_EQ] = ACTIONS(2566),
    [anon_sym_STAR_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_PERCENT_EQ] = ACTIONS(2566),
    [anon_sym_x_EQ] = ACTIONS(2566),
    [anon_sym_AMP_EQ] = ACTIONS(2566),
    [anon_sym_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_CARET_EQ] = ACTIONS(2566),
    [anon_sym_LT_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT_GT_EQ] = ACTIONS(2566),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2566),
    [anon_sym_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR_STAR] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH] = ACTIONS(2568),
    [anon_sym_CARET_CARET] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2568),
    [anon_sym_CARET] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_GT_GT2] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2568),
    [anon_sym_SLASH] = ACTIONS(2568),
    [anon_sym_x] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2566),
    [anon_sym_BANG_TILDE] = ACTIONS(2566),
    [anon_sym_EQ_EQ] = ACTIONS(2568),
    [anon_sym_BANG_EQ] = ACTIONS(2566),
    [anon_sym_eq] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2566),
    [anon_sym_equ] = ACTIONS(2566),
    [anon_sym_eqr] = ACTIONS(2566),
    [anon_sym_ne] = ACTIONS(2566),
    [anon_sym_LT_EQ_GT] = ACTIONS(2566),
    [anon_sym_cmp] = ACTIONS(2566),
    [anon_sym_TILDE_TILDE] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_EQ] = ACTIONS(2566),
    [anon_sym_lt] = ACTIONS(2566),
    [anon_sym_le] = ACTIONS(2566),
    [anon_sym_ge] = ACTIONS(2566),
    [anon_sym_gt] = ACTIONS(2566),
    [anon_sym_isa] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2566),
    [anon_sym_for] = ACTIONS(2568),
    [anon_sym_foreach] = ACTIONS(2566),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2566),
    [anon_sym___END__] = ACTIONS(2566),
    [anon_sym_EOT] = ACTIONS(2566),
    [anon_sym_if] = ACTIONS(2566),
    [anon_sym_unless] = ACTIONS(2566),
    [anon_sym_while] = ACTIONS(2566),
    [anon_sym_until] = ACTIONS(2566),
    [sym__PERLY_SEMICOLON] = ACTIONS(2566),
    [sym__ctrl_z_hack] = ACTIONS(2566),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1235] = {
    [sym_heredoc_content] = STATE(1235),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_and] = ACTIONS(2574),
    [anon_sym_or] = ACTIONS(2574),
    [anon_sym_xor] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_DOT_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_CARET_EQ] = ACTIONS(2572),
    [anon_sym_LT_LT_EQ] = ACTIONS(2572),
    [anon_sym_GT_GT_EQ] = ACTIONS(2572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2574),
    [anon_sym_STAR_STAR] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH] = ACTIONS(2574),
    [anon_sym_CARET_CARET] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_PIPE] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_GT_GT2] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_x] = ACTIONS(2574),
    [anon_sym_EQ_TILDE] = ACTIONS(2572),
    [anon_sym_BANG_TILDE] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_eq] = ACTIONS(2574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2572),
    [anon_sym_LT_EQ_GT] = ACTIONS(2572),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2572),
    [anon_sym_EQ_GT] = ACTIONS(2572),
    [anon_sym_for] = ACTIONS(2574),
    [anon_sym_foreach] = ACTIONS(2572),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2572),
    [anon_sym___END__] = ACTIONS(2572),
    [anon_sym_EOT] = ACTIONS(2572),
    [sym_substitution_regexp_modifiers] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(2574),
    [anon_sym_unless] = ACTIONS(2574),
    [anon_sym_while] = ACTIONS(2572),
    [anon_sym_until] = ACTIONS(2574),
    [sym__PERLY_SEMICOLON] = ACTIONS(2572),
    [sym__ctrl_z_hack] = ACTIONS(2572),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1236] = {
    [sym_heredoc_content] = STATE(1236),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_COLON] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_xor] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2578),
    [anon_sym_x_EQ] = ACTIONS(2578),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2578),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2578),
    [anon_sym_le] = ACTIONS(2578),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [anon_sym_for] = ACTIONS(2580),
    [anon_sym_foreach] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2578),
    [anon_sym___END__] = ACTIONS(2578),
    [anon_sym_EOT] = ACTIONS(2578),
    [anon_sym_if] = ACTIONS(2578),
    [anon_sym_unless] = ACTIONS(2578),
    [anon_sym_while] = ACTIONS(2578),
    [anon_sym_until] = ACTIONS(2578),
    [sym__PERLY_SEMICOLON] = ACTIONS(2578),
    [sym__ctrl_z_hack] = ACTIONS(2578),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1237] = {
    [sym_heredoc_content] = STATE(1237),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(2582),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_foreach] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2474),
    [anon_sym___END__] = ACTIONS(2474),
    [anon_sym_EOT] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_unless] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_until] = ACTIONS(2474),
    [sym__PERLY_SEMICOLON] = ACTIONS(2474),
    [sym__ctrl_z_hack] = ACTIONS(2474),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1238] = {
    [sym_heredoc_content] = STATE(1238),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(2588),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_and] = ACTIONS(2584),
    [anon_sym_or] = ACTIONS(2584),
    [anon_sym_xor] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_x_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2584),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2584),
    [anon_sym_le] = ACTIONS(2584),
    [anon_sym_ge] = ACTIONS(2584),
    [anon_sym_gt] = ACTIONS(2584),
    [anon_sym_isa] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [anon_sym_for] = ACTIONS(2586),
    [anon_sym_foreach] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2584),
    [anon_sym___END__] = ACTIONS(2584),
    [anon_sym_EOT] = ACTIONS(2584),
    [anon_sym_if] = ACTIONS(2584),
    [anon_sym_unless] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2584),
    [anon_sym_until] = ACTIONS(2584),
    [sym__PERLY_SEMICOLON] = ACTIONS(2584),
    [sym__ctrl_z_hack] = ACTIONS(2584),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1239] = {
    [sym_heredoc_content] = STATE(1239),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2540),
    [anon_sym_or] = ACTIONS(2540),
    [anon_sym_xor] = ACTIONS(2540),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_foreach] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2538),
    [anon_sym___END__] = ACTIONS(2538),
    [anon_sym_EOT] = ACTIONS(2538),
    [sym_quoted_regexp_modifiers] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_unless] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_until] = ACTIONS(2540),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym__ctrl_z_hack] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1240] = {
    [sym_heredoc_content] = STATE(1240),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_xor] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2590),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2592),
    [anon_sym_foreach] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2590),
    [anon_sym___END__] = ACTIONS(2590),
    [anon_sym_EOT] = ACTIONS(2590),
    [anon_sym_if] = ACTIONS(2590),
    [anon_sym_unless] = ACTIONS(2590),
    [anon_sym_while] = ACTIONS(2590),
    [anon_sym_until] = ACTIONS(2590),
    [sym__PERLY_SEMICOLON] = ACTIONS(2590),
    [sym__ctrl_z_hack] = ACTIONS(2590),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1241] = {
    [sym_heredoc_content] = STATE(1241),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_RPAREN] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_and] = ACTIONS(2594),
    [anon_sym_or] = ACTIONS(2594),
    [anon_sym_xor] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2594),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [anon_sym_for] = ACTIONS(2596),
    [anon_sym_foreach] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2594),
    [anon_sym___END__] = ACTIONS(2594),
    [anon_sym_EOT] = ACTIONS(2594),
    [sym_transliteration_modifiers] = ACTIONS(2598),
    [anon_sym_if] = ACTIONS(2594),
    [anon_sym_unless] = ACTIONS(2594),
    [anon_sym_while] = ACTIONS(2594),
    [anon_sym_until] = ACTIONS(2594),
    [sym__PERLY_SEMICOLON] = ACTIONS(2594),
    [sym__ctrl_z_hack] = ACTIONS(2594),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1242] = {
    [sym_heredoc_content] = STATE(1242),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_RPAREN] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(2604),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_and] = ACTIONS(2600),
    [anon_sym_or] = ACTIONS(2600),
    [anon_sym_xor] = ACTIONS(2600),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [anon_sym_for] = ACTIONS(2602),
    [anon_sym_foreach] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2600),
    [anon_sym___END__] = ACTIONS(2600),
    [anon_sym_EOT] = ACTIONS(2600),
    [anon_sym_if] = ACTIONS(2600),
    [anon_sym_unless] = ACTIONS(2600),
    [anon_sym_while] = ACTIONS(2600),
    [anon_sym_until] = ACTIONS(2600),
    [sym__PERLY_SEMICOLON] = ACTIONS(2600),
    [sym__ctrl_z_hack] = ACTIONS(2600),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1243] = {
    [sym_heredoc_content] = STATE(1243),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym_EQ] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_COMMA] = ACTIONS(2606),
    [anon_sym_RPAREN] = ACTIONS(2606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2606),
    [anon_sym_and] = ACTIONS(2606),
    [anon_sym_or] = ACTIONS(2606),
    [anon_sym_xor] = ACTIONS(2606),
    [anon_sym_DASH_GT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_PERCENT] = ACTIONS(2608),
    [anon_sym_GT] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2608),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2606),
    [anon_sym_PLUS_EQ] = ACTIONS(2606),
    [anon_sym_DASH_EQ] = ACTIONS(2606),
    [anon_sym_DOT_EQ] = ACTIONS(2606),
    [anon_sym_STAR_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_PERCENT_EQ] = ACTIONS(2606),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_CARET_EQ] = ACTIONS(2606),
    [anon_sym_LT_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_GT_EQ] = ACTIONS(2606),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2606),
    [anon_sym_DOT_DOT] = ACTIONS(2608),
    [anon_sym_STAR_STAR] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE] = ACTIONS(2608),
    [anon_sym_SLASH_SLASH] = ACTIONS(2608),
    [anon_sym_CARET_CARET] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_PIPE] = ACTIONS(2608),
    [anon_sym_CARET] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_GT_GT2] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_DOT] = ACTIONS(2608),
    [anon_sym_SLASH] = ACTIONS(2608),
    [anon_sym_x] = ACTIONS(2608),
    [anon_sym_EQ_TILDE] = ACTIONS(2606),
    [anon_sym_BANG_TILDE] = ACTIONS(2606),
    [anon_sym_EQ_EQ] = ACTIONS(2608),
    [anon_sym_BANG_EQ] = ACTIONS(2606),
    [anon_sym_eq] = ACTIONS(2608),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2606),
    [anon_sym_equ] = ACTIONS(2606),
    [anon_sym_eqr] = ACTIONS(2606),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2606),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2608),
    [anon_sym_LT_EQ] = ACTIONS(2608),
    [anon_sym_GT_EQ] = ACTIONS(2606),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_QMARK] = ACTIONS(2606),
    [anon_sym_EQ_GT] = ACTIONS(2606),
    [anon_sym_for] = ACTIONS(2608),
    [anon_sym_foreach] = ACTIONS(2606),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2606),
    [anon_sym___END__] = ACTIONS(2606),
    [anon_sym_EOT] = ACTIONS(2606),
    [anon_sym_if] = ACTIONS(2606),
    [anon_sym_unless] = ACTIONS(2606),
    [anon_sym_while] = ACTIONS(2606),
    [anon_sym_until] = ACTIONS(2606),
    [sym__PERLY_SEMICOLON] = ACTIONS(2606),
    [sym__ctrl_z_hack] = ACTIONS(2606),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1244] = {
    [sym_heredoc_content] = STATE(1244),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_COLON] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_RPAREN] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_and] = ACTIONS(2610),
    [anon_sym_or] = ACTIONS(2610),
    [anon_sym_xor] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_PERCENT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2612),
    [anon_sym_LT_LT] = ACTIONS(2612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2612),
    [anon_sym_STAR_STAR] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE] = ACTIONS(2612),
    [anon_sym_SLASH_SLASH] = ACTIONS(2612),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_PIPE] = ACTIONS(2612),
    [anon_sym_CARET] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_GT_GT2] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_DOT] = ACTIONS(2612),
    [anon_sym_SLASH] = ACTIONS(2612),
    [anon_sym_x] = ACTIONS(2612),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_LT_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [anon_sym_for] = ACTIONS(2612),
    [anon_sym_foreach] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2610),
    [anon_sym___END__] = ACTIONS(2610),
    [anon_sym_EOT] = ACTIONS(2610),
    [anon_sym_if] = ACTIONS(2610),
    [anon_sym_unless] = ACTIONS(2610),
    [anon_sym_while] = ACTIONS(2610),
    [anon_sym_until] = ACTIONS(2610),
    [sym__PERLY_SEMICOLON] = ACTIONS(2610),
    [sym__ctrl_z_hack] = ACTIONS(2610),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1245] = {
    [sym_heredoc_content] = STATE(1245),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_COLON] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_COMMA] = ACTIONS(2614),
    [anon_sym_RPAREN] = ACTIONS(2614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2614),
    [anon_sym_and] = ACTIONS(2614),
    [anon_sym_or] = ACTIONS(2614),
    [anon_sym_xor] = ACTIONS(2614),
    [anon_sym_DASH_GT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2616),
    [anon_sym_GT] = ACTIONS(2616),
    [anon_sym_LT_LT] = ACTIONS(2616),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2614),
    [anon_sym_PLUS_EQ] = ACTIONS(2614),
    [anon_sym_DASH_EQ] = ACTIONS(2614),
    [anon_sym_DOT_EQ] = ACTIONS(2614),
    [anon_sym_STAR_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_PERCENT_EQ] = ACTIONS(2614),
    [anon_sym_x_EQ] = ACTIONS(2614),
    [anon_sym_AMP_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_CARET_EQ] = ACTIONS(2614),
    [anon_sym_LT_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_GT_EQ] = ACTIONS(2614),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2614),
    [anon_sym_DOT_DOT] = ACTIONS(2616),
    [anon_sym_STAR_STAR] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH] = ACTIONS(2616),
    [anon_sym_CARET_CARET] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_PIPE] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_GT_GT2] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_DOT] = ACTIONS(2616),
    [anon_sym_SLASH] = ACTIONS(2616),
    [anon_sym_x] = ACTIONS(2616),
    [anon_sym_EQ_TILDE] = ACTIONS(2614),
    [anon_sym_BANG_TILDE] = ACTIONS(2614),
    [anon_sym_EQ_EQ] = ACTIONS(2616),
    [anon_sym_BANG_EQ] = ACTIONS(2614),
    [anon_sym_eq] = ACTIONS(2616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2614),
    [anon_sym_equ] = ACTIONS(2614),
    [anon_sym_eqr] = ACTIONS(2614),
    [anon_sym_ne] = ACTIONS(2614),
    [anon_sym_LT_EQ_GT] = ACTIONS(2614),
    [anon_sym_cmp] = ACTIONS(2614),
    [anon_sym_TILDE_TILDE] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_lt] = ACTIONS(2614),
    [anon_sym_le] = ACTIONS(2614),
    [anon_sym_ge] = ACTIONS(2614),
    [anon_sym_gt] = ACTIONS(2614),
    [anon_sym_isa] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2614),
    [anon_sym_EQ_GT] = ACTIONS(2614),
    [anon_sym_for] = ACTIONS(2616),
    [anon_sym_foreach] = ACTIONS(2614),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2614),
    [anon_sym___END__] = ACTIONS(2614),
    [anon_sym_EOT] = ACTIONS(2614),
    [anon_sym_if] = ACTIONS(2614),
    [anon_sym_unless] = ACTIONS(2614),
    [anon_sym_while] = ACTIONS(2614),
    [anon_sym_until] = ACTIONS(2614),
    [sym__PERLY_SEMICOLON] = ACTIONS(2614),
    [sym__ctrl_z_hack] = ACTIONS(2614),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1246] = {
    [sym_heredoc_content] = STATE(1246),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [anon_sym_COLON] = ACTIONS(2620),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2618),
    [anon_sym_RPAREN] = ACTIONS(2618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2618),
    [anon_sym_and] = ACTIONS(2618),
    [anon_sym_or] = ACTIONS(2618),
    [anon_sym_xor] = ACTIONS(2618),
    [anon_sym_DASH_GT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2622),
    [anon_sym_GT] = ACTIONS(2622),
    [anon_sym_LT_LT] = ACTIONS(2622),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2618),
    [anon_sym_DASH_EQ] = ACTIONS(2618),
    [anon_sym_DOT_EQ] = ACTIONS(2618),
    [anon_sym_STAR_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_PERCENT_EQ] = ACTIONS(2618),
    [anon_sym_x_EQ] = ACTIONS(2618),
    [anon_sym_AMP_EQ] = ACTIONS(2618),
    [anon_sym_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_CARET_EQ] = ACTIONS(2618),
    [anon_sym_LT_LT_EQ] = ACTIONS(2618),
    [anon_sym_GT_GT_EQ] = ACTIONS(2618),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2618),
    [anon_sym_DOT_DOT] = ACTIONS(2622),
    [anon_sym_STAR_STAR] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH] = ACTIONS(2622),
    [anon_sym_CARET_CARET] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_PIPE] = ACTIONS(2622),
    [anon_sym_CARET] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_GT_GT2] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_DOT] = ACTIONS(2622),
    [anon_sym_SLASH] = ACTIONS(2622),
    [anon_sym_x] = ACTIONS(2622),
    [anon_sym_EQ_TILDE] = ACTIONS(2618),
    [anon_sym_BANG_TILDE] = ACTIONS(2618),
    [anon_sym_EQ_EQ] = ACTIONS(2622),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_eq] = ACTIONS(2622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2618),
    [anon_sym_equ] = ACTIONS(2618),
    [anon_sym_eqr] = ACTIONS(2618),
    [anon_sym_ne] = ACTIONS(2618),
    [anon_sym_LT_EQ_GT] = ACTIONS(2618),
    [anon_sym_cmp] = ACTIONS(2618),
    [anon_sym_TILDE_TILDE] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_EQ] = ACTIONS(2618),
    [anon_sym_lt] = ACTIONS(2618),
    [anon_sym_le] = ACTIONS(2618),
    [anon_sym_ge] = ACTIONS(2618),
    [anon_sym_gt] = ACTIONS(2618),
    [anon_sym_isa] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_EQ_GT] = ACTIONS(2618),
    [anon_sym_for] = ACTIONS(2622),
    [anon_sym_foreach] = ACTIONS(2618),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2618),
    [anon_sym___END__] = ACTIONS(2618),
    [anon_sym_EOT] = ACTIONS(2618),
    [anon_sym_if] = ACTIONS(2618),
    [anon_sym_unless] = ACTIONS(2618),
    [anon_sym_while] = ACTIONS(2618),
    [anon_sym_until] = ACTIONS(2618),
    [sym__PERLY_SEMICOLON] = ACTIONS(2618),
    [sym__ctrl_z_hack] = ACTIONS(2618),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1247] = {
    [sym_heredoc_content] = STATE(1247),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_COLON] = ACTIONS(2626),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_RPAREN] = ACTIONS(2624),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2624),
    [anon_sym_and] = ACTIONS(2624),
    [anon_sym_or] = ACTIONS(2624),
    [anon_sym_xor] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_DOT_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_x_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2624),
    [anon_sym_BANG_TILDE] = ACTIONS(2624),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2624),
    [anon_sym_equ] = ACTIONS(2624),
    [anon_sym_eqr] = ACTIONS(2624),
    [anon_sym_ne] = ACTIONS(2624),
    [anon_sym_LT_EQ_GT] = ACTIONS(2624),
    [anon_sym_cmp] = ACTIONS(2624),
    [anon_sym_TILDE_TILDE] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_lt] = ACTIONS(2624),
    [anon_sym_le] = ACTIONS(2624),
    [anon_sym_ge] = ACTIONS(2624),
    [anon_sym_gt] = ACTIONS(2624),
    [anon_sym_isa] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_EQ_GT] = ACTIONS(2624),
    [anon_sym_for] = ACTIONS(2628),
    [anon_sym_foreach] = ACTIONS(2624),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2624),
    [anon_sym___END__] = ACTIONS(2624),
    [anon_sym_EOT] = ACTIONS(2624),
    [anon_sym_if] = ACTIONS(2624),
    [anon_sym_unless] = ACTIONS(2624),
    [anon_sym_while] = ACTIONS(2624),
    [anon_sym_until] = ACTIONS(2624),
    [sym__PERLY_SEMICOLON] = ACTIONS(2624),
    [sym__ctrl_z_hack] = ACTIONS(2624),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1248] = {
    [sym_heredoc_content] = STATE(1248),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_COLON] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_RPAREN] = ACTIONS(2630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_and] = ACTIONS(2630),
    [anon_sym_or] = ACTIONS(2630),
    [anon_sym_xor] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2630),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [anon_sym_for] = ACTIONS(2632),
    [anon_sym_foreach] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2630),
    [anon_sym___END__] = ACTIONS(2630),
    [anon_sym_EOT] = ACTIONS(2630),
    [anon_sym_if] = ACTIONS(2630),
    [anon_sym_unless] = ACTIONS(2630),
    [anon_sym_while] = ACTIONS(2630),
    [anon_sym_until] = ACTIONS(2630),
    [sym__PERLY_SEMICOLON] = ACTIONS(2630),
    [sym__ctrl_z_hack] = ACTIONS(2630),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1249] = {
    [sym_heredoc_content] = STATE(1249),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2540),
    [anon_sym_or] = ACTIONS(2540),
    [anon_sym_xor] = ACTIONS(2540),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2540),
    [anon_sym_eqr] = ACTIONS(2540),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_foreach] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2538),
    [anon_sym___END__] = ACTIONS(2538),
    [anon_sym_EOT] = ACTIONS(2538),
    [sym_substitution_regexp_modifiers] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_unless] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_until] = ACTIONS(2540),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym__ctrl_z_hack] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1250] = {
    [sym_heredoc_content] = STATE(1250),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_COLON] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_and] = ACTIONS(2634),
    [anon_sym_or] = ACTIONS(2634),
    [anon_sym_xor] = ACTIONS(2634),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2634),
    [anon_sym_x_EQ] = ACTIONS(2634),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2634),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2634),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2634),
    [anon_sym_le] = ACTIONS(2634),
    [anon_sym_ge] = ACTIONS(2634),
    [anon_sym_gt] = ACTIONS(2634),
    [anon_sym_isa] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [anon_sym_for] = ACTIONS(2636),
    [anon_sym_foreach] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2634),
    [anon_sym___END__] = ACTIONS(2634),
    [anon_sym_EOT] = ACTIONS(2634),
    [anon_sym_if] = ACTIONS(2634),
    [anon_sym_unless] = ACTIONS(2634),
    [anon_sym_while] = ACTIONS(2634),
    [anon_sym_until] = ACTIONS(2634),
    [sym__PERLY_SEMICOLON] = ACTIONS(2634),
    [sym__ctrl_z_hack] = ACTIONS(2634),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1251] = {
    [sym_heredoc_content] = STATE(1251),
    [anon_sym_RBRACE] = ACTIONS(2638),
    [anon_sym_COLON] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2638),
    [anon_sym_RPAREN] = ACTIONS(2638),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2638),
    [anon_sym_and] = ACTIONS(2638),
    [anon_sym_or] = ACTIONS(2638),
    [anon_sym_xor] = ACTIONS(2638),
    [anon_sym_DASH_GT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_PERCENT] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2640),
    [anon_sym_LT_LT] = ACTIONS(2640),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2638),
    [anon_sym_PLUS_EQ] = ACTIONS(2638),
    [anon_sym_DASH_EQ] = ACTIONS(2638),
    [anon_sym_DOT_EQ] = ACTIONS(2638),
    [anon_sym_STAR_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_PERCENT_EQ] = ACTIONS(2638),
    [anon_sym_x_EQ] = ACTIONS(2638),
    [anon_sym_AMP_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_CARET_EQ] = ACTIONS(2638),
    [anon_sym_LT_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_GT_EQ] = ACTIONS(2638),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2638),
    [anon_sym_DOT_DOT] = ACTIONS(2640),
    [anon_sym_STAR_STAR] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH] = ACTIONS(2640),
    [anon_sym_CARET_CARET] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_GT_GT2] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2640),
    [anon_sym_x] = ACTIONS(2640),
    [anon_sym_EQ_TILDE] = ACTIONS(2638),
    [anon_sym_BANG_TILDE] = ACTIONS(2638),
    [anon_sym_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_eq] = ACTIONS(2640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2638),
    [anon_sym_equ] = ACTIONS(2638),
    [anon_sym_eqr] = ACTIONS(2638),
    [anon_sym_ne] = ACTIONS(2638),
    [anon_sym_LT_EQ_GT] = ACTIONS(2638),
    [anon_sym_cmp] = ACTIONS(2638),
    [anon_sym_TILDE_TILDE] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2638),
    [anon_sym_lt] = ACTIONS(2638),
    [anon_sym_le] = ACTIONS(2638),
    [anon_sym_ge] = ACTIONS(2638),
    [anon_sym_gt] = ACTIONS(2638),
    [anon_sym_isa] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(2638),
    [anon_sym_EQ_GT] = ACTIONS(2638),
    [anon_sym_for] = ACTIONS(2640),
    [anon_sym_foreach] = ACTIONS(2638),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2638),
    [anon_sym___END__] = ACTIONS(2638),
    [anon_sym_EOT] = ACTIONS(2638),
    [anon_sym_if] = ACTIONS(2638),
    [anon_sym_unless] = ACTIONS(2638),
    [anon_sym_while] = ACTIONS(2638),
    [anon_sym_until] = ACTIONS(2638),
    [sym__PERLY_SEMICOLON] = ACTIONS(2638),
    [sym__ctrl_z_hack] = ACTIONS(2638),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1252] = {
    [sym_heredoc_content] = STATE(1252),
    [anon_sym_RBRACE] = ACTIONS(2642),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2642),
    [anon_sym_RPAREN] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(2646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2642),
    [anon_sym_and] = ACTIONS(2642),
    [anon_sym_or] = ACTIONS(2642),
    [anon_sym_xor] = ACTIONS(2642),
    [anon_sym_DASH_GT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_PERCENT] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2644),
    [anon_sym_LT_LT] = ACTIONS(2644),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2642),
    [anon_sym_PLUS_EQ] = ACTIONS(2642),
    [anon_sym_DASH_EQ] = ACTIONS(2642),
    [anon_sym_DOT_EQ] = ACTIONS(2642),
    [anon_sym_STAR_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_PERCENT_EQ] = ACTIONS(2642),
    [anon_sym_x_EQ] = ACTIONS(2642),
    [anon_sym_AMP_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_CARET_EQ] = ACTIONS(2642),
    [anon_sym_LT_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_GT_EQ] = ACTIONS(2642),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2642),
    [anon_sym_DOT_DOT] = ACTIONS(2644),
    [anon_sym_STAR_STAR] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH] = ACTIONS(2644),
    [anon_sym_CARET_CARET] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_PIPE] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_GT_GT2] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2644),
    [anon_sym_x] = ACTIONS(2644),
    [anon_sym_EQ_TILDE] = ACTIONS(2642),
    [anon_sym_BANG_TILDE] = ACTIONS(2642),
    [anon_sym_EQ_EQ] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_eq] = ACTIONS(2644),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2642),
    [anon_sym_equ] = ACTIONS(2642),
    [anon_sym_eqr] = ACTIONS(2642),
    [anon_sym_ne] = ACTIONS(2642),
    [anon_sym_LT_EQ_GT] = ACTIONS(2642),
    [anon_sym_cmp] = ACTIONS(2642),
    [anon_sym_TILDE_TILDE] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2642),
    [anon_sym_lt] = ACTIONS(2642),
    [anon_sym_le] = ACTIONS(2642),
    [anon_sym_ge] = ACTIONS(2642),
    [anon_sym_gt] = ACTIONS(2642),
    [anon_sym_isa] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2642),
    [anon_sym_EQ_GT] = ACTIONS(2642),
    [anon_sym_for] = ACTIONS(2644),
    [anon_sym_foreach] = ACTIONS(2642),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2642),
    [anon_sym___END__] = ACTIONS(2642),
    [anon_sym_EOT] = ACTIONS(2642),
    [anon_sym_if] = ACTIONS(2642),
    [anon_sym_unless] = ACTIONS(2642),
    [anon_sym_while] = ACTIONS(2642),
    [anon_sym_until] = ACTIONS(2642),
    [sym__PERLY_SEMICOLON] = ACTIONS(2642),
    [sym__ctrl_z_hack] = ACTIONS(2642),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1253] = {
    [sym_heredoc_content] = STATE(1253),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(2646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_and] = ACTIONS(2648),
    [anon_sym_or] = ACTIONS(2648),
    [anon_sym_xor] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_foreach] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2648),
    [anon_sym___END__] = ACTIONS(2648),
    [anon_sym_EOT] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_unless] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_until] = ACTIONS(2648),
    [sym__PERLY_SEMICOLON] = ACTIONS(2648),
    [sym__ctrl_z_hack] = ACTIONS(2648),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1254] = {
    [sym_heredoc_content] = STATE(1254),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_RPAREN] = ACTIONS(2652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_and] = ACTIONS(2654),
    [anon_sym_or] = ACTIONS(2654),
    [anon_sym_xor] = ACTIONS(2654),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_x_EQ] = ACTIONS(2654),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2654),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2654),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2654),
    [anon_sym_le] = ACTIONS(2654),
    [anon_sym_ge] = ACTIONS(2654),
    [anon_sym_gt] = ACTIONS(2654),
    [anon_sym_isa] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [anon_sym_for] = ACTIONS(2654),
    [anon_sym_foreach] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2652),
    [anon_sym___END__] = ACTIONS(2652),
    [anon_sym_EOT] = ACTIONS(2652),
    [sym_match_regexp_modifiers] = ACTIONS(2656),
    [anon_sym_if] = ACTIONS(2654),
    [anon_sym_unless] = ACTIONS(2654),
    [anon_sym_while] = ACTIONS(2652),
    [anon_sym_until] = ACTIONS(2654),
    [sym__PERLY_SEMICOLON] = ACTIONS(2652),
    [sym__ctrl_z_hack] = ACTIONS(2652),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1255] = {
    [sym_heredoc_content] = STATE(1255),
    [anon_sym_LBRACE] = ACTIONS(2658),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_and] = ACTIONS(1839),
    [anon_sym_or] = ACTIONS(1839),
    [anon_sym_xor] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1839),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [anon_sym_for] = ACTIONS(1830),
    [anon_sym_foreach] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1839),
    [anon_sym___END__] = ACTIONS(1839),
    [anon_sym_EOT] = ACTIONS(1839),
    [anon_sym_if] = ACTIONS(1839),
    [anon_sym_unless] = ACTIONS(1839),
    [anon_sym_while] = ACTIONS(1839),
    [anon_sym_until] = ACTIONS(1839),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym__ctrl_z_hack] = ACTIONS(1839),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1256] = {
    [sym_heredoc_content] = STATE(1256),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_and] = ACTIONS(2662),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_xor] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2662),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2662),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2662),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2662),
    [anon_sym_le] = ACTIONS(2662),
    [anon_sym_ge] = ACTIONS(2662),
    [anon_sym_gt] = ACTIONS(2662),
    [anon_sym_isa] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [anon_sym_for] = ACTIONS(2662),
    [anon_sym_foreach] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2660),
    [anon_sym___END__] = ACTIONS(2660),
    [anon_sym_EOT] = ACTIONS(2660),
    [sym_match_regexp_modifiers] = ACTIONS(2664),
    [anon_sym_if] = ACTIONS(2662),
    [anon_sym_unless] = ACTIONS(2662),
    [anon_sym_while] = ACTIONS(2660),
    [anon_sym_until] = ACTIONS(2662),
    [sym__PERLY_SEMICOLON] = ACTIONS(2660),
    [sym__ctrl_z_hack] = ACTIONS(2660),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1257] = {
    [sym_heredoc_content] = STATE(1257),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RPAREN] = ACTIONS(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2666),
    [anon_sym_and] = ACTIONS(2666),
    [anon_sym_or] = ACTIONS(2666),
    [anon_sym_xor] = ACTIONS(2666),
    [anon_sym_DASH_GT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_LT_LT] = ACTIONS(2668),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2666),
    [anon_sym_PLUS_EQ] = ACTIONS(2666),
    [anon_sym_DASH_EQ] = ACTIONS(2666),
    [anon_sym_DOT_EQ] = ACTIONS(2666),
    [anon_sym_STAR_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_PERCENT_EQ] = ACTIONS(2666),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_CARET_EQ] = ACTIONS(2666),
    [anon_sym_LT_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_GT_EQ] = ACTIONS(2666),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2666),
    [anon_sym_DOT_DOT] = ACTIONS(2668),
    [anon_sym_STAR_STAR] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_SLASH_SLASH] = ACTIONS(2668),
    [anon_sym_CARET_CARET] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_GT_GT2] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_x] = ACTIONS(2668),
    [anon_sym_EQ_TILDE] = ACTIONS(2666),
    [anon_sym_BANG_TILDE] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_eq] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_equ] = ACTIONS(2666),
    [anon_sym_eqr] = ACTIONS(2666),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2666),
    [anon_sym_cmp] = ACTIONS(2666),
    [anon_sym_TILDE_TILDE] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2666),
    [anon_sym_gt] = ACTIONS(2666),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [anon_sym_for] = ACTIONS(2668),
    [anon_sym_foreach] = ACTIONS(2666),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2666),
    [anon_sym___END__] = ACTIONS(2666),
    [anon_sym_EOT] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(2666),
    [anon_sym_unless] = ACTIONS(2666),
    [anon_sym_while] = ACTIONS(2666),
    [anon_sym_until] = ACTIONS(2666),
    [sym__PERLY_SEMICOLON] = ACTIONS(2666),
    [sym__ctrl_z_hack] = ACTIONS(2666),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1258] = {
    [sym_heredoc_content] = STATE(1258),
    [aux_sym__term_rightward_repeat1] = STATE(1258),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(2676),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2672),
    [anon_sym_and] = ACTIONS(2672),
    [anon_sym_or] = ACTIONS(2672),
    [anon_sym_xor] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_DOT_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_x_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(2674),
    [anon_sym_CARET_CARET] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_GT_GT2] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_x] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2672),
    [anon_sym_BANG_TILDE] = ACTIONS(2672),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_eq] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2672),
    [anon_sym_equ] = ACTIONS(2672),
    [anon_sym_eqr] = ACTIONS(2672),
    [anon_sym_ne] = ACTIONS(2672),
    [anon_sym_LT_EQ_GT] = ACTIONS(2672),
    [anon_sym_cmp] = ACTIONS(2672),
    [anon_sym_TILDE_TILDE] = ACTIONS(2672),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_lt] = ACTIONS(2672),
    [anon_sym_le] = ACTIONS(2672),
    [anon_sym_ge] = ACTIONS(2672),
    [anon_sym_gt] = ACTIONS(2672),
    [anon_sym_isa] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2672),
    [anon_sym_EQ_GT] = ACTIONS(2676),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_foreach] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2672),
    [anon_sym___END__] = ACTIONS(2672),
    [anon_sym_EOT] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_unless] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_until] = ACTIONS(2672),
    [sym__PERLY_SEMICOLON] = ACTIONS(2672),
    [sym__ctrl_z_hack] = ACTIONS(2672),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1259] = {
    [sym_heredoc_content] = STATE(1259),
    [aux_sym__term_rightward_repeat1] = STATE(1260),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2687),
    [anon_sym_and] = ACTIONS(2679),
    [anon_sym_or] = ACTIONS(2679),
    [anon_sym_xor] = ACTIONS(2679),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2683),
    [anon_sym_PLUS_EQ] = ACTIONS(2683),
    [anon_sym_DASH_EQ] = ACTIONS(2683),
    [anon_sym_DOT_EQ] = ACTIONS(2683),
    [anon_sym_STAR_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_PERCENT_EQ] = ACTIONS(2683),
    [anon_sym_x_EQ] = ACTIONS(2683),
    [anon_sym_AMP_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_CARET_EQ] = ACTIONS(2683),
    [anon_sym_LT_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_GT_EQ] = ACTIONS(2683),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2683),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(2701),
    [anon_sym_CARET_CARET] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2727),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2729),
    [anon_sym_foreach] = ACTIONS(2679),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2679),
    [anon_sym___END__] = ACTIONS(2679),
    [anon_sym_EOT] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_unless] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_until] = ACTIONS(2679),
    [sym__PERLY_SEMICOLON] = ACTIONS(2679),
    [sym__ctrl_z_hack] = ACTIONS(2679),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1260] = {
    [sym_heredoc_content] = STATE(1260),
    [aux_sym__term_rightward_repeat1] = STATE(1258),
    [anon_sym_RBRACE] = ACTIONS(2731),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_COMMA] = ACTIONS(2685),
    [anon_sym_RPAREN] = ACTIONS(2731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2731),
    [anon_sym_and] = ACTIONS(2731),
    [anon_sym_or] = ACTIONS(2731),
    [anon_sym_xor] = ACTIONS(2731),
    [anon_sym_DASH_GT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2733),
    [anon_sym_GT] = ACTIONS(2733),
    [anon_sym_LT_LT] = ACTIONS(2733),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2731),
    [anon_sym_PLUS_EQ] = ACTIONS(2731),
    [anon_sym_DASH_EQ] = ACTIONS(2731),
    [anon_sym_DOT_EQ] = ACTIONS(2731),
    [anon_sym_STAR_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_PERCENT_EQ] = ACTIONS(2731),
    [anon_sym_x_EQ] = ACTIONS(2731),
    [anon_sym_AMP_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_CARET_EQ] = ACTIONS(2731),
    [anon_sym_LT_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_GT_EQ] = ACTIONS(2731),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2731),
    [anon_sym_DOT_DOT] = ACTIONS(2733),
    [anon_sym_STAR_STAR] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH] = ACTIONS(2733),
    [anon_sym_CARET_CARET] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2733),
    [anon_sym_PIPE] = ACTIONS(2733),
    [anon_sym_CARET] = ACTIONS(2733),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_GT_GT2] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_x] = ACTIONS(2733),
    [anon_sym_EQ_TILDE] = ACTIONS(2731),
    [anon_sym_BANG_TILDE] = ACTIONS(2731),
    [anon_sym_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2731),
    [anon_sym_eq] = ACTIONS(2733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2731),
    [anon_sym_equ] = ACTIONS(2731),
    [anon_sym_eqr] = ACTIONS(2731),
    [anon_sym_ne] = ACTIONS(2731),
    [anon_sym_LT_EQ_GT] = ACTIONS(2731),
    [anon_sym_cmp] = ACTIONS(2731),
    [anon_sym_TILDE_TILDE] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2731),
    [anon_sym_lt] = ACTIONS(2731),
    [anon_sym_le] = ACTIONS(2731),
    [anon_sym_ge] = ACTIONS(2731),
    [anon_sym_gt] = ACTIONS(2731),
    [anon_sym_isa] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_QMARK] = ACTIONS(2731),
    [anon_sym_EQ_GT] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_foreach] = ACTIONS(2731),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2731),
    [anon_sym___END__] = ACTIONS(2731),
    [anon_sym_EOT] = ACTIONS(2731),
    [anon_sym_if] = ACTIONS(2731),
    [anon_sym_unless] = ACTIONS(2731),
    [anon_sym_while] = ACTIONS(2731),
    [anon_sym_until] = ACTIONS(2731),
    [sym__PERLY_SEMICOLON] = ACTIONS(2731),
    [sym__ctrl_z_hack] = ACTIONS(2731),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1261] = {
    [sym_heredoc_content] = STATE(1261),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2540),
    [anon_sym_or] = ACTIONS(2540),
    [anon_sym_xor] = ACTIONS(2540),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [anon_sym_for] = ACTIONS(2540),
    [anon_sym_foreach] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2538),
    [anon_sym___END__] = ACTIONS(2538),
    [anon_sym_EOT] = ACTIONS(2538),
    [sym_match_regexp_modifiers] = ACTIONS(2538),
    [anon_sym_if] = ACTIONS(2540),
    [anon_sym_unless] = ACTIONS(2540),
    [anon_sym_while] = ACTIONS(2538),
    [anon_sym_until] = ACTIONS(2540),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym__ctrl_z_hack] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1262] = {
    [sym_heredoc_content] = STATE(1262),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_COMMA] = ACTIONS(2735),
    [anon_sym_RPAREN] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2735),
    [anon_sym_and] = ACTIONS(2737),
    [anon_sym_or] = ACTIONS(2737),
    [anon_sym_xor] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2737),
    [anon_sym_PERCENT] = ACTIONS(2737),
    [anon_sym_GT] = ACTIONS(2737),
    [anon_sym_LT_LT] = ACTIONS(2737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2735),
    [anon_sym_PLUS_EQ] = ACTIONS(2735),
    [anon_sym_DASH_EQ] = ACTIONS(2735),
    [anon_sym_DOT_EQ] = ACTIONS(2735),
    [anon_sym_STAR_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_PERCENT_EQ] = ACTIONS(2735),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_CARET_EQ] = ACTIONS(2735),
    [anon_sym_LT_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_GT_EQ] = ACTIONS(2735),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2735),
    [anon_sym_DOT_DOT] = ACTIONS(2737),
    [anon_sym_STAR_STAR] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH] = ACTIONS(2737),
    [anon_sym_CARET_CARET] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2737),
    [anon_sym_PIPE] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2737),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_GT_GT2] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2737),
    [anon_sym_DASH] = ACTIONS(2737),
    [anon_sym_DOT] = ACTIONS(2737),
    [anon_sym_SLASH] = ACTIONS(2737),
    [anon_sym_x] = ACTIONS(2737),
    [anon_sym_EQ_TILDE] = ACTIONS(2735),
    [anon_sym_BANG_TILDE] = ACTIONS(2735),
    [anon_sym_EQ_EQ] = ACTIONS(2737),
    [anon_sym_BANG_EQ] = ACTIONS(2735),
    [anon_sym_eq] = ACTIONS(2737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2735),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2735),
    [anon_sym_LT_EQ_GT] = ACTIONS(2735),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_EQ] = ACTIONS(2735),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_QMARK] = ACTIONS(2735),
    [anon_sym_EQ_GT] = ACTIONS(2735),
    [anon_sym_for] = ACTIONS(2737),
    [anon_sym_foreach] = ACTIONS(2735),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2735),
    [anon_sym___END__] = ACTIONS(2735),
    [anon_sym_EOT] = ACTIONS(2735),
    [sym_substitution_regexp_modifiers] = ACTIONS(2739),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_unless] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(2735),
    [anon_sym_until] = ACTIONS(2737),
    [sym__PERLY_SEMICOLON] = ACTIONS(2735),
    [sym__ctrl_z_hack] = ACTIONS(2735),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1263] = {
    [sym_heredoc_content] = STATE(1263),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_RPAREN] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_and] = ACTIONS(2743),
    [anon_sym_or] = ACTIONS(2743),
    [anon_sym_xor] = ACTIONS(2743),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2741),
    [anon_sym_x_EQ] = ACTIONS(2743),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2743),
    [anon_sym_eqr] = ACTIONS(2743),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2743),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2743),
    [anon_sym_le] = ACTIONS(2743),
    [anon_sym_ge] = ACTIONS(2743),
    [anon_sym_gt] = ACTIONS(2743),
    [anon_sym_isa] = ACTIONS(2743),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [anon_sym_for] = ACTIONS(2743),
    [anon_sym_foreach] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2741),
    [anon_sym___END__] = ACTIONS(2741),
    [anon_sym_EOT] = ACTIONS(2741),
    [sym_substitution_regexp_modifiers] = ACTIONS(2745),
    [anon_sym_if] = ACTIONS(2743),
    [anon_sym_unless] = ACTIONS(2743),
    [anon_sym_while] = ACTIONS(2741),
    [anon_sym_until] = ACTIONS(2743),
    [sym__PERLY_SEMICOLON] = ACTIONS(2741),
    [sym__ctrl_z_hack] = ACTIONS(2741),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1264] = {
    [sym_heredoc_content] = STATE(1264),
    [anon_sym_RBRACE] = ACTIONS(2747),
    [anon_sym_SEMI] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_COMMA] = ACTIONS(2747),
    [anon_sym_RPAREN] = ACTIONS(2747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2747),
    [anon_sym_and] = ACTIONS(2747),
    [anon_sym_or] = ACTIONS(2747),
    [anon_sym_xor] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_GT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2747),
    [anon_sym_DASH_EQ] = ACTIONS(2747),
    [anon_sym_DOT_EQ] = ACTIONS(2747),
    [anon_sym_STAR_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_PERCENT_EQ] = ACTIONS(2747),
    [anon_sym_x_EQ] = ACTIONS(2747),
    [anon_sym_AMP_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_CARET_EQ] = ACTIONS(2747),
    [anon_sym_LT_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_GT_EQ] = ACTIONS(2747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2747),
    [anon_sym_DOT_DOT] = ACTIONS(2749),
    [anon_sym_STAR_STAR] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH] = ACTIONS(2749),
    [anon_sym_CARET_CARET] = ACTIONS(2747),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(2749),
    [anon_sym_CARET] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_GT_GT2] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_x] = ACTIONS(2749),
    [anon_sym_EQ_TILDE] = ACTIONS(2747),
    [anon_sym_BANG_TILDE] = ACTIONS(2747),
    [anon_sym_EQ_EQ] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_eq] = ACTIONS(2749),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2747),
    [anon_sym_equ] = ACTIONS(2747),
    [anon_sym_eqr] = ACTIONS(2747),
    [anon_sym_ne] = ACTIONS(2747),
    [anon_sym_LT_EQ_GT] = ACTIONS(2747),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2747),
    [anon_sym_lt] = ACTIONS(2747),
    [anon_sym_le] = ACTIONS(2747),
    [anon_sym_ge] = ACTIONS(2747),
    [anon_sym_gt] = ACTIONS(2747),
    [anon_sym_isa] = ACTIONS(2747),
    [anon_sym_PLUS_PLUS] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2747),
    [anon_sym_QMARK] = ACTIONS(2747),
    [anon_sym_EQ_GT] = ACTIONS(2747),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_foreach] = ACTIONS(2747),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2747),
    [anon_sym___END__] = ACTIONS(2747),
    [anon_sym_EOT] = ACTIONS(2747),
    [sym_transliteration_modifiers] = ACTIONS(2751),
    [anon_sym_if] = ACTIONS(2747),
    [anon_sym_unless] = ACTIONS(2747),
    [anon_sym_while] = ACTIONS(2747),
    [anon_sym_until] = ACTIONS(2747),
    [sym__PERLY_SEMICOLON] = ACTIONS(2747),
    [sym__ctrl_z_hack] = ACTIONS(2747),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1265] = {
    [sym_heredoc_content] = STATE(1265),
    [anon_sym_RBRACE] = ACTIONS(2753),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_RPAREN] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2753),
    [anon_sym_and] = ACTIONS(2753),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_xor] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2753),
    [anon_sym_DASH_EQ] = ACTIONS(2753),
    [anon_sym_DOT_EQ] = ACTIONS(2753),
    [anon_sym_STAR_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_PERCENT_EQ] = ACTIONS(2753),
    [anon_sym_x_EQ] = ACTIONS(2753),
    [anon_sym_AMP_EQ] = ACTIONS(2753),
    [anon_sym_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_CARET_EQ] = ACTIONS(2753),
    [anon_sym_LT_LT_EQ] = ACTIONS(2753),
    [anon_sym_GT_GT_EQ] = ACTIONS(2753),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2753),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(2755),
    [anon_sym_CARET_CARET] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_GT_GT2] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_x] = ACTIONS(2755),
    [anon_sym_EQ_TILDE] = ACTIONS(2753),
    [anon_sym_BANG_TILDE] = ACTIONS(2753),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_eq] = ACTIONS(2755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2753),
    [anon_sym_equ] = ACTIONS(2753),
    [anon_sym_eqr] = ACTIONS(2753),
    [anon_sym_ne] = ACTIONS(2753),
    [anon_sym_LT_EQ_GT] = ACTIONS(2753),
    [anon_sym_cmp] = ACTIONS(2755),
    [anon_sym_TILDE_TILDE] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2753),
    [anon_sym_lt] = ACTIONS(2753),
    [anon_sym_le] = ACTIONS(2753),
    [anon_sym_ge] = ACTIONS(2753),
    [anon_sym_gt] = ACTIONS(2753),
    [anon_sym_isa] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2755),
    [anon_sym_foreach] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2753),
    [anon_sym___END__] = ACTIONS(2753),
    [anon_sym_EOT] = ACTIONS(2753),
    [sym_transliteration_modifiers] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_unless] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_until] = ACTIONS(2753),
    [sym__PERLY_SEMICOLON] = ACTIONS(2753),
    [sym__ctrl_z_hack] = ACTIONS(2753),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1266] = {
    [sym_heredoc_content] = STATE(1266),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_RPAREN] = ACTIONS(2759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2759),
    [anon_sym_and] = ACTIONS(2761),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_xor] = ACTIONS(2761),
    [anon_sym_DASH_GT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_GT] = ACTIONS(2761),
    [anon_sym_LT_LT] = ACTIONS(2761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_DOT_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_CARET_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_GT_EQ] = ACTIONS(2759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2761),
    [anon_sym_STAR_STAR] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH] = ACTIONS(2761),
    [anon_sym_CARET_CARET] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_PIPE] = ACTIONS(2761),
    [anon_sym_CARET] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_GT_GT2] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_x] = ACTIONS(2761),
    [anon_sym_EQ_TILDE] = ACTIONS(2759),
    [anon_sym_BANG_TILDE] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_eq] = ACTIONS(2761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_equ] = ACTIONS(2759),
    [anon_sym_eqr] = ACTIONS(2759),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2759),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_QMARK] = ACTIONS(2759),
    [anon_sym_EQ_GT] = ACTIONS(2759),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_foreach] = ACTIONS(2759),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2759),
    [anon_sym___END__] = ACTIONS(2759),
    [anon_sym_EOT] = ACTIONS(2759),
    [sym_match_regexp_modifiers] = ACTIONS(2763),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_unless] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2759),
    [anon_sym_until] = ACTIONS(2761),
    [sym__PERLY_SEMICOLON] = ACTIONS(2759),
    [sym__ctrl_z_hack] = ACTIONS(2759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1267] = {
    [sym_heredoc_content] = STATE(1267),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_RPAREN] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_or] = ACTIONS(2767),
    [anon_sym_xor] = ACTIONS(2767),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_x_EQ] = ACTIONS(2767),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2767),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2767),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2767),
    [anon_sym_le] = ACTIONS(2767),
    [anon_sym_ge] = ACTIONS(2767),
    [anon_sym_gt] = ACTIONS(2767),
    [anon_sym_isa] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2767),
    [anon_sym_foreach] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2765),
    [anon_sym___END__] = ACTIONS(2765),
    [anon_sym_EOT] = ACTIONS(2765),
    [sym_match_regexp_modifiers] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2767),
    [anon_sym_unless] = ACTIONS(2767),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_until] = ACTIONS(2767),
    [sym__PERLY_SEMICOLON] = ACTIONS(2765),
    [sym__ctrl_z_hack] = ACTIONS(2765),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1268] = {
    [sym_heredoc_content] = STATE(1268),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_RPAREN] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2771),
    [anon_sym_and] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2771),
    [anon_sym_xor] = ACTIONS(2771),
    [anon_sym_DASH_GT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_GT] = ACTIONS(2773),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2771),
    [anon_sym_PLUS_EQ] = ACTIONS(2771),
    [anon_sym_DASH_EQ] = ACTIONS(2771),
    [anon_sym_DOT_EQ] = ACTIONS(2771),
    [anon_sym_STAR_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_PERCENT_EQ] = ACTIONS(2771),
    [anon_sym_x_EQ] = ACTIONS(2771),
    [anon_sym_AMP_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_CARET_EQ] = ACTIONS(2771),
    [anon_sym_LT_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_GT_EQ] = ACTIONS(2771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2771),
    [anon_sym_DOT_DOT] = ACTIONS(2773),
    [anon_sym_STAR_STAR] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH] = ACTIONS(2773),
    [anon_sym_CARET_CARET] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_PIPE] = ACTIONS(2773),
    [anon_sym_CARET] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_GT_GT2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_SLASH] = ACTIONS(2773),
    [anon_sym_x] = ACTIONS(2773),
    [anon_sym_EQ_TILDE] = ACTIONS(2771),
    [anon_sym_BANG_TILDE] = ACTIONS(2771),
    [anon_sym_EQ_EQ] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_eq] = ACTIONS(2773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2771),
    [anon_sym_equ] = ACTIONS(2771),
    [anon_sym_eqr] = ACTIONS(2771),
    [anon_sym_ne] = ACTIONS(2771),
    [anon_sym_LT_EQ_GT] = ACTIONS(2771),
    [anon_sym_cmp] = ACTIONS(2771),
    [anon_sym_TILDE_TILDE] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_EQ] = ACTIONS(2771),
    [anon_sym_lt] = ACTIONS(2771),
    [anon_sym_le] = ACTIONS(2771),
    [anon_sym_ge] = ACTIONS(2771),
    [anon_sym_gt] = ACTIONS(2771),
    [anon_sym_isa] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_QMARK] = ACTIONS(2771),
    [anon_sym_EQ_GT] = ACTIONS(2771),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_foreach] = ACTIONS(2771),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2771),
    [anon_sym___END__] = ACTIONS(2771),
    [anon_sym_EOT] = ACTIONS(2771),
    [anon_sym_if] = ACTIONS(2771),
    [anon_sym_unless] = ACTIONS(2771),
    [anon_sym_while] = ACTIONS(2771),
    [anon_sym_until] = ACTIONS(2771),
    [sym__PERLY_SEMICOLON] = ACTIONS(2771),
    [sym__ctrl_z_hack] = ACTIONS(2771),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1269] = {
    [sym_heredoc_content] = STATE(1269),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RPAREN] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(2775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2775),
    [anon_sym_and] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2775),
    [anon_sym_xor] = ACTIONS(2775),
    [anon_sym_DASH_GT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_GT] = ACTIONS(2777),
    [anon_sym_LT_LT] = ACTIONS(2777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2775),
    [anon_sym_PLUS_EQ] = ACTIONS(2775),
    [anon_sym_DASH_EQ] = ACTIONS(2775),
    [anon_sym_DOT_EQ] = ACTIONS(2775),
    [anon_sym_STAR_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_PERCENT_EQ] = ACTIONS(2775),
    [anon_sym_x_EQ] = ACTIONS(2775),
    [anon_sym_AMP_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_CARET_EQ] = ACTIONS(2775),
    [anon_sym_LT_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_GT_EQ] = ACTIONS(2775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2775),
    [anon_sym_DOT_DOT] = ACTIONS(2777),
    [anon_sym_STAR_STAR] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH] = ACTIONS(2777),
    [anon_sym_CARET_CARET] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2777),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_GT_GT2] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(2777),
    [anon_sym_x] = ACTIONS(2777),
    [anon_sym_EQ_TILDE] = ACTIONS(2775),
    [anon_sym_BANG_TILDE] = ACTIONS(2775),
    [anon_sym_EQ_EQ] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_eq] = ACTIONS(2777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2775),
    [anon_sym_equ] = ACTIONS(2775),
    [anon_sym_eqr] = ACTIONS(2775),
    [anon_sym_ne] = ACTIONS(2775),
    [anon_sym_LT_EQ_GT] = ACTIONS(2775),
    [anon_sym_cmp] = ACTIONS(2775),
    [anon_sym_TILDE_TILDE] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_EQ] = ACTIONS(2775),
    [anon_sym_lt] = ACTIONS(2775),
    [anon_sym_le] = ACTIONS(2775),
    [anon_sym_ge] = ACTIONS(2775),
    [anon_sym_gt] = ACTIONS(2775),
    [anon_sym_isa] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_EQ_GT] = ACTIONS(2775),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_foreach] = ACTIONS(2775),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2775),
    [anon_sym___END__] = ACTIONS(2775),
    [anon_sym_EOT] = ACTIONS(2775),
    [anon_sym_if] = ACTIONS(2775),
    [anon_sym_unless] = ACTIONS(2775),
    [anon_sym_while] = ACTIONS(2775),
    [anon_sym_until] = ACTIONS(2775),
    [sym__PERLY_SEMICOLON] = ACTIONS(2775),
    [sym__ctrl_z_hack] = ACTIONS(2775),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1270] = {
    [sym_heredoc_content] = STATE(1270),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_RPAREN] = ACTIONS(2779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2779),
    [anon_sym_and] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2779),
    [anon_sym_xor] = ACTIONS(2779),
    [anon_sym_DASH_GT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_GT] = ACTIONS(2781),
    [anon_sym_LT_LT] = ACTIONS(2781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2779),
    [anon_sym_PLUS_EQ] = ACTIONS(2779),
    [anon_sym_DASH_EQ] = ACTIONS(2779),
    [anon_sym_DOT_EQ] = ACTIONS(2779),
    [anon_sym_STAR_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_PERCENT_EQ] = ACTIONS(2779),
    [anon_sym_x_EQ] = ACTIONS(2779),
    [anon_sym_AMP_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_CARET_EQ] = ACTIONS(2779),
    [anon_sym_LT_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_GT_EQ] = ACTIONS(2779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2779),
    [anon_sym_DOT_DOT] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_CARET_CARET] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_PIPE] = ACTIONS(2781),
    [anon_sym_CARET] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_GT_GT2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_SLASH] = ACTIONS(2781),
    [anon_sym_x] = ACTIONS(2781),
    [anon_sym_EQ_TILDE] = ACTIONS(2779),
    [anon_sym_BANG_TILDE] = ACTIONS(2779),
    [anon_sym_EQ_EQ] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_eq] = ACTIONS(2781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2779),
    [anon_sym_equ] = ACTIONS(2779),
    [anon_sym_eqr] = ACTIONS(2779),
    [anon_sym_ne] = ACTIONS(2779),
    [anon_sym_LT_EQ_GT] = ACTIONS(2779),
    [anon_sym_cmp] = ACTIONS(2779),
    [anon_sym_TILDE_TILDE] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_EQ] = ACTIONS(2779),
    [anon_sym_lt] = ACTIONS(2779),
    [anon_sym_le] = ACTIONS(2779),
    [anon_sym_ge] = ACTIONS(2779),
    [anon_sym_gt] = ACTIONS(2779),
    [anon_sym_isa] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_QMARK] = ACTIONS(2779),
    [anon_sym_EQ_GT] = ACTIONS(2779),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_foreach] = ACTIONS(2779),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2779),
    [anon_sym___END__] = ACTIONS(2779),
    [anon_sym_EOT] = ACTIONS(2779),
    [anon_sym_if] = ACTIONS(2779),
    [anon_sym_unless] = ACTIONS(2779),
    [anon_sym_while] = ACTIONS(2779),
    [anon_sym_until] = ACTIONS(2779),
    [sym__PERLY_SEMICOLON] = ACTIONS(2779),
    [sym__ctrl_z_hack] = ACTIONS(2779),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1271] = {
    [sym_heredoc_content] = STATE(1271),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_RPAREN] = ACTIONS(2783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2783),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_xor] = ACTIONS(2785),
    [anon_sym_DASH_GT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_GT] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2783),
    [anon_sym_PLUS_EQ] = ACTIONS(2783),
    [anon_sym_DASH_EQ] = ACTIONS(2783),
    [anon_sym_DOT_EQ] = ACTIONS(2783),
    [anon_sym_STAR_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_PERCENT_EQ] = ACTIONS(2783),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_CARET_EQ] = ACTIONS(2783),
    [anon_sym_LT_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_GT_EQ] = ACTIONS(2783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2783),
    [anon_sym_DOT_DOT] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH] = ACTIONS(2785),
    [anon_sym_CARET_CARET] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_GT_GT2] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_x] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2783),
    [anon_sym_BANG_TILDE] = ACTIONS(2783),
    [anon_sym_EQ_EQ] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_eq] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2783),
    [anon_sym_equ] = ACTIONS(2783),
    [anon_sym_eqr] = ACTIONS(2783),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2783),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_EQ] = ACTIONS(2783),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_QMARK] = ACTIONS(2783),
    [anon_sym_EQ_GT] = ACTIONS(2783),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_foreach] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2783),
    [anon_sym___END__] = ACTIONS(2783),
    [anon_sym_EOT] = ACTIONS(2783),
    [sym_quoted_regexp_modifiers] = ACTIONS(2787),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_unless] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2783),
    [anon_sym_until] = ACTIONS(2785),
    [sym__PERLY_SEMICOLON] = ACTIONS(2783),
    [sym__ctrl_z_hack] = ACTIONS(2783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1272] = {
    [sym_heredoc_content] = STATE(1272),
    [aux_sym__term_rightward_repeat1] = STATE(2558),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_COMMA] = ACTIONS(2792),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2687),
    [anon_sym_and] = ACTIONS(2789),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_xor] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2683),
    [anon_sym_PLUS_EQ] = ACTIONS(2683),
    [anon_sym_DASH_EQ] = ACTIONS(2683),
    [anon_sym_DOT_EQ] = ACTIONS(2683),
    [anon_sym_STAR_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_PERCENT_EQ] = ACTIONS(2683),
    [anon_sym_x_EQ] = ACTIONS(2683),
    [anon_sym_AMP_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_CARET_EQ] = ACTIONS(2683),
    [anon_sym_LT_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_GT_EQ] = ACTIONS(2683),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2683),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(2701),
    [anon_sym_CARET_CARET] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2727),
    [anon_sym_EQ_GT] = ACTIONS(2792),
    [anon_sym_for] = ACTIONS(2794),
    [anon_sym_foreach] = ACTIONS(2789),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2789),
    [anon_sym___END__] = ACTIONS(2789),
    [anon_sym_EOT] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_unless] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_until] = ACTIONS(2789),
    [sym__PERLY_SEMICOLON] = ACTIONS(2789),
    [sym__ctrl_z_hack] = ACTIONS(2789),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1273] = {
    [sym_heredoc_content] = STATE(1273),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_and] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2799),
    [anon_sym_xor] = ACTIONS(2799),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2799),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2799),
    [anon_sym_gt] = ACTIONS(2799),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2799),
    [anon_sym_foreach] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2797),
    [anon_sym___END__] = ACTIONS(2797),
    [anon_sym_EOT] = ACTIONS(2797),
    [sym_match_regexp_modifiers] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2799),
    [anon_sym_unless] = ACTIONS(2799),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_until] = ACTIONS(2799),
    [sym__PERLY_SEMICOLON] = ACTIONS(2797),
    [sym__ctrl_z_hack] = ACTIONS(2797),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1274] = {
    [sym_heredoc_content] = STATE(1274),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_RPAREN] = ACTIONS(2803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2803),
    [anon_sym_and] = ACTIONS(2805),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_xor] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_GT] = ACTIONS(2805),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2803),
    [anon_sym_PLUS_EQ] = ACTIONS(2803),
    [anon_sym_DASH_EQ] = ACTIONS(2803),
    [anon_sym_DOT_EQ] = ACTIONS(2803),
    [anon_sym_STAR_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_PERCENT_EQ] = ACTIONS(2803),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_CARET_EQ] = ACTIONS(2803),
    [anon_sym_LT_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_GT_EQ] = ACTIONS(2803),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2803),
    [anon_sym_DOT_DOT] = ACTIONS(2805),
    [anon_sym_STAR_STAR] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH] = ACTIONS(2805),
    [anon_sym_CARET_CARET] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_GT_GT2] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_SLASH] = ACTIONS(2805),
    [anon_sym_x] = ACTIONS(2805),
    [anon_sym_EQ_TILDE] = ACTIONS(2803),
    [anon_sym_BANG_TILDE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_eq] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2803),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2803),
    [anon_sym_LT_EQ_GT] = ACTIONS(2803),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_QMARK] = ACTIONS(2803),
    [anon_sym_EQ_GT] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_foreach] = ACTIONS(2803),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2803),
    [anon_sym___END__] = ACTIONS(2803),
    [anon_sym_EOT] = ACTIONS(2803),
    [sym_substitution_regexp_modifiers] = ACTIONS(2807),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_unless] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2803),
    [anon_sym_until] = ACTIONS(2805),
    [sym__PERLY_SEMICOLON] = ACTIONS(2803),
    [sym__ctrl_z_hack] = ACTIONS(2803),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1275] = {
    [sym_heredoc_content] = STATE(1275),
    [anon_sym_RBRACE] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_RPAREN] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_and] = ACTIONS(2809),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_xor] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2809),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2811),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2811),
    [anon_sym_foreach] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2809),
    [anon_sym___END__] = ACTIONS(2809),
    [anon_sym_EOT] = ACTIONS(2809),
    [sym_transliteration_modifiers] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_unless] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_until] = ACTIONS(2809),
    [sym__PERLY_SEMICOLON] = ACTIONS(2809),
    [sym__ctrl_z_hack] = ACTIONS(2809),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1276] = {
    [sym_heredoc_content] = STATE(1276),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_RPAREN] = ACTIONS(2815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2815),
    [anon_sym_and] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2815),
    [anon_sym_xor] = ACTIONS(2815),
    [anon_sym_DASH_GT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2670),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2815),
    [anon_sym_PLUS_EQ] = ACTIONS(2815),
    [anon_sym_DASH_EQ] = ACTIONS(2815),
    [anon_sym_DOT_EQ] = ACTIONS(2815),
    [anon_sym_STAR_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_PERCENT_EQ] = ACTIONS(2815),
    [anon_sym_x_EQ] = ACTIONS(2815),
    [anon_sym_AMP_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_CARET_EQ] = ACTIONS(2815),
    [anon_sym_LT_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_GT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2815),
    [anon_sym_DOT_DOT] = ACTIONS(2817),
    [anon_sym_STAR_STAR] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH] = ACTIONS(2817),
    [anon_sym_CARET_CARET] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_GT_GT2] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_x] = ACTIONS(2817),
    [anon_sym_EQ_TILDE] = ACTIONS(2815),
    [anon_sym_BANG_TILDE] = ACTIONS(2815),
    [anon_sym_EQ_EQ] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_eq] = ACTIONS(2817),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2815),
    [anon_sym_equ] = ACTIONS(2815),
    [anon_sym_eqr] = ACTIONS(2815),
    [anon_sym_ne] = ACTIONS(2815),
    [anon_sym_LT_EQ_GT] = ACTIONS(2815),
    [anon_sym_cmp] = ACTIONS(2815),
    [anon_sym_TILDE_TILDE] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_lt] = ACTIONS(2815),
    [anon_sym_le] = ACTIONS(2815),
    [anon_sym_ge] = ACTIONS(2815),
    [anon_sym_gt] = ACTIONS(2815),
    [anon_sym_isa] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_EQ_GT] = ACTIONS(2815),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_foreach] = ACTIONS(2815),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2815),
    [anon_sym___END__] = ACTIONS(2815),
    [anon_sym_EOT] = ACTIONS(2815),
    [anon_sym_if] = ACTIONS(2815),
    [anon_sym_unless] = ACTIONS(2815),
    [anon_sym_while] = ACTIONS(2815),
    [anon_sym_until] = ACTIONS(2815),
    [sym__PERLY_SEMICOLON] = ACTIONS(2815),
    [sym__ctrl_z_hack] = ACTIONS(2815),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1277] = {
    [sym_heredoc_content] = STATE(1277),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_RPAREN] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_and] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2819),
    [anon_sym_xor] = ACTIONS(2819),
    [anon_sym_DASH_GT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2560),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2821),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_DOT_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_x_EQ] = ACTIONS(2819),
    [anon_sym_AMP_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_CARET_EQ] = ACTIONS(2819),
    [anon_sym_LT_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_GT_EQ] = ACTIONS(2819),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT] = ACTIONS(2821),
    [anon_sym_STAR_STAR] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(2821),
    [anon_sym_CARET_CARET] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_PIPE] = ACTIONS(2821),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_GT_GT2] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_x] = ACTIONS(2821),
    [anon_sym_EQ_TILDE] = ACTIONS(2819),
    [anon_sym_BANG_TILDE] = ACTIONS(2819),
    [anon_sym_EQ_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_eq] = ACTIONS(2821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_equ] = ACTIONS(2819),
    [anon_sym_eqr] = ACTIONS(2819),
    [anon_sym_ne] = ACTIONS(2819),
    [anon_sym_LT_EQ_GT] = ACTIONS(2819),
    [anon_sym_cmp] = ACTIONS(2819),
    [anon_sym_TILDE_TILDE] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_lt] = ACTIONS(2819),
    [anon_sym_le] = ACTIONS(2819),
    [anon_sym_ge] = ACTIONS(2819),
    [anon_sym_gt] = ACTIONS(2819),
    [anon_sym_isa] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2819),
    [anon_sym_EQ_GT] = ACTIONS(2819),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_foreach] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2819),
    [anon_sym___END__] = ACTIONS(2819),
    [anon_sym_EOT] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2819),
    [anon_sym_unless] = ACTIONS(2819),
    [anon_sym_while] = ACTIONS(2819),
    [anon_sym_until] = ACTIONS(2819),
    [sym__PERLY_SEMICOLON] = ACTIONS(2819),
    [sym__ctrl_z_hack] = ACTIONS(2819),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1278] = {
    [sym_heredoc_content] = STATE(1278),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_RPAREN] = ACTIONS(2823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2823),
    [anon_sym_and] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2823),
    [anon_sym_xor] = ACTIONS(2823),
    [anon_sym_DASH_GT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_GT] = ACTIONS(2825),
    [anon_sym_LT_LT] = ACTIONS(2825),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2823),
    [anon_sym_PLUS_EQ] = ACTIONS(2823),
    [anon_sym_DASH_EQ] = ACTIONS(2823),
    [anon_sym_DOT_EQ] = ACTIONS(2823),
    [anon_sym_STAR_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_PERCENT_EQ] = ACTIONS(2823),
    [anon_sym_x_EQ] = ACTIONS(2823),
    [anon_sym_AMP_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_CARET_EQ] = ACTIONS(2823),
    [anon_sym_LT_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_GT_EQ] = ACTIONS(2823),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2823),
    [anon_sym_DOT_DOT] = ACTIONS(2825),
    [anon_sym_STAR_STAR] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH] = ACTIONS(2825),
    [anon_sym_CARET_CARET] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_PIPE] = ACTIONS(2825),
    [anon_sym_CARET] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_GT_GT2] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_SLASH] = ACTIONS(2825),
    [anon_sym_x] = ACTIONS(2825),
    [anon_sym_EQ_TILDE] = ACTIONS(2823),
    [anon_sym_BANG_TILDE] = ACTIONS(2823),
    [anon_sym_EQ_EQ] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_eq] = ACTIONS(2825),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2823),
    [anon_sym_equ] = ACTIONS(2823),
    [anon_sym_eqr] = ACTIONS(2823),
    [anon_sym_ne] = ACTIONS(2823),
    [anon_sym_LT_EQ_GT] = ACTIONS(2823),
    [anon_sym_cmp] = ACTIONS(2823),
    [anon_sym_TILDE_TILDE] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_EQ] = ACTIONS(2823),
    [anon_sym_lt] = ACTIONS(2823),
    [anon_sym_le] = ACTIONS(2823),
    [anon_sym_ge] = ACTIONS(2823),
    [anon_sym_gt] = ACTIONS(2823),
    [anon_sym_isa] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_QMARK] = ACTIONS(2823),
    [anon_sym_EQ_GT] = ACTIONS(2823),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_foreach] = ACTIONS(2823),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2823),
    [anon_sym___END__] = ACTIONS(2823),
    [anon_sym_EOT] = ACTIONS(2823),
    [anon_sym_if] = ACTIONS(2823),
    [anon_sym_unless] = ACTIONS(2823),
    [anon_sym_while] = ACTIONS(2823),
    [anon_sym_until] = ACTIONS(2823),
    [sym__PERLY_SEMICOLON] = ACTIONS(2823),
    [sym__ctrl_z_hack] = ACTIONS(2823),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1279] = {
    [sym_heredoc_content] = STATE(1279),
    [anon_sym_RBRACE] = ACTIONS(2827),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_RPAREN] = ACTIONS(2827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2827),
    [anon_sym_and] = ACTIONS(2829),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_xor] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_GT] = ACTIONS(2829),
    [anon_sym_LT_LT] = ACTIONS(2829),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2827),
    [anon_sym_PLUS_EQ] = ACTIONS(2827),
    [anon_sym_DASH_EQ] = ACTIONS(2827),
    [anon_sym_DOT_EQ] = ACTIONS(2827),
    [anon_sym_STAR_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_PERCENT_EQ] = ACTIONS(2827),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_CARET_EQ] = ACTIONS(2827),
    [anon_sym_LT_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_GT_EQ] = ACTIONS(2827),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2827),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_STAR_STAR] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH] = ACTIONS(2829),
    [anon_sym_CARET_CARET] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_PIPE] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_GT_GT2] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2829),
    [anon_sym_x] = ACTIONS(2829),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_BANG_TILDE] = ACTIONS(2827),
    [anon_sym_EQ_EQ] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_eq] = ACTIONS(2829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_equ] = ACTIONS(2827),
    [anon_sym_eqr] = ACTIONS(2827),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2827),
    [anon_sym_cmp] = ACTIONS(2827),
    [anon_sym_TILDE_TILDE] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2827),
    [anon_sym_gt] = ACTIONS(2827),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_QMARK] = ACTIONS(2827),
    [anon_sym_EQ_GT] = ACTIONS(2827),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_foreach] = ACTIONS(2827),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2827),
    [anon_sym___END__] = ACTIONS(2827),
    [anon_sym_EOT] = ACTIONS(2827),
    [sym_quoted_regexp_modifiers] = ACTIONS(2831),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_unless] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2827),
    [anon_sym_until] = ACTIONS(2829),
    [sym__PERLY_SEMICOLON] = ACTIONS(2827),
    [sym__ctrl_z_hack] = ACTIONS(2827),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1280] = {
    [sym_heredoc_content] = STATE(1280),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2837),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(2701),
    [anon_sym_CARET_CARET] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1281] = {
    [sym_heredoc_content] = STATE(1281),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_and] = ACTIONS(2841),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_xor] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2843),
    [anon_sym_foreach] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2841),
    [anon_sym___END__] = ACTIONS(2841),
    [anon_sym_EOT] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_unless] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_until] = ACTIONS(2841),
    [sym__PERLY_SEMICOLON] = ACTIONS(2841),
    [sym__ctrl_z_hack] = ACTIONS(2841),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1282] = {
    [sym_heredoc_content] = STATE(1282),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_and] = ACTIONS(1711),
    [anon_sym_or] = ACTIONS(1711),
    [anon_sym_xor] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1711),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1709),
    [anon_sym_foreach] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1711),
    [anon_sym___END__] = ACTIONS(1711),
    [anon_sym_EOT] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_unless] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1711),
    [anon_sym_until] = ACTIONS(1711),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym__ctrl_z_hack] = ACTIONS(1711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1283] = {
    [sym_heredoc_content] = STATE(1283),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_and] = ACTIONS(2845),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_xor] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2847),
    [anon_sym_foreach] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2845),
    [anon_sym___END__] = ACTIONS(2845),
    [anon_sym_EOT] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_unless] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_until] = ACTIONS(2845),
    [sym__PERLY_SEMICOLON] = ACTIONS(2845),
    [sym__ctrl_z_hack] = ACTIONS(2845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1284] = {
    [sym_heredoc_content] = STATE(1284),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_and] = ACTIONS(2849),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_xor] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2851),
    [anon_sym_foreach] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2849),
    [anon_sym___END__] = ACTIONS(2849),
    [anon_sym_EOT] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_unless] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_until] = ACTIONS(2849),
    [sym__PERLY_SEMICOLON] = ACTIONS(2849),
    [sym__ctrl_z_hack] = ACTIONS(2849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1285] = {
    [sym_heredoc_content] = STATE(1285),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_and] = ACTIONS(1839),
    [anon_sym_or] = ACTIONS(1839),
    [anon_sym_xor] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1839),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [anon_sym_for] = ACTIONS(1830),
    [anon_sym_foreach] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1839),
    [anon_sym___END__] = ACTIONS(1839),
    [anon_sym_EOT] = ACTIONS(1839),
    [anon_sym_if] = ACTIONS(1839),
    [anon_sym_unless] = ACTIONS(1839),
    [anon_sym_while] = ACTIONS(1839),
    [anon_sym_until] = ACTIONS(1839),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym__ctrl_z_hack] = ACTIONS(1839),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1286] = {
    [sym_heredoc_content] = STATE(1286),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_and] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2853),
    [anon_sym_xor] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2855),
    [anon_sym_foreach] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2853),
    [anon_sym___END__] = ACTIONS(2853),
    [anon_sym_EOT] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_unless] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_until] = ACTIONS(2853),
    [sym__PERLY_SEMICOLON] = ACTIONS(2853),
    [sym__ctrl_z_hack] = ACTIONS(2853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1287] = {
    [sym_heredoc_content] = STATE(1287),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_and] = ACTIONS(2857),
    [anon_sym_or] = ACTIONS(2857),
    [anon_sym_xor] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2859),
    [anon_sym_foreach] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2857),
    [anon_sym___END__] = ACTIONS(2857),
    [anon_sym_EOT] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_unless] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_until] = ACTIONS(2857),
    [sym__PERLY_SEMICOLON] = ACTIONS(2857),
    [sym__ctrl_z_hack] = ACTIONS(2857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1288] = {
    [sym_heredoc_content] = STATE(1288),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_and] = ACTIONS(2861),
    [anon_sym_or] = ACTIONS(2861),
    [anon_sym_xor] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_foreach] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2861),
    [anon_sym___END__] = ACTIONS(2861),
    [anon_sym_EOT] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_unless] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_until] = ACTIONS(2861),
    [sym__PERLY_SEMICOLON] = ACTIONS(2861),
    [sym__ctrl_z_hack] = ACTIONS(2861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1289] = {
    [sym_heredoc_content] = STATE(1289),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_xor] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_foreach] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2865),
    [anon_sym___END__] = ACTIONS(2865),
    [anon_sym_EOT] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_unless] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_until] = ACTIONS(2865),
    [sym__PERLY_SEMICOLON] = ACTIONS(2865),
    [sym__ctrl_z_hack] = ACTIONS(2865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1290] = {
    [sym_heredoc_content] = STATE(1290),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2869),
    [anon_sym_or] = ACTIONS(2869),
    [anon_sym_xor] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_foreach] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2869),
    [anon_sym___END__] = ACTIONS(2869),
    [anon_sym_EOT] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_unless] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_until] = ACTIONS(2869),
    [sym__PERLY_SEMICOLON] = ACTIONS(2869),
    [sym__ctrl_z_hack] = ACTIONS(2869),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1291] = {
    [sym_heredoc_content] = STATE(1291),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2687),
    [anon_sym_and] = ACTIONS(2873),
    [anon_sym_or] = ACTIONS(2873),
    [anon_sym_xor] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2683),
    [anon_sym_PLUS_EQ] = ACTIONS(2683),
    [anon_sym_DASH_EQ] = ACTIONS(2683),
    [anon_sym_DOT_EQ] = ACTIONS(2683),
    [anon_sym_STAR_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_PERCENT_EQ] = ACTIONS(2683),
    [anon_sym_x_EQ] = ACTIONS(2683),
    [anon_sym_AMP_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_CARET_EQ] = ACTIONS(2683),
    [anon_sym_LT_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_GT_EQ] = ACTIONS(2683),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2683),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(2701),
    [anon_sym_CARET_CARET] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2727),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_foreach] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2873),
    [anon_sym___END__] = ACTIONS(2873),
    [anon_sym_EOT] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_unless] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_until] = ACTIONS(2873),
    [sym__PERLY_SEMICOLON] = ACTIONS(2873),
    [sym__ctrl_z_hack] = ACTIONS(2873),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1292] = {
    [sym_heredoc_content] = STATE(1292),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_COMMA] = ACTIONS(2672),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2687),
    [anon_sym_and] = ACTIONS(2672),
    [anon_sym_or] = ACTIONS(2672),
    [anon_sym_xor] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2683),
    [anon_sym_PLUS_EQ] = ACTIONS(2683),
    [anon_sym_DASH_EQ] = ACTIONS(2683),
    [anon_sym_DOT_EQ] = ACTIONS(2683),
    [anon_sym_STAR_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_PERCENT_EQ] = ACTIONS(2683),
    [anon_sym_x_EQ] = ACTIONS(2683),
    [anon_sym_AMP_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_CARET_EQ] = ACTIONS(2683),
    [anon_sym_LT_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_GT_EQ] = ACTIONS(2683),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2683),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(2701),
    [anon_sym_CARET_CARET] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2727),
    [anon_sym_EQ_GT] = ACTIONS(2672),
    [anon_sym_for] = ACTIONS(2674),
    [anon_sym_foreach] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2672),
    [anon_sym___END__] = ACTIONS(2672),
    [anon_sym_EOT] = ACTIONS(2672),
    [anon_sym_if] = ACTIONS(2672),
    [anon_sym_unless] = ACTIONS(2672),
    [anon_sym_while] = ACTIONS(2672),
    [anon_sym_until] = ACTIONS(2672),
    [sym__PERLY_SEMICOLON] = ACTIONS(2672),
    [sym__ctrl_z_hack] = ACTIONS(2672),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1293] = {
    [sym_heredoc_content] = STATE(1293),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_and] = ACTIONS(2877),
    [anon_sym_or] = ACTIONS(2877),
    [anon_sym_xor] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2879),
    [anon_sym_foreach] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2877),
    [anon_sym___END__] = ACTIONS(2877),
    [anon_sym_EOT] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_unless] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_until] = ACTIONS(2877),
    [sym__PERLY_SEMICOLON] = ACTIONS(2877),
    [sym__ctrl_z_hack] = ACTIONS(2877),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1294] = {
    [sym_heredoc_content] = STATE(1294),
    [anon_sym_RBRACE] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_and] = ACTIONS(2881),
    [anon_sym_or] = ACTIONS(2881),
    [anon_sym_xor] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2881),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2883),
    [anon_sym_foreach] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2881),
    [anon_sym___END__] = ACTIONS(2881),
    [anon_sym_EOT] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_unless] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_until] = ACTIONS(2881),
    [sym__PERLY_SEMICOLON] = ACTIONS(2881),
    [sym__ctrl_z_hack] = ACTIONS(2881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1295] = {
    [sym_heredoc_content] = STATE(1295),
    [anon_sym_RBRACE] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_and] = ACTIONS(2885),
    [anon_sym_or] = ACTIONS(2885),
    [anon_sym_xor] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2885),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2887),
    [anon_sym_foreach] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2885),
    [anon_sym___END__] = ACTIONS(2885),
    [anon_sym_EOT] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_unless] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_until] = ACTIONS(2885),
    [sym__PERLY_SEMICOLON] = ACTIONS(2885),
    [sym__ctrl_z_hack] = ACTIONS(2885),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1296] = {
    [sym_heredoc_content] = STATE(1296),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_and] = ACTIONS(2889),
    [anon_sym_or] = ACTIONS(2889),
    [anon_sym_xor] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2891),
    [anon_sym_foreach] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2889),
    [anon_sym___END__] = ACTIONS(2889),
    [anon_sym_EOT] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_unless] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_until] = ACTIONS(2889),
    [sym__PERLY_SEMICOLON] = ACTIONS(2889),
    [sym__ctrl_z_hack] = ACTIONS(2889),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1297] = {
    [sym_heredoc_content] = STATE(1297),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1298] = {
    [sym_heredoc_content] = STATE(1298),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_foreach] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2893),
    [anon_sym___END__] = ACTIONS(2893),
    [anon_sym_EOT] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_unless] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_until] = ACTIONS(2893),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym__ctrl_z_hack] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1299] = {
    [sym_heredoc_content] = STATE(1299),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1300] = {
    [sym_heredoc_content] = STATE(1300),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1301] = {
    [sym_heredoc_content] = STATE(1301),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1302] = {
    [sym_heredoc_content] = STATE(1302),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1303] = {
    [sym_heredoc_content] = STATE(1303),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1304] = {
    [sym_heredoc_content] = STATE(1304),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1305] = {
    [sym_heredoc_content] = STATE(1305),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1306] = {
    [sym_heredoc_content] = STATE(1306),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2835),
    [anon_sym_foreach] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_unless] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_until] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1307] = {
    [sym_heredoc_content] = STATE(1307),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_foreach] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2897),
    [anon_sym___END__] = ACTIONS(2897),
    [anon_sym_EOT] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_unless] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_until] = ACTIONS(2897),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym__ctrl_z_hack] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1308] = {
    [sym_heredoc_content] = STATE(1308),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2901),
    [anon_sym_cmp] = ACTIONS(2901),
    [anon_sym_TILDE_TILDE] = ACTIONS(2901),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2899),
    [anon_sym_foreach] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2897),
    [anon_sym___END__] = ACTIONS(2897),
    [anon_sym_EOT] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_unless] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_until] = ACTIONS(2897),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym__ctrl_z_hack] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1309] = {
    [sym_heredoc_content] = STATE(1309),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2895),
    [anon_sym_foreach] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2893),
    [anon_sym___END__] = ACTIONS(2893),
    [anon_sym_EOT] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_unless] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_until] = ACTIONS(2893),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym__ctrl_z_hack] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1310] = {
    [sym_heredoc_content] = STATE(1310),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_and] = ACTIONS(2905),
    [anon_sym_or] = ACTIONS(2905),
    [anon_sym_xor] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2905),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2907),
    [anon_sym_foreach] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2905),
    [anon_sym___END__] = ACTIONS(2905),
    [anon_sym_EOT] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_unless] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_until] = ACTIONS(2905),
    [sym__PERLY_SEMICOLON] = ACTIONS(2905),
    [sym__ctrl_z_hack] = ACTIONS(2905),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1311] = {
    [sym_heredoc_content] = STATE(1311),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_RPAREN] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_and] = ACTIONS(2909),
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_xor] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(1971),
    [anon_sym_STAR_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_SLASH_SLASH] = ACTIONS(1971),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_GT_GT2] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_DOT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_x] = ACTIONS(1971),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(1971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(1971),
    [anon_sym_foreach] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2909),
    [anon_sym___END__] = ACTIONS(2909),
    [anon_sym_EOT] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_unless] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_until] = ACTIONS(2909),
    [sym__PERLY_SEMICOLON] = ACTIONS(2909),
    [sym__ctrl_z_hack] = ACTIONS(2909),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1312] = {
    [sym_heredoc_content] = STATE(1312),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_and] = ACTIONS(2911),
    [anon_sym_or] = ACTIONS(2911),
    [anon_sym_xor] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2911),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_foreach] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2911),
    [anon_sym___END__] = ACTIONS(2911),
    [anon_sym_EOT] = ACTIONS(2911),
    [anon_sym_if] = ACTIONS(2911),
    [anon_sym_unless] = ACTIONS(2911),
    [anon_sym_while] = ACTIONS(2911),
    [anon_sym_until] = ACTIONS(2911),
    [sym__PERLY_SEMICOLON] = ACTIONS(2911),
    [sym__ctrl_z_hack] = ACTIONS(2911),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1313] = {
    [sym_heredoc_content] = STATE(1313),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_or] = ACTIONS(2915),
    [anon_sym_xor] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2915),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_foreach] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2915),
    [anon_sym___END__] = ACTIONS(2915),
    [anon_sym_EOT] = ACTIONS(2915),
    [anon_sym_if] = ACTIONS(2915),
    [anon_sym_unless] = ACTIONS(2915),
    [anon_sym_while] = ACTIONS(2915),
    [anon_sym_until] = ACTIONS(2915),
    [sym__PERLY_SEMICOLON] = ACTIONS(2915),
    [sym__ctrl_z_hack] = ACTIONS(2915),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1314] = {
    [sym_heredoc_content] = STATE(1314),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_and] = ACTIONS(2919),
    [anon_sym_or] = ACTIONS(2919),
    [anon_sym_xor] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2919),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_foreach] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2919),
    [anon_sym___END__] = ACTIONS(2919),
    [anon_sym_EOT] = ACTIONS(2919),
    [anon_sym_if] = ACTIONS(2919),
    [anon_sym_unless] = ACTIONS(2919),
    [anon_sym_while] = ACTIONS(2919),
    [anon_sym_until] = ACTIONS(2919),
    [sym__PERLY_SEMICOLON] = ACTIONS(2919),
    [sym__ctrl_z_hack] = ACTIONS(2919),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1315] = {
    [sym_heredoc_content] = STATE(1315),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_and] = ACTIONS(2923),
    [anon_sym_or] = ACTIONS(2923),
    [anon_sym_xor] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_foreach] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2923),
    [anon_sym___END__] = ACTIONS(2923),
    [anon_sym_EOT] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2923),
    [anon_sym_unless] = ACTIONS(2923),
    [anon_sym_while] = ACTIONS(2923),
    [anon_sym_until] = ACTIONS(2923),
    [sym__PERLY_SEMICOLON] = ACTIONS(2923),
    [sym__ctrl_z_hack] = ACTIONS(2923),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1316] = {
    [sym_heredoc_content] = STATE(1316),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_and] = ACTIONS(2927),
    [anon_sym_or] = ACTIONS(2927),
    [anon_sym_xor] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_foreach] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2927),
    [anon_sym___END__] = ACTIONS(2927),
    [anon_sym_EOT] = ACTIONS(2927),
    [anon_sym_if] = ACTIONS(2927),
    [anon_sym_unless] = ACTIONS(2927),
    [anon_sym_while] = ACTIONS(2927),
    [anon_sym_until] = ACTIONS(2927),
    [sym__PERLY_SEMICOLON] = ACTIONS(2927),
    [sym__ctrl_z_hack] = ACTIONS(2927),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1317] = {
    [sym_heredoc_content] = STATE(1317),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_and] = ACTIONS(2931),
    [anon_sym_or] = ACTIONS(2931),
    [anon_sym_xor] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2931),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_foreach] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2931),
    [anon_sym___END__] = ACTIONS(2931),
    [anon_sym_EOT] = ACTIONS(2931),
    [anon_sym_if] = ACTIONS(2931),
    [anon_sym_unless] = ACTIONS(2931),
    [anon_sym_while] = ACTIONS(2931),
    [anon_sym_until] = ACTIONS(2931),
    [sym__PERLY_SEMICOLON] = ACTIONS(2931),
    [sym__ctrl_z_hack] = ACTIONS(2931),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1318] = {
    [sym_heredoc_content] = STATE(1318),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_and] = ACTIONS(2935),
    [anon_sym_or] = ACTIONS(2935),
    [anon_sym_xor] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2935),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_foreach] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2935),
    [anon_sym___END__] = ACTIONS(2935),
    [anon_sym_EOT] = ACTIONS(2935),
    [anon_sym_if] = ACTIONS(2935),
    [anon_sym_unless] = ACTIONS(2935),
    [anon_sym_while] = ACTIONS(2935),
    [anon_sym_until] = ACTIONS(2935),
    [sym__PERLY_SEMICOLON] = ACTIONS(2935),
    [sym__ctrl_z_hack] = ACTIONS(2935),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1319] = {
    [sym_heredoc_content] = STATE(1319),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_and] = ACTIONS(2939),
    [anon_sym_or] = ACTIONS(2939),
    [anon_sym_xor] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2939),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_foreach] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2939),
    [anon_sym___END__] = ACTIONS(2939),
    [anon_sym_EOT] = ACTIONS(2939),
    [anon_sym_if] = ACTIONS(2939),
    [anon_sym_unless] = ACTIONS(2939),
    [anon_sym_while] = ACTIONS(2939),
    [anon_sym_until] = ACTIONS(2939),
    [sym__PERLY_SEMICOLON] = ACTIONS(2939),
    [sym__ctrl_z_hack] = ACTIONS(2939),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1320] = {
    [sym_heredoc_content] = STATE(1320),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_and] = ACTIONS(2943),
    [anon_sym_or] = ACTIONS(2943),
    [anon_sym_xor] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_foreach] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2943),
    [anon_sym___END__] = ACTIONS(2943),
    [anon_sym_EOT] = ACTIONS(2943),
    [anon_sym_if] = ACTIONS(2943),
    [anon_sym_unless] = ACTIONS(2943),
    [anon_sym_while] = ACTIONS(2943),
    [anon_sym_until] = ACTIONS(2943),
    [sym__PERLY_SEMICOLON] = ACTIONS(2943),
    [sym__ctrl_z_hack] = ACTIONS(2943),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1321] = {
    [sym_heredoc_content] = STATE(1321),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_and] = ACTIONS(2947),
    [anon_sym_or] = ACTIONS(2947),
    [anon_sym_xor] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_x] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2947),
    [anon_sym_BANG_TILDE] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_foreach] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2947),
    [anon_sym___END__] = ACTIONS(2947),
    [anon_sym_EOT] = ACTIONS(2947),
    [anon_sym_if] = ACTIONS(2947),
    [anon_sym_unless] = ACTIONS(2947),
    [anon_sym_while] = ACTIONS(2947),
    [anon_sym_until] = ACTIONS(2947),
    [sym__PERLY_SEMICOLON] = ACTIONS(2947),
    [sym__ctrl_z_hack] = ACTIONS(2947),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1322] = {
    [sym_heredoc_content] = STATE(1322),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_and] = ACTIONS(2951),
    [anon_sym_or] = ACTIONS(2951),
    [anon_sym_xor] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_foreach] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2951),
    [anon_sym___END__] = ACTIONS(2951),
    [anon_sym_EOT] = ACTIONS(2951),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_unless] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_until] = ACTIONS(2951),
    [sym__PERLY_SEMICOLON] = ACTIONS(2951),
    [sym__ctrl_z_hack] = ACTIONS(2951),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1323] = {
    [sym_heredoc_content] = STATE(1323),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_xor] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_PERCENT] = ACTIONS(2958),
    [anon_sym_GT] = ACTIONS(2958),
    [anon_sym_LT_LT] = ACTIONS(2958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2958),
    [anon_sym_STAR_STAR] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2958),
    [anon_sym_SLASH_SLASH] = ACTIONS(2958),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_PIPE] = ACTIONS(2958),
    [anon_sym_CARET] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2958),
    [anon_sym_GT_GT2] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_DOT] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_x] = ACTIONS(2958),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2958),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2958),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_LT_EQ] = ACTIONS(2958),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2958),
    [anon_sym_foreach] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2955),
    [anon_sym___END__] = ACTIONS(2955),
    [anon_sym_EOT] = ACTIONS(2955),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_unless] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_until] = ACTIONS(2955),
    [sym__PERLY_SEMICOLON] = ACTIONS(2955),
    [sym__ctrl_z_hack] = ACTIONS(2955),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1324] = {
    [sym_heredoc_content] = STATE(1324),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_and] = ACTIONS(2961),
    [anon_sym_or] = ACTIONS(2961),
    [anon_sym_xor] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_foreach] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2961),
    [anon_sym___END__] = ACTIONS(2961),
    [anon_sym_EOT] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_unless] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_until] = ACTIONS(2961),
    [sym__PERLY_SEMICOLON] = ACTIONS(2961),
    [sym__ctrl_z_hack] = ACTIONS(2961),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1325] = {
    [sym_heredoc_content] = STATE(1325),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_xor] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_foreach] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2965),
    [anon_sym___END__] = ACTIONS(2965),
    [anon_sym_EOT] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_unless] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_until] = ACTIONS(2965),
    [sym__PERLY_SEMICOLON] = ACTIONS(2965),
    [sym__ctrl_z_hack] = ACTIONS(2965),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1326] = {
    [sym_heredoc_content] = STATE(1326),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_and] = ACTIONS(2969),
    [anon_sym_or] = ACTIONS(2969),
    [anon_sym_xor] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2969),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2971),
    [anon_sym_foreach] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2969),
    [anon_sym___END__] = ACTIONS(2969),
    [anon_sym_EOT] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_unless] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_until] = ACTIONS(2969),
    [sym__PERLY_SEMICOLON] = ACTIONS(2969),
    [sym__ctrl_z_hack] = ACTIONS(2969),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1327] = {
    [sym_heredoc_content] = STATE(1327),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_and] = ACTIONS(2648),
    [anon_sym_or] = ACTIONS(2648),
    [anon_sym_xor] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [anon_sym_for] = ACTIONS(2650),
    [anon_sym_foreach] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2648),
    [anon_sym___END__] = ACTIONS(2648),
    [anon_sym_EOT] = ACTIONS(2648),
    [anon_sym_if] = ACTIONS(2648),
    [anon_sym_unless] = ACTIONS(2648),
    [anon_sym_while] = ACTIONS(2648),
    [anon_sym_until] = ACTIONS(2648),
    [sym__PERLY_SEMICOLON] = ACTIONS(2648),
    [sym__ctrl_z_hack] = ACTIONS(2648),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1328] = {
    [sym_heredoc_content] = STATE(1328),
    [anon_sym_RBRACE] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(2976),
    [anon_sym_RPAREN] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_and] = ACTIONS(2976),
    [anon_sym_or] = ACTIONS(2976),
    [anon_sym_xor] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(2976),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_foreach] = ACTIONS(2976),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2976),
    [anon_sym___END__] = ACTIONS(2976),
    [anon_sym_EOT] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_unless] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_until] = ACTIONS(2976),
    [sym__PERLY_SEMICOLON] = ACTIONS(2976),
    [sym__ctrl_z_hack] = ACTIONS(2976),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1329] = {
    [sym_heredoc_content] = STATE(1329),
    [anon_sym_RBRACE] = ACTIONS(2980),
    [anon_sym_SEMI] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(2980),
    [anon_sym_RPAREN] = ACTIONS(2980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2980),
    [anon_sym_and] = ACTIONS(2980),
    [anon_sym_or] = ACTIONS(2980),
    [anon_sym_xor] = ACTIONS(2980),
    [anon_sym_DASH_GT] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_PERCENT] = ACTIONS(2982),
    [anon_sym_GT] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2982),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(2980),
    [anon_sym_DASH_EQ] = ACTIONS(2980),
    [anon_sym_DOT_EQ] = ACTIONS(2980),
    [anon_sym_STAR_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_PERCENT_EQ] = ACTIONS(2980),
    [anon_sym_x_EQ] = ACTIONS(2980),
    [anon_sym_AMP_EQ] = ACTIONS(2980),
    [anon_sym_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_CARET_EQ] = ACTIONS(2980),
    [anon_sym_LT_LT_EQ] = ACTIONS(2980),
    [anon_sym_GT_GT_EQ] = ACTIONS(2980),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2980),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_STAR_STAR] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_SLASH_SLASH] = ACTIONS(2982),
    [anon_sym_CARET_CARET] = ACTIONS(2980),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_PIPE] = ACTIONS(2982),
    [anon_sym_CARET] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2982),
    [anon_sym_GT_GT2] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_DOT] = ACTIONS(2982),
    [anon_sym_SLASH] = ACTIONS(2982),
    [anon_sym_x] = ACTIONS(2982),
    [anon_sym_EQ_TILDE] = ACTIONS(2980),
    [anon_sym_BANG_TILDE] = ACTIONS(2980),
    [anon_sym_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2980),
    [anon_sym_eq] = ACTIONS(2982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2980),
    [anon_sym_equ] = ACTIONS(2980),
    [anon_sym_eqr] = ACTIONS(2980),
    [anon_sym_ne] = ACTIONS(2980),
    [anon_sym_LT_EQ_GT] = ACTIONS(2980),
    [anon_sym_cmp] = ACTIONS(2980),
    [anon_sym_TILDE_TILDE] = ACTIONS(2980),
    [anon_sym_LT] = ACTIONS(2982),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2980),
    [anon_sym_lt] = ACTIONS(2980),
    [anon_sym_le] = ACTIONS(2980),
    [anon_sym_ge] = ACTIONS(2980),
    [anon_sym_gt] = ACTIONS(2980),
    [anon_sym_isa] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_QMARK] = ACTIONS(2980),
    [anon_sym_EQ_GT] = ACTIONS(2980),
    [anon_sym_for] = ACTIONS(2982),
    [anon_sym_foreach] = ACTIONS(2980),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2980),
    [anon_sym___END__] = ACTIONS(2980),
    [anon_sym_EOT] = ACTIONS(2980),
    [anon_sym_if] = ACTIONS(2980),
    [anon_sym_unless] = ACTIONS(2980),
    [anon_sym_while] = ACTIONS(2980),
    [anon_sym_until] = ACTIONS(2980),
    [sym__PERLY_SEMICOLON] = ACTIONS(2980),
    [sym__ctrl_z_hack] = ACTIONS(2980),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1330] = {
    [sym_heredoc_content] = STATE(1330),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_xor] = ACTIONS(2984),
    [anon_sym_DASH_GT] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(2984),
    [anon_sym_DASH_EQ] = ACTIONS(2984),
    [anon_sym_DOT_EQ] = ACTIONS(2984),
    [anon_sym_STAR_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_PERCENT_EQ] = ACTIONS(2984),
    [anon_sym_x_EQ] = ACTIONS(2984),
    [anon_sym_AMP_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_CARET_EQ] = ACTIONS(2984),
    [anon_sym_LT_LT_EQ] = ACTIONS(2984),
    [anon_sym_GT_GT_EQ] = ACTIONS(2984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_STAR_STAR] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2986),
    [anon_sym_SLASH_SLASH] = ACTIONS(2986),
    [anon_sym_CARET_CARET] = ACTIONS(2984),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_CARET] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_GT_GT2] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_x] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_eq] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_equ] = ACTIONS(2984),
    [anon_sym_eqr] = ACTIONS(2984),
    [anon_sym_ne] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_cmp] = ACTIONS(2984),
    [anon_sym_TILDE_TILDE] = ACTIONS(2984),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_lt] = ACTIONS(2984),
    [anon_sym_le] = ACTIONS(2984),
    [anon_sym_ge] = ACTIONS(2984),
    [anon_sym_gt] = ACTIONS(2984),
    [anon_sym_isa] = ACTIONS(2984),
    [anon_sym_PLUS_PLUS] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [anon_sym_for] = ACTIONS(2986),
    [anon_sym_foreach] = ACTIONS(2984),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2984),
    [anon_sym___END__] = ACTIONS(2984),
    [anon_sym_EOT] = ACTIONS(2984),
    [anon_sym_if] = ACTIONS(2984),
    [anon_sym_unless] = ACTIONS(2984),
    [anon_sym_while] = ACTIONS(2984),
    [anon_sym_until] = ACTIONS(2984),
    [sym__PERLY_SEMICOLON] = ACTIONS(2984),
    [sym__ctrl_z_hack] = ACTIONS(2984),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1331] = {
    [sym_heredoc_content] = STATE(1331),
    [anon_sym_RBRACE] = ACTIONS(2988),
    [anon_sym_SEMI] = ACTIONS(2988),
    [anon_sym_EQ] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_COMMA] = ACTIONS(2988),
    [anon_sym_RPAREN] = ACTIONS(2988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2988),
    [anon_sym_and] = ACTIONS(2988),
    [anon_sym_or] = ACTIONS(2988),
    [anon_sym_xor] = ACTIONS(2988),
    [anon_sym_DASH_GT] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_PERCENT] = ACTIONS(2990),
    [anon_sym_GT] = ACTIONS(2990),
    [anon_sym_LT_LT] = ACTIONS(2990),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2988),
    [anon_sym_PLUS_EQ] = ACTIONS(2988),
    [anon_sym_DASH_EQ] = ACTIONS(2988),
    [anon_sym_DOT_EQ] = ACTIONS(2988),
    [anon_sym_STAR_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_PERCENT_EQ] = ACTIONS(2988),
    [anon_sym_x_EQ] = ACTIONS(2988),
    [anon_sym_AMP_EQ] = ACTIONS(2988),
    [anon_sym_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_CARET_EQ] = ACTIONS(2988),
    [anon_sym_LT_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT_GT_EQ] = ACTIONS(2988),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2988),
    [anon_sym_DOT_DOT] = ACTIONS(2990),
    [anon_sym_STAR_STAR] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2990),
    [anon_sym_SLASH_SLASH] = ACTIONS(2990),
    [anon_sym_CARET_CARET] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_CARET] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_GT_GT2] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_DOT] = ACTIONS(2990),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_x] = ACTIONS(2990),
    [anon_sym_EQ_TILDE] = ACTIONS(2988),
    [anon_sym_BANG_TILDE] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2990),
    [anon_sym_BANG_EQ] = ACTIONS(2988),
    [anon_sym_eq] = ACTIONS(2990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2988),
    [anon_sym_equ] = ACTIONS(2988),
    [anon_sym_eqr] = ACTIONS(2988),
    [anon_sym_ne] = ACTIONS(2988),
    [anon_sym_LT_EQ_GT] = ACTIONS(2988),
    [anon_sym_cmp] = ACTIONS(2988),
    [anon_sym_TILDE_TILDE] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2990),
    [anon_sym_LT_EQ] = ACTIONS(2990),
    [anon_sym_GT_EQ] = ACTIONS(2988),
    [anon_sym_lt] = ACTIONS(2988),
    [anon_sym_le] = ACTIONS(2988),
    [anon_sym_ge] = ACTIONS(2988),
    [anon_sym_gt] = ACTIONS(2988),
    [anon_sym_isa] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2988),
    [anon_sym_QMARK] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(2988),
    [anon_sym_for] = ACTIONS(2990),
    [anon_sym_foreach] = ACTIONS(2988),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2988),
    [anon_sym___END__] = ACTIONS(2988),
    [anon_sym_EOT] = ACTIONS(2988),
    [anon_sym_if] = ACTIONS(2988),
    [anon_sym_unless] = ACTIONS(2988),
    [anon_sym_while] = ACTIONS(2988),
    [anon_sym_until] = ACTIONS(2988),
    [sym__PERLY_SEMICOLON] = ACTIONS(2988),
    [sym__ctrl_z_hack] = ACTIONS(2988),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1332] = {
    [sym_heredoc_content] = STATE(1332),
    [anon_sym_RBRACE] = ACTIONS(2992),
    [anon_sym_SEMI] = ACTIONS(2992),
    [anon_sym_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(2992),
    [anon_sym_RPAREN] = ACTIONS(2992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2992),
    [anon_sym_and] = ACTIONS(2992),
    [anon_sym_or] = ACTIONS(2992),
    [anon_sym_xor] = ACTIONS(2992),
    [anon_sym_DASH_GT] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_PERCENT] = ACTIONS(2994),
    [anon_sym_GT] = ACTIONS(2994),
    [anon_sym_LT_LT] = ACTIONS(2994),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2992),
    [anon_sym_PLUS_EQ] = ACTIONS(2992),
    [anon_sym_DASH_EQ] = ACTIONS(2992),
    [anon_sym_DOT_EQ] = ACTIONS(2992),
    [anon_sym_STAR_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_PERCENT_EQ] = ACTIONS(2992),
    [anon_sym_x_EQ] = ACTIONS(2992),
    [anon_sym_AMP_EQ] = ACTIONS(2992),
    [anon_sym_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_CARET_EQ] = ACTIONS(2992),
    [anon_sym_LT_LT_EQ] = ACTIONS(2992),
    [anon_sym_GT_GT_EQ] = ACTIONS(2992),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2992),
    [anon_sym_DOT_DOT] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2994),
    [anon_sym_SLASH_SLASH] = ACTIONS(2994),
    [anon_sym_CARET_CARET] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_GT_GT2] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2994),
    [anon_sym_SLASH] = ACTIONS(2994),
    [anon_sym_x] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2992),
    [anon_sym_BANG_TILDE] = ACTIONS(2992),
    [anon_sym_EQ_EQ] = ACTIONS(2994),
    [anon_sym_BANG_EQ] = ACTIONS(2992),
    [anon_sym_eq] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2992),
    [anon_sym_equ] = ACTIONS(2992),
    [anon_sym_eqr] = ACTIONS(2992),
    [anon_sym_ne] = ACTIONS(2992),
    [anon_sym_LT_EQ_GT] = ACTIONS(2992),
    [anon_sym_cmp] = ACTIONS(2992),
    [anon_sym_TILDE_TILDE] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2994),
    [anon_sym_GT_EQ] = ACTIONS(2992),
    [anon_sym_lt] = ACTIONS(2992),
    [anon_sym_le] = ACTIONS(2992),
    [anon_sym_ge] = ACTIONS(2992),
    [anon_sym_gt] = ACTIONS(2992),
    [anon_sym_isa] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2992),
    [anon_sym_QMARK] = ACTIONS(2992),
    [anon_sym_EQ_GT] = ACTIONS(2992),
    [anon_sym_for] = ACTIONS(2994),
    [anon_sym_foreach] = ACTIONS(2992),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2992),
    [anon_sym___END__] = ACTIONS(2992),
    [anon_sym_EOT] = ACTIONS(2992),
    [anon_sym_if] = ACTIONS(2992),
    [anon_sym_unless] = ACTIONS(2992),
    [anon_sym_while] = ACTIONS(2992),
    [anon_sym_until] = ACTIONS(2992),
    [sym__PERLY_SEMICOLON] = ACTIONS(2992),
    [sym__ctrl_z_hack] = ACTIONS(2992),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1333] = {
    [sym_heredoc_content] = STATE(1333),
    [anon_sym_RBRACE] = ACTIONS(2996),
    [anon_sym_SEMI] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2996),
    [anon_sym_RPAREN] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2996),
    [anon_sym_and] = ACTIONS(2996),
    [anon_sym_or] = ACTIONS(2996),
    [anon_sym_xor] = ACTIONS(2996),
    [anon_sym_DASH_GT] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_PERCENT] = ACTIONS(2998),
    [anon_sym_GT] = ACTIONS(2998),
    [anon_sym_LT_LT] = ACTIONS(2998),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2996),
    [anon_sym_PLUS_EQ] = ACTIONS(2996),
    [anon_sym_DASH_EQ] = ACTIONS(2996),
    [anon_sym_DOT_EQ] = ACTIONS(2996),
    [anon_sym_STAR_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_PERCENT_EQ] = ACTIONS(2996),
    [anon_sym_x_EQ] = ACTIONS(2996),
    [anon_sym_AMP_EQ] = ACTIONS(2996),
    [anon_sym_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_CARET_EQ] = ACTIONS(2996),
    [anon_sym_LT_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT_GT_EQ] = ACTIONS(2996),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2996),
    [anon_sym_DOT_DOT] = ACTIONS(2998),
    [anon_sym_STAR_STAR] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2998),
    [anon_sym_SLASH_SLASH] = ACTIONS(2998),
    [anon_sym_CARET_CARET] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_PIPE] = ACTIONS(2998),
    [anon_sym_CARET] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_GT_GT2] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_DOT] = ACTIONS(2998),
    [anon_sym_SLASH] = ACTIONS(2998),
    [anon_sym_x] = ACTIONS(2998),
    [anon_sym_EQ_TILDE] = ACTIONS(2996),
    [anon_sym_BANG_TILDE] = ACTIONS(2996),
    [anon_sym_EQ_EQ] = ACTIONS(2998),
    [anon_sym_BANG_EQ] = ACTIONS(2996),
    [anon_sym_eq] = ACTIONS(2998),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2996),
    [anon_sym_equ] = ACTIONS(2996),
    [anon_sym_eqr] = ACTIONS(2996),
    [anon_sym_ne] = ACTIONS(2996),
    [anon_sym_LT_EQ_GT] = ACTIONS(2996),
    [anon_sym_cmp] = ACTIONS(2996),
    [anon_sym_TILDE_TILDE] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2998),
    [anon_sym_LT_EQ] = ACTIONS(2998),
    [anon_sym_GT_EQ] = ACTIONS(2996),
    [anon_sym_lt] = ACTIONS(2996),
    [anon_sym_le] = ACTIONS(2996),
    [anon_sym_ge] = ACTIONS(2996),
    [anon_sym_gt] = ACTIONS(2996),
    [anon_sym_isa] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2996),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_EQ_GT] = ACTIONS(2996),
    [anon_sym_for] = ACTIONS(2998),
    [anon_sym_foreach] = ACTIONS(2996),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2996),
    [anon_sym___END__] = ACTIONS(2996),
    [anon_sym_EOT] = ACTIONS(2996),
    [anon_sym_if] = ACTIONS(2996),
    [anon_sym_unless] = ACTIONS(2996),
    [anon_sym_while] = ACTIONS(2996),
    [anon_sym_until] = ACTIONS(2996),
    [sym__PERLY_SEMICOLON] = ACTIONS(2996),
    [sym__ctrl_z_hack] = ACTIONS(2996),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1334] = {
    [sym_heredoc_content] = STATE(1334),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_COMMA] = ACTIONS(3000),
    [anon_sym_RPAREN] = ACTIONS(3000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3000),
    [anon_sym_and] = ACTIONS(3000),
    [anon_sym_or] = ACTIONS(3000),
    [anon_sym_xor] = ACTIONS(3000),
    [anon_sym_DASH_GT] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LT_LT] = ACTIONS(3002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3000),
    [anon_sym_PLUS_EQ] = ACTIONS(3000),
    [anon_sym_DASH_EQ] = ACTIONS(3000),
    [anon_sym_DOT_EQ] = ACTIONS(3000),
    [anon_sym_STAR_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_PERCENT_EQ] = ACTIONS(3000),
    [anon_sym_x_EQ] = ACTIONS(3000),
    [anon_sym_AMP_EQ] = ACTIONS(3000),
    [anon_sym_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_CARET_EQ] = ACTIONS(3000),
    [anon_sym_LT_LT_EQ] = ACTIONS(3000),
    [anon_sym_GT_GT_EQ] = ACTIONS(3000),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3000),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_STAR_STAR] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3002),
    [anon_sym_SLASH_SLASH] = ACTIONS(3002),
    [anon_sym_CARET_CARET] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_PIPE] = ACTIONS(3002),
    [anon_sym_CARET] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_GT_GT2] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_x] = ACTIONS(3002),
    [anon_sym_EQ_TILDE] = ACTIONS(3000),
    [anon_sym_BANG_TILDE] = ACTIONS(3000),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ] = ACTIONS(3000),
    [anon_sym_eq] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3000),
    [anon_sym_equ] = ACTIONS(3000),
    [anon_sym_eqr] = ACTIONS(3000),
    [anon_sym_ne] = ACTIONS(3000),
    [anon_sym_LT_EQ_GT] = ACTIONS(3000),
    [anon_sym_cmp] = ACTIONS(3000),
    [anon_sym_TILDE_TILDE] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_LT_EQ] = ACTIONS(3002),
    [anon_sym_GT_EQ] = ACTIONS(3000),
    [anon_sym_lt] = ACTIONS(3000),
    [anon_sym_le] = ACTIONS(3000),
    [anon_sym_ge] = ACTIONS(3000),
    [anon_sym_gt] = ACTIONS(3000),
    [anon_sym_isa] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_QMARK] = ACTIONS(3000),
    [anon_sym_EQ_GT] = ACTIONS(3000),
    [anon_sym_for] = ACTIONS(3002),
    [anon_sym_foreach] = ACTIONS(3000),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3000),
    [anon_sym___END__] = ACTIONS(3000),
    [anon_sym_EOT] = ACTIONS(3000),
    [anon_sym_if] = ACTIONS(3000),
    [anon_sym_unless] = ACTIONS(3000),
    [anon_sym_while] = ACTIONS(3000),
    [anon_sym_until] = ACTIONS(3000),
    [sym__PERLY_SEMICOLON] = ACTIONS(3000),
    [sym__ctrl_z_hack] = ACTIONS(3000),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1335] = {
    [sym_heredoc_content] = STATE(1335),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_EQ] = ACTIONS(3006),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_COMMA] = ACTIONS(3004),
    [anon_sym_RPAREN] = ACTIONS(3004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3004),
    [anon_sym_and] = ACTIONS(3004),
    [anon_sym_or] = ACTIONS(3004),
    [anon_sym_xor] = ACTIONS(3004),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_DOT_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_x_EQ] = ACTIONS(3004),
    [anon_sym_AMP_EQ] = ACTIONS(3004),
    [anon_sym_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_CARET_EQ] = ACTIONS(3004),
    [anon_sym_LT_LT_EQ] = ACTIONS(3004),
    [anon_sym_GT_GT_EQ] = ACTIONS(3004),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3006),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(3006),
    [anon_sym_SLASH_SLASH] = ACTIONS(3006),
    [anon_sym_CARET_CARET] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ] = ACTIONS(3004),
    [anon_sym_eq] = ACTIONS(3006),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_equ] = ACTIONS(3004),
    [anon_sym_eqr] = ACTIONS(3004),
    [anon_sym_ne] = ACTIONS(3004),
    [anon_sym_LT_EQ_GT] = ACTIONS(3004),
    [anon_sym_cmp] = ACTIONS(3004),
    [anon_sym_TILDE_TILDE] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_LT_EQ] = ACTIONS(3006),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_lt] = ACTIONS(3004),
    [anon_sym_le] = ACTIONS(3004),
    [anon_sym_ge] = ACTIONS(3004),
    [anon_sym_gt] = ACTIONS(3004),
    [anon_sym_isa] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3004),
    [anon_sym_EQ_GT] = ACTIONS(3004),
    [anon_sym_for] = ACTIONS(3006),
    [anon_sym_foreach] = ACTIONS(3004),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3004),
    [anon_sym___END__] = ACTIONS(3004),
    [anon_sym_EOT] = ACTIONS(3004),
    [anon_sym_if] = ACTIONS(3004),
    [anon_sym_unless] = ACTIONS(3004),
    [anon_sym_while] = ACTIONS(3004),
    [anon_sym_until] = ACTIONS(3004),
    [sym__PERLY_SEMICOLON] = ACTIONS(3004),
    [sym__ctrl_z_hack] = ACTIONS(3004),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1336] = {
    [sym_heredoc_content] = STATE(1336),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_RPAREN] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_and] = ACTIONS(3008),
    [anon_sym_or] = ACTIONS(3008),
    [anon_sym_xor] = ACTIONS(3008),
    [anon_sym_DASH_GT] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3010),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_DOT_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_x_EQ] = ACTIONS(3008),
    [anon_sym_AMP_EQ] = ACTIONS(3008),
    [anon_sym_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_CARET_EQ] = ACTIONS(3008),
    [anon_sym_LT_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_GT_EQ] = ACTIONS(3008),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_STAR_STAR] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3010),
    [anon_sym_SLASH_SLASH] = ACTIONS(3010),
    [anon_sym_CARET_CARET] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_PIPE] = ACTIONS(3010),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_GT_GT2] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_x] = ACTIONS(3010),
    [anon_sym_EQ_TILDE] = ACTIONS(3008),
    [anon_sym_BANG_TILDE] = ACTIONS(3008),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ] = ACTIONS(3008),
    [anon_sym_eq] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_equ] = ACTIONS(3008),
    [anon_sym_eqr] = ACTIONS(3008),
    [anon_sym_ne] = ACTIONS(3008),
    [anon_sym_LT_EQ_GT] = ACTIONS(3008),
    [anon_sym_cmp] = ACTIONS(3008),
    [anon_sym_TILDE_TILDE] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_LT_EQ] = ACTIONS(3010),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_lt] = ACTIONS(3008),
    [anon_sym_le] = ACTIONS(3008),
    [anon_sym_ge] = ACTIONS(3008),
    [anon_sym_gt] = ACTIONS(3008),
    [anon_sym_isa] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3008),
    [anon_sym_EQ_GT] = ACTIONS(3008),
    [anon_sym_for] = ACTIONS(3010),
    [anon_sym_foreach] = ACTIONS(3008),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3008),
    [anon_sym___END__] = ACTIONS(3008),
    [anon_sym_EOT] = ACTIONS(3008),
    [anon_sym_if] = ACTIONS(3008),
    [anon_sym_unless] = ACTIONS(3008),
    [anon_sym_while] = ACTIONS(3008),
    [anon_sym_until] = ACTIONS(3008),
    [sym__PERLY_SEMICOLON] = ACTIONS(3008),
    [sym__ctrl_z_hack] = ACTIONS(3008),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1337] = {
    [sym_heredoc_content] = STATE(1337),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_RPAREN] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_and] = ACTIONS(3012),
    [anon_sym_or] = ACTIONS(3012),
    [anon_sym_xor] = ACTIONS(3012),
    [anon_sym_DASH_GT] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LT_LT] = ACTIONS(3014),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_DOT_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_x_EQ] = ACTIONS(3012),
    [anon_sym_AMP_EQ] = ACTIONS(3012),
    [anon_sym_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_CARET_EQ] = ACTIONS(3012),
    [anon_sym_LT_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_GT_EQ] = ACTIONS(3012),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_STAR_STAR] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3014),
    [anon_sym_SLASH_SLASH] = ACTIONS(3014),
    [anon_sym_CARET_CARET] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_PIPE] = ACTIONS(3014),
    [anon_sym_CARET] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_GT_GT2] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_x] = ACTIONS(3014),
    [anon_sym_EQ_TILDE] = ACTIONS(3012),
    [anon_sym_BANG_TILDE] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ] = ACTIONS(3012),
    [anon_sym_eq] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_equ] = ACTIONS(3012),
    [anon_sym_eqr] = ACTIONS(3012),
    [anon_sym_ne] = ACTIONS(3012),
    [anon_sym_LT_EQ_GT] = ACTIONS(3012),
    [anon_sym_cmp] = ACTIONS(3012),
    [anon_sym_TILDE_TILDE] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_LT_EQ] = ACTIONS(3014),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_lt] = ACTIONS(3012),
    [anon_sym_le] = ACTIONS(3012),
    [anon_sym_ge] = ACTIONS(3012),
    [anon_sym_gt] = ACTIONS(3012),
    [anon_sym_isa] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3012),
    [anon_sym_EQ_GT] = ACTIONS(3012),
    [anon_sym_for] = ACTIONS(3014),
    [anon_sym_foreach] = ACTIONS(3012),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3012),
    [anon_sym___END__] = ACTIONS(3012),
    [anon_sym_EOT] = ACTIONS(3012),
    [anon_sym_if] = ACTIONS(3012),
    [anon_sym_unless] = ACTIONS(3012),
    [anon_sym_while] = ACTIONS(3012),
    [anon_sym_until] = ACTIONS(3012),
    [sym__PERLY_SEMICOLON] = ACTIONS(3012),
    [sym__ctrl_z_hack] = ACTIONS(3012),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1338] = {
    [sym_heredoc_content] = STATE(1338),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_RPAREN] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_and] = ACTIONS(3016),
    [anon_sym_or] = ACTIONS(3016),
    [anon_sym_xor] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3018),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_x] = ACTIONS(3018),
    [anon_sym_EQ_TILDE] = ACTIONS(3016),
    [anon_sym_BANG_TILDE] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_foreach] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3016),
    [anon_sym___END__] = ACTIONS(3016),
    [anon_sym_EOT] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_unless] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_until] = ACTIONS(3016),
    [sym__PERLY_SEMICOLON] = ACTIONS(3016),
    [sym__ctrl_z_hack] = ACTIONS(3016),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1339] = {
    [sym_heredoc_content] = STATE(1339),
    [anon_sym_RBRACE] = ACTIONS(2976),
    [anon_sym_SEMI] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(3020),
    [anon_sym_RPAREN] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_and] = ACTIONS(2976),
    [anon_sym_or] = ACTIONS(2976),
    [anon_sym_xor] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(3020),
    [anon_sym_for] = ACTIONS(2978),
    [anon_sym_foreach] = ACTIONS(2976),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2976),
    [anon_sym___END__] = ACTIONS(2976),
    [anon_sym_EOT] = ACTIONS(2976),
    [anon_sym_if] = ACTIONS(2976),
    [anon_sym_unless] = ACTIONS(2976),
    [anon_sym_while] = ACTIONS(2976),
    [anon_sym_until] = ACTIONS(2976),
    [sym__PERLY_SEMICOLON] = ACTIONS(2976),
    [sym__ctrl_z_hack] = ACTIONS(2976),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1340] = {
    [sym_heredoc_content] = STATE(1340),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_COMMA] = ACTIONS(3022),
    [anon_sym_RPAREN] = ACTIONS(3022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3022),
    [anon_sym_and] = ACTIONS(3022),
    [anon_sym_or] = ACTIONS(3022),
    [anon_sym_xor] = ACTIONS(3022),
    [anon_sym_DASH_GT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3024),
    [anon_sym_PERCENT] = ACTIONS(3024),
    [anon_sym_GT] = ACTIONS(3024),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3022),
    [anon_sym_DASH_EQ] = ACTIONS(3022),
    [anon_sym_DOT_EQ] = ACTIONS(3022),
    [anon_sym_STAR_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_PERCENT_EQ] = ACTIONS(3022),
    [anon_sym_x_EQ] = ACTIONS(3022),
    [anon_sym_AMP_EQ] = ACTIONS(3022),
    [anon_sym_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_CARET_EQ] = ACTIONS(3022),
    [anon_sym_LT_LT_EQ] = ACTIONS(3022),
    [anon_sym_GT_GT_EQ] = ACTIONS(3022),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3022),
    [anon_sym_DOT_DOT] = ACTIONS(3024),
    [anon_sym_STAR_STAR] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_SLASH_SLASH] = ACTIONS(3024),
    [anon_sym_CARET_CARET] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_GT_GT2] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3024),
    [anon_sym_x] = ACTIONS(3024),
    [anon_sym_EQ_TILDE] = ACTIONS(3022),
    [anon_sym_BANG_TILDE] = ACTIONS(3022),
    [anon_sym_EQ_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_eq] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3022),
    [anon_sym_equ] = ACTIONS(3022),
    [anon_sym_eqr] = ACTIONS(3022),
    [anon_sym_ne] = ACTIONS(3022),
    [anon_sym_LT_EQ_GT] = ACTIONS(3022),
    [anon_sym_cmp] = ACTIONS(3022),
    [anon_sym_TILDE_TILDE] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3022),
    [anon_sym_lt] = ACTIONS(3022),
    [anon_sym_le] = ACTIONS(3022),
    [anon_sym_ge] = ACTIONS(3022),
    [anon_sym_gt] = ACTIONS(3022),
    [anon_sym_isa] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_EQ_GT] = ACTIONS(3022),
    [anon_sym_for] = ACTIONS(3024),
    [anon_sym_foreach] = ACTIONS(3022),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3022),
    [anon_sym___END__] = ACTIONS(3022),
    [anon_sym_EOT] = ACTIONS(3022),
    [anon_sym_if] = ACTIONS(3022),
    [anon_sym_unless] = ACTIONS(3022),
    [anon_sym_while] = ACTIONS(3022),
    [anon_sym_until] = ACTIONS(3022),
    [sym__PERLY_SEMICOLON] = ACTIONS(3022),
    [sym__ctrl_z_hack] = ACTIONS(3022),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1341] = {
    [sym_heredoc_content] = STATE(1341),
    [anon_sym_RBRACE] = ACTIONS(3026),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_COMMA] = ACTIONS(3026),
    [anon_sym_RPAREN] = ACTIONS(3026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3026),
    [anon_sym_and] = ACTIONS(3026),
    [anon_sym_or] = ACTIONS(3026),
    [anon_sym_xor] = ACTIONS(3026),
    [anon_sym_DASH_GT] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_PERCENT] = ACTIONS(3028),
    [anon_sym_GT] = ACTIONS(3028),
    [anon_sym_LT_LT] = ACTIONS(3028),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3026),
    [anon_sym_PLUS_EQ] = ACTIONS(3026),
    [anon_sym_DASH_EQ] = ACTIONS(3026),
    [anon_sym_DOT_EQ] = ACTIONS(3026),
    [anon_sym_STAR_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_PERCENT_EQ] = ACTIONS(3026),
    [anon_sym_x_EQ] = ACTIONS(3026),
    [anon_sym_AMP_EQ] = ACTIONS(3026),
    [anon_sym_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_CARET_EQ] = ACTIONS(3026),
    [anon_sym_LT_LT_EQ] = ACTIONS(3026),
    [anon_sym_GT_GT_EQ] = ACTIONS(3026),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3026),
    [anon_sym_DOT_DOT] = ACTIONS(3028),
    [anon_sym_STAR_STAR] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3028),
    [anon_sym_CARET_CARET] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_GT_GT2] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_DOT] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3028),
    [anon_sym_x] = ACTIONS(3028),
    [anon_sym_EQ_TILDE] = ACTIONS(3026),
    [anon_sym_BANG_TILDE] = ACTIONS(3026),
    [anon_sym_EQ_EQ] = ACTIONS(3028),
    [anon_sym_BANG_EQ] = ACTIONS(3026),
    [anon_sym_eq] = ACTIONS(3028),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3026),
    [anon_sym_equ] = ACTIONS(3026),
    [anon_sym_eqr] = ACTIONS(3026),
    [anon_sym_ne] = ACTIONS(3026),
    [anon_sym_LT_EQ_GT] = ACTIONS(3026),
    [anon_sym_cmp] = ACTIONS(3026),
    [anon_sym_TILDE_TILDE] = ACTIONS(3026),
    [anon_sym_LT] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_EQ] = ACTIONS(3026),
    [anon_sym_lt] = ACTIONS(3026),
    [anon_sym_le] = ACTIONS(3026),
    [anon_sym_ge] = ACTIONS(3026),
    [anon_sym_gt] = ACTIONS(3026),
    [anon_sym_isa] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_EQ_GT] = ACTIONS(3026),
    [anon_sym_for] = ACTIONS(3028),
    [anon_sym_foreach] = ACTIONS(3026),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3026),
    [anon_sym___END__] = ACTIONS(3026),
    [anon_sym_EOT] = ACTIONS(3026),
    [anon_sym_if] = ACTIONS(3026),
    [anon_sym_unless] = ACTIONS(3026),
    [anon_sym_while] = ACTIONS(3026),
    [anon_sym_until] = ACTIONS(3026),
    [sym__PERLY_SEMICOLON] = ACTIONS(3026),
    [sym__ctrl_z_hack] = ACTIONS(3026),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1342] = {
    [sym_heredoc_content] = STATE(1342),
    [anon_sym_RBRACE] = ACTIONS(3030),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_COMMA] = ACTIONS(3030),
    [anon_sym_RPAREN] = ACTIONS(3030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3030),
    [anon_sym_and] = ACTIONS(3030),
    [anon_sym_or] = ACTIONS(3030),
    [anon_sym_xor] = ACTIONS(3030),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3030),
    [anon_sym_PLUS_EQ] = ACTIONS(3030),
    [anon_sym_DASH_EQ] = ACTIONS(3030),
    [anon_sym_DOT_EQ] = ACTIONS(3030),
    [anon_sym_STAR_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_PERCENT_EQ] = ACTIONS(3030),
    [anon_sym_x_EQ] = ACTIONS(3030),
    [anon_sym_AMP_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_CARET_EQ] = ACTIONS(3030),
    [anon_sym_LT_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_GT_EQ] = ACTIONS(3030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3030),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH] = ACTIONS(3032),
    [anon_sym_CARET_CARET] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_CARET] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3030),
    [anon_sym_eq] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3030),
    [anon_sym_equ] = ACTIONS(3030),
    [anon_sym_eqr] = ACTIONS(3030),
    [anon_sym_ne] = ACTIONS(3030),
    [anon_sym_LT_EQ_GT] = ACTIONS(3030),
    [anon_sym_cmp] = ACTIONS(3030),
    [anon_sym_TILDE_TILDE] = ACTIONS(3030),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3030),
    [anon_sym_lt] = ACTIONS(3030),
    [anon_sym_le] = ACTIONS(3030),
    [anon_sym_ge] = ACTIONS(3030),
    [anon_sym_gt] = ACTIONS(3030),
    [anon_sym_isa] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3030),
    [anon_sym_EQ_GT] = ACTIONS(3030),
    [anon_sym_for] = ACTIONS(3032),
    [anon_sym_foreach] = ACTIONS(3030),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3030),
    [anon_sym___END__] = ACTIONS(3030),
    [anon_sym_EOT] = ACTIONS(3030),
    [anon_sym_if] = ACTIONS(3030),
    [anon_sym_unless] = ACTIONS(3030),
    [anon_sym_while] = ACTIONS(3030),
    [anon_sym_until] = ACTIONS(3030),
    [sym__PERLY_SEMICOLON] = ACTIONS(3030),
    [sym__ctrl_z_hack] = ACTIONS(3030),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1343] = {
    [sym_heredoc_content] = STATE(1343),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_COMMA] = ACTIONS(3034),
    [anon_sym_RPAREN] = ACTIONS(3034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3034),
    [anon_sym_and] = ACTIONS(3034),
    [anon_sym_or] = ACTIONS(3034),
    [anon_sym_xor] = ACTIONS(3034),
    [anon_sym_DASH_GT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_DOT_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_x_EQ] = ACTIONS(3034),
    [anon_sym_AMP_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_CARET_EQ] = ACTIONS(3034),
    [anon_sym_LT_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_GT_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_STAR_STAR] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH] = ACTIONS(3036),
    [anon_sym_CARET_CARET] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_GT_GT2] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_x] = ACTIONS(3036),
    [anon_sym_EQ_TILDE] = ACTIONS(3034),
    [anon_sym_BANG_TILDE] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ] = ACTIONS(3034),
    [anon_sym_eq] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_equ] = ACTIONS(3034),
    [anon_sym_eqr] = ACTIONS(3034),
    [anon_sym_ne] = ACTIONS(3034),
    [anon_sym_LT_EQ_GT] = ACTIONS(3034),
    [anon_sym_cmp] = ACTIONS(3034),
    [anon_sym_TILDE_TILDE] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_lt] = ACTIONS(3034),
    [anon_sym_le] = ACTIONS(3034),
    [anon_sym_ge] = ACTIONS(3034),
    [anon_sym_gt] = ACTIONS(3034),
    [anon_sym_isa] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_QMARK] = ACTIONS(3034),
    [anon_sym_EQ_GT] = ACTIONS(3034),
    [anon_sym_for] = ACTIONS(3036),
    [anon_sym_foreach] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3034),
    [anon_sym___END__] = ACTIONS(3034),
    [anon_sym_EOT] = ACTIONS(3034),
    [anon_sym_if] = ACTIONS(3034),
    [anon_sym_unless] = ACTIONS(3034),
    [anon_sym_while] = ACTIONS(3034),
    [anon_sym_until] = ACTIONS(3034),
    [sym__PERLY_SEMICOLON] = ACTIONS(3034),
    [sym__ctrl_z_hack] = ACTIONS(3034),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1344] = {
    [sym_heredoc_content] = STATE(1344),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_COMMA] = ACTIONS(3038),
    [anon_sym_RPAREN] = ACTIONS(3038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3038),
    [anon_sym_and] = ACTIONS(3038),
    [anon_sym_or] = ACTIONS(3038),
    [anon_sym_xor] = ACTIONS(3038),
    [anon_sym_DASH_GT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LT_LT] = ACTIONS(3040),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_DOT_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_x_EQ] = ACTIONS(3038),
    [anon_sym_AMP_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_CARET_EQ] = ACTIONS(3038),
    [anon_sym_LT_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_GT_EQ] = ACTIONS(3038),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_STAR_STAR] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH] = ACTIONS(3040),
    [anon_sym_CARET_CARET] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3040),
    [anon_sym_PIPE] = ACTIONS(3040),
    [anon_sym_CARET] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_GT_GT2] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_x] = ACTIONS(3040),
    [anon_sym_EQ_TILDE] = ACTIONS(3038),
    [anon_sym_BANG_TILDE] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ] = ACTIONS(3038),
    [anon_sym_eq] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_equ] = ACTIONS(3038),
    [anon_sym_eqr] = ACTIONS(3038),
    [anon_sym_ne] = ACTIONS(3038),
    [anon_sym_LT_EQ_GT] = ACTIONS(3038),
    [anon_sym_cmp] = ACTIONS(3038),
    [anon_sym_TILDE_TILDE] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_lt] = ACTIONS(3038),
    [anon_sym_le] = ACTIONS(3038),
    [anon_sym_ge] = ACTIONS(3038),
    [anon_sym_gt] = ACTIONS(3038),
    [anon_sym_isa] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_QMARK] = ACTIONS(3038),
    [anon_sym_EQ_GT] = ACTIONS(3038),
    [anon_sym_for] = ACTIONS(3040),
    [anon_sym_foreach] = ACTIONS(3038),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3038),
    [anon_sym___END__] = ACTIONS(3038),
    [anon_sym_EOT] = ACTIONS(3038),
    [anon_sym_if] = ACTIONS(3038),
    [anon_sym_unless] = ACTIONS(3038),
    [anon_sym_while] = ACTIONS(3038),
    [anon_sym_until] = ACTIONS(3038),
    [sym__PERLY_SEMICOLON] = ACTIONS(3038),
    [sym__ctrl_z_hack] = ACTIONS(3038),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1345] = {
    [sym_heredoc_content] = STATE(1345),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_COMMA] = ACTIONS(3042),
    [anon_sym_RPAREN] = ACTIONS(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3042),
    [anon_sym_and] = ACTIONS(3042),
    [anon_sym_or] = ACTIONS(3042),
    [anon_sym_xor] = ACTIONS(3042),
    [anon_sym_DASH_GT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LT_LT] = ACTIONS(3044),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_DOT_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_x_EQ] = ACTIONS(3042),
    [anon_sym_AMP_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_CARET_EQ] = ACTIONS(3042),
    [anon_sym_LT_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_GT_EQ] = ACTIONS(3042),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_STAR_STAR] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3044),
    [anon_sym_SLASH_SLASH] = ACTIONS(3044),
    [anon_sym_CARET_CARET] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3044),
    [anon_sym_PIPE] = ACTIONS(3044),
    [anon_sym_CARET] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_GT_GT2] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_x] = ACTIONS(3044),
    [anon_sym_EQ_TILDE] = ACTIONS(3042),
    [anon_sym_BANG_TILDE] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ] = ACTIONS(3042),
    [anon_sym_eq] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_equ] = ACTIONS(3042),
    [anon_sym_eqr] = ACTIONS(3042),
    [anon_sym_ne] = ACTIONS(3042),
    [anon_sym_LT_EQ_GT] = ACTIONS(3042),
    [anon_sym_cmp] = ACTIONS(3042),
    [anon_sym_TILDE_TILDE] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3044),
    [anon_sym_LT_EQ] = ACTIONS(3044),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_lt] = ACTIONS(3042),
    [anon_sym_le] = ACTIONS(3042),
    [anon_sym_ge] = ACTIONS(3042),
    [anon_sym_gt] = ACTIONS(3042),
    [anon_sym_isa] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_QMARK] = ACTIONS(3042),
    [anon_sym_EQ_GT] = ACTIONS(3042),
    [anon_sym_for] = ACTIONS(3044),
    [anon_sym_foreach] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3042),
    [anon_sym___END__] = ACTIONS(3042),
    [anon_sym_EOT] = ACTIONS(3042),
    [anon_sym_if] = ACTIONS(3042),
    [anon_sym_unless] = ACTIONS(3042),
    [anon_sym_while] = ACTIONS(3042),
    [anon_sym_until] = ACTIONS(3042),
    [sym__PERLY_SEMICOLON] = ACTIONS(3042),
    [sym__ctrl_z_hack] = ACTIONS(3042),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1346] = {
    [sym_heredoc_content] = STATE(1346),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_RPAREN] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_and] = ACTIONS(3016),
    [anon_sym_or] = ACTIONS(3016),
    [anon_sym_xor] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [anon_sym_for] = ACTIONS(3018),
    [anon_sym_foreach] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3016),
    [anon_sym___END__] = ACTIONS(3016),
    [anon_sym_EOT] = ACTIONS(3016),
    [anon_sym_if] = ACTIONS(3016),
    [anon_sym_unless] = ACTIONS(3016),
    [anon_sym_while] = ACTIONS(3016),
    [anon_sym_until] = ACTIONS(3016),
    [sym__PERLY_SEMICOLON] = ACTIONS(3016),
    [sym__ctrl_z_hack] = ACTIONS(3016),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1347] = {
    [sym_heredoc_content] = STATE(1347),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_EQ] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_COMMA] = ACTIONS(3046),
    [anon_sym_RPAREN] = ACTIONS(3046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3046),
    [anon_sym_and] = ACTIONS(3046),
    [anon_sym_or] = ACTIONS(3046),
    [anon_sym_xor] = ACTIONS(3046),
    [anon_sym_DASH_GT] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_PERCENT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [anon_sym_LT_LT] = ACTIONS(3048),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_DOT_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_x_EQ] = ACTIONS(3046),
    [anon_sym_AMP_EQ] = ACTIONS(3046),
    [anon_sym_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_CARET_EQ] = ACTIONS(3046),
    [anon_sym_LT_LT_EQ] = ACTIONS(3046),
    [anon_sym_GT_GT_EQ] = ACTIONS(3046),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3048),
    [anon_sym_STAR_STAR] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE] = ACTIONS(3048),
    [anon_sym_SLASH_SLASH] = ACTIONS(3048),
    [anon_sym_CARET_CARET] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3048),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_CARET] = ACTIONS(3048),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_GT_GT2] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_DOT] = ACTIONS(3048),
    [anon_sym_SLASH] = ACTIONS(3048),
    [anon_sym_x] = ACTIONS(3048),
    [anon_sym_EQ_TILDE] = ACTIONS(3046),
    [anon_sym_BANG_TILDE] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3048),
    [anon_sym_BANG_EQ] = ACTIONS(3046),
    [anon_sym_eq] = ACTIONS(3048),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_equ] = ACTIONS(3046),
    [anon_sym_eqr] = ACTIONS(3046),
    [anon_sym_ne] = ACTIONS(3046),
    [anon_sym_LT_EQ_GT] = ACTIONS(3046),
    [anon_sym_cmp] = ACTIONS(3046),
    [anon_sym_TILDE_TILDE] = ACTIONS(3046),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_LT_EQ] = ACTIONS(3048),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_lt] = ACTIONS(3046),
    [anon_sym_le] = ACTIONS(3046),
    [anon_sym_ge] = ACTIONS(3046),
    [anon_sym_gt] = ACTIONS(3046),
    [anon_sym_isa] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_EQ_GT] = ACTIONS(3046),
    [anon_sym_for] = ACTIONS(3048),
    [anon_sym_foreach] = ACTIONS(3046),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3046),
    [anon_sym___END__] = ACTIONS(3046),
    [anon_sym_EOT] = ACTIONS(3046),
    [anon_sym_if] = ACTIONS(3046),
    [anon_sym_unless] = ACTIONS(3046),
    [anon_sym_while] = ACTIONS(3046),
    [anon_sym_until] = ACTIONS(3046),
    [sym__PERLY_SEMICOLON] = ACTIONS(3046),
    [sym__ctrl_z_hack] = ACTIONS(3046),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1348] = {
    [sym_heredoc_content] = STATE(1348),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_RPAREN] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(3050),
    [anon_sym_xor] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [anon_sym_for] = ACTIONS(3052),
    [anon_sym_foreach] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3050),
    [anon_sym___END__] = ACTIONS(3050),
    [anon_sym_EOT] = ACTIONS(3050),
    [anon_sym_if] = ACTIONS(3050),
    [anon_sym_unless] = ACTIONS(3050),
    [anon_sym_while] = ACTIONS(3050),
    [anon_sym_until] = ACTIONS(3050),
    [sym__PERLY_SEMICOLON] = ACTIONS(3050),
    [sym__ctrl_z_hack] = ACTIONS(3050),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1349] = {
    [sym_heredoc_content] = STATE(1349),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3054),
    [anon_sym_xor] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_x] = ACTIONS(3056),
    [anon_sym_EQ_TILDE] = ACTIONS(3054),
    [anon_sym_BANG_TILDE] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [anon_sym_for] = ACTIONS(3056),
    [anon_sym_foreach] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3054),
    [anon_sym___END__] = ACTIONS(3054),
    [anon_sym_EOT] = ACTIONS(3054),
    [anon_sym_if] = ACTIONS(3054),
    [anon_sym_unless] = ACTIONS(3054),
    [anon_sym_while] = ACTIONS(3054),
    [anon_sym_until] = ACTIONS(3054),
    [sym__PERLY_SEMICOLON] = ACTIONS(3054),
    [sym__ctrl_z_hack] = ACTIONS(3054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1350] = {
    [sym_heredoc_content] = STATE(1350),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_RPAREN] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_and] = ACTIONS(3058),
    [anon_sym_or] = ACTIONS(3058),
    [anon_sym_xor] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [anon_sym_for] = ACTIONS(3060),
    [anon_sym_foreach] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3058),
    [anon_sym___END__] = ACTIONS(3058),
    [anon_sym_EOT] = ACTIONS(3058),
    [anon_sym_if] = ACTIONS(3058),
    [anon_sym_unless] = ACTIONS(3058),
    [anon_sym_while] = ACTIONS(3058),
    [anon_sym_until] = ACTIONS(3058),
    [sym__PERLY_SEMICOLON] = ACTIONS(3058),
    [sym__ctrl_z_hack] = ACTIONS(3058),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1351] = {
    [sym_heredoc_content] = STATE(1351),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_RPAREN] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3062),
    [anon_sym_or] = ACTIONS(3062),
    [anon_sym_xor] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [anon_sym_for] = ACTIONS(3064),
    [anon_sym_foreach] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3062),
    [anon_sym___END__] = ACTIONS(3062),
    [anon_sym_EOT] = ACTIONS(3062),
    [anon_sym_if] = ACTIONS(3062),
    [anon_sym_unless] = ACTIONS(3062),
    [anon_sym_while] = ACTIONS(3062),
    [anon_sym_until] = ACTIONS(3062),
    [sym__PERLY_SEMICOLON] = ACTIONS(3062),
    [sym__ctrl_z_hack] = ACTIONS(3062),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1352] = {
    [sym_heredoc_content] = STATE(1352),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_RPAREN] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_and] = ACTIONS(3066),
    [anon_sym_or] = ACTIONS(3066),
    [anon_sym_xor] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3068),
    [anon_sym_foreach] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3066),
    [anon_sym___END__] = ACTIONS(3066),
    [anon_sym_EOT] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_unless] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_until] = ACTIONS(3066),
    [sym__PERLY_SEMICOLON] = ACTIONS(3066),
    [sym__ctrl_z_hack] = ACTIONS(3066),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1353] = {
    [sym_heredoc_content] = STATE(1353),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_RPAREN] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_and] = ACTIONS(3070),
    [anon_sym_or] = ACTIONS(3070),
    [anon_sym_xor] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3070),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [anon_sym_for] = ACTIONS(3072),
    [anon_sym_foreach] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3070),
    [anon_sym___END__] = ACTIONS(3070),
    [anon_sym_EOT] = ACTIONS(3070),
    [anon_sym_if] = ACTIONS(3070),
    [anon_sym_unless] = ACTIONS(3070),
    [anon_sym_while] = ACTIONS(3070),
    [anon_sym_until] = ACTIONS(3070),
    [sym__PERLY_SEMICOLON] = ACTIONS(3070),
    [sym__ctrl_z_hack] = ACTIONS(3070),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1354] = {
    [sym_heredoc_content] = STATE(1354),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_and] = ACTIONS(3074),
    [anon_sym_or] = ACTIONS(3074),
    [anon_sym_xor] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_foreach] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3074),
    [anon_sym___END__] = ACTIONS(3074),
    [anon_sym_EOT] = ACTIONS(3074),
    [anon_sym_if] = ACTIONS(3074),
    [anon_sym_unless] = ACTIONS(3074),
    [anon_sym_while] = ACTIONS(3074),
    [anon_sym_until] = ACTIONS(3074),
    [sym__PERLY_SEMICOLON] = ACTIONS(3074),
    [sym__ctrl_z_hack] = ACTIONS(3074),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1355] = {
    [sym_heredoc_content] = STATE(1355),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_RPAREN] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_and] = ACTIONS(3078),
    [anon_sym_or] = ACTIONS(3078),
    [anon_sym_xor] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3078),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_foreach] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3078),
    [anon_sym___END__] = ACTIONS(3078),
    [anon_sym_EOT] = ACTIONS(3078),
    [anon_sym_if] = ACTIONS(3078),
    [anon_sym_unless] = ACTIONS(3078),
    [anon_sym_while] = ACTIONS(3078),
    [anon_sym_until] = ACTIONS(3078),
    [sym__PERLY_SEMICOLON] = ACTIONS(3078),
    [sym__ctrl_z_hack] = ACTIONS(3078),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1356] = {
    [sym_heredoc_content] = STATE(1356),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_and] = ACTIONS(3082),
    [anon_sym_or] = ACTIONS(3082),
    [anon_sym_xor] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3084),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3084),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3084),
    [anon_sym_x] = ACTIONS(3084),
    [anon_sym_EQ_TILDE] = ACTIONS(3082),
    [anon_sym_BANG_TILDE] = ACTIONS(3082),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_foreach] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3082),
    [anon_sym___END__] = ACTIONS(3082),
    [anon_sym_EOT] = ACTIONS(3082),
    [anon_sym_if] = ACTIONS(3082),
    [anon_sym_unless] = ACTIONS(3082),
    [anon_sym_while] = ACTIONS(3082),
    [anon_sym_until] = ACTIONS(3082),
    [sym__PERLY_SEMICOLON] = ACTIONS(3082),
    [sym__ctrl_z_hack] = ACTIONS(3082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1357] = {
    [sym_heredoc_content] = STATE(1357),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2687),
    [anon_sym_and] = ACTIONS(3086),
    [anon_sym_or] = ACTIONS(3086),
    [anon_sym_xor] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2683),
    [anon_sym_PLUS_EQ] = ACTIONS(2683),
    [anon_sym_DASH_EQ] = ACTIONS(2683),
    [anon_sym_DOT_EQ] = ACTIONS(2683),
    [anon_sym_STAR_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_PERCENT_EQ] = ACTIONS(2683),
    [anon_sym_x_EQ] = ACTIONS(2683),
    [anon_sym_AMP_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_CARET_EQ] = ACTIONS(2683),
    [anon_sym_LT_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_GT_EQ] = ACTIONS(2683),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2683),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(2701),
    [anon_sym_CARET_CARET] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2727),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_foreach] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3086),
    [anon_sym___END__] = ACTIONS(3086),
    [anon_sym_EOT] = ACTIONS(3086),
    [anon_sym_if] = ACTIONS(3086),
    [anon_sym_unless] = ACTIONS(3086),
    [anon_sym_while] = ACTIONS(3086),
    [anon_sym_until] = ACTIONS(3086),
    [sym__PERLY_SEMICOLON] = ACTIONS(3086),
    [sym__ctrl_z_hack] = ACTIONS(3086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1358] = {
    [sym_heredoc_content] = STATE(1358),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_RPAREN] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_and] = ACTIONS(3090),
    [anon_sym_or] = ACTIONS(3090),
    [anon_sym_xor] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_DOT_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_x_EQ] = ACTIONS(3090),
    [anon_sym_AMP_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_CARET_EQ] = ACTIONS(3090),
    [anon_sym_LT_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_GT_EQ] = ACTIONS(3090),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT] = ACTIONS(3092),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH] = ACTIONS(3092),
    [anon_sym_CARET_CARET] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_PIPE] = ACTIONS(3092),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_eq] = ACTIONS(3092),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_equ] = ACTIONS(3090),
    [anon_sym_eqr] = ACTIONS(3090),
    [anon_sym_ne] = ACTIONS(3090),
    [anon_sym_LT_EQ_GT] = ACTIONS(3090),
    [anon_sym_cmp] = ACTIONS(3090),
    [anon_sym_TILDE_TILDE] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_lt] = ACTIONS(3090),
    [anon_sym_le] = ACTIONS(3090),
    [anon_sym_ge] = ACTIONS(3090),
    [anon_sym_gt] = ACTIONS(3090),
    [anon_sym_isa] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3090),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_foreach] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3090),
    [anon_sym___END__] = ACTIONS(3090),
    [anon_sym_EOT] = ACTIONS(3090),
    [anon_sym_if] = ACTIONS(3090),
    [anon_sym_unless] = ACTIONS(3090),
    [anon_sym_while] = ACTIONS(3090),
    [anon_sym_until] = ACTIONS(3090),
    [sym__PERLY_SEMICOLON] = ACTIONS(3090),
    [sym__ctrl_z_hack] = ACTIONS(3090),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1359] = {
    [sym_heredoc_content] = STATE(1359),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_RPAREN] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_and] = ACTIONS(3094),
    [anon_sym_or] = ACTIONS(3094),
    [anon_sym_xor] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3096),
    [anon_sym_x] = ACTIONS(3096),
    [anon_sym_EQ_TILDE] = ACTIONS(3094),
    [anon_sym_BANG_TILDE] = ACTIONS(3094),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_foreach] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3094),
    [anon_sym___END__] = ACTIONS(3094),
    [anon_sym_EOT] = ACTIONS(3094),
    [anon_sym_if] = ACTIONS(3094),
    [anon_sym_unless] = ACTIONS(3094),
    [anon_sym_while] = ACTIONS(3094),
    [anon_sym_until] = ACTIONS(3094),
    [sym__PERLY_SEMICOLON] = ACTIONS(3094),
    [sym__ctrl_z_hack] = ACTIONS(3094),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1360] = {
    [sym_heredoc_content] = STATE(1360),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_RPAREN] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_and] = ACTIONS(3098),
    [anon_sym_or] = ACTIONS(3098),
    [anon_sym_xor] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3098),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [anon_sym_for] = ACTIONS(3100),
    [anon_sym_foreach] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3098),
    [anon_sym___END__] = ACTIONS(3098),
    [anon_sym_EOT] = ACTIONS(3098),
    [anon_sym_if] = ACTIONS(3098),
    [anon_sym_unless] = ACTIONS(3098),
    [anon_sym_while] = ACTIONS(3098),
    [anon_sym_until] = ACTIONS(3098),
    [sym__PERLY_SEMICOLON] = ACTIONS(3098),
    [sym__ctrl_z_hack] = ACTIONS(3098),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1361] = {
    [sym_heredoc_content] = STATE(1361),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_xor] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3104),
    [anon_sym_foreach] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3102),
    [anon_sym___END__] = ACTIONS(3102),
    [anon_sym_EOT] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_unless] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_until] = ACTIONS(3102),
    [sym__PERLY_SEMICOLON] = ACTIONS(3102),
    [sym__ctrl_z_hack] = ACTIONS(3102),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1362] = {
    [sym_heredoc_content] = STATE(1362),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_and] = ACTIONS(3106),
    [anon_sym_or] = ACTIONS(3106),
    [anon_sym_xor] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3106),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_foreach] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3106),
    [anon_sym___END__] = ACTIONS(3106),
    [anon_sym_EOT] = ACTIONS(3106),
    [anon_sym_if] = ACTIONS(3106),
    [anon_sym_unless] = ACTIONS(3106),
    [anon_sym_while] = ACTIONS(3106),
    [anon_sym_until] = ACTIONS(3106),
    [sym__PERLY_SEMICOLON] = ACTIONS(3106),
    [sym__ctrl_z_hack] = ACTIONS(3106),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1363] = {
    [sym_heredoc_content] = STATE(1363),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_and] = ACTIONS(3110),
    [anon_sym_or] = ACTIONS(3110),
    [anon_sym_xor] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_foreach] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3110),
    [anon_sym___END__] = ACTIONS(3110),
    [anon_sym_EOT] = ACTIONS(3110),
    [anon_sym_if] = ACTIONS(3110),
    [anon_sym_unless] = ACTIONS(3110),
    [anon_sym_while] = ACTIONS(3110),
    [anon_sym_until] = ACTIONS(3110),
    [sym__PERLY_SEMICOLON] = ACTIONS(3110),
    [sym__ctrl_z_hack] = ACTIONS(3110),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1364] = {
    [sym_heredoc_content] = STATE(1364),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_and] = ACTIONS(3114),
    [anon_sym_or] = ACTIONS(3114),
    [anon_sym_xor] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_foreach] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3114),
    [anon_sym___END__] = ACTIONS(3114),
    [anon_sym_EOT] = ACTIONS(3114),
    [anon_sym_if] = ACTIONS(3114),
    [anon_sym_unless] = ACTIONS(3114),
    [anon_sym_while] = ACTIONS(3114),
    [anon_sym_until] = ACTIONS(3114),
    [sym__PERLY_SEMICOLON] = ACTIONS(3114),
    [sym__ctrl_z_hack] = ACTIONS(3114),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1365] = {
    [sym_heredoc_content] = STATE(1365),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_and] = ACTIONS(3118),
    [anon_sym_or] = ACTIONS(3118),
    [anon_sym_xor] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_foreach] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3118),
    [anon_sym___END__] = ACTIONS(3118),
    [anon_sym_EOT] = ACTIONS(3118),
    [anon_sym_if] = ACTIONS(3118),
    [anon_sym_unless] = ACTIONS(3118),
    [anon_sym_while] = ACTIONS(3118),
    [anon_sym_until] = ACTIONS(3118),
    [sym__PERLY_SEMICOLON] = ACTIONS(3118),
    [sym__ctrl_z_hack] = ACTIONS(3118),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1366] = {
    [sym_heredoc_content] = STATE(1366),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_and] = ACTIONS(3122),
    [anon_sym_or] = ACTIONS(3122),
    [anon_sym_xor] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_foreach] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3122),
    [anon_sym___END__] = ACTIONS(3122),
    [anon_sym_EOT] = ACTIONS(3122),
    [anon_sym_if] = ACTIONS(3122),
    [anon_sym_unless] = ACTIONS(3122),
    [anon_sym_while] = ACTIONS(3122),
    [anon_sym_until] = ACTIONS(3122),
    [sym__PERLY_SEMICOLON] = ACTIONS(3122),
    [sym__ctrl_z_hack] = ACTIONS(3122),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1367] = {
    [sym_heredoc_content] = STATE(1367),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_and] = ACTIONS(3126),
    [anon_sym_or] = ACTIONS(3126),
    [anon_sym_xor] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_foreach] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3126),
    [anon_sym___END__] = ACTIONS(3126),
    [anon_sym_EOT] = ACTIONS(3126),
    [anon_sym_if] = ACTIONS(3126),
    [anon_sym_unless] = ACTIONS(3126),
    [anon_sym_while] = ACTIONS(3126),
    [anon_sym_until] = ACTIONS(3126),
    [sym__PERLY_SEMICOLON] = ACTIONS(3126),
    [sym__ctrl_z_hack] = ACTIONS(3126),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1368] = {
    [sym_heredoc_content] = STATE(1368),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_and] = ACTIONS(3130),
    [anon_sym_or] = ACTIONS(3130),
    [anon_sym_xor] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_foreach] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3130),
    [anon_sym___END__] = ACTIONS(3130),
    [anon_sym_EOT] = ACTIONS(3130),
    [anon_sym_if] = ACTIONS(3130),
    [anon_sym_unless] = ACTIONS(3130),
    [anon_sym_while] = ACTIONS(3130),
    [anon_sym_until] = ACTIONS(3130),
    [sym__PERLY_SEMICOLON] = ACTIONS(3130),
    [sym__ctrl_z_hack] = ACTIONS(3130),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1369] = {
    [sym_heredoc_content] = STATE(1369),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_and] = ACTIONS(3134),
    [anon_sym_or] = ACTIONS(3134),
    [anon_sym_xor] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_foreach] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3134),
    [anon_sym___END__] = ACTIONS(3134),
    [anon_sym_EOT] = ACTIONS(3134),
    [anon_sym_if] = ACTIONS(3134),
    [anon_sym_unless] = ACTIONS(3134),
    [anon_sym_while] = ACTIONS(3134),
    [anon_sym_until] = ACTIONS(3134),
    [sym__PERLY_SEMICOLON] = ACTIONS(3134),
    [sym__ctrl_z_hack] = ACTIONS(3134),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1370] = {
    [sym_heredoc_content] = STATE(1370),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_xor] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_foreach] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3138),
    [anon_sym___END__] = ACTIONS(3138),
    [anon_sym_EOT] = ACTIONS(3138),
    [anon_sym_if] = ACTIONS(3138),
    [anon_sym_unless] = ACTIONS(3138),
    [anon_sym_while] = ACTIONS(3138),
    [anon_sym_until] = ACTIONS(3138),
    [sym__PERLY_SEMICOLON] = ACTIONS(3138),
    [sym__ctrl_z_hack] = ACTIONS(3138),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1371] = {
    [sym_heredoc_content] = STATE(1371),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_and] = ACTIONS(3142),
    [anon_sym_or] = ACTIONS(3142),
    [anon_sym_xor] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_foreach] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3142),
    [anon_sym___END__] = ACTIONS(3142),
    [anon_sym_EOT] = ACTIONS(3142),
    [anon_sym_if] = ACTIONS(3142),
    [anon_sym_unless] = ACTIONS(3142),
    [anon_sym_while] = ACTIONS(3142),
    [anon_sym_until] = ACTIONS(3142),
    [sym__PERLY_SEMICOLON] = ACTIONS(3142),
    [sym__ctrl_z_hack] = ACTIONS(3142),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1372] = {
    [sym_heredoc_content] = STATE(1372),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_and] = ACTIONS(3146),
    [anon_sym_or] = ACTIONS(3146),
    [anon_sym_xor] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_foreach] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3146),
    [anon_sym___END__] = ACTIONS(3146),
    [anon_sym_EOT] = ACTIONS(3146),
    [anon_sym_if] = ACTIONS(3146),
    [anon_sym_unless] = ACTIONS(3146),
    [anon_sym_while] = ACTIONS(3146),
    [anon_sym_until] = ACTIONS(3146),
    [sym__PERLY_SEMICOLON] = ACTIONS(3146),
    [sym__ctrl_z_hack] = ACTIONS(3146),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1373] = {
    [sym_heredoc_content] = STATE(1373),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_and] = ACTIONS(3150),
    [anon_sym_or] = ACTIONS(3150),
    [anon_sym_xor] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_foreach] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3150),
    [anon_sym___END__] = ACTIONS(3150),
    [anon_sym_EOT] = ACTIONS(3150),
    [anon_sym_if] = ACTIONS(3150),
    [anon_sym_unless] = ACTIONS(3150),
    [anon_sym_while] = ACTIONS(3150),
    [anon_sym_until] = ACTIONS(3150),
    [sym__PERLY_SEMICOLON] = ACTIONS(3150),
    [sym__ctrl_z_hack] = ACTIONS(3150),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1374] = {
    [sym_heredoc_content] = STATE(1374),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_and] = ACTIONS(3154),
    [anon_sym_or] = ACTIONS(3154),
    [anon_sym_xor] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3154),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_foreach] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3154),
    [anon_sym___END__] = ACTIONS(3154),
    [anon_sym_EOT] = ACTIONS(3154),
    [anon_sym_if] = ACTIONS(3154),
    [anon_sym_unless] = ACTIONS(3154),
    [anon_sym_while] = ACTIONS(3154),
    [anon_sym_until] = ACTIONS(3154),
    [sym__PERLY_SEMICOLON] = ACTIONS(3154),
    [sym__ctrl_z_hack] = ACTIONS(3154),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1375] = {
    [sym_heredoc_content] = STATE(1375),
    [anon_sym_RBRACE] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_and] = ACTIONS(1973),
    [anon_sym_or] = ACTIONS(1973),
    [anon_sym_xor] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1973),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_foreach] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1973),
    [anon_sym___END__] = ACTIONS(1973),
    [anon_sym_EOT] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_unless] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_until] = ACTIONS(1973),
    [sym__PERLY_SEMICOLON] = ACTIONS(1973),
    [sym__ctrl_z_hack] = ACTIONS(1973),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1376] = {
    [sym_heredoc_content] = STATE(1376),
    [anon_sym_RBRACE] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_and] = ACTIONS(1973),
    [anon_sym_or] = ACTIONS(1973),
    [anon_sym_xor] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1973),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_foreach] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1973),
    [anon_sym___END__] = ACTIONS(1973),
    [anon_sym_EOT] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_unless] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_until] = ACTIONS(1973),
    [sym__PERLY_SEMICOLON] = ACTIONS(1973),
    [sym__ctrl_z_hack] = ACTIONS(1973),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1377] = {
    [sym_heredoc_content] = STATE(1377),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_xor] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_foreach] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3158),
    [anon_sym___END__] = ACTIONS(3158),
    [anon_sym_EOT] = ACTIONS(3158),
    [anon_sym_if] = ACTIONS(3158),
    [anon_sym_unless] = ACTIONS(3158),
    [anon_sym_while] = ACTIONS(3158),
    [anon_sym_until] = ACTIONS(3158),
    [sym__PERLY_SEMICOLON] = ACTIONS(3158),
    [sym__ctrl_z_hack] = ACTIONS(3158),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1378] = {
    [sym_heredoc_content] = STATE(1378),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_and] = ACTIONS(3162),
    [anon_sym_or] = ACTIONS(3162),
    [anon_sym_xor] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_foreach] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3162),
    [anon_sym___END__] = ACTIONS(3162),
    [anon_sym_EOT] = ACTIONS(3162),
    [anon_sym_if] = ACTIONS(3162),
    [anon_sym_unless] = ACTIONS(3162),
    [anon_sym_while] = ACTIONS(3162),
    [anon_sym_until] = ACTIONS(3162),
    [sym__PERLY_SEMICOLON] = ACTIONS(3162),
    [sym__ctrl_z_hack] = ACTIONS(3162),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1379] = {
    [sym_heredoc_content] = STATE(1379),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_and] = ACTIONS(3166),
    [anon_sym_or] = ACTIONS(3166),
    [anon_sym_xor] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3166),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_foreach] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3166),
    [anon_sym___END__] = ACTIONS(3166),
    [anon_sym_EOT] = ACTIONS(3166),
    [anon_sym_if] = ACTIONS(3166),
    [anon_sym_unless] = ACTIONS(3166),
    [anon_sym_while] = ACTIONS(3166),
    [anon_sym_until] = ACTIONS(3166),
    [sym__PERLY_SEMICOLON] = ACTIONS(3166),
    [sym__ctrl_z_hack] = ACTIONS(3166),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1380] = {
    [sym_heredoc_content] = STATE(1380),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_RPAREN] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_and] = ACTIONS(3170),
    [anon_sym_or] = ACTIONS(3170),
    [anon_sym_xor] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3170),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_foreach] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3170),
    [anon_sym___END__] = ACTIONS(3170),
    [anon_sym_EOT] = ACTIONS(3170),
    [anon_sym_if] = ACTIONS(3170),
    [anon_sym_unless] = ACTIONS(3170),
    [anon_sym_while] = ACTIONS(3170),
    [anon_sym_until] = ACTIONS(3170),
    [sym__PERLY_SEMICOLON] = ACTIONS(3170),
    [sym__ctrl_z_hack] = ACTIONS(3170),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1381] = {
    [sym_heredoc_content] = STATE(1381),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(2681),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RPAREN] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2687),
    [anon_sym_and] = ACTIONS(3174),
    [anon_sym_or] = ACTIONS(3174),
    [anon_sym_xor] = ACTIONS(3174),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2683),
    [anon_sym_PLUS_EQ] = ACTIONS(2683),
    [anon_sym_DASH_EQ] = ACTIONS(2683),
    [anon_sym_DOT_EQ] = ACTIONS(2683),
    [anon_sym_STAR_EQ] = ACTIONS(2683),
    [anon_sym_SLASH_EQ] = ACTIONS(2683),
    [anon_sym_PERCENT_EQ] = ACTIONS(2683),
    [anon_sym_x_EQ] = ACTIONS(2683),
    [anon_sym_AMP_EQ] = ACTIONS(2683),
    [anon_sym_PIPE_EQ] = ACTIONS(2683),
    [anon_sym_CARET_EQ] = ACTIONS(2683),
    [anon_sym_LT_LT_EQ] = ACTIONS(2683),
    [anon_sym_GT_GT_EQ] = ACTIONS(2683),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2683),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(2701),
    [anon_sym_CARET_CARET] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2727),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_foreach] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3174),
    [anon_sym___END__] = ACTIONS(3174),
    [anon_sym_EOT] = ACTIONS(3174),
    [anon_sym_if] = ACTIONS(3174),
    [anon_sym_unless] = ACTIONS(3174),
    [anon_sym_while] = ACTIONS(3174),
    [anon_sym_until] = ACTIONS(3174),
    [sym__PERLY_SEMICOLON] = ACTIONS(3174),
    [sym__ctrl_z_hack] = ACTIONS(3174),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1382] = {
    [sym_heredoc_content] = STATE(1382),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_and] = ACTIONS(3178),
    [anon_sym_or] = ACTIONS(3178),
    [anon_sym_xor] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3178),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_foreach] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3178),
    [anon_sym___END__] = ACTIONS(3178),
    [anon_sym_EOT] = ACTIONS(3178),
    [anon_sym_if] = ACTIONS(3178),
    [anon_sym_unless] = ACTIONS(3178),
    [anon_sym_while] = ACTIONS(3178),
    [anon_sym_until] = ACTIONS(3178),
    [sym__PERLY_SEMICOLON] = ACTIONS(3178),
    [sym__ctrl_z_hack] = ACTIONS(3178),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1383] = {
    [sym_heredoc_content] = STATE(1383),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_RPAREN] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_and] = ACTIONS(3182),
    [anon_sym_or] = ACTIONS(3182),
    [anon_sym_xor] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3182),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [anon_sym_for] = ACTIONS(3184),
    [anon_sym_foreach] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3182),
    [anon_sym___END__] = ACTIONS(3182),
    [anon_sym_EOT] = ACTIONS(3182),
    [anon_sym_if] = ACTIONS(3182),
    [anon_sym_unless] = ACTIONS(3182),
    [anon_sym_while] = ACTIONS(3182),
    [anon_sym_until] = ACTIONS(3182),
    [sym__PERLY_SEMICOLON] = ACTIONS(3182),
    [sym__ctrl_z_hack] = ACTIONS(3182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1384] = {
    [sym_heredoc_content] = STATE(1384),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_xor] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [anon_sym_for] = ACTIONS(3188),
    [anon_sym_foreach] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3186),
    [anon_sym___END__] = ACTIONS(3186),
    [anon_sym_EOT] = ACTIONS(3186),
    [anon_sym_if] = ACTIONS(3186),
    [anon_sym_unless] = ACTIONS(3186),
    [anon_sym_while] = ACTIONS(3186),
    [anon_sym_until] = ACTIONS(3186),
    [sym__PERLY_SEMICOLON] = ACTIONS(3186),
    [sym__ctrl_z_hack] = ACTIONS(3186),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1385] = {
    [sym_heredoc_content] = STATE(1385),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_and] = ACTIONS(3190),
    [anon_sym_or] = ACTIONS(3190),
    [anon_sym_xor] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3190),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [anon_sym_for] = ACTIONS(3192),
    [anon_sym_foreach] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3190),
    [anon_sym___END__] = ACTIONS(3190),
    [anon_sym_EOT] = ACTIONS(3190),
    [anon_sym_if] = ACTIONS(3190),
    [anon_sym_unless] = ACTIONS(3190),
    [anon_sym_while] = ACTIONS(3190),
    [anon_sym_until] = ACTIONS(3190),
    [sym__PERLY_SEMICOLON] = ACTIONS(3190),
    [sym__ctrl_z_hack] = ACTIONS(3190),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1386] = {
    [sym_heredoc_content] = STATE(1386),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_and] = ACTIONS(3194),
    [anon_sym_or] = ACTIONS(3194),
    [anon_sym_xor] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3194),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [anon_sym_for] = ACTIONS(3196),
    [anon_sym_foreach] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3194),
    [anon_sym___END__] = ACTIONS(3194),
    [anon_sym_EOT] = ACTIONS(3194),
    [anon_sym_if] = ACTIONS(3194),
    [anon_sym_unless] = ACTIONS(3194),
    [anon_sym_while] = ACTIONS(3194),
    [anon_sym_until] = ACTIONS(3194),
    [sym__PERLY_SEMICOLON] = ACTIONS(3194),
    [sym__ctrl_z_hack] = ACTIONS(3194),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1387] = {
    [sym_heredoc_content] = STATE(1387),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_foreach] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2474),
    [anon_sym___END__] = ACTIONS(2474),
    [anon_sym_EOT] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_unless] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_until] = ACTIONS(2474),
    [sym__PERLY_SEMICOLON] = ACTIONS(2474),
    [sym__ctrl_z_hack] = ACTIONS(2474),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1388] = {
    [sym_heredoc_content] = STATE(1388),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_RPAREN] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_and] = ACTIONS(3198),
    [anon_sym_or] = ACTIONS(3198),
    [anon_sym_xor] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3198),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [anon_sym_for] = ACTIONS(3200),
    [anon_sym_foreach] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3198),
    [anon_sym___END__] = ACTIONS(3198),
    [anon_sym_EOT] = ACTIONS(3198),
    [anon_sym_if] = ACTIONS(3198),
    [anon_sym_unless] = ACTIONS(3198),
    [anon_sym_while] = ACTIONS(3198),
    [anon_sym_until] = ACTIONS(3198),
    [sym__PERLY_SEMICOLON] = ACTIONS(3198),
    [sym__ctrl_z_hack] = ACTIONS(3198),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1389] = {
    [sym_heredoc_content] = STATE(1389),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_RPAREN] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_and] = ACTIONS(3202),
    [anon_sym_or] = ACTIONS(3202),
    [anon_sym_xor] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3202),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [anon_sym_for] = ACTIONS(3204),
    [anon_sym_foreach] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3202),
    [anon_sym___END__] = ACTIONS(3202),
    [anon_sym_EOT] = ACTIONS(3202),
    [anon_sym_if] = ACTIONS(3202),
    [anon_sym_unless] = ACTIONS(3202),
    [anon_sym_while] = ACTIONS(3202),
    [anon_sym_until] = ACTIONS(3202),
    [sym__PERLY_SEMICOLON] = ACTIONS(3202),
    [sym__ctrl_z_hack] = ACTIONS(3202),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1390] = {
    [sym_heredoc_content] = STATE(1390),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_RPAREN] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_and] = ACTIONS(3206),
    [anon_sym_or] = ACTIONS(3206),
    [anon_sym_xor] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3206),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [anon_sym_for] = ACTIONS(3208),
    [anon_sym_foreach] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3206),
    [anon_sym___END__] = ACTIONS(3206),
    [anon_sym_EOT] = ACTIONS(3206),
    [anon_sym_if] = ACTIONS(3206),
    [anon_sym_unless] = ACTIONS(3206),
    [anon_sym_while] = ACTIONS(3206),
    [anon_sym_until] = ACTIONS(3206),
    [sym__PERLY_SEMICOLON] = ACTIONS(3206),
    [sym__ctrl_z_hack] = ACTIONS(3206),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1391] = {
    [sym_heredoc_content] = STATE(1391),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_and] = ACTIONS(3210),
    [anon_sym_or] = ACTIONS(3210),
    [anon_sym_xor] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [anon_sym_for] = ACTIONS(3212),
    [anon_sym_foreach] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3210),
    [anon_sym___END__] = ACTIONS(3210),
    [anon_sym_EOT] = ACTIONS(3210),
    [anon_sym_if] = ACTIONS(3210),
    [anon_sym_unless] = ACTIONS(3210),
    [anon_sym_while] = ACTIONS(3210),
    [anon_sym_until] = ACTIONS(3210),
    [sym__PERLY_SEMICOLON] = ACTIONS(3210),
    [sym__ctrl_z_hack] = ACTIONS(3210),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1392] = {
    [sym_heredoc_content] = STATE(1392),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_and] = ACTIONS(3214),
    [anon_sym_or] = ACTIONS(3214),
    [anon_sym_xor] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [anon_sym_for] = ACTIONS(3216),
    [anon_sym_foreach] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3214),
    [anon_sym___END__] = ACTIONS(3214),
    [anon_sym_EOT] = ACTIONS(3214),
    [anon_sym_if] = ACTIONS(3214),
    [anon_sym_unless] = ACTIONS(3214),
    [anon_sym_while] = ACTIONS(3214),
    [anon_sym_until] = ACTIONS(3214),
    [sym__PERLY_SEMICOLON] = ACTIONS(3214),
    [sym__ctrl_z_hack] = ACTIONS(3214),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1393] = {
    [sym_heredoc_content] = STATE(1393),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_and] = ACTIONS(3218),
    [anon_sym_or] = ACTIONS(3218),
    [anon_sym_xor] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [anon_sym_for] = ACTIONS(3220),
    [anon_sym_foreach] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3218),
    [anon_sym___END__] = ACTIONS(3218),
    [anon_sym_EOT] = ACTIONS(3218),
    [anon_sym_if] = ACTIONS(3218),
    [anon_sym_unless] = ACTIONS(3218),
    [anon_sym_while] = ACTIONS(3218),
    [anon_sym_until] = ACTIONS(3218),
    [sym__PERLY_SEMICOLON] = ACTIONS(3218),
    [sym__ctrl_z_hack] = ACTIONS(3218),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1394] = {
    [sym_heredoc_content] = STATE(1394),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_and] = ACTIONS(3222),
    [anon_sym_or] = ACTIONS(3222),
    [anon_sym_xor] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3224),
    [anon_sym_foreach] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3222),
    [anon_sym___END__] = ACTIONS(3222),
    [anon_sym_EOT] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_unless] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [anon_sym_until] = ACTIONS(3222),
    [sym__PERLY_SEMICOLON] = ACTIONS(3222),
    [sym__ctrl_z_hack] = ACTIONS(3222),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1395] = {
    [sym_heredoc_content] = STATE(1395),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_and] = ACTIONS(3226),
    [anon_sym_or] = ACTIONS(3226),
    [anon_sym_xor] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [anon_sym_for] = ACTIONS(3228),
    [anon_sym_foreach] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3226),
    [anon_sym___END__] = ACTIONS(3226),
    [anon_sym_EOT] = ACTIONS(3226),
    [anon_sym_if] = ACTIONS(3226),
    [anon_sym_unless] = ACTIONS(3226),
    [anon_sym_while] = ACTIONS(3226),
    [anon_sym_until] = ACTIONS(3226),
    [sym__PERLY_SEMICOLON] = ACTIONS(3226),
    [sym__ctrl_z_hack] = ACTIONS(3226),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1396] = {
    [sym_heredoc_content] = STATE(1396),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_RPAREN] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_and] = ACTIONS(3230),
    [anon_sym_or] = ACTIONS(3230),
    [anon_sym_xor] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [anon_sym_for] = ACTIONS(3232),
    [anon_sym_foreach] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3230),
    [anon_sym___END__] = ACTIONS(3230),
    [anon_sym_EOT] = ACTIONS(3230),
    [anon_sym_if] = ACTIONS(3230),
    [anon_sym_unless] = ACTIONS(3230),
    [anon_sym_while] = ACTIONS(3230),
    [anon_sym_until] = ACTIONS(3230),
    [sym__PERLY_SEMICOLON] = ACTIONS(3230),
    [sym__ctrl_z_hack] = ACTIONS(3230),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1397] = {
    [sym_heredoc_content] = STATE(1397),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_RPAREN] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_and] = ACTIONS(3234),
    [anon_sym_or] = ACTIONS(3234),
    [anon_sym_xor] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [anon_sym_for] = ACTIONS(3236),
    [anon_sym_foreach] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3234),
    [anon_sym___END__] = ACTIONS(3234),
    [anon_sym_EOT] = ACTIONS(3234),
    [anon_sym_if] = ACTIONS(3234),
    [anon_sym_unless] = ACTIONS(3234),
    [anon_sym_while] = ACTIONS(3234),
    [anon_sym_until] = ACTIONS(3234),
    [sym__PERLY_SEMICOLON] = ACTIONS(3234),
    [sym__ctrl_z_hack] = ACTIONS(3234),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1398] = {
    [sym_heredoc_content] = STATE(1398),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_RPAREN] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_and] = ACTIONS(3238),
    [anon_sym_or] = ACTIONS(3238),
    [anon_sym_xor] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [anon_sym_for] = ACTIONS(3240),
    [anon_sym_foreach] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3238),
    [anon_sym___END__] = ACTIONS(3238),
    [anon_sym_EOT] = ACTIONS(3238),
    [anon_sym_if] = ACTIONS(3238),
    [anon_sym_unless] = ACTIONS(3238),
    [anon_sym_while] = ACTIONS(3238),
    [anon_sym_until] = ACTIONS(3238),
    [sym__PERLY_SEMICOLON] = ACTIONS(3238),
    [sym__ctrl_z_hack] = ACTIONS(3238),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1399] = {
    [sym_heredoc_content] = STATE(1399),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_RPAREN] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3242),
    [anon_sym_xor] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [anon_sym_for] = ACTIONS(3244),
    [anon_sym_foreach] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3242),
    [anon_sym___END__] = ACTIONS(3242),
    [anon_sym_EOT] = ACTIONS(3242),
    [anon_sym_if] = ACTIONS(3242),
    [anon_sym_unless] = ACTIONS(3242),
    [anon_sym_while] = ACTIONS(3242),
    [anon_sym_until] = ACTIONS(3242),
    [sym__PERLY_SEMICOLON] = ACTIONS(3242),
    [sym__ctrl_z_hack] = ACTIONS(3242),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1400] = {
    [sym_heredoc_content] = STATE(1400),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_and] = ACTIONS(3246),
    [anon_sym_or] = ACTIONS(3246),
    [anon_sym_xor] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [anon_sym_for] = ACTIONS(3248),
    [anon_sym_foreach] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3246),
    [anon_sym___END__] = ACTIONS(3246),
    [anon_sym_EOT] = ACTIONS(3246),
    [anon_sym_if] = ACTIONS(3246),
    [anon_sym_unless] = ACTIONS(3246),
    [anon_sym_while] = ACTIONS(3246),
    [anon_sym_until] = ACTIONS(3246),
    [sym__PERLY_SEMICOLON] = ACTIONS(3246),
    [sym__ctrl_z_hack] = ACTIONS(3246),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1401] = {
    [sym_heredoc_content] = STATE(1401),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RPAREN] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_and] = ACTIONS(3250),
    [anon_sym_or] = ACTIONS(3250),
    [anon_sym_xor] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3250),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [anon_sym_for] = ACTIONS(3252),
    [anon_sym_foreach] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3250),
    [anon_sym___END__] = ACTIONS(3250),
    [anon_sym_EOT] = ACTIONS(3250),
    [anon_sym_if] = ACTIONS(3250),
    [anon_sym_unless] = ACTIONS(3250),
    [anon_sym_while] = ACTIONS(3250),
    [anon_sym_until] = ACTIONS(3250),
    [sym__PERLY_SEMICOLON] = ACTIONS(3250),
    [sym__ctrl_z_hack] = ACTIONS(3250),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1402] = {
    [sym_heredoc_content] = STATE(1402),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_RPAREN] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_and] = ACTIONS(3254),
    [anon_sym_or] = ACTIONS(3254),
    [anon_sym_xor] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3254),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [anon_sym_for] = ACTIONS(3256),
    [anon_sym_foreach] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3254),
    [anon_sym___END__] = ACTIONS(3254),
    [anon_sym_EOT] = ACTIONS(3254),
    [anon_sym_if] = ACTIONS(3254),
    [anon_sym_unless] = ACTIONS(3254),
    [anon_sym_while] = ACTIONS(3254),
    [anon_sym_until] = ACTIONS(3254),
    [sym__PERLY_SEMICOLON] = ACTIONS(3254),
    [sym__ctrl_z_hack] = ACTIONS(3254),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1403] = {
    [sym_heredoc_content] = STATE(1403),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_RPAREN] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3258),
    [anon_sym_and] = ACTIONS(3258),
    [anon_sym_or] = ACTIONS(3258),
    [anon_sym_xor] = ACTIONS(3258),
    [anon_sym_DASH_GT] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3260),
    [anon_sym_PERCENT] = ACTIONS(3260),
    [anon_sym_GT] = ACTIONS(3260),
    [anon_sym_LT_LT] = ACTIONS(3260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3260),
    [anon_sym_STAR_STAR] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE] = ACTIONS(3260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3260),
    [anon_sym_CARET_CARET] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3260),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_GT_GT2] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_DOT] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_x] = ACTIONS(3260),
    [anon_sym_EQ_TILDE] = ACTIONS(3258),
    [anon_sym_BANG_TILDE] = ACTIONS(3258),
    [anon_sym_EQ_EQ] = ACTIONS(3260),
    [anon_sym_BANG_EQ] = ACTIONS(3258),
    [anon_sym_eq] = ACTIONS(3260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3258),
    [anon_sym_equ] = ACTIONS(3258),
    [anon_sym_eqr] = ACTIONS(3258),
    [anon_sym_ne] = ACTIONS(3258),
    [anon_sym_LT_EQ_GT] = ACTIONS(3258),
    [anon_sym_cmp] = ACTIONS(3258),
    [anon_sym_TILDE_TILDE] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_LT_EQ] = ACTIONS(3260),
    [anon_sym_GT_EQ] = ACTIONS(3258),
    [anon_sym_lt] = ACTIONS(3258),
    [anon_sym_le] = ACTIONS(3258),
    [anon_sym_ge] = ACTIONS(3258),
    [anon_sym_gt] = ACTIONS(3258),
    [anon_sym_isa] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_QMARK] = ACTIONS(3258),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [anon_sym_for] = ACTIONS(3260),
    [anon_sym_foreach] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3258),
    [anon_sym___END__] = ACTIONS(3258),
    [anon_sym_EOT] = ACTIONS(3258),
    [anon_sym_if] = ACTIONS(3258),
    [anon_sym_unless] = ACTIONS(3258),
    [anon_sym_while] = ACTIONS(3258),
    [anon_sym_until] = ACTIONS(3258),
    [sym__PERLY_SEMICOLON] = ACTIONS(3258),
    [sym__ctrl_z_hack] = ACTIONS(3258),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1404] = {
    [sym_heredoc_content] = STATE(1404),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_RPAREN] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_and] = ACTIONS(3262),
    [anon_sym_or] = ACTIONS(3262),
    [anon_sym_xor] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3262),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [anon_sym_for] = ACTIONS(3264),
    [anon_sym_foreach] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3262),
    [anon_sym___END__] = ACTIONS(3262),
    [anon_sym_EOT] = ACTIONS(3262),
    [anon_sym_if] = ACTIONS(3262),
    [anon_sym_unless] = ACTIONS(3262),
    [anon_sym_while] = ACTIONS(3262),
    [anon_sym_until] = ACTIONS(3262),
    [sym__PERLY_SEMICOLON] = ACTIONS(3262),
    [sym__ctrl_z_hack] = ACTIONS(3262),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1405] = {
    [sym_heredoc_content] = STATE(1405),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_RPAREN] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_and] = ACTIONS(3266),
    [anon_sym_or] = ACTIONS(3266),
    [anon_sym_xor] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [anon_sym_for] = ACTIONS(3268),
    [anon_sym_foreach] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3266),
    [anon_sym___END__] = ACTIONS(3266),
    [anon_sym_EOT] = ACTIONS(3266),
    [anon_sym_if] = ACTIONS(3266),
    [anon_sym_unless] = ACTIONS(3266),
    [anon_sym_while] = ACTIONS(3266),
    [anon_sym_until] = ACTIONS(3266),
    [sym__PERLY_SEMICOLON] = ACTIONS(3266),
    [sym__ctrl_z_hack] = ACTIONS(3266),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1406] = {
    [sym_heredoc_content] = STATE(1406),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_and] = ACTIONS(3270),
    [anon_sym_or] = ACTIONS(3270),
    [anon_sym_xor] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [anon_sym_for] = ACTIONS(3272),
    [anon_sym_foreach] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3270),
    [anon_sym___END__] = ACTIONS(3270),
    [anon_sym_EOT] = ACTIONS(3270),
    [anon_sym_if] = ACTIONS(3270),
    [anon_sym_unless] = ACTIONS(3270),
    [anon_sym_while] = ACTIONS(3270),
    [anon_sym_until] = ACTIONS(3270),
    [sym__PERLY_SEMICOLON] = ACTIONS(3270),
    [sym__ctrl_z_hack] = ACTIONS(3270),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1407] = {
    [sym_heredoc_content] = STATE(1407),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2687),
    [anon_sym_and] = ACTIONS(3274),
    [anon_sym_or] = ACTIONS(3274),
    [anon_sym_xor] = ACTIONS(3274),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2691),
    [anon_sym_PERCENT] = ACTIONS(2691),
    [anon_sym_GT] = ACTIONS(2693),
    [anon_sym_LT_LT] = ACTIONS(2695),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_STAR_STAR] = ACTIONS(2699),
    [anon_sym_PIPE_PIPE] = ACTIONS(2701),
    [anon_sym_SLASH_SLASH] = ACTIONS(2701),
    [anon_sym_CARET_CARET] = ACTIONS(2703),
    [anon_sym_AMP_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2707),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_GT_GT2] = ACTIONS(2695),
    [anon_sym_PLUS] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2711),
    [anon_sym_DOT] = ACTIONS(2711),
    [anon_sym_SLASH] = ACTIONS(2691),
    [anon_sym_x] = ACTIONS(2691),
    [anon_sym_EQ_TILDE] = ACTIONS(2713),
    [anon_sym_BANG_TILDE] = ACTIONS(2713),
    [anon_sym_EQ_EQ] = ACTIONS(2715),
    [anon_sym_BANG_EQ] = ACTIONS(2717),
    [anon_sym_eq] = ACTIONS(2715),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2717),
    [anon_sym_equ] = ACTIONS(2717),
    [anon_sym_eqr] = ACTIONS(2717),
    [anon_sym_ne] = ACTIONS(2717),
    [anon_sym_LT_EQ_GT] = ACTIONS(2719),
    [anon_sym_cmp] = ACTIONS(2719),
    [anon_sym_TILDE_TILDE] = ACTIONS(2719),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_LT_EQ] = ACTIONS(2693),
    [anon_sym_GT_EQ] = ACTIONS(2721),
    [anon_sym_lt] = ACTIONS(2721),
    [anon_sym_le] = ACTIONS(2721),
    [anon_sym_ge] = ACTIONS(2721),
    [anon_sym_gt] = ACTIONS(2721),
    [anon_sym_isa] = ACTIONS(2723),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2727),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [anon_sym_for] = ACTIONS(3276),
    [anon_sym_foreach] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3274),
    [anon_sym___END__] = ACTIONS(3274),
    [anon_sym_EOT] = ACTIONS(3274),
    [anon_sym_if] = ACTIONS(3274),
    [anon_sym_unless] = ACTIONS(3274),
    [anon_sym_while] = ACTIONS(3274),
    [anon_sym_until] = ACTIONS(3274),
    [sym__PERLY_SEMICOLON] = ACTIONS(3274),
    [sym__ctrl_z_hack] = ACTIONS(3274),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1408] = {
    [sym_heredoc_content] = STATE(1408),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_RPAREN] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_and] = ACTIONS(3278),
    [anon_sym_or] = ACTIONS(3278),
    [anon_sym_xor] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_foreach] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3278),
    [anon_sym___END__] = ACTIONS(3278),
    [anon_sym_EOT] = ACTIONS(3278),
    [anon_sym_if] = ACTIONS(3278),
    [anon_sym_unless] = ACTIONS(3278),
    [anon_sym_while] = ACTIONS(3278),
    [anon_sym_until] = ACTIONS(3278),
    [sym__PERLY_SEMICOLON] = ACTIONS(3278),
    [sym__ctrl_z_hack] = ACTIONS(3278),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1409] = {
    [sym_heredoc_content] = STATE(1409),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_and] = ACTIONS(1711),
    [anon_sym_or] = ACTIONS(1711),
    [anon_sym_xor] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1711),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1709),
    [anon_sym_foreach] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(1711),
    [anon_sym___END__] = ACTIONS(1711),
    [anon_sym_EOT] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_unless] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1711),
    [anon_sym_until] = ACTIONS(1711),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym__ctrl_z_hack] = ACTIONS(1711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1410] = {
    [sym_heredoc_content] = STATE(1410),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_RPAREN] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_and] = ACTIONS(3282),
    [anon_sym_or] = ACTIONS(3282),
    [anon_sym_xor] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [anon_sym_for] = ACTIONS(3284),
    [anon_sym_foreach] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3282),
    [anon_sym___END__] = ACTIONS(3282),
    [anon_sym_EOT] = ACTIONS(3282),
    [anon_sym_if] = ACTIONS(3282),
    [anon_sym_unless] = ACTIONS(3282),
    [anon_sym_while] = ACTIONS(3282),
    [anon_sym_until] = ACTIONS(3282),
    [sym__PERLY_SEMICOLON] = ACTIONS(3282),
    [sym__ctrl_z_hack] = ACTIONS(3282),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1411] = {
    [sym_heredoc_content] = STATE(1411),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_RPAREN] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_and] = ACTIONS(3286),
    [anon_sym_or] = ACTIONS(3286),
    [anon_sym_xor] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3286),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3288),
    [anon_sym_foreach] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3286),
    [anon_sym___END__] = ACTIONS(3286),
    [anon_sym_EOT] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_unless] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_until] = ACTIONS(3286),
    [sym__PERLY_SEMICOLON] = ACTIONS(3286),
    [sym__ctrl_z_hack] = ACTIONS(3286),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1412] = {
    [sym_heredoc_content] = STATE(1412),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_RPAREN] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_and] = ACTIONS(3290),
    [anon_sym_or] = ACTIONS(3290),
    [anon_sym_xor] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3290),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3292),
    [anon_sym_foreach] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3290),
    [anon_sym___END__] = ACTIONS(3290),
    [anon_sym_EOT] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_unless] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_until] = ACTIONS(3290),
    [sym__PERLY_SEMICOLON] = ACTIONS(3290),
    [sym__ctrl_z_hack] = ACTIONS(3290),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1413] = {
    [sym_heredoc_content] = STATE(1413),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_RPAREN] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(3294),
    [anon_sym_or] = ACTIONS(3294),
    [anon_sym_xor] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3294),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3296),
    [anon_sym_foreach] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3294),
    [anon_sym___END__] = ACTIONS(3294),
    [anon_sym_EOT] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_unless] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_until] = ACTIONS(3294),
    [sym__PERLY_SEMICOLON] = ACTIONS(3294),
    [sym__ctrl_z_hack] = ACTIONS(3294),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1414] = {
    [sym_heredoc_content] = STATE(1414),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_RPAREN] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_and] = ACTIONS(3298),
    [anon_sym_or] = ACTIONS(3298),
    [anon_sym_xor] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3298),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3300),
    [anon_sym_foreach] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3298),
    [anon_sym___END__] = ACTIONS(3298),
    [anon_sym_EOT] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_unless] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_until] = ACTIONS(3298),
    [sym__PERLY_SEMICOLON] = ACTIONS(3298),
    [sym__ctrl_z_hack] = ACTIONS(3298),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1415] = {
    [sym_heredoc_content] = STATE(1415),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_RPAREN] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_and] = ACTIONS(3302),
    [anon_sym_or] = ACTIONS(3302),
    [anon_sym_xor] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3302),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3304),
    [anon_sym_foreach] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3302),
    [anon_sym___END__] = ACTIONS(3302),
    [anon_sym_EOT] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_unless] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_until] = ACTIONS(3302),
    [sym__PERLY_SEMICOLON] = ACTIONS(3302),
    [sym__ctrl_z_hack] = ACTIONS(3302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1416] = {
    [sym_heredoc_content] = STATE(1416),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_RPAREN] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_and] = ACTIONS(3306),
    [anon_sym_or] = ACTIONS(3306),
    [anon_sym_xor] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3306),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3308),
    [anon_sym_foreach] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3306),
    [anon_sym___END__] = ACTIONS(3306),
    [anon_sym_EOT] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_unless] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_until] = ACTIONS(3306),
    [sym__PERLY_SEMICOLON] = ACTIONS(3306),
    [sym__ctrl_z_hack] = ACTIONS(3306),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1417] = {
    [sym_heredoc_content] = STATE(1417),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_RPAREN] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_and] = ACTIONS(3310),
    [anon_sym_or] = ACTIONS(3310),
    [anon_sym_xor] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3310),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3312),
    [anon_sym_foreach] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3310),
    [anon_sym___END__] = ACTIONS(3310),
    [anon_sym_EOT] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_unless] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_until] = ACTIONS(3310),
    [sym__PERLY_SEMICOLON] = ACTIONS(3310),
    [sym__ctrl_z_hack] = ACTIONS(3310),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1418] = {
    [sym_heredoc_content] = STATE(1418),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_and] = ACTIONS(3314),
    [anon_sym_or] = ACTIONS(3314),
    [anon_sym_xor] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3314),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [anon_sym_for] = ACTIONS(3316),
    [anon_sym_foreach] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3314),
    [anon_sym___END__] = ACTIONS(3314),
    [anon_sym_EOT] = ACTIONS(3314),
    [anon_sym_if] = ACTIONS(3314),
    [anon_sym_unless] = ACTIONS(3314),
    [anon_sym_while] = ACTIONS(3314),
    [anon_sym_until] = ACTIONS(3314),
    [sym__PERLY_SEMICOLON] = ACTIONS(3314),
    [sym__ctrl_z_hack] = ACTIONS(3314),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1419] = {
    [sym_heredoc_content] = STATE(1419),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym_EQ] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_RPAREN] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3318),
    [anon_sym_and] = ACTIONS(3318),
    [anon_sym_or] = ACTIONS(3318),
    [anon_sym_xor] = ACTIONS(3318),
    [anon_sym_DASH_GT] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3320),
    [anon_sym_PERCENT] = ACTIONS(3320),
    [anon_sym_GT] = ACTIONS(3320),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3318),
    [anon_sym_PLUS_EQ] = ACTIONS(3318),
    [anon_sym_DASH_EQ] = ACTIONS(3318),
    [anon_sym_DOT_EQ] = ACTIONS(3318),
    [anon_sym_STAR_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_PERCENT_EQ] = ACTIONS(3318),
    [anon_sym_x_EQ] = ACTIONS(3318),
    [anon_sym_AMP_EQ] = ACTIONS(3318),
    [anon_sym_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_CARET_EQ] = ACTIONS(3318),
    [anon_sym_LT_LT_EQ] = ACTIONS(3318),
    [anon_sym_GT_GT_EQ] = ACTIONS(3318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3318),
    [anon_sym_DOT_DOT] = ACTIONS(3320),
    [anon_sym_STAR_STAR] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE] = ACTIONS(3320),
    [anon_sym_SLASH_SLASH] = ACTIONS(3320),
    [anon_sym_CARET_CARET] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3320),
    [anon_sym_PIPE] = ACTIONS(3320),
    [anon_sym_CARET] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym_GT_GT2] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_DOT] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_x] = ACTIONS(3320),
    [anon_sym_EQ_TILDE] = ACTIONS(3318),
    [anon_sym_BANG_TILDE] = ACTIONS(3318),
    [anon_sym_EQ_EQ] = ACTIONS(3320),
    [anon_sym_BANG_EQ] = ACTIONS(3318),
    [anon_sym_eq] = ACTIONS(3320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3318),
    [anon_sym_equ] = ACTIONS(3318),
    [anon_sym_eqr] = ACTIONS(3318),
    [anon_sym_ne] = ACTIONS(3318),
    [anon_sym_LT_EQ_GT] = ACTIONS(3318),
    [anon_sym_cmp] = ACTIONS(3318),
    [anon_sym_TILDE_TILDE] = ACTIONS(3318),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_LT_EQ] = ACTIONS(3320),
    [anon_sym_GT_EQ] = ACTIONS(3318),
    [anon_sym_lt] = ACTIONS(3318),
    [anon_sym_le] = ACTIONS(3318),
    [anon_sym_ge] = ACTIONS(3318),
    [anon_sym_gt] = ACTIONS(3318),
    [anon_sym_isa] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_QMARK] = ACTIONS(3318),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [anon_sym_for] = ACTIONS(3320),
    [anon_sym_foreach] = ACTIONS(3318),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3318),
    [anon_sym___END__] = ACTIONS(3318),
    [anon_sym_EOT] = ACTIONS(3318),
    [anon_sym_if] = ACTIONS(3318),
    [anon_sym_unless] = ACTIONS(3318),
    [anon_sym_while] = ACTIONS(3318),
    [anon_sym_until] = ACTIONS(3318),
    [sym__PERLY_SEMICOLON] = ACTIONS(3318),
    [sym__ctrl_z_hack] = ACTIONS(3318),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1420] = {
    [sym_heredoc_content] = STATE(1420),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_EQ] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_COMMA] = ACTIONS(3322),
    [anon_sym_RPAREN] = ACTIONS(3322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3322),
    [anon_sym_and] = ACTIONS(3322),
    [anon_sym_or] = ACTIONS(3322),
    [anon_sym_xor] = ACTIONS(3322),
    [anon_sym_DASH_GT] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_PERCENT] = ACTIONS(3324),
    [anon_sym_GT] = ACTIONS(3324),
    [anon_sym_LT_LT] = ACTIONS(3324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3322),
    [anon_sym_PLUS_EQ] = ACTIONS(3322),
    [anon_sym_DASH_EQ] = ACTIONS(3322),
    [anon_sym_DOT_EQ] = ACTIONS(3322),
    [anon_sym_STAR_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_PERCENT_EQ] = ACTIONS(3322),
    [anon_sym_x_EQ] = ACTIONS(3322),
    [anon_sym_AMP_EQ] = ACTIONS(3322),
    [anon_sym_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_CARET_EQ] = ACTIONS(3322),
    [anon_sym_LT_LT_EQ] = ACTIONS(3322),
    [anon_sym_GT_GT_EQ] = ACTIONS(3322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3322),
    [anon_sym_DOT_DOT] = ACTIONS(3324),
    [anon_sym_STAR_STAR] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE] = ACTIONS(3324),
    [anon_sym_SLASH_SLASH] = ACTIONS(3324),
    [anon_sym_CARET_CARET] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3324),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym_GT_GT2] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_DOT] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_x] = ACTIONS(3324),
    [anon_sym_EQ_TILDE] = ACTIONS(3322),
    [anon_sym_BANG_TILDE] = ACTIONS(3322),
    [anon_sym_EQ_EQ] = ACTIONS(3324),
    [anon_sym_BANG_EQ] = ACTIONS(3322),
    [anon_sym_eq] = ACTIONS(3324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3322),
    [anon_sym_equ] = ACTIONS(3322),
    [anon_sym_eqr] = ACTIONS(3322),
    [anon_sym_ne] = ACTIONS(3322),
    [anon_sym_LT_EQ_GT] = ACTIONS(3322),
    [anon_sym_cmp] = ACTIONS(3322),
    [anon_sym_TILDE_TILDE] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_LT_EQ] = ACTIONS(3324),
    [anon_sym_GT_EQ] = ACTIONS(3322),
    [anon_sym_lt] = ACTIONS(3322),
    [anon_sym_le] = ACTIONS(3322),
    [anon_sym_ge] = ACTIONS(3322),
    [anon_sym_gt] = ACTIONS(3322),
    [anon_sym_isa] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_QMARK] = ACTIONS(3322),
    [anon_sym_EQ_GT] = ACTIONS(3322),
    [anon_sym_for] = ACTIONS(3324),
    [anon_sym_foreach] = ACTIONS(3322),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3322),
    [anon_sym___END__] = ACTIONS(3322),
    [anon_sym_EOT] = ACTIONS(3322),
    [anon_sym_if] = ACTIONS(3322),
    [anon_sym_unless] = ACTIONS(3322),
    [anon_sym_while] = ACTIONS(3322),
    [anon_sym_until] = ACTIONS(3322),
    [sym__PERLY_SEMICOLON] = ACTIONS(3322),
    [sym__ctrl_z_hack] = ACTIONS(3322),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1421] = {
    [sym_heredoc_content] = STATE(1421),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_EQ] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_COMMA] = ACTIONS(3326),
    [anon_sym_RPAREN] = ACTIONS(3326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3326),
    [anon_sym_and] = ACTIONS(3326),
    [anon_sym_or] = ACTIONS(3326),
    [anon_sym_xor] = ACTIONS(3326),
    [anon_sym_DASH_GT] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_PERCENT] = ACTIONS(3328),
    [anon_sym_GT] = ACTIONS(3328),
    [anon_sym_LT_LT] = ACTIONS(3328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3326),
    [anon_sym_PLUS_EQ] = ACTIONS(3326),
    [anon_sym_DASH_EQ] = ACTIONS(3326),
    [anon_sym_DOT_EQ] = ACTIONS(3326),
    [anon_sym_STAR_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_PERCENT_EQ] = ACTIONS(3326),
    [anon_sym_x_EQ] = ACTIONS(3326),
    [anon_sym_AMP_EQ] = ACTIONS(3326),
    [anon_sym_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_CARET_EQ] = ACTIONS(3326),
    [anon_sym_LT_LT_EQ] = ACTIONS(3326),
    [anon_sym_GT_GT_EQ] = ACTIONS(3326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3326),
    [anon_sym_DOT_DOT] = ACTIONS(3328),
    [anon_sym_STAR_STAR] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE] = ACTIONS(3328),
    [anon_sym_SLASH_SLASH] = ACTIONS(3328),
    [anon_sym_CARET_CARET] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_PIPE] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_GT_GT2] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_DOT] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_x] = ACTIONS(3328),
    [anon_sym_EQ_TILDE] = ACTIONS(3326),
    [anon_sym_BANG_TILDE] = ACTIONS(3326),
    [anon_sym_EQ_EQ] = ACTIONS(3328),
    [anon_sym_BANG_EQ] = ACTIONS(3326),
    [anon_sym_eq] = ACTIONS(3328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3326),
    [anon_sym_equ] = ACTIONS(3326),
    [anon_sym_eqr] = ACTIONS(3326),
    [anon_sym_ne] = ACTIONS(3326),
    [anon_sym_LT_EQ_GT] = ACTIONS(3326),
    [anon_sym_cmp] = ACTIONS(3326),
    [anon_sym_TILDE_TILDE] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_LT_EQ] = ACTIONS(3328),
    [anon_sym_GT_EQ] = ACTIONS(3326),
    [anon_sym_lt] = ACTIONS(3326),
    [anon_sym_le] = ACTIONS(3326),
    [anon_sym_ge] = ACTIONS(3326),
    [anon_sym_gt] = ACTIONS(3326),
    [anon_sym_isa] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_QMARK] = ACTIONS(3326),
    [anon_sym_EQ_GT] = ACTIONS(3326),
    [anon_sym_for] = ACTIONS(3328),
    [anon_sym_foreach] = ACTIONS(3326),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3326),
    [anon_sym___END__] = ACTIONS(3326),
    [anon_sym_EOT] = ACTIONS(3326),
    [anon_sym_if] = ACTIONS(3326),
    [anon_sym_unless] = ACTIONS(3326),
    [anon_sym_while] = ACTIONS(3326),
    [anon_sym_until] = ACTIONS(3326),
    [sym__PERLY_SEMICOLON] = ACTIONS(3326),
    [sym__ctrl_z_hack] = ACTIONS(3326),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1422] = {
    [sym_heredoc_content] = STATE(1422),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_and] = ACTIONS(2909),
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_xor] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(1971),
    [anon_sym_STAR_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_SLASH_SLASH] = ACTIONS(1971),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_GT_GT2] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_DOT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_x] = ACTIONS(1971),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(1971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(1971),
    [anon_sym_foreach] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2909),
    [anon_sym___END__] = ACTIONS(2909),
    [anon_sym_EOT] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_unless] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_until] = ACTIONS(2909),
    [sym__PERLY_SEMICOLON] = ACTIONS(2909),
    [sym__ctrl_z_hack] = ACTIONS(2909),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1423] = {
    [sym_heredoc_content] = STATE(1423),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_foreach] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2474),
    [anon_sym___END__] = ACTIONS(2474),
    [anon_sym_EOT] = ACTIONS(2474),
    [anon_sym_if] = ACTIONS(2474),
    [anon_sym_unless] = ACTIONS(2474),
    [anon_sym_while] = ACTIONS(2474),
    [anon_sym_until] = ACTIONS(2474),
    [sym__PERLY_SEMICOLON] = ACTIONS(2474),
    [sym__ctrl_z_hack] = ACTIONS(2474),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1424] = {
    [sym_heredoc_content] = STATE(1424),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_and] = ACTIONS(2961),
    [anon_sym_or] = ACTIONS(2961),
    [anon_sym_xor] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(3330),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_foreach] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2961),
    [anon_sym___END__] = ACTIONS(2961),
    [anon_sym_EOT] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_unless] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_until] = ACTIONS(2961),
    [sym__PERLY_SEMICOLON] = ACTIONS(2961),
    [sym__ctrl_z_hack] = ACTIONS(2961),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1425] = {
    [sym_attribute] = STATE(1433),
    [sym_attribute_name] = STATE(1430),
    [sym_heredoc_content] = STATE(1425),
    [aux_sym_attrlist_repeat1] = STATE(1426),
    [sym__identifier] = ACTIONS(3332),
    [anon_sym_COLON] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2434),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2436),
    [anon_sym___END__] = ACTIONS(2436),
    [anon_sym_EOT] = ACTIONS(2434),
    [aux_sym__bareword_token1] = ACTIONS(3332),
    [sym__PERLY_SEMICOLON] = ACTIONS(2434),
    [sym__ctrl_z_hack] = ACTIONS(2434),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1426] = {
    [sym_attribute] = STATE(1433),
    [sym_attribute_name] = STATE(1430),
    [sym_heredoc_content] = STATE(1426),
    [aux_sym_attrlist_repeat1] = STATE(1426),
    [sym__identifier] = ACTIONS(3336),
    [anon_sym_COLON] = ACTIONS(3339),
    [anon_sym_SEMI] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_and] = ACTIONS(2432),
    [anon_sym_or] = ACTIONS(2432),
    [anon_sym_xor] = ACTIONS(2432),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2432),
    [anon_sym___END__] = ACTIONS(2432),
    [anon_sym_EOT] = ACTIONS(2427),
    [aux_sym__bareword_token1] = ACTIONS(3336),
    [sym__PERLY_SEMICOLON] = ACTIONS(2427),
    [sym__ctrl_z_hack] = ACTIONS(2427),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1427] = {
    [sym_attribute] = STATE(1433),
    [sym_attribute_name] = STATE(1430),
    [sym_heredoc_content] = STATE(1427),
    [aux_sym_attrlist_repeat1] = STATE(1425),
    [sym__identifier] = ACTIONS(3332),
    [anon_sym_COLON] = ACTIONS(3334),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2422),
    [anon_sym_or] = ACTIONS(2422),
    [anon_sym_xor] = ACTIONS(2422),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2422),
    [anon_sym___END__] = ACTIONS(2422),
    [anon_sym_EOT] = ACTIONS(2418),
    [aux_sym__bareword_token1] = ACTIONS(3332),
    [sym__PERLY_SEMICOLON] = ACTIONS(2418),
    [sym__ctrl_z_hack] = ACTIONS(2418),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1428] = {
    [sym_attrlist] = STATE(1331),
    [sym_attribute] = STATE(1427),
    [sym_attribute_name] = STATE(1430),
    [sym_heredoc_content] = STATE(1428),
    [sym__identifier] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_xor] = ACTIONS(2440),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2440),
    [anon_sym___END__] = ACTIONS(2440),
    [anon_sym_EOT] = ACTIONS(2438),
    [aux_sym__bareword_token1] = ACTIONS(3332),
    [sym__PERLY_SEMICOLON] = ACTIONS(2438),
    [sym__ctrl_z_hack] = ACTIONS(2438),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1429] = {
    [sym_attrlist] = STATE(1332),
    [sym_attribute] = STATE(1427),
    [sym_attribute_name] = STATE(1430),
    [sym_heredoc_content] = STATE(1429),
    [sym__identifier] = ACTIONS(3332),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_and] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2444),
    [anon_sym_xor] = ACTIONS(2444),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2444),
    [anon_sym___END__] = ACTIONS(2444),
    [anon_sym_EOT] = ACTIONS(2442),
    [aux_sym__bareword_token1] = ACTIONS(3332),
    [sym__PERLY_SEMICOLON] = ACTIONS(2442),
    [sym__ctrl_z_hack] = ACTIONS(2442),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1430] = {
    [sym_heredoc_content] = STATE(1430),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_xor] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2450),
    [anon_sym___END__] = ACTIONS(2450),
    [anon_sym_EOT] = ACTIONS(2452),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym__PERLY_SEMICOLON] = ACTIONS(2452),
    [sym__ctrl_z_hack] = ACTIONS(2452),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3342),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1431] = {
    [sym_heredoc_content] = STATE(1431),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_and] = ACTIONS(2446),
    [anon_sym_or] = ACTIONS(2446),
    [anon_sym_xor] = ACTIONS(2446),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2446),
    [anon_sym___END__] = ACTIONS(2446),
    [anon_sym_EOT] = ACTIONS(2448),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym__PERLY_SEMICOLON] = ACTIONS(2448),
    [sym__ctrl_z_hack] = ACTIONS(2448),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1432] = {
    [sym_attribute] = STATE(1468),
    [sym_attribute_name] = STATE(1443),
    [sym_heredoc_content] = STATE(1432),
    [aux_sym_attrlist_repeat1] = STATE(1432),
    [sym__identifier] = ACTIONS(3344),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [anon_sym_COLON] = ACTIONS(3347),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_and] = ACTIONS(2432),
    [anon_sym_or] = ACTIONS(2432),
    [anon_sym_xor] = ACTIONS(2432),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_RBRACK] = ACTIONS(2427),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3344),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1433] = {
    [sym_heredoc_content] = STATE(1433),
    [sym__identifier] = ACTIONS(2530),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2530),
    [anon_sym_or] = ACTIONS(2530),
    [anon_sym_xor] = ACTIONS(2530),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2530),
    [anon_sym_eqr] = ACTIONS(2530),
    [anon_sym_ne] = ACTIONS(2530),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2530),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2530),
    [anon_sym_le] = ACTIONS(2530),
    [anon_sym_ge] = ACTIONS(2530),
    [anon_sym_gt] = ACTIONS(2530),
    [anon_sym_isa] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2530),
    [anon_sym___END__] = ACTIONS(2530),
    [anon_sym_EOT] = ACTIONS(2532),
    [aux_sym__bareword_token1] = ACTIONS(2530),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym__ctrl_z_hack] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1434] = {
    [sym_heredoc_content] = STATE(1434),
    [sym__identifier] = ACTIONS(2432),
    [anon_sym_COLON] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_and] = ACTIONS(2432),
    [anon_sym_or] = ACTIONS(2432),
    [anon_sym_xor] = ACTIONS(2432),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2432),
    [anon_sym___END__] = ACTIONS(2432),
    [anon_sym_EOT] = ACTIONS(2427),
    [aux_sym__bareword_token1] = ACTIONS(2432),
    [sym__PERLY_SEMICOLON] = ACTIONS(2427),
    [sym__ctrl_z_hack] = ACTIONS(2427),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1435] = {
    [sym_heredoc_content] = STATE(1435),
    [sym__identifier] = ACTIONS(2534),
    [anon_sym_COLON] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_COMMA] = ACTIONS(2536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2536),
    [anon_sym_and] = ACTIONS(2534),
    [anon_sym_or] = ACTIONS(2534),
    [anon_sym_xor] = ACTIONS(2534),
    [anon_sym_DASH_GT] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2536),
    [anon_sym_PLUS_EQ] = ACTIONS(2536),
    [anon_sym_DASH_EQ] = ACTIONS(2536),
    [anon_sym_DOT_EQ] = ACTIONS(2536),
    [anon_sym_STAR_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_PERCENT_EQ] = ACTIONS(2536),
    [anon_sym_x_EQ] = ACTIONS(2536),
    [anon_sym_AMP_EQ] = ACTIONS(2536),
    [anon_sym_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_CARET_EQ] = ACTIONS(2536),
    [anon_sym_LT_LT_EQ] = ACTIONS(2536),
    [anon_sym_GT_GT_EQ] = ACTIONS(2536),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2536),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2536),
    [anon_sym_BANG_TILDE] = ACTIONS(2536),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2536),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2536),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2536),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2536),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2536),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_QMARK] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(2536),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2534),
    [anon_sym___END__] = ACTIONS(2534),
    [anon_sym_EOT] = ACTIONS(2536),
    [aux_sym__bareword_token1] = ACTIONS(2534),
    [sym__PERLY_SEMICOLON] = ACTIONS(2536),
    [sym__ctrl_z_hack] = ACTIONS(2536),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1436] = {
    [sym_attribute] = STATE(1468),
    [sym_attribute_name] = STATE(1443),
    [sym_heredoc_content] = STATE(1436),
    [aux_sym_attrlist_repeat1] = STATE(1432),
    [sym__identifier] = ACTIONS(3350),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_COLON] = ACTIONS(3352),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_and] = ACTIONS(2436),
    [anon_sym_or] = ACTIONS(2436),
    [anon_sym_xor] = ACTIONS(2436),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_RBRACK] = ACTIONS(2434),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2434),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1437] = {
    [sym_attribute] = STATE(1468),
    [sym_attribute_name] = STATE(1443),
    [sym_heredoc_content] = STATE(1437),
    [aux_sym_attrlist_repeat1] = STATE(1436),
    [sym__identifier] = ACTIONS(3350),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_COLON] = ACTIONS(3352),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_and] = ACTIONS(2422),
    [anon_sym_or] = ACTIONS(2422),
    [anon_sym_xor] = ACTIONS(2422),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_RBRACK] = ACTIONS(2418),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1438] = {
    [sym_attrlist] = STATE(1610),
    [sym_attribute] = STATE(1437),
    [sym_attribute_name] = STATE(1443),
    [sym_heredoc_content] = STATE(1438),
    [sym__identifier] = ACTIONS(3350),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RPAREN] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_and] = ACTIONS(2444),
    [anon_sym_or] = ACTIONS(2444),
    [anon_sym_xor] = ACTIONS(2444),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_RBRACK] = ACTIONS(2442),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1439] = {
    [sym_attrlist] = STATE(1609),
    [sym_attribute] = STATE(1437),
    [sym_attribute_name] = STATE(1443),
    [sym_heredoc_content] = STATE(1439),
    [sym__identifier] = ACTIONS(3350),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_and] = ACTIONS(2440),
    [anon_sym_or] = ACTIONS(2440),
    [anon_sym_xor] = ACTIONS(2440),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_RBRACK] = ACTIONS(2438),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3350),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1440] = {
    [sym_attribute] = STATE(1590),
    [sym_attribute_name] = STATE(1540),
    [sym_heredoc_content] = STATE(1440),
    [aux_sym_attrlist_repeat1] = STATE(1440),
    [sym__identifier] = ACTIONS(3354),
    [anon_sym_COLON] = ACTIONS(3357),
    [anon_sym_DOLLAR] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2432),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_PERCENT2] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3354),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1441] = {
    [sym_heredoc_content] = STATE(1441),
    [aux_sym__term_rightward_repeat1] = STATE(1446),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(3360),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_COMMA] = ACTIONS(3364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3366),
    [anon_sym_and] = ACTIONS(2679),
    [anon_sym_or] = ACTIONS(2679),
    [anon_sym_xor] = ACTIONS(2679),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3362),
    [anon_sym_PLUS_EQ] = ACTIONS(3362),
    [anon_sym_DASH_EQ] = ACTIONS(3362),
    [anon_sym_DOT_EQ] = ACTIONS(3362),
    [anon_sym_STAR_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_PERCENT_EQ] = ACTIONS(3362),
    [anon_sym_x_EQ] = ACTIONS(3362),
    [anon_sym_AMP_EQ] = ACTIONS(3362),
    [anon_sym_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_CARET_EQ] = ACTIONS(3362),
    [anon_sym_LT_LT_EQ] = ACTIONS(3362),
    [anon_sym_GT_GT_EQ] = ACTIONS(3362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3362),
    [anon_sym_DOT_DOT] = ACTIONS(3374),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3378),
    [anon_sym_SLASH_SLASH] = ACTIONS(3378),
    [anon_sym_CARET_CARET] = ACTIONS(3380),
    [anon_sym_AMP_AMP] = ACTIONS(3382),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3402),
    [anon_sym_EQ_GT] = ACTIONS(3364),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2679),
    [anon_sym___END__] = ACTIONS(2679),
    [anon_sym_EOT] = ACTIONS(2679),
    [sym__PERLY_SEMICOLON] = ACTIONS(2679),
    [sym__ctrl_z_hack] = ACTIONS(2679),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1442] = {
    [sym_heredoc_content] = STATE(1442),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2448),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_and] = ACTIONS(2446),
    [anon_sym_or] = ACTIONS(2446),
    [anon_sym_xor] = ACTIONS(2446),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_RBRACK] = ACTIONS(2448),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1443] = {
    [sym_heredoc_content] = STATE(1443),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_and] = ACTIONS(2450),
    [anon_sym_or] = ACTIONS(2450),
    [anon_sym_xor] = ACTIONS(2450),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_RBRACK] = ACTIONS(2452),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3404),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1444] = {
    [sym_heredoc_content] = STATE(1444),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_COLON] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_and] = ACTIONS(1855),
    [anon_sym_or] = ACTIONS(1855),
    [anon_sym_xor] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_RBRACK] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1445] = {
    [sym_heredoc_content] = STATE(1445),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_COLON] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_and] = ACTIONS(1851),
    [anon_sym_or] = ACTIONS(1851),
    [anon_sym_xor] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_RBRACK] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1446] = {
    [sym_heredoc_content] = STATE(1446),
    [aux_sym__term_rightward_repeat1] = STATE(1448),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_COMMA] = ACTIONS(3364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2731),
    [anon_sym_and] = ACTIONS(2731),
    [anon_sym_or] = ACTIONS(2731),
    [anon_sym_xor] = ACTIONS(2731),
    [anon_sym_DASH_GT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2733),
    [anon_sym_GT] = ACTIONS(2733),
    [anon_sym_LT_LT] = ACTIONS(2733),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2731),
    [anon_sym_PLUS_EQ] = ACTIONS(2731),
    [anon_sym_DASH_EQ] = ACTIONS(2731),
    [anon_sym_DOT_EQ] = ACTIONS(2731),
    [anon_sym_STAR_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_PERCENT_EQ] = ACTIONS(2731),
    [anon_sym_x_EQ] = ACTIONS(2731),
    [anon_sym_AMP_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_CARET_EQ] = ACTIONS(2731),
    [anon_sym_LT_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_GT_EQ] = ACTIONS(2731),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2731),
    [anon_sym_DOT_DOT] = ACTIONS(2733),
    [anon_sym_STAR_STAR] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH] = ACTIONS(2733),
    [anon_sym_CARET_CARET] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2733),
    [anon_sym_PIPE] = ACTIONS(2733),
    [anon_sym_CARET] = ACTIONS(2733),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_GT_GT2] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_x] = ACTIONS(2733),
    [anon_sym_EQ_TILDE] = ACTIONS(2731),
    [anon_sym_BANG_TILDE] = ACTIONS(2731),
    [anon_sym_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2731),
    [anon_sym_eq] = ACTIONS(2733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2731),
    [anon_sym_equ] = ACTIONS(2731),
    [anon_sym_eqr] = ACTIONS(2731),
    [anon_sym_ne] = ACTIONS(2731),
    [anon_sym_LT_EQ_GT] = ACTIONS(2731),
    [anon_sym_cmp] = ACTIONS(2731),
    [anon_sym_TILDE_TILDE] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2731),
    [anon_sym_lt] = ACTIONS(2731),
    [anon_sym_le] = ACTIONS(2731),
    [anon_sym_ge] = ACTIONS(2731),
    [anon_sym_gt] = ACTIONS(2731),
    [anon_sym_isa] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_QMARK] = ACTIONS(2731),
    [anon_sym_EQ_GT] = ACTIONS(3364),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2731),
    [anon_sym___END__] = ACTIONS(2731),
    [anon_sym_EOT] = ACTIONS(2731),
    [sym__PERLY_SEMICOLON] = ACTIONS(2731),
    [sym__ctrl_z_hack] = ACTIONS(2731),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1447] = {
    [sym_attribute] = STATE(1590),
    [sym_attribute_name] = STATE(1540),
    [sym_heredoc_content] = STATE(1447),
    [aux_sym_attrlist_repeat1] = STATE(1449),
    [sym__identifier] = ACTIONS(3406),
    [anon_sym_COLON] = ACTIONS(2422),
    [anon_sym_DOLLAR] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_AT] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2422),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_PERCENT2] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3406),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1448] = {
    [sym_heredoc_content] = STATE(1448),
    [aux_sym__term_rightward_repeat1] = STATE(1448),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(3408),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2672),
    [anon_sym_and] = ACTIONS(2672),
    [anon_sym_or] = ACTIONS(2672),
    [anon_sym_xor] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_DOT_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_x_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(2674),
    [anon_sym_CARET_CARET] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_GT_GT2] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_x] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2672),
    [anon_sym_BANG_TILDE] = ACTIONS(2672),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_eq] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2672),
    [anon_sym_equ] = ACTIONS(2672),
    [anon_sym_eqr] = ACTIONS(2672),
    [anon_sym_ne] = ACTIONS(2672),
    [anon_sym_LT_EQ_GT] = ACTIONS(2672),
    [anon_sym_cmp] = ACTIONS(2672),
    [anon_sym_TILDE_TILDE] = ACTIONS(2672),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_lt] = ACTIONS(2672),
    [anon_sym_le] = ACTIONS(2672),
    [anon_sym_ge] = ACTIONS(2672),
    [anon_sym_gt] = ACTIONS(2672),
    [anon_sym_isa] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2672),
    [anon_sym_EQ_GT] = ACTIONS(3408),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2672),
    [anon_sym___END__] = ACTIONS(2672),
    [anon_sym_EOT] = ACTIONS(2672),
    [sym__PERLY_SEMICOLON] = ACTIONS(2672),
    [sym__ctrl_z_hack] = ACTIONS(2672),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1449] = {
    [sym_attribute] = STATE(1590),
    [sym_attribute_name] = STATE(1540),
    [sym_heredoc_content] = STATE(1449),
    [aux_sym_attrlist_repeat1] = STATE(1440),
    [sym__identifier] = ACTIONS(3406),
    [anon_sym_COLON] = ACTIONS(2436),
    [anon_sym_DOLLAR] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_AT] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2436),
    [anon_sym_x_EQ] = ACTIONS(2434),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_PERCENT2] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3406),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1450] = {
    [sym_heredoc_content] = STATE(1450),
    [aux_sym__term_rightward_repeat1] = STATE(2746),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(3360),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_COMMA] = ACTIONS(3411),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3366),
    [anon_sym_and] = ACTIONS(2789),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_xor] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3362),
    [anon_sym_PLUS_EQ] = ACTIONS(3362),
    [anon_sym_DASH_EQ] = ACTIONS(3362),
    [anon_sym_DOT_EQ] = ACTIONS(3362),
    [anon_sym_STAR_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_PERCENT_EQ] = ACTIONS(3362),
    [anon_sym_x_EQ] = ACTIONS(3362),
    [anon_sym_AMP_EQ] = ACTIONS(3362),
    [anon_sym_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_CARET_EQ] = ACTIONS(3362),
    [anon_sym_LT_LT_EQ] = ACTIONS(3362),
    [anon_sym_GT_GT_EQ] = ACTIONS(3362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3362),
    [anon_sym_DOT_DOT] = ACTIONS(3374),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3378),
    [anon_sym_SLASH_SLASH] = ACTIONS(3378),
    [anon_sym_CARET_CARET] = ACTIONS(3380),
    [anon_sym_AMP_AMP] = ACTIONS(3382),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3402),
    [anon_sym_EQ_GT] = ACTIONS(3411),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2789),
    [anon_sym___END__] = ACTIONS(2789),
    [anon_sym_EOT] = ACTIONS(2789),
    [sym__PERLY_SEMICOLON] = ACTIONS(2789),
    [sym__ctrl_z_hack] = ACTIONS(2789),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1451] = {
    [sym_heredoc_content] = STATE(1451),
    [anon_sym_COLON] = ACTIONS(3413),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2618),
    [anon_sym_and] = ACTIONS(2618),
    [anon_sym_or] = ACTIONS(2618),
    [anon_sym_xor] = ACTIONS(2618),
    [anon_sym_DASH_GT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2622),
    [anon_sym_GT] = ACTIONS(2622),
    [anon_sym_LT_LT] = ACTIONS(2622),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2618),
    [anon_sym_DASH_EQ] = ACTIONS(2618),
    [anon_sym_DOT_EQ] = ACTIONS(2618),
    [anon_sym_STAR_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_PERCENT_EQ] = ACTIONS(2618),
    [anon_sym_x_EQ] = ACTIONS(2618),
    [anon_sym_AMP_EQ] = ACTIONS(2618),
    [anon_sym_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_CARET_EQ] = ACTIONS(2618),
    [anon_sym_LT_LT_EQ] = ACTIONS(2618),
    [anon_sym_GT_GT_EQ] = ACTIONS(2618),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2618),
    [anon_sym_DOT_DOT] = ACTIONS(2622),
    [anon_sym_STAR_STAR] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH] = ACTIONS(2622),
    [anon_sym_CARET_CARET] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_PIPE] = ACTIONS(2622),
    [anon_sym_CARET] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_GT_GT2] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_DOT] = ACTIONS(2622),
    [anon_sym_SLASH] = ACTIONS(2622),
    [anon_sym_x] = ACTIONS(2622),
    [anon_sym_EQ_TILDE] = ACTIONS(2618),
    [anon_sym_BANG_TILDE] = ACTIONS(2618),
    [anon_sym_EQ_EQ] = ACTIONS(2622),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_eq] = ACTIONS(2622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2618),
    [anon_sym_equ] = ACTIONS(2618),
    [anon_sym_eqr] = ACTIONS(2618),
    [anon_sym_ne] = ACTIONS(2618),
    [anon_sym_LT_EQ_GT] = ACTIONS(2618),
    [anon_sym_cmp] = ACTIONS(2618),
    [anon_sym_TILDE_TILDE] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_EQ] = ACTIONS(2618),
    [anon_sym_lt] = ACTIONS(2618),
    [anon_sym_le] = ACTIONS(2618),
    [anon_sym_ge] = ACTIONS(2618),
    [anon_sym_gt] = ACTIONS(2618),
    [anon_sym_isa] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_EQ_GT] = ACTIONS(2618),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2618),
    [anon_sym___END__] = ACTIONS(2618),
    [anon_sym_EOT] = ACTIONS(2618),
    [sym__PERLY_SEMICOLON] = ACTIONS(2618),
    [sym__ctrl_z_hack] = ACTIONS(2618),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1452] = {
    [sym_heredoc_content] = STATE(1452),
    [anon_sym_COLON] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2624),
    [anon_sym_and] = ACTIONS(2624),
    [anon_sym_or] = ACTIONS(2624),
    [anon_sym_xor] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_DOT_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_x_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2624),
    [anon_sym_BANG_TILDE] = ACTIONS(2624),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2624),
    [anon_sym_equ] = ACTIONS(2624),
    [anon_sym_eqr] = ACTIONS(2624),
    [anon_sym_ne] = ACTIONS(2624),
    [anon_sym_LT_EQ_GT] = ACTIONS(2624),
    [anon_sym_cmp] = ACTIONS(2624),
    [anon_sym_TILDE_TILDE] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_lt] = ACTIONS(2624),
    [anon_sym_le] = ACTIONS(2624),
    [anon_sym_ge] = ACTIONS(2624),
    [anon_sym_gt] = ACTIONS(2624),
    [anon_sym_isa] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_EQ_GT] = ACTIONS(2624),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2624),
    [anon_sym___END__] = ACTIONS(2624),
    [anon_sym_EOT] = ACTIONS(2624),
    [sym__PERLY_SEMICOLON] = ACTIONS(2624),
    [sym__ctrl_z_hack] = ACTIONS(2624),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1453] = {
    [sym_heredoc_content] = STATE(1453),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_and] = ACTIONS(1863),
    [anon_sym_or] = ACTIONS(1863),
    [anon_sym_xor] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_RBRACK] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1454] = {
    [sym_heredoc_content] = STATE(1454),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3417),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(3419),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3378),
    [anon_sym_SLASH_SLASH] = ACTIONS(3378),
    [anon_sym_CARET_CARET] = ACTIONS(3380),
    [anon_sym_AMP_AMP] = ACTIONS(3382),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1455] = {
    [sym_heredoc_content] = STATE(1455),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1456] = {
    [sym_heredoc_content] = STATE(1456),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2893),
    [anon_sym___END__] = ACTIONS(2893),
    [anon_sym_EOT] = ACTIONS(2893),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym__ctrl_z_hack] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1457] = {
    [sym_heredoc_content] = STATE(1457),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1458] = {
    [sym_heredoc_content] = STATE(1458),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1459] = {
    [sym_heredoc_content] = STATE(1459),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(3382),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1460] = {
    [sym_heredoc_content] = STATE(1460),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1461] = {
    [sym_heredoc_content] = STATE(1461),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1462] = {
    [sym_heredoc_content] = STATE(1462),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1463] = {
    [sym_heredoc_content] = STATE(1463),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1464] = {
    [sym_heredoc_content] = STATE(1464),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2833),
    [anon_sym___END__] = ACTIONS(2833),
    [anon_sym_EOT] = ACTIONS(2833),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym__ctrl_z_hack] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1465] = {
    [sym_heredoc_content] = STATE(1465),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2897),
    [anon_sym___END__] = ACTIONS(2897),
    [anon_sym_EOT] = ACTIONS(2897),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym__ctrl_z_hack] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1466] = {
    [sym_heredoc_content] = STATE(1466),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3421),
    [anon_sym_cmp] = ACTIONS(3421),
    [anon_sym_TILDE_TILDE] = ACTIONS(3421),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2897),
    [anon_sym___END__] = ACTIONS(2897),
    [anon_sym_EOT] = ACTIONS(2897),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym__ctrl_z_hack] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1467] = {
    [sym_heredoc_content] = STATE(1467),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3423),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2893),
    [anon_sym___END__] = ACTIONS(2893),
    [anon_sym_EOT] = ACTIONS(2893),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym__ctrl_z_hack] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1468] = {
    [sym_heredoc_content] = STATE(1468),
    [sym__identifier] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_and] = ACTIONS(2530),
    [anon_sym_or] = ACTIONS(2530),
    [anon_sym_xor] = ACTIONS(2530),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_RBRACK] = ACTIONS(2532),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2530),
    [anon_sym_eqr] = ACTIONS(2530),
    [anon_sym_ne] = ACTIONS(2530),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2530),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2530),
    [anon_sym_le] = ACTIONS(2530),
    [anon_sym_ge] = ACTIONS(2530),
    [anon_sym_gt] = ACTIONS(2530),
    [anon_sym_isa] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2530),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1469] = {
    [sym_heredoc_content] = STATE(1469),
    [sym__identifier] = ACTIONS(2432),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [anon_sym_COLON] = ACTIONS(2432),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_and] = ACTIONS(2432),
    [anon_sym_or] = ACTIONS(2432),
    [anon_sym_xor] = ACTIONS(2432),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_RBRACK] = ACTIONS(2427),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2432),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1470] = {
    [sym_heredoc_content] = STATE(1470),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1843),
    [anon_sym_and] = ACTIONS(1843),
    [anon_sym_or] = ACTIONS(1843),
    [anon_sym_xor] = ACTIONS(1843),
    [anon_sym_DASH_GT] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_RBRACK] = ACTIONS(1843),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1843),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_DOT_EQ] = ACTIONS(1843),
    [anon_sym_STAR_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_PERCENT_EQ] = ACTIONS(1843),
    [anon_sym_x_EQ] = ACTIONS(1843),
    [anon_sym_AMP_EQ] = ACTIONS(1843),
    [anon_sym_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_CARET_EQ] = ACTIONS(1843),
    [anon_sym_LT_LT_EQ] = ACTIONS(1843),
    [anon_sym_GT_GT_EQ] = ACTIONS(1843),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1843),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1843),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1843),
    [anon_sym_BANG_TILDE] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1843),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1843),
    [anon_sym_equ] = ACTIONS(1843),
    [anon_sym_eqr] = ACTIONS(1843),
    [anon_sym_ne] = ACTIONS(1843),
    [anon_sym_LT_EQ_GT] = ACTIONS(1843),
    [anon_sym_cmp] = ACTIONS(1843),
    [anon_sym_TILDE_TILDE] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1843),
    [anon_sym_lt] = ACTIONS(1843),
    [anon_sym_le] = ACTIONS(1843),
    [anon_sym_ge] = ACTIONS(1843),
    [anon_sym_gt] = ACTIONS(1843),
    [anon_sym_isa] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_GT] = ACTIONS(1843),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1471] = {
    [sym_heredoc_content] = STATE(1471),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3366),
    [anon_sym_and] = ACTIONS(3274),
    [anon_sym_or] = ACTIONS(3274),
    [anon_sym_xor] = ACTIONS(3274),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3374),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3378),
    [anon_sym_SLASH_SLASH] = ACTIONS(3378),
    [anon_sym_CARET_CARET] = ACTIONS(3380),
    [anon_sym_AMP_AMP] = ACTIONS(3382),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3402),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3274),
    [anon_sym___END__] = ACTIONS(3274),
    [anon_sym_EOT] = ACTIONS(3274),
    [sym__PERLY_SEMICOLON] = ACTIONS(3274),
    [sym__ctrl_z_hack] = ACTIONS(3274),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1472] = {
    [sym_heredoc_content] = STATE(1472),
    [sym__identifier] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2536),
    [anon_sym_COLON] = ACTIONS(2534),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_COMMA] = ACTIONS(2536),
    [anon_sym_RPAREN] = ACTIONS(2536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2536),
    [anon_sym_and] = ACTIONS(2534),
    [anon_sym_or] = ACTIONS(2534),
    [anon_sym_xor] = ACTIONS(2534),
    [anon_sym_DASH_GT] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_RBRACK] = ACTIONS(2536),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2536),
    [anon_sym_PLUS_EQ] = ACTIONS(2536),
    [anon_sym_DASH_EQ] = ACTIONS(2536),
    [anon_sym_DOT_EQ] = ACTIONS(2536),
    [anon_sym_STAR_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_PERCENT_EQ] = ACTIONS(2536),
    [anon_sym_x_EQ] = ACTIONS(2536),
    [anon_sym_AMP_EQ] = ACTIONS(2536),
    [anon_sym_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_CARET_EQ] = ACTIONS(2536),
    [anon_sym_LT_LT_EQ] = ACTIONS(2536),
    [anon_sym_GT_GT_EQ] = ACTIONS(2536),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2536),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2536),
    [anon_sym_BANG_TILDE] = ACTIONS(2536),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2536),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2536),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2536),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2536),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2536),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_QMARK] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(2536),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2534),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1473] = {
    [sym_heredoc_content] = STATE(1473),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1474] = {
    [sym_heredoc_content] = STATE(1474),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RPAREN] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_and] = ACTIONS(1826),
    [anon_sym_or] = ACTIONS(1826),
    [anon_sym_xor] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_RBRACK] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1826),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1475] = {
    [sym_heredoc_content] = STATE(1475),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_RBRACE] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1705),
    [anon_sym_and] = ACTIONS(1705),
    [anon_sym_or] = ACTIONS(1705),
    [anon_sym_xor] = ACTIONS(1705),
    [anon_sym_DASH_GT] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_RBRACK] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_DOT_EQ] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_x_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1705),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1705),
    [anon_sym_BANG_TILDE] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1705),
    [anon_sym_equ] = ACTIONS(1705),
    [anon_sym_eqr] = ACTIONS(1705),
    [anon_sym_ne] = ACTIONS(1705),
    [anon_sym_LT_EQ_GT] = ACTIONS(1705),
    [anon_sym_cmp] = ACTIONS(1705),
    [anon_sym_TILDE_TILDE] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_lt] = ACTIONS(1705),
    [anon_sym_le] = ACTIONS(1705),
    [anon_sym_ge] = ACTIONS(1705),
    [anon_sym_gt] = ACTIONS(1705),
    [anon_sym_isa] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1705),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1476] = {
    [sym_heredoc_content] = STATE(1476),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RPAREN] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2468),
    [anon_sym_and] = ACTIONS(2468),
    [anon_sym_or] = ACTIONS(2468),
    [anon_sym_xor] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_RBRACK] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(2470),
    [anon_sym_LT_LT] = ACTIONS(2470),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2468),
    [anon_sym_PLUS_EQ] = ACTIONS(2468),
    [anon_sym_DASH_EQ] = ACTIONS(2468),
    [anon_sym_DOT_EQ] = ACTIONS(2468),
    [anon_sym_STAR_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_PERCENT_EQ] = ACTIONS(2468),
    [anon_sym_x_EQ] = ACTIONS(2468),
    [anon_sym_AMP_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_CARET_EQ] = ACTIONS(2468),
    [anon_sym_LT_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_GT_EQ] = ACTIONS(2468),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2468),
    [anon_sym_DOT_DOT] = ACTIONS(2470),
    [anon_sym_STAR_STAR] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH] = ACTIONS(2470),
    [anon_sym_CARET_CARET] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_PIPE] = ACTIONS(2470),
    [anon_sym_CARET] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_GT_GT2] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2470),
    [anon_sym_SLASH] = ACTIONS(2470),
    [anon_sym_x] = ACTIONS(2470),
    [anon_sym_EQ_TILDE] = ACTIONS(2468),
    [anon_sym_BANG_TILDE] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2470),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_eq] = ACTIONS(2470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_equ] = ACTIONS(2468),
    [anon_sym_eqr] = ACTIONS(2468),
    [anon_sym_ne] = ACTIONS(2468),
    [anon_sym_LT_EQ_GT] = ACTIONS(2468),
    [anon_sym_cmp] = ACTIONS(2468),
    [anon_sym_TILDE_TILDE] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_lt] = ACTIONS(2468),
    [anon_sym_le] = ACTIONS(2468),
    [anon_sym_ge] = ACTIONS(2468),
    [anon_sym_gt] = ACTIONS(2468),
    [anon_sym_isa] = ACTIONS(2468),
    [anon_sym_PLUS_PLUS] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_EQ_GT] = ACTIONS(2468),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1477] = {
    [sym_heredoc_content] = STATE(1477),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_RPAREN] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_and] = ACTIONS(2490),
    [anon_sym_or] = ACTIONS(2490),
    [anon_sym_xor] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_RBRACK] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2490),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1478] = {
    [sym_heredoc_content] = STATE(1478),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_RPAREN] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_and] = ACTIONS(2486),
    [anon_sym_or] = ACTIONS(2486),
    [anon_sym_xor] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_RBRACK] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2486),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1479] = {
    [sym_heredoc_content] = STATE(1479),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(2456),
    [anon_sym_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_RPAREN] = ACTIONS(2456),
    [anon_sym_LPAREN] = ACTIONS(2456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2456),
    [anon_sym_and] = ACTIONS(2456),
    [anon_sym_or] = ACTIONS(2456),
    [anon_sym_xor] = ACTIONS(2456),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_RBRACK] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(2458),
    [anon_sym_LT_LT] = ACTIONS(2458),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2456),
    [anon_sym_PLUS_EQ] = ACTIONS(2456),
    [anon_sym_DASH_EQ] = ACTIONS(2456),
    [anon_sym_DOT_EQ] = ACTIONS(2456),
    [anon_sym_STAR_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_PERCENT_EQ] = ACTIONS(2456),
    [anon_sym_x_EQ] = ACTIONS(2456),
    [anon_sym_AMP_EQ] = ACTIONS(2456),
    [anon_sym_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_CARET_EQ] = ACTIONS(2456),
    [anon_sym_LT_LT_EQ] = ACTIONS(2456),
    [anon_sym_GT_GT_EQ] = ACTIONS(2456),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2456),
    [anon_sym_DOT_DOT] = ACTIONS(2458),
    [anon_sym_STAR_STAR] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH] = ACTIONS(2458),
    [anon_sym_CARET_CARET] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_PIPE] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_GT_GT2] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_DOT] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_x] = ACTIONS(2458),
    [anon_sym_EQ_TILDE] = ACTIONS(2456),
    [anon_sym_BANG_TILDE] = ACTIONS(2456),
    [anon_sym_EQ_EQ] = ACTIONS(2458),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_eq] = ACTIONS(2458),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2456),
    [anon_sym_equ] = ACTIONS(2456),
    [anon_sym_eqr] = ACTIONS(2456),
    [anon_sym_ne] = ACTIONS(2456),
    [anon_sym_LT_EQ_GT] = ACTIONS(2456),
    [anon_sym_cmp] = ACTIONS(2456),
    [anon_sym_TILDE_TILDE] = ACTIONS(2456),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_EQ] = ACTIONS(2456),
    [anon_sym_lt] = ACTIONS(2456),
    [anon_sym_le] = ACTIONS(2456),
    [anon_sym_ge] = ACTIONS(2456),
    [anon_sym_gt] = ACTIONS(2456),
    [anon_sym_isa] = ACTIONS(2456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [anon_sym_QMARK] = ACTIONS(2456),
    [anon_sym_EQ_GT] = ACTIONS(2456),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1480] = {
    [sym_heredoc_content] = STATE(1480),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_and] = ACTIONS(2506),
    [anon_sym_or] = ACTIONS(2506),
    [anon_sym_xor] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_RBRACK] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2506),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1481] = {
    [sym_heredoc_content] = STATE(1481),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_RPAREN] = ACTIONS(2498),
    [anon_sym_LPAREN] = ACTIONS(2498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2498),
    [anon_sym_and] = ACTIONS(2498),
    [anon_sym_or] = ACTIONS(2498),
    [anon_sym_xor] = ACTIONS(2498),
    [anon_sym_DASH_GT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_RBRACK] = ACTIONS(2498),
    [anon_sym_PERCENT] = ACTIONS(2500),
    [anon_sym_GT] = ACTIONS(2500),
    [anon_sym_LT_LT] = ACTIONS(2500),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2498),
    [anon_sym_PLUS_EQ] = ACTIONS(2498),
    [anon_sym_DASH_EQ] = ACTIONS(2498),
    [anon_sym_DOT_EQ] = ACTIONS(2498),
    [anon_sym_STAR_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_PERCENT_EQ] = ACTIONS(2498),
    [anon_sym_x_EQ] = ACTIONS(2498),
    [anon_sym_AMP_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_CARET_EQ] = ACTIONS(2498),
    [anon_sym_LT_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_GT_EQ] = ACTIONS(2498),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2500),
    [anon_sym_STAR_STAR] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH] = ACTIONS(2500),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2500),
    [anon_sym_CARET] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_GT_GT2] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_DOT] = ACTIONS(2500),
    [anon_sym_SLASH] = ACTIONS(2500),
    [anon_sym_x] = ACTIONS(2500),
    [anon_sym_EQ_TILDE] = ACTIONS(2498),
    [anon_sym_BANG_TILDE] = ACTIONS(2498),
    [anon_sym_EQ_EQ] = ACTIONS(2500),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_eq] = ACTIONS(2500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2498),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2498),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2498),
    [anon_sym_LT] = ACTIONS(2500),
    [anon_sym_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_EQ] = ACTIONS(2498),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2498),
    [anon_sym_EQ_GT] = ACTIONS(2498),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1482] = {
    [sym_heredoc_content] = STATE(1482),
    [anon_sym_LBRACE] = ACTIONS(3425),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(3427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(3429),
    [anon_sym_RBRACK] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1483] = {
    [sym_heredoc_content] = STATE(1483),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_RPAREN] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_and] = ACTIONS(2482),
    [anon_sym_or] = ACTIONS(2482),
    [anon_sym_xor] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_RBRACK] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2482),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1484] = {
    [sym_heredoc_content] = STATE(1484),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1847),
    [anon_sym_and] = ACTIONS(1847),
    [anon_sym_or] = ACTIONS(1847),
    [anon_sym_xor] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1847),
    [anon_sym_PLUS_EQ] = ACTIONS(1847),
    [anon_sym_DASH_EQ] = ACTIONS(1847),
    [anon_sym_DOT_EQ] = ACTIONS(1847),
    [anon_sym_STAR_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_PERCENT_EQ] = ACTIONS(1847),
    [anon_sym_x_EQ] = ACTIONS(1847),
    [anon_sym_AMP_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_CARET_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_GT_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1847),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1847),
    [anon_sym_BANG_TILDE] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1847),
    [anon_sym_equ] = ACTIONS(1847),
    [anon_sym_eqr] = ACTIONS(1847),
    [anon_sym_ne] = ACTIONS(1847),
    [anon_sym_LT_EQ_GT] = ACTIONS(1847),
    [anon_sym_cmp] = ACTIONS(1847),
    [anon_sym_TILDE_TILDE] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_lt] = ACTIONS(1847),
    [anon_sym_le] = ACTIONS(1847),
    [anon_sym_ge] = ACTIONS(1847),
    [anon_sym_gt] = ACTIONS(1847),
    [anon_sym_isa] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_EQ_GT] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1485] = {
    [sym_heredoc_content] = STATE(1485),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RPAREN] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2460),
    [anon_sym_and] = ACTIONS(2460),
    [anon_sym_or] = ACTIONS(2460),
    [anon_sym_xor] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_RBRACK] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_GT] = ACTIONS(2462),
    [anon_sym_LT_LT] = ACTIONS(2462),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(2460),
    [anon_sym_DASH_EQ] = ACTIONS(2460),
    [anon_sym_DOT_EQ] = ACTIONS(2460),
    [anon_sym_STAR_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_PERCENT_EQ] = ACTIONS(2460),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_CARET_EQ] = ACTIONS(2460),
    [anon_sym_LT_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_GT_EQ] = ACTIONS(2460),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2460),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_STAR_STAR] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH] = ACTIONS(2462),
    [anon_sym_CARET_CARET] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_PIPE] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_GT_GT2] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2462),
    [anon_sym_SLASH] = ACTIONS(2462),
    [anon_sym_x] = ACTIONS(2462),
    [anon_sym_EQ_TILDE] = ACTIONS(2460),
    [anon_sym_BANG_TILDE] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2462),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_eq] = ACTIONS(2462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_equ] = ACTIONS(2460),
    [anon_sym_eqr] = ACTIONS(2460),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2460),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(2460),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1486] = {
    [sym_heredoc_content] = STATE(1486),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_and] = ACTIONS(2502),
    [anon_sym_or] = ACTIONS(2502),
    [anon_sym_xor] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_RBRACK] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2502),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1487] = {
    [sym_heredoc_content] = STATE(1487),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_and] = ACTIONS(2514),
    [anon_sym_or] = ACTIONS(2514),
    [anon_sym_xor] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_RBRACK] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2514),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1488] = {
    [sym_heredoc_content] = STATE(1488),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_and] = ACTIONS(2518),
    [anon_sym_or] = ACTIONS(2518),
    [anon_sym_xor] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_RBRACK] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2518),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1489] = {
    [sym_heredoc_content] = STATE(1489),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_LPAREN] = ACTIONS(2522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_and] = ACTIONS(2522),
    [anon_sym_or] = ACTIONS(2522),
    [anon_sym_xor] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_RBRACK] = ACTIONS(2522),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LT_LT] = ACTIONS(2524),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2522),
    [anon_sym_PLUS_EQ] = ACTIONS(2522),
    [anon_sym_DASH_EQ] = ACTIONS(2522),
    [anon_sym_DOT_EQ] = ACTIONS(2522),
    [anon_sym_STAR_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_PERCENT_EQ] = ACTIONS(2522),
    [anon_sym_x_EQ] = ACTIONS(2522),
    [anon_sym_AMP_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_CARET_EQ] = ACTIONS(2522),
    [anon_sym_LT_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_GT_EQ] = ACTIONS(2522),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2522),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_STAR_STAR] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH] = ACTIONS(2524),
    [anon_sym_CARET_CARET] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE] = ACTIONS(2524),
    [anon_sym_CARET] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_GT_GT2] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_DOT] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_x] = ACTIONS(2524),
    [anon_sym_EQ_TILDE] = ACTIONS(2522),
    [anon_sym_BANG_TILDE] = ACTIONS(2522),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_eq] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2522),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2522),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2522),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2522),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1490] = {
    [sym_heredoc_content] = STATE(1490),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_RPAREN] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_and] = ACTIONS(2526),
    [anon_sym_or] = ACTIONS(2526),
    [anon_sym_xor] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_RBRACK] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2526),
    [anon_sym_x_EQ] = ACTIONS(2526),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2526),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2526),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2526),
    [anon_sym_le] = ACTIONS(2526),
    [anon_sym_ge] = ACTIONS(2526),
    [anon_sym_gt] = ACTIONS(2526),
    [anon_sym_isa] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1491] = {
    [sym_heredoc_content] = STATE(1491),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_COMMA] = ACTIONS(3030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3030),
    [anon_sym_and] = ACTIONS(3030),
    [anon_sym_or] = ACTIONS(3030),
    [anon_sym_xor] = ACTIONS(3030),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3030),
    [anon_sym_PLUS_EQ] = ACTIONS(3030),
    [anon_sym_DASH_EQ] = ACTIONS(3030),
    [anon_sym_DOT_EQ] = ACTIONS(3030),
    [anon_sym_STAR_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_PERCENT_EQ] = ACTIONS(3030),
    [anon_sym_x_EQ] = ACTIONS(3030),
    [anon_sym_AMP_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_CARET_EQ] = ACTIONS(3030),
    [anon_sym_LT_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_GT_EQ] = ACTIONS(3030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3030),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH] = ACTIONS(3032),
    [anon_sym_CARET_CARET] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_CARET] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3030),
    [anon_sym_eq] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3030),
    [anon_sym_equ] = ACTIONS(3030),
    [anon_sym_eqr] = ACTIONS(3030),
    [anon_sym_ne] = ACTIONS(3030),
    [anon_sym_LT_EQ_GT] = ACTIONS(3030),
    [anon_sym_cmp] = ACTIONS(3030),
    [anon_sym_TILDE_TILDE] = ACTIONS(3030),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3030),
    [anon_sym_lt] = ACTIONS(3030),
    [anon_sym_le] = ACTIONS(3030),
    [anon_sym_ge] = ACTIONS(3030),
    [anon_sym_gt] = ACTIONS(3030),
    [anon_sym_isa] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3030),
    [anon_sym_EQ_GT] = ACTIONS(3030),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3030),
    [anon_sym___END__] = ACTIONS(3030),
    [anon_sym_EOT] = ACTIONS(3030),
    [sym__PERLY_SEMICOLON] = ACTIONS(3030),
    [sym__ctrl_z_hack] = ACTIONS(3030),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1492] = {
    [sym_heredoc_content] = STATE(1492),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(3360),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3366),
    [anon_sym_and] = ACTIONS(2873),
    [anon_sym_or] = ACTIONS(2873),
    [anon_sym_xor] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3362),
    [anon_sym_PLUS_EQ] = ACTIONS(3362),
    [anon_sym_DASH_EQ] = ACTIONS(3362),
    [anon_sym_DOT_EQ] = ACTIONS(3362),
    [anon_sym_STAR_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_PERCENT_EQ] = ACTIONS(3362),
    [anon_sym_x_EQ] = ACTIONS(3362),
    [anon_sym_AMP_EQ] = ACTIONS(3362),
    [anon_sym_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_CARET_EQ] = ACTIONS(3362),
    [anon_sym_LT_LT_EQ] = ACTIONS(3362),
    [anon_sym_GT_GT_EQ] = ACTIONS(3362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3362),
    [anon_sym_DOT_DOT] = ACTIONS(3374),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3378),
    [anon_sym_SLASH_SLASH] = ACTIONS(3378),
    [anon_sym_CARET_CARET] = ACTIONS(3380),
    [anon_sym_AMP_AMP] = ACTIONS(3382),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3402),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2873),
    [anon_sym___END__] = ACTIONS(2873),
    [anon_sym_EOT] = ACTIONS(2873),
    [sym__PERLY_SEMICOLON] = ACTIONS(2873),
    [sym__ctrl_z_hack] = ACTIONS(2873),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1493] = {
    [sym_heredoc_content] = STATE(1493),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_and] = ACTIONS(2947),
    [anon_sym_or] = ACTIONS(2947),
    [anon_sym_xor] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_x] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2947),
    [anon_sym_BANG_TILDE] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2947),
    [anon_sym___END__] = ACTIONS(2947),
    [anon_sym_EOT] = ACTIONS(2947),
    [sym__PERLY_SEMICOLON] = ACTIONS(2947),
    [sym__ctrl_z_hack] = ACTIONS(2947),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1494] = {
    [sym_heredoc_content] = STATE(1494),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_and] = ACTIONS(2648),
    [anon_sym_or] = ACTIONS(2648),
    [anon_sym_xor] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2648),
    [anon_sym___END__] = ACTIONS(2648),
    [anon_sym_EOT] = ACTIONS(2648),
    [sym__PERLY_SEMICOLON] = ACTIONS(2648),
    [sym__ctrl_z_hack] = ACTIONS(2648),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1495] = {
    [sym_heredoc_content] = STATE(1495),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_EQ] = ACTIONS(3006),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_COMMA] = ACTIONS(3004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3004),
    [anon_sym_and] = ACTIONS(3004),
    [anon_sym_or] = ACTIONS(3004),
    [anon_sym_xor] = ACTIONS(3004),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_DOT_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_x_EQ] = ACTIONS(3004),
    [anon_sym_AMP_EQ] = ACTIONS(3004),
    [anon_sym_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_CARET_EQ] = ACTIONS(3004),
    [anon_sym_LT_LT_EQ] = ACTIONS(3004),
    [anon_sym_GT_GT_EQ] = ACTIONS(3004),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3006),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3006),
    [anon_sym_SLASH_SLASH] = ACTIONS(3006),
    [anon_sym_CARET_CARET] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ] = ACTIONS(3004),
    [anon_sym_eq] = ACTIONS(3006),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_equ] = ACTIONS(3004),
    [anon_sym_eqr] = ACTIONS(3004),
    [anon_sym_ne] = ACTIONS(3004),
    [anon_sym_LT_EQ_GT] = ACTIONS(3004),
    [anon_sym_cmp] = ACTIONS(3004),
    [anon_sym_TILDE_TILDE] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_LT_EQ] = ACTIONS(3006),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_lt] = ACTIONS(3004),
    [anon_sym_le] = ACTIONS(3004),
    [anon_sym_ge] = ACTIONS(3004),
    [anon_sym_gt] = ACTIONS(3004),
    [anon_sym_isa] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3004),
    [anon_sym_EQ_GT] = ACTIONS(3004),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3004),
    [anon_sym___END__] = ACTIONS(3004),
    [anon_sym_EOT] = ACTIONS(3004),
    [sym__PERLY_SEMICOLON] = ACTIONS(3004),
    [sym__ctrl_z_hack] = ACTIONS(3004),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1496] = {
    [sym_heredoc_content] = STATE(1496),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_and] = ACTIONS(3016),
    [anon_sym_or] = ACTIONS(3016),
    [anon_sym_xor] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3016),
    [anon_sym___END__] = ACTIONS(3016),
    [anon_sym_EOT] = ACTIONS(3016),
    [sym__PERLY_SEMICOLON] = ACTIONS(3016),
    [sym__ctrl_z_hack] = ACTIONS(3016),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1497] = {
    [sym_heredoc_content] = STATE(1497),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3360),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3366),
    [anon_sym_and] = ACTIONS(3086),
    [anon_sym_or] = ACTIONS(3086),
    [anon_sym_xor] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3362),
    [anon_sym_PLUS_EQ] = ACTIONS(3362),
    [anon_sym_DASH_EQ] = ACTIONS(3362),
    [anon_sym_DOT_EQ] = ACTIONS(3362),
    [anon_sym_STAR_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_PERCENT_EQ] = ACTIONS(3362),
    [anon_sym_x_EQ] = ACTIONS(3362),
    [anon_sym_AMP_EQ] = ACTIONS(3362),
    [anon_sym_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_CARET_EQ] = ACTIONS(3362),
    [anon_sym_LT_LT_EQ] = ACTIONS(3362),
    [anon_sym_GT_GT_EQ] = ACTIONS(3362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3362),
    [anon_sym_DOT_DOT] = ACTIONS(3374),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3378),
    [anon_sym_SLASH_SLASH] = ACTIONS(3378),
    [anon_sym_CARET_CARET] = ACTIONS(3380),
    [anon_sym_AMP_AMP] = ACTIONS(3382),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3402),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3086),
    [anon_sym___END__] = ACTIONS(3086),
    [anon_sym_EOT] = ACTIONS(3086),
    [sym__PERLY_SEMICOLON] = ACTIONS(3086),
    [sym__ctrl_z_hack] = ACTIONS(3086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1498] = {
    [sym_heredoc_content] = STATE(1498),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_and] = ACTIONS(3090),
    [anon_sym_or] = ACTIONS(3090),
    [anon_sym_xor] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_DOT_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_x_EQ] = ACTIONS(3090),
    [anon_sym_AMP_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_CARET_EQ] = ACTIONS(3090),
    [anon_sym_LT_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_GT_EQ] = ACTIONS(3090),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT] = ACTIONS(3092),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH] = ACTIONS(3092),
    [anon_sym_CARET_CARET] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_PIPE] = ACTIONS(3092),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_eq] = ACTIONS(3092),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_equ] = ACTIONS(3090),
    [anon_sym_eqr] = ACTIONS(3090),
    [anon_sym_ne] = ACTIONS(3090),
    [anon_sym_LT_EQ_GT] = ACTIONS(3090),
    [anon_sym_cmp] = ACTIONS(3090),
    [anon_sym_TILDE_TILDE] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_lt] = ACTIONS(3090),
    [anon_sym_le] = ACTIONS(3090),
    [anon_sym_ge] = ACTIONS(3090),
    [anon_sym_gt] = ACTIONS(3090),
    [anon_sym_isa] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3090),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3090),
    [anon_sym___END__] = ACTIONS(3090),
    [anon_sym_EOT] = ACTIONS(3090),
    [sym__PERLY_SEMICOLON] = ACTIONS(3090),
    [sym__ctrl_z_hack] = ACTIONS(3090),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1499] = {
    [sym_heredoc_content] = STATE(1499),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_xor] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3158),
    [anon_sym___END__] = ACTIONS(3158),
    [anon_sym_EOT] = ACTIONS(3158),
    [sym__PERLY_SEMICOLON] = ACTIONS(3158),
    [sym__ctrl_z_hack] = ACTIONS(3158),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1500] = {
    [sym_heredoc_content] = STATE(1500),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(3360),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_COMMA] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3366),
    [anon_sym_and] = ACTIONS(2672),
    [anon_sym_or] = ACTIONS(2672),
    [anon_sym_xor] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3362),
    [anon_sym_PLUS_EQ] = ACTIONS(3362),
    [anon_sym_DASH_EQ] = ACTIONS(3362),
    [anon_sym_DOT_EQ] = ACTIONS(3362),
    [anon_sym_STAR_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_PERCENT_EQ] = ACTIONS(3362),
    [anon_sym_x_EQ] = ACTIONS(3362),
    [anon_sym_AMP_EQ] = ACTIONS(3362),
    [anon_sym_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_CARET_EQ] = ACTIONS(3362),
    [anon_sym_LT_LT_EQ] = ACTIONS(3362),
    [anon_sym_GT_GT_EQ] = ACTIONS(3362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3362),
    [anon_sym_DOT_DOT] = ACTIONS(3374),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3378),
    [anon_sym_SLASH_SLASH] = ACTIONS(3378),
    [anon_sym_CARET_CARET] = ACTIONS(3380),
    [anon_sym_AMP_AMP] = ACTIONS(3382),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3402),
    [anon_sym_EQ_GT] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2672),
    [anon_sym___END__] = ACTIONS(2672),
    [anon_sym_EOT] = ACTIONS(2672),
    [sym__PERLY_SEMICOLON] = ACTIONS(2672),
    [sym__ctrl_z_hack] = ACTIONS(2672),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1501] = {
    [sym_heredoc_content] = STATE(1501),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3360),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3366),
    [anon_sym_and] = ACTIONS(3174),
    [anon_sym_or] = ACTIONS(3174),
    [anon_sym_xor] = ACTIONS(3174),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3370),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3362),
    [anon_sym_PLUS_EQ] = ACTIONS(3362),
    [anon_sym_DASH_EQ] = ACTIONS(3362),
    [anon_sym_DOT_EQ] = ACTIONS(3362),
    [anon_sym_STAR_EQ] = ACTIONS(3362),
    [anon_sym_SLASH_EQ] = ACTIONS(3362),
    [anon_sym_PERCENT_EQ] = ACTIONS(3362),
    [anon_sym_x_EQ] = ACTIONS(3362),
    [anon_sym_AMP_EQ] = ACTIONS(3362),
    [anon_sym_PIPE_EQ] = ACTIONS(3362),
    [anon_sym_CARET_EQ] = ACTIONS(3362),
    [anon_sym_LT_LT_EQ] = ACTIONS(3362),
    [anon_sym_GT_GT_EQ] = ACTIONS(3362),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3362),
    [anon_sym_DOT_DOT] = ACTIONS(3374),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3378),
    [anon_sym_SLASH_SLASH] = ACTIONS(3378),
    [anon_sym_CARET_CARET] = ACTIONS(3380),
    [anon_sym_AMP_AMP] = ACTIONS(3382),
    [anon_sym_PIPE] = ACTIONS(3384),
    [anon_sym_CARET] = ACTIONS(3384),
    [anon_sym_AMP] = ACTIONS(3386),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3392),
    [anon_sym_BANG_EQ] = ACTIONS(3394),
    [anon_sym_eq] = ACTIONS(3392),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3394),
    [anon_sym_equ] = ACTIONS(3394),
    [anon_sym_eqr] = ACTIONS(3394),
    [anon_sym_ne] = ACTIONS(3394),
    [anon_sym_LT_EQ_GT] = ACTIONS(3396),
    [anon_sym_cmp] = ACTIONS(3396),
    [anon_sym_TILDE_TILDE] = ACTIONS(3396),
    [anon_sym_LT] = ACTIONS(3370),
    [anon_sym_LT_EQ] = ACTIONS(3370),
    [anon_sym_GT_EQ] = ACTIONS(3398),
    [anon_sym_lt] = ACTIONS(3398),
    [anon_sym_le] = ACTIONS(3398),
    [anon_sym_ge] = ACTIONS(3398),
    [anon_sym_gt] = ACTIONS(3398),
    [anon_sym_isa] = ACTIONS(3400),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3402),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3174),
    [anon_sym___END__] = ACTIONS(3174),
    [anon_sym_EOT] = ACTIONS(3174),
    [sym__PERLY_SEMICOLON] = ACTIONS(3174),
    [sym__ctrl_z_hack] = ACTIONS(3174),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1502] = {
    [sym_heredoc_content] = STATE(1502),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_and] = ACTIONS(3210),
    [anon_sym_or] = ACTIONS(3210),
    [anon_sym_xor] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(3368),
    [anon_sym_PERCENT] = ACTIONS(3368),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3372),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3376),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3372),
    [anon_sym_PLUS] = ACTIONS(3388),
    [anon_sym_DASH] = ACTIONS(3388),
    [anon_sym_DOT] = ACTIONS(3388),
    [anon_sym_SLASH] = ACTIONS(3368),
    [anon_sym_x] = ACTIONS(3368),
    [anon_sym_EQ_TILDE] = ACTIONS(3390),
    [anon_sym_BANG_TILDE] = ACTIONS(3390),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(2725),
    [anon_sym_DASH_DASH] = ACTIONS(2725),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(3210),
    [anon_sym___END__] = ACTIONS(3210),
    [anon_sym_EOT] = ACTIONS(3210),
    [sym__PERLY_SEMICOLON] = ACTIONS(3210),
    [sym__ctrl_z_hack] = ACTIONS(3210),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1503] = {
    [sym_heredoc_content] = STATE(1503),
    [anon_sym_SEMI] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(3431),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_and] = ACTIONS(2976),
    [anon_sym_or] = ACTIONS(2976),
    [anon_sym_xor] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(3431),
    [sym_comment] = ACTIONS(5),
    [anon_sym___DATA__] = ACTIONS(2976),
    [anon_sym___END__] = ACTIONS(2976),
    [anon_sym_EOT] = ACTIONS(2976),
    [sym__PERLY_SEMICOLON] = ACTIONS(2976),
    [sym__ctrl_z_hack] = ACTIONS(2976),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1504] = {
    [sym_heredoc_content] = STATE(1504),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_RPAREN] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_and] = ACTIONS(2510),
    [anon_sym_or] = ACTIONS(2510),
    [anon_sym_xor] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_RBRACK] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1505] = {
    [sym_heredoc_content] = STATE(1505),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_RPAREN] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_and] = ACTIONS(2464),
    [anon_sym_or] = ACTIONS(2464),
    [anon_sym_xor] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_RBRACK] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1506] = {
    [sym_heredoc_content] = STATE(1506),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_RPAREN] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_and] = ACTIONS(2494),
    [anon_sym_or] = ACTIONS(2494),
    [anon_sym_xor] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_RBRACK] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2494),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1507] = {
    [sym_heredoc_content] = STATE(1507),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_COLON] = ACTIONS(1705),
    [anon_sym_DOLLAR] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_AT] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1705),
    [anon_sym_DASH_GT] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_DOT_EQ] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1707),
    [anon_sym_x_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1705),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1705),
    [anon_sym_BANG_TILDE] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1705),
    [anon_sym_equ] = ACTIONS(1705),
    [anon_sym_eqr] = ACTIONS(1705),
    [anon_sym_ne] = ACTIONS(1705),
    [anon_sym_LT_EQ_GT] = ACTIONS(1705),
    [anon_sym_cmp] = ACTIONS(1705),
    [anon_sym_TILDE_TILDE] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_lt] = ACTIONS(1705),
    [anon_sym_le] = ACTIONS(1705),
    [anon_sym_ge] = ACTIONS(1705),
    [anon_sym_gt] = ACTIONS(1705),
    [anon_sym_isa] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_PERCENT2] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1705),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1508] = {
    [sym_heredoc_content] = STATE(1508),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2538),
    [anon_sym_or] = ACTIONS(2538),
    [anon_sym_xor] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1509] = {
    [sym_heredoc_content] = STATE(1509),
    [anon_sym_LBRACE] = ACTIONS(3433),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(3435),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(3437),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2476),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_PERCENT2] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1510] = {
    [sym_heredoc_content] = STATE(1510),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_DOLLAR] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_AT] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_RPAREN] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2466),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_PERCENT2] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1511] = {
    [sym_heredoc_content] = STATE(1511),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2456),
    [anon_sym_DOLLAR] = ACTIONS(2456),
    [anon_sym_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_AT] = ACTIONS(2456),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_RPAREN] = ACTIONS(2456),
    [anon_sym_LPAREN] = ACTIONS(2456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2456),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(2458),
    [anon_sym_LT_LT] = ACTIONS(2458),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2456),
    [anon_sym_PLUS_EQ] = ACTIONS(2456),
    [anon_sym_DASH_EQ] = ACTIONS(2456),
    [anon_sym_DOT_EQ] = ACTIONS(2456),
    [anon_sym_STAR_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_PERCENT_EQ] = ACTIONS(2458),
    [anon_sym_x_EQ] = ACTIONS(2456),
    [anon_sym_AMP_EQ] = ACTIONS(2456),
    [anon_sym_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_CARET_EQ] = ACTIONS(2456),
    [anon_sym_LT_LT_EQ] = ACTIONS(2456),
    [anon_sym_GT_GT_EQ] = ACTIONS(2456),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2456),
    [anon_sym_DOT_DOT] = ACTIONS(2458),
    [anon_sym_STAR_STAR] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH] = ACTIONS(2458),
    [anon_sym_CARET_CARET] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_PIPE] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_GT_GT2] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_DOT] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_x] = ACTIONS(2458),
    [anon_sym_EQ_TILDE] = ACTIONS(2456),
    [anon_sym_BANG_TILDE] = ACTIONS(2456),
    [anon_sym_EQ_EQ] = ACTIONS(2458),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_eq] = ACTIONS(2458),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2456),
    [anon_sym_equ] = ACTIONS(2456),
    [anon_sym_eqr] = ACTIONS(2456),
    [anon_sym_ne] = ACTIONS(2456),
    [anon_sym_LT_EQ_GT] = ACTIONS(2456),
    [anon_sym_cmp] = ACTIONS(2456),
    [anon_sym_TILDE_TILDE] = ACTIONS(2456),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_EQ] = ACTIONS(2456),
    [anon_sym_lt] = ACTIONS(2456),
    [anon_sym_le] = ACTIONS(2456),
    [anon_sym_ge] = ACTIONS(2456),
    [anon_sym_gt] = ACTIONS(2456),
    [anon_sym_isa] = ACTIONS(2456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [anon_sym_QMARK] = ACTIONS(2456),
    [anon_sym_PERCENT2] = ACTIONS(2456),
    [anon_sym_EQ_GT] = ACTIONS(2456),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1512] = {
    [sym_heredoc_content] = STATE(1512),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_and] = ACTIONS(2544),
    [anon_sym_or] = ACTIONS(2544),
    [anon_sym_xor] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_RBRACK] = ACTIONS(2544),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1513] = {
    [sym_heredoc_content] = STATE(1513),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_COLON] = ACTIONS(1863),
    [anon_sym_DOLLAR] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1861),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_PERCENT2] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1514] = {
    [sym_heredoc_content] = STATE(1514),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_COLON] = ACTIONS(1826),
    [anon_sym_DOLLAR] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_AT] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RPAREN] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1824),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_PERCENT2] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1515] = {
    [sym_heredoc_content] = STATE(1515),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_COLON] = ACTIONS(1855),
    [anon_sym_DOLLAR] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1853),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_PERCENT2] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1516] = {
    [sym_heredoc_content] = STATE(1516),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1517] = {
    [sym_heredoc_content] = STATE(1517),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_COLON] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_AT] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1849),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_PERCENT2] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1518] = {
    [sym_heredoc_content] = STATE(1518),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_COLON] = ACTIONS(2494),
    [anon_sym_DOLLAR] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_AT] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_RPAREN] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2496),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_PERCENT2] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1519] = {
    [sym_attribute] = STATE(1829),
    [sym_attribute_name] = STATE(1685),
    [sym_heredoc_content] = STATE(1519),
    [aux_sym_attrlist_repeat1] = STATE(1527),
    [sym__identifier] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_COLON] = ACTIONS(3441),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_RPAREN] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3439),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1520] = {
    [sym_heredoc_content] = STATE(1520),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_COLON] = ACTIONS(1843),
    [anon_sym_DOLLAR] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1843),
    [anon_sym_DASH_GT] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1843),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_DOT_EQ] = ACTIONS(1843),
    [anon_sym_STAR_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_PERCENT_EQ] = ACTIONS(1841),
    [anon_sym_x_EQ] = ACTIONS(1843),
    [anon_sym_AMP_EQ] = ACTIONS(1843),
    [anon_sym_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_CARET_EQ] = ACTIONS(1843),
    [anon_sym_LT_LT_EQ] = ACTIONS(1843),
    [anon_sym_GT_GT_EQ] = ACTIONS(1843),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1843),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1843),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1843),
    [anon_sym_BANG_TILDE] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1843),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1843),
    [anon_sym_equ] = ACTIONS(1843),
    [anon_sym_eqr] = ACTIONS(1843),
    [anon_sym_ne] = ACTIONS(1843),
    [anon_sym_LT_EQ_GT] = ACTIONS(1843),
    [anon_sym_cmp] = ACTIONS(1843),
    [anon_sym_TILDE_TILDE] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1843),
    [anon_sym_lt] = ACTIONS(1843),
    [anon_sym_le] = ACTIONS(1843),
    [anon_sym_ge] = ACTIONS(1843),
    [anon_sym_gt] = ACTIONS(1843),
    [anon_sym_isa] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_PERCENT2] = ACTIONS(1843),
    [anon_sym_EQ_GT] = ACTIONS(1843),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1521] = {
    [sym_heredoc_content] = STATE(1521),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2498),
    [anon_sym_DOLLAR] = ACTIONS(2498),
    [anon_sym_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_AT] = ACTIONS(2498),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_RPAREN] = ACTIONS(2498),
    [anon_sym_LPAREN] = ACTIONS(2498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2498),
    [anon_sym_DASH_GT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_PERCENT] = ACTIONS(2500),
    [anon_sym_GT] = ACTIONS(2500),
    [anon_sym_LT_LT] = ACTIONS(2500),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2498),
    [anon_sym_PLUS_EQ] = ACTIONS(2498),
    [anon_sym_DASH_EQ] = ACTIONS(2498),
    [anon_sym_DOT_EQ] = ACTIONS(2498),
    [anon_sym_STAR_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_PERCENT_EQ] = ACTIONS(2500),
    [anon_sym_x_EQ] = ACTIONS(2498),
    [anon_sym_AMP_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_CARET_EQ] = ACTIONS(2498),
    [anon_sym_LT_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_GT_EQ] = ACTIONS(2498),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2500),
    [anon_sym_STAR_STAR] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH] = ACTIONS(2500),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2500),
    [anon_sym_CARET] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_GT_GT2] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_DOT] = ACTIONS(2500),
    [anon_sym_SLASH] = ACTIONS(2500),
    [anon_sym_x] = ACTIONS(2500),
    [anon_sym_EQ_TILDE] = ACTIONS(2498),
    [anon_sym_BANG_TILDE] = ACTIONS(2498),
    [anon_sym_EQ_EQ] = ACTIONS(2500),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_eq] = ACTIONS(2500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2498),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2498),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2498),
    [anon_sym_LT] = ACTIONS(2500),
    [anon_sym_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_EQ] = ACTIONS(2498),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2498),
    [anon_sym_PERCENT2] = ACTIONS(2498),
    [anon_sym_EQ_GT] = ACTIONS(2498),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1522] = {
    [sym_heredoc_content] = STATE(1522),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_COLON] = ACTIONS(2486),
    [anon_sym_DOLLAR] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_AT] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_RPAREN] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2488),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_PERCENT2] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1523] = {
    [sym_heredoc_content] = STATE(1523),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_COLON] = ACTIONS(2510),
    [anon_sym_DOLLAR] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_AT] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_RPAREN] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2512),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_PERCENT2] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1524] = {
    [sym_heredoc_content] = STATE(1524),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_and] = ACTIONS(1859),
    [anon_sym_or] = ACTIONS(1859),
    [anon_sym_xor] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1525] = {
    [sym_heredoc_content] = STATE(1525),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_and] = ACTIONS(2550),
    [anon_sym_or] = ACTIONS(2550),
    [anon_sym_xor] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_RBRACK] = ACTIONS(2550),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1526] = {
    [sym_heredoc_content] = STATE(1526),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_COLON] = ACTIONS(2482),
    [anon_sym_DOLLAR] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_AT] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_RPAREN] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2484),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_PERCENT2] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1527] = {
    [sym_attribute] = STATE(1829),
    [sym_attribute_name] = STATE(1685),
    [sym_heredoc_content] = STATE(1527),
    [aux_sym_attrlist_repeat1] = STATE(1529),
    [sym__identifier] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_COLON] = ACTIONS(3441),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_RPAREN] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2434),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3439),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1528] = {
    [sym_heredoc_content] = STATE(1528),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_COLON] = ACTIONS(2506),
    [anon_sym_DOLLAR] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_AT] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2508),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_PERCENT2] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1529] = {
    [sym_attribute] = STATE(1829),
    [sym_attribute_name] = STATE(1685),
    [sym_heredoc_content] = STATE(1529),
    [aux_sym_attrlist_repeat1] = STATE(1529),
    [sym__identifier] = ACTIONS(3443),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [anon_sym_COLON] = ACTIONS(3446),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3443),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1530] = {
    [sym_attribute] = STATE(1845),
    [sym_attribute_name] = STATE(1696),
    [sym_heredoc_content] = STATE(1530),
    [aux_sym_attrlist_repeat1] = STATE(1532),
    [sym__identifier] = ACTIONS(3449),
    [anon_sym_COLON] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3449),
    [sym__PERLY_SEMICOLON] = ACTIONS(2418),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1531] = {
    [sym_heredoc_content] = STATE(1531),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_DOLLAR] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_AT] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RPAREN] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_GT] = ACTIONS(2462),
    [anon_sym_LT_LT] = ACTIONS(2462),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(2460),
    [anon_sym_DASH_EQ] = ACTIONS(2460),
    [anon_sym_DOT_EQ] = ACTIONS(2460),
    [anon_sym_STAR_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_PERCENT_EQ] = ACTIONS(2462),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_CARET_EQ] = ACTIONS(2460),
    [anon_sym_LT_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_GT_EQ] = ACTIONS(2460),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2460),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_STAR_STAR] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH] = ACTIONS(2462),
    [anon_sym_CARET_CARET] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_PIPE] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_GT_GT2] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2462),
    [anon_sym_SLASH] = ACTIONS(2462),
    [anon_sym_x] = ACTIONS(2462),
    [anon_sym_EQ_TILDE] = ACTIONS(2460),
    [anon_sym_BANG_TILDE] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2462),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_eq] = ACTIONS(2462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_equ] = ACTIONS(2460),
    [anon_sym_eqr] = ACTIONS(2460),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2460),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_PERCENT2] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(2460),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1532] = {
    [sym_attribute] = STATE(1845),
    [sym_attribute_name] = STATE(1696),
    [sym_heredoc_content] = STATE(1532),
    [aux_sym_attrlist_repeat1] = STATE(1533),
    [sym__identifier] = ACTIONS(3449),
    [anon_sym_COLON] = ACTIONS(3451),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2434),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3449),
    [sym__PERLY_SEMICOLON] = ACTIONS(2434),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1533] = {
    [sym_attribute] = STATE(1845),
    [sym_attribute_name] = STATE(1696),
    [sym_heredoc_content] = STATE(1533),
    [aux_sym_attrlist_repeat1] = STATE(1533),
    [sym__identifier] = ACTIONS(3453),
    [anon_sym_COLON] = ACTIONS(3456),
    [anon_sym_SEMI] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3453),
    [sym__PERLY_SEMICOLON] = ACTIONS(2427),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1534] = {
    [sym_heredoc_content] = STATE(1534),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_COLON] = ACTIONS(2502),
    [anon_sym_DOLLAR] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_AT] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2504),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_PERCENT2] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1535] = {
    [sym_heredoc_content] = STATE(1535),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_DOLLAR] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_AT] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RPAREN] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(2470),
    [anon_sym_LT_LT] = ACTIONS(2470),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2468),
    [anon_sym_PLUS_EQ] = ACTIONS(2468),
    [anon_sym_DASH_EQ] = ACTIONS(2468),
    [anon_sym_DOT_EQ] = ACTIONS(2468),
    [anon_sym_STAR_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_PERCENT_EQ] = ACTIONS(2470),
    [anon_sym_x_EQ] = ACTIONS(2468),
    [anon_sym_AMP_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_CARET_EQ] = ACTIONS(2468),
    [anon_sym_LT_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_GT_EQ] = ACTIONS(2468),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2468),
    [anon_sym_DOT_DOT] = ACTIONS(2470),
    [anon_sym_STAR_STAR] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH] = ACTIONS(2470),
    [anon_sym_CARET_CARET] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_PIPE] = ACTIONS(2470),
    [anon_sym_CARET] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_GT_GT2] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2470),
    [anon_sym_SLASH] = ACTIONS(2470),
    [anon_sym_x] = ACTIONS(2470),
    [anon_sym_EQ_TILDE] = ACTIONS(2468),
    [anon_sym_BANG_TILDE] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2470),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_eq] = ACTIONS(2470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_equ] = ACTIONS(2468),
    [anon_sym_eqr] = ACTIONS(2468),
    [anon_sym_ne] = ACTIONS(2468),
    [anon_sym_LT_EQ_GT] = ACTIONS(2468),
    [anon_sym_cmp] = ACTIONS(2468),
    [anon_sym_TILDE_TILDE] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_lt] = ACTIONS(2468),
    [anon_sym_le] = ACTIONS(2468),
    [anon_sym_ge] = ACTIONS(2468),
    [anon_sym_gt] = ACTIONS(2468),
    [anon_sym_isa] = ACTIONS(2468),
    [anon_sym_PLUS_PLUS] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_PERCENT2] = ACTIONS(2468),
    [anon_sym_EQ_GT] = ACTIONS(2468),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1536] = {
    [sym_heredoc_content] = STATE(1536),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_COLON] = ACTIONS(2490),
    [anon_sym_DOLLAR] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_AT] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_RPAREN] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2492),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_PERCENT2] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1537] = {
    [sym_heredoc_content] = STATE(1537),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_DOLLAR] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_AT] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2516),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_PERCENT2] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1538] = {
    [sym_heredoc_content] = STATE(1538),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_COLON] = ACTIONS(2518),
    [anon_sym_DOLLAR] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_AT] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2520),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_PERCENT2] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1539] = {
    [sym_heredoc_content] = STATE(1539),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_DOLLAR] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_AT] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2446),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_PERCENT2] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1540] = {
    [sym_heredoc_content] = STATE(1540),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_DOLLAR] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_AT] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2450),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_PERCENT2] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3459),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1541] = {
    [sym_heredoc_content] = STATE(1541),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_DOLLAR] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_AT] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_LPAREN] = ACTIONS(2522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LT_LT] = ACTIONS(2524),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2522),
    [anon_sym_PLUS_EQ] = ACTIONS(2522),
    [anon_sym_DASH_EQ] = ACTIONS(2522),
    [anon_sym_DOT_EQ] = ACTIONS(2522),
    [anon_sym_STAR_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_PERCENT_EQ] = ACTIONS(2524),
    [anon_sym_x_EQ] = ACTIONS(2522),
    [anon_sym_AMP_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_CARET_EQ] = ACTIONS(2522),
    [anon_sym_LT_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_GT_EQ] = ACTIONS(2522),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2522),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_STAR_STAR] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH] = ACTIONS(2524),
    [anon_sym_CARET_CARET] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE] = ACTIONS(2524),
    [anon_sym_CARET] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_GT_GT2] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_DOT] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_x] = ACTIONS(2524),
    [anon_sym_EQ_TILDE] = ACTIONS(2522),
    [anon_sym_BANG_TILDE] = ACTIONS(2522),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_eq] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2522),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2522),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2522),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_PERCENT2] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2522),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1542] = {
    [sym_heredoc_content] = STATE(1542),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_DOLLAR] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_AT] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_RPAREN] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2528),
    [anon_sym_x_EQ] = ACTIONS(2526),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2526),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2526),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2526),
    [anon_sym_le] = ACTIONS(2526),
    [anon_sym_ge] = ACTIONS(2526),
    [anon_sym_gt] = ACTIONS(2526),
    [anon_sym_isa] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_PERCENT2] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1543] = {
    [sym_heredoc_content] = STATE(1543),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_COLON] = ACTIONS(1847),
    [anon_sym_DOLLAR] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_AT] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1847),
    [anon_sym_PLUS_EQ] = ACTIONS(1847),
    [anon_sym_DASH_EQ] = ACTIONS(1847),
    [anon_sym_DOT_EQ] = ACTIONS(1847),
    [anon_sym_STAR_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_PERCENT_EQ] = ACTIONS(1845),
    [anon_sym_x_EQ] = ACTIONS(1847),
    [anon_sym_AMP_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_CARET_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_GT_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1847),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1847),
    [anon_sym_BANG_TILDE] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1847),
    [anon_sym_equ] = ACTIONS(1847),
    [anon_sym_eqr] = ACTIONS(1847),
    [anon_sym_ne] = ACTIONS(1847),
    [anon_sym_LT_EQ_GT] = ACTIONS(1847),
    [anon_sym_cmp] = ACTIONS(1847),
    [anon_sym_TILDE_TILDE] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_lt] = ACTIONS(1847),
    [anon_sym_le] = ACTIONS(1847),
    [anon_sym_ge] = ACTIONS(1847),
    [anon_sym_gt] = ACTIONS(1847),
    [anon_sym_isa] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_PERCENT2] = ACTIONS(1847),
    [anon_sym_EQ_GT] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1544] = {
    [sym_heredoc_content] = STATE(1544),
    [anon_sym_RBRACE] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_RPAREN] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_and] = ACTIONS(2809),
    [anon_sym_or] = ACTIONS(2809),
    [anon_sym_xor] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_RBRACK] = ACTIONS(2809),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2809),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2811),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3461),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1545] = {
    [sym_heredoc_content] = STATE(1545),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_and] = ACTIONS(2662),
    [anon_sym_or] = ACTIONS(2662),
    [anon_sym_xor] = ACTIONS(2662),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_RBRACK] = ACTIONS(2660),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2662),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2662),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2662),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2662),
    [anon_sym_le] = ACTIONS(2662),
    [anon_sym_ge] = ACTIONS(2662),
    [anon_sym_gt] = ACTIONS(2662),
    [anon_sym_isa] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3463),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1546] = {
    [sym_heredoc_content] = STATE(1546),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_RPAREN] = ACTIONS(2652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_and] = ACTIONS(2654),
    [anon_sym_or] = ACTIONS(2654),
    [anon_sym_xor] = ACTIONS(2654),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_RBRACK] = ACTIONS(2652),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_x_EQ] = ACTIONS(2654),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2654),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2654),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2654),
    [anon_sym_le] = ACTIONS(2654),
    [anon_sym_ge] = ACTIONS(2654),
    [anon_sym_gt] = ACTIONS(2654),
    [anon_sym_isa] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3465),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1547] = {
    [sym_heredoc_content] = STATE(1547),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_RPAREN] = ACTIONS(2823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2823),
    [anon_sym_and] = ACTIONS(2823),
    [anon_sym_or] = ACTIONS(2823),
    [anon_sym_xor] = ACTIONS(2823),
    [anon_sym_DASH_GT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_RBRACK] = ACTIONS(2823),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_GT] = ACTIONS(2825),
    [anon_sym_LT_LT] = ACTIONS(2825),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2823),
    [anon_sym_PLUS_EQ] = ACTIONS(2823),
    [anon_sym_DASH_EQ] = ACTIONS(2823),
    [anon_sym_DOT_EQ] = ACTIONS(2823),
    [anon_sym_STAR_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_PERCENT_EQ] = ACTIONS(2823),
    [anon_sym_x_EQ] = ACTIONS(2823),
    [anon_sym_AMP_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_CARET_EQ] = ACTIONS(2823),
    [anon_sym_LT_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_GT_EQ] = ACTIONS(2823),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2823),
    [anon_sym_DOT_DOT] = ACTIONS(2825),
    [anon_sym_STAR_STAR] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH] = ACTIONS(2825),
    [anon_sym_CARET_CARET] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_PIPE] = ACTIONS(2825),
    [anon_sym_CARET] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_GT_GT2] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_SLASH] = ACTIONS(2825),
    [anon_sym_x] = ACTIONS(2825),
    [anon_sym_EQ_TILDE] = ACTIONS(2823),
    [anon_sym_BANG_TILDE] = ACTIONS(2823),
    [anon_sym_EQ_EQ] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_eq] = ACTIONS(2825),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2823),
    [anon_sym_equ] = ACTIONS(2823),
    [anon_sym_eqr] = ACTIONS(2823),
    [anon_sym_ne] = ACTIONS(2823),
    [anon_sym_LT_EQ_GT] = ACTIONS(2823),
    [anon_sym_cmp] = ACTIONS(2823),
    [anon_sym_TILDE_TILDE] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_EQ] = ACTIONS(2823),
    [anon_sym_lt] = ACTIONS(2823),
    [anon_sym_le] = ACTIONS(2823),
    [anon_sym_ge] = ACTIONS(2823),
    [anon_sym_gt] = ACTIONS(2823),
    [anon_sym_isa] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_QMARK] = ACTIONS(2823),
    [anon_sym_EQ_GT] = ACTIONS(2823),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1548] = {
    [sym_heredoc_content] = STATE(1548),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_RPAREN] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2771),
    [anon_sym_and] = ACTIONS(2771),
    [anon_sym_or] = ACTIONS(2771),
    [anon_sym_xor] = ACTIONS(2771),
    [anon_sym_DASH_GT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_RBRACK] = ACTIONS(2771),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_GT] = ACTIONS(2773),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2771),
    [anon_sym_PLUS_EQ] = ACTIONS(2771),
    [anon_sym_DASH_EQ] = ACTIONS(2771),
    [anon_sym_DOT_EQ] = ACTIONS(2771),
    [anon_sym_STAR_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_PERCENT_EQ] = ACTIONS(2771),
    [anon_sym_x_EQ] = ACTIONS(2771),
    [anon_sym_AMP_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_CARET_EQ] = ACTIONS(2771),
    [anon_sym_LT_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_GT_EQ] = ACTIONS(2771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2771),
    [anon_sym_DOT_DOT] = ACTIONS(2773),
    [anon_sym_STAR_STAR] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH] = ACTIONS(2773),
    [anon_sym_CARET_CARET] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_PIPE] = ACTIONS(2773),
    [anon_sym_CARET] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_GT_GT2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_SLASH] = ACTIONS(2773),
    [anon_sym_x] = ACTIONS(2773),
    [anon_sym_EQ_TILDE] = ACTIONS(2771),
    [anon_sym_BANG_TILDE] = ACTIONS(2771),
    [anon_sym_EQ_EQ] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_eq] = ACTIONS(2773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2771),
    [anon_sym_equ] = ACTIONS(2771),
    [anon_sym_eqr] = ACTIONS(2771),
    [anon_sym_ne] = ACTIONS(2771),
    [anon_sym_LT_EQ_GT] = ACTIONS(2771),
    [anon_sym_cmp] = ACTIONS(2771),
    [anon_sym_TILDE_TILDE] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_EQ] = ACTIONS(2771),
    [anon_sym_lt] = ACTIONS(2771),
    [anon_sym_le] = ACTIONS(2771),
    [anon_sym_ge] = ACTIONS(2771),
    [anon_sym_gt] = ACTIONS(2771),
    [anon_sym_isa] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_QMARK] = ACTIONS(2771),
    [anon_sym_EQ_GT] = ACTIONS(2771),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1549] = {
    [sym_heredoc_content] = STATE(1549),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(3467),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_and] = ACTIONS(2584),
    [anon_sym_or] = ACTIONS(2584),
    [anon_sym_xor] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_RBRACK] = ACTIONS(2584),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_x_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2584),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2584),
    [anon_sym_le] = ACTIONS(2584),
    [anon_sym_ge] = ACTIONS(2584),
    [anon_sym_gt] = ACTIONS(2584),
    [anon_sym_isa] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1550] = {
    [sym_heredoc_content] = STATE(1550),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2540),
    [anon_sym_or] = ACTIONS(2540),
    [anon_sym_xor] = ACTIONS(2540),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1551] = {
    [sym_heredoc_content] = STATE(1551),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(3469),
    [anon_sym_RBRACK] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1552] = {
    [sym_heredoc_content] = STATE(1552),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_RPAREN] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(3471),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_and] = ACTIONS(2600),
    [anon_sym_or] = ACTIONS(2600),
    [anon_sym_xor] = ACTIONS(2600),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_RBRACK] = ACTIONS(2600),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1553] = {
    [sym_heredoc_content] = STATE(1553),
    [aux_sym__term_rightward_repeat1] = STATE(1571),
    [anon_sym_RBRACE] = ACTIONS(2731),
    [anon_sym_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_COMMA] = ACTIONS(3473),
    [anon_sym_RPAREN] = ACTIONS(2731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2731),
    [anon_sym_and] = ACTIONS(2731),
    [anon_sym_or] = ACTIONS(2731),
    [anon_sym_xor] = ACTIONS(2731),
    [anon_sym_DASH_GT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2733),
    [anon_sym_RBRACK] = ACTIONS(2731),
    [anon_sym_PERCENT] = ACTIONS(2733),
    [anon_sym_GT] = ACTIONS(2733),
    [anon_sym_LT_LT] = ACTIONS(2733),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2731),
    [anon_sym_PLUS_EQ] = ACTIONS(2731),
    [anon_sym_DASH_EQ] = ACTIONS(2731),
    [anon_sym_DOT_EQ] = ACTIONS(2731),
    [anon_sym_STAR_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_PERCENT_EQ] = ACTIONS(2731),
    [anon_sym_x_EQ] = ACTIONS(2731),
    [anon_sym_AMP_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_CARET_EQ] = ACTIONS(2731),
    [anon_sym_LT_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_GT_EQ] = ACTIONS(2731),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2731),
    [anon_sym_DOT_DOT] = ACTIONS(2733),
    [anon_sym_STAR_STAR] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH] = ACTIONS(2733),
    [anon_sym_CARET_CARET] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2733),
    [anon_sym_PIPE] = ACTIONS(2733),
    [anon_sym_CARET] = ACTIONS(2733),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_GT_GT2] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_x] = ACTIONS(2733),
    [anon_sym_EQ_TILDE] = ACTIONS(2731),
    [anon_sym_BANG_TILDE] = ACTIONS(2731),
    [anon_sym_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2731),
    [anon_sym_eq] = ACTIONS(2733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2731),
    [anon_sym_equ] = ACTIONS(2731),
    [anon_sym_eqr] = ACTIONS(2731),
    [anon_sym_ne] = ACTIONS(2731),
    [anon_sym_LT_EQ_GT] = ACTIONS(2731),
    [anon_sym_cmp] = ACTIONS(2731),
    [anon_sym_TILDE_TILDE] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2731),
    [anon_sym_lt] = ACTIONS(2731),
    [anon_sym_le] = ACTIONS(2731),
    [anon_sym_ge] = ACTIONS(2731),
    [anon_sym_gt] = ACTIONS(2731),
    [anon_sym_isa] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_QMARK] = ACTIONS(2731),
    [anon_sym_EQ_GT] = ACTIONS(3473),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1554] = {
    [sym_heredoc_content] = STATE(1554),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_DOLLAR] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1857),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_PERCENT2] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1555] = {
    [sym_heredoc_content] = STATE(1555),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2540),
    [anon_sym_or] = ACTIONS(2540),
    [anon_sym_xor] = ACTIONS(2540),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2540),
    [anon_sym_eqr] = ACTIONS(2540),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1556] = {
    [sym_heredoc_content] = STATE(1556),
    [anon_sym_RBRACE] = ACTIONS(2638),
    [anon_sym_COLON] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2638),
    [anon_sym_RPAREN] = ACTIONS(2638),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2638),
    [anon_sym_and] = ACTIONS(2638),
    [anon_sym_or] = ACTIONS(2638),
    [anon_sym_xor] = ACTIONS(2638),
    [anon_sym_DASH_GT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_RBRACK] = ACTIONS(2638),
    [anon_sym_PERCENT] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2640),
    [anon_sym_LT_LT] = ACTIONS(2640),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2638),
    [anon_sym_PLUS_EQ] = ACTIONS(2638),
    [anon_sym_DASH_EQ] = ACTIONS(2638),
    [anon_sym_DOT_EQ] = ACTIONS(2638),
    [anon_sym_STAR_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_PERCENT_EQ] = ACTIONS(2638),
    [anon_sym_x_EQ] = ACTIONS(2638),
    [anon_sym_AMP_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_CARET_EQ] = ACTIONS(2638),
    [anon_sym_LT_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_GT_EQ] = ACTIONS(2638),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2638),
    [anon_sym_DOT_DOT] = ACTIONS(2640),
    [anon_sym_STAR_STAR] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH] = ACTIONS(2640),
    [anon_sym_CARET_CARET] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_GT_GT2] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2640),
    [anon_sym_x] = ACTIONS(2640),
    [anon_sym_EQ_TILDE] = ACTIONS(2638),
    [anon_sym_BANG_TILDE] = ACTIONS(2638),
    [anon_sym_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_eq] = ACTIONS(2640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2638),
    [anon_sym_equ] = ACTIONS(2638),
    [anon_sym_eqr] = ACTIONS(2638),
    [anon_sym_ne] = ACTIONS(2638),
    [anon_sym_LT_EQ_GT] = ACTIONS(2638),
    [anon_sym_cmp] = ACTIONS(2638),
    [anon_sym_TILDE_TILDE] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2638),
    [anon_sym_lt] = ACTIONS(2638),
    [anon_sym_le] = ACTIONS(2638),
    [anon_sym_ge] = ACTIONS(2638),
    [anon_sym_gt] = ACTIONS(2638),
    [anon_sym_isa] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(2638),
    [anon_sym_EQ_GT] = ACTIONS(2638),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1557] = {
    [sym_heredoc_content] = STATE(1557),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_RPAREN] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_and] = ACTIONS(2767),
    [anon_sym_or] = ACTIONS(2767),
    [anon_sym_xor] = ACTIONS(2767),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_RBRACK] = ACTIONS(2765),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_x_EQ] = ACTIONS(2767),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2767),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2767),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2767),
    [anon_sym_le] = ACTIONS(2767),
    [anon_sym_ge] = ACTIONS(2767),
    [anon_sym_gt] = ACTIONS(2767),
    [anon_sym_isa] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3475),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1558] = {
    [sym_heredoc_content] = STATE(1558),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_DOLLAR] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2540),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_PERCENT2] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1559] = {
    [sym_heredoc_content] = STATE(1559),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_COMMA] = ACTIONS(2735),
    [anon_sym_RPAREN] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2735),
    [anon_sym_and] = ACTIONS(2737),
    [anon_sym_or] = ACTIONS(2737),
    [anon_sym_xor] = ACTIONS(2737),
    [anon_sym_DASH_GT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2737),
    [anon_sym_RBRACK] = ACTIONS(2735),
    [anon_sym_PERCENT] = ACTIONS(2737),
    [anon_sym_GT] = ACTIONS(2737),
    [anon_sym_LT_LT] = ACTIONS(2737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2735),
    [anon_sym_PLUS_EQ] = ACTIONS(2735),
    [anon_sym_DASH_EQ] = ACTIONS(2735),
    [anon_sym_DOT_EQ] = ACTIONS(2735),
    [anon_sym_STAR_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_PERCENT_EQ] = ACTIONS(2735),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_CARET_EQ] = ACTIONS(2735),
    [anon_sym_LT_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_GT_EQ] = ACTIONS(2735),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2735),
    [anon_sym_DOT_DOT] = ACTIONS(2737),
    [anon_sym_STAR_STAR] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH] = ACTIONS(2737),
    [anon_sym_CARET_CARET] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2737),
    [anon_sym_PIPE] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2737),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_GT_GT2] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2737),
    [anon_sym_DASH] = ACTIONS(2737),
    [anon_sym_DOT] = ACTIONS(2737),
    [anon_sym_SLASH] = ACTIONS(2737),
    [anon_sym_x] = ACTIONS(2737),
    [anon_sym_EQ_TILDE] = ACTIONS(2735),
    [anon_sym_BANG_TILDE] = ACTIONS(2735),
    [anon_sym_EQ_EQ] = ACTIONS(2737),
    [anon_sym_BANG_EQ] = ACTIONS(2735),
    [anon_sym_eq] = ACTIONS(2737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2735),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2735),
    [anon_sym_LT_EQ_GT] = ACTIONS(2735),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_EQ] = ACTIONS(2735),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_QMARK] = ACTIONS(2735),
    [anon_sym_EQ_GT] = ACTIONS(2735),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3477),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1560] = {
    [sym_heredoc_content] = STATE(1560),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_RPAREN] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_and] = ACTIONS(2743),
    [anon_sym_or] = ACTIONS(2743),
    [anon_sym_xor] = ACTIONS(2743),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_RBRACK] = ACTIONS(2741),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2741),
    [anon_sym_x_EQ] = ACTIONS(2743),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2743),
    [anon_sym_eqr] = ACTIONS(2743),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2743),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2743),
    [anon_sym_le] = ACTIONS(2743),
    [anon_sym_ge] = ACTIONS(2743),
    [anon_sym_gt] = ACTIONS(2743),
    [anon_sym_isa] = ACTIONS(2743),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3479),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1561] = {
    [sym_attrlist] = STATE(2344),
    [sym_attribute] = STATE(1530),
    [sym_attribute_name] = STATE(1696),
    [sym_heredoc_content] = STATE(1561),
    [sym__identifier] = ACTIONS(3449),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3449),
    [sym__PERLY_SEMICOLON] = ACTIONS(2438),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1562] = {
    [sym_heredoc_content] = STATE(1562),
    [anon_sym_LBRACE] = ACTIONS(3481),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_and] = ACTIONS(1839),
    [anon_sym_or] = ACTIONS(1839),
    [anon_sym_xor] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_RBRACK] = ACTIONS(1839),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1839),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1563] = {
    [sym_heredoc_content] = STATE(1563),
    [anon_sym_RBRACE] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_COMMA] = ACTIONS(2747),
    [anon_sym_RPAREN] = ACTIONS(2747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2747),
    [anon_sym_and] = ACTIONS(2747),
    [anon_sym_or] = ACTIONS(2747),
    [anon_sym_xor] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_RBRACK] = ACTIONS(2747),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_GT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2747),
    [anon_sym_DASH_EQ] = ACTIONS(2747),
    [anon_sym_DOT_EQ] = ACTIONS(2747),
    [anon_sym_STAR_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_PERCENT_EQ] = ACTIONS(2747),
    [anon_sym_x_EQ] = ACTIONS(2747),
    [anon_sym_AMP_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_CARET_EQ] = ACTIONS(2747),
    [anon_sym_LT_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_GT_EQ] = ACTIONS(2747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2747),
    [anon_sym_DOT_DOT] = ACTIONS(2749),
    [anon_sym_STAR_STAR] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH] = ACTIONS(2749),
    [anon_sym_CARET_CARET] = ACTIONS(2747),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(2749),
    [anon_sym_CARET] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_GT_GT2] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_x] = ACTIONS(2749),
    [anon_sym_EQ_TILDE] = ACTIONS(2747),
    [anon_sym_BANG_TILDE] = ACTIONS(2747),
    [anon_sym_EQ_EQ] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_eq] = ACTIONS(2749),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2747),
    [anon_sym_equ] = ACTIONS(2747),
    [anon_sym_eqr] = ACTIONS(2747),
    [anon_sym_ne] = ACTIONS(2747),
    [anon_sym_LT_EQ_GT] = ACTIONS(2747),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2747),
    [anon_sym_lt] = ACTIONS(2747),
    [anon_sym_le] = ACTIONS(2747),
    [anon_sym_ge] = ACTIONS(2747),
    [anon_sym_gt] = ACTIONS(2747),
    [anon_sym_isa] = ACTIONS(2747),
    [anon_sym_PLUS_PLUS] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2747),
    [anon_sym_QMARK] = ACTIONS(2747),
    [anon_sym_EQ_GT] = ACTIONS(2747),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3483),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1564] = {
    [sym_heredoc_content] = STATE(1564),
    [anon_sym_RBRACE] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_RPAREN] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2753),
    [anon_sym_and] = ACTIONS(2753),
    [anon_sym_or] = ACTIONS(2753),
    [anon_sym_xor] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_RBRACK] = ACTIONS(2753),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2753),
    [anon_sym_DASH_EQ] = ACTIONS(2753),
    [anon_sym_DOT_EQ] = ACTIONS(2753),
    [anon_sym_STAR_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_PERCENT_EQ] = ACTIONS(2753),
    [anon_sym_x_EQ] = ACTIONS(2753),
    [anon_sym_AMP_EQ] = ACTIONS(2753),
    [anon_sym_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_CARET_EQ] = ACTIONS(2753),
    [anon_sym_LT_LT_EQ] = ACTIONS(2753),
    [anon_sym_GT_GT_EQ] = ACTIONS(2753),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2753),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(2755),
    [anon_sym_CARET_CARET] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_GT_GT2] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_x] = ACTIONS(2755),
    [anon_sym_EQ_TILDE] = ACTIONS(2753),
    [anon_sym_BANG_TILDE] = ACTIONS(2753),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_eq] = ACTIONS(2755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2753),
    [anon_sym_equ] = ACTIONS(2753),
    [anon_sym_eqr] = ACTIONS(2753),
    [anon_sym_ne] = ACTIONS(2753),
    [anon_sym_LT_EQ_GT] = ACTIONS(2753),
    [anon_sym_cmp] = ACTIONS(2755),
    [anon_sym_TILDE_TILDE] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2753),
    [anon_sym_lt] = ACTIONS(2753),
    [anon_sym_le] = ACTIONS(2753),
    [anon_sym_ge] = ACTIONS(2753),
    [anon_sym_gt] = ACTIONS(2753),
    [anon_sym_isa] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3485),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1565] = {
    [sym_heredoc_content] = STATE(1565),
    [anon_sym_RBRACE] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2642),
    [anon_sym_RPAREN] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(3487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2642),
    [anon_sym_and] = ACTIONS(2642),
    [anon_sym_or] = ACTIONS(2642),
    [anon_sym_xor] = ACTIONS(2642),
    [anon_sym_DASH_GT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_RBRACK] = ACTIONS(2642),
    [anon_sym_PERCENT] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2644),
    [anon_sym_LT_LT] = ACTIONS(2644),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2642),
    [anon_sym_PLUS_EQ] = ACTIONS(2642),
    [anon_sym_DASH_EQ] = ACTIONS(2642),
    [anon_sym_DOT_EQ] = ACTIONS(2642),
    [anon_sym_STAR_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_PERCENT_EQ] = ACTIONS(2642),
    [anon_sym_x_EQ] = ACTIONS(2642),
    [anon_sym_AMP_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_CARET_EQ] = ACTIONS(2642),
    [anon_sym_LT_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_GT_EQ] = ACTIONS(2642),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2642),
    [anon_sym_DOT_DOT] = ACTIONS(2644),
    [anon_sym_STAR_STAR] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH] = ACTIONS(2644),
    [anon_sym_CARET_CARET] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_PIPE] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_GT_GT2] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2644),
    [anon_sym_x] = ACTIONS(2644),
    [anon_sym_EQ_TILDE] = ACTIONS(2642),
    [anon_sym_BANG_TILDE] = ACTIONS(2642),
    [anon_sym_EQ_EQ] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_eq] = ACTIONS(2644),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2642),
    [anon_sym_equ] = ACTIONS(2642),
    [anon_sym_eqr] = ACTIONS(2642),
    [anon_sym_ne] = ACTIONS(2642),
    [anon_sym_LT_EQ_GT] = ACTIONS(2642),
    [anon_sym_cmp] = ACTIONS(2642),
    [anon_sym_TILDE_TILDE] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2642),
    [anon_sym_lt] = ACTIONS(2642),
    [anon_sym_le] = ACTIONS(2642),
    [anon_sym_ge] = ACTIONS(2642),
    [anon_sym_gt] = ACTIONS(2642),
    [anon_sym_isa] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2642),
    [anon_sym_EQ_GT] = ACTIONS(2642),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1566] = {
    [sym_attrlist] = STATE(2346),
    [sym_attribute] = STATE(1530),
    [sym_attribute_name] = STATE(1696),
    [sym_heredoc_content] = STATE(1566),
    [sym__identifier] = ACTIONS(3449),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3449),
    [sym__PERLY_SEMICOLON] = ACTIONS(2442),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1567] = {
    [sym_heredoc_content] = STATE(1567),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_RPAREN] = ACTIONS(2779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2779),
    [anon_sym_and] = ACTIONS(2779),
    [anon_sym_or] = ACTIONS(2779),
    [anon_sym_xor] = ACTIONS(2779),
    [anon_sym_DASH_GT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_RBRACK] = ACTIONS(2779),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_GT] = ACTIONS(2781),
    [anon_sym_LT_LT] = ACTIONS(2781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2779),
    [anon_sym_PLUS_EQ] = ACTIONS(2779),
    [anon_sym_DASH_EQ] = ACTIONS(2779),
    [anon_sym_DOT_EQ] = ACTIONS(2779),
    [anon_sym_STAR_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_PERCENT_EQ] = ACTIONS(2779),
    [anon_sym_x_EQ] = ACTIONS(2779),
    [anon_sym_AMP_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_CARET_EQ] = ACTIONS(2779),
    [anon_sym_LT_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_GT_EQ] = ACTIONS(2779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2779),
    [anon_sym_DOT_DOT] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_CARET_CARET] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_PIPE] = ACTIONS(2781),
    [anon_sym_CARET] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_GT_GT2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_SLASH] = ACTIONS(2781),
    [anon_sym_x] = ACTIONS(2781),
    [anon_sym_EQ_TILDE] = ACTIONS(2779),
    [anon_sym_BANG_TILDE] = ACTIONS(2779),
    [anon_sym_EQ_EQ] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_eq] = ACTIONS(2781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2779),
    [anon_sym_equ] = ACTIONS(2779),
    [anon_sym_eqr] = ACTIONS(2779),
    [anon_sym_ne] = ACTIONS(2779),
    [anon_sym_LT_EQ_GT] = ACTIONS(2779),
    [anon_sym_cmp] = ACTIONS(2779),
    [anon_sym_TILDE_TILDE] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_EQ] = ACTIONS(2779),
    [anon_sym_lt] = ACTIONS(2779),
    [anon_sym_le] = ACTIONS(2779),
    [anon_sym_ge] = ACTIONS(2779),
    [anon_sym_gt] = ACTIONS(2779),
    [anon_sym_isa] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_QMARK] = ACTIONS(2779),
    [anon_sym_EQ_GT] = ACTIONS(2779),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1568] = {
    [sym_heredoc_content] = STATE(1568),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_RPAREN] = ACTIONS(2783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2783),
    [anon_sym_and] = ACTIONS(2785),
    [anon_sym_or] = ACTIONS(2785),
    [anon_sym_xor] = ACTIONS(2785),
    [anon_sym_DASH_GT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_RBRACK] = ACTIONS(2783),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_GT] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2783),
    [anon_sym_PLUS_EQ] = ACTIONS(2783),
    [anon_sym_DASH_EQ] = ACTIONS(2783),
    [anon_sym_DOT_EQ] = ACTIONS(2783),
    [anon_sym_STAR_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_PERCENT_EQ] = ACTIONS(2783),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_CARET_EQ] = ACTIONS(2783),
    [anon_sym_LT_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_GT_EQ] = ACTIONS(2783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2783),
    [anon_sym_DOT_DOT] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH] = ACTIONS(2785),
    [anon_sym_CARET_CARET] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_GT_GT2] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_x] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2783),
    [anon_sym_BANG_TILDE] = ACTIONS(2783),
    [anon_sym_EQ_EQ] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_eq] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2783),
    [anon_sym_equ] = ACTIONS(2783),
    [anon_sym_eqr] = ACTIONS(2783),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2783),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_EQ] = ACTIONS(2783),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_QMARK] = ACTIONS(2783),
    [anon_sym_EQ_GT] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3489),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1569] = {
    [sym_heredoc_content] = STATE(1569),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_and] = ACTIONS(2799),
    [anon_sym_or] = ACTIONS(2799),
    [anon_sym_xor] = ACTIONS(2799),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_RBRACK] = ACTIONS(2797),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2799),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2799),
    [anon_sym_gt] = ACTIONS(2799),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3491),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1570] = {
    [sym_heredoc_content] = STATE(1570),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_and] = ACTIONS(2540),
    [anon_sym_or] = ACTIONS(2540),
    [anon_sym_xor] = ACTIONS(2540),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_RBRACK] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1571] = {
    [sym_heredoc_content] = STATE(1571),
    [aux_sym__term_rightward_repeat1] = STATE(1571),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(3493),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2672),
    [anon_sym_and] = ACTIONS(2672),
    [anon_sym_or] = ACTIONS(2672),
    [anon_sym_xor] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_RBRACK] = ACTIONS(2672),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_DOT_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_x_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(2674),
    [anon_sym_CARET_CARET] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_GT_GT2] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_x] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2672),
    [anon_sym_BANG_TILDE] = ACTIONS(2672),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_eq] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2672),
    [anon_sym_equ] = ACTIONS(2672),
    [anon_sym_eqr] = ACTIONS(2672),
    [anon_sym_ne] = ACTIONS(2672),
    [anon_sym_LT_EQ_GT] = ACTIONS(2672),
    [anon_sym_cmp] = ACTIONS(2672),
    [anon_sym_TILDE_TILDE] = ACTIONS(2672),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_lt] = ACTIONS(2672),
    [anon_sym_le] = ACTIONS(2672),
    [anon_sym_ge] = ACTIONS(2672),
    [anon_sym_gt] = ACTIONS(2672),
    [anon_sym_isa] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2672),
    [anon_sym_EQ_GT] = ACTIONS(3493),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1572] = {
    [sym_heredoc_content] = STATE(1572),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RPAREN] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(2775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2775),
    [anon_sym_and] = ACTIONS(2775),
    [anon_sym_or] = ACTIONS(2775),
    [anon_sym_xor] = ACTIONS(2775),
    [anon_sym_DASH_GT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_RBRACK] = ACTIONS(2775),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_GT] = ACTIONS(2777),
    [anon_sym_LT_LT] = ACTIONS(2777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2775),
    [anon_sym_PLUS_EQ] = ACTIONS(2775),
    [anon_sym_DASH_EQ] = ACTIONS(2775),
    [anon_sym_DOT_EQ] = ACTIONS(2775),
    [anon_sym_STAR_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_PERCENT_EQ] = ACTIONS(2775),
    [anon_sym_x_EQ] = ACTIONS(2775),
    [anon_sym_AMP_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_CARET_EQ] = ACTIONS(2775),
    [anon_sym_LT_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_GT_EQ] = ACTIONS(2775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2775),
    [anon_sym_DOT_DOT] = ACTIONS(2777),
    [anon_sym_STAR_STAR] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH] = ACTIONS(2777),
    [anon_sym_CARET_CARET] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2777),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_GT_GT2] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(2777),
    [anon_sym_x] = ACTIONS(2777),
    [anon_sym_EQ_TILDE] = ACTIONS(2775),
    [anon_sym_BANG_TILDE] = ACTIONS(2775),
    [anon_sym_EQ_EQ] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_eq] = ACTIONS(2777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2775),
    [anon_sym_equ] = ACTIONS(2775),
    [anon_sym_eqr] = ACTIONS(2775),
    [anon_sym_ne] = ACTIONS(2775),
    [anon_sym_LT_EQ_GT] = ACTIONS(2775),
    [anon_sym_cmp] = ACTIONS(2775),
    [anon_sym_TILDE_TILDE] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_EQ] = ACTIONS(2775),
    [anon_sym_lt] = ACTIONS(2775),
    [anon_sym_le] = ACTIONS(2775),
    [anon_sym_ge] = ACTIONS(2775),
    [anon_sym_gt] = ACTIONS(2775),
    [anon_sym_isa] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_EQ_GT] = ACTIONS(2775),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1573] = {
    [sym_attrlist] = STATE(2072),
    [sym_attribute] = STATE(1519),
    [sym_attribute_name] = STATE(1685),
    [sym_heredoc_content] = STATE(1573),
    [sym__identifier] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_EQ] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(2438),
    [anon_sym_RPAREN] = ACTIONS(2438),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2438),
    [anon_sym_DASH_GT] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2440),
    [anon_sym_PERCENT] = ACTIONS(2440),
    [anon_sym_GT] = ACTIONS(2440),
    [anon_sym_LT_LT] = ACTIONS(2440),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2438),
    [anon_sym_PLUS_EQ] = ACTIONS(2438),
    [anon_sym_DASH_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2438),
    [anon_sym_STAR_EQ] = ACTIONS(2438),
    [anon_sym_SLASH_EQ] = ACTIONS(2438),
    [anon_sym_PERCENT_EQ] = ACTIONS(2438),
    [anon_sym_x_EQ] = ACTIONS(2438),
    [anon_sym_AMP_EQ] = ACTIONS(2438),
    [anon_sym_PIPE_EQ] = ACTIONS(2438),
    [anon_sym_CARET_EQ] = ACTIONS(2438),
    [anon_sym_LT_LT_EQ] = ACTIONS(2438),
    [anon_sym_GT_GT_EQ] = ACTIONS(2438),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2440),
    [anon_sym_STAR_STAR] = ACTIONS(2440),
    [anon_sym_PIPE_PIPE] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(2440),
    [anon_sym_CARET_CARET] = ACTIONS(2438),
    [anon_sym_AMP_AMP] = ACTIONS(2440),
    [anon_sym_PIPE] = ACTIONS(2440),
    [anon_sym_CARET] = ACTIONS(2440),
    [anon_sym_AMP] = ACTIONS(2440),
    [anon_sym_GT_GT2] = ACTIONS(2440),
    [anon_sym_PLUS] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2440),
    [anon_sym_DOT] = ACTIONS(2440),
    [anon_sym_SLASH] = ACTIONS(2440),
    [anon_sym_x] = ACTIONS(2440),
    [anon_sym_EQ_TILDE] = ACTIONS(2438),
    [anon_sym_BANG_TILDE] = ACTIONS(2438),
    [anon_sym_EQ_EQ] = ACTIONS(2440),
    [anon_sym_BANG_EQ] = ACTIONS(2438),
    [anon_sym_eq] = ACTIONS(2440),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2438),
    [anon_sym_equ] = ACTIONS(2440),
    [anon_sym_eqr] = ACTIONS(2440),
    [anon_sym_ne] = ACTIONS(2440),
    [anon_sym_LT_EQ_GT] = ACTIONS(2438),
    [anon_sym_cmp] = ACTIONS(2440),
    [anon_sym_TILDE_TILDE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2440),
    [anon_sym_LT_EQ] = ACTIONS(2440),
    [anon_sym_GT_EQ] = ACTIONS(2438),
    [anon_sym_lt] = ACTIONS(2440),
    [anon_sym_le] = ACTIONS(2440),
    [anon_sym_ge] = ACTIONS(2440),
    [anon_sym_gt] = ACTIONS(2440),
    [anon_sym_isa] = ACTIONS(2440),
    [anon_sym_PLUS_PLUS] = ACTIONS(2438),
    [anon_sym_DASH_DASH] = ACTIONS(2438),
    [anon_sym_QMARK] = ACTIONS(2438),
    [anon_sym_EQ_GT] = ACTIONS(2438),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3439),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1574] = {
    [sym_attrlist] = STATE(2076),
    [sym_attribute] = STATE(1519),
    [sym_attribute_name] = STATE(1685),
    [sym_heredoc_content] = STATE(1574),
    [sym__identifier] = ACTIONS(3439),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_COMMA] = ACTIONS(2442),
    [anon_sym_RPAREN] = ACTIONS(2442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2442),
    [anon_sym_DASH_GT] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2444),
    [anon_sym_PERCENT] = ACTIONS(2444),
    [anon_sym_GT] = ACTIONS(2444),
    [anon_sym_LT_LT] = ACTIONS(2444),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2442),
    [anon_sym_PLUS_EQ] = ACTIONS(2442),
    [anon_sym_DASH_EQ] = ACTIONS(2442),
    [anon_sym_DOT_EQ] = ACTIONS(2442),
    [anon_sym_STAR_EQ] = ACTIONS(2442),
    [anon_sym_SLASH_EQ] = ACTIONS(2442),
    [anon_sym_PERCENT_EQ] = ACTIONS(2442),
    [anon_sym_x_EQ] = ACTIONS(2442),
    [anon_sym_AMP_EQ] = ACTIONS(2442),
    [anon_sym_PIPE_EQ] = ACTIONS(2442),
    [anon_sym_CARET_EQ] = ACTIONS(2442),
    [anon_sym_LT_LT_EQ] = ACTIONS(2442),
    [anon_sym_GT_GT_EQ] = ACTIONS(2442),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2444),
    [anon_sym_STAR_STAR] = ACTIONS(2444),
    [anon_sym_PIPE_PIPE] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(2444),
    [anon_sym_CARET_CARET] = ACTIONS(2442),
    [anon_sym_AMP_AMP] = ACTIONS(2444),
    [anon_sym_PIPE] = ACTIONS(2444),
    [anon_sym_CARET] = ACTIONS(2444),
    [anon_sym_AMP] = ACTIONS(2444),
    [anon_sym_GT_GT2] = ACTIONS(2444),
    [anon_sym_PLUS] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2444),
    [anon_sym_DOT] = ACTIONS(2444),
    [anon_sym_SLASH] = ACTIONS(2444),
    [anon_sym_x] = ACTIONS(2444),
    [anon_sym_EQ_TILDE] = ACTIONS(2442),
    [anon_sym_BANG_TILDE] = ACTIONS(2442),
    [anon_sym_EQ_EQ] = ACTIONS(2444),
    [anon_sym_BANG_EQ] = ACTIONS(2442),
    [anon_sym_eq] = ACTIONS(2444),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2442),
    [anon_sym_equ] = ACTIONS(2444),
    [anon_sym_eqr] = ACTIONS(2444),
    [anon_sym_ne] = ACTIONS(2444),
    [anon_sym_LT_EQ_GT] = ACTIONS(2442),
    [anon_sym_cmp] = ACTIONS(2444),
    [anon_sym_TILDE_TILDE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2444),
    [anon_sym_LT_EQ] = ACTIONS(2444),
    [anon_sym_GT_EQ] = ACTIONS(2442),
    [anon_sym_lt] = ACTIONS(2444),
    [anon_sym_le] = ACTIONS(2444),
    [anon_sym_ge] = ACTIONS(2444),
    [anon_sym_gt] = ACTIONS(2444),
    [anon_sym_isa] = ACTIONS(2444),
    [anon_sym_PLUS_PLUS] = ACTIONS(2442),
    [anon_sym_DASH_DASH] = ACTIONS(2442),
    [anon_sym_QMARK] = ACTIONS(2442),
    [anon_sym_EQ_GT] = ACTIONS(2442),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3439),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1575] = {
    [sym_heredoc_content] = STATE(1575),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_RPAREN] = ACTIONS(2759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2759),
    [anon_sym_and] = ACTIONS(2761),
    [anon_sym_or] = ACTIONS(2761),
    [anon_sym_xor] = ACTIONS(2761),
    [anon_sym_DASH_GT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_RBRACK] = ACTIONS(2759),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_GT] = ACTIONS(2761),
    [anon_sym_LT_LT] = ACTIONS(2761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_DOT_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_CARET_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_GT_EQ] = ACTIONS(2759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2761),
    [anon_sym_STAR_STAR] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH] = ACTIONS(2761),
    [anon_sym_CARET_CARET] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_PIPE] = ACTIONS(2761),
    [anon_sym_CARET] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_GT_GT2] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_x] = ACTIONS(2761),
    [anon_sym_EQ_TILDE] = ACTIONS(2759),
    [anon_sym_BANG_TILDE] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_eq] = ACTIONS(2761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_equ] = ACTIONS(2759),
    [anon_sym_eqr] = ACTIONS(2759),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2759),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_QMARK] = ACTIONS(2759),
    [anon_sym_EQ_GT] = ACTIONS(2759),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3496),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1576] = {
    [sym_heredoc_content] = STATE(1576),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_RPAREN] = ACTIONS(2803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2803),
    [anon_sym_and] = ACTIONS(2805),
    [anon_sym_or] = ACTIONS(2805),
    [anon_sym_xor] = ACTIONS(2805),
    [anon_sym_DASH_GT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_RBRACK] = ACTIONS(2803),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_GT] = ACTIONS(2805),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2803),
    [anon_sym_PLUS_EQ] = ACTIONS(2803),
    [anon_sym_DASH_EQ] = ACTIONS(2803),
    [anon_sym_DOT_EQ] = ACTIONS(2803),
    [anon_sym_STAR_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_PERCENT_EQ] = ACTIONS(2803),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_CARET_EQ] = ACTIONS(2803),
    [anon_sym_LT_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_GT_EQ] = ACTIONS(2803),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2803),
    [anon_sym_DOT_DOT] = ACTIONS(2805),
    [anon_sym_STAR_STAR] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH] = ACTIONS(2805),
    [anon_sym_CARET_CARET] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_GT_GT2] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_SLASH] = ACTIONS(2805),
    [anon_sym_x] = ACTIONS(2805),
    [anon_sym_EQ_TILDE] = ACTIONS(2803),
    [anon_sym_BANG_TILDE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_eq] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2803),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2803),
    [anon_sym_LT_EQ_GT] = ACTIONS(2803),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_QMARK] = ACTIONS(2803),
    [anon_sym_EQ_GT] = ACTIONS(2803),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3498),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1577] = {
    [sym_heredoc_content] = STATE(1577),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [anon_sym_COLON] = ACTIONS(3500),
    [anon_sym_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2618),
    [anon_sym_RPAREN] = ACTIONS(2618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2618),
    [anon_sym_and] = ACTIONS(2618),
    [anon_sym_or] = ACTIONS(2618),
    [anon_sym_xor] = ACTIONS(2618),
    [anon_sym_DASH_GT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_RBRACK] = ACTIONS(2618),
    [anon_sym_PERCENT] = ACTIONS(2622),
    [anon_sym_GT] = ACTIONS(2622),
    [anon_sym_LT_LT] = ACTIONS(2622),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2618),
    [anon_sym_DASH_EQ] = ACTIONS(2618),
    [anon_sym_DOT_EQ] = ACTIONS(2618),
    [anon_sym_STAR_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_PERCENT_EQ] = ACTIONS(2618),
    [anon_sym_x_EQ] = ACTIONS(2618),
    [anon_sym_AMP_EQ] = ACTIONS(2618),
    [anon_sym_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_CARET_EQ] = ACTIONS(2618),
    [anon_sym_LT_LT_EQ] = ACTIONS(2618),
    [anon_sym_GT_GT_EQ] = ACTIONS(2618),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2618),
    [anon_sym_DOT_DOT] = ACTIONS(2622),
    [anon_sym_STAR_STAR] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH] = ACTIONS(2622),
    [anon_sym_CARET_CARET] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_PIPE] = ACTIONS(2622),
    [anon_sym_CARET] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_GT_GT2] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_DOT] = ACTIONS(2622),
    [anon_sym_SLASH] = ACTIONS(2622),
    [anon_sym_x] = ACTIONS(2622),
    [anon_sym_EQ_TILDE] = ACTIONS(2618),
    [anon_sym_BANG_TILDE] = ACTIONS(2618),
    [anon_sym_EQ_EQ] = ACTIONS(2622),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_eq] = ACTIONS(2622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2618),
    [anon_sym_equ] = ACTIONS(2618),
    [anon_sym_eqr] = ACTIONS(2618),
    [anon_sym_ne] = ACTIONS(2618),
    [anon_sym_LT_EQ_GT] = ACTIONS(2618),
    [anon_sym_cmp] = ACTIONS(2618),
    [anon_sym_TILDE_TILDE] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_EQ] = ACTIONS(2618),
    [anon_sym_lt] = ACTIONS(2618),
    [anon_sym_le] = ACTIONS(2618),
    [anon_sym_ge] = ACTIONS(2618),
    [anon_sym_gt] = ACTIONS(2618),
    [anon_sym_isa] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_EQ_GT] = ACTIONS(2618),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1578] = {
    [sym_heredoc_content] = STATE(1578),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2566),
    [anon_sym_RPAREN] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(3502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_and] = ACTIONS(2566),
    [anon_sym_or] = ACTIONS(2566),
    [anon_sym_xor] = ACTIONS(2566),
    [anon_sym_DASH_GT] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_RBRACK] = ACTIONS(2566),
    [anon_sym_PERCENT] = ACTIONS(2568),
    [anon_sym_GT] = ACTIONS(2568),
    [anon_sym_LT_LT] = ACTIONS(2568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2566),
    [anon_sym_PLUS_EQ] = ACTIONS(2566),
    [anon_sym_DASH_EQ] = ACTIONS(2566),
    [anon_sym_DOT_EQ] = ACTIONS(2566),
    [anon_sym_STAR_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_PERCENT_EQ] = ACTIONS(2566),
    [anon_sym_x_EQ] = ACTIONS(2566),
    [anon_sym_AMP_EQ] = ACTIONS(2566),
    [anon_sym_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_CARET_EQ] = ACTIONS(2566),
    [anon_sym_LT_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT_GT_EQ] = ACTIONS(2566),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2566),
    [anon_sym_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR_STAR] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH] = ACTIONS(2568),
    [anon_sym_CARET_CARET] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2568),
    [anon_sym_CARET] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_GT_GT2] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2568),
    [anon_sym_SLASH] = ACTIONS(2568),
    [anon_sym_x] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2566),
    [anon_sym_BANG_TILDE] = ACTIONS(2566),
    [anon_sym_EQ_EQ] = ACTIONS(2568),
    [anon_sym_BANG_EQ] = ACTIONS(2566),
    [anon_sym_eq] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2566),
    [anon_sym_equ] = ACTIONS(2566),
    [anon_sym_eqr] = ACTIONS(2566),
    [anon_sym_ne] = ACTIONS(2566),
    [anon_sym_LT_EQ_GT] = ACTIONS(2566),
    [anon_sym_cmp] = ACTIONS(2566),
    [anon_sym_TILDE_TILDE] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_EQ] = ACTIONS(2566),
    [anon_sym_lt] = ACTIONS(2566),
    [anon_sym_le] = ACTIONS(2566),
    [anon_sym_ge] = ACTIONS(2566),
    [anon_sym_gt] = ACTIONS(2566),
    [anon_sym_isa] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2566),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1579] = {
    [sym_heredoc_content] = STATE(1579),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RPAREN] = ACTIONS(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2666),
    [anon_sym_and] = ACTIONS(2666),
    [anon_sym_or] = ACTIONS(2666),
    [anon_sym_xor] = ACTIONS(2666),
    [anon_sym_DASH_GT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(3504),
    [anon_sym_RBRACK] = ACTIONS(2666),
    [anon_sym_PERCENT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_LT_LT] = ACTIONS(2668),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2666),
    [anon_sym_PLUS_EQ] = ACTIONS(2666),
    [anon_sym_DASH_EQ] = ACTIONS(2666),
    [anon_sym_DOT_EQ] = ACTIONS(2666),
    [anon_sym_STAR_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_PERCENT_EQ] = ACTIONS(2666),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_CARET_EQ] = ACTIONS(2666),
    [anon_sym_LT_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_GT_EQ] = ACTIONS(2666),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2666),
    [anon_sym_DOT_DOT] = ACTIONS(2668),
    [anon_sym_STAR_STAR] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_SLASH_SLASH] = ACTIONS(2668),
    [anon_sym_CARET_CARET] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_GT_GT2] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_x] = ACTIONS(2668),
    [anon_sym_EQ_TILDE] = ACTIONS(2666),
    [anon_sym_BANG_TILDE] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_eq] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_equ] = ACTIONS(2666),
    [anon_sym_eqr] = ACTIONS(2666),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2666),
    [anon_sym_cmp] = ACTIONS(2666),
    [anon_sym_TILDE_TILDE] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2666),
    [anon_sym_gt] = ACTIONS(2666),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1580] = {
    [sym_heredoc_content] = STATE(1580),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_DOLLAR] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_AT] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2552),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_PERCENT2] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1581] = {
    [sym_heredoc_content] = STATE(1581),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_and] = ACTIONS(2562),
    [anon_sym_or] = ACTIONS(2562),
    [anon_sym_xor] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_RBRACK] = ACTIONS(2562),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1582] = {
    [sym_heredoc_content] = STATE(1582),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_COLON] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_and] = ACTIONS(2578),
    [anon_sym_or] = ACTIONS(2578),
    [anon_sym_xor] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_RBRACK] = ACTIONS(2578),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2578),
    [anon_sym_x_EQ] = ACTIONS(2578),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2578),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2578),
    [anon_sym_le] = ACTIONS(2578),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1583] = {
    [sym_heredoc_content] = STATE(1583),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_COLON] = ACTIONS(2544),
    [anon_sym_DOLLAR] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_AT] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2546),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_PERCENT2] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1584] = {
    [sym_heredoc_content] = STATE(1584),
    [aux_sym__term_rightward_repeat1] = STATE(3016),
    [anon_sym_RBRACE] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(3506),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_COMMA] = ACTIONS(3510),
    [anon_sym_RPAREN] = ACTIONS(2789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3512),
    [anon_sym_and] = ACTIONS(2789),
    [anon_sym_or] = ACTIONS(2789),
    [anon_sym_xor] = ACTIONS(2789),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2789),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3508),
    [anon_sym_PLUS_EQ] = ACTIONS(3508),
    [anon_sym_DASH_EQ] = ACTIONS(3508),
    [anon_sym_DOT_EQ] = ACTIONS(3508),
    [anon_sym_STAR_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_PERCENT_EQ] = ACTIONS(3508),
    [anon_sym_x_EQ] = ACTIONS(3508),
    [anon_sym_AMP_EQ] = ACTIONS(3508),
    [anon_sym_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_CARET_EQ] = ACTIONS(3508),
    [anon_sym_LT_LT_EQ] = ACTIONS(3508),
    [anon_sym_GT_GT_EQ] = ACTIONS(3508),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3508),
    [anon_sym_DOT_DOT] = ACTIONS(3522),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3526),
    [anon_sym_SLASH_SLASH] = ACTIONS(3526),
    [anon_sym_CARET_CARET] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3530),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_EQ_GT] = ACTIONS(3510),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1585] = {
    [sym_heredoc_content] = STATE(1585),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_COLON] = ACTIONS(2614),
    [anon_sym_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_COMMA] = ACTIONS(2614),
    [anon_sym_RPAREN] = ACTIONS(2614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2614),
    [anon_sym_and] = ACTIONS(2614),
    [anon_sym_or] = ACTIONS(2614),
    [anon_sym_xor] = ACTIONS(2614),
    [anon_sym_DASH_GT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_RBRACK] = ACTIONS(2614),
    [anon_sym_PERCENT] = ACTIONS(2616),
    [anon_sym_GT] = ACTIONS(2616),
    [anon_sym_LT_LT] = ACTIONS(2616),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2614),
    [anon_sym_PLUS_EQ] = ACTIONS(2614),
    [anon_sym_DASH_EQ] = ACTIONS(2614),
    [anon_sym_DOT_EQ] = ACTIONS(2614),
    [anon_sym_STAR_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_PERCENT_EQ] = ACTIONS(2614),
    [anon_sym_x_EQ] = ACTIONS(2614),
    [anon_sym_AMP_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_CARET_EQ] = ACTIONS(2614),
    [anon_sym_LT_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_GT_EQ] = ACTIONS(2614),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2614),
    [anon_sym_DOT_DOT] = ACTIONS(2616),
    [anon_sym_STAR_STAR] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH] = ACTIONS(2616),
    [anon_sym_CARET_CARET] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_PIPE] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_GT_GT2] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_DOT] = ACTIONS(2616),
    [anon_sym_SLASH] = ACTIONS(2616),
    [anon_sym_x] = ACTIONS(2616),
    [anon_sym_EQ_TILDE] = ACTIONS(2614),
    [anon_sym_BANG_TILDE] = ACTIONS(2614),
    [anon_sym_EQ_EQ] = ACTIONS(2616),
    [anon_sym_BANG_EQ] = ACTIONS(2614),
    [anon_sym_eq] = ACTIONS(2616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2614),
    [anon_sym_equ] = ACTIONS(2614),
    [anon_sym_eqr] = ACTIONS(2614),
    [anon_sym_ne] = ACTIONS(2614),
    [anon_sym_LT_EQ_GT] = ACTIONS(2614),
    [anon_sym_cmp] = ACTIONS(2614),
    [anon_sym_TILDE_TILDE] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_lt] = ACTIONS(2614),
    [anon_sym_le] = ACTIONS(2614),
    [anon_sym_ge] = ACTIONS(2614),
    [anon_sym_gt] = ACTIONS(2614),
    [anon_sym_isa] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2614),
    [anon_sym_EQ_GT] = ACTIONS(2614),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1586] = {
    [sym_heredoc_content] = STATE(1586),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_and] = ACTIONS(2590),
    [anon_sym_or] = ACTIONS(2590),
    [anon_sym_xor] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_RBRACK] = ACTIONS(2590),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2590),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1587] = {
    [sym_heredoc_content] = STATE(1587),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_COLON] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_RPAREN] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_and] = ACTIONS(2610),
    [anon_sym_or] = ACTIONS(2610),
    [anon_sym_xor] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_RBRACK] = ACTIONS(2610),
    [anon_sym_PERCENT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2612),
    [anon_sym_LT_LT] = ACTIONS(2612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2612),
    [anon_sym_STAR_STAR] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE] = ACTIONS(2612),
    [anon_sym_SLASH_SLASH] = ACTIONS(2612),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_PIPE] = ACTIONS(2612),
    [anon_sym_CARET] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_GT_GT2] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_DOT] = ACTIONS(2612),
    [anon_sym_SLASH] = ACTIONS(2612),
    [anon_sym_x] = ACTIONS(2612),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_LT_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1588] = {
    [sym_heredoc_content] = STATE(1588),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_COLON] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_RPAREN] = ACTIONS(2630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_and] = ACTIONS(2630),
    [anon_sym_or] = ACTIONS(2630),
    [anon_sym_xor] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_RBRACK] = ACTIONS(2630),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2630),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1589] = {
    [sym_heredoc_content] = STATE(1589),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2556),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_and] = ACTIONS(2556),
    [anon_sym_or] = ACTIONS(2556),
    [anon_sym_xor] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(3554),
    [anon_sym_RBRACK] = ACTIONS(2556),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1590] = {
    [sym_heredoc_content] = STATE(1590),
    [sym__identifier] = ACTIONS(2530),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_DOLLAR] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_AT] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2530),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2530),
    [anon_sym_eqr] = ACTIONS(2530),
    [anon_sym_ne] = ACTIONS(2530),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2530),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2530),
    [anon_sym_le] = ACTIONS(2530),
    [anon_sym_ge] = ACTIONS(2530),
    [anon_sym_gt] = ACTIONS(2530),
    [anon_sym_isa] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_PERCENT2] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2530),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1591] = {
    [sym_heredoc_content] = STATE(1591),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_COLON] = ACTIONS(3556),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_RPAREN] = ACTIONS(2624),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2624),
    [anon_sym_and] = ACTIONS(2624),
    [anon_sym_or] = ACTIONS(2624),
    [anon_sym_xor] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_RBRACK] = ACTIONS(2624),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_DOT_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_x_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2624),
    [anon_sym_BANG_TILDE] = ACTIONS(2624),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2624),
    [anon_sym_equ] = ACTIONS(2624),
    [anon_sym_eqr] = ACTIONS(2624),
    [anon_sym_ne] = ACTIONS(2624),
    [anon_sym_LT_EQ_GT] = ACTIONS(2624),
    [anon_sym_cmp] = ACTIONS(2624),
    [anon_sym_TILDE_TILDE] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_lt] = ACTIONS(2624),
    [anon_sym_le] = ACTIONS(2624),
    [anon_sym_ge] = ACTIONS(2624),
    [anon_sym_gt] = ACTIONS(2624),
    [anon_sym_isa] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_EQ_GT] = ACTIONS(2624),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1592] = {
    [sym_heredoc_content] = STATE(1592),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_COLON] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_and] = ACTIONS(2634),
    [anon_sym_or] = ACTIONS(2634),
    [anon_sym_xor] = ACTIONS(2634),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_RBRACK] = ACTIONS(2634),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2634),
    [anon_sym_x_EQ] = ACTIONS(2634),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2634),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2634),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2634),
    [anon_sym_le] = ACTIONS(2634),
    [anon_sym_ge] = ACTIONS(2634),
    [anon_sym_gt] = ACTIONS(2634),
    [anon_sym_isa] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1593] = {
    [sym_heredoc_content] = STATE(1593),
    [sym__identifier] = ACTIONS(2432),
    [anon_sym_COLON] = ACTIONS(2432),
    [anon_sym_DOLLAR] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2432),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_PERCENT2] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2432),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1594] = {
    [sym_heredoc_content] = STATE(1594),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_RPAREN] = ACTIONS(2815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2815),
    [anon_sym_and] = ACTIONS(2815),
    [anon_sym_or] = ACTIONS(2815),
    [anon_sym_xor] = ACTIONS(2815),
    [anon_sym_DASH_GT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(3504),
    [anon_sym_RBRACK] = ACTIONS(2815),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2815),
    [anon_sym_PLUS_EQ] = ACTIONS(2815),
    [anon_sym_DASH_EQ] = ACTIONS(2815),
    [anon_sym_DOT_EQ] = ACTIONS(2815),
    [anon_sym_STAR_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_PERCENT_EQ] = ACTIONS(2815),
    [anon_sym_x_EQ] = ACTIONS(2815),
    [anon_sym_AMP_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_CARET_EQ] = ACTIONS(2815),
    [anon_sym_LT_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_GT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2815),
    [anon_sym_DOT_DOT] = ACTIONS(2817),
    [anon_sym_STAR_STAR] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH] = ACTIONS(2817),
    [anon_sym_CARET_CARET] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_GT_GT2] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_x] = ACTIONS(2817),
    [anon_sym_EQ_TILDE] = ACTIONS(2815),
    [anon_sym_BANG_TILDE] = ACTIONS(2815),
    [anon_sym_EQ_EQ] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_eq] = ACTIONS(2817),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2815),
    [anon_sym_equ] = ACTIONS(2815),
    [anon_sym_eqr] = ACTIONS(2815),
    [anon_sym_ne] = ACTIONS(2815),
    [anon_sym_LT_EQ_GT] = ACTIONS(2815),
    [anon_sym_cmp] = ACTIONS(2815),
    [anon_sym_TILDE_TILDE] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_lt] = ACTIONS(2815),
    [anon_sym_le] = ACTIONS(2815),
    [anon_sym_ge] = ACTIONS(2815),
    [anon_sym_gt] = ACTIONS(2815),
    [anon_sym_isa] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_EQ_GT] = ACTIONS(2815),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1595] = {
    [sym_heredoc_content] = STATE(1595),
    [sym__identifier] = ACTIONS(2534),
    [anon_sym_COLON] = ACTIONS(2534),
    [anon_sym_DOLLAR] = ACTIONS(2536),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_AT] = ACTIONS(2536),
    [anon_sym_COMMA] = ACTIONS(2536),
    [anon_sym_RPAREN] = ACTIONS(2536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2536),
    [anon_sym_DASH_GT] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2536),
    [anon_sym_PLUS_EQ] = ACTIONS(2536),
    [anon_sym_DASH_EQ] = ACTIONS(2536),
    [anon_sym_DOT_EQ] = ACTIONS(2536),
    [anon_sym_STAR_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_PERCENT_EQ] = ACTIONS(2534),
    [anon_sym_x_EQ] = ACTIONS(2536),
    [anon_sym_AMP_EQ] = ACTIONS(2536),
    [anon_sym_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_CARET_EQ] = ACTIONS(2536),
    [anon_sym_LT_LT_EQ] = ACTIONS(2536),
    [anon_sym_GT_GT_EQ] = ACTIONS(2536),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2536),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2536),
    [anon_sym_BANG_TILDE] = ACTIONS(2536),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2536),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2536),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2536),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2536),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2536),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_QMARK] = ACTIONS(2536),
    [anon_sym_PERCENT2] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(2536),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2534),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1596] = {
    [sym_heredoc_content] = STATE(1596),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_and] = ACTIONS(2574),
    [anon_sym_or] = ACTIONS(2574),
    [anon_sym_xor] = ACTIONS(2574),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_RBRACK] = ACTIONS(2572),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_DOT_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_CARET_EQ] = ACTIONS(2572),
    [anon_sym_LT_LT_EQ] = ACTIONS(2572),
    [anon_sym_GT_GT_EQ] = ACTIONS(2572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2574),
    [anon_sym_STAR_STAR] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH] = ACTIONS(2574),
    [anon_sym_CARET_CARET] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_PIPE] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_GT_GT2] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_x] = ACTIONS(2574),
    [anon_sym_EQ_TILDE] = ACTIONS(2572),
    [anon_sym_BANG_TILDE] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_eq] = ACTIONS(2574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2572),
    [anon_sym_LT_EQ_GT] = ACTIONS(2572),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2572),
    [anon_sym_EQ_GT] = ACTIONS(2572),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3558),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1597] = {
    [sym_heredoc_content] = STATE(1597),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_RPAREN] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_and] = ACTIONS(2594),
    [anon_sym_or] = ACTIONS(2594),
    [anon_sym_xor] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_RBRACK] = ACTIONS(2594),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2594),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3560),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1598] = {
    [sym_heredoc_content] = STATE(1598),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_EQ] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_COMMA] = ACTIONS(2606),
    [anon_sym_RPAREN] = ACTIONS(2606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2606),
    [anon_sym_and] = ACTIONS(2606),
    [anon_sym_or] = ACTIONS(2606),
    [anon_sym_xor] = ACTIONS(2606),
    [anon_sym_DASH_GT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_RBRACK] = ACTIONS(2606),
    [anon_sym_PERCENT] = ACTIONS(2608),
    [anon_sym_GT] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2608),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2606),
    [anon_sym_PLUS_EQ] = ACTIONS(2606),
    [anon_sym_DASH_EQ] = ACTIONS(2606),
    [anon_sym_DOT_EQ] = ACTIONS(2606),
    [anon_sym_STAR_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_PERCENT_EQ] = ACTIONS(2606),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_CARET_EQ] = ACTIONS(2606),
    [anon_sym_LT_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_GT_EQ] = ACTIONS(2606),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2606),
    [anon_sym_DOT_DOT] = ACTIONS(2608),
    [anon_sym_STAR_STAR] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE] = ACTIONS(2608),
    [anon_sym_SLASH_SLASH] = ACTIONS(2608),
    [anon_sym_CARET_CARET] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_PIPE] = ACTIONS(2608),
    [anon_sym_CARET] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_GT_GT2] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_DOT] = ACTIONS(2608),
    [anon_sym_SLASH] = ACTIONS(2608),
    [anon_sym_x] = ACTIONS(2608),
    [anon_sym_EQ_TILDE] = ACTIONS(2606),
    [anon_sym_BANG_TILDE] = ACTIONS(2606),
    [anon_sym_EQ_EQ] = ACTIONS(2608),
    [anon_sym_BANG_EQ] = ACTIONS(2606),
    [anon_sym_eq] = ACTIONS(2608),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2606),
    [anon_sym_equ] = ACTIONS(2606),
    [anon_sym_eqr] = ACTIONS(2606),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2606),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2608),
    [anon_sym_LT_EQ] = ACTIONS(2608),
    [anon_sym_GT_EQ] = ACTIONS(2606),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_QMARK] = ACTIONS(2606),
    [anon_sym_EQ_GT] = ACTIONS(2606),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1599] = {
    [sym_heredoc_content] = STATE(1599),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(3487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_and] = ACTIONS(2648),
    [anon_sym_or] = ACTIONS(2648),
    [anon_sym_xor] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_RBRACK] = ACTIONS(2648),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1600] = {
    [sym_heredoc_content] = STATE(1600),
    [aux_sym__term_rightward_repeat1] = STATE(1553),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(3506),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_COMMA] = ACTIONS(3473),
    [anon_sym_RPAREN] = ACTIONS(2679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3512),
    [anon_sym_and] = ACTIONS(2679),
    [anon_sym_or] = ACTIONS(2679),
    [anon_sym_xor] = ACTIONS(2679),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2679),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3508),
    [anon_sym_PLUS_EQ] = ACTIONS(3508),
    [anon_sym_DASH_EQ] = ACTIONS(3508),
    [anon_sym_DOT_EQ] = ACTIONS(3508),
    [anon_sym_STAR_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_PERCENT_EQ] = ACTIONS(3508),
    [anon_sym_x_EQ] = ACTIONS(3508),
    [anon_sym_AMP_EQ] = ACTIONS(3508),
    [anon_sym_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_CARET_EQ] = ACTIONS(3508),
    [anon_sym_LT_LT_EQ] = ACTIONS(3508),
    [anon_sym_GT_GT_EQ] = ACTIONS(3508),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3508),
    [anon_sym_DOT_DOT] = ACTIONS(3522),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3526),
    [anon_sym_SLASH_SLASH] = ACTIONS(3526),
    [anon_sym_CARET_CARET] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3530),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_EQ_GT] = ACTIONS(3473),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1601] = {
    [sym_heredoc_content] = STATE(1601),
    [anon_sym_RBRACE] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_RPAREN] = ACTIONS(2827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2827),
    [anon_sym_and] = ACTIONS(2829),
    [anon_sym_or] = ACTIONS(2829),
    [anon_sym_xor] = ACTIONS(2829),
    [anon_sym_DASH_GT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_RBRACK] = ACTIONS(2827),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_GT] = ACTIONS(2829),
    [anon_sym_LT_LT] = ACTIONS(2829),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2827),
    [anon_sym_PLUS_EQ] = ACTIONS(2827),
    [anon_sym_DASH_EQ] = ACTIONS(2827),
    [anon_sym_DOT_EQ] = ACTIONS(2827),
    [anon_sym_STAR_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_PERCENT_EQ] = ACTIONS(2827),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_CARET_EQ] = ACTIONS(2827),
    [anon_sym_LT_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_GT_EQ] = ACTIONS(2827),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2827),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_STAR_STAR] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH] = ACTIONS(2829),
    [anon_sym_CARET_CARET] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_PIPE] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_GT_GT2] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2829),
    [anon_sym_x] = ACTIONS(2829),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_BANG_TILDE] = ACTIONS(2827),
    [anon_sym_EQ_EQ] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_eq] = ACTIONS(2829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_equ] = ACTIONS(2827),
    [anon_sym_eqr] = ACTIONS(2827),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2827),
    [anon_sym_cmp] = ACTIONS(2827),
    [anon_sym_TILDE_TILDE] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2827),
    [anon_sym_gt] = ACTIONS(2827),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_QMARK] = ACTIONS(2827),
    [anon_sym_EQ_GT] = ACTIONS(2827),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3562),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1602] = {
    [sym_heredoc_content] = STATE(1602),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_RPAREN] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_and] = ACTIONS(2819),
    [anon_sym_or] = ACTIONS(2819),
    [anon_sym_xor] = ACTIONS(2819),
    [anon_sym_DASH_GT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(3554),
    [anon_sym_RBRACK] = ACTIONS(2819),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2821),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_DOT_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_x_EQ] = ACTIONS(2819),
    [anon_sym_AMP_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_CARET_EQ] = ACTIONS(2819),
    [anon_sym_LT_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_GT_EQ] = ACTIONS(2819),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT] = ACTIONS(2821),
    [anon_sym_STAR_STAR] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(2821),
    [anon_sym_CARET_CARET] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_PIPE] = ACTIONS(2821),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_GT_GT2] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_x] = ACTIONS(2821),
    [anon_sym_EQ_TILDE] = ACTIONS(2819),
    [anon_sym_BANG_TILDE] = ACTIONS(2819),
    [anon_sym_EQ_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_eq] = ACTIONS(2821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_equ] = ACTIONS(2819),
    [anon_sym_eqr] = ACTIONS(2819),
    [anon_sym_ne] = ACTIONS(2819),
    [anon_sym_LT_EQ_GT] = ACTIONS(2819),
    [anon_sym_cmp] = ACTIONS(2819),
    [anon_sym_TILDE_TILDE] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_lt] = ACTIONS(2819),
    [anon_sym_le] = ACTIONS(2819),
    [anon_sym_ge] = ACTIONS(2819),
    [anon_sym_gt] = ACTIONS(2819),
    [anon_sym_isa] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2819),
    [anon_sym_EQ_GT] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1603] = {
    [sym_heredoc_content] = STATE(1603),
    [anon_sym_COLON] = ACTIONS(2735),
    [anon_sym_DOLLAR] = ACTIONS(2735),
    [anon_sym_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_AT] = ACTIONS(2735),
    [anon_sym_COMMA] = ACTIONS(2735),
    [anon_sym_RPAREN] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DASH_GT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2737),
    [anon_sym_PERCENT] = ACTIONS(2737),
    [anon_sym_GT] = ACTIONS(2737),
    [anon_sym_LT_LT] = ACTIONS(2737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2735),
    [anon_sym_PLUS_EQ] = ACTIONS(2735),
    [anon_sym_DASH_EQ] = ACTIONS(2735),
    [anon_sym_DOT_EQ] = ACTIONS(2735),
    [anon_sym_STAR_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_PERCENT_EQ] = ACTIONS(2737),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_CARET_EQ] = ACTIONS(2735),
    [anon_sym_LT_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_GT_EQ] = ACTIONS(2735),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2735),
    [anon_sym_DOT_DOT] = ACTIONS(2737),
    [anon_sym_STAR_STAR] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH] = ACTIONS(2737),
    [anon_sym_CARET_CARET] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2737),
    [anon_sym_PIPE] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2737),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_GT_GT2] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2737),
    [anon_sym_DASH] = ACTIONS(2737),
    [anon_sym_DOT] = ACTIONS(2737),
    [anon_sym_SLASH] = ACTIONS(2737),
    [anon_sym_x] = ACTIONS(2737),
    [anon_sym_EQ_TILDE] = ACTIONS(2735),
    [anon_sym_BANG_TILDE] = ACTIONS(2735),
    [anon_sym_EQ_EQ] = ACTIONS(2737),
    [anon_sym_BANG_EQ] = ACTIONS(2735),
    [anon_sym_eq] = ACTIONS(2737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2735),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2735),
    [anon_sym_LT_EQ_GT] = ACTIONS(2735),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_EQ] = ACTIONS(2735),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_QMARK] = ACTIONS(2735),
    [anon_sym_PERCENT2] = ACTIONS(2735),
    [anon_sym_EQ_GT] = ACTIONS(2735),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3564),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1604] = {
    [sym_heredoc_content] = STATE(1604),
    [aux_sym__term_rightward_repeat1] = STATE(1724),
    [anon_sym_COLON] = ACTIONS(2679),
    [anon_sym_DOLLAR] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(3566),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_RPAREN] = ACTIONS(2679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3568),
    [anon_sym_PLUS_EQ] = ACTIONS(3568),
    [anon_sym_DASH_EQ] = ACTIONS(3568),
    [anon_sym_DOT_EQ] = ACTIONS(3568),
    [anon_sym_STAR_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_PERCENT_EQ] = ACTIONS(3566),
    [anon_sym_x_EQ] = ACTIONS(3568),
    [anon_sym_AMP_EQ] = ACTIONS(3568),
    [anon_sym_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_CARET_EQ] = ACTIONS(3568),
    [anon_sym_LT_LT_EQ] = ACTIONS(3568),
    [anon_sym_GT_GT_EQ] = ACTIONS(3568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3568),
    [anon_sym_DOT_DOT] = ACTIONS(3582),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3586),
    [anon_sym_SLASH_SLASH] = ACTIONS(3586),
    [anon_sym_CARET_CARET] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3612),
    [anon_sym_PERCENT2] = ACTIONS(2679),
    [anon_sym_EQ_GT] = ACTIONS(3570),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1605] = {
    [sym_heredoc_content] = STATE(1605),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_RBRACK] = ACTIONS(2474),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1606] = {
    [sym_heredoc_content] = STATE(1606),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_and] = ACTIONS(1711),
    [anon_sym_or] = ACTIONS(1711),
    [anon_sym_xor] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_RBRACK] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1711),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1607] = {
    [sym_heredoc_content] = STATE(1607),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_and] = ACTIONS(2861),
    [anon_sym_or] = ACTIONS(2861),
    [anon_sym_xor] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_RBRACK] = ACTIONS(2861),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1608] = {
    [sym_heredoc_content] = STATE(1608),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_RBRACE] = ACTIONS(2468),
    [anon_sym_COLON] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_RPAREN] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(2470),
    [anon_sym_LT_LT] = ACTIONS(2470),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2468),
    [anon_sym_PLUS_EQ] = ACTIONS(2468),
    [anon_sym_DASH_EQ] = ACTIONS(2468),
    [anon_sym_DOT_EQ] = ACTIONS(2468),
    [anon_sym_STAR_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_PERCENT_EQ] = ACTIONS(2468),
    [anon_sym_x_EQ] = ACTIONS(2468),
    [anon_sym_AMP_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_CARET_EQ] = ACTIONS(2468),
    [anon_sym_LT_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_GT_EQ] = ACTIONS(2468),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2468),
    [anon_sym_DOT_DOT] = ACTIONS(2470),
    [anon_sym_STAR_STAR] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH] = ACTIONS(2470),
    [anon_sym_CARET_CARET] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_PIPE] = ACTIONS(2470),
    [anon_sym_CARET] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_GT_GT2] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2470),
    [anon_sym_SLASH] = ACTIONS(2470),
    [anon_sym_x] = ACTIONS(2470),
    [anon_sym_EQ_TILDE] = ACTIONS(2468),
    [anon_sym_BANG_TILDE] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2470),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_eq] = ACTIONS(2470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_equ] = ACTIONS(2468),
    [anon_sym_eqr] = ACTIONS(2468),
    [anon_sym_ne] = ACTIONS(2468),
    [anon_sym_LT_EQ_GT] = ACTIONS(2468),
    [anon_sym_cmp] = ACTIONS(2468),
    [anon_sym_TILDE_TILDE] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_lt] = ACTIONS(2468),
    [anon_sym_le] = ACTIONS(2468),
    [anon_sym_ge] = ACTIONS(2468),
    [anon_sym_gt] = ACTIONS(2468),
    [anon_sym_isa] = ACTIONS(2468),
    [anon_sym_PLUS_PLUS] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_EQ_GT] = ACTIONS(2468),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1609] = {
    [sym_heredoc_content] = STATE(1609),
    [anon_sym_RBRACE] = ACTIONS(2988),
    [anon_sym_EQ] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_COMMA] = ACTIONS(2988),
    [anon_sym_RPAREN] = ACTIONS(2988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2988),
    [anon_sym_and] = ACTIONS(2988),
    [anon_sym_or] = ACTIONS(2988),
    [anon_sym_xor] = ACTIONS(2988),
    [anon_sym_DASH_GT] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_RBRACK] = ACTIONS(2988),
    [anon_sym_PERCENT] = ACTIONS(2990),
    [anon_sym_GT] = ACTIONS(2990),
    [anon_sym_LT_LT] = ACTIONS(2990),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2988),
    [anon_sym_PLUS_EQ] = ACTIONS(2988),
    [anon_sym_DASH_EQ] = ACTIONS(2988),
    [anon_sym_DOT_EQ] = ACTIONS(2988),
    [anon_sym_STAR_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_PERCENT_EQ] = ACTIONS(2988),
    [anon_sym_x_EQ] = ACTIONS(2988),
    [anon_sym_AMP_EQ] = ACTIONS(2988),
    [anon_sym_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_CARET_EQ] = ACTIONS(2988),
    [anon_sym_LT_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT_GT_EQ] = ACTIONS(2988),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2988),
    [anon_sym_DOT_DOT] = ACTIONS(2990),
    [anon_sym_STAR_STAR] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2990),
    [anon_sym_SLASH_SLASH] = ACTIONS(2990),
    [anon_sym_CARET_CARET] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_CARET] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_GT_GT2] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_DOT] = ACTIONS(2990),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_x] = ACTIONS(2990),
    [anon_sym_EQ_TILDE] = ACTIONS(2988),
    [anon_sym_BANG_TILDE] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2990),
    [anon_sym_BANG_EQ] = ACTIONS(2988),
    [anon_sym_eq] = ACTIONS(2990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2988),
    [anon_sym_equ] = ACTIONS(2988),
    [anon_sym_eqr] = ACTIONS(2988),
    [anon_sym_ne] = ACTIONS(2988),
    [anon_sym_LT_EQ_GT] = ACTIONS(2988),
    [anon_sym_cmp] = ACTIONS(2988),
    [anon_sym_TILDE_TILDE] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2990),
    [anon_sym_LT_EQ] = ACTIONS(2990),
    [anon_sym_GT_EQ] = ACTIONS(2988),
    [anon_sym_lt] = ACTIONS(2988),
    [anon_sym_le] = ACTIONS(2988),
    [anon_sym_ge] = ACTIONS(2988),
    [anon_sym_gt] = ACTIONS(2988),
    [anon_sym_isa] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2988),
    [anon_sym_QMARK] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(2988),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1610] = {
    [sym_heredoc_content] = STATE(1610),
    [anon_sym_RBRACE] = ACTIONS(2992),
    [anon_sym_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(2992),
    [anon_sym_RPAREN] = ACTIONS(2992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2992),
    [anon_sym_and] = ACTIONS(2992),
    [anon_sym_or] = ACTIONS(2992),
    [anon_sym_xor] = ACTIONS(2992),
    [anon_sym_DASH_GT] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_RBRACK] = ACTIONS(2992),
    [anon_sym_PERCENT] = ACTIONS(2994),
    [anon_sym_GT] = ACTIONS(2994),
    [anon_sym_LT_LT] = ACTIONS(2994),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2992),
    [anon_sym_PLUS_EQ] = ACTIONS(2992),
    [anon_sym_DASH_EQ] = ACTIONS(2992),
    [anon_sym_DOT_EQ] = ACTIONS(2992),
    [anon_sym_STAR_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_PERCENT_EQ] = ACTIONS(2992),
    [anon_sym_x_EQ] = ACTIONS(2992),
    [anon_sym_AMP_EQ] = ACTIONS(2992),
    [anon_sym_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_CARET_EQ] = ACTIONS(2992),
    [anon_sym_LT_LT_EQ] = ACTIONS(2992),
    [anon_sym_GT_GT_EQ] = ACTIONS(2992),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2992),
    [anon_sym_DOT_DOT] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2994),
    [anon_sym_SLASH_SLASH] = ACTIONS(2994),
    [anon_sym_CARET_CARET] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_GT_GT2] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2994),
    [anon_sym_SLASH] = ACTIONS(2994),
    [anon_sym_x] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2992),
    [anon_sym_BANG_TILDE] = ACTIONS(2992),
    [anon_sym_EQ_EQ] = ACTIONS(2994),
    [anon_sym_BANG_EQ] = ACTIONS(2992),
    [anon_sym_eq] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2992),
    [anon_sym_equ] = ACTIONS(2992),
    [anon_sym_eqr] = ACTIONS(2992),
    [anon_sym_ne] = ACTIONS(2992),
    [anon_sym_LT_EQ_GT] = ACTIONS(2992),
    [anon_sym_cmp] = ACTIONS(2992),
    [anon_sym_TILDE_TILDE] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2994),
    [anon_sym_GT_EQ] = ACTIONS(2992),
    [anon_sym_lt] = ACTIONS(2992),
    [anon_sym_le] = ACTIONS(2992),
    [anon_sym_ge] = ACTIONS(2992),
    [anon_sym_gt] = ACTIONS(2992),
    [anon_sym_isa] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2992),
    [anon_sym_QMARK] = ACTIONS(2992),
    [anon_sym_EQ_GT] = ACTIONS(2992),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1611] = {
    [sym_heredoc_content] = STATE(1611),
    [anon_sym_COLON] = ACTIONS(2775),
    [anon_sym_DOLLAR] = ACTIONS(2775),
    [anon_sym_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_AT] = ACTIONS(2775),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RPAREN] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(2775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2775),
    [anon_sym_DASH_GT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_GT] = ACTIONS(2777),
    [anon_sym_LT_LT] = ACTIONS(2777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2775),
    [anon_sym_PLUS_EQ] = ACTIONS(2775),
    [anon_sym_DASH_EQ] = ACTIONS(2775),
    [anon_sym_DOT_EQ] = ACTIONS(2775),
    [anon_sym_STAR_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_PERCENT_EQ] = ACTIONS(2777),
    [anon_sym_x_EQ] = ACTIONS(2775),
    [anon_sym_AMP_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_CARET_EQ] = ACTIONS(2775),
    [anon_sym_LT_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_GT_EQ] = ACTIONS(2775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2775),
    [anon_sym_DOT_DOT] = ACTIONS(2777),
    [anon_sym_STAR_STAR] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH] = ACTIONS(2777),
    [anon_sym_CARET_CARET] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2777),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_GT_GT2] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(2777),
    [anon_sym_x] = ACTIONS(2777),
    [anon_sym_EQ_TILDE] = ACTIONS(2775),
    [anon_sym_BANG_TILDE] = ACTIONS(2775),
    [anon_sym_EQ_EQ] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_eq] = ACTIONS(2777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2775),
    [anon_sym_equ] = ACTIONS(2775),
    [anon_sym_eqr] = ACTIONS(2775),
    [anon_sym_ne] = ACTIONS(2775),
    [anon_sym_LT_EQ_GT] = ACTIONS(2775),
    [anon_sym_cmp] = ACTIONS(2775),
    [anon_sym_TILDE_TILDE] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_EQ] = ACTIONS(2775),
    [anon_sym_lt] = ACTIONS(2775),
    [anon_sym_le] = ACTIONS(2775),
    [anon_sym_ge] = ACTIONS(2775),
    [anon_sym_gt] = ACTIONS(2775),
    [anon_sym_isa] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_PERCENT2] = ACTIONS(2775),
    [anon_sym_EQ_GT] = ACTIONS(2775),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1612] = {
    [sym_heredoc_content] = STATE(1612),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2823),
    [anon_sym_DOLLAR] = ACTIONS(2823),
    [anon_sym_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_AT] = ACTIONS(2823),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_RPAREN] = ACTIONS(2823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2823),
    [anon_sym_DASH_GT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_GT] = ACTIONS(2825),
    [anon_sym_LT_LT] = ACTIONS(2825),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2823),
    [anon_sym_PLUS_EQ] = ACTIONS(2823),
    [anon_sym_DASH_EQ] = ACTIONS(2823),
    [anon_sym_DOT_EQ] = ACTIONS(2823),
    [anon_sym_STAR_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_PERCENT_EQ] = ACTIONS(2825),
    [anon_sym_x_EQ] = ACTIONS(2823),
    [anon_sym_AMP_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_CARET_EQ] = ACTIONS(2823),
    [anon_sym_LT_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_GT_EQ] = ACTIONS(2823),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2823),
    [anon_sym_DOT_DOT] = ACTIONS(2825),
    [anon_sym_STAR_STAR] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH] = ACTIONS(2825),
    [anon_sym_CARET_CARET] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_PIPE] = ACTIONS(2825),
    [anon_sym_CARET] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_GT_GT2] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_SLASH] = ACTIONS(2825),
    [anon_sym_x] = ACTIONS(2825),
    [anon_sym_EQ_TILDE] = ACTIONS(2823),
    [anon_sym_BANG_TILDE] = ACTIONS(2823),
    [anon_sym_EQ_EQ] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_eq] = ACTIONS(2825),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2823),
    [anon_sym_equ] = ACTIONS(2823),
    [anon_sym_eqr] = ACTIONS(2823),
    [anon_sym_ne] = ACTIONS(2823),
    [anon_sym_LT_EQ_GT] = ACTIONS(2823),
    [anon_sym_cmp] = ACTIONS(2823),
    [anon_sym_TILDE_TILDE] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_EQ] = ACTIONS(2823),
    [anon_sym_lt] = ACTIONS(2823),
    [anon_sym_le] = ACTIONS(2823),
    [anon_sym_ge] = ACTIONS(2823),
    [anon_sym_gt] = ACTIONS(2823),
    [anon_sym_isa] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_QMARK] = ACTIONS(2823),
    [anon_sym_PERCENT2] = ACTIONS(2823),
    [anon_sym_EQ_GT] = ACTIONS(2823),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1613] = {
    [sym_heredoc_content] = STATE(1613),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_COLON] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_RPAREN] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2490),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1614] = {
    [sym_heredoc_content] = STATE(1614),
    [anon_sym_COLON] = ACTIONS(2759),
    [anon_sym_DOLLAR] = ACTIONS(2759),
    [anon_sym_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_RPAREN] = ACTIONS(2759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2759),
    [anon_sym_DASH_GT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_GT] = ACTIONS(2761),
    [anon_sym_LT_LT] = ACTIONS(2761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_DOT_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2761),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_CARET_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_GT_EQ] = ACTIONS(2759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2761),
    [anon_sym_STAR_STAR] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH] = ACTIONS(2761),
    [anon_sym_CARET_CARET] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_PIPE] = ACTIONS(2761),
    [anon_sym_CARET] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_GT_GT2] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_x] = ACTIONS(2761),
    [anon_sym_EQ_TILDE] = ACTIONS(2759),
    [anon_sym_BANG_TILDE] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_eq] = ACTIONS(2761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_equ] = ACTIONS(2759),
    [anon_sym_eqr] = ACTIONS(2759),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2759),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_QMARK] = ACTIONS(2759),
    [anon_sym_PERCENT2] = ACTIONS(2759),
    [anon_sym_EQ_GT] = ACTIONS(2759),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3614),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1615] = {
    [sym_heredoc_content] = STATE(1615),
    [anon_sym_COLON] = ACTIONS(2666),
    [anon_sym_DOLLAR] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_AT] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RPAREN] = ACTIONS(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DASH_GT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_PERCENT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_LT_LT] = ACTIONS(2668),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2666),
    [anon_sym_PLUS_EQ] = ACTIONS(2666),
    [anon_sym_DASH_EQ] = ACTIONS(2666),
    [anon_sym_DOT_EQ] = ACTIONS(2666),
    [anon_sym_STAR_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_PERCENT_EQ] = ACTIONS(2668),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_CARET_EQ] = ACTIONS(2666),
    [anon_sym_LT_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_GT_EQ] = ACTIONS(2666),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2666),
    [anon_sym_DOT_DOT] = ACTIONS(2668),
    [anon_sym_STAR_STAR] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_SLASH_SLASH] = ACTIONS(2668),
    [anon_sym_CARET_CARET] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_GT_GT2] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_x] = ACTIONS(2668),
    [anon_sym_EQ_TILDE] = ACTIONS(2666),
    [anon_sym_BANG_TILDE] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_eq] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_equ] = ACTIONS(2666),
    [anon_sym_eqr] = ACTIONS(2666),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2666),
    [anon_sym_cmp] = ACTIONS(2666),
    [anon_sym_TILDE_TILDE] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2666),
    [anon_sym_gt] = ACTIONS(2666),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_PERCENT2] = ACTIONS(2666),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1616] = {
    [sym_heredoc_content] = STATE(1616),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_COLON] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_RPAREN] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2486),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1617] = {
    [sym_heredoc_content] = STATE(1617),
    [anon_sym_RBRACE] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2996),
    [anon_sym_RPAREN] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2996),
    [anon_sym_and] = ACTIONS(2996),
    [anon_sym_or] = ACTIONS(2996),
    [anon_sym_xor] = ACTIONS(2996),
    [anon_sym_DASH_GT] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_RBRACK] = ACTIONS(2996),
    [anon_sym_PERCENT] = ACTIONS(2998),
    [anon_sym_GT] = ACTIONS(2998),
    [anon_sym_LT_LT] = ACTIONS(2998),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2996),
    [anon_sym_PLUS_EQ] = ACTIONS(2996),
    [anon_sym_DASH_EQ] = ACTIONS(2996),
    [anon_sym_DOT_EQ] = ACTIONS(2996),
    [anon_sym_STAR_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_PERCENT_EQ] = ACTIONS(2996),
    [anon_sym_x_EQ] = ACTIONS(2996),
    [anon_sym_AMP_EQ] = ACTIONS(2996),
    [anon_sym_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_CARET_EQ] = ACTIONS(2996),
    [anon_sym_LT_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT_GT_EQ] = ACTIONS(2996),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2996),
    [anon_sym_DOT_DOT] = ACTIONS(2998),
    [anon_sym_STAR_STAR] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2998),
    [anon_sym_SLASH_SLASH] = ACTIONS(2998),
    [anon_sym_CARET_CARET] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_PIPE] = ACTIONS(2998),
    [anon_sym_CARET] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_GT_GT2] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_DOT] = ACTIONS(2998),
    [anon_sym_SLASH] = ACTIONS(2998),
    [anon_sym_x] = ACTIONS(2998),
    [anon_sym_EQ_TILDE] = ACTIONS(2996),
    [anon_sym_BANG_TILDE] = ACTIONS(2996),
    [anon_sym_EQ_EQ] = ACTIONS(2998),
    [anon_sym_BANG_EQ] = ACTIONS(2996),
    [anon_sym_eq] = ACTIONS(2998),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2996),
    [anon_sym_equ] = ACTIONS(2996),
    [anon_sym_eqr] = ACTIONS(2996),
    [anon_sym_ne] = ACTIONS(2996),
    [anon_sym_LT_EQ_GT] = ACTIONS(2996),
    [anon_sym_cmp] = ACTIONS(2996),
    [anon_sym_TILDE_TILDE] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2998),
    [anon_sym_LT_EQ] = ACTIONS(2998),
    [anon_sym_GT_EQ] = ACTIONS(2996),
    [anon_sym_lt] = ACTIONS(2996),
    [anon_sym_le] = ACTIONS(2996),
    [anon_sym_ge] = ACTIONS(2996),
    [anon_sym_gt] = ACTIONS(2996),
    [anon_sym_isa] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2996),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_EQ_GT] = ACTIONS(2996),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1618] = {
    [sym_heredoc_content] = STATE(1618),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_RBRACE] = ACTIONS(2456),
    [anon_sym_COLON] = ACTIONS(2456),
    [anon_sym_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_RPAREN] = ACTIONS(2456),
    [anon_sym_LPAREN] = ACTIONS(2456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2456),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(2458),
    [anon_sym_LT_LT] = ACTIONS(2458),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2456),
    [anon_sym_PLUS_EQ] = ACTIONS(2456),
    [anon_sym_DASH_EQ] = ACTIONS(2456),
    [anon_sym_DOT_EQ] = ACTIONS(2456),
    [anon_sym_STAR_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_PERCENT_EQ] = ACTIONS(2456),
    [anon_sym_x_EQ] = ACTIONS(2456),
    [anon_sym_AMP_EQ] = ACTIONS(2456),
    [anon_sym_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_CARET_EQ] = ACTIONS(2456),
    [anon_sym_LT_LT_EQ] = ACTIONS(2456),
    [anon_sym_GT_GT_EQ] = ACTIONS(2456),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2456),
    [anon_sym_DOT_DOT] = ACTIONS(2458),
    [anon_sym_STAR_STAR] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH] = ACTIONS(2458),
    [anon_sym_CARET_CARET] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_PIPE] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_GT_GT2] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_DOT] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_x] = ACTIONS(2458),
    [anon_sym_EQ_TILDE] = ACTIONS(2456),
    [anon_sym_BANG_TILDE] = ACTIONS(2456),
    [anon_sym_EQ_EQ] = ACTIONS(2458),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_eq] = ACTIONS(2458),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2456),
    [anon_sym_equ] = ACTIONS(2456),
    [anon_sym_eqr] = ACTIONS(2456),
    [anon_sym_ne] = ACTIONS(2456),
    [anon_sym_LT_EQ_GT] = ACTIONS(2456),
    [anon_sym_cmp] = ACTIONS(2456),
    [anon_sym_TILDE_TILDE] = ACTIONS(2456),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_EQ] = ACTIONS(2456),
    [anon_sym_lt] = ACTIONS(2456),
    [anon_sym_le] = ACTIONS(2456),
    [anon_sym_ge] = ACTIONS(2456),
    [anon_sym_gt] = ACTIONS(2456),
    [anon_sym_isa] = ACTIONS(2456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [anon_sym_QMARK] = ACTIONS(2456),
    [anon_sym_EQ_GT] = ACTIONS(2456),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1619] = {
    [sym_heredoc_content] = STATE(1619),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_COMMA] = ACTIONS(3000),
    [anon_sym_RPAREN] = ACTIONS(3000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3000),
    [anon_sym_and] = ACTIONS(3000),
    [anon_sym_or] = ACTIONS(3000),
    [anon_sym_xor] = ACTIONS(3000),
    [anon_sym_DASH_GT] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_RBRACK] = ACTIONS(3000),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LT_LT] = ACTIONS(3002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3000),
    [anon_sym_PLUS_EQ] = ACTIONS(3000),
    [anon_sym_DASH_EQ] = ACTIONS(3000),
    [anon_sym_DOT_EQ] = ACTIONS(3000),
    [anon_sym_STAR_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_PERCENT_EQ] = ACTIONS(3000),
    [anon_sym_x_EQ] = ACTIONS(3000),
    [anon_sym_AMP_EQ] = ACTIONS(3000),
    [anon_sym_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_CARET_EQ] = ACTIONS(3000),
    [anon_sym_LT_LT_EQ] = ACTIONS(3000),
    [anon_sym_GT_GT_EQ] = ACTIONS(3000),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3000),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_STAR_STAR] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3002),
    [anon_sym_SLASH_SLASH] = ACTIONS(3002),
    [anon_sym_CARET_CARET] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_PIPE] = ACTIONS(3002),
    [anon_sym_CARET] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_GT_GT2] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_x] = ACTIONS(3002),
    [anon_sym_EQ_TILDE] = ACTIONS(3000),
    [anon_sym_BANG_TILDE] = ACTIONS(3000),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ] = ACTIONS(3000),
    [anon_sym_eq] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3000),
    [anon_sym_equ] = ACTIONS(3000),
    [anon_sym_eqr] = ACTIONS(3000),
    [anon_sym_ne] = ACTIONS(3000),
    [anon_sym_LT_EQ_GT] = ACTIONS(3000),
    [anon_sym_cmp] = ACTIONS(3000),
    [anon_sym_TILDE_TILDE] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_LT_EQ] = ACTIONS(3002),
    [anon_sym_GT_EQ] = ACTIONS(3000),
    [anon_sym_lt] = ACTIONS(3000),
    [anon_sym_le] = ACTIONS(3000),
    [anon_sym_ge] = ACTIONS(3000),
    [anon_sym_gt] = ACTIONS(3000),
    [anon_sym_isa] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_QMARK] = ACTIONS(3000),
    [anon_sym_EQ_GT] = ACTIONS(3000),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1620] = {
    [sym_heredoc_content] = STATE(1620),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_RPAREN] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_and] = ACTIONS(3262),
    [anon_sym_or] = ACTIONS(3262),
    [anon_sym_xor] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_RBRACK] = ACTIONS(3262),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3262),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1621] = {
    [sym_heredoc_content] = STATE(1621),
    [anon_sym_COLON] = ACTIONS(2556),
    [anon_sym_DOLLAR] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_AT] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2556),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2558),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_PERCENT2] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1622] = {
    [sym_heredoc_content] = STATE(1622),
    [anon_sym_COLON] = ACTIONS(2606),
    [anon_sym_DOLLAR] = ACTIONS(2606),
    [anon_sym_EQ] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_AT] = ACTIONS(2606),
    [anon_sym_COMMA] = ACTIONS(2606),
    [anon_sym_RPAREN] = ACTIONS(2606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2606),
    [anon_sym_DASH_GT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_PERCENT] = ACTIONS(2608),
    [anon_sym_GT] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2608),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2606),
    [anon_sym_PLUS_EQ] = ACTIONS(2606),
    [anon_sym_DASH_EQ] = ACTIONS(2606),
    [anon_sym_DOT_EQ] = ACTIONS(2606),
    [anon_sym_STAR_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_PERCENT_EQ] = ACTIONS(2608),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_CARET_EQ] = ACTIONS(2606),
    [anon_sym_LT_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_GT_EQ] = ACTIONS(2606),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2606),
    [anon_sym_DOT_DOT] = ACTIONS(2608),
    [anon_sym_STAR_STAR] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE] = ACTIONS(2608),
    [anon_sym_SLASH_SLASH] = ACTIONS(2608),
    [anon_sym_CARET_CARET] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_PIPE] = ACTIONS(2608),
    [anon_sym_CARET] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_GT_GT2] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_DOT] = ACTIONS(2608),
    [anon_sym_SLASH] = ACTIONS(2608),
    [anon_sym_x] = ACTIONS(2608),
    [anon_sym_EQ_TILDE] = ACTIONS(2606),
    [anon_sym_BANG_TILDE] = ACTIONS(2606),
    [anon_sym_EQ_EQ] = ACTIONS(2608),
    [anon_sym_BANG_EQ] = ACTIONS(2606),
    [anon_sym_eq] = ACTIONS(2608),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2606),
    [anon_sym_equ] = ACTIONS(2606),
    [anon_sym_eqr] = ACTIONS(2606),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2606),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2608),
    [anon_sym_LT_EQ] = ACTIONS(2608),
    [anon_sym_GT_EQ] = ACTIONS(2606),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_QMARK] = ACTIONS(2606),
    [anon_sym_PERCENT2] = ACTIONS(2606),
    [anon_sym_EQ_GT] = ACTIONS(2606),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1623] = {
    [sym_heredoc_content] = STATE(1623),
    [anon_sym_COLON] = ACTIONS(2827),
    [anon_sym_DOLLAR] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_AT] = ACTIONS(2827),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_RPAREN] = ACTIONS(2827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2827),
    [anon_sym_DASH_GT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_GT] = ACTIONS(2829),
    [anon_sym_LT_LT] = ACTIONS(2829),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2827),
    [anon_sym_PLUS_EQ] = ACTIONS(2827),
    [anon_sym_DASH_EQ] = ACTIONS(2827),
    [anon_sym_DOT_EQ] = ACTIONS(2827),
    [anon_sym_STAR_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_PERCENT_EQ] = ACTIONS(2829),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_CARET_EQ] = ACTIONS(2827),
    [anon_sym_LT_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_GT_EQ] = ACTIONS(2827),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2827),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_STAR_STAR] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH] = ACTIONS(2829),
    [anon_sym_CARET_CARET] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_PIPE] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_GT_GT2] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2829),
    [anon_sym_x] = ACTIONS(2829),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_BANG_TILDE] = ACTIONS(2827),
    [anon_sym_EQ_EQ] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_eq] = ACTIONS(2829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_equ] = ACTIONS(2827),
    [anon_sym_eqr] = ACTIONS(2827),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2827),
    [anon_sym_cmp] = ACTIONS(2827),
    [anon_sym_TILDE_TILDE] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2827),
    [anon_sym_gt] = ACTIONS(2827),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_QMARK] = ACTIONS(2827),
    [anon_sym_PERCENT2] = ACTIONS(2827),
    [anon_sym_EQ_GT] = ACTIONS(2827),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3620),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1624] = {
    [sym_heredoc_content] = STATE(1624),
    [anon_sym_COLON] = ACTIONS(2652),
    [anon_sym_DOLLAR] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_AT] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_RPAREN] = ACTIONS(2652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2654),
    [anon_sym_x_EQ] = ACTIONS(2654),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2654),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2654),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2654),
    [anon_sym_le] = ACTIONS(2654),
    [anon_sym_ge] = ACTIONS(2654),
    [anon_sym_gt] = ACTIONS(2654),
    [anon_sym_isa] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_PERCENT2] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3622),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1625] = {
    [sym_heredoc_content] = STATE(1625),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_RPAREN] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_and] = ACTIONS(3008),
    [anon_sym_or] = ACTIONS(3008),
    [anon_sym_xor] = ACTIONS(3008),
    [anon_sym_DASH_GT] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_RBRACK] = ACTIONS(3008),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3010),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_DOT_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_x_EQ] = ACTIONS(3008),
    [anon_sym_AMP_EQ] = ACTIONS(3008),
    [anon_sym_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_CARET_EQ] = ACTIONS(3008),
    [anon_sym_LT_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_GT_EQ] = ACTIONS(3008),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_STAR_STAR] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3010),
    [anon_sym_SLASH_SLASH] = ACTIONS(3010),
    [anon_sym_CARET_CARET] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_PIPE] = ACTIONS(3010),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_GT_GT2] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_x] = ACTIONS(3010),
    [anon_sym_EQ_TILDE] = ACTIONS(3008),
    [anon_sym_BANG_TILDE] = ACTIONS(3008),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ] = ACTIONS(3008),
    [anon_sym_eq] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_equ] = ACTIONS(3008),
    [anon_sym_eqr] = ACTIONS(3008),
    [anon_sym_ne] = ACTIONS(3008),
    [anon_sym_LT_EQ_GT] = ACTIONS(3008),
    [anon_sym_cmp] = ACTIONS(3008),
    [anon_sym_TILDE_TILDE] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_LT_EQ] = ACTIONS(3010),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_lt] = ACTIONS(3008),
    [anon_sym_le] = ACTIONS(3008),
    [anon_sym_ge] = ACTIONS(3008),
    [anon_sym_gt] = ACTIONS(3008),
    [anon_sym_isa] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3008),
    [anon_sym_EQ_GT] = ACTIONS(3008),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1626] = {
    [sym_heredoc_content] = STATE(1626),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_COLON] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_RPAREN] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2494),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1627] = {
    [sym_heredoc_content] = STATE(1627),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_COLON] = ACTIONS(2498),
    [anon_sym_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_RPAREN] = ACTIONS(2498),
    [anon_sym_LPAREN] = ACTIONS(2498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2498),
    [anon_sym_DASH_GT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_PERCENT] = ACTIONS(2500),
    [anon_sym_GT] = ACTIONS(2500),
    [anon_sym_LT_LT] = ACTIONS(2500),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2498),
    [anon_sym_PLUS_EQ] = ACTIONS(2498),
    [anon_sym_DASH_EQ] = ACTIONS(2498),
    [anon_sym_DOT_EQ] = ACTIONS(2498),
    [anon_sym_STAR_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_PERCENT_EQ] = ACTIONS(2498),
    [anon_sym_x_EQ] = ACTIONS(2498),
    [anon_sym_AMP_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_CARET_EQ] = ACTIONS(2498),
    [anon_sym_LT_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_GT_EQ] = ACTIONS(2498),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2500),
    [anon_sym_STAR_STAR] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH] = ACTIONS(2500),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2500),
    [anon_sym_CARET] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_GT_GT2] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_DOT] = ACTIONS(2500),
    [anon_sym_SLASH] = ACTIONS(2500),
    [anon_sym_x] = ACTIONS(2500),
    [anon_sym_EQ_TILDE] = ACTIONS(2498),
    [anon_sym_BANG_TILDE] = ACTIONS(2498),
    [anon_sym_EQ_EQ] = ACTIONS(2500),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_eq] = ACTIONS(2500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2498),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2498),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2498),
    [anon_sym_LT] = ACTIONS(2500),
    [anon_sym_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_EQ] = ACTIONS(2498),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2498),
    [anon_sym_EQ_GT] = ACTIONS(2498),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1628] = {
    [sym_heredoc_content] = STATE(1628),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_RBRACE] = ACTIONS(2460),
    [anon_sym_COLON] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_RPAREN] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_GT] = ACTIONS(2462),
    [anon_sym_LT_LT] = ACTIONS(2462),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(2460),
    [anon_sym_DASH_EQ] = ACTIONS(2460),
    [anon_sym_DOT_EQ] = ACTIONS(2460),
    [anon_sym_STAR_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_PERCENT_EQ] = ACTIONS(2460),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_CARET_EQ] = ACTIONS(2460),
    [anon_sym_LT_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_GT_EQ] = ACTIONS(2460),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2460),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_STAR_STAR] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH] = ACTIONS(2462),
    [anon_sym_CARET_CARET] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_PIPE] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_GT_GT2] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2462),
    [anon_sym_SLASH] = ACTIONS(2462),
    [anon_sym_x] = ACTIONS(2462),
    [anon_sym_EQ_TILDE] = ACTIONS(2460),
    [anon_sym_BANG_TILDE] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2462),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_eq] = ACTIONS(2462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_equ] = ACTIONS(2460),
    [anon_sym_eqr] = ACTIONS(2460),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2460),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(2460),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1629] = {
    [sym_heredoc_content] = STATE(1629),
    [anon_sym_COLON] = ACTIONS(2771),
    [anon_sym_DOLLAR] = ACTIONS(2771),
    [anon_sym_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_AT] = ACTIONS(2771),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_RPAREN] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2771),
    [anon_sym_DASH_GT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_GT] = ACTIONS(2773),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2771),
    [anon_sym_PLUS_EQ] = ACTIONS(2771),
    [anon_sym_DASH_EQ] = ACTIONS(2771),
    [anon_sym_DOT_EQ] = ACTIONS(2771),
    [anon_sym_STAR_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_PERCENT_EQ] = ACTIONS(2773),
    [anon_sym_x_EQ] = ACTIONS(2771),
    [anon_sym_AMP_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_CARET_EQ] = ACTIONS(2771),
    [anon_sym_LT_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_GT_EQ] = ACTIONS(2771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2771),
    [anon_sym_DOT_DOT] = ACTIONS(2773),
    [anon_sym_STAR_STAR] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH] = ACTIONS(2773),
    [anon_sym_CARET_CARET] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_PIPE] = ACTIONS(2773),
    [anon_sym_CARET] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_GT_GT2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_SLASH] = ACTIONS(2773),
    [anon_sym_x] = ACTIONS(2773),
    [anon_sym_EQ_TILDE] = ACTIONS(2771),
    [anon_sym_BANG_TILDE] = ACTIONS(2771),
    [anon_sym_EQ_EQ] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_eq] = ACTIONS(2773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2771),
    [anon_sym_equ] = ACTIONS(2771),
    [anon_sym_eqr] = ACTIONS(2771),
    [anon_sym_ne] = ACTIONS(2771),
    [anon_sym_LT_EQ_GT] = ACTIONS(2771),
    [anon_sym_cmp] = ACTIONS(2771),
    [anon_sym_TILDE_TILDE] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_EQ] = ACTIONS(2771),
    [anon_sym_lt] = ACTIONS(2771),
    [anon_sym_le] = ACTIONS(2771),
    [anon_sym_ge] = ACTIONS(2771),
    [anon_sym_gt] = ACTIONS(2771),
    [anon_sym_isa] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_QMARK] = ACTIONS(2771),
    [anon_sym_PERCENT2] = ACTIONS(2771),
    [anon_sym_EQ_GT] = ACTIONS(2771),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1630] = {
    [sym_heredoc_content] = STATE(1630),
    [anon_sym_COLON] = ACTIONS(2600),
    [anon_sym_DOLLAR] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_AT] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_RPAREN] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(3624),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2602),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_PERCENT2] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1631] = {
    [sym_heredoc_content] = STATE(1631),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_COLON] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2502),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1632] = {
    [sym_heredoc_content] = STATE(1632),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_EQ] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_COMMA] = ACTIONS(3326),
    [anon_sym_RPAREN] = ACTIONS(3326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3326),
    [anon_sym_and] = ACTIONS(3326),
    [anon_sym_or] = ACTIONS(3326),
    [anon_sym_xor] = ACTIONS(3326),
    [anon_sym_DASH_GT] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_RBRACK] = ACTIONS(3326),
    [anon_sym_PERCENT] = ACTIONS(3328),
    [anon_sym_GT] = ACTIONS(3328),
    [anon_sym_LT_LT] = ACTIONS(3328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3326),
    [anon_sym_PLUS_EQ] = ACTIONS(3326),
    [anon_sym_DASH_EQ] = ACTIONS(3326),
    [anon_sym_DOT_EQ] = ACTIONS(3326),
    [anon_sym_STAR_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_PERCENT_EQ] = ACTIONS(3326),
    [anon_sym_x_EQ] = ACTIONS(3326),
    [anon_sym_AMP_EQ] = ACTIONS(3326),
    [anon_sym_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_CARET_EQ] = ACTIONS(3326),
    [anon_sym_LT_LT_EQ] = ACTIONS(3326),
    [anon_sym_GT_GT_EQ] = ACTIONS(3326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3326),
    [anon_sym_DOT_DOT] = ACTIONS(3328),
    [anon_sym_STAR_STAR] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE] = ACTIONS(3328),
    [anon_sym_SLASH_SLASH] = ACTIONS(3328),
    [anon_sym_CARET_CARET] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_PIPE] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_GT_GT2] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_DOT] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_x] = ACTIONS(3328),
    [anon_sym_EQ_TILDE] = ACTIONS(3326),
    [anon_sym_BANG_TILDE] = ACTIONS(3326),
    [anon_sym_EQ_EQ] = ACTIONS(3328),
    [anon_sym_BANG_EQ] = ACTIONS(3326),
    [anon_sym_eq] = ACTIONS(3328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3326),
    [anon_sym_equ] = ACTIONS(3326),
    [anon_sym_eqr] = ACTIONS(3326),
    [anon_sym_ne] = ACTIONS(3326),
    [anon_sym_LT_EQ_GT] = ACTIONS(3326),
    [anon_sym_cmp] = ACTIONS(3326),
    [anon_sym_TILDE_TILDE] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_LT_EQ] = ACTIONS(3328),
    [anon_sym_GT_EQ] = ACTIONS(3326),
    [anon_sym_lt] = ACTIONS(3326),
    [anon_sym_le] = ACTIONS(3326),
    [anon_sym_ge] = ACTIONS(3326),
    [anon_sym_gt] = ACTIONS(3326),
    [anon_sym_isa] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_QMARK] = ACTIONS(3326),
    [anon_sym_EQ_GT] = ACTIONS(3326),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1633] = {
    [sym_heredoc_content] = STATE(1633),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_RPAREN] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_and] = ACTIONS(3062),
    [anon_sym_or] = ACTIONS(3062),
    [anon_sym_xor] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_RBRACK] = ACTIONS(3062),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1634] = {
    [sym_heredoc_content] = STATE(1634),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_COLON] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_RPAREN] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2514),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1635] = {
    [sym_heredoc_content] = STATE(1635),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_and] = ACTIONS(3154),
    [anon_sym_or] = ACTIONS(3154),
    [anon_sym_xor] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_RBRACK] = ACTIONS(3154),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3154),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1636] = {
    [sym_heredoc_content] = STATE(1636),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_and] = ACTIONS(3082),
    [anon_sym_or] = ACTIONS(3082),
    [anon_sym_xor] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_RBRACK] = ACTIONS(3082),
    [anon_sym_PERCENT] = ACTIONS(3084),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3084),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3084),
    [anon_sym_x] = ACTIONS(3084),
    [anon_sym_EQ_TILDE] = ACTIONS(3082),
    [anon_sym_BANG_TILDE] = ACTIONS(3082),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1637] = {
    [sym_heredoc_content] = STATE(1637),
    [anon_sym_COLON] = ACTIONS(2765),
    [anon_sym_DOLLAR] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_AT] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_RPAREN] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2767),
    [anon_sym_x_EQ] = ACTIONS(2767),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2767),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2767),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2767),
    [anon_sym_le] = ACTIONS(2767),
    [anon_sym_ge] = ACTIONS(2767),
    [anon_sym_gt] = ACTIONS(2767),
    [anon_sym_isa] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_PERCENT2] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3626),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1638] = {
    [sym_heredoc_content] = STATE(1638),
    [anon_sym_COLON] = ACTIONS(2819),
    [anon_sym_DOLLAR] = ACTIONS(2819),
    [anon_sym_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_AT] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_RPAREN] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DASH_GT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(3618),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2821),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_DOT_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2821),
    [anon_sym_x_EQ] = ACTIONS(2819),
    [anon_sym_AMP_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_CARET_EQ] = ACTIONS(2819),
    [anon_sym_LT_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_GT_EQ] = ACTIONS(2819),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT] = ACTIONS(2821),
    [anon_sym_STAR_STAR] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(2821),
    [anon_sym_CARET_CARET] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_PIPE] = ACTIONS(2821),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_GT_GT2] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_x] = ACTIONS(2821),
    [anon_sym_EQ_TILDE] = ACTIONS(2819),
    [anon_sym_BANG_TILDE] = ACTIONS(2819),
    [anon_sym_EQ_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_eq] = ACTIONS(2821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_equ] = ACTIONS(2819),
    [anon_sym_eqr] = ACTIONS(2819),
    [anon_sym_ne] = ACTIONS(2819),
    [anon_sym_LT_EQ_GT] = ACTIONS(2819),
    [anon_sym_cmp] = ACTIONS(2819),
    [anon_sym_TILDE_TILDE] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_lt] = ACTIONS(2819),
    [anon_sym_le] = ACTIONS(2819),
    [anon_sym_ge] = ACTIONS(2819),
    [anon_sym_gt] = ACTIONS(2819),
    [anon_sym_isa] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2819),
    [anon_sym_PERCENT2] = ACTIONS(2819),
    [anon_sym_EQ_GT] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1639] = {
    [sym_heredoc_content] = STATE(1639),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_RPAREN] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_and] = ACTIONS(3012),
    [anon_sym_or] = ACTIONS(3012),
    [anon_sym_xor] = ACTIONS(3012),
    [anon_sym_DASH_GT] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_RBRACK] = ACTIONS(3012),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LT_LT] = ACTIONS(3014),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_DOT_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_x_EQ] = ACTIONS(3012),
    [anon_sym_AMP_EQ] = ACTIONS(3012),
    [anon_sym_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_CARET_EQ] = ACTIONS(3012),
    [anon_sym_LT_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_GT_EQ] = ACTIONS(3012),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_STAR_STAR] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3014),
    [anon_sym_SLASH_SLASH] = ACTIONS(3014),
    [anon_sym_CARET_CARET] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_PIPE] = ACTIONS(3014),
    [anon_sym_CARET] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_GT_GT2] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_x] = ACTIONS(3014),
    [anon_sym_EQ_TILDE] = ACTIONS(3012),
    [anon_sym_BANG_TILDE] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ] = ACTIONS(3012),
    [anon_sym_eq] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_equ] = ACTIONS(3012),
    [anon_sym_eqr] = ACTIONS(3012),
    [anon_sym_ne] = ACTIONS(3012),
    [anon_sym_LT_EQ_GT] = ACTIONS(3012),
    [anon_sym_cmp] = ACTIONS(3012),
    [anon_sym_TILDE_TILDE] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_LT_EQ] = ACTIONS(3014),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_lt] = ACTIONS(3012),
    [anon_sym_le] = ACTIONS(3012),
    [anon_sym_ge] = ACTIONS(3012),
    [anon_sym_gt] = ACTIONS(3012),
    [anon_sym_isa] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3012),
    [anon_sym_EQ_GT] = ACTIONS(3012),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1640] = {
    [sym_heredoc_content] = STATE(1640),
    [anon_sym_COLON] = ACTIONS(2779),
    [anon_sym_DOLLAR] = ACTIONS(2779),
    [anon_sym_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_AT] = ACTIONS(2779),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_RPAREN] = ACTIONS(2779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2779),
    [anon_sym_DASH_GT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_GT] = ACTIONS(2781),
    [anon_sym_LT_LT] = ACTIONS(2781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2779),
    [anon_sym_PLUS_EQ] = ACTIONS(2779),
    [anon_sym_DASH_EQ] = ACTIONS(2779),
    [anon_sym_DOT_EQ] = ACTIONS(2779),
    [anon_sym_STAR_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_PERCENT_EQ] = ACTIONS(2781),
    [anon_sym_x_EQ] = ACTIONS(2779),
    [anon_sym_AMP_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_CARET_EQ] = ACTIONS(2779),
    [anon_sym_LT_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_GT_EQ] = ACTIONS(2779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2779),
    [anon_sym_DOT_DOT] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_CARET_CARET] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_PIPE] = ACTIONS(2781),
    [anon_sym_CARET] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_GT_GT2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_SLASH] = ACTIONS(2781),
    [anon_sym_x] = ACTIONS(2781),
    [anon_sym_EQ_TILDE] = ACTIONS(2779),
    [anon_sym_BANG_TILDE] = ACTIONS(2779),
    [anon_sym_EQ_EQ] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_eq] = ACTIONS(2781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2779),
    [anon_sym_equ] = ACTIONS(2779),
    [anon_sym_eqr] = ACTIONS(2779),
    [anon_sym_ne] = ACTIONS(2779),
    [anon_sym_LT_EQ_GT] = ACTIONS(2779),
    [anon_sym_cmp] = ACTIONS(2779),
    [anon_sym_TILDE_TILDE] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_EQ] = ACTIONS(2779),
    [anon_sym_lt] = ACTIONS(2779),
    [anon_sym_le] = ACTIONS(2779),
    [anon_sym_ge] = ACTIONS(2779),
    [anon_sym_gt] = ACTIONS(2779),
    [anon_sym_isa] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_QMARK] = ACTIONS(2779),
    [anon_sym_PERCENT2] = ACTIONS(2779),
    [anon_sym_EQ_GT] = ACTIONS(2779),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1641] = {
    [sym_heredoc_content] = STATE(1641),
    [anon_sym_COLON] = ACTIONS(2783),
    [anon_sym_DOLLAR] = ACTIONS(2783),
    [anon_sym_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_AT] = ACTIONS(2783),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_RPAREN] = ACTIONS(2783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2783),
    [anon_sym_DASH_GT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_GT] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2783),
    [anon_sym_PLUS_EQ] = ACTIONS(2783),
    [anon_sym_DASH_EQ] = ACTIONS(2783),
    [anon_sym_DOT_EQ] = ACTIONS(2783),
    [anon_sym_STAR_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_PERCENT_EQ] = ACTIONS(2785),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_CARET_EQ] = ACTIONS(2783),
    [anon_sym_LT_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_GT_EQ] = ACTIONS(2783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2783),
    [anon_sym_DOT_DOT] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH] = ACTIONS(2785),
    [anon_sym_CARET_CARET] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_GT_GT2] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_x] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2783),
    [anon_sym_BANG_TILDE] = ACTIONS(2783),
    [anon_sym_EQ_EQ] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_eq] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2783),
    [anon_sym_equ] = ACTIONS(2783),
    [anon_sym_eqr] = ACTIONS(2783),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2783),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_EQ] = ACTIONS(2783),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_QMARK] = ACTIONS(2783),
    [anon_sym_PERCENT2] = ACTIONS(2783),
    [anon_sym_EQ_GT] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3628),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1642] = {
    [sym_heredoc_content] = STATE(1642),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_DOLLAR] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_AT] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2799),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2799),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2799),
    [anon_sym_gt] = ACTIONS(2799),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_PERCENT2] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3630),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1643] = {
    [sym_heredoc_content] = STATE(1643),
    [anon_sym_COLON] = ACTIONS(2803),
    [anon_sym_DOLLAR] = ACTIONS(2803),
    [anon_sym_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_AT] = ACTIONS(2803),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_RPAREN] = ACTIONS(2803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2803),
    [anon_sym_DASH_GT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_GT] = ACTIONS(2805),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2803),
    [anon_sym_PLUS_EQ] = ACTIONS(2803),
    [anon_sym_DASH_EQ] = ACTIONS(2803),
    [anon_sym_DOT_EQ] = ACTIONS(2803),
    [anon_sym_STAR_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_PERCENT_EQ] = ACTIONS(2805),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_CARET_EQ] = ACTIONS(2803),
    [anon_sym_LT_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_GT_EQ] = ACTIONS(2803),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2803),
    [anon_sym_DOT_DOT] = ACTIONS(2805),
    [anon_sym_STAR_STAR] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH] = ACTIONS(2805),
    [anon_sym_CARET_CARET] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_GT_GT2] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_SLASH] = ACTIONS(2805),
    [anon_sym_x] = ACTIONS(2805),
    [anon_sym_EQ_TILDE] = ACTIONS(2803),
    [anon_sym_BANG_TILDE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_eq] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2803),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2803),
    [anon_sym_LT_EQ_GT] = ACTIONS(2803),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_QMARK] = ACTIONS(2803),
    [anon_sym_PERCENT2] = ACTIONS(2803),
    [anon_sym_EQ_GT] = ACTIONS(2803),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3632),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1644] = {
    [sym_heredoc_content] = STATE(1644),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_DOLLAR] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_AT] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_RPAREN] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2811),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2811),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_PERCENT2] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3634),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1645] = {
    [sym_heredoc_content] = STATE(1645),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_COLON] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_RPAREN] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2518),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1646] = {
    [sym_heredoc_content] = STATE(1646),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_COLON] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_LPAREN] = ACTIONS(2522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LT_LT] = ACTIONS(2524),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2522),
    [anon_sym_PLUS_EQ] = ACTIONS(2522),
    [anon_sym_DASH_EQ] = ACTIONS(2522),
    [anon_sym_DOT_EQ] = ACTIONS(2522),
    [anon_sym_STAR_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_PERCENT_EQ] = ACTIONS(2522),
    [anon_sym_x_EQ] = ACTIONS(2522),
    [anon_sym_AMP_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_CARET_EQ] = ACTIONS(2522),
    [anon_sym_LT_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_GT_EQ] = ACTIONS(2522),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2522),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_STAR_STAR] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH] = ACTIONS(2524),
    [anon_sym_CARET_CARET] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE] = ACTIONS(2524),
    [anon_sym_CARET] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_GT_GT2] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_DOT] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_x] = ACTIONS(2524),
    [anon_sym_EQ_TILDE] = ACTIONS(2522),
    [anon_sym_BANG_TILDE] = ACTIONS(2522),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_eq] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2522),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2522),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2522),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2522),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1647] = {
    [sym_heredoc_content] = STATE(1647),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_COLON] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_RPAREN] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2526),
    [anon_sym_x_EQ] = ACTIONS(2526),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2526),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2526),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2526),
    [anon_sym_le] = ACTIONS(2526),
    [anon_sym_ge] = ACTIONS(2526),
    [anon_sym_gt] = ACTIONS(2526),
    [anon_sym_isa] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1648] = {
    [sym_heredoc_content] = STATE(1648),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_and] = ACTIONS(3218),
    [anon_sym_or] = ACTIONS(3218),
    [anon_sym_xor] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_RBRACK] = ACTIONS(3218),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1649] = {
    [sym_heredoc_content] = STATE(1649),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_RPAREN] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_and] = ACTIONS(3238),
    [anon_sym_or] = ACTIONS(3238),
    [anon_sym_xor] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_RBRACK] = ACTIONS(3238),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1650] = {
    [sym_heredoc_content] = STATE(1650),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_RPAREN] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3258),
    [anon_sym_and] = ACTIONS(3258),
    [anon_sym_or] = ACTIONS(3258),
    [anon_sym_xor] = ACTIONS(3258),
    [anon_sym_DASH_GT] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3260),
    [anon_sym_RBRACK] = ACTIONS(3258),
    [anon_sym_PERCENT] = ACTIONS(3260),
    [anon_sym_GT] = ACTIONS(3260),
    [anon_sym_LT_LT] = ACTIONS(3260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3260),
    [anon_sym_STAR_STAR] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE] = ACTIONS(3260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3260),
    [anon_sym_CARET_CARET] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3260),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_GT_GT2] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_DOT] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_x] = ACTIONS(3260),
    [anon_sym_EQ_TILDE] = ACTIONS(3258),
    [anon_sym_BANG_TILDE] = ACTIONS(3258),
    [anon_sym_EQ_EQ] = ACTIONS(3260),
    [anon_sym_BANG_EQ] = ACTIONS(3258),
    [anon_sym_eq] = ACTIONS(3260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3258),
    [anon_sym_equ] = ACTIONS(3258),
    [anon_sym_eqr] = ACTIONS(3258),
    [anon_sym_ne] = ACTIONS(3258),
    [anon_sym_LT_EQ_GT] = ACTIONS(3258),
    [anon_sym_cmp] = ACTIONS(3258),
    [anon_sym_TILDE_TILDE] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_LT_EQ] = ACTIONS(3260),
    [anon_sym_GT_EQ] = ACTIONS(3258),
    [anon_sym_lt] = ACTIONS(3258),
    [anon_sym_le] = ACTIONS(3258),
    [anon_sym_ge] = ACTIONS(3258),
    [anon_sym_gt] = ACTIONS(3258),
    [anon_sym_isa] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_QMARK] = ACTIONS(3258),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1651] = {
    [sym_heredoc_content] = STATE(1651),
    [anon_sym_COLON] = ACTIONS(2584),
    [anon_sym_DOLLAR] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_AT] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(3636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2586),
    [anon_sym_x_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2584),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2584),
    [anon_sym_le] = ACTIONS(2584),
    [anon_sym_ge] = ACTIONS(2584),
    [anon_sym_gt] = ACTIONS(2584),
    [anon_sym_isa] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_PERCENT2] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1652] = {
    [sym_heredoc_content] = STATE(1652),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_EQ] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_COMMA] = ACTIONS(3322),
    [anon_sym_RPAREN] = ACTIONS(3322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3322),
    [anon_sym_and] = ACTIONS(3322),
    [anon_sym_or] = ACTIONS(3322),
    [anon_sym_xor] = ACTIONS(3322),
    [anon_sym_DASH_GT] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_RBRACK] = ACTIONS(3322),
    [anon_sym_PERCENT] = ACTIONS(3324),
    [anon_sym_GT] = ACTIONS(3324),
    [anon_sym_LT_LT] = ACTIONS(3324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3322),
    [anon_sym_PLUS_EQ] = ACTIONS(3322),
    [anon_sym_DASH_EQ] = ACTIONS(3322),
    [anon_sym_DOT_EQ] = ACTIONS(3322),
    [anon_sym_STAR_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_PERCENT_EQ] = ACTIONS(3322),
    [anon_sym_x_EQ] = ACTIONS(3322),
    [anon_sym_AMP_EQ] = ACTIONS(3322),
    [anon_sym_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_CARET_EQ] = ACTIONS(3322),
    [anon_sym_LT_LT_EQ] = ACTIONS(3322),
    [anon_sym_GT_GT_EQ] = ACTIONS(3322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3322),
    [anon_sym_DOT_DOT] = ACTIONS(3324),
    [anon_sym_STAR_STAR] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE] = ACTIONS(3324),
    [anon_sym_SLASH_SLASH] = ACTIONS(3324),
    [anon_sym_CARET_CARET] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3324),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym_GT_GT2] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_DOT] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_x] = ACTIONS(3324),
    [anon_sym_EQ_TILDE] = ACTIONS(3322),
    [anon_sym_BANG_TILDE] = ACTIONS(3322),
    [anon_sym_EQ_EQ] = ACTIONS(3324),
    [anon_sym_BANG_EQ] = ACTIONS(3322),
    [anon_sym_eq] = ACTIONS(3324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3322),
    [anon_sym_equ] = ACTIONS(3322),
    [anon_sym_eqr] = ACTIONS(3322),
    [anon_sym_ne] = ACTIONS(3322),
    [anon_sym_LT_EQ_GT] = ACTIONS(3322),
    [anon_sym_cmp] = ACTIONS(3322),
    [anon_sym_TILDE_TILDE] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_LT_EQ] = ACTIONS(3324),
    [anon_sym_GT_EQ] = ACTIONS(3322),
    [anon_sym_lt] = ACTIONS(3322),
    [anon_sym_le] = ACTIONS(3322),
    [anon_sym_ge] = ACTIONS(3322),
    [anon_sym_gt] = ACTIONS(3322),
    [anon_sym_isa] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_QMARK] = ACTIONS(3322),
    [anon_sym_EQ_GT] = ACTIONS(3322),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1653] = {
    [sym_heredoc_content] = STATE(1653),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_RPAREN] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_and] = ACTIONS(2909),
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_xor] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_RBRACK] = ACTIONS(2909),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(1971),
    [anon_sym_STAR_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_SLASH_SLASH] = ACTIONS(1971),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_GT_GT2] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_DOT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_x] = ACTIONS(1971),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(1971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1654] = {
    [sym_heredoc_content] = STATE(1654),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_and] = ACTIONS(2939),
    [anon_sym_or] = ACTIONS(2939),
    [anon_sym_xor] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_RBRACK] = ACTIONS(2939),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2939),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1655] = {
    [sym_heredoc_content] = STATE(1655),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_and] = ACTIONS(3314),
    [anon_sym_or] = ACTIONS(3314),
    [anon_sym_xor] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_RBRACK] = ACTIONS(3314),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3314),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1656] = {
    [sym_heredoc_content] = STATE(1656),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_and] = ACTIONS(2853),
    [anon_sym_or] = ACTIONS(2853),
    [anon_sym_xor] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_RBRACK] = ACTIONS(2853),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1657] = {
    [sym_heredoc_content] = STATE(1657),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_and] = ACTIONS(2857),
    [anon_sym_or] = ACTIONS(2857),
    [anon_sym_xor] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_RBRACK] = ACTIONS(2857),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1658] = {
    [sym_heredoc_content] = STATE(1658),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_COLON] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_RPAREN] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1659] = {
    [sym_heredoc_content] = STATE(1659),
    [anon_sym_COLON] = ACTIONS(2741),
    [anon_sym_DOLLAR] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_AT] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_RPAREN] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2743),
    [anon_sym_x_EQ] = ACTIONS(2743),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2743),
    [anon_sym_eqr] = ACTIONS(2743),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2743),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2743),
    [anon_sym_le] = ACTIONS(2743),
    [anon_sym_ge] = ACTIONS(2743),
    [anon_sym_gt] = ACTIONS(2743),
    [anon_sym_isa] = ACTIONS(2743),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_PERCENT2] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3638),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1660] = {
    [sym_heredoc_content] = STATE(1660),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_DOLLAR] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_AT] = ACTIONS(2747),
    [anon_sym_COMMA] = ACTIONS(2747),
    [anon_sym_RPAREN] = ACTIONS(2747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_GT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2747),
    [anon_sym_DASH_EQ] = ACTIONS(2747),
    [anon_sym_DOT_EQ] = ACTIONS(2747),
    [anon_sym_STAR_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_PERCENT_EQ] = ACTIONS(2749),
    [anon_sym_x_EQ] = ACTIONS(2747),
    [anon_sym_AMP_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_CARET_EQ] = ACTIONS(2747),
    [anon_sym_LT_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_GT_EQ] = ACTIONS(2747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2747),
    [anon_sym_DOT_DOT] = ACTIONS(2749),
    [anon_sym_STAR_STAR] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH] = ACTIONS(2749),
    [anon_sym_CARET_CARET] = ACTIONS(2747),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(2749),
    [anon_sym_CARET] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_GT_GT2] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_x] = ACTIONS(2749),
    [anon_sym_EQ_TILDE] = ACTIONS(2747),
    [anon_sym_BANG_TILDE] = ACTIONS(2747),
    [anon_sym_EQ_EQ] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_eq] = ACTIONS(2749),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2747),
    [anon_sym_equ] = ACTIONS(2747),
    [anon_sym_eqr] = ACTIONS(2747),
    [anon_sym_ne] = ACTIONS(2747),
    [anon_sym_LT_EQ_GT] = ACTIONS(2747),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2747),
    [anon_sym_lt] = ACTIONS(2747),
    [anon_sym_le] = ACTIONS(2747),
    [anon_sym_ge] = ACTIONS(2747),
    [anon_sym_gt] = ACTIONS(2747),
    [anon_sym_isa] = ACTIONS(2747),
    [anon_sym_PLUS_PLUS] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2747),
    [anon_sym_QMARK] = ACTIONS(2747),
    [anon_sym_PERCENT2] = ACTIONS(2747),
    [anon_sym_EQ_GT] = ACTIONS(2747),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3640),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1661] = {
    [sym_heredoc_content] = STATE(1661),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_DOLLAR] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_RPAREN] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2753),
    [anon_sym_DASH_EQ] = ACTIONS(2753),
    [anon_sym_DOT_EQ] = ACTIONS(2753),
    [anon_sym_STAR_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_PERCENT_EQ] = ACTIONS(2755),
    [anon_sym_x_EQ] = ACTIONS(2753),
    [anon_sym_AMP_EQ] = ACTIONS(2753),
    [anon_sym_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_CARET_EQ] = ACTIONS(2753),
    [anon_sym_LT_LT_EQ] = ACTIONS(2753),
    [anon_sym_GT_GT_EQ] = ACTIONS(2753),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2753),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(2755),
    [anon_sym_CARET_CARET] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_GT_GT2] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_x] = ACTIONS(2755),
    [anon_sym_EQ_TILDE] = ACTIONS(2753),
    [anon_sym_BANG_TILDE] = ACTIONS(2753),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_eq] = ACTIONS(2755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2753),
    [anon_sym_equ] = ACTIONS(2753),
    [anon_sym_eqr] = ACTIONS(2753),
    [anon_sym_ne] = ACTIONS(2753),
    [anon_sym_LT_EQ_GT] = ACTIONS(2753),
    [anon_sym_cmp] = ACTIONS(2755),
    [anon_sym_TILDE_TILDE] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2753),
    [anon_sym_lt] = ACTIONS(2753),
    [anon_sym_le] = ACTIONS(2753),
    [anon_sym_ge] = ACTIONS(2753),
    [anon_sym_gt] = ACTIONS(2753),
    [anon_sym_isa] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_PERCENT2] = ACTIONS(2753),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3642),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1662] = {
    [sym_heredoc_content] = STATE(1662),
    [anon_sym_RBRACE] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(3644),
    [anon_sym_RPAREN] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_and] = ACTIONS(2976),
    [anon_sym_or] = ACTIONS(2976),
    [anon_sym_xor] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_RBRACK] = ACTIONS(2976),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(3644),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1663] = {
    [sym_heredoc_content] = STATE(1663),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_and] = ACTIONS(2865),
    [anon_sym_or] = ACTIONS(2865),
    [anon_sym_xor] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_RBRACK] = ACTIONS(2865),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1664] = {
    [sym_heredoc_content] = STATE(1664),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_RBRACE] = ACTIONS(2464),
    [anon_sym_COLON] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_RPAREN] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1665] = {
    [sym_heredoc_content] = STATE(1665),
    [anon_sym_COLON] = ACTIONS(2572),
    [anon_sym_DOLLAR] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_AT] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_DOT_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2574),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_CARET_EQ] = ACTIONS(2572),
    [anon_sym_LT_LT_EQ] = ACTIONS(2572),
    [anon_sym_GT_GT_EQ] = ACTIONS(2572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2574),
    [anon_sym_STAR_STAR] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH] = ACTIONS(2574),
    [anon_sym_CARET_CARET] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_PIPE] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_GT_GT2] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_x] = ACTIONS(2574),
    [anon_sym_EQ_TILDE] = ACTIONS(2572),
    [anon_sym_BANG_TILDE] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_eq] = ACTIONS(2574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2572),
    [anon_sym_LT_EQ_GT] = ACTIONS(2572),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2572),
    [anon_sym_PERCENT2] = ACTIONS(2572),
    [anon_sym_EQ_GT] = ACTIONS(2572),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3646),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1666] = {
    [sym_heredoc_content] = STATE(1666),
    [anon_sym_COLON] = ACTIONS(2594),
    [anon_sym_DOLLAR] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_AT] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_RPAREN] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2596),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_PERCENT2] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3648),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1667] = {
    [sym_heredoc_content] = STATE(1667),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_and] = ACTIONS(2931),
    [anon_sym_or] = ACTIONS(2931),
    [anon_sym_xor] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_RBRACK] = ACTIONS(2931),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2931),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1668] = {
    [sym_heredoc_content] = STATE(1668),
    [anon_sym_RBRACE] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(2976),
    [anon_sym_RPAREN] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_and] = ACTIONS(2976),
    [anon_sym_or] = ACTIONS(2976),
    [anon_sym_xor] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_RBRACK] = ACTIONS(2976),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(2976),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1669] = {
    [sym_heredoc_content] = STATE(1669),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_and] = ACTIONS(1839),
    [anon_sym_or] = ACTIONS(1839),
    [anon_sym_xor] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_RBRACK] = ACTIONS(1839),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1839),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1670] = {
    [sym_heredoc_content] = STATE(1670),
    [anon_sym_RBRACE] = ACTIONS(3026),
    [anon_sym_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_COMMA] = ACTIONS(3026),
    [anon_sym_RPAREN] = ACTIONS(3026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3026),
    [anon_sym_and] = ACTIONS(3026),
    [anon_sym_or] = ACTIONS(3026),
    [anon_sym_xor] = ACTIONS(3026),
    [anon_sym_DASH_GT] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_RBRACK] = ACTIONS(3026),
    [anon_sym_PERCENT] = ACTIONS(3028),
    [anon_sym_GT] = ACTIONS(3028),
    [anon_sym_LT_LT] = ACTIONS(3028),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3026),
    [anon_sym_PLUS_EQ] = ACTIONS(3026),
    [anon_sym_DASH_EQ] = ACTIONS(3026),
    [anon_sym_DOT_EQ] = ACTIONS(3026),
    [anon_sym_STAR_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_PERCENT_EQ] = ACTIONS(3026),
    [anon_sym_x_EQ] = ACTIONS(3026),
    [anon_sym_AMP_EQ] = ACTIONS(3026),
    [anon_sym_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_CARET_EQ] = ACTIONS(3026),
    [anon_sym_LT_LT_EQ] = ACTIONS(3026),
    [anon_sym_GT_GT_EQ] = ACTIONS(3026),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3026),
    [anon_sym_DOT_DOT] = ACTIONS(3028),
    [anon_sym_STAR_STAR] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3028),
    [anon_sym_CARET_CARET] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_GT_GT2] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_DOT] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3028),
    [anon_sym_x] = ACTIONS(3028),
    [anon_sym_EQ_TILDE] = ACTIONS(3026),
    [anon_sym_BANG_TILDE] = ACTIONS(3026),
    [anon_sym_EQ_EQ] = ACTIONS(3028),
    [anon_sym_BANG_EQ] = ACTIONS(3026),
    [anon_sym_eq] = ACTIONS(3028),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3026),
    [anon_sym_equ] = ACTIONS(3026),
    [anon_sym_eqr] = ACTIONS(3026),
    [anon_sym_ne] = ACTIONS(3026),
    [anon_sym_LT_EQ_GT] = ACTIONS(3026),
    [anon_sym_cmp] = ACTIONS(3026),
    [anon_sym_TILDE_TILDE] = ACTIONS(3026),
    [anon_sym_LT] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_EQ] = ACTIONS(3026),
    [anon_sym_lt] = ACTIONS(3026),
    [anon_sym_le] = ACTIONS(3026),
    [anon_sym_ge] = ACTIONS(3026),
    [anon_sym_gt] = ACTIONS(3026),
    [anon_sym_isa] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_EQ_GT] = ACTIONS(3026),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1671] = {
    [sym_heredoc_content] = STATE(1671),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_and] = ACTIONS(2869),
    [anon_sym_or] = ACTIONS(2869),
    [anon_sym_xor] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_RBRACK] = ACTIONS(2869),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1672] = {
    [sym_heredoc_content] = STATE(1672),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_RBRACE] = ACTIONS(1863),
    [anon_sym_COLON] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1673] = {
    [sym_heredoc_content] = STATE(1673),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(3506),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3512),
    [anon_sym_and] = ACTIONS(2873),
    [anon_sym_or] = ACTIONS(2873),
    [anon_sym_xor] = ACTIONS(2873),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2873),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3508),
    [anon_sym_PLUS_EQ] = ACTIONS(3508),
    [anon_sym_DASH_EQ] = ACTIONS(3508),
    [anon_sym_DOT_EQ] = ACTIONS(3508),
    [anon_sym_STAR_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_PERCENT_EQ] = ACTIONS(3508),
    [anon_sym_x_EQ] = ACTIONS(3508),
    [anon_sym_AMP_EQ] = ACTIONS(3508),
    [anon_sym_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_CARET_EQ] = ACTIONS(3508),
    [anon_sym_LT_LT_EQ] = ACTIONS(3508),
    [anon_sym_GT_GT_EQ] = ACTIONS(3508),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3508),
    [anon_sym_DOT_DOT] = ACTIONS(3522),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3526),
    [anon_sym_SLASH_SLASH] = ACTIONS(3526),
    [anon_sym_CARET_CARET] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3530),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1674] = {
    [sym_heredoc_content] = STATE(1674),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_COLON] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_RPAREN] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1826),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1675] = {
    [sym_heredoc_content] = STATE(1675),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_COMMA] = ACTIONS(3038),
    [anon_sym_RPAREN] = ACTIONS(3038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3038),
    [anon_sym_and] = ACTIONS(3038),
    [anon_sym_or] = ACTIONS(3038),
    [anon_sym_xor] = ACTIONS(3038),
    [anon_sym_DASH_GT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_RBRACK] = ACTIONS(3038),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LT_LT] = ACTIONS(3040),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_DOT_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_x_EQ] = ACTIONS(3038),
    [anon_sym_AMP_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_CARET_EQ] = ACTIONS(3038),
    [anon_sym_LT_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_GT_EQ] = ACTIONS(3038),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_STAR_STAR] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH] = ACTIONS(3040),
    [anon_sym_CARET_CARET] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3040),
    [anon_sym_PIPE] = ACTIONS(3040),
    [anon_sym_CARET] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_GT_GT2] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_x] = ACTIONS(3040),
    [anon_sym_EQ_TILDE] = ACTIONS(3038),
    [anon_sym_BANG_TILDE] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ] = ACTIONS(3038),
    [anon_sym_eq] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_equ] = ACTIONS(3038),
    [anon_sym_eqr] = ACTIONS(3038),
    [anon_sym_ne] = ACTIONS(3038),
    [anon_sym_LT_EQ_GT] = ACTIONS(3038),
    [anon_sym_cmp] = ACTIONS(3038),
    [anon_sym_TILDE_TILDE] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_lt] = ACTIONS(3038),
    [anon_sym_le] = ACTIONS(3038),
    [anon_sym_ge] = ACTIONS(3038),
    [anon_sym_gt] = ACTIONS(3038),
    [anon_sym_isa] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_QMARK] = ACTIONS(3038),
    [anon_sym_EQ_GT] = ACTIONS(3038),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1676] = {
    [sym_heredoc_content] = STATE(1676),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_COMMA] = ACTIONS(3042),
    [anon_sym_RPAREN] = ACTIONS(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3042),
    [anon_sym_and] = ACTIONS(3042),
    [anon_sym_or] = ACTIONS(3042),
    [anon_sym_xor] = ACTIONS(3042),
    [anon_sym_DASH_GT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_RBRACK] = ACTIONS(3042),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LT_LT] = ACTIONS(3044),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_DOT_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_x_EQ] = ACTIONS(3042),
    [anon_sym_AMP_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_CARET_EQ] = ACTIONS(3042),
    [anon_sym_LT_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_GT_EQ] = ACTIONS(3042),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_STAR_STAR] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3044),
    [anon_sym_SLASH_SLASH] = ACTIONS(3044),
    [anon_sym_CARET_CARET] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3044),
    [anon_sym_PIPE] = ACTIONS(3044),
    [anon_sym_CARET] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_GT_GT2] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_x] = ACTIONS(3044),
    [anon_sym_EQ_TILDE] = ACTIONS(3042),
    [anon_sym_BANG_TILDE] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ] = ACTIONS(3042),
    [anon_sym_eq] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_equ] = ACTIONS(3042),
    [anon_sym_eqr] = ACTIONS(3042),
    [anon_sym_ne] = ACTIONS(3042),
    [anon_sym_LT_EQ_GT] = ACTIONS(3042),
    [anon_sym_cmp] = ACTIONS(3042),
    [anon_sym_TILDE_TILDE] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3044),
    [anon_sym_LT_EQ] = ACTIONS(3044),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_lt] = ACTIONS(3042),
    [anon_sym_le] = ACTIONS(3042),
    [anon_sym_ge] = ACTIONS(3042),
    [anon_sym_gt] = ACTIONS(3042),
    [anon_sym_isa] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_QMARK] = ACTIONS(3042),
    [anon_sym_EQ_GT] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1677] = {
    [sym_heredoc_content] = STATE(1677),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(3506),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_COMMA] = ACTIONS(2672),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3512),
    [anon_sym_and] = ACTIONS(2672),
    [anon_sym_or] = ACTIONS(2672),
    [anon_sym_xor] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2672),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3508),
    [anon_sym_PLUS_EQ] = ACTIONS(3508),
    [anon_sym_DASH_EQ] = ACTIONS(3508),
    [anon_sym_DOT_EQ] = ACTIONS(3508),
    [anon_sym_STAR_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_PERCENT_EQ] = ACTIONS(3508),
    [anon_sym_x_EQ] = ACTIONS(3508),
    [anon_sym_AMP_EQ] = ACTIONS(3508),
    [anon_sym_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_CARET_EQ] = ACTIONS(3508),
    [anon_sym_LT_LT_EQ] = ACTIONS(3508),
    [anon_sym_GT_GT_EQ] = ACTIONS(3508),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3508),
    [anon_sym_DOT_DOT] = ACTIONS(3522),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3526),
    [anon_sym_SLASH_SLASH] = ACTIONS(3526),
    [anon_sym_CARET_CARET] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3530),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_EQ_GT] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1678] = {
    [sym_heredoc_content] = STATE(1678),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_EQ] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_COMMA] = ACTIONS(3046),
    [anon_sym_RPAREN] = ACTIONS(3046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3046),
    [anon_sym_and] = ACTIONS(3046),
    [anon_sym_or] = ACTIONS(3046),
    [anon_sym_xor] = ACTIONS(3046),
    [anon_sym_DASH_GT] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_RBRACK] = ACTIONS(3046),
    [anon_sym_PERCENT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [anon_sym_LT_LT] = ACTIONS(3048),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_DOT_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_x_EQ] = ACTIONS(3046),
    [anon_sym_AMP_EQ] = ACTIONS(3046),
    [anon_sym_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_CARET_EQ] = ACTIONS(3046),
    [anon_sym_LT_LT_EQ] = ACTIONS(3046),
    [anon_sym_GT_GT_EQ] = ACTIONS(3046),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3048),
    [anon_sym_STAR_STAR] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE] = ACTIONS(3048),
    [anon_sym_SLASH_SLASH] = ACTIONS(3048),
    [anon_sym_CARET_CARET] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3048),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_CARET] = ACTIONS(3048),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_GT_GT2] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_DOT] = ACTIONS(3048),
    [anon_sym_SLASH] = ACTIONS(3048),
    [anon_sym_x] = ACTIONS(3048),
    [anon_sym_EQ_TILDE] = ACTIONS(3046),
    [anon_sym_BANG_TILDE] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3048),
    [anon_sym_BANG_EQ] = ACTIONS(3046),
    [anon_sym_eq] = ACTIONS(3048),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_equ] = ACTIONS(3046),
    [anon_sym_eqr] = ACTIONS(3046),
    [anon_sym_ne] = ACTIONS(3046),
    [anon_sym_LT_EQ_GT] = ACTIONS(3046),
    [anon_sym_cmp] = ACTIONS(3046),
    [anon_sym_TILDE_TILDE] = ACTIONS(3046),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_LT_EQ] = ACTIONS(3048),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_lt] = ACTIONS(3046),
    [anon_sym_le] = ACTIONS(3046),
    [anon_sym_ge] = ACTIONS(3046),
    [anon_sym_gt] = ACTIONS(3046),
    [anon_sym_isa] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_EQ_GT] = ACTIONS(3046),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1679] = {
    [sym_heredoc_content] = STATE(1679),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_RPAREN] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_and] = ACTIONS(3050),
    [anon_sym_or] = ACTIONS(3050),
    [anon_sym_xor] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_RBRACK] = ACTIONS(3050),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1680] = {
    [sym_heredoc_content] = STATE(1680),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3650),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(3652),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3526),
    [anon_sym_SLASH_SLASH] = ACTIONS(3526),
    [anon_sym_CARET_CARET] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3530),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1681] = {
    [sym_heredoc_content] = STATE(1681),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_RPAREN] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_and] = ACTIONS(3058),
    [anon_sym_or] = ACTIONS(3058),
    [anon_sym_xor] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_RBRACK] = ACTIONS(3058),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1682] = {
    [sym_heredoc_content] = STATE(1682),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1683] = {
    [sym_heredoc_content] = STATE(1683),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2448),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_RPAREN] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1684] = {
    [sym_heredoc_content] = STATE(1684),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1685] = {
    [sym_heredoc_content] = STATE(1685),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2452),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_RPAREN] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3654),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1686] = {
    [sym_heredoc_content] = STATE(1686),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1687] = {
    [sym_heredoc_content] = STATE(1687),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1688] = {
    [sym_heredoc_content] = STATE(1688),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(3530),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1689] = {
    [sym_heredoc_content] = STATE(1689),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_RBRACE] = ACTIONS(1843),
    [anon_sym_COLON] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1843),
    [anon_sym_DASH_GT] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1843),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_DOT_EQ] = ACTIONS(1843),
    [anon_sym_STAR_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_PERCENT_EQ] = ACTIONS(1843),
    [anon_sym_x_EQ] = ACTIONS(1843),
    [anon_sym_AMP_EQ] = ACTIONS(1843),
    [anon_sym_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_CARET_EQ] = ACTIONS(1843),
    [anon_sym_LT_LT_EQ] = ACTIONS(1843),
    [anon_sym_GT_GT_EQ] = ACTIONS(1843),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1843),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1843),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1843),
    [anon_sym_BANG_TILDE] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1843),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1843),
    [anon_sym_equ] = ACTIONS(1843),
    [anon_sym_eqr] = ACTIONS(1843),
    [anon_sym_ne] = ACTIONS(1843),
    [anon_sym_LT_EQ_GT] = ACTIONS(1843),
    [anon_sym_cmp] = ACTIONS(1843),
    [anon_sym_TILDE_TILDE] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1843),
    [anon_sym_lt] = ACTIONS(1843),
    [anon_sym_le] = ACTIONS(1843),
    [anon_sym_ge] = ACTIONS(1843),
    [anon_sym_gt] = ACTIONS(1843),
    [anon_sym_isa] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_GT] = ACTIONS(1843),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1690] = {
    [sym_heredoc_content] = STATE(1690),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1691] = {
    [sym_heredoc_content] = STATE(1691),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1692] = {
    [sym_heredoc_content] = STATE(1692),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_RBRACE] = ACTIONS(1855),
    [anon_sym_COLON] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1693] = {
    [sym_heredoc_content] = STATE(1693),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1694] = {
    [sym_heredoc_content] = STATE(1694),
    [sym__identifier] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2446),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym_EQ] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_PERCENT] = ACTIONS(2446),
    [anon_sym_GT] = ACTIONS(2446),
    [anon_sym_LT_LT] = ACTIONS(2446),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2448),
    [anon_sym_PLUS_EQ] = ACTIONS(2448),
    [anon_sym_DASH_EQ] = ACTIONS(2448),
    [anon_sym_DOT_EQ] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2448),
    [anon_sym_SLASH_EQ] = ACTIONS(2448),
    [anon_sym_PERCENT_EQ] = ACTIONS(2448),
    [anon_sym_x_EQ] = ACTIONS(2448),
    [anon_sym_AMP_EQ] = ACTIONS(2448),
    [anon_sym_PIPE_EQ] = ACTIONS(2448),
    [anon_sym_CARET_EQ] = ACTIONS(2448),
    [anon_sym_LT_LT_EQ] = ACTIONS(2448),
    [anon_sym_GT_GT_EQ] = ACTIONS(2448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2448),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_STAR_STAR] = ACTIONS(2446),
    [anon_sym_PIPE_PIPE] = ACTIONS(2446),
    [anon_sym_SLASH_SLASH] = ACTIONS(2446),
    [anon_sym_CARET_CARET] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_CARET] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_GT_GT2] = ACTIONS(2446),
    [anon_sym_PLUS] = ACTIONS(2446),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_DOT] = ACTIONS(2446),
    [anon_sym_SLASH] = ACTIONS(2446),
    [anon_sym_x] = ACTIONS(2446),
    [anon_sym_EQ_TILDE] = ACTIONS(2448),
    [anon_sym_BANG_TILDE] = ACTIONS(2448),
    [anon_sym_EQ_EQ] = ACTIONS(2446),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_eq] = ACTIONS(2446),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2448),
    [anon_sym_equ] = ACTIONS(2446),
    [anon_sym_eqr] = ACTIONS(2446),
    [anon_sym_ne] = ACTIONS(2446),
    [anon_sym_LT_EQ_GT] = ACTIONS(2448),
    [anon_sym_cmp] = ACTIONS(2446),
    [anon_sym_TILDE_TILDE] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_LT_EQ] = ACTIONS(2446),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_lt] = ACTIONS(2446),
    [anon_sym_le] = ACTIONS(2446),
    [anon_sym_ge] = ACTIONS(2446),
    [anon_sym_gt] = ACTIONS(2446),
    [anon_sym_isa] = ACTIONS(2446),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_EQ_GT] = ACTIONS(2448),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2446),
    [sym__PERLY_SEMICOLON] = ACTIONS(2448),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(2448),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1695] = {
    [sym_heredoc_content] = STATE(1695),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1696] = {
    [sym_heredoc_content] = STATE(1696),
    [sym__identifier] = ACTIONS(2450),
    [anon_sym_COLON] = ACTIONS(2450),
    [anon_sym_SEMI] = ACTIONS(2452),
    [anon_sym_EQ] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_COMMA] = ACTIONS(2452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2452),
    [anon_sym_DASH_GT] = ACTIONS(2452),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_PERCENT] = ACTIONS(2450),
    [anon_sym_GT] = ACTIONS(2450),
    [anon_sym_LT_LT] = ACTIONS(2450),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2452),
    [anon_sym_PLUS_EQ] = ACTIONS(2452),
    [anon_sym_DASH_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2452),
    [anon_sym_STAR_EQ] = ACTIONS(2452),
    [anon_sym_SLASH_EQ] = ACTIONS(2452),
    [anon_sym_PERCENT_EQ] = ACTIONS(2452),
    [anon_sym_x_EQ] = ACTIONS(2452),
    [anon_sym_AMP_EQ] = ACTIONS(2452),
    [anon_sym_PIPE_EQ] = ACTIONS(2452),
    [anon_sym_CARET_EQ] = ACTIONS(2452),
    [anon_sym_LT_LT_EQ] = ACTIONS(2452),
    [anon_sym_GT_GT_EQ] = ACTIONS(2452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2452),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_STAR_STAR] = ACTIONS(2450),
    [anon_sym_PIPE_PIPE] = ACTIONS(2450),
    [anon_sym_SLASH_SLASH] = ACTIONS(2450),
    [anon_sym_CARET_CARET] = ACTIONS(2452),
    [anon_sym_AMP_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_GT_GT2] = ACTIONS(2450),
    [anon_sym_PLUS] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_DOT] = ACTIONS(2450),
    [anon_sym_SLASH] = ACTIONS(2450),
    [anon_sym_x] = ACTIONS(2450),
    [anon_sym_EQ_TILDE] = ACTIONS(2452),
    [anon_sym_BANG_TILDE] = ACTIONS(2452),
    [anon_sym_EQ_EQ] = ACTIONS(2450),
    [anon_sym_BANG_EQ] = ACTIONS(2452),
    [anon_sym_eq] = ACTIONS(2450),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2452),
    [anon_sym_equ] = ACTIONS(2450),
    [anon_sym_eqr] = ACTIONS(2450),
    [anon_sym_ne] = ACTIONS(2450),
    [anon_sym_LT_EQ_GT] = ACTIONS(2452),
    [anon_sym_cmp] = ACTIONS(2450),
    [anon_sym_TILDE_TILDE] = ACTIONS(2452),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_LT_EQ] = ACTIONS(2450),
    [anon_sym_GT_EQ] = ACTIONS(2452),
    [anon_sym_lt] = ACTIONS(2450),
    [anon_sym_le] = ACTIONS(2450),
    [anon_sym_ge] = ACTIONS(2450),
    [anon_sym_gt] = ACTIONS(2450),
    [anon_sym_isa] = ACTIONS(2450),
    [anon_sym_PLUS_PLUS] = ACTIONS(2452),
    [anon_sym_DASH_DASH] = ACTIONS(2452),
    [anon_sym_QMARK] = ACTIONS(2452),
    [anon_sym_EQ_GT] = ACTIONS(2452),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2450),
    [sym__PERLY_SEMICOLON] = ACTIONS(2452),
    [sym_pod] = ACTIONS(5),
    [sym__attribute_value_begin] = ACTIONS(3656),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1697] = {
    [sym_heredoc_content] = STATE(1697),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_RBRACE] = ACTIONS(1851),
    [anon_sym_COLON] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1698] = {
    [sym_heredoc_content] = STATE(1698),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1699] = {
    [sym_heredoc_content] = STATE(1699),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_RBRACE] = ACTIONS(1705),
    [anon_sym_COLON] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_RPAREN] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1705),
    [anon_sym_DASH_GT] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_DOT_EQ] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_x_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1705),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1705),
    [anon_sym_BANG_TILDE] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1705),
    [anon_sym_equ] = ACTIONS(1705),
    [anon_sym_eqr] = ACTIONS(1705),
    [anon_sym_ne] = ACTIONS(1705),
    [anon_sym_LT_EQ_GT] = ACTIONS(1705),
    [anon_sym_cmp] = ACTIONS(1705),
    [anon_sym_TILDE_TILDE] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_lt] = ACTIONS(1705),
    [anon_sym_le] = ACTIONS(1705),
    [anon_sym_ge] = ACTIONS(1705),
    [anon_sym_gt] = ACTIONS(1705),
    [anon_sym_isa] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1705),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1700] = {
    [sym_heredoc_content] = STATE(1700),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_and] = ACTIONS(3074),
    [anon_sym_or] = ACTIONS(3074),
    [anon_sym_xor] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_RBRACK] = ACTIONS(3074),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1701] = {
    [sym_heredoc_content] = STATE(1701),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_and] = ACTIONS(2833),
    [anon_sym_or] = ACTIONS(2833),
    [anon_sym_xor] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_RBRACK] = ACTIONS(2833),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1702] = {
    [sym_heredoc_content] = STATE(1702),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1703] = {
    [sym_heredoc_content] = STATE(1703),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_and] = ACTIONS(2897),
    [anon_sym_or] = ACTIONS(2897),
    [anon_sym_xor] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2897),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3658),
    [anon_sym_cmp] = ACTIONS(3658),
    [anon_sym_TILDE_TILDE] = ACTIONS(3658),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1704] = {
    [sym_heredoc_content] = STATE(1704),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_and] = ACTIONS(2893),
    [anon_sym_or] = ACTIONS(2893),
    [anon_sym_xor] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(2893),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3660),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1705] = {
    [sym_heredoc_content] = STATE(1705),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_RPAREN] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_and] = ACTIONS(3094),
    [anon_sym_or] = ACTIONS(3094),
    [anon_sym_xor] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_RBRACK] = ACTIONS(3094),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3096),
    [anon_sym_x] = ACTIONS(3096),
    [anon_sym_EQ_TILDE] = ACTIONS(3094),
    [anon_sym_BANG_TILDE] = ACTIONS(3094),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1706] = {
    [sym_heredoc_content] = STATE(1706),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_RPAREN] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_and] = ACTIONS(3098),
    [anon_sym_or] = ACTIONS(3098),
    [anon_sym_xor] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_RBRACK] = ACTIONS(3098),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3098),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1707] = {
    [sym_heredoc_content] = STATE(1707),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_and] = ACTIONS(3102),
    [anon_sym_or] = ACTIONS(3102),
    [anon_sym_xor] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_RBRACK] = ACTIONS(3102),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1708] = {
    [sym_heredoc_content] = STATE(1708),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_and] = ACTIONS(3106),
    [anon_sym_or] = ACTIONS(3106),
    [anon_sym_xor] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_RBRACK] = ACTIONS(3106),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3106),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1709] = {
    [sym_heredoc_content] = STATE(1709),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_and] = ACTIONS(2961),
    [anon_sym_or] = ACTIONS(2961),
    [anon_sym_xor] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_RBRACK] = ACTIONS(2961),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1710] = {
    [sym_attribute] = STATE(1829),
    [sym_attribute_name] = STATE(1685),
    [sym_heredoc_content] = STATE(1710),
    [aux_sym_attrlist_repeat1] = STATE(1714),
    [sym__identifier] = ACTIONS(3439),
    [anon_sym_COLON] = ACTIONS(2422),
    [anon_sym_EQ] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_COMMA] = ACTIONS(2418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2418),
    [anon_sym_DASH_GT] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_PERCENT] = ACTIONS(2422),
    [anon_sym_GT] = ACTIONS(2422),
    [anon_sym_LT_LT] = ACTIONS(2422),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2418),
    [anon_sym_PLUS_EQ] = ACTIONS(2418),
    [anon_sym_DASH_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2418),
    [anon_sym_STAR_EQ] = ACTIONS(2418),
    [anon_sym_SLASH_EQ] = ACTIONS(2418),
    [anon_sym_PERCENT_EQ] = ACTIONS(2418),
    [anon_sym_x_EQ] = ACTIONS(2418),
    [anon_sym_AMP_EQ] = ACTIONS(2418),
    [anon_sym_PIPE_EQ] = ACTIONS(2418),
    [anon_sym_CARET_EQ] = ACTIONS(2418),
    [anon_sym_LT_LT_EQ] = ACTIONS(2418),
    [anon_sym_GT_GT_EQ] = ACTIONS(2418),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_STAR_STAR] = ACTIONS(2422),
    [anon_sym_PIPE_PIPE] = ACTIONS(2422),
    [anon_sym_SLASH_SLASH] = ACTIONS(2422),
    [anon_sym_CARET_CARET] = ACTIONS(2418),
    [anon_sym_AMP_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_CARET] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_GT_GT2] = ACTIONS(2422),
    [anon_sym_PLUS] = ACTIONS(2422),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_DOT] = ACTIONS(2422),
    [anon_sym_SLASH] = ACTIONS(2422),
    [anon_sym_x] = ACTIONS(2422),
    [anon_sym_EQ_TILDE] = ACTIONS(2418),
    [anon_sym_BANG_TILDE] = ACTIONS(2418),
    [anon_sym_EQ_EQ] = ACTIONS(2422),
    [anon_sym_BANG_EQ] = ACTIONS(2418),
    [anon_sym_eq] = ACTIONS(2422),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2418),
    [anon_sym_equ] = ACTIONS(2422),
    [anon_sym_eqr] = ACTIONS(2422),
    [anon_sym_ne] = ACTIONS(2422),
    [anon_sym_LT_EQ_GT] = ACTIONS(2418),
    [anon_sym_cmp] = ACTIONS(2422),
    [anon_sym_TILDE_TILDE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_LT_EQ] = ACTIONS(2422),
    [anon_sym_GT_EQ] = ACTIONS(2418),
    [anon_sym_lt] = ACTIONS(2422),
    [anon_sym_le] = ACTIONS(2422),
    [anon_sym_ge] = ACTIONS(2422),
    [anon_sym_gt] = ACTIONS(2422),
    [anon_sym_isa] = ACTIONS(2422),
    [anon_sym_PLUS_PLUS] = ACTIONS(2418),
    [anon_sym_DASH_DASH] = ACTIONS(2418),
    [anon_sym_QMARK] = ACTIONS(2418),
    [anon_sym_EQ_GT] = ACTIONS(2418),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3439),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1711] = {
    [sym_heredoc_content] = STATE(1711),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_and] = ACTIONS(2905),
    [anon_sym_or] = ACTIONS(2905),
    [anon_sym_xor] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_RBRACK] = ACTIONS(2905),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2905),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1712] = {
    [sym_heredoc_content] = STATE(1712),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_and] = ACTIONS(3110),
    [anon_sym_or] = ACTIONS(3110),
    [anon_sym_xor] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_RBRACK] = ACTIONS(3110),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1713] = {
    [sym_heredoc_content] = STATE(1713),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_and] = ACTIONS(2911),
    [anon_sym_or] = ACTIONS(2911),
    [anon_sym_xor] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_RBRACK] = ACTIONS(2911),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2911),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1714] = {
    [sym_attribute] = STATE(1829),
    [sym_attribute_name] = STATE(1685),
    [sym_heredoc_content] = STATE(1714),
    [aux_sym_attrlist_repeat1] = STATE(1529),
    [sym__identifier] = ACTIONS(3439),
    [anon_sym_COLON] = ACTIONS(2436),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2434),
    [anon_sym_DASH_GT] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_PERCENT] = ACTIONS(2436),
    [anon_sym_GT] = ACTIONS(2436),
    [anon_sym_LT_LT] = ACTIONS(2436),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2434),
    [anon_sym_PLUS_EQ] = ACTIONS(2434),
    [anon_sym_DASH_EQ] = ACTIONS(2434),
    [anon_sym_DOT_EQ] = ACTIONS(2434),
    [anon_sym_STAR_EQ] = ACTIONS(2434),
    [anon_sym_SLASH_EQ] = ACTIONS(2434),
    [anon_sym_PERCENT_EQ] = ACTIONS(2434),
    [anon_sym_x_EQ] = ACTIONS(2434),
    [anon_sym_AMP_EQ] = ACTIONS(2434),
    [anon_sym_PIPE_EQ] = ACTIONS(2434),
    [anon_sym_CARET_EQ] = ACTIONS(2434),
    [anon_sym_LT_LT_EQ] = ACTIONS(2434),
    [anon_sym_GT_GT_EQ] = ACTIONS(2434),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2436),
    [anon_sym_STAR_STAR] = ACTIONS(2436),
    [anon_sym_PIPE_PIPE] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(2436),
    [anon_sym_CARET_CARET] = ACTIONS(2434),
    [anon_sym_AMP_AMP] = ACTIONS(2436),
    [anon_sym_PIPE] = ACTIONS(2436),
    [anon_sym_CARET] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_GT_GT2] = ACTIONS(2436),
    [anon_sym_PLUS] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2436),
    [anon_sym_DOT] = ACTIONS(2436),
    [anon_sym_SLASH] = ACTIONS(2436),
    [anon_sym_x] = ACTIONS(2436),
    [anon_sym_EQ_TILDE] = ACTIONS(2434),
    [anon_sym_BANG_TILDE] = ACTIONS(2434),
    [anon_sym_EQ_EQ] = ACTIONS(2436),
    [anon_sym_BANG_EQ] = ACTIONS(2434),
    [anon_sym_eq] = ACTIONS(2436),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2434),
    [anon_sym_equ] = ACTIONS(2436),
    [anon_sym_eqr] = ACTIONS(2436),
    [anon_sym_ne] = ACTIONS(2436),
    [anon_sym_LT_EQ_GT] = ACTIONS(2434),
    [anon_sym_cmp] = ACTIONS(2436),
    [anon_sym_TILDE_TILDE] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2436),
    [anon_sym_LT_EQ] = ACTIONS(2436),
    [anon_sym_GT_EQ] = ACTIONS(2434),
    [anon_sym_lt] = ACTIONS(2436),
    [anon_sym_le] = ACTIONS(2436),
    [anon_sym_ge] = ACTIONS(2436),
    [anon_sym_gt] = ACTIONS(2436),
    [anon_sym_isa] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2434),
    [anon_sym_QMARK] = ACTIONS(2434),
    [anon_sym_EQ_GT] = ACTIONS(2434),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(3439),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1715] = {
    [sym_heredoc_content] = STATE(1715),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_and] = ACTIONS(2915),
    [anon_sym_or] = ACTIONS(2915),
    [anon_sym_xor] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_RBRACK] = ACTIONS(2915),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2915),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1716] = {
    [sym_heredoc_content] = STATE(1716),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_and] = ACTIONS(2919),
    [anon_sym_or] = ACTIONS(2919),
    [anon_sym_xor] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_RBRACK] = ACTIONS(2919),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2919),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1717] = {
    [sym_heredoc_content] = STATE(1717),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_and] = ACTIONS(3114),
    [anon_sym_or] = ACTIONS(3114),
    [anon_sym_xor] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_RBRACK] = ACTIONS(3114),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1718] = {
    [sym_heredoc_content] = STATE(1718),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_and] = ACTIONS(2923),
    [anon_sym_or] = ACTIONS(2923),
    [anon_sym_xor] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_RBRACK] = ACTIONS(2923),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1719] = {
    [sym_heredoc_content] = STATE(1719),
    [anon_sym_RBRACE] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_and] = ACTIONS(1973),
    [anon_sym_or] = ACTIONS(1973),
    [anon_sym_xor] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_RBRACK] = ACTIONS(1973),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1973),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1720] = {
    [sym_heredoc_content] = STATE(1720),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_COLON] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_RPAREN] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2506),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1721] = {
    [sym_heredoc_content] = STATE(1721),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_and] = ACTIONS(3126),
    [anon_sym_or] = ACTIONS(3126),
    [anon_sym_xor] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_RBRACK] = ACTIONS(3126),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1722] = {
    [sym_heredoc_content] = STATE(1722),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_and] = ACTIONS(3130),
    [anon_sym_or] = ACTIONS(3130),
    [anon_sym_xor] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_RBRACK] = ACTIONS(3130),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1723] = {
    [sym_heredoc_content] = STATE(1723),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_and] = ACTIONS(3134),
    [anon_sym_or] = ACTIONS(3134),
    [anon_sym_xor] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_RBRACK] = ACTIONS(3134),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1724] = {
    [sym_heredoc_content] = STATE(1724),
    [aux_sym__term_rightward_repeat1] = STATE(1725),
    [anon_sym_COLON] = ACTIONS(2731),
    [anon_sym_DOLLAR] = ACTIONS(2731),
    [anon_sym_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_AT] = ACTIONS(2731),
    [anon_sym_COMMA] = ACTIONS(3570),
    [anon_sym_RPAREN] = ACTIONS(2731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2731),
    [anon_sym_DASH_GT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2733),
    [anon_sym_GT] = ACTIONS(2733),
    [anon_sym_LT_LT] = ACTIONS(2733),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2731),
    [anon_sym_PLUS_EQ] = ACTIONS(2731),
    [anon_sym_DASH_EQ] = ACTIONS(2731),
    [anon_sym_DOT_EQ] = ACTIONS(2731),
    [anon_sym_STAR_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_PERCENT_EQ] = ACTIONS(2733),
    [anon_sym_x_EQ] = ACTIONS(2731),
    [anon_sym_AMP_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_CARET_EQ] = ACTIONS(2731),
    [anon_sym_LT_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_GT_EQ] = ACTIONS(2731),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2731),
    [anon_sym_DOT_DOT] = ACTIONS(2733),
    [anon_sym_STAR_STAR] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH] = ACTIONS(2733),
    [anon_sym_CARET_CARET] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2733),
    [anon_sym_PIPE] = ACTIONS(2733),
    [anon_sym_CARET] = ACTIONS(2733),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_GT_GT2] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_x] = ACTIONS(2733),
    [anon_sym_EQ_TILDE] = ACTIONS(2731),
    [anon_sym_BANG_TILDE] = ACTIONS(2731),
    [anon_sym_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2731),
    [anon_sym_eq] = ACTIONS(2733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2731),
    [anon_sym_equ] = ACTIONS(2731),
    [anon_sym_eqr] = ACTIONS(2731),
    [anon_sym_ne] = ACTIONS(2731),
    [anon_sym_LT_EQ_GT] = ACTIONS(2731),
    [anon_sym_cmp] = ACTIONS(2731),
    [anon_sym_TILDE_TILDE] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2731),
    [anon_sym_lt] = ACTIONS(2731),
    [anon_sym_le] = ACTIONS(2731),
    [anon_sym_ge] = ACTIONS(2731),
    [anon_sym_gt] = ACTIONS(2731),
    [anon_sym_isa] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_QMARK] = ACTIONS(2731),
    [anon_sym_PERCENT2] = ACTIONS(2731),
    [anon_sym_EQ_GT] = ACTIONS(3570),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1725] = {
    [sym_heredoc_content] = STATE(1725),
    [aux_sym__term_rightward_repeat1] = STATE(1725),
    [anon_sym_COLON] = ACTIONS(2672),
    [anon_sym_DOLLAR] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_AT] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(3662),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_DOT_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2674),
    [anon_sym_x_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(2674),
    [anon_sym_CARET_CARET] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_GT_GT2] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_x] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2672),
    [anon_sym_BANG_TILDE] = ACTIONS(2672),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_eq] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2672),
    [anon_sym_equ] = ACTIONS(2672),
    [anon_sym_eqr] = ACTIONS(2672),
    [anon_sym_ne] = ACTIONS(2672),
    [anon_sym_LT_EQ_GT] = ACTIONS(2672),
    [anon_sym_cmp] = ACTIONS(2672),
    [anon_sym_TILDE_TILDE] = ACTIONS(2672),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_lt] = ACTIONS(2672),
    [anon_sym_le] = ACTIONS(2672),
    [anon_sym_ge] = ACTIONS(2672),
    [anon_sym_gt] = ACTIONS(2672),
    [anon_sym_isa] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2672),
    [anon_sym_PERCENT2] = ACTIONS(2672),
    [anon_sym_EQ_GT] = ACTIONS(3662),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1726] = {
    [sym_heredoc_content] = STATE(1726),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_and] = ACTIONS(3138),
    [anon_sym_or] = ACTIONS(3138),
    [anon_sym_xor] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_RBRACK] = ACTIONS(3138),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1727] = {
    [sym_heredoc_content] = STATE(1727),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_and] = ACTIONS(3142),
    [anon_sym_or] = ACTIONS(3142),
    [anon_sym_xor] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_RBRACK] = ACTIONS(3142),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1728] = {
    [sym_heredoc_content] = STATE(1728),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1847),
    [anon_sym_COLON] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1847),
    [anon_sym_PLUS_EQ] = ACTIONS(1847),
    [anon_sym_DASH_EQ] = ACTIONS(1847),
    [anon_sym_DOT_EQ] = ACTIONS(1847),
    [anon_sym_STAR_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_PERCENT_EQ] = ACTIONS(1847),
    [anon_sym_x_EQ] = ACTIONS(1847),
    [anon_sym_AMP_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_CARET_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_GT_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1847),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1847),
    [anon_sym_BANG_TILDE] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1847),
    [anon_sym_equ] = ACTIONS(1847),
    [anon_sym_eqr] = ACTIONS(1847),
    [anon_sym_ne] = ACTIONS(1847),
    [anon_sym_LT_EQ_GT] = ACTIONS(1847),
    [anon_sym_cmp] = ACTIONS(1847),
    [anon_sym_TILDE_TILDE] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_lt] = ACTIONS(1847),
    [anon_sym_le] = ACTIONS(1847),
    [anon_sym_ge] = ACTIONS(1847),
    [anon_sym_gt] = ACTIONS(1847),
    [anon_sym_isa] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_EQ_GT] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1729] = {
    [sym_heredoc_content] = STATE(1729),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_COLON] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [anon_sym_EQ] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1855),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1855),
    [anon_sym_DASH_GT] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1855),
    [anon_sym_PLUS_EQ] = ACTIONS(1855),
    [anon_sym_DASH_EQ] = ACTIONS(1855),
    [anon_sym_DOT_EQ] = ACTIONS(1855),
    [anon_sym_STAR_EQ] = ACTIONS(1855),
    [anon_sym_SLASH_EQ] = ACTIONS(1855),
    [anon_sym_PERCENT_EQ] = ACTIONS(1855),
    [anon_sym_x_EQ] = ACTIONS(1855),
    [anon_sym_AMP_EQ] = ACTIONS(1855),
    [anon_sym_PIPE_EQ] = ACTIONS(1855),
    [anon_sym_CARET_EQ] = ACTIONS(1855),
    [anon_sym_LT_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_GT_EQ] = ACTIONS(1855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1855),
    [anon_sym_DOT_DOT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_SLASH_SLASH] = ACTIONS(1853),
    [anon_sym_CARET_CARET] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1853),
    [anon_sym_GT_GT2] = ACTIONS(1853),
    [anon_sym_PLUS] = ACTIONS(1853),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_DOT] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_x] = ACTIONS(1853),
    [anon_sym_EQ_TILDE] = ACTIONS(1855),
    [anon_sym_BANG_TILDE] = ACTIONS(1855),
    [anon_sym_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_eq] = ACTIONS(1853),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1855),
    [anon_sym_equ] = ACTIONS(1855),
    [anon_sym_eqr] = ACTIONS(1855),
    [anon_sym_ne] = ACTIONS(1855),
    [anon_sym_LT_EQ_GT] = ACTIONS(1855),
    [anon_sym_cmp] = ACTIONS(1855),
    [anon_sym_TILDE_TILDE] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_lt] = ACTIONS(1855),
    [anon_sym_le] = ACTIONS(1855),
    [anon_sym_ge] = ACTIONS(1855),
    [anon_sym_gt] = ACTIONS(1855),
    [anon_sym_isa] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_QMARK] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1855),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1855),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1730] = {
    [sym_heredoc_content] = STATE(1730),
    [anon_sym_LBRACE] = ACTIONS(1851),
    [anon_sym_COLON] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1851),
    [anon_sym_DASH_GT] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_LT] = ACTIONS(1849),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1851),
    [anon_sym_PLUS_EQ] = ACTIONS(1851),
    [anon_sym_DASH_EQ] = ACTIONS(1851),
    [anon_sym_DOT_EQ] = ACTIONS(1851),
    [anon_sym_STAR_EQ] = ACTIONS(1851),
    [anon_sym_SLASH_EQ] = ACTIONS(1851),
    [anon_sym_PERCENT_EQ] = ACTIONS(1851),
    [anon_sym_x_EQ] = ACTIONS(1851),
    [anon_sym_AMP_EQ] = ACTIONS(1851),
    [anon_sym_PIPE_EQ] = ACTIONS(1851),
    [anon_sym_CARET_EQ] = ACTIONS(1851),
    [anon_sym_LT_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_GT_EQ] = ACTIONS(1851),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1851),
    [anon_sym_DOT_DOT] = ACTIONS(1849),
    [anon_sym_STAR_STAR] = ACTIONS(1849),
    [anon_sym_PIPE_PIPE] = ACTIONS(1849),
    [anon_sym_SLASH_SLASH] = ACTIONS(1849),
    [anon_sym_CARET_CARET] = ACTIONS(1851),
    [anon_sym_AMP_AMP] = ACTIONS(1849),
    [anon_sym_PIPE] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_AMP] = ACTIONS(1849),
    [anon_sym_GT_GT2] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_x] = ACTIONS(1849),
    [anon_sym_EQ_TILDE] = ACTIONS(1851),
    [anon_sym_BANG_TILDE] = ACTIONS(1851),
    [anon_sym_EQ_EQ] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_eq] = ACTIONS(1849),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1851),
    [anon_sym_equ] = ACTIONS(1851),
    [anon_sym_eqr] = ACTIONS(1851),
    [anon_sym_ne] = ACTIONS(1851),
    [anon_sym_LT_EQ_GT] = ACTIONS(1851),
    [anon_sym_cmp] = ACTIONS(1851),
    [anon_sym_TILDE_TILDE] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_lt] = ACTIONS(1851),
    [anon_sym_le] = ACTIONS(1851),
    [anon_sym_ge] = ACTIONS(1851),
    [anon_sym_gt] = ACTIONS(1851),
    [anon_sym_isa] = ACTIONS(1851),
    [anon_sym_PLUS_PLUS] = ACTIONS(1851),
    [anon_sym_DASH_DASH] = ACTIONS(1851),
    [anon_sym_QMARK] = ACTIONS(1851),
    [anon_sym_EQ_GT] = ACTIONS(1851),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1851),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1731] = {
    [sym_heredoc_content] = STATE(1731),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_RPAREN] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_and] = ACTIONS(3078),
    [anon_sym_or] = ACTIONS(3078),
    [anon_sym_xor] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_RBRACK] = ACTIONS(3078),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3078),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1732] = {
    [sym_heredoc_content] = STATE(1732),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_RPAREN] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_and] = ACTIONS(3182),
    [anon_sym_or] = ACTIONS(3182),
    [anon_sym_xor] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_RBRACK] = ACTIONS(3182),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3182),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1733] = {
    [sym_heredoc_content] = STATE(1733),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_and] = ACTIONS(2877),
    [anon_sym_or] = ACTIONS(2877),
    [anon_sym_xor] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_RBRACK] = ACTIONS(2877),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1734] = {
    [sym_heredoc_content] = STATE(1734),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_and] = ACTIONS(3194),
    [anon_sym_or] = ACTIONS(3194),
    [anon_sym_xor] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_RBRACK] = ACTIONS(3194),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3194),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1735] = {
    [sym_heredoc_content] = STATE(1735),
    [anon_sym_RBRACE] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_and] = ACTIONS(2881),
    [anon_sym_or] = ACTIONS(2881),
    [anon_sym_xor] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_RBRACK] = ACTIONS(2881),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2881),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1736] = {
    [sym_heredoc_content] = STATE(1736),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_RPAREN] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_and] = ACTIONS(3206),
    [anon_sym_or] = ACTIONS(3206),
    [anon_sym_xor] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_RBRACK] = ACTIONS(3206),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3206),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1737] = {
    [sym_heredoc_content] = STATE(1737),
    [anon_sym_RBRACE] = ACTIONS(3030),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_COMMA] = ACTIONS(3030),
    [anon_sym_RPAREN] = ACTIONS(3030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3030),
    [anon_sym_and] = ACTIONS(3030),
    [anon_sym_or] = ACTIONS(3030),
    [anon_sym_xor] = ACTIONS(3030),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(3030),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3030),
    [anon_sym_PLUS_EQ] = ACTIONS(3030),
    [anon_sym_DASH_EQ] = ACTIONS(3030),
    [anon_sym_DOT_EQ] = ACTIONS(3030),
    [anon_sym_STAR_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_PERCENT_EQ] = ACTIONS(3030),
    [anon_sym_x_EQ] = ACTIONS(3030),
    [anon_sym_AMP_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_CARET_EQ] = ACTIONS(3030),
    [anon_sym_LT_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_GT_EQ] = ACTIONS(3030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3030),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH] = ACTIONS(3032),
    [anon_sym_CARET_CARET] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_CARET] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3030),
    [anon_sym_eq] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3030),
    [anon_sym_equ] = ACTIONS(3030),
    [anon_sym_eqr] = ACTIONS(3030),
    [anon_sym_ne] = ACTIONS(3030),
    [anon_sym_LT_EQ_GT] = ACTIONS(3030),
    [anon_sym_cmp] = ACTIONS(3030),
    [anon_sym_TILDE_TILDE] = ACTIONS(3030),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3030),
    [anon_sym_lt] = ACTIONS(3030),
    [anon_sym_le] = ACTIONS(3030),
    [anon_sym_ge] = ACTIONS(3030),
    [anon_sym_gt] = ACTIONS(3030),
    [anon_sym_isa] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3030),
    [anon_sym_EQ_GT] = ACTIONS(3030),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1738] = {
    [sym_heredoc_content] = STATE(1738),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_and] = ACTIONS(3222),
    [anon_sym_or] = ACTIONS(3222),
    [anon_sym_xor] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1739] = {
    [sym_heredoc_content] = STATE(1739),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_DOLLAR] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2540),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_PERCENT2] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1740] = {
    [sym_heredoc_content] = STATE(1740),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_and] = ACTIONS(3226),
    [anon_sym_or] = ACTIONS(3226),
    [anon_sym_xor] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1741] = {
    [sym_heredoc_content] = STATE(1741),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_RPAREN] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_and] = ACTIONS(3230),
    [anon_sym_or] = ACTIONS(3230),
    [anon_sym_xor] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_RBRACK] = ACTIONS(3230),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1742] = {
    [sym_heredoc_content] = STATE(1742),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_RPAREN] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_and] = ACTIONS(3242),
    [anon_sym_or] = ACTIONS(3242),
    [anon_sym_xor] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_RBRACK] = ACTIONS(3242),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1743] = {
    [sym_heredoc_content] = STATE(1743),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_DOLLAR] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2540),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_PERCENT2] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1744] = {
    [sym_heredoc_content] = STATE(1744),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_DOLLAR] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_AT] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2540),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2540),
    [anon_sym_eqr] = ACTIONS(2540),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_PERCENT2] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1745] = {
    [sym_heredoc_content] = STATE(1745),
    [anon_sym_COLON] = ACTIONS(2566),
    [anon_sym_DOLLAR] = ACTIONS(2566),
    [anon_sym_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_AT] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2566),
    [anon_sym_RPAREN] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(3665),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_DASH_GT] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2568),
    [anon_sym_GT] = ACTIONS(2568),
    [anon_sym_LT_LT] = ACTIONS(2568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2566),
    [anon_sym_PLUS_EQ] = ACTIONS(2566),
    [anon_sym_DASH_EQ] = ACTIONS(2566),
    [anon_sym_DOT_EQ] = ACTIONS(2566),
    [anon_sym_STAR_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_PERCENT_EQ] = ACTIONS(2568),
    [anon_sym_x_EQ] = ACTIONS(2566),
    [anon_sym_AMP_EQ] = ACTIONS(2566),
    [anon_sym_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_CARET_EQ] = ACTIONS(2566),
    [anon_sym_LT_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT_GT_EQ] = ACTIONS(2566),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2566),
    [anon_sym_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR_STAR] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH] = ACTIONS(2568),
    [anon_sym_CARET_CARET] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2568),
    [anon_sym_CARET] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_GT_GT2] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2568),
    [anon_sym_SLASH] = ACTIONS(2568),
    [anon_sym_x] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2566),
    [anon_sym_BANG_TILDE] = ACTIONS(2566),
    [anon_sym_EQ_EQ] = ACTIONS(2568),
    [anon_sym_BANG_EQ] = ACTIONS(2566),
    [anon_sym_eq] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2566),
    [anon_sym_equ] = ACTIONS(2566),
    [anon_sym_eqr] = ACTIONS(2566),
    [anon_sym_ne] = ACTIONS(2566),
    [anon_sym_LT_EQ_GT] = ACTIONS(2566),
    [anon_sym_cmp] = ACTIONS(2566),
    [anon_sym_TILDE_TILDE] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_EQ] = ACTIONS(2566),
    [anon_sym_lt] = ACTIONS(2566),
    [anon_sym_le] = ACTIONS(2566),
    [anon_sym_ge] = ACTIONS(2566),
    [anon_sym_gt] = ACTIONS(2566),
    [anon_sym_isa] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_PERCENT2] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2566),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1746] = {
    [sym_heredoc_content] = STATE(1746),
    [anon_sym_COLON] = ACTIONS(2660),
    [anon_sym_DOLLAR] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_AT] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2662),
    [anon_sym_x_EQ] = ACTIONS(2662),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2662),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2662),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2662),
    [anon_sym_le] = ACTIONS(2662),
    [anon_sym_ge] = ACTIONS(2662),
    [anon_sym_gt] = ACTIONS(2662),
    [anon_sym_isa] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_PERCENT2] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3667),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1747] = {
    [sym_heredoc_content] = STATE(1747),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_RPAREN] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_and] = ACTIONS(3254),
    [anon_sym_or] = ACTIONS(3254),
    [anon_sym_xor] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_RBRACK] = ACTIONS(3254),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3254),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1748] = {
    [sym_heredoc_content] = STATE(1748),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_RPAREN] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_and] = ACTIONS(3202),
    [anon_sym_or] = ACTIONS(3202),
    [anon_sym_xor] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_RBRACK] = ACTIONS(3202),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3202),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1749] = {
    [sym_heredoc_content] = STATE(1749),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RPAREN] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_and] = ACTIONS(3250),
    [anon_sym_or] = ACTIONS(3250),
    [anon_sym_xor] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_RBRACK] = ACTIONS(3250),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3250),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1750] = {
    [sym_heredoc_content] = STATE(1750),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_and] = ACTIONS(3270),
    [anon_sym_or] = ACTIONS(3270),
    [anon_sym_xor] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_RBRACK] = ACTIONS(3270),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1751] = {
    [sym_heredoc_content] = STATE(1751),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3512),
    [anon_sym_and] = ACTIONS(3274),
    [anon_sym_or] = ACTIONS(3274),
    [anon_sym_xor] = ACTIONS(3274),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(3274),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3522),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3526),
    [anon_sym_SLASH_SLASH] = ACTIONS(3526),
    [anon_sym_CARET_CARET] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3530),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1752] = {
    [sym_heredoc_content] = STATE(1752),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_RPAREN] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_and] = ACTIONS(3278),
    [anon_sym_or] = ACTIONS(3278),
    [anon_sym_xor] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_RBRACK] = ACTIONS(3278),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1753] = {
    [sym_heredoc_content] = STATE(1753),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_RPAREN] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_and] = ACTIONS(3282),
    [anon_sym_or] = ACTIONS(3282),
    [anon_sym_xor] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_RBRACK] = ACTIONS(3282),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1754] = {
    [sym_heredoc_content] = STATE(1754),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_RPAREN] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_and] = ACTIONS(3286),
    [anon_sym_or] = ACTIONS(3286),
    [anon_sym_xor] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_RBRACK] = ACTIONS(3286),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3286),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1755] = {
    [sym_heredoc_content] = STATE(1755),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_RPAREN] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_and] = ACTIONS(3294),
    [anon_sym_or] = ACTIONS(3294),
    [anon_sym_xor] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_RBRACK] = ACTIONS(3294),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3294),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1756] = {
    [sym_heredoc_content] = STATE(1756),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_RPAREN] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_and] = ACTIONS(3298),
    [anon_sym_or] = ACTIONS(3298),
    [anon_sym_xor] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_RBRACK] = ACTIONS(3298),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3298),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1757] = {
    [sym_heredoc_content] = STATE(1757),
    [anon_sym_LBRACE] = ACTIONS(3669),
    [anon_sym_COLON] = ACTIONS(1839),
    [anon_sym_DOLLAR] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_AT] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_PERCENT2] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1758] = {
    [sym_heredoc_content] = STATE(1758),
    [anon_sym_COLON] = ACTIONS(2642),
    [anon_sym_DOLLAR] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_AT] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2642),
    [anon_sym_RPAREN] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(3671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DASH_GT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_PERCENT] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2644),
    [anon_sym_LT_LT] = ACTIONS(2644),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2642),
    [anon_sym_PLUS_EQ] = ACTIONS(2642),
    [anon_sym_DASH_EQ] = ACTIONS(2642),
    [anon_sym_DOT_EQ] = ACTIONS(2642),
    [anon_sym_STAR_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_PERCENT_EQ] = ACTIONS(2644),
    [anon_sym_x_EQ] = ACTIONS(2642),
    [anon_sym_AMP_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_CARET_EQ] = ACTIONS(2642),
    [anon_sym_LT_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_GT_EQ] = ACTIONS(2642),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2642),
    [anon_sym_DOT_DOT] = ACTIONS(2644),
    [anon_sym_STAR_STAR] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH] = ACTIONS(2644),
    [anon_sym_CARET_CARET] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_PIPE] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_GT_GT2] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2644),
    [anon_sym_x] = ACTIONS(2644),
    [anon_sym_EQ_TILDE] = ACTIONS(2642),
    [anon_sym_BANG_TILDE] = ACTIONS(2642),
    [anon_sym_EQ_EQ] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_eq] = ACTIONS(2644),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2642),
    [anon_sym_equ] = ACTIONS(2642),
    [anon_sym_eqr] = ACTIONS(2642),
    [anon_sym_ne] = ACTIONS(2642),
    [anon_sym_LT_EQ_GT] = ACTIONS(2642),
    [anon_sym_cmp] = ACTIONS(2642),
    [anon_sym_TILDE_TILDE] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2642),
    [anon_sym_lt] = ACTIONS(2642),
    [anon_sym_le] = ACTIONS(2642),
    [anon_sym_ge] = ACTIONS(2642),
    [anon_sym_gt] = ACTIONS(2642),
    [anon_sym_isa] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2642),
    [anon_sym_PERCENT2] = ACTIONS(2642),
    [anon_sym_EQ_GT] = ACTIONS(2642),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1759] = {
    [sym_heredoc_content] = STATE(1759),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(3673),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2476),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_PERCENT2] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1760] = {
    [sym_heredoc_content] = STATE(1760),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_RPAREN] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_and] = ACTIONS(3070),
    [anon_sym_or] = ACTIONS(3070),
    [anon_sym_xor] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_RBRACK] = ACTIONS(3070),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3070),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1761] = {
    [sym_heredoc_content] = STATE(1761),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_and] = ACTIONS(1711),
    [anon_sym_or] = ACTIONS(1711),
    [anon_sym_xor] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_RBRACK] = ACTIONS(1711),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1711),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1762] = {
    [sym_heredoc_content] = STATE(1762),
    [anon_sym_COLON] = ACTIONS(2815),
    [anon_sym_DOLLAR] = ACTIONS(2815),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_AT] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_RPAREN] = ACTIONS(2815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2815),
    [anon_sym_DASH_GT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(3616),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2815),
    [anon_sym_PLUS_EQ] = ACTIONS(2815),
    [anon_sym_DASH_EQ] = ACTIONS(2815),
    [anon_sym_DOT_EQ] = ACTIONS(2815),
    [anon_sym_STAR_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_PERCENT_EQ] = ACTIONS(2817),
    [anon_sym_x_EQ] = ACTIONS(2815),
    [anon_sym_AMP_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_CARET_EQ] = ACTIONS(2815),
    [anon_sym_LT_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_GT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2815),
    [anon_sym_DOT_DOT] = ACTIONS(2817),
    [anon_sym_STAR_STAR] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH] = ACTIONS(2817),
    [anon_sym_CARET_CARET] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_GT_GT2] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_x] = ACTIONS(2817),
    [anon_sym_EQ_TILDE] = ACTIONS(2815),
    [anon_sym_BANG_TILDE] = ACTIONS(2815),
    [anon_sym_EQ_EQ] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_eq] = ACTIONS(2817),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2815),
    [anon_sym_equ] = ACTIONS(2815),
    [anon_sym_eqr] = ACTIONS(2815),
    [anon_sym_ne] = ACTIONS(2815),
    [anon_sym_LT_EQ_GT] = ACTIONS(2815),
    [anon_sym_cmp] = ACTIONS(2815),
    [anon_sym_TILDE_TILDE] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_lt] = ACTIONS(2815),
    [anon_sym_le] = ACTIONS(2815),
    [anon_sym_ge] = ACTIONS(2815),
    [anon_sym_gt] = ACTIONS(2815),
    [anon_sym_isa] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PERCENT2] = ACTIONS(2815),
    [anon_sym_EQ_GT] = ACTIONS(2815),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1763] = {
    [sym_heredoc_content] = STATE(1763),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_and] = ACTIONS(3214),
    [anon_sym_or] = ACTIONS(3214),
    [anon_sym_xor] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_RBRACK] = ACTIONS(3214),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1764] = {
    [sym_heredoc_content] = STATE(1764),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_and] = ACTIONS(3246),
    [anon_sym_or] = ACTIONS(3246),
    [anon_sym_xor] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_RBRACK] = ACTIONS(3246),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1765] = {
    [sym_heredoc_content] = STATE(1765),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_RPAREN] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_and] = ACTIONS(3266),
    [anon_sym_or] = ACTIONS(3266),
    [anon_sym_xor] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_RBRACK] = ACTIONS(3266),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1766] = {
    [sym_heredoc_content] = STATE(1766),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_RPAREN] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_and] = ACTIONS(3066),
    [anon_sym_or] = ACTIONS(3066),
    [anon_sym_xor] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_RBRACK] = ACTIONS(3066),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1767] = {
    [sym_heredoc_content] = STATE(1767),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_and] = ACTIONS(2935),
    [anon_sym_or] = ACTIONS(2935),
    [anon_sym_xor] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_RBRACK] = ACTIONS(2935),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2935),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1768] = {
    [sym_heredoc_content] = STATE(1768),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_and] = ACTIONS(2927),
    [anon_sym_or] = ACTIONS(2927),
    [anon_sym_xor] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_RBRACK] = ACTIONS(2927),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1769] = {
    [sym_heredoc_content] = STATE(1769),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_and] = ACTIONS(2984),
    [anon_sym_or] = ACTIONS(2984),
    [anon_sym_xor] = ACTIONS(2984),
    [anon_sym_DASH_GT] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_RBRACK] = ACTIONS(2984),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(2984),
    [anon_sym_DASH_EQ] = ACTIONS(2984),
    [anon_sym_DOT_EQ] = ACTIONS(2984),
    [anon_sym_STAR_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_PERCENT_EQ] = ACTIONS(2984),
    [anon_sym_x_EQ] = ACTIONS(2984),
    [anon_sym_AMP_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_CARET_EQ] = ACTIONS(2984),
    [anon_sym_LT_LT_EQ] = ACTIONS(2984),
    [anon_sym_GT_GT_EQ] = ACTIONS(2984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_STAR_STAR] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2986),
    [anon_sym_SLASH_SLASH] = ACTIONS(2986),
    [anon_sym_CARET_CARET] = ACTIONS(2984),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_CARET] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_GT_GT2] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_x] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_eq] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_equ] = ACTIONS(2984),
    [anon_sym_eqr] = ACTIONS(2984),
    [anon_sym_ne] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_cmp] = ACTIONS(2984),
    [anon_sym_TILDE_TILDE] = ACTIONS(2984),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_lt] = ACTIONS(2984),
    [anon_sym_le] = ACTIONS(2984),
    [anon_sym_ge] = ACTIONS(2984),
    [anon_sym_gt] = ACTIONS(2984),
    [anon_sym_isa] = ACTIONS(2984),
    [anon_sym_PLUS_PLUS] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1770] = {
    [sym_heredoc_content] = STATE(1770),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_and] = ACTIONS(3054),
    [anon_sym_or] = ACTIONS(3054),
    [anon_sym_xor] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_RBRACK] = ACTIONS(3054),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_x] = ACTIONS(3056),
    [anon_sym_EQ_TILDE] = ACTIONS(3054),
    [anon_sym_BANG_TILDE] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1771] = {
    [sym_heredoc_content] = STATE(1771),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_and] = ACTIONS(3150),
    [anon_sym_or] = ACTIONS(3150),
    [anon_sym_xor] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_RBRACK] = ACTIONS(3150),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1772] = {
    [sym_heredoc_content] = STATE(1772),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_RPAREN] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_and] = ACTIONS(3234),
    [anon_sym_or] = ACTIONS(3234),
    [anon_sym_xor] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_RBRACK] = ACTIONS(3234),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1773] = {
    [sym_heredoc_content] = STATE(1773),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_RPAREN] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_and] = ACTIONS(3302),
    [anon_sym_or] = ACTIONS(3302),
    [anon_sym_xor] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_RBRACK] = ACTIONS(3302),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3302),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1774] = {
    [sym_heredoc_content] = STATE(1774),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_RPAREN] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_and] = ACTIONS(3306),
    [anon_sym_or] = ACTIONS(3306),
    [anon_sym_xor] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_RBRACK] = ACTIONS(3306),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3306),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1775] = {
    [sym_heredoc_content] = STATE(1775),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_RPAREN] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_and] = ACTIONS(3310),
    [anon_sym_or] = ACTIONS(3310),
    [anon_sym_xor] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_RBRACK] = ACTIONS(3310),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3310),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1776] = {
    [sym_heredoc_content] = STATE(1776),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_DOLLAR] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(3671),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2650),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_PERCENT2] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1777] = {
    [sym_heredoc_content] = STATE(1777),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_and] = ACTIONS(2845),
    [anon_sym_or] = ACTIONS(2845),
    [anon_sym_xor] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_RBRACK] = ACTIONS(2845),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1778] = {
    [sym_heredoc_content] = STATE(1778),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_RPAREN] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_and] = ACTIONS(3290),
    [anon_sym_or] = ACTIONS(3290),
    [anon_sym_xor] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_RBRACK] = ACTIONS(3290),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3290),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1779] = {
    [sym_heredoc_content] = STATE(1779),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_and] = ACTIONS(2841),
    [anon_sym_or] = ACTIONS(2841),
    [anon_sym_xor] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_RBRACK] = ACTIONS(2841),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1780] = {
    [sym_heredoc_content] = STATE(1780),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_and] = ACTIONS(2951),
    [anon_sym_or] = ACTIONS(2951),
    [anon_sym_xor] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_RBRACK] = ACTIONS(2951),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1781] = {
    [sym_heredoc_content] = STATE(1781),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_COMMA] = ACTIONS(3022),
    [anon_sym_RPAREN] = ACTIONS(3022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3022),
    [anon_sym_and] = ACTIONS(3022),
    [anon_sym_or] = ACTIONS(3022),
    [anon_sym_xor] = ACTIONS(3022),
    [anon_sym_DASH_GT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3024),
    [anon_sym_RBRACK] = ACTIONS(3022),
    [anon_sym_PERCENT] = ACTIONS(3024),
    [anon_sym_GT] = ACTIONS(3024),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3022),
    [anon_sym_DASH_EQ] = ACTIONS(3022),
    [anon_sym_DOT_EQ] = ACTIONS(3022),
    [anon_sym_STAR_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_PERCENT_EQ] = ACTIONS(3022),
    [anon_sym_x_EQ] = ACTIONS(3022),
    [anon_sym_AMP_EQ] = ACTIONS(3022),
    [anon_sym_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_CARET_EQ] = ACTIONS(3022),
    [anon_sym_LT_LT_EQ] = ACTIONS(3022),
    [anon_sym_GT_GT_EQ] = ACTIONS(3022),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3022),
    [anon_sym_DOT_DOT] = ACTIONS(3024),
    [anon_sym_STAR_STAR] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_SLASH_SLASH] = ACTIONS(3024),
    [anon_sym_CARET_CARET] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_GT_GT2] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3024),
    [anon_sym_x] = ACTIONS(3024),
    [anon_sym_EQ_TILDE] = ACTIONS(3022),
    [anon_sym_BANG_TILDE] = ACTIONS(3022),
    [anon_sym_EQ_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_eq] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3022),
    [anon_sym_equ] = ACTIONS(3022),
    [anon_sym_eqr] = ACTIONS(3022),
    [anon_sym_ne] = ACTIONS(3022),
    [anon_sym_LT_EQ_GT] = ACTIONS(3022),
    [anon_sym_cmp] = ACTIONS(3022),
    [anon_sym_TILDE_TILDE] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3022),
    [anon_sym_lt] = ACTIONS(3022),
    [anon_sym_le] = ACTIONS(3022),
    [anon_sym_ge] = ACTIONS(3022),
    [anon_sym_gt] = ACTIONS(3022),
    [anon_sym_isa] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_EQ_GT] = ACTIONS(3022),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1782] = {
    [sym_heredoc_content] = STATE(1782),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_COMMA] = ACTIONS(3034),
    [anon_sym_RPAREN] = ACTIONS(3034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3034),
    [anon_sym_and] = ACTIONS(3034),
    [anon_sym_or] = ACTIONS(3034),
    [anon_sym_xor] = ACTIONS(3034),
    [anon_sym_DASH_GT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_RBRACK] = ACTIONS(3034),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_DOT_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_x_EQ] = ACTIONS(3034),
    [anon_sym_AMP_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_CARET_EQ] = ACTIONS(3034),
    [anon_sym_LT_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_GT_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_STAR_STAR] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH] = ACTIONS(3036),
    [anon_sym_CARET_CARET] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_GT_GT2] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_x] = ACTIONS(3036),
    [anon_sym_EQ_TILDE] = ACTIONS(3034),
    [anon_sym_BANG_TILDE] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ] = ACTIONS(3034),
    [anon_sym_eq] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_equ] = ACTIONS(3034),
    [anon_sym_eqr] = ACTIONS(3034),
    [anon_sym_ne] = ACTIONS(3034),
    [anon_sym_LT_EQ_GT] = ACTIONS(3034),
    [anon_sym_cmp] = ACTIONS(3034),
    [anon_sym_TILDE_TILDE] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_lt] = ACTIONS(3034),
    [anon_sym_le] = ACTIONS(3034),
    [anon_sym_ge] = ACTIONS(3034),
    [anon_sym_gt] = ACTIONS(3034),
    [anon_sym_isa] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_QMARK] = ACTIONS(3034),
    [anon_sym_EQ_GT] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1783] = {
    [sym_heredoc_content] = STATE(1783),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_and] = ACTIONS(2943),
    [anon_sym_or] = ACTIONS(2943),
    [anon_sym_xor] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_RBRACK] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1784] = {
    [sym_heredoc_content] = STATE(1784),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_and] = ACTIONS(2947),
    [anon_sym_or] = ACTIONS(2947),
    [anon_sym_xor] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_RBRACK] = ACTIONS(2947),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_x] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2947),
    [anon_sym_BANG_TILDE] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1785] = {
    [sym_heredoc_content] = STATE(1785),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_and] = ACTIONS(3166),
    [anon_sym_or] = ACTIONS(3166),
    [anon_sym_xor] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_RBRACK] = ACTIONS(3166),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3166),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1786] = {
    [sym_heredoc_content] = STATE(1786),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_and] = ACTIONS(2955),
    [anon_sym_or] = ACTIONS(2955),
    [anon_sym_xor] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_RBRACK] = ACTIONS(2955),
    [anon_sym_PERCENT] = ACTIONS(2958),
    [anon_sym_GT] = ACTIONS(2958),
    [anon_sym_LT_LT] = ACTIONS(2958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2958),
    [anon_sym_STAR_STAR] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2958),
    [anon_sym_SLASH_SLASH] = ACTIONS(2958),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_PIPE] = ACTIONS(2958),
    [anon_sym_CARET] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2958),
    [anon_sym_GT_GT2] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_DOT] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_x] = ACTIONS(2958),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2958),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2958),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_LT_EQ] = ACTIONS(2958),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1787] = {
    [sym_heredoc_content] = STATE(1787),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_and] = ACTIONS(2965),
    [anon_sym_or] = ACTIONS(2965),
    [anon_sym_xor] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_RBRACK] = ACTIONS(2965),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1788] = {
    [sym_heredoc_content] = STATE(1788),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_and] = ACTIONS(2969),
    [anon_sym_or] = ACTIONS(2969),
    [anon_sym_xor] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_RBRACK] = ACTIONS(2969),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2969),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(3675),
    [anon_sym_DASH_DASH] = ACTIONS(3675),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1789] = {
    [sym_heredoc_content] = STATE(1789),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_and] = ACTIONS(2648),
    [anon_sym_or] = ACTIONS(2648),
    [anon_sym_xor] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_RBRACK] = ACTIONS(2648),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1790] = {
    [sym_heredoc_content] = STATE(1790),
    [anon_sym_RBRACE] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(2980),
    [anon_sym_RPAREN] = ACTIONS(2980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2980),
    [anon_sym_and] = ACTIONS(2980),
    [anon_sym_or] = ACTIONS(2980),
    [anon_sym_xor] = ACTIONS(2980),
    [anon_sym_DASH_GT] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_RBRACK] = ACTIONS(2980),
    [anon_sym_PERCENT] = ACTIONS(2982),
    [anon_sym_GT] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2982),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(2980),
    [anon_sym_DASH_EQ] = ACTIONS(2980),
    [anon_sym_DOT_EQ] = ACTIONS(2980),
    [anon_sym_STAR_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_PERCENT_EQ] = ACTIONS(2980),
    [anon_sym_x_EQ] = ACTIONS(2980),
    [anon_sym_AMP_EQ] = ACTIONS(2980),
    [anon_sym_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_CARET_EQ] = ACTIONS(2980),
    [anon_sym_LT_LT_EQ] = ACTIONS(2980),
    [anon_sym_GT_GT_EQ] = ACTIONS(2980),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2980),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_STAR_STAR] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_SLASH_SLASH] = ACTIONS(2982),
    [anon_sym_CARET_CARET] = ACTIONS(2980),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_PIPE] = ACTIONS(2982),
    [anon_sym_CARET] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2982),
    [anon_sym_GT_GT2] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_DOT] = ACTIONS(2982),
    [anon_sym_SLASH] = ACTIONS(2982),
    [anon_sym_x] = ACTIONS(2982),
    [anon_sym_EQ_TILDE] = ACTIONS(2980),
    [anon_sym_BANG_TILDE] = ACTIONS(2980),
    [anon_sym_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2980),
    [anon_sym_eq] = ACTIONS(2982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2980),
    [anon_sym_equ] = ACTIONS(2980),
    [anon_sym_eqr] = ACTIONS(2980),
    [anon_sym_ne] = ACTIONS(2980),
    [anon_sym_LT_EQ_GT] = ACTIONS(2980),
    [anon_sym_cmp] = ACTIONS(2980),
    [anon_sym_TILDE_TILDE] = ACTIONS(2980),
    [anon_sym_LT] = ACTIONS(2982),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2980),
    [anon_sym_lt] = ACTIONS(2980),
    [anon_sym_le] = ACTIONS(2980),
    [anon_sym_ge] = ACTIONS(2980),
    [anon_sym_gt] = ACTIONS(2980),
    [anon_sym_isa] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_QMARK] = ACTIONS(2980),
    [anon_sym_EQ_GT] = ACTIONS(2980),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1791] = {
    [sym_heredoc_content] = STATE(1791),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_EQ] = ACTIONS(3006),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_COMMA] = ACTIONS(3004),
    [anon_sym_RPAREN] = ACTIONS(3004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3004),
    [anon_sym_and] = ACTIONS(3004),
    [anon_sym_or] = ACTIONS(3004),
    [anon_sym_xor] = ACTIONS(3004),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(3004),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_DOT_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_x_EQ] = ACTIONS(3004),
    [anon_sym_AMP_EQ] = ACTIONS(3004),
    [anon_sym_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_CARET_EQ] = ACTIONS(3004),
    [anon_sym_LT_LT_EQ] = ACTIONS(3004),
    [anon_sym_GT_GT_EQ] = ACTIONS(3004),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3006),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3006),
    [anon_sym_SLASH_SLASH] = ACTIONS(3006),
    [anon_sym_CARET_CARET] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ] = ACTIONS(3004),
    [anon_sym_eq] = ACTIONS(3006),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_equ] = ACTIONS(3004),
    [anon_sym_eqr] = ACTIONS(3004),
    [anon_sym_ne] = ACTIONS(3004),
    [anon_sym_LT_EQ_GT] = ACTIONS(3004),
    [anon_sym_cmp] = ACTIONS(3004),
    [anon_sym_TILDE_TILDE] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_LT_EQ] = ACTIONS(3006),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_lt] = ACTIONS(3004),
    [anon_sym_le] = ACTIONS(3004),
    [anon_sym_ge] = ACTIONS(3004),
    [anon_sym_gt] = ACTIONS(3004),
    [anon_sym_isa] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3004),
    [anon_sym_EQ_GT] = ACTIONS(3004),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1792] = {
    [sym_heredoc_content] = STATE(1792),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_RPAREN] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_and] = ACTIONS(3016),
    [anon_sym_or] = ACTIONS(3016),
    [anon_sym_xor] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_RBRACK] = ACTIONS(3016),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3018),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_x] = ACTIONS(3018),
    [anon_sym_EQ_TILDE] = ACTIONS(3016),
    [anon_sym_BANG_TILDE] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1793] = {
    [sym_heredoc_content] = STATE(1793),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_RPAREN] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_and] = ACTIONS(3016),
    [anon_sym_or] = ACTIONS(3016),
    [anon_sym_xor] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(3016),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1794] = {
    [sym_heredoc_content] = STATE(1794),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3506),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3512),
    [anon_sym_and] = ACTIONS(3086),
    [anon_sym_or] = ACTIONS(3086),
    [anon_sym_xor] = ACTIONS(3086),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(3086),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3508),
    [anon_sym_PLUS_EQ] = ACTIONS(3508),
    [anon_sym_DASH_EQ] = ACTIONS(3508),
    [anon_sym_DOT_EQ] = ACTIONS(3508),
    [anon_sym_STAR_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_PERCENT_EQ] = ACTIONS(3508),
    [anon_sym_x_EQ] = ACTIONS(3508),
    [anon_sym_AMP_EQ] = ACTIONS(3508),
    [anon_sym_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_CARET_EQ] = ACTIONS(3508),
    [anon_sym_LT_LT_EQ] = ACTIONS(3508),
    [anon_sym_GT_GT_EQ] = ACTIONS(3508),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3508),
    [anon_sym_DOT_DOT] = ACTIONS(3522),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3526),
    [anon_sym_SLASH_SLASH] = ACTIONS(3526),
    [anon_sym_CARET_CARET] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3530),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1795] = {
    [sym_heredoc_content] = STATE(1795),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_RPAREN] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_and] = ACTIONS(3090),
    [anon_sym_or] = ACTIONS(3090),
    [anon_sym_xor] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(3090),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_DOT_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_x_EQ] = ACTIONS(3090),
    [anon_sym_AMP_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_CARET_EQ] = ACTIONS(3090),
    [anon_sym_LT_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_GT_EQ] = ACTIONS(3090),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT] = ACTIONS(3092),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH] = ACTIONS(3092),
    [anon_sym_CARET_CARET] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_PIPE] = ACTIONS(3092),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_eq] = ACTIONS(3092),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_equ] = ACTIONS(3090),
    [anon_sym_eqr] = ACTIONS(3090),
    [anon_sym_ne] = ACTIONS(3090),
    [anon_sym_LT_EQ_GT] = ACTIONS(3090),
    [anon_sym_cmp] = ACTIONS(3090),
    [anon_sym_TILDE_TILDE] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_lt] = ACTIONS(3090),
    [anon_sym_le] = ACTIONS(3090),
    [anon_sym_ge] = ACTIONS(3090),
    [anon_sym_gt] = ACTIONS(3090),
    [anon_sym_isa] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3090),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1796] = {
    [sym_heredoc_content] = STATE(1796),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_EQ] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_RPAREN] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3318),
    [anon_sym_and] = ACTIONS(3318),
    [anon_sym_or] = ACTIONS(3318),
    [anon_sym_xor] = ACTIONS(3318),
    [anon_sym_DASH_GT] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3320),
    [anon_sym_RBRACK] = ACTIONS(3318),
    [anon_sym_PERCENT] = ACTIONS(3320),
    [anon_sym_GT] = ACTIONS(3320),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3318),
    [anon_sym_PLUS_EQ] = ACTIONS(3318),
    [anon_sym_DASH_EQ] = ACTIONS(3318),
    [anon_sym_DOT_EQ] = ACTIONS(3318),
    [anon_sym_STAR_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_PERCENT_EQ] = ACTIONS(3318),
    [anon_sym_x_EQ] = ACTIONS(3318),
    [anon_sym_AMP_EQ] = ACTIONS(3318),
    [anon_sym_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_CARET_EQ] = ACTIONS(3318),
    [anon_sym_LT_LT_EQ] = ACTIONS(3318),
    [anon_sym_GT_GT_EQ] = ACTIONS(3318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3318),
    [anon_sym_DOT_DOT] = ACTIONS(3320),
    [anon_sym_STAR_STAR] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE] = ACTIONS(3320),
    [anon_sym_SLASH_SLASH] = ACTIONS(3320),
    [anon_sym_CARET_CARET] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3320),
    [anon_sym_PIPE] = ACTIONS(3320),
    [anon_sym_CARET] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym_GT_GT2] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_DOT] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_x] = ACTIONS(3320),
    [anon_sym_EQ_TILDE] = ACTIONS(3318),
    [anon_sym_BANG_TILDE] = ACTIONS(3318),
    [anon_sym_EQ_EQ] = ACTIONS(3320),
    [anon_sym_BANG_EQ] = ACTIONS(3318),
    [anon_sym_eq] = ACTIONS(3320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3318),
    [anon_sym_equ] = ACTIONS(3318),
    [anon_sym_eqr] = ACTIONS(3318),
    [anon_sym_ne] = ACTIONS(3318),
    [anon_sym_LT_EQ_GT] = ACTIONS(3318),
    [anon_sym_cmp] = ACTIONS(3318),
    [anon_sym_TILDE_TILDE] = ACTIONS(3318),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_LT_EQ] = ACTIONS(3320),
    [anon_sym_GT_EQ] = ACTIONS(3318),
    [anon_sym_lt] = ACTIONS(3318),
    [anon_sym_le] = ACTIONS(3318),
    [anon_sym_ge] = ACTIONS(3318),
    [anon_sym_gt] = ACTIONS(3318),
    [anon_sym_isa] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_QMARK] = ACTIONS(3318),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1797] = {
    [sym_heredoc_content] = STATE(1797),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_and] = ACTIONS(3118),
    [anon_sym_or] = ACTIONS(3118),
    [anon_sym_xor] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_RBRACK] = ACTIONS(3118),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1798] = {
    [sym_heredoc_content] = STATE(1798),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_and] = ACTIONS(2849),
    [anon_sym_or] = ACTIONS(2849),
    [anon_sym_xor] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_RBRACK] = ACTIONS(2849),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1799] = {
    [sym_heredoc_content] = STATE(1799),
    [anon_sym_RBRACE] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_and] = ACTIONS(2885),
    [anon_sym_or] = ACTIONS(2885),
    [anon_sym_xor] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_RBRACK] = ACTIONS(2885),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2885),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1800] = {
    [sym_heredoc_content] = STATE(1800),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_and] = ACTIONS(3146),
    [anon_sym_or] = ACTIONS(3146),
    [anon_sym_xor] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_RBRACK] = ACTIONS(3146),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1801] = {
    [sym_heredoc_content] = STATE(1801),
    [anon_sym_RBRACE] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_and] = ACTIONS(1973),
    [anon_sym_or] = ACTIONS(1973),
    [anon_sym_xor] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_RBRACK] = ACTIONS(1973),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1973),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1802] = {
    [sym_heredoc_content] = STATE(1802),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_and] = ACTIONS(3158),
    [anon_sym_or] = ACTIONS(3158),
    [anon_sym_xor] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(3158),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1803] = {
    [sym_heredoc_content] = STATE(1803),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_and] = ACTIONS(3162),
    [anon_sym_or] = ACTIONS(3162),
    [anon_sym_xor] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_RBRACK] = ACTIONS(3162),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1804] = {
    [sym_heredoc_content] = STATE(1804),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_RPAREN] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_and] = ACTIONS(3170),
    [anon_sym_or] = ACTIONS(3170),
    [anon_sym_xor] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_RBRACK] = ACTIONS(3170),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3170),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1805] = {
    [sym_heredoc_content] = STATE(1805),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3506),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RPAREN] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3512),
    [anon_sym_and] = ACTIONS(3174),
    [anon_sym_or] = ACTIONS(3174),
    [anon_sym_xor] = ACTIONS(3174),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(3174),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3518),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3508),
    [anon_sym_PLUS_EQ] = ACTIONS(3508),
    [anon_sym_DASH_EQ] = ACTIONS(3508),
    [anon_sym_DOT_EQ] = ACTIONS(3508),
    [anon_sym_STAR_EQ] = ACTIONS(3508),
    [anon_sym_SLASH_EQ] = ACTIONS(3508),
    [anon_sym_PERCENT_EQ] = ACTIONS(3508),
    [anon_sym_x_EQ] = ACTIONS(3508),
    [anon_sym_AMP_EQ] = ACTIONS(3508),
    [anon_sym_PIPE_EQ] = ACTIONS(3508),
    [anon_sym_CARET_EQ] = ACTIONS(3508),
    [anon_sym_LT_LT_EQ] = ACTIONS(3508),
    [anon_sym_GT_GT_EQ] = ACTIONS(3508),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3508),
    [anon_sym_DOT_DOT] = ACTIONS(3522),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3526),
    [anon_sym_SLASH_SLASH] = ACTIONS(3526),
    [anon_sym_CARET_CARET] = ACTIONS(3528),
    [anon_sym_AMP_AMP] = ACTIONS(3530),
    [anon_sym_PIPE] = ACTIONS(3532),
    [anon_sym_CARET] = ACTIONS(3532),
    [anon_sym_AMP] = ACTIONS(3534),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3540),
    [anon_sym_BANG_EQ] = ACTIONS(3542),
    [anon_sym_eq] = ACTIONS(3540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3542),
    [anon_sym_equ] = ACTIONS(3542),
    [anon_sym_eqr] = ACTIONS(3542),
    [anon_sym_ne] = ACTIONS(3542),
    [anon_sym_LT_EQ_GT] = ACTIONS(3544),
    [anon_sym_cmp] = ACTIONS(3544),
    [anon_sym_TILDE_TILDE] = ACTIONS(3544),
    [anon_sym_LT] = ACTIONS(3518),
    [anon_sym_LT_EQ] = ACTIONS(3518),
    [anon_sym_GT_EQ] = ACTIONS(3546),
    [anon_sym_lt] = ACTIONS(3546),
    [anon_sym_le] = ACTIONS(3546),
    [anon_sym_ge] = ACTIONS(3546),
    [anon_sym_gt] = ACTIONS(3546),
    [anon_sym_isa] = ACTIONS(3548),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3552),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1806] = {
    [sym_heredoc_content] = STATE(1806),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_and] = ACTIONS(3178),
    [anon_sym_or] = ACTIONS(3178),
    [anon_sym_xor] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_RBRACK] = ACTIONS(3178),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3178),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1807] = {
    [sym_heredoc_content] = STATE(1807),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_and] = ACTIONS(3186),
    [anon_sym_or] = ACTIONS(3186),
    [anon_sym_xor] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_RBRACK] = ACTIONS(3186),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1808] = {
    [sym_heredoc_content] = STATE(1808),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_and] = ACTIONS(3190),
    [anon_sym_or] = ACTIONS(3190),
    [anon_sym_xor] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_RBRACK] = ACTIONS(3190),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3190),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1809] = {
    [sym_heredoc_content] = STATE(1809),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_and] = ACTIONS(3210),
    [anon_sym_or] = ACTIONS(3210),
    [anon_sym_xor] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3514),
    [anon_sym_STAR] = ACTIONS(3516),
    [anon_sym_RBRACK] = ACTIONS(3210),
    [anon_sym_PERCENT] = ACTIONS(3516),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3524),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3520),
    [anon_sym_PLUS] = ACTIONS(3536),
    [anon_sym_DASH] = ACTIONS(3536),
    [anon_sym_DOT] = ACTIONS(3536),
    [anon_sym_SLASH] = ACTIONS(3516),
    [anon_sym_x] = ACTIONS(3516),
    [anon_sym_EQ_TILDE] = ACTIONS(3538),
    [anon_sym_BANG_TILDE] = ACTIONS(3538),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3550),
    [anon_sym_DASH_DASH] = ACTIONS(3550),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1810] = {
    [sym_heredoc_content] = STATE(1810),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_RPAREN] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_and] = ACTIONS(3198),
    [anon_sym_or] = ACTIONS(3198),
    [anon_sym_xor] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_RBRACK] = ACTIONS(3198),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3198),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1811] = {
    [sym_heredoc_content] = STATE(1811),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_and] = ACTIONS(2889),
    [anon_sym_or] = ACTIONS(2889),
    [anon_sym_xor] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_RBRACK] = ACTIONS(2889),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1812] = {
    [sym_heredoc_content] = STATE(1812),
    [anon_sym_LBRACE] = ACTIONS(3678),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(3680),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(3682),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1813] = {
    [sym_heredoc_content] = STATE(1813),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_COLON] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_RPAREN] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2482),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1814] = {
    [sym_heredoc_content] = STATE(1814),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_and] = ACTIONS(3122),
    [anon_sym_or] = ACTIONS(3122),
    [anon_sym_xor] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_RBRACK] = ACTIONS(3122),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1815] = {
    [sym_heredoc_content] = STATE(1815),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym_EQ] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_COMMA] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2482),
    [anon_sym_DASH_GT] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2484),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_PERCENT] = ACTIONS(2484),
    [anon_sym_GT] = ACTIONS(2484),
    [anon_sym_LT_LT] = ACTIONS(2484),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2482),
    [anon_sym_PLUS_EQ] = ACTIONS(2482),
    [anon_sym_DASH_EQ] = ACTIONS(2482),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_STAR_EQ] = ACTIONS(2482),
    [anon_sym_SLASH_EQ] = ACTIONS(2482),
    [anon_sym_PERCENT_EQ] = ACTIONS(2482),
    [anon_sym_x_EQ] = ACTIONS(2482),
    [anon_sym_AMP_EQ] = ACTIONS(2482),
    [anon_sym_PIPE_EQ] = ACTIONS(2482),
    [anon_sym_CARET_EQ] = ACTIONS(2482),
    [anon_sym_LT_LT_EQ] = ACTIONS(2482),
    [anon_sym_GT_GT_EQ] = ACTIONS(2482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2484),
    [anon_sym_STAR_STAR] = ACTIONS(2484),
    [anon_sym_PIPE_PIPE] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(2484),
    [anon_sym_CARET_CARET] = ACTIONS(2482),
    [anon_sym_AMP_AMP] = ACTIONS(2484),
    [anon_sym_PIPE] = ACTIONS(2484),
    [anon_sym_CARET] = ACTIONS(2484),
    [anon_sym_AMP] = ACTIONS(2484),
    [anon_sym_GT_GT2] = ACTIONS(2484),
    [anon_sym_PLUS] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2484),
    [anon_sym_DOT] = ACTIONS(2484),
    [anon_sym_SLASH] = ACTIONS(2484),
    [anon_sym_x] = ACTIONS(2484),
    [anon_sym_EQ_TILDE] = ACTIONS(2482),
    [anon_sym_BANG_TILDE] = ACTIONS(2482),
    [anon_sym_EQ_EQ] = ACTIONS(2484),
    [anon_sym_BANG_EQ] = ACTIONS(2482),
    [anon_sym_eq] = ACTIONS(2484),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2482),
    [anon_sym_equ] = ACTIONS(2482),
    [anon_sym_eqr] = ACTIONS(2482),
    [anon_sym_ne] = ACTIONS(2482),
    [anon_sym_LT_EQ_GT] = ACTIONS(2482),
    [anon_sym_cmp] = ACTIONS(2482),
    [anon_sym_TILDE_TILDE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2484),
    [anon_sym_LT_EQ] = ACTIONS(2484),
    [anon_sym_GT_EQ] = ACTIONS(2482),
    [anon_sym_lt] = ACTIONS(2482),
    [anon_sym_le] = ACTIONS(2482),
    [anon_sym_ge] = ACTIONS(2482),
    [anon_sym_gt] = ACTIONS(2482),
    [anon_sym_isa] = ACTIONS(2482),
    [anon_sym_PLUS_PLUS] = ACTIONS(2482),
    [anon_sym_DASH_DASH] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2482),
    [anon_sym_EQ_GT] = ACTIONS(2482),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2482),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1816] = {
    [sym_heredoc_content] = STATE(1816),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1817] = {
    [sym_heredoc_content] = STATE(1817),
    [anon_sym_COLON] = ACTIONS(2893),
    [anon_sym_DOLLAR] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_AT] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2895),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_PERCENT2] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1818] = {
    [sym_heredoc_content] = STATE(1818),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1819] = {
    [sym_heredoc_content] = STATE(1819),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1820] = {
    [sym_heredoc_content] = STATE(1820),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1821] = {
    [sym_heredoc_content] = STATE(1821),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1822] = {
    [sym_heredoc_content] = STATE(1822),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1823] = {
    [sym_heredoc_content] = STATE(1823),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1824] = {
    [sym_heredoc_content] = STATE(1824),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1825] = {
    [sym_heredoc_content] = STATE(1825),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1826] = {
    [sym_heredoc_content] = STATE(1826),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_DOLLAR] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_AT] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2899),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_PERCENT2] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1827] = {
    [sym_heredoc_content] = STATE(1827),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_DOLLAR] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_AT] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2899),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3684),
    [anon_sym_cmp] = ACTIONS(3684),
    [anon_sym_TILDE_TILDE] = ACTIONS(3684),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_PERCENT2] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1828] = {
    [sym_heredoc_content] = STATE(1828),
    [anon_sym_COLON] = ACTIONS(2893),
    [anon_sym_DOLLAR] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_AT] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2895),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3686),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_PERCENT2] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1829] = {
    [sym_heredoc_content] = STATE(1829),
    [sym__identifier] = ACTIONS(2530),
    [anon_sym_RBRACE] = ACTIONS(2532),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_RPAREN] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2530),
    [anon_sym_eqr] = ACTIONS(2530),
    [anon_sym_ne] = ACTIONS(2530),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2530),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2530),
    [anon_sym_le] = ACTIONS(2530),
    [anon_sym_ge] = ACTIONS(2530),
    [anon_sym_gt] = ACTIONS(2530),
    [anon_sym_isa] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2530),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1830] = {
    [sym_heredoc_content] = STATE(1830),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_DOLLAR] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_AT] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2925),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_PERCENT2] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1831] = {
    [sym_heredoc_content] = STATE(1831),
    [sym__identifier] = ACTIONS(2432),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [anon_sym_COLON] = ACTIONS(2432),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2432),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1832] = {
    [sym_heredoc_content] = STATE(1832),
    [anon_sym_COLON] = ACTIONS(3186),
    [anon_sym_DOLLAR] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_AT] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3188),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_PERCENT2] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1833] = {
    [sym_heredoc_content] = STATE(1833),
    [anon_sym_COLON] = ACTIONS(1711),
    [anon_sym_DOLLAR] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_AT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_PERCENT2] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1834] = {
    [sym_heredoc_content] = STATE(1834),
    [anon_sym_COLON] = ACTIONS(3274),
    [anon_sym_DOLLAR] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_AT] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3276),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3582),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3586),
    [anon_sym_SLASH_SLASH] = ACTIONS(3586),
    [anon_sym_CARET_CARET] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3612),
    [anon_sym_PERCENT2] = ACTIONS(3274),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1835] = {
    [sym_heredoc_content] = STATE(1835),
    [sym__identifier] = ACTIONS(2534),
    [anon_sym_RBRACE] = ACTIONS(2536),
    [anon_sym_COLON] = ACTIONS(2534),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_COMMA] = ACTIONS(2536),
    [anon_sym_RPAREN] = ACTIONS(2536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2536),
    [anon_sym_DASH_GT] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2536),
    [anon_sym_PLUS_EQ] = ACTIONS(2536),
    [anon_sym_DASH_EQ] = ACTIONS(2536),
    [anon_sym_DOT_EQ] = ACTIONS(2536),
    [anon_sym_STAR_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_PERCENT_EQ] = ACTIONS(2536),
    [anon_sym_x_EQ] = ACTIONS(2536),
    [anon_sym_AMP_EQ] = ACTIONS(2536),
    [anon_sym_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_CARET_EQ] = ACTIONS(2536),
    [anon_sym_LT_LT_EQ] = ACTIONS(2536),
    [anon_sym_GT_GT_EQ] = ACTIONS(2536),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2536),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2536),
    [anon_sym_BANG_TILDE] = ACTIONS(2536),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2536),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2536),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2536),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2536),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2536),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_QMARK] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(2536),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2534),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1836] = {
    [sym_heredoc_content] = STATE(1836),
    [anon_sym_COLON] = ACTIONS(3190),
    [anon_sym_DOLLAR] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_AT] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3192),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_PERCENT2] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1837] = {
    [sym_heredoc_content] = STATE(1837),
    [anon_sym_COLON] = ACTIONS(2614),
    [anon_sym_DOLLAR] = ACTIONS(2614),
    [anon_sym_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_AT] = ACTIONS(2614),
    [anon_sym_COMMA] = ACTIONS(2614),
    [anon_sym_RPAREN] = ACTIONS(2614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2614),
    [anon_sym_DASH_GT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2616),
    [anon_sym_GT] = ACTIONS(2616),
    [anon_sym_LT_LT] = ACTIONS(2616),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2614),
    [anon_sym_PLUS_EQ] = ACTIONS(2614),
    [anon_sym_DASH_EQ] = ACTIONS(2614),
    [anon_sym_DOT_EQ] = ACTIONS(2614),
    [anon_sym_STAR_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_PERCENT_EQ] = ACTIONS(2616),
    [anon_sym_x_EQ] = ACTIONS(2614),
    [anon_sym_AMP_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_CARET_EQ] = ACTIONS(2614),
    [anon_sym_LT_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_GT_EQ] = ACTIONS(2614),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2614),
    [anon_sym_DOT_DOT] = ACTIONS(2616),
    [anon_sym_STAR_STAR] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH] = ACTIONS(2616),
    [anon_sym_CARET_CARET] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_PIPE] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_GT_GT2] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_DOT] = ACTIONS(2616),
    [anon_sym_SLASH] = ACTIONS(2616),
    [anon_sym_x] = ACTIONS(2616),
    [anon_sym_EQ_TILDE] = ACTIONS(2614),
    [anon_sym_BANG_TILDE] = ACTIONS(2614),
    [anon_sym_EQ_EQ] = ACTIONS(2616),
    [anon_sym_BANG_EQ] = ACTIONS(2614),
    [anon_sym_eq] = ACTIONS(2616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2614),
    [anon_sym_equ] = ACTIONS(2614),
    [anon_sym_eqr] = ACTIONS(2614),
    [anon_sym_ne] = ACTIONS(2614),
    [anon_sym_LT_EQ_GT] = ACTIONS(2614),
    [anon_sym_cmp] = ACTIONS(2614),
    [anon_sym_TILDE_TILDE] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_lt] = ACTIONS(2614),
    [anon_sym_le] = ACTIONS(2614),
    [anon_sym_ge] = ACTIONS(2614),
    [anon_sym_gt] = ACTIONS(2614),
    [anon_sym_isa] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2614),
    [anon_sym_PERCENT2] = ACTIONS(2614),
    [anon_sym_EQ_GT] = ACTIONS(2614),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1838] = {
    [sym_heredoc_content] = STATE(1838),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1839] = {
    [sym_heredoc_content] = STATE(1839),
    [anon_sym_COLON] = ACTIONS(2988),
    [anon_sym_DOLLAR] = ACTIONS(2988),
    [anon_sym_EQ] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_AT] = ACTIONS(2988),
    [anon_sym_COMMA] = ACTIONS(2988),
    [anon_sym_RPAREN] = ACTIONS(2988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2988),
    [anon_sym_DASH_GT] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_PERCENT] = ACTIONS(2990),
    [anon_sym_GT] = ACTIONS(2990),
    [anon_sym_LT_LT] = ACTIONS(2990),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2988),
    [anon_sym_PLUS_EQ] = ACTIONS(2988),
    [anon_sym_DASH_EQ] = ACTIONS(2988),
    [anon_sym_DOT_EQ] = ACTIONS(2988),
    [anon_sym_STAR_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_PERCENT_EQ] = ACTIONS(2990),
    [anon_sym_x_EQ] = ACTIONS(2988),
    [anon_sym_AMP_EQ] = ACTIONS(2988),
    [anon_sym_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_CARET_EQ] = ACTIONS(2988),
    [anon_sym_LT_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT_GT_EQ] = ACTIONS(2988),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2988),
    [anon_sym_DOT_DOT] = ACTIONS(2990),
    [anon_sym_STAR_STAR] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2990),
    [anon_sym_SLASH_SLASH] = ACTIONS(2990),
    [anon_sym_CARET_CARET] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_CARET] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_GT_GT2] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_DOT] = ACTIONS(2990),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_x] = ACTIONS(2990),
    [anon_sym_EQ_TILDE] = ACTIONS(2988),
    [anon_sym_BANG_TILDE] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2990),
    [anon_sym_BANG_EQ] = ACTIONS(2988),
    [anon_sym_eq] = ACTIONS(2990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2988),
    [anon_sym_equ] = ACTIONS(2988),
    [anon_sym_eqr] = ACTIONS(2988),
    [anon_sym_ne] = ACTIONS(2988),
    [anon_sym_LT_EQ_GT] = ACTIONS(2988),
    [anon_sym_cmp] = ACTIONS(2988),
    [anon_sym_TILDE_TILDE] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2990),
    [anon_sym_LT_EQ] = ACTIONS(2990),
    [anon_sym_GT_EQ] = ACTIONS(2988),
    [anon_sym_lt] = ACTIONS(2988),
    [anon_sym_le] = ACTIONS(2988),
    [anon_sym_ge] = ACTIONS(2988),
    [anon_sym_gt] = ACTIONS(2988),
    [anon_sym_isa] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2988),
    [anon_sym_QMARK] = ACTIONS(2988),
    [anon_sym_PERCENT2] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(2988),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1840] = {
    [sym_heredoc_content] = STATE(1840),
    [anon_sym_COLON] = ACTIONS(2992),
    [anon_sym_DOLLAR] = ACTIONS(2992),
    [anon_sym_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_AT] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(2992),
    [anon_sym_RPAREN] = ACTIONS(2992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2992),
    [anon_sym_DASH_GT] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_PERCENT] = ACTIONS(2994),
    [anon_sym_GT] = ACTIONS(2994),
    [anon_sym_LT_LT] = ACTIONS(2994),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2992),
    [anon_sym_PLUS_EQ] = ACTIONS(2992),
    [anon_sym_DASH_EQ] = ACTIONS(2992),
    [anon_sym_DOT_EQ] = ACTIONS(2992),
    [anon_sym_STAR_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_PERCENT_EQ] = ACTIONS(2994),
    [anon_sym_x_EQ] = ACTIONS(2992),
    [anon_sym_AMP_EQ] = ACTIONS(2992),
    [anon_sym_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_CARET_EQ] = ACTIONS(2992),
    [anon_sym_LT_LT_EQ] = ACTIONS(2992),
    [anon_sym_GT_GT_EQ] = ACTIONS(2992),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2992),
    [anon_sym_DOT_DOT] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2994),
    [anon_sym_SLASH_SLASH] = ACTIONS(2994),
    [anon_sym_CARET_CARET] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_GT_GT2] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2994),
    [anon_sym_SLASH] = ACTIONS(2994),
    [anon_sym_x] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2992),
    [anon_sym_BANG_TILDE] = ACTIONS(2992),
    [anon_sym_EQ_EQ] = ACTIONS(2994),
    [anon_sym_BANG_EQ] = ACTIONS(2992),
    [anon_sym_eq] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2992),
    [anon_sym_equ] = ACTIONS(2992),
    [anon_sym_eqr] = ACTIONS(2992),
    [anon_sym_ne] = ACTIONS(2992),
    [anon_sym_LT_EQ_GT] = ACTIONS(2992),
    [anon_sym_cmp] = ACTIONS(2992),
    [anon_sym_TILDE_TILDE] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2994),
    [anon_sym_GT_EQ] = ACTIONS(2992),
    [anon_sym_lt] = ACTIONS(2992),
    [anon_sym_le] = ACTIONS(2992),
    [anon_sym_ge] = ACTIONS(2992),
    [anon_sym_gt] = ACTIONS(2992),
    [anon_sym_isa] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2992),
    [anon_sym_QMARK] = ACTIONS(2992),
    [anon_sym_PERCENT2] = ACTIONS(2992),
    [anon_sym_EQ_GT] = ACTIONS(2992),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1841] = {
    [sym_heredoc_content] = STATE(1841),
    [anon_sym_COLON] = ACTIONS(2996),
    [anon_sym_DOLLAR] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_AT] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2996),
    [anon_sym_RPAREN] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DASH_GT] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_PERCENT] = ACTIONS(2998),
    [anon_sym_GT] = ACTIONS(2998),
    [anon_sym_LT_LT] = ACTIONS(2998),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2996),
    [anon_sym_PLUS_EQ] = ACTIONS(2996),
    [anon_sym_DASH_EQ] = ACTIONS(2996),
    [anon_sym_DOT_EQ] = ACTIONS(2996),
    [anon_sym_STAR_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_PERCENT_EQ] = ACTIONS(2998),
    [anon_sym_x_EQ] = ACTIONS(2996),
    [anon_sym_AMP_EQ] = ACTIONS(2996),
    [anon_sym_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_CARET_EQ] = ACTIONS(2996),
    [anon_sym_LT_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT_GT_EQ] = ACTIONS(2996),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2996),
    [anon_sym_DOT_DOT] = ACTIONS(2998),
    [anon_sym_STAR_STAR] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2998),
    [anon_sym_SLASH_SLASH] = ACTIONS(2998),
    [anon_sym_CARET_CARET] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_PIPE] = ACTIONS(2998),
    [anon_sym_CARET] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_GT_GT2] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_DOT] = ACTIONS(2998),
    [anon_sym_SLASH] = ACTIONS(2998),
    [anon_sym_x] = ACTIONS(2998),
    [anon_sym_EQ_TILDE] = ACTIONS(2996),
    [anon_sym_BANG_TILDE] = ACTIONS(2996),
    [anon_sym_EQ_EQ] = ACTIONS(2998),
    [anon_sym_BANG_EQ] = ACTIONS(2996),
    [anon_sym_eq] = ACTIONS(2998),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2996),
    [anon_sym_equ] = ACTIONS(2996),
    [anon_sym_eqr] = ACTIONS(2996),
    [anon_sym_ne] = ACTIONS(2996),
    [anon_sym_LT_EQ_GT] = ACTIONS(2996),
    [anon_sym_cmp] = ACTIONS(2996),
    [anon_sym_TILDE_TILDE] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2998),
    [anon_sym_LT_EQ] = ACTIONS(2998),
    [anon_sym_GT_EQ] = ACTIONS(2996),
    [anon_sym_lt] = ACTIONS(2996),
    [anon_sym_le] = ACTIONS(2996),
    [anon_sym_ge] = ACTIONS(2996),
    [anon_sym_gt] = ACTIONS(2996),
    [anon_sym_isa] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2996),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_PERCENT2] = ACTIONS(2996),
    [anon_sym_EQ_GT] = ACTIONS(2996),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1842] = {
    [sym_heredoc_content] = STATE(1842),
    [anon_sym_COLON] = ACTIONS(3000),
    [anon_sym_DOLLAR] = ACTIONS(3000),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_AT] = ACTIONS(3000),
    [anon_sym_COMMA] = ACTIONS(3000),
    [anon_sym_RPAREN] = ACTIONS(3000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3000),
    [anon_sym_DASH_GT] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LT_LT] = ACTIONS(3002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3000),
    [anon_sym_PLUS_EQ] = ACTIONS(3000),
    [anon_sym_DASH_EQ] = ACTIONS(3000),
    [anon_sym_DOT_EQ] = ACTIONS(3000),
    [anon_sym_STAR_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_PERCENT_EQ] = ACTIONS(3002),
    [anon_sym_x_EQ] = ACTIONS(3000),
    [anon_sym_AMP_EQ] = ACTIONS(3000),
    [anon_sym_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_CARET_EQ] = ACTIONS(3000),
    [anon_sym_LT_LT_EQ] = ACTIONS(3000),
    [anon_sym_GT_GT_EQ] = ACTIONS(3000),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3000),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_STAR_STAR] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3002),
    [anon_sym_SLASH_SLASH] = ACTIONS(3002),
    [anon_sym_CARET_CARET] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_PIPE] = ACTIONS(3002),
    [anon_sym_CARET] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_GT_GT2] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_x] = ACTIONS(3002),
    [anon_sym_EQ_TILDE] = ACTIONS(3000),
    [anon_sym_BANG_TILDE] = ACTIONS(3000),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ] = ACTIONS(3000),
    [anon_sym_eq] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3000),
    [anon_sym_equ] = ACTIONS(3000),
    [anon_sym_eqr] = ACTIONS(3000),
    [anon_sym_ne] = ACTIONS(3000),
    [anon_sym_LT_EQ_GT] = ACTIONS(3000),
    [anon_sym_cmp] = ACTIONS(3000),
    [anon_sym_TILDE_TILDE] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_LT_EQ] = ACTIONS(3002),
    [anon_sym_GT_EQ] = ACTIONS(3000),
    [anon_sym_lt] = ACTIONS(3000),
    [anon_sym_le] = ACTIONS(3000),
    [anon_sym_ge] = ACTIONS(3000),
    [anon_sym_gt] = ACTIONS(3000),
    [anon_sym_isa] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_QMARK] = ACTIONS(3000),
    [anon_sym_PERCENT2] = ACTIONS(3000),
    [anon_sym_EQ_GT] = ACTIONS(3000),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1843] = {
    [sym_heredoc_content] = STATE(1843),
    [anon_sym_LBRACE] = ACTIONS(3688),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(3690),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(3692),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2474),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1844] = {
    [sym_heredoc_content] = STATE(1844),
    [anon_sym_COLON] = ACTIONS(3008),
    [anon_sym_DOLLAR] = ACTIONS(3008),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_AT] = ACTIONS(3008),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_RPAREN] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DASH_GT] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3010),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_DOT_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3010),
    [anon_sym_x_EQ] = ACTIONS(3008),
    [anon_sym_AMP_EQ] = ACTIONS(3008),
    [anon_sym_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_CARET_EQ] = ACTIONS(3008),
    [anon_sym_LT_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_GT_EQ] = ACTIONS(3008),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_STAR_STAR] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3010),
    [anon_sym_SLASH_SLASH] = ACTIONS(3010),
    [anon_sym_CARET_CARET] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_PIPE] = ACTIONS(3010),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_GT_GT2] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_x] = ACTIONS(3010),
    [anon_sym_EQ_TILDE] = ACTIONS(3008),
    [anon_sym_BANG_TILDE] = ACTIONS(3008),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ] = ACTIONS(3008),
    [anon_sym_eq] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_equ] = ACTIONS(3008),
    [anon_sym_eqr] = ACTIONS(3008),
    [anon_sym_ne] = ACTIONS(3008),
    [anon_sym_LT_EQ_GT] = ACTIONS(3008),
    [anon_sym_cmp] = ACTIONS(3008),
    [anon_sym_TILDE_TILDE] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_LT_EQ] = ACTIONS(3010),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_lt] = ACTIONS(3008),
    [anon_sym_le] = ACTIONS(3008),
    [anon_sym_ge] = ACTIONS(3008),
    [anon_sym_gt] = ACTIONS(3008),
    [anon_sym_isa] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3008),
    [anon_sym_PERCENT2] = ACTIONS(3008),
    [anon_sym_EQ_GT] = ACTIONS(3008),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1845] = {
    [sym_heredoc_content] = STATE(1845),
    [sym__identifier] = ACTIONS(2530),
    [anon_sym_COLON] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2532),
    [anon_sym_EQ] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_COMMA] = ACTIONS(2532),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2532),
    [anon_sym_DASH_GT] = ACTIONS(2532),
    [anon_sym_STAR] = ACTIONS(2530),
    [anon_sym_PERCENT] = ACTIONS(2530),
    [anon_sym_GT] = ACTIONS(2530),
    [anon_sym_LT_LT] = ACTIONS(2530),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2532),
    [anon_sym_PLUS_EQ] = ACTIONS(2532),
    [anon_sym_DASH_EQ] = ACTIONS(2532),
    [anon_sym_DOT_EQ] = ACTIONS(2532),
    [anon_sym_STAR_EQ] = ACTIONS(2532),
    [anon_sym_SLASH_EQ] = ACTIONS(2532),
    [anon_sym_PERCENT_EQ] = ACTIONS(2532),
    [anon_sym_x_EQ] = ACTIONS(2532),
    [anon_sym_AMP_EQ] = ACTIONS(2532),
    [anon_sym_PIPE_EQ] = ACTIONS(2532),
    [anon_sym_CARET_EQ] = ACTIONS(2532),
    [anon_sym_LT_LT_EQ] = ACTIONS(2532),
    [anon_sym_GT_GT_EQ] = ACTIONS(2532),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2532),
    [anon_sym_DOT_DOT] = ACTIONS(2530),
    [anon_sym_STAR_STAR] = ACTIONS(2530),
    [anon_sym_PIPE_PIPE] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(2530),
    [anon_sym_CARET_CARET] = ACTIONS(2532),
    [anon_sym_AMP_AMP] = ACTIONS(2530),
    [anon_sym_PIPE] = ACTIONS(2530),
    [anon_sym_CARET] = ACTIONS(2530),
    [anon_sym_AMP] = ACTIONS(2530),
    [anon_sym_GT_GT2] = ACTIONS(2530),
    [anon_sym_PLUS] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2530),
    [anon_sym_DOT] = ACTIONS(2530),
    [anon_sym_SLASH] = ACTIONS(2530),
    [anon_sym_x] = ACTIONS(2530),
    [anon_sym_EQ_TILDE] = ACTIONS(2532),
    [anon_sym_BANG_TILDE] = ACTIONS(2532),
    [anon_sym_EQ_EQ] = ACTIONS(2530),
    [anon_sym_BANG_EQ] = ACTIONS(2532),
    [anon_sym_eq] = ACTIONS(2530),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2532),
    [anon_sym_equ] = ACTIONS(2530),
    [anon_sym_eqr] = ACTIONS(2530),
    [anon_sym_ne] = ACTIONS(2530),
    [anon_sym_LT_EQ_GT] = ACTIONS(2532),
    [anon_sym_cmp] = ACTIONS(2530),
    [anon_sym_TILDE_TILDE] = ACTIONS(2532),
    [anon_sym_LT] = ACTIONS(2530),
    [anon_sym_LT_EQ] = ACTIONS(2530),
    [anon_sym_GT_EQ] = ACTIONS(2532),
    [anon_sym_lt] = ACTIONS(2530),
    [anon_sym_le] = ACTIONS(2530),
    [anon_sym_ge] = ACTIONS(2530),
    [anon_sym_gt] = ACTIONS(2530),
    [anon_sym_isa] = ACTIONS(2530),
    [anon_sym_PLUS_PLUS] = ACTIONS(2532),
    [anon_sym_DASH_DASH] = ACTIONS(2532),
    [anon_sym_QMARK] = ACTIONS(2532),
    [anon_sym_EQ_GT] = ACTIONS(2532),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2530),
    [sym__PERLY_SEMICOLON] = ACTIONS(2532),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1846] = {
    [sym_heredoc_content] = STATE(1846),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_RBRACE] = ACTIONS(2544),
    [anon_sym_COLON] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_RPAREN] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1847] = {
    [sym_heredoc_content] = STATE(1847),
    [sym__identifier] = ACTIONS(2432),
    [anon_sym_COLON] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_COMMA] = ACTIONS(2427),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2427),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(2432),
    [anon_sym_PERCENT] = ACTIONS(2432),
    [anon_sym_GT] = ACTIONS(2432),
    [anon_sym_LT_LT] = ACTIONS(2432),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(2427),
    [anon_sym_DASH_EQ] = ACTIONS(2427),
    [anon_sym_DOT_EQ] = ACTIONS(2427),
    [anon_sym_STAR_EQ] = ACTIONS(2427),
    [anon_sym_SLASH_EQ] = ACTIONS(2427),
    [anon_sym_PERCENT_EQ] = ACTIONS(2427),
    [anon_sym_x_EQ] = ACTIONS(2427),
    [anon_sym_AMP_EQ] = ACTIONS(2427),
    [anon_sym_PIPE_EQ] = ACTIONS(2427),
    [anon_sym_CARET_EQ] = ACTIONS(2427),
    [anon_sym_LT_LT_EQ] = ACTIONS(2427),
    [anon_sym_GT_GT_EQ] = ACTIONS(2427),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2427),
    [anon_sym_DOT_DOT] = ACTIONS(2432),
    [anon_sym_STAR_STAR] = ACTIONS(2432),
    [anon_sym_PIPE_PIPE] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(2432),
    [anon_sym_CARET_CARET] = ACTIONS(2427),
    [anon_sym_AMP_AMP] = ACTIONS(2432),
    [anon_sym_PIPE] = ACTIONS(2432),
    [anon_sym_CARET] = ACTIONS(2432),
    [anon_sym_AMP] = ACTIONS(2432),
    [anon_sym_GT_GT2] = ACTIONS(2432),
    [anon_sym_PLUS] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2432),
    [anon_sym_DOT] = ACTIONS(2432),
    [anon_sym_SLASH] = ACTIONS(2432),
    [anon_sym_x] = ACTIONS(2432),
    [anon_sym_EQ_TILDE] = ACTIONS(2427),
    [anon_sym_BANG_TILDE] = ACTIONS(2427),
    [anon_sym_EQ_EQ] = ACTIONS(2432),
    [anon_sym_BANG_EQ] = ACTIONS(2427),
    [anon_sym_eq] = ACTIONS(2432),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2427),
    [anon_sym_equ] = ACTIONS(2432),
    [anon_sym_eqr] = ACTIONS(2432),
    [anon_sym_ne] = ACTIONS(2432),
    [anon_sym_LT_EQ_GT] = ACTIONS(2427),
    [anon_sym_cmp] = ACTIONS(2432),
    [anon_sym_TILDE_TILDE] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2432),
    [anon_sym_LT_EQ] = ACTIONS(2432),
    [anon_sym_GT_EQ] = ACTIONS(2427),
    [anon_sym_lt] = ACTIONS(2432),
    [anon_sym_le] = ACTIONS(2432),
    [anon_sym_ge] = ACTIONS(2432),
    [anon_sym_gt] = ACTIONS(2432),
    [anon_sym_isa] = ACTIONS(2432),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_QMARK] = ACTIONS(2427),
    [anon_sym_EQ_GT] = ACTIONS(2427),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2432),
    [sym__PERLY_SEMICOLON] = ACTIONS(2427),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1848] = {
    [sym_heredoc_content] = STATE(1848),
    [anon_sym_COLON] = ACTIONS(3012),
    [anon_sym_DOLLAR] = ACTIONS(3012),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_AT] = ACTIONS(3012),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_RPAREN] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DASH_GT] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LT_LT] = ACTIONS(3014),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_DOT_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3014),
    [anon_sym_x_EQ] = ACTIONS(3012),
    [anon_sym_AMP_EQ] = ACTIONS(3012),
    [anon_sym_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_CARET_EQ] = ACTIONS(3012),
    [anon_sym_LT_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_GT_EQ] = ACTIONS(3012),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_STAR_STAR] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3014),
    [anon_sym_SLASH_SLASH] = ACTIONS(3014),
    [anon_sym_CARET_CARET] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_PIPE] = ACTIONS(3014),
    [anon_sym_CARET] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_GT_GT2] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_x] = ACTIONS(3014),
    [anon_sym_EQ_TILDE] = ACTIONS(3012),
    [anon_sym_BANG_TILDE] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ] = ACTIONS(3012),
    [anon_sym_eq] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_equ] = ACTIONS(3012),
    [anon_sym_eqr] = ACTIONS(3012),
    [anon_sym_ne] = ACTIONS(3012),
    [anon_sym_LT_EQ_GT] = ACTIONS(3012),
    [anon_sym_cmp] = ACTIONS(3012),
    [anon_sym_TILDE_TILDE] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_LT_EQ] = ACTIONS(3014),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_lt] = ACTIONS(3012),
    [anon_sym_le] = ACTIONS(3012),
    [anon_sym_ge] = ACTIONS(3012),
    [anon_sym_gt] = ACTIONS(3012),
    [anon_sym_isa] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3012),
    [anon_sym_PERCENT2] = ACTIONS(3012),
    [anon_sym_EQ_GT] = ACTIONS(3012),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1849] = {
    [sym_heredoc_content] = STATE(1849),
    [sym__identifier] = ACTIONS(2534),
    [anon_sym_COLON] = ACTIONS(2534),
    [anon_sym_SEMI] = ACTIONS(2536),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_COMMA] = ACTIONS(2536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2536),
    [anon_sym_DASH_GT] = ACTIONS(2536),
    [anon_sym_STAR] = ACTIONS(2534),
    [anon_sym_PERCENT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2534),
    [anon_sym_LT_LT] = ACTIONS(2534),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2536),
    [anon_sym_PLUS_EQ] = ACTIONS(2536),
    [anon_sym_DASH_EQ] = ACTIONS(2536),
    [anon_sym_DOT_EQ] = ACTIONS(2536),
    [anon_sym_STAR_EQ] = ACTIONS(2536),
    [anon_sym_SLASH_EQ] = ACTIONS(2536),
    [anon_sym_PERCENT_EQ] = ACTIONS(2536),
    [anon_sym_x_EQ] = ACTIONS(2536),
    [anon_sym_AMP_EQ] = ACTIONS(2536),
    [anon_sym_PIPE_EQ] = ACTIONS(2536),
    [anon_sym_CARET_EQ] = ACTIONS(2536),
    [anon_sym_LT_LT_EQ] = ACTIONS(2536),
    [anon_sym_GT_GT_EQ] = ACTIONS(2536),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2536),
    [anon_sym_DOT_DOT] = ACTIONS(2534),
    [anon_sym_STAR_STAR] = ACTIONS(2534),
    [anon_sym_PIPE_PIPE] = ACTIONS(2534),
    [anon_sym_SLASH_SLASH] = ACTIONS(2534),
    [anon_sym_CARET_CARET] = ACTIONS(2536),
    [anon_sym_AMP_AMP] = ACTIONS(2534),
    [anon_sym_PIPE] = ACTIONS(2534),
    [anon_sym_CARET] = ACTIONS(2534),
    [anon_sym_AMP] = ACTIONS(2534),
    [anon_sym_GT_GT2] = ACTIONS(2534),
    [anon_sym_PLUS] = ACTIONS(2534),
    [anon_sym_DASH] = ACTIONS(2534),
    [anon_sym_DOT] = ACTIONS(2534),
    [anon_sym_SLASH] = ACTIONS(2534),
    [anon_sym_x] = ACTIONS(2534),
    [anon_sym_EQ_TILDE] = ACTIONS(2536),
    [anon_sym_BANG_TILDE] = ACTIONS(2536),
    [anon_sym_EQ_EQ] = ACTIONS(2534),
    [anon_sym_BANG_EQ] = ACTIONS(2536),
    [anon_sym_eq] = ACTIONS(2534),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2536),
    [anon_sym_equ] = ACTIONS(2534),
    [anon_sym_eqr] = ACTIONS(2534),
    [anon_sym_ne] = ACTIONS(2534),
    [anon_sym_LT_EQ_GT] = ACTIONS(2536),
    [anon_sym_cmp] = ACTIONS(2534),
    [anon_sym_TILDE_TILDE] = ACTIONS(2536),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_LT_EQ] = ACTIONS(2534),
    [anon_sym_GT_EQ] = ACTIONS(2536),
    [anon_sym_lt] = ACTIONS(2534),
    [anon_sym_le] = ACTIONS(2534),
    [anon_sym_ge] = ACTIONS(2534),
    [anon_sym_gt] = ACTIONS(2534),
    [anon_sym_isa] = ACTIONS(2534),
    [anon_sym_PLUS_PLUS] = ACTIONS(2536),
    [anon_sym_DASH_DASH] = ACTIONS(2536),
    [anon_sym_QMARK] = ACTIONS(2536),
    [anon_sym_EQ_GT] = ACTIONS(2536),
    [sym_comment] = ACTIONS(5),
    [aux_sym__bareword_token1] = ACTIONS(2534),
    [sym__PERLY_SEMICOLON] = ACTIONS(2536),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1850] = {
    [sym_heredoc_content] = STATE(1850),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_DOLLAR] = ACTIONS(3026),
    [anon_sym_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_AT] = ACTIONS(3026),
    [anon_sym_COMMA] = ACTIONS(3026),
    [anon_sym_RPAREN] = ACTIONS(3026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3026),
    [anon_sym_DASH_GT] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_PERCENT] = ACTIONS(3028),
    [anon_sym_GT] = ACTIONS(3028),
    [anon_sym_LT_LT] = ACTIONS(3028),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3026),
    [anon_sym_PLUS_EQ] = ACTIONS(3026),
    [anon_sym_DASH_EQ] = ACTIONS(3026),
    [anon_sym_DOT_EQ] = ACTIONS(3026),
    [anon_sym_STAR_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_PERCENT_EQ] = ACTIONS(3028),
    [anon_sym_x_EQ] = ACTIONS(3026),
    [anon_sym_AMP_EQ] = ACTIONS(3026),
    [anon_sym_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_CARET_EQ] = ACTIONS(3026),
    [anon_sym_LT_LT_EQ] = ACTIONS(3026),
    [anon_sym_GT_GT_EQ] = ACTIONS(3026),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3026),
    [anon_sym_DOT_DOT] = ACTIONS(3028),
    [anon_sym_STAR_STAR] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3028),
    [anon_sym_CARET_CARET] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_GT_GT2] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_DOT] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3028),
    [anon_sym_x] = ACTIONS(3028),
    [anon_sym_EQ_TILDE] = ACTIONS(3026),
    [anon_sym_BANG_TILDE] = ACTIONS(3026),
    [anon_sym_EQ_EQ] = ACTIONS(3028),
    [anon_sym_BANG_EQ] = ACTIONS(3026),
    [anon_sym_eq] = ACTIONS(3028),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3026),
    [anon_sym_equ] = ACTIONS(3026),
    [anon_sym_eqr] = ACTIONS(3026),
    [anon_sym_ne] = ACTIONS(3026),
    [anon_sym_LT_EQ_GT] = ACTIONS(3026),
    [anon_sym_cmp] = ACTIONS(3026),
    [anon_sym_TILDE_TILDE] = ACTIONS(3026),
    [anon_sym_LT] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_EQ] = ACTIONS(3026),
    [anon_sym_lt] = ACTIONS(3026),
    [anon_sym_le] = ACTIONS(3026),
    [anon_sym_ge] = ACTIONS(3026),
    [anon_sym_gt] = ACTIONS(3026),
    [anon_sym_isa] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_PERCENT2] = ACTIONS(3026),
    [anon_sym_EQ_GT] = ACTIONS(3026),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1851] = {
    [sym_heredoc_content] = STATE(1851),
    [anon_sym_COLON] = ACTIONS(3038),
    [anon_sym_DOLLAR] = ACTIONS(3038),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_AT] = ACTIONS(3038),
    [anon_sym_COMMA] = ACTIONS(3038),
    [anon_sym_RPAREN] = ACTIONS(3038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3038),
    [anon_sym_DASH_GT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LT_LT] = ACTIONS(3040),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_DOT_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3040),
    [anon_sym_x_EQ] = ACTIONS(3038),
    [anon_sym_AMP_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_CARET_EQ] = ACTIONS(3038),
    [anon_sym_LT_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_GT_EQ] = ACTIONS(3038),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_STAR_STAR] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH] = ACTIONS(3040),
    [anon_sym_CARET_CARET] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3040),
    [anon_sym_PIPE] = ACTIONS(3040),
    [anon_sym_CARET] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_GT_GT2] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_x] = ACTIONS(3040),
    [anon_sym_EQ_TILDE] = ACTIONS(3038),
    [anon_sym_BANG_TILDE] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ] = ACTIONS(3038),
    [anon_sym_eq] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_equ] = ACTIONS(3038),
    [anon_sym_eqr] = ACTIONS(3038),
    [anon_sym_ne] = ACTIONS(3038),
    [anon_sym_LT_EQ_GT] = ACTIONS(3038),
    [anon_sym_cmp] = ACTIONS(3038),
    [anon_sym_TILDE_TILDE] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_lt] = ACTIONS(3038),
    [anon_sym_le] = ACTIONS(3038),
    [anon_sym_ge] = ACTIONS(3038),
    [anon_sym_gt] = ACTIONS(3038),
    [anon_sym_isa] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_QMARK] = ACTIONS(3038),
    [anon_sym_PERCENT2] = ACTIONS(3038),
    [anon_sym_EQ_GT] = ACTIONS(3038),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1852] = {
    [sym_heredoc_content] = STATE(1852),
    [anon_sym_COLON] = ACTIONS(3042),
    [anon_sym_DOLLAR] = ACTIONS(3042),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_AT] = ACTIONS(3042),
    [anon_sym_COMMA] = ACTIONS(3042),
    [anon_sym_RPAREN] = ACTIONS(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3042),
    [anon_sym_DASH_GT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LT_LT] = ACTIONS(3044),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_DOT_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3044),
    [anon_sym_x_EQ] = ACTIONS(3042),
    [anon_sym_AMP_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_CARET_EQ] = ACTIONS(3042),
    [anon_sym_LT_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_GT_EQ] = ACTIONS(3042),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_STAR_STAR] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3044),
    [anon_sym_SLASH_SLASH] = ACTIONS(3044),
    [anon_sym_CARET_CARET] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3044),
    [anon_sym_PIPE] = ACTIONS(3044),
    [anon_sym_CARET] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_GT_GT2] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_x] = ACTIONS(3044),
    [anon_sym_EQ_TILDE] = ACTIONS(3042),
    [anon_sym_BANG_TILDE] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ] = ACTIONS(3042),
    [anon_sym_eq] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_equ] = ACTIONS(3042),
    [anon_sym_eqr] = ACTIONS(3042),
    [anon_sym_ne] = ACTIONS(3042),
    [anon_sym_LT_EQ_GT] = ACTIONS(3042),
    [anon_sym_cmp] = ACTIONS(3042),
    [anon_sym_TILDE_TILDE] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3044),
    [anon_sym_LT_EQ] = ACTIONS(3044),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_lt] = ACTIONS(3042),
    [anon_sym_le] = ACTIONS(3042),
    [anon_sym_ge] = ACTIONS(3042),
    [anon_sym_gt] = ACTIONS(3042),
    [anon_sym_isa] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_QMARK] = ACTIONS(3042),
    [anon_sym_PERCENT2] = ACTIONS(3042),
    [anon_sym_EQ_GT] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1853] = {
    [sym_heredoc_content] = STATE(1853),
    [anon_sym_COLON] = ACTIONS(3046),
    [anon_sym_DOLLAR] = ACTIONS(3046),
    [anon_sym_EQ] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_AT] = ACTIONS(3046),
    [anon_sym_COMMA] = ACTIONS(3046),
    [anon_sym_RPAREN] = ACTIONS(3046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3046),
    [anon_sym_DASH_GT] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_PERCENT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [anon_sym_LT_LT] = ACTIONS(3048),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_DOT_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3048),
    [anon_sym_x_EQ] = ACTIONS(3046),
    [anon_sym_AMP_EQ] = ACTIONS(3046),
    [anon_sym_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_CARET_EQ] = ACTIONS(3046),
    [anon_sym_LT_LT_EQ] = ACTIONS(3046),
    [anon_sym_GT_GT_EQ] = ACTIONS(3046),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3048),
    [anon_sym_STAR_STAR] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE] = ACTIONS(3048),
    [anon_sym_SLASH_SLASH] = ACTIONS(3048),
    [anon_sym_CARET_CARET] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3048),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_CARET] = ACTIONS(3048),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_GT_GT2] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_DOT] = ACTIONS(3048),
    [anon_sym_SLASH] = ACTIONS(3048),
    [anon_sym_x] = ACTIONS(3048),
    [anon_sym_EQ_TILDE] = ACTIONS(3046),
    [anon_sym_BANG_TILDE] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3048),
    [anon_sym_BANG_EQ] = ACTIONS(3046),
    [anon_sym_eq] = ACTIONS(3048),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_equ] = ACTIONS(3046),
    [anon_sym_eqr] = ACTIONS(3046),
    [anon_sym_ne] = ACTIONS(3046),
    [anon_sym_LT_EQ_GT] = ACTIONS(3046),
    [anon_sym_cmp] = ACTIONS(3046),
    [anon_sym_TILDE_TILDE] = ACTIONS(3046),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_LT_EQ] = ACTIONS(3048),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_lt] = ACTIONS(3046),
    [anon_sym_le] = ACTIONS(3046),
    [anon_sym_ge] = ACTIONS(3046),
    [anon_sym_gt] = ACTIONS(3046),
    [anon_sym_isa] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_PERCENT2] = ACTIONS(3046),
    [anon_sym_EQ_GT] = ACTIONS(3046),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1854] = {
    [sym_heredoc_content] = STATE(1854),
    [anon_sym_COLON] = ACTIONS(3050),
    [anon_sym_DOLLAR] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_AT] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_RPAREN] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3052),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_PERCENT2] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1855] = {
    [sym_heredoc_content] = STATE(1855),
    [anon_sym_COLON] = ACTIONS(3198),
    [anon_sym_DOLLAR] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_AT] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_RPAREN] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3200),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_PERCENT2] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1856] = {
    [sym_heredoc_content] = STATE(1856),
    [anon_sym_COLON] = ACTIONS(3058),
    [anon_sym_DOLLAR] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_AT] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_RPAREN] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3060),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_PERCENT2] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1857] = {
    [sym_heredoc_content] = STATE(1857),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_DOLLAR] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_AT] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2564),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_PERCENT2] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1858] = {
    [sym_heredoc_content] = STATE(1858),
    [anon_sym_COLON] = ACTIONS(2578),
    [anon_sym_DOLLAR] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_AT] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2580),
    [anon_sym_x_EQ] = ACTIONS(2578),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2578),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2578),
    [anon_sym_le] = ACTIONS(2578),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_PERCENT2] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1859] = {
    [sym_heredoc_content] = STATE(1859),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_DOLLAR] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_AT] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2592),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_PERCENT2] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1860] = {
    [sym_heredoc_content] = STATE(1860),
    [anon_sym_COLON] = ACTIONS(3074),
    [anon_sym_DOLLAR] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_AT] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3076),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_PERCENT2] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1861] = {
    [sym_heredoc_content] = STATE(1861),
    [anon_sym_COLON] = ACTIONS(2610),
    [anon_sym_DOLLAR] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_AT] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_RPAREN] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_PERCENT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2612),
    [anon_sym_LT_LT] = ACTIONS(2612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2612),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2612),
    [anon_sym_STAR_STAR] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE] = ACTIONS(2612),
    [anon_sym_SLASH_SLASH] = ACTIONS(2612),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_PIPE] = ACTIONS(2612),
    [anon_sym_CARET] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_GT_GT2] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_DOT] = ACTIONS(2612),
    [anon_sym_SLASH] = ACTIONS(2612),
    [anon_sym_x] = ACTIONS(2612),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_LT_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_PERCENT2] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1862] = {
    [sym_heredoc_content] = STATE(1862),
    [anon_sym_COLON] = ACTIONS(2630),
    [anon_sym_DOLLAR] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_AT] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_RPAREN] = ACTIONS(2630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2632),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_PERCENT2] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1863] = {
    [sym_heredoc_content] = STATE(1863),
    [anon_sym_COLON] = ACTIONS(3158),
    [anon_sym_DOLLAR] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_AT] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3160),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_PERCENT2] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1864] = {
    [sym_heredoc_content] = STATE(1864),
    [anon_sym_COLON] = ACTIONS(3162),
    [anon_sym_DOLLAR] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_AT] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3164),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_PERCENT2] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1865] = {
    [sym_heredoc_content] = STATE(1865),
    [anon_sym_COLON] = ACTIONS(3062),
    [anon_sym_DOLLAR] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_AT] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_RPAREN] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3064),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_PERCENT2] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1866] = {
    [sym_heredoc_content] = STATE(1866),
    [anon_sym_COLON] = ACTIONS(3094),
    [anon_sym_DOLLAR] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_AT] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_RPAREN] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3096),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3096),
    [anon_sym_x] = ACTIONS(3096),
    [anon_sym_EQ_TILDE] = ACTIONS(3094),
    [anon_sym_BANG_TILDE] = ACTIONS(3094),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_PERCENT2] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1867] = {
    [sym_heredoc_content] = STATE(1867),
    [anon_sym_COLON] = ACTIONS(3098),
    [anon_sym_DOLLAR] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_AT] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_RPAREN] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3100),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_PERCENT2] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1868] = {
    [sym_heredoc_content] = STATE(1868),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_DOLLAR] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_AT] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3104),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_PERCENT2] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1869] = {
    [sym_heredoc_content] = STATE(1869),
    [anon_sym_COLON] = ACTIONS(3106),
    [anon_sym_DOLLAR] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_AT] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3108),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_PERCENT2] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1870] = {
    [sym_heredoc_content] = STATE(1870),
    [anon_sym_COLON] = ACTIONS(3110),
    [anon_sym_DOLLAR] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_AT] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3112),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_PERCENT2] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1871] = {
    [sym_heredoc_content] = STATE(1871),
    [anon_sym_COLON] = ACTIONS(3114),
    [anon_sym_DOLLAR] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_AT] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3116),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_PERCENT2] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1872] = {
    [sym_heredoc_content] = STATE(1872),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym_EQ] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_COMMA] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2506),
    [anon_sym_DASH_GT] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2508),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_PERCENT] = ACTIONS(2508),
    [anon_sym_GT] = ACTIONS(2508),
    [anon_sym_LT_LT] = ACTIONS(2508),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2506),
    [anon_sym_PLUS_EQ] = ACTIONS(2506),
    [anon_sym_DASH_EQ] = ACTIONS(2506),
    [anon_sym_DOT_EQ] = ACTIONS(2506),
    [anon_sym_STAR_EQ] = ACTIONS(2506),
    [anon_sym_SLASH_EQ] = ACTIONS(2506),
    [anon_sym_PERCENT_EQ] = ACTIONS(2506),
    [anon_sym_x_EQ] = ACTIONS(2506),
    [anon_sym_AMP_EQ] = ACTIONS(2506),
    [anon_sym_PIPE_EQ] = ACTIONS(2506),
    [anon_sym_CARET_EQ] = ACTIONS(2506),
    [anon_sym_LT_LT_EQ] = ACTIONS(2506),
    [anon_sym_GT_GT_EQ] = ACTIONS(2506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2508),
    [anon_sym_STAR_STAR] = ACTIONS(2508),
    [anon_sym_PIPE_PIPE] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(2508),
    [anon_sym_CARET_CARET] = ACTIONS(2506),
    [anon_sym_AMP_AMP] = ACTIONS(2508),
    [anon_sym_PIPE] = ACTIONS(2508),
    [anon_sym_CARET] = ACTIONS(2508),
    [anon_sym_AMP] = ACTIONS(2508),
    [anon_sym_GT_GT2] = ACTIONS(2508),
    [anon_sym_PLUS] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2508),
    [anon_sym_DOT] = ACTIONS(2508),
    [anon_sym_SLASH] = ACTIONS(2508),
    [anon_sym_x] = ACTIONS(2508),
    [anon_sym_EQ_TILDE] = ACTIONS(2506),
    [anon_sym_BANG_TILDE] = ACTIONS(2506),
    [anon_sym_EQ_EQ] = ACTIONS(2508),
    [anon_sym_BANG_EQ] = ACTIONS(2506),
    [anon_sym_eq] = ACTIONS(2508),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2506),
    [anon_sym_equ] = ACTIONS(2506),
    [anon_sym_eqr] = ACTIONS(2506),
    [anon_sym_ne] = ACTIONS(2506),
    [anon_sym_LT_EQ_GT] = ACTIONS(2506),
    [anon_sym_cmp] = ACTIONS(2506),
    [anon_sym_TILDE_TILDE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2508),
    [anon_sym_LT_EQ] = ACTIONS(2508),
    [anon_sym_GT_EQ] = ACTIONS(2506),
    [anon_sym_lt] = ACTIONS(2506),
    [anon_sym_le] = ACTIONS(2506),
    [anon_sym_ge] = ACTIONS(2506),
    [anon_sym_gt] = ACTIONS(2506),
    [anon_sym_isa] = ACTIONS(2506),
    [anon_sym_PLUS_PLUS] = ACTIONS(2506),
    [anon_sym_DASH_DASH] = ACTIONS(2506),
    [anon_sym_QMARK] = ACTIONS(2506),
    [anon_sym_EQ_GT] = ACTIONS(2506),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2506),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1873] = {
    [sym_heredoc_content] = STATE(1873),
    [anon_sym_COLON] = ACTIONS(3154),
    [anon_sym_DOLLAR] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_AT] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3156),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_PERCENT2] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1874] = {
    [sym_heredoc_content] = STATE(1874),
    [anon_sym_COLON] = ACTIONS(1711),
    [anon_sym_DOLLAR] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_AT] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1709),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_PERCENT2] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1875] = {
    [sym_heredoc_content] = STATE(1875),
    [anon_sym_COLON] = ACTIONS(3122),
    [anon_sym_DOLLAR] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_AT] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3124),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_PERCENT2] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1876] = {
    [sym_heredoc_content] = STATE(1876),
    [anon_sym_COLON] = ACTIONS(3126),
    [anon_sym_DOLLAR] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_AT] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3128),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_PERCENT2] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1877] = {
    [sym_heredoc_content] = STATE(1877),
    [anon_sym_LBRACE] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2468),
    [anon_sym_EQ] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_COMMA] = ACTIONS(2468),
    [anon_sym_LPAREN] = ACTIONS(2468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2468),
    [anon_sym_DASH_GT] = ACTIONS(2468),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_PERCENT] = ACTIONS(2470),
    [anon_sym_GT] = ACTIONS(2470),
    [anon_sym_LT_LT] = ACTIONS(2470),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2468),
    [anon_sym_PLUS_EQ] = ACTIONS(2468),
    [anon_sym_DASH_EQ] = ACTIONS(2468),
    [anon_sym_DOT_EQ] = ACTIONS(2468),
    [anon_sym_STAR_EQ] = ACTIONS(2468),
    [anon_sym_SLASH_EQ] = ACTIONS(2468),
    [anon_sym_PERCENT_EQ] = ACTIONS(2468),
    [anon_sym_x_EQ] = ACTIONS(2468),
    [anon_sym_AMP_EQ] = ACTIONS(2468),
    [anon_sym_PIPE_EQ] = ACTIONS(2468),
    [anon_sym_CARET_EQ] = ACTIONS(2468),
    [anon_sym_LT_LT_EQ] = ACTIONS(2468),
    [anon_sym_GT_GT_EQ] = ACTIONS(2468),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2468),
    [anon_sym_DOT_DOT] = ACTIONS(2470),
    [anon_sym_STAR_STAR] = ACTIONS(2470),
    [anon_sym_PIPE_PIPE] = ACTIONS(2470),
    [anon_sym_SLASH_SLASH] = ACTIONS(2470),
    [anon_sym_CARET_CARET] = ACTIONS(2468),
    [anon_sym_AMP_AMP] = ACTIONS(2470),
    [anon_sym_PIPE] = ACTIONS(2470),
    [anon_sym_CARET] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_GT_GT2] = ACTIONS(2470),
    [anon_sym_PLUS] = ACTIONS(2470),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_DOT] = ACTIONS(2470),
    [anon_sym_SLASH] = ACTIONS(2470),
    [anon_sym_x] = ACTIONS(2470),
    [anon_sym_EQ_TILDE] = ACTIONS(2468),
    [anon_sym_BANG_TILDE] = ACTIONS(2468),
    [anon_sym_EQ_EQ] = ACTIONS(2470),
    [anon_sym_BANG_EQ] = ACTIONS(2468),
    [anon_sym_eq] = ACTIONS(2470),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2468),
    [anon_sym_equ] = ACTIONS(2468),
    [anon_sym_eqr] = ACTIONS(2468),
    [anon_sym_ne] = ACTIONS(2468),
    [anon_sym_LT_EQ_GT] = ACTIONS(2468),
    [anon_sym_cmp] = ACTIONS(2468),
    [anon_sym_TILDE_TILDE] = ACTIONS(2468),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_LT_EQ] = ACTIONS(2470),
    [anon_sym_GT_EQ] = ACTIONS(2468),
    [anon_sym_lt] = ACTIONS(2468),
    [anon_sym_le] = ACTIONS(2468),
    [anon_sym_ge] = ACTIONS(2468),
    [anon_sym_gt] = ACTIONS(2468),
    [anon_sym_isa] = ACTIONS(2468),
    [anon_sym_PLUS_PLUS] = ACTIONS(2468),
    [anon_sym_DASH_DASH] = ACTIONS(2468),
    [anon_sym_QMARK] = ACTIONS(2468),
    [anon_sym_EQ_GT] = ACTIONS(2468),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2468),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1878] = {
    [sym_heredoc_content] = STATE(1878),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym_EQ] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_COMMA] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2490),
    [anon_sym_DASH_GT] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2492),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_PERCENT] = ACTIONS(2492),
    [anon_sym_GT] = ACTIONS(2492),
    [anon_sym_LT_LT] = ACTIONS(2492),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2490),
    [anon_sym_PLUS_EQ] = ACTIONS(2490),
    [anon_sym_DASH_EQ] = ACTIONS(2490),
    [anon_sym_DOT_EQ] = ACTIONS(2490),
    [anon_sym_STAR_EQ] = ACTIONS(2490),
    [anon_sym_SLASH_EQ] = ACTIONS(2490),
    [anon_sym_PERCENT_EQ] = ACTIONS(2490),
    [anon_sym_x_EQ] = ACTIONS(2490),
    [anon_sym_AMP_EQ] = ACTIONS(2490),
    [anon_sym_PIPE_EQ] = ACTIONS(2490),
    [anon_sym_CARET_EQ] = ACTIONS(2490),
    [anon_sym_LT_LT_EQ] = ACTIONS(2490),
    [anon_sym_GT_GT_EQ] = ACTIONS(2490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2492),
    [anon_sym_STAR_STAR] = ACTIONS(2492),
    [anon_sym_PIPE_PIPE] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(2492),
    [anon_sym_CARET_CARET] = ACTIONS(2490),
    [anon_sym_AMP_AMP] = ACTIONS(2492),
    [anon_sym_PIPE] = ACTIONS(2492),
    [anon_sym_CARET] = ACTIONS(2492),
    [anon_sym_AMP] = ACTIONS(2492),
    [anon_sym_GT_GT2] = ACTIONS(2492),
    [anon_sym_PLUS] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2492),
    [anon_sym_DOT] = ACTIONS(2492),
    [anon_sym_SLASH] = ACTIONS(2492),
    [anon_sym_x] = ACTIONS(2492),
    [anon_sym_EQ_TILDE] = ACTIONS(2490),
    [anon_sym_BANG_TILDE] = ACTIONS(2490),
    [anon_sym_EQ_EQ] = ACTIONS(2492),
    [anon_sym_BANG_EQ] = ACTIONS(2490),
    [anon_sym_eq] = ACTIONS(2492),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2490),
    [anon_sym_equ] = ACTIONS(2490),
    [anon_sym_eqr] = ACTIONS(2490),
    [anon_sym_ne] = ACTIONS(2490),
    [anon_sym_LT_EQ_GT] = ACTIONS(2490),
    [anon_sym_cmp] = ACTIONS(2490),
    [anon_sym_TILDE_TILDE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2492),
    [anon_sym_LT_EQ] = ACTIONS(2492),
    [anon_sym_GT_EQ] = ACTIONS(2490),
    [anon_sym_lt] = ACTIONS(2490),
    [anon_sym_le] = ACTIONS(2490),
    [anon_sym_ge] = ACTIONS(2490),
    [anon_sym_gt] = ACTIONS(2490),
    [anon_sym_isa] = ACTIONS(2490),
    [anon_sym_PLUS_PLUS] = ACTIONS(2490),
    [anon_sym_DASH_DASH] = ACTIONS(2490),
    [anon_sym_QMARK] = ACTIONS(2490),
    [anon_sym_EQ_GT] = ACTIONS(2490),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2490),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1879] = {
    [sym_heredoc_content] = STATE(1879),
    [anon_sym_COLON] = ACTIONS(3130),
    [anon_sym_DOLLAR] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_AT] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3132),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_PERCENT2] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1880] = {
    [sym_heredoc_content] = STATE(1880),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym_EQ] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_COMMA] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2486),
    [anon_sym_DASH_GT] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2488),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_PERCENT] = ACTIONS(2488),
    [anon_sym_GT] = ACTIONS(2488),
    [anon_sym_LT_LT] = ACTIONS(2488),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2486),
    [anon_sym_PLUS_EQ] = ACTIONS(2486),
    [anon_sym_DASH_EQ] = ACTIONS(2486),
    [anon_sym_DOT_EQ] = ACTIONS(2486),
    [anon_sym_STAR_EQ] = ACTIONS(2486),
    [anon_sym_SLASH_EQ] = ACTIONS(2486),
    [anon_sym_PERCENT_EQ] = ACTIONS(2486),
    [anon_sym_x_EQ] = ACTIONS(2486),
    [anon_sym_AMP_EQ] = ACTIONS(2486),
    [anon_sym_PIPE_EQ] = ACTIONS(2486),
    [anon_sym_CARET_EQ] = ACTIONS(2486),
    [anon_sym_LT_LT_EQ] = ACTIONS(2486),
    [anon_sym_GT_GT_EQ] = ACTIONS(2486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2488),
    [anon_sym_STAR_STAR] = ACTIONS(2488),
    [anon_sym_PIPE_PIPE] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(2488),
    [anon_sym_CARET_CARET] = ACTIONS(2486),
    [anon_sym_AMP_AMP] = ACTIONS(2488),
    [anon_sym_PIPE] = ACTIONS(2488),
    [anon_sym_CARET] = ACTIONS(2488),
    [anon_sym_AMP] = ACTIONS(2488),
    [anon_sym_GT_GT2] = ACTIONS(2488),
    [anon_sym_PLUS] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2488),
    [anon_sym_DOT] = ACTIONS(2488),
    [anon_sym_SLASH] = ACTIONS(2488),
    [anon_sym_x] = ACTIONS(2488),
    [anon_sym_EQ_TILDE] = ACTIONS(2486),
    [anon_sym_BANG_TILDE] = ACTIONS(2486),
    [anon_sym_EQ_EQ] = ACTIONS(2488),
    [anon_sym_BANG_EQ] = ACTIONS(2486),
    [anon_sym_eq] = ACTIONS(2488),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2486),
    [anon_sym_equ] = ACTIONS(2486),
    [anon_sym_eqr] = ACTIONS(2486),
    [anon_sym_ne] = ACTIONS(2486),
    [anon_sym_LT_EQ_GT] = ACTIONS(2486),
    [anon_sym_cmp] = ACTIONS(2486),
    [anon_sym_TILDE_TILDE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2488),
    [anon_sym_LT_EQ] = ACTIONS(2488),
    [anon_sym_GT_EQ] = ACTIONS(2486),
    [anon_sym_lt] = ACTIONS(2486),
    [anon_sym_le] = ACTIONS(2486),
    [anon_sym_ge] = ACTIONS(2486),
    [anon_sym_gt] = ACTIONS(2486),
    [anon_sym_isa] = ACTIONS(2486),
    [anon_sym_PLUS_PLUS] = ACTIONS(2486),
    [anon_sym_DASH_DASH] = ACTIONS(2486),
    [anon_sym_QMARK] = ACTIONS(2486),
    [anon_sym_EQ_GT] = ACTIONS(2486),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2486),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1881] = {
    [sym_heredoc_content] = STATE(1881),
    [anon_sym_COLON] = ACTIONS(3134),
    [anon_sym_DOLLAR] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_AT] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3136),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_PERCENT2] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1882] = {
    [sym_heredoc_content] = STATE(1882),
    [anon_sym_LBRACE] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2456),
    [anon_sym_EQ] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_COMMA] = ACTIONS(2456),
    [anon_sym_LPAREN] = ACTIONS(2456),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2456),
    [anon_sym_DASH_GT] = ACTIONS(2456),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_PERCENT] = ACTIONS(2458),
    [anon_sym_GT] = ACTIONS(2458),
    [anon_sym_LT_LT] = ACTIONS(2458),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2456),
    [anon_sym_PLUS_EQ] = ACTIONS(2456),
    [anon_sym_DASH_EQ] = ACTIONS(2456),
    [anon_sym_DOT_EQ] = ACTIONS(2456),
    [anon_sym_STAR_EQ] = ACTIONS(2456),
    [anon_sym_SLASH_EQ] = ACTIONS(2456),
    [anon_sym_PERCENT_EQ] = ACTIONS(2456),
    [anon_sym_x_EQ] = ACTIONS(2456),
    [anon_sym_AMP_EQ] = ACTIONS(2456),
    [anon_sym_PIPE_EQ] = ACTIONS(2456),
    [anon_sym_CARET_EQ] = ACTIONS(2456),
    [anon_sym_LT_LT_EQ] = ACTIONS(2456),
    [anon_sym_GT_GT_EQ] = ACTIONS(2456),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2456),
    [anon_sym_DOT_DOT] = ACTIONS(2458),
    [anon_sym_STAR_STAR] = ACTIONS(2458),
    [anon_sym_PIPE_PIPE] = ACTIONS(2458),
    [anon_sym_SLASH_SLASH] = ACTIONS(2458),
    [anon_sym_CARET_CARET] = ACTIONS(2456),
    [anon_sym_AMP_AMP] = ACTIONS(2458),
    [anon_sym_PIPE] = ACTIONS(2458),
    [anon_sym_CARET] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_GT_GT2] = ACTIONS(2458),
    [anon_sym_PLUS] = ACTIONS(2458),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_DOT] = ACTIONS(2458),
    [anon_sym_SLASH] = ACTIONS(2458),
    [anon_sym_x] = ACTIONS(2458),
    [anon_sym_EQ_TILDE] = ACTIONS(2456),
    [anon_sym_BANG_TILDE] = ACTIONS(2456),
    [anon_sym_EQ_EQ] = ACTIONS(2458),
    [anon_sym_BANG_EQ] = ACTIONS(2456),
    [anon_sym_eq] = ACTIONS(2458),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2456),
    [anon_sym_equ] = ACTIONS(2456),
    [anon_sym_eqr] = ACTIONS(2456),
    [anon_sym_ne] = ACTIONS(2456),
    [anon_sym_LT_EQ_GT] = ACTIONS(2456),
    [anon_sym_cmp] = ACTIONS(2456),
    [anon_sym_TILDE_TILDE] = ACTIONS(2456),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_LT_EQ] = ACTIONS(2458),
    [anon_sym_GT_EQ] = ACTIONS(2456),
    [anon_sym_lt] = ACTIONS(2456),
    [anon_sym_le] = ACTIONS(2456),
    [anon_sym_ge] = ACTIONS(2456),
    [anon_sym_gt] = ACTIONS(2456),
    [anon_sym_isa] = ACTIONS(2456),
    [anon_sym_PLUS_PLUS] = ACTIONS(2456),
    [anon_sym_DASH_DASH] = ACTIONS(2456),
    [anon_sym_QMARK] = ACTIONS(2456),
    [anon_sym_EQ_GT] = ACTIONS(2456),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2456),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1883] = {
    [sym_heredoc_content] = STATE(1883),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_DOLLAR] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_AT] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3140),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_PERCENT2] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1884] = {
    [sym_heredoc_content] = STATE(1884),
    [anon_sym_LBRACE] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1863),
    [anon_sym_EQ] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_COMMA] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1863),
    [anon_sym_DASH_GT] = ACTIONS(1863),
    [anon_sym_STAR] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1863),
    [anon_sym_PERCENT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_LT] = ACTIONS(1861),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1863),
    [anon_sym_PLUS_EQ] = ACTIONS(1863),
    [anon_sym_DASH_EQ] = ACTIONS(1863),
    [anon_sym_DOT_EQ] = ACTIONS(1863),
    [anon_sym_STAR_EQ] = ACTIONS(1863),
    [anon_sym_SLASH_EQ] = ACTIONS(1863),
    [anon_sym_PERCENT_EQ] = ACTIONS(1863),
    [anon_sym_x_EQ] = ACTIONS(1863),
    [anon_sym_AMP_EQ] = ACTIONS(1863),
    [anon_sym_PIPE_EQ] = ACTIONS(1863),
    [anon_sym_CARET_EQ] = ACTIONS(1863),
    [anon_sym_LT_LT_EQ] = ACTIONS(1863),
    [anon_sym_GT_GT_EQ] = ACTIONS(1863),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1863),
    [anon_sym_DOT_DOT] = ACTIONS(1861),
    [anon_sym_STAR_STAR] = ACTIONS(1861),
    [anon_sym_PIPE_PIPE] = ACTIONS(1861),
    [anon_sym_SLASH_SLASH] = ACTIONS(1861),
    [anon_sym_CARET_CARET] = ACTIONS(1863),
    [anon_sym_AMP_AMP] = ACTIONS(1861),
    [anon_sym_PIPE] = ACTIONS(1861),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_AMP] = ACTIONS(1861),
    [anon_sym_GT_GT2] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_DOT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_x] = ACTIONS(1861),
    [anon_sym_EQ_TILDE] = ACTIONS(1863),
    [anon_sym_BANG_TILDE] = ACTIONS(1863),
    [anon_sym_EQ_EQ] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_eq] = ACTIONS(1861),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1863),
    [anon_sym_equ] = ACTIONS(1863),
    [anon_sym_eqr] = ACTIONS(1863),
    [anon_sym_ne] = ACTIONS(1863),
    [anon_sym_LT_EQ_GT] = ACTIONS(1863),
    [anon_sym_cmp] = ACTIONS(1863),
    [anon_sym_TILDE_TILDE] = ACTIONS(1863),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1861),
    [anon_sym_GT_EQ] = ACTIONS(1863),
    [anon_sym_lt] = ACTIONS(1863),
    [anon_sym_le] = ACTIONS(1863),
    [anon_sym_ge] = ACTIONS(1863),
    [anon_sym_gt] = ACTIONS(1863),
    [anon_sym_isa] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1863),
    [anon_sym_DASH_DASH] = ACTIONS(1863),
    [anon_sym_QMARK] = ACTIONS(1863),
    [anon_sym_EQ_GT] = ACTIONS(1863),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1863),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1885] = {
    [sym_heredoc_content] = STATE(1885),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1826),
    [anon_sym_DASH_GT] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_PERCENT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1826),
    [anon_sym_PLUS_EQ] = ACTIONS(1826),
    [anon_sym_DASH_EQ] = ACTIONS(1826),
    [anon_sym_DOT_EQ] = ACTIONS(1826),
    [anon_sym_STAR_EQ] = ACTIONS(1826),
    [anon_sym_SLASH_EQ] = ACTIONS(1826),
    [anon_sym_PERCENT_EQ] = ACTIONS(1826),
    [anon_sym_x_EQ] = ACTIONS(1826),
    [anon_sym_AMP_EQ] = ACTIONS(1826),
    [anon_sym_PIPE_EQ] = ACTIONS(1826),
    [anon_sym_CARET_EQ] = ACTIONS(1826),
    [anon_sym_LT_LT_EQ] = ACTIONS(1826),
    [anon_sym_GT_GT_EQ] = ACTIONS(1826),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_PIPE_PIPE] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(1824),
    [anon_sym_CARET_CARET] = ACTIONS(1826),
    [anon_sym_AMP_AMP] = ACTIONS(1824),
    [anon_sym_PIPE] = ACTIONS(1824),
    [anon_sym_CARET] = ACTIONS(1824),
    [anon_sym_AMP] = ACTIONS(1824),
    [anon_sym_GT_GT2] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym_x] = ACTIONS(1824),
    [anon_sym_EQ_TILDE] = ACTIONS(1826),
    [anon_sym_BANG_TILDE] = ACTIONS(1826),
    [anon_sym_EQ_EQ] = ACTIONS(1824),
    [anon_sym_BANG_EQ] = ACTIONS(1826),
    [anon_sym_eq] = ACTIONS(1824),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1826),
    [anon_sym_equ] = ACTIONS(1826),
    [anon_sym_eqr] = ACTIONS(1826),
    [anon_sym_ne] = ACTIONS(1826),
    [anon_sym_LT_EQ_GT] = ACTIONS(1826),
    [anon_sym_cmp] = ACTIONS(1826),
    [anon_sym_TILDE_TILDE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_lt] = ACTIONS(1826),
    [anon_sym_le] = ACTIONS(1826),
    [anon_sym_ge] = ACTIONS(1826),
    [anon_sym_gt] = ACTIONS(1826),
    [anon_sym_isa] = ACTIONS(1826),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_QMARK] = ACTIONS(1826),
    [anon_sym_EQ_GT] = ACTIONS(1826),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1826),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1886] = {
    [sym_heredoc_content] = STATE(1886),
    [anon_sym_COLON] = ACTIONS(3218),
    [anon_sym_DOLLAR] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_AT] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3220),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_PERCENT2] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1887] = {
    [sym_heredoc_content] = STATE(1887),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym_EQ] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_COMMA] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2494),
    [anon_sym_DASH_GT] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2496),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_PERCENT] = ACTIONS(2496),
    [anon_sym_GT] = ACTIONS(2496),
    [anon_sym_LT_LT] = ACTIONS(2496),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2494),
    [anon_sym_PLUS_EQ] = ACTIONS(2494),
    [anon_sym_DASH_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2494),
    [anon_sym_STAR_EQ] = ACTIONS(2494),
    [anon_sym_SLASH_EQ] = ACTIONS(2494),
    [anon_sym_PERCENT_EQ] = ACTIONS(2494),
    [anon_sym_x_EQ] = ACTIONS(2494),
    [anon_sym_AMP_EQ] = ACTIONS(2494),
    [anon_sym_PIPE_EQ] = ACTIONS(2494),
    [anon_sym_CARET_EQ] = ACTIONS(2494),
    [anon_sym_LT_LT_EQ] = ACTIONS(2494),
    [anon_sym_GT_GT_EQ] = ACTIONS(2494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2496),
    [anon_sym_STAR_STAR] = ACTIONS(2496),
    [anon_sym_PIPE_PIPE] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(2496),
    [anon_sym_CARET_CARET] = ACTIONS(2494),
    [anon_sym_AMP_AMP] = ACTIONS(2496),
    [anon_sym_PIPE] = ACTIONS(2496),
    [anon_sym_CARET] = ACTIONS(2496),
    [anon_sym_AMP] = ACTIONS(2496),
    [anon_sym_GT_GT2] = ACTIONS(2496),
    [anon_sym_PLUS] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2496),
    [anon_sym_DOT] = ACTIONS(2496),
    [anon_sym_SLASH] = ACTIONS(2496),
    [anon_sym_x] = ACTIONS(2496),
    [anon_sym_EQ_TILDE] = ACTIONS(2494),
    [anon_sym_BANG_TILDE] = ACTIONS(2494),
    [anon_sym_EQ_EQ] = ACTIONS(2496),
    [anon_sym_BANG_EQ] = ACTIONS(2494),
    [anon_sym_eq] = ACTIONS(2496),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2494),
    [anon_sym_equ] = ACTIONS(2494),
    [anon_sym_eqr] = ACTIONS(2494),
    [anon_sym_ne] = ACTIONS(2494),
    [anon_sym_LT_EQ_GT] = ACTIONS(2494),
    [anon_sym_cmp] = ACTIONS(2494),
    [anon_sym_TILDE_TILDE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2496),
    [anon_sym_LT_EQ] = ACTIONS(2496),
    [anon_sym_GT_EQ] = ACTIONS(2494),
    [anon_sym_lt] = ACTIONS(2494),
    [anon_sym_le] = ACTIONS(2494),
    [anon_sym_ge] = ACTIONS(2494),
    [anon_sym_gt] = ACTIONS(2494),
    [anon_sym_isa] = ACTIONS(2494),
    [anon_sym_PLUS_PLUS] = ACTIONS(2494),
    [anon_sym_DASH_DASH] = ACTIONS(2494),
    [anon_sym_QMARK] = ACTIONS(2494),
    [anon_sym_EQ_GT] = ACTIONS(2494),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2494),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1888] = {
    [sym_heredoc_content] = STATE(1888),
    [anon_sym_COLON] = ACTIONS(3142),
    [anon_sym_DOLLAR] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_AT] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3144),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_PERCENT2] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1889] = {
    [sym_heredoc_content] = STATE(1889),
    [anon_sym_LBRACE] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1843),
    [anon_sym_EQ] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1843),
    [anon_sym_DASH_GT] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1841),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_PERCENT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_LT] = ACTIONS(1841),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1843),
    [anon_sym_PLUS_EQ] = ACTIONS(1843),
    [anon_sym_DASH_EQ] = ACTIONS(1843),
    [anon_sym_DOT_EQ] = ACTIONS(1843),
    [anon_sym_STAR_EQ] = ACTIONS(1843),
    [anon_sym_SLASH_EQ] = ACTIONS(1843),
    [anon_sym_PERCENT_EQ] = ACTIONS(1843),
    [anon_sym_x_EQ] = ACTIONS(1843),
    [anon_sym_AMP_EQ] = ACTIONS(1843),
    [anon_sym_PIPE_EQ] = ACTIONS(1843),
    [anon_sym_CARET_EQ] = ACTIONS(1843),
    [anon_sym_LT_LT_EQ] = ACTIONS(1843),
    [anon_sym_GT_GT_EQ] = ACTIONS(1843),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1843),
    [anon_sym_DOT_DOT] = ACTIONS(1841),
    [anon_sym_STAR_STAR] = ACTIONS(1841),
    [anon_sym_PIPE_PIPE] = ACTIONS(1841),
    [anon_sym_SLASH_SLASH] = ACTIONS(1841),
    [anon_sym_CARET_CARET] = ACTIONS(1843),
    [anon_sym_AMP_AMP] = ACTIONS(1841),
    [anon_sym_PIPE] = ACTIONS(1841),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_AMP] = ACTIONS(1841),
    [anon_sym_GT_GT2] = ACTIONS(1841),
    [anon_sym_PLUS] = ACTIONS(1841),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_DOT] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_x] = ACTIONS(1841),
    [anon_sym_EQ_TILDE] = ACTIONS(1843),
    [anon_sym_BANG_TILDE] = ACTIONS(1843),
    [anon_sym_EQ_EQ] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1843),
    [anon_sym_eq] = ACTIONS(1841),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1843),
    [anon_sym_equ] = ACTIONS(1843),
    [anon_sym_eqr] = ACTIONS(1843),
    [anon_sym_ne] = ACTIONS(1843),
    [anon_sym_LT_EQ_GT] = ACTIONS(1843),
    [anon_sym_cmp] = ACTIONS(1843),
    [anon_sym_TILDE_TILDE] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1841),
    [anon_sym_GT_EQ] = ACTIONS(1843),
    [anon_sym_lt] = ACTIONS(1843),
    [anon_sym_le] = ACTIONS(1843),
    [anon_sym_ge] = ACTIONS(1843),
    [anon_sym_gt] = ACTIONS(1843),
    [anon_sym_isa] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1843),
    [anon_sym_DASH_DASH] = ACTIONS(1843),
    [anon_sym_QMARK] = ACTIONS(1843),
    [anon_sym_EQ_GT] = ACTIONS(1843),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1843),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1890] = {
    [sym_heredoc_content] = STATE(1890),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym_EQ] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_COMMA] = ACTIONS(2498),
    [anon_sym_LPAREN] = ACTIONS(2498),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2498),
    [anon_sym_DASH_GT] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2500),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_PERCENT] = ACTIONS(2500),
    [anon_sym_GT] = ACTIONS(2500),
    [anon_sym_LT_LT] = ACTIONS(2500),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2498),
    [anon_sym_PLUS_EQ] = ACTIONS(2498),
    [anon_sym_DASH_EQ] = ACTIONS(2498),
    [anon_sym_DOT_EQ] = ACTIONS(2498),
    [anon_sym_STAR_EQ] = ACTIONS(2498),
    [anon_sym_SLASH_EQ] = ACTIONS(2498),
    [anon_sym_PERCENT_EQ] = ACTIONS(2498),
    [anon_sym_x_EQ] = ACTIONS(2498),
    [anon_sym_AMP_EQ] = ACTIONS(2498),
    [anon_sym_PIPE_EQ] = ACTIONS(2498),
    [anon_sym_CARET_EQ] = ACTIONS(2498),
    [anon_sym_LT_LT_EQ] = ACTIONS(2498),
    [anon_sym_GT_GT_EQ] = ACTIONS(2498),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2500),
    [anon_sym_STAR_STAR] = ACTIONS(2500),
    [anon_sym_PIPE_PIPE] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH] = ACTIONS(2500),
    [anon_sym_CARET_CARET] = ACTIONS(2498),
    [anon_sym_AMP_AMP] = ACTIONS(2500),
    [anon_sym_PIPE] = ACTIONS(2500),
    [anon_sym_CARET] = ACTIONS(2500),
    [anon_sym_AMP] = ACTIONS(2500),
    [anon_sym_GT_GT2] = ACTIONS(2500),
    [anon_sym_PLUS] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2500),
    [anon_sym_DOT] = ACTIONS(2500),
    [anon_sym_SLASH] = ACTIONS(2500),
    [anon_sym_x] = ACTIONS(2500),
    [anon_sym_EQ_TILDE] = ACTIONS(2498),
    [anon_sym_BANG_TILDE] = ACTIONS(2498),
    [anon_sym_EQ_EQ] = ACTIONS(2500),
    [anon_sym_BANG_EQ] = ACTIONS(2498),
    [anon_sym_eq] = ACTIONS(2500),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2498),
    [anon_sym_equ] = ACTIONS(2498),
    [anon_sym_eqr] = ACTIONS(2498),
    [anon_sym_ne] = ACTIONS(2498),
    [anon_sym_LT_EQ_GT] = ACTIONS(2498),
    [anon_sym_cmp] = ACTIONS(2498),
    [anon_sym_TILDE_TILDE] = ACTIONS(2498),
    [anon_sym_LT] = ACTIONS(2500),
    [anon_sym_LT_EQ] = ACTIONS(2500),
    [anon_sym_GT_EQ] = ACTIONS(2498),
    [anon_sym_lt] = ACTIONS(2498),
    [anon_sym_le] = ACTIONS(2498),
    [anon_sym_ge] = ACTIONS(2498),
    [anon_sym_gt] = ACTIONS(2498),
    [anon_sym_isa] = ACTIONS(2498),
    [anon_sym_PLUS_PLUS] = ACTIONS(2498),
    [anon_sym_DASH_DASH] = ACTIONS(2498),
    [anon_sym_QMARK] = ACTIONS(2498),
    [anon_sym_EQ_GT] = ACTIONS(2498),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2498),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1891] = {
    [sym_heredoc_content] = STATE(1891),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1892] = {
    [sym_heredoc_content] = STATE(1892),
    [anon_sym_LBRACE] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2460),
    [anon_sym_EQ] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_COMMA] = ACTIONS(2460),
    [anon_sym_LPAREN] = ACTIONS(2460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2460),
    [anon_sym_DASH_GT] = ACTIONS(2460),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2460),
    [anon_sym_PERCENT] = ACTIONS(2462),
    [anon_sym_GT] = ACTIONS(2462),
    [anon_sym_LT_LT] = ACTIONS(2462),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2460),
    [anon_sym_PLUS_EQ] = ACTIONS(2460),
    [anon_sym_DASH_EQ] = ACTIONS(2460),
    [anon_sym_DOT_EQ] = ACTIONS(2460),
    [anon_sym_STAR_EQ] = ACTIONS(2460),
    [anon_sym_SLASH_EQ] = ACTIONS(2460),
    [anon_sym_PERCENT_EQ] = ACTIONS(2460),
    [anon_sym_x_EQ] = ACTIONS(2460),
    [anon_sym_AMP_EQ] = ACTIONS(2460),
    [anon_sym_PIPE_EQ] = ACTIONS(2460),
    [anon_sym_CARET_EQ] = ACTIONS(2460),
    [anon_sym_LT_LT_EQ] = ACTIONS(2460),
    [anon_sym_GT_GT_EQ] = ACTIONS(2460),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2460),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_STAR_STAR] = ACTIONS(2462),
    [anon_sym_PIPE_PIPE] = ACTIONS(2462),
    [anon_sym_SLASH_SLASH] = ACTIONS(2462),
    [anon_sym_CARET_CARET] = ACTIONS(2460),
    [anon_sym_AMP_AMP] = ACTIONS(2462),
    [anon_sym_PIPE] = ACTIONS(2462),
    [anon_sym_CARET] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_GT_GT2] = ACTIONS(2462),
    [anon_sym_PLUS] = ACTIONS(2462),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_DOT] = ACTIONS(2462),
    [anon_sym_SLASH] = ACTIONS(2462),
    [anon_sym_x] = ACTIONS(2462),
    [anon_sym_EQ_TILDE] = ACTIONS(2460),
    [anon_sym_BANG_TILDE] = ACTIONS(2460),
    [anon_sym_EQ_EQ] = ACTIONS(2462),
    [anon_sym_BANG_EQ] = ACTIONS(2460),
    [anon_sym_eq] = ACTIONS(2462),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2460),
    [anon_sym_equ] = ACTIONS(2460),
    [anon_sym_eqr] = ACTIONS(2460),
    [anon_sym_ne] = ACTIONS(2460),
    [anon_sym_LT_EQ_GT] = ACTIONS(2460),
    [anon_sym_cmp] = ACTIONS(2460),
    [anon_sym_TILDE_TILDE] = ACTIONS(2460),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_LT_EQ] = ACTIONS(2462),
    [anon_sym_GT_EQ] = ACTIONS(2460),
    [anon_sym_lt] = ACTIONS(2460),
    [anon_sym_le] = ACTIONS(2460),
    [anon_sym_ge] = ACTIONS(2460),
    [anon_sym_gt] = ACTIONS(2460),
    [anon_sym_isa] = ACTIONS(2460),
    [anon_sym_PLUS_PLUS] = ACTIONS(2460),
    [anon_sym_DASH_DASH] = ACTIONS(2460),
    [anon_sym_QMARK] = ACTIONS(2460),
    [anon_sym_EQ_GT] = ACTIONS(2460),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2460),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1893] = {
    [sym_heredoc_content] = STATE(1893),
    [anon_sym_COLON] = ACTIONS(3238),
    [anon_sym_DOLLAR] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_AT] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_RPAREN] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3240),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_PERCENT2] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1894] = {
    [sym_heredoc_content] = STATE(1894),
    [anon_sym_COLON] = ACTIONS(3258),
    [anon_sym_DOLLAR] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_AT] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_RPAREN] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3258),
    [anon_sym_DASH_GT] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3260),
    [anon_sym_PERCENT] = ACTIONS(3260),
    [anon_sym_GT] = ACTIONS(3260),
    [anon_sym_LT_LT] = ACTIONS(3260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3260),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3260),
    [anon_sym_STAR_STAR] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE] = ACTIONS(3260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3260),
    [anon_sym_CARET_CARET] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3260),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_GT_GT2] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_DOT] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_x] = ACTIONS(3260),
    [anon_sym_EQ_TILDE] = ACTIONS(3258),
    [anon_sym_BANG_TILDE] = ACTIONS(3258),
    [anon_sym_EQ_EQ] = ACTIONS(3260),
    [anon_sym_BANG_EQ] = ACTIONS(3258),
    [anon_sym_eq] = ACTIONS(3260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3258),
    [anon_sym_equ] = ACTIONS(3258),
    [anon_sym_eqr] = ACTIONS(3258),
    [anon_sym_ne] = ACTIONS(3258),
    [anon_sym_LT_EQ_GT] = ACTIONS(3258),
    [anon_sym_cmp] = ACTIONS(3258),
    [anon_sym_TILDE_TILDE] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_LT_EQ] = ACTIONS(3260),
    [anon_sym_GT_EQ] = ACTIONS(3258),
    [anon_sym_lt] = ACTIONS(3258),
    [anon_sym_le] = ACTIONS(3258),
    [anon_sym_ge] = ACTIONS(3258),
    [anon_sym_gt] = ACTIONS(3258),
    [anon_sym_isa] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_QMARK] = ACTIONS(3258),
    [anon_sym_PERCENT2] = ACTIONS(3258),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1895] = {
    [sym_heredoc_content] = STATE(1895),
    [anon_sym_COLON] = ACTIONS(3322),
    [anon_sym_DOLLAR] = ACTIONS(3322),
    [anon_sym_EQ] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_AT] = ACTIONS(3322),
    [anon_sym_COMMA] = ACTIONS(3322),
    [anon_sym_RPAREN] = ACTIONS(3322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3322),
    [anon_sym_DASH_GT] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_PERCENT] = ACTIONS(3324),
    [anon_sym_GT] = ACTIONS(3324),
    [anon_sym_LT_LT] = ACTIONS(3324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3322),
    [anon_sym_PLUS_EQ] = ACTIONS(3322),
    [anon_sym_DASH_EQ] = ACTIONS(3322),
    [anon_sym_DOT_EQ] = ACTIONS(3322),
    [anon_sym_STAR_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_PERCENT_EQ] = ACTIONS(3324),
    [anon_sym_x_EQ] = ACTIONS(3322),
    [anon_sym_AMP_EQ] = ACTIONS(3322),
    [anon_sym_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_CARET_EQ] = ACTIONS(3322),
    [anon_sym_LT_LT_EQ] = ACTIONS(3322),
    [anon_sym_GT_GT_EQ] = ACTIONS(3322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3322),
    [anon_sym_DOT_DOT] = ACTIONS(3324),
    [anon_sym_STAR_STAR] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE] = ACTIONS(3324),
    [anon_sym_SLASH_SLASH] = ACTIONS(3324),
    [anon_sym_CARET_CARET] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3324),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym_GT_GT2] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_DOT] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_x] = ACTIONS(3324),
    [anon_sym_EQ_TILDE] = ACTIONS(3322),
    [anon_sym_BANG_TILDE] = ACTIONS(3322),
    [anon_sym_EQ_EQ] = ACTIONS(3324),
    [anon_sym_BANG_EQ] = ACTIONS(3322),
    [anon_sym_eq] = ACTIONS(3324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3322),
    [anon_sym_equ] = ACTIONS(3322),
    [anon_sym_eqr] = ACTIONS(3322),
    [anon_sym_ne] = ACTIONS(3322),
    [anon_sym_LT_EQ_GT] = ACTIONS(3322),
    [anon_sym_cmp] = ACTIONS(3322),
    [anon_sym_TILDE_TILDE] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_LT_EQ] = ACTIONS(3324),
    [anon_sym_GT_EQ] = ACTIONS(3322),
    [anon_sym_lt] = ACTIONS(3322),
    [anon_sym_le] = ACTIONS(3322),
    [anon_sym_ge] = ACTIONS(3322),
    [anon_sym_gt] = ACTIONS(3322),
    [anon_sym_isa] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_QMARK] = ACTIONS(3322),
    [anon_sym_PERCENT2] = ACTIONS(3322),
    [anon_sym_EQ_GT] = ACTIONS(3322),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1896] = {
    [sym_heredoc_content] = STATE(1896),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_DOLLAR] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_AT] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2855),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_PERCENT2] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1897] = {
    [sym_heredoc_content] = STATE(1897),
    [anon_sym_COLON] = ACTIONS(2638),
    [anon_sym_DOLLAR] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_AT] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2638),
    [anon_sym_RPAREN] = ACTIONS(2638),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DASH_GT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_PERCENT] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2640),
    [anon_sym_LT_LT] = ACTIONS(2640),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2638),
    [anon_sym_PLUS_EQ] = ACTIONS(2638),
    [anon_sym_DASH_EQ] = ACTIONS(2638),
    [anon_sym_DOT_EQ] = ACTIONS(2638),
    [anon_sym_STAR_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_PERCENT_EQ] = ACTIONS(2640),
    [anon_sym_x_EQ] = ACTIONS(2638),
    [anon_sym_AMP_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_CARET_EQ] = ACTIONS(2638),
    [anon_sym_LT_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_GT_EQ] = ACTIONS(2638),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2638),
    [anon_sym_DOT_DOT] = ACTIONS(2640),
    [anon_sym_STAR_STAR] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH] = ACTIONS(2640),
    [anon_sym_CARET_CARET] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_GT_GT2] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2640),
    [anon_sym_x] = ACTIONS(2640),
    [anon_sym_EQ_TILDE] = ACTIONS(2638),
    [anon_sym_BANG_TILDE] = ACTIONS(2638),
    [anon_sym_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_eq] = ACTIONS(2640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2638),
    [anon_sym_equ] = ACTIONS(2638),
    [anon_sym_eqr] = ACTIONS(2638),
    [anon_sym_ne] = ACTIONS(2638),
    [anon_sym_LT_EQ_GT] = ACTIONS(2638),
    [anon_sym_cmp] = ACTIONS(2638),
    [anon_sym_TILDE_TILDE] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2638),
    [anon_sym_lt] = ACTIONS(2638),
    [anon_sym_le] = ACTIONS(2638),
    [anon_sym_ge] = ACTIONS(2638),
    [anon_sym_gt] = ACTIONS(2638),
    [anon_sym_isa] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(2638),
    [anon_sym_PERCENT2] = ACTIONS(2638),
    [anon_sym_EQ_GT] = ACTIONS(2638),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1898] = {
    [sym_heredoc_content] = STATE(1898),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym_EQ] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_COMMA] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2502),
    [anon_sym_DASH_GT] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2504),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_PERCENT] = ACTIONS(2504),
    [anon_sym_GT] = ACTIONS(2504),
    [anon_sym_LT_LT] = ACTIONS(2504),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2502),
    [anon_sym_PLUS_EQ] = ACTIONS(2502),
    [anon_sym_DASH_EQ] = ACTIONS(2502),
    [anon_sym_DOT_EQ] = ACTIONS(2502),
    [anon_sym_STAR_EQ] = ACTIONS(2502),
    [anon_sym_SLASH_EQ] = ACTIONS(2502),
    [anon_sym_PERCENT_EQ] = ACTIONS(2502),
    [anon_sym_x_EQ] = ACTIONS(2502),
    [anon_sym_AMP_EQ] = ACTIONS(2502),
    [anon_sym_PIPE_EQ] = ACTIONS(2502),
    [anon_sym_CARET_EQ] = ACTIONS(2502),
    [anon_sym_LT_LT_EQ] = ACTIONS(2502),
    [anon_sym_GT_GT_EQ] = ACTIONS(2502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2504),
    [anon_sym_STAR_STAR] = ACTIONS(2504),
    [anon_sym_PIPE_PIPE] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(2504),
    [anon_sym_CARET_CARET] = ACTIONS(2502),
    [anon_sym_AMP_AMP] = ACTIONS(2504),
    [anon_sym_PIPE] = ACTIONS(2504),
    [anon_sym_CARET] = ACTIONS(2504),
    [anon_sym_AMP] = ACTIONS(2504),
    [anon_sym_GT_GT2] = ACTIONS(2504),
    [anon_sym_PLUS] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2504),
    [anon_sym_DOT] = ACTIONS(2504),
    [anon_sym_SLASH] = ACTIONS(2504),
    [anon_sym_x] = ACTIONS(2504),
    [anon_sym_EQ_TILDE] = ACTIONS(2502),
    [anon_sym_BANG_TILDE] = ACTIONS(2502),
    [anon_sym_EQ_EQ] = ACTIONS(2504),
    [anon_sym_BANG_EQ] = ACTIONS(2502),
    [anon_sym_eq] = ACTIONS(2504),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2502),
    [anon_sym_equ] = ACTIONS(2502),
    [anon_sym_eqr] = ACTIONS(2502),
    [anon_sym_ne] = ACTIONS(2502),
    [anon_sym_LT_EQ_GT] = ACTIONS(2502),
    [anon_sym_cmp] = ACTIONS(2502),
    [anon_sym_TILDE_TILDE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2504),
    [anon_sym_LT_EQ] = ACTIONS(2504),
    [anon_sym_GT_EQ] = ACTIONS(2502),
    [anon_sym_lt] = ACTIONS(2502),
    [anon_sym_le] = ACTIONS(2502),
    [anon_sym_ge] = ACTIONS(2502),
    [anon_sym_gt] = ACTIONS(2502),
    [anon_sym_isa] = ACTIONS(2502),
    [anon_sym_PLUS_PLUS] = ACTIONS(2502),
    [anon_sym_DASH_DASH] = ACTIONS(2502),
    [anon_sym_QMARK] = ACTIONS(2502),
    [anon_sym_EQ_GT] = ACTIONS(2502),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2502),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1899] = {
    [sym_heredoc_content] = STATE(1899),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_DOLLAR] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_AT] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_RPAREN] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3184),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_PERCENT2] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1900] = {
    [sym_heredoc_content] = STATE(1900),
    [anon_sym_COLON] = ACTIONS(3194),
    [anon_sym_DOLLAR] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_AT] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3196),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_PERCENT2] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1901] = {
    [sym_heredoc_content] = STATE(1901),
    [anon_sym_COLON] = ACTIONS(2857),
    [anon_sym_DOLLAR] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_AT] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2859),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_PERCENT2] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1902] = {
    [sym_heredoc_content] = STATE(1902),
    [anon_sym_COLON] = ACTIONS(3206),
    [anon_sym_DOLLAR] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_AT] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_RPAREN] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3208),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_PERCENT2] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1903] = {
    [sym_heredoc_content] = STATE(1903),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym_LPAREN] = ACTIONS(1705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1705),
    [anon_sym_DASH_GT] = ACTIONS(1705),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1705),
    [anon_sym_PERCENT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1705),
    [anon_sym_PLUS_EQ] = ACTIONS(1705),
    [anon_sym_DASH_EQ] = ACTIONS(1705),
    [anon_sym_DOT_EQ] = ACTIONS(1705),
    [anon_sym_STAR_EQ] = ACTIONS(1705),
    [anon_sym_SLASH_EQ] = ACTIONS(1705),
    [anon_sym_PERCENT_EQ] = ACTIONS(1705),
    [anon_sym_x_EQ] = ACTIONS(1705),
    [anon_sym_AMP_EQ] = ACTIONS(1705),
    [anon_sym_PIPE_EQ] = ACTIONS(1705),
    [anon_sym_CARET_EQ] = ACTIONS(1705),
    [anon_sym_LT_LT_EQ] = ACTIONS(1705),
    [anon_sym_GT_GT_EQ] = ACTIONS(1705),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1705),
    [anon_sym_DOT_DOT] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_PIPE_PIPE] = ACTIONS(1707),
    [anon_sym_SLASH_SLASH] = ACTIONS(1707),
    [anon_sym_CARET_CARET] = ACTIONS(1705),
    [anon_sym_AMP_AMP] = ACTIONS(1707),
    [anon_sym_PIPE] = ACTIONS(1707),
    [anon_sym_CARET] = ACTIONS(1707),
    [anon_sym_AMP] = ACTIONS(1707),
    [anon_sym_GT_GT2] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym_x] = ACTIONS(1707),
    [anon_sym_EQ_TILDE] = ACTIONS(1705),
    [anon_sym_BANG_TILDE] = ACTIONS(1705),
    [anon_sym_EQ_EQ] = ACTIONS(1707),
    [anon_sym_BANG_EQ] = ACTIONS(1705),
    [anon_sym_eq] = ACTIONS(1707),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1705),
    [anon_sym_equ] = ACTIONS(1705),
    [anon_sym_eqr] = ACTIONS(1705),
    [anon_sym_ne] = ACTIONS(1705),
    [anon_sym_LT_EQ_GT] = ACTIONS(1705),
    [anon_sym_cmp] = ACTIONS(1705),
    [anon_sym_TILDE_TILDE] = ACTIONS(1705),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1705),
    [anon_sym_lt] = ACTIONS(1705),
    [anon_sym_le] = ACTIONS(1705),
    [anon_sym_ge] = ACTIONS(1705),
    [anon_sym_gt] = ACTIONS(1705),
    [anon_sym_isa] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_QMARK] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1705),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1705),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1904] = {
    [sym_heredoc_content] = STATE(1904),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3224),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_PERCENT2] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1905] = {
    [sym_heredoc_content] = STATE(1905),
    [anon_sym_COLON] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3228),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_PERCENT2] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1906] = {
    [sym_heredoc_content] = STATE(1906),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym_EQ] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_COMMA] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2514),
    [anon_sym_DASH_GT] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2516),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_PERCENT] = ACTIONS(2516),
    [anon_sym_GT] = ACTIONS(2516),
    [anon_sym_LT_LT] = ACTIONS(2516),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2514),
    [anon_sym_PLUS_EQ] = ACTIONS(2514),
    [anon_sym_DASH_EQ] = ACTIONS(2514),
    [anon_sym_DOT_EQ] = ACTIONS(2514),
    [anon_sym_STAR_EQ] = ACTIONS(2514),
    [anon_sym_SLASH_EQ] = ACTIONS(2514),
    [anon_sym_PERCENT_EQ] = ACTIONS(2514),
    [anon_sym_x_EQ] = ACTIONS(2514),
    [anon_sym_AMP_EQ] = ACTIONS(2514),
    [anon_sym_PIPE_EQ] = ACTIONS(2514),
    [anon_sym_CARET_EQ] = ACTIONS(2514),
    [anon_sym_LT_LT_EQ] = ACTIONS(2514),
    [anon_sym_GT_GT_EQ] = ACTIONS(2514),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2516),
    [anon_sym_STAR_STAR] = ACTIONS(2516),
    [anon_sym_PIPE_PIPE] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(2516),
    [anon_sym_CARET_CARET] = ACTIONS(2514),
    [anon_sym_AMP_AMP] = ACTIONS(2516),
    [anon_sym_PIPE] = ACTIONS(2516),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_AMP] = ACTIONS(2516),
    [anon_sym_GT_GT2] = ACTIONS(2516),
    [anon_sym_PLUS] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2516),
    [anon_sym_DOT] = ACTIONS(2516),
    [anon_sym_SLASH] = ACTIONS(2516),
    [anon_sym_x] = ACTIONS(2516),
    [anon_sym_EQ_TILDE] = ACTIONS(2514),
    [anon_sym_BANG_TILDE] = ACTIONS(2514),
    [anon_sym_EQ_EQ] = ACTIONS(2516),
    [anon_sym_BANG_EQ] = ACTIONS(2514),
    [anon_sym_eq] = ACTIONS(2516),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2514),
    [anon_sym_equ] = ACTIONS(2514),
    [anon_sym_eqr] = ACTIONS(2514),
    [anon_sym_ne] = ACTIONS(2514),
    [anon_sym_LT_EQ_GT] = ACTIONS(2514),
    [anon_sym_cmp] = ACTIONS(2514),
    [anon_sym_TILDE_TILDE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2516),
    [anon_sym_LT_EQ] = ACTIONS(2516),
    [anon_sym_GT_EQ] = ACTIONS(2514),
    [anon_sym_lt] = ACTIONS(2514),
    [anon_sym_le] = ACTIONS(2514),
    [anon_sym_ge] = ACTIONS(2514),
    [anon_sym_gt] = ACTIONS(2514),
    [anon_sym_isa] = ACTIONS(2514),
    [anon_sym_PLUS_PLUS] = ACTIONS(2514),
    [anon_sym_DASH_DASH] = ACTIONS(2514),
    [anon_sym_QMARK] = ACTIONS(2514),
    [anon_sym_EQ_GT] = ACTIONS(2514),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2514),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1907] = {
    [sym_heredoc_content] = STATE(1907),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_COMMA] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2518),
    [anon_sym_DASH_GT] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2520),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_PERCENT] = ACTIONS(2520),
    [anon_sym_GT] = ACTIONS(2520),
    [anon_sym_LT_LT] = ACTIONS(2520),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2518),
    [anon_sym_PLUS_EQ] = ACTIONS(2518),
    [anon_sym_DASH_EQ] = ACTIONS(2518),
    [anon_sym_DOT_EQ] = ACTIONS(2518),
    [anon_sym_STAR_EQ] = ACTIONS(2518),
    [anon_sym_SLASH_EQ] = ACTIONS(2518),
    [anon_sym_PERCENT_EQ] = ACTIONS(2518),
    [anon_sym_x_EQ] = ACTIONS(2518),
    [anon_sym_AMP_EQ] = ACTIONS(2518),
    [anon_sym_PIPE_EQ] = ACTIONS(2518),
    [anon_sym_CARET_EQ] = ACTIONS(2518),
    [anon_sym_LT_LT_EQ] = ACTIONS(2518),
    [anon_sym_GT_GT_EQ] = ACTIONS(2518),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2520),
    [anon_sym_STAR_STAR] = ACTIONS(2520),
    [anon_sym_PIPE_PIPE] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(2520),
    [anon_sym_CARET_CARET] = ACTIONS(2518),
    [anon_sym_AMP_AMP] = ACTIONS(2520),
    [anon_sym_PIPE] = ACTIONS(2520),
    [anon_sym_CARET] = ACTIONS(2520),
    [anon_sym_AMP] = ACTIONS(2520),
    [anon_sym_GT_GT2] = ACTIONS(2520),
    [anon_sym_PLUS] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2520),
    [anon_sym_DOT] = ACTIONS(2520),
    [anon_sym_SLASH] = ACTIONS(2520),
    [anon_sym_x] = ACTIONS(2520),
    [anon_sym_EQ_TILDE] = ACTIONS(2518),
    [anon_sym_BANG_TILDE] = ACTIONS(2518),
    [anon_sym_EQ_EQ] = ACTIONS(2520),
    [anon_sym_BANG_EQ] = ACTIONS(2518),
    [anon_sym_eq] = ACTIONS(2520),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2518),
    [anon_sym_equ] = ACTIONS(2518),
    [anon_sym_eqr] = ACTIONS(2518),
    [anon_sym_ne] = ACTIONS(2518),
    [anon_sym_LT_EQ_GT] = ACTIONS(2518),
    [anon_sym_cmp] = ACTIONS(2518),
    [anon_sym_TILDE_TILDE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2520),
    [anon_sym_LT_EQ] = ACTIONS(2520),
    [anon_sym_GT_EQ] = ACTIONS(2518),
    [anon_sym_lt] = ACTIONS(2518),
    [anon_sym_le] = ACTIONS(2518),
    [anon_sym_ge] = ACTIONS(2518),
    [anon_sym_gt] = ACTIONS(2518),
    [anon_sym_isa] = ACTIONS(2518),
    [anon_sym_PLUS_PLUS] = ACTIONS(2518),
    [anon_sym_DASH_DASH] = ACTIONS(2518),
    [anon_sym_QMARK] = ACTIONS(2518),
    [anon_sym_EQ_GT] = ACTIONS(2518),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2518),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1908] = {
    [sym_heredoc_content] = STATE(1908),
    [anon_sym_LBRACE] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1847),
    [anon_sym_DASH_GT] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_PERCENT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_LT] = ACTIONS(1845),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1847),
    [anon_sym_PLUS_EQ] = ACTIONS(1847),
    [anon_sym_DASH_EQ] = ACTIONS(1847),
    [anon_sym_DOT_EQ] = ACTIONS(1847),
    [anon_sym_STAR_EQ] = ACTIONS(1847),
    [anon_sym_SLASH_EQ] = ACTIONS(1847),
    [anon_sym_PERCENT_EQ] = ACTIONS(1847),
    [anon_sym_x_EQ] = ACTIONS(1847),
    [anon_sym_AMP_EQ] = ACTIONS(1847),
    [anon_sym_PIPE_EQ] = ACTIONS(1847),
    [anon_sym_CARET_EQ] = ACTIONS(1847),
    [anon_sym_LT_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_GT_EQ] = ACTIONS(1847),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1847),
    [anon_sym_DOT_DOT] = ACTIONS(1845),
    [anon_sym_STAR_STAR] = ACTIONS(1845),
    [anon_sym_PIPE_PIPE] = ACTIONS(1845),
    [anon_sym_SLASH_SLASH] = ACTIONS(1845),
    [anon_sym_CARET_CARET] = ACTIONS(1847),
    [anon_sym_AMP_AMP] = ACTIONS(1845),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_GT_GT2] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1845),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_x] = ACTIONS(1845),
    [anon_sym_EQ_TILDE] = ACTIONS(1847),
    [anon_sym_BANG_TILDE] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_eq] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1847),
    [anon_sym_equ] = ACTIONS(1847),
    [anon_sym_eqr] = ACTIONS(1847),
    [anon_sym_ne] = ACTIONS(1847),
    [anon_sym_LT_EQ_GT] = ACTIONS(1847),
    [anon_sym_cmp] = ACTIONS(1847),
    [anon_sym_TILDE_TILDE] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1845),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_lt] = ACTIONS(1847),
    [anon_sym_le] = ACTIONS(1847),
    [anon_sym_ge] = ACTIONS(1847),
    [anon_sym_gt] = ACTIONS(1847),
    [anon_sym_isa] = ACTIONS(1847),
    [anon_sym_PLUS_PLUS] = ACTIONS(1847),
    [anon_sym_DASH_DASH] = ACTIONS(1847),
    [anon_sym_QMARK] = ACTIONS(1847),
    [anon_sym_EQ_GT] = ACTIONS(1847),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1847),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1909] = {
    [sym_heredoc_content] = STATE(1909),
    [anon_sym_COLON] = ACTIONS(3230),
    [anon_sym_DOLLAR] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_AT] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_RPAREN] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3232),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_PERCENT2] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1910] = {
    [sym_heredoc_content] = STATE(1910),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym_EQ] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_COMMA] = ACTIONS(2522),
    [anon_sym_LPAREN] = ACTIONS(2522),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2522),
    [anon_sym_DASH_GT] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2524),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_PERCENT] = ACTIONS(2524),
    [anon_sym_GT] = ACTIONS(2524),
    [anon_sym_LT_LT] = ACTIONS(2524),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2522),
    [anon_sym_PLUS_EQ] = ACTIONS(2522),
    [anon_sym_DASH_EQ] = ACTIONS(2522),
    [anon_sym_DOT_EQ] = ACTIONS(2522),
    [anon_sym_STAR_EQ] = ACTIONS(2522),
    [anon_sym_SLASH_EQ] = ACTIONS(2522),
    [anon_sym_PERCENT_EQ] = ACTIONS(2522),
    [anon_sym_x_EQ] = ACTIONS(2522),
    [anon_sym_AMP_EQ] = ACTIONS(2522),
    [anon_sym_PIPE_EQ] = ACTIONS(2522),
    [anon_sym_CARET_EQ] = ACTIONS(2522),
    [anon_sym_LT_LT_EQ] = ACTIONS(2522),
    [anon_sym_GT_GT_EQ] = ACTIONS(2522),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2522),
    [anon_sym_DOT_DOT] = ACTIONS(2524),
    [anon_sym_STAR_STAR] = ACTIONS(2524),
    [anon_sym_PIPE_PIPE] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH] = ACTIONS(2524),
    [anon_sym_CARET_CARET] = ACTIONS(2522),
    [anon_sym_AMP_AMP] = ACTIONS(2524),
    [anon_sym_PIPE] = ACTIONS(2524),
    [anon_sym_CARET] = ACTIONS(2524),
    [anon_sym_AMP] = ACTIONS(2524),
    [anon_sym_GT_GT2] = ACTIONS(2524),
    [anon_sym_PLUS] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2524),
    [anon_sym_DOT] = ACTIONS(2524),
    [anon_sym_SLASH] = ACTIONS(2524),
    [anon_sym_x] = ACTIONS(2524),
    [anon_sym_EQ_TILDE] = ACTIONS(2522),
    [anon_sym_BANG_TILDE] = ACTIONS(2522),
    [anon_sym_EQ_EQ] = ACTIONS(2524),
    [anon_sym_BANG_EQ] = ACTIONS(2522),
    [anon_sym_eq] = ACTIONS(2524),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2522),
    [anon_sym_equ] = ACTIONS(2522),
    [anon_sym_eqr] = ACTIONS(2522),
    [anon_sym_ne] = ACTIONS(2522),
    [anon_sym_LT_EQ_GT] = ACTIONS(2522),
    [anon_sym_cmp] = ACTIONS(2522),
    [anon_sym_TILDE_TILDE] = ACTIONS(2522),
    [anon_sym_LT] = ACTIONS(2524),
    [anon_sym_LT_EQ] = ACTIONS(2524),
    [anon_sym_GT_EQ] = ACTIONS(2522),
    [anon_sym_lt] = ACTIONS(2522),
    [anon_sym_le] = ACTIONS(2522),
    [anon_sym_ge] = ACTIONS(2522),
    [anon_sym_gt] = ACTIONS(2522),
    [anon_sym_isa] = ACTIONS(2522),
    [anon_sym_PLUS_PLUS] = ACTIONS(2522),
    [anon_sym_DASH_DASH] = ACTIONS(2522),
    [anon_sym_QMARK] = ACTIONS(2522),
    [anon_sym_EQ_GT] = ACTIONS(2522),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2522),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1911] = {
    [sym_heredoc_content] = STATE(1911),
    [anon_sym_LBRACE] = ACTIONS(2526),
    [anon_sym_SEMI] = ACTIONS(2526),
    [anon_sym_EQ] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_COMMA] = ACTIONS(2526),
    [anon_sym_LPAREN] = ACTIONS(2526),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2526),
    [anon_sym_DASH_GT] = ACTIONS(2526),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2526),
    [anon_sym_PERCENT] = ACTIONS(2528),
    [anon_sym_GT] = ACTIONS(2528),
    [anon_sym_LT_LT] = ACTIONS(2528),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2526),
    [anon_sym_PLUS_EQ] = ACTIONS(2526),
    [anon_sym_DASH_EQ] = ACTIONS(2526),
    [anon_sym_DOT_EQ] = ACTIONS(2526),
    [anon_sym_STAR_EQ] = ACTIONS(2526),
    [anon_sym_SLASH_EQ] = ACTIONS(2526),
    [anon_sym_PERCENT_EQ] = ACTIONS(2526),
    [anon_sym_x_EQ] = ACTIONS(2526),
    [anon_sym_AMP_EQ] = ACTIONS(2526),
    [anon_sym_PIPE_EQ] = ACTIONS(2526),
    [anon_sym_CARET_EQ] = ACTIONS(2526),
    [anon_sym_LT_LT_EQ] = ACTIONS(2526),
    [anon_sym_GT_GT_EQ] = ACTIONS(2526),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2526),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_STAR_STAR] = ACTIONS(2528),
    [anon_sym_PIPE_PIPE] = ACTIONS(2528),
    [anon_sym_SLASH_SLASH] = ACTIONS(2528),
    [anon_sym_CARET_CARET] = ACTIONS(2526),
    [anon_sym_AMP_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_GT_GT2] = ACTIONS(2528),
    [anon_sym_PLUS] = ACTIONS(2528),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_DOT] = ACTIONS(2528),
    [anon_sym_SLASH] = ACTIONS(2528),
    [anon_sym_x] = ACTIONS(2528),
    [anon_sym_EQ_TILDE] = ACTIONS(2526),
    [anon_sym_BANG_TILDE] = ACTIONS(2526),
    [anon_sym_EQ_EQ] = ACTIONS(2528),
    [anon_sym_BANG_EQ] = ACTIONS(2526),
    [anon_sym_eq] = ACTIONS(2528),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2526),
    [anon_sym_equ] = ACTIONS(2526),
    [anon_sym_eqr] = ACTIONS(2526),
    [anon_sym_ne] = ACTIONS(2526),
    [anon_sym_LT_EQ_GT] = ACTIONS(2526),
    [anon_sym_cmp] = ACTIONS(2526),
    [anon_sym_TILDE_TILDE] = ACTIONS(2526),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_LT_EQ] = ACTIONS(2528),
    [anon_sym_GT_EQ] = ACTIONS(2526),
    [anon_sym_lt] = ACTIONS(2526),
    [anon_sym_le] = ACTIONS(2526),
    [anon_sym_ge] = ACTIONS(2526),
    [anon_sym_gt] = ACTIONS(2526),
    [anon_sym_isa] = ACTIONS(2526),
    [anon_sym_PLUS_PLUS] = ACTIONS(2526),
    [anon_sym_DASH_DASH] = ACTIONS(2526),
    [anon_sym_QMARK] = ACTIONS(2526),
    [anon_sym_EQ_GT] = ACTIONS(2526),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2526),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1912] = {
    [sym_heredoc_content] = STATE(1912),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym_EQ] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_COMMA] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2510),
    [anon_sym_DASH_GT] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_PERCENT] = ACTIONS(2512),
    [anon_sym_GT] = ACTIONS(2512),
    [anon_sym_LT_LT] = ACTIONS(2512),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2510),
    [anon_sym_PLUS_EQ] = ACTIONS(2510),
    [anon_sym_DASH_EQ] = ACTIONS(2510),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_STAR_EQ] = ACTIONS(2510),
    [anon_sym_SLASH_EQ] = ACTIONS(2510),
    [anon_sym_PERCENT_EQ] = ACTIONS(2510),
    [anon_sym_x_EQ] = ACTIONS(2510),
    [anon_sym_AMP_EQ] = ACTIONS(2510),
    [anon_sym_PIPE_EQ] = ACTIONS(2510),
    [anon_sym_CARET_EQ] = ACTIONS(2510),
    [anon_sym_LT_LT_EQ] = ACTIONS(2510),
    [anon_sym_GT_GT_EQ] = ACTIONS(2510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2512),
    [anon_sym_STAR_STAR] = ACTIONS(2512),
    [anon_sym_PIPE_PIPE] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(2512),
    [anon_sym_CARET_CARET] = ACTIONS(2510),
    [anon_sym_AMP_AMP] = ACTIONS(2512),
    [anon_sym_PIPE] = ACTIONS(2512),
    [anon_sym_CARET] = ACTIONS(2512),
    [anon_sym_AMP] = ACTIONS(2512),
    [anon_sym_GT_GT2] = ACTIONS(2512),
    [anon_sym_PLUS] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2512),
    [anon_sym_DOT] = ACTIONS(2512),
    [anon_sym_SLASH] = ACTIONS(2512),
    [anon_sym_x] = ACTIONS(2512),
    [anon_sym_EQ_TILDE] = ACTIONS(2510),
    [anon_sym_BANG_TILDE] = ACTIONS(2510),
    [anon_sym_EQ_EQ] = ACTIONS(2512),
    [anon_sym_BANG_EQ] = ACTIONS(2510),
    [anon_sym_eq] = ACTIONS(2512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2510),
    [anon_sym_equ] = ACTIONS(2510),
    [anon_sym_eqr] = ACTIONS(2510),
    [anon_sym_ne] = ACTIONS(2510),
    [anon_sym_LT_EQ_GT] = ACTIONS(2510),
    [anon_sym_cmp] = ACTIONS(2510),
    [anon_sym_TILDE_TILDE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2512),
    [anon_sym_LT_EQ] = ACTIONS(2512),
    [anon_sym_GT_EQ] = ACTIONS(2510),
    [anon_sym_lt] = ACTIONS(2510),
    [anon_sym_le] = ACTIONS(2510),
    [anon_sym_ge] = ACTIONS(2510),
    [anon_sym_gt] = ACTIONS(2510),
    [anon_sym_isa] = ACTIONS(2510),
    [anon_sym_PLUS_PLUS] = ACTIONS(2510),
    [anon_sym_DASH_DASH] = ACTIONS(2510),
    [anon_sym_QMARK] = ACTIONS(2510),
    [anon_sym_EQ_GT] = ACTIONS(2510),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2510),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1913] = {
    [sym_heredoc_content] = STATE(1913),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2464),
    [anon_sym_EQ] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_COMMA] = ACTIONS(2464),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2464),
    [anon_sym_DASH_GT] = ACTIONS(2464),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2464),
    [anon_sym_PERCENT] = ACTIONS(2466),
    [anon_sym_GT] = ACTIONS(2466),
    [anon_sym_LT_LT] = ACTIONS(2466),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2464),
    [anon_sym_PLUS_EQ] = ACTIONS(2464),
    [anon_sym_DASH_EQ] = ACTIONS(2464),
    [anon_sym_DOT_EQ] = ACTIONS(2464),
    [anon_sym_STAR_EQ] = ACTIONS(2464),
    [anon_sym_SLASH_EQ] = ACTIONS(2464),
    [anon_sym_PERCENT_EQ] = ACTIONS(2464),
    [anon_sym_x_EQ] = ACTIONS(2464),
    [anon_sym_AMP_EQ] = ACTIONS(2464),
    [anon_sym_PIPE_EQ] = ACTIONS(2464),
    [anon_sym_CARET_EQ] = ACTIONS(2464),
    [anon_sym_LT_LT_EQ] = ACTIONS(2464),
    [anon_sym_GT_GT_EQ] = ACTIONS(2464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2464),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_STAR_STAR] = ACTIONS(2466),
    [anon_sym_PIPE_PIPE] = ACTIONS(2466),
    [anon_sym_SLASH_SLASH] = ACTIONS(2466),
    [anon_sym_CARET_CARET] = ACTIONS(2464),
    [anon_sym_AMP_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_CARET] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_GT_GT2] = ACTIONS(2466),
    [anon_sym_PLUS] = ACTIONS(2466),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_DOT] = ACTIONS(2466),
    [anon_sym_SLASH] = ACTIONS(2466),
    [anon_sym_x] = ACTIONS(2466),
    [anon_sym_EQ_TILDE] = ACTIONS(2464),
    [anon_sym_BANG_TILDE] = ACTIONS(2464),
    [anon_sym_EQ_EQ] = ACTIONS(2466),
    [anon_sym_BANG_EQ] = ACTIONS(2464),
    [anon_sym_eq] = ACTIONS(2466),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2464),
    [anon_sym_equ] = ACTIONS(2464),
    [anon_sym_eqr] = ACTIONS(2464),
    [anon_sym_ne] = ACTIONS(2464),
    [anon_sym_LT_EQ_GT] = ACTIONS(2464),
    [anon_sym_cmp] = ACTIONS(2464),
    [anon_sym_TILDE_TILDE] = ACTIONS(2464),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_LT_EQ] = ACTIONS(2466),
    [anon_sym_GT_EQ] = ACTIONS(2464),
    [anon_sym_lt] = ACTIONS(2464),
    [anon_sym_le] = ACTIONS(2464),
    [anon_sym_ge] = ACTIONS(2464),
    [anon_sym_gt] = ACTIONS(2464),
    [anon_sym_isa] = ACTIONS(2464),
    [anon_sym_PLUS_PLUS] = ACTIONS(2464),
    [anon_sym_DASH_DASH] = ACTIONS(2464),
    [anon_sym_QMARK] = ACTIONS(2464),
    [anon_sym_EQ_GT] = ACTIONS(2464),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2464),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1914] = {
    [sym_heredoc_content] = STATE(1914),
    [anon_sym_COLON] = ACTIONS(2889),
    [anon_sym_DOLLAR] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_AT] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2891),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_PERCENT2] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1915] = {
    [sym_heredoc_content] = STATE(1915),
    [anon_sym_COLON] = ACTIONS(2865),
    [anon_sym_DOLLAR] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_AT] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2867),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_PERCENT2] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1916] = {
    [sym_heredoc_content] = STATE(1916),
    [anon_sym_COLON] = ACTIONS(3242),
    [anon_sym_DOLLAR] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_AT] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_RPAREN] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3244),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_PERCENT2] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1917] = {
    [sym_heredoc_content] = STATE(1917),
    [anon_sym_COLON] = ACTIONS(3170),
    [anon_sym_DOLLAR] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_AT] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_RPAREN] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3172),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_PERCENT2] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1918] = {
    [sym_heredoc_content] = STATE(1918),
    [anon_sym_COLON] = ACTIONS(3090),
    [anon_sym_DOLLAR] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_AT] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_RPAREN] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_DOT_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3092),
    [anon_sym_x_EQ] = ACTIONS(3090),
    [anon_sym_AMP_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_CARET_EQ] = ACTIONS(3090),
    [anon_sym_LT_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_GT_EQ] = ACTIONS(3090),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT] = ACTIONS(3092),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH] = ACTIONS(3092),
    [anon_sym_CARET_CARET] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_PIPE] = ACTIONS(3092),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_eq] = ACTIONS(3092),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_equ] = ACTIONS(3090),
    [anon_sym_eqr] = ACTIONS(3090),
    [anon_sym_ne] = ACTIONS(3090),
    [anon_sym_LT_EQ_GT] = ACTIONS(3090),
    [anon_sym_cmp] = ACTIONS(3090),
    [anon_sym_TILDE_TILDE] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_lt] = ACTIONS(3090),
    [anon_sym_le] = ACTIONS(3090),
    [anon_sym_ge] = ACTIONS(3090),
    [anon_sym_gt] = ACTIONS(3090),
    [anon_sym_isa] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3090),
    [anon_sym_PERCENT2] = ACTIONS(3090),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1919] = {
    [sym_heredoc_content] = STATE(1919),
    [anon_sym_COLON] = ACTIONS(2909),
    [anon_sym_DOLLAR] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_AT] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_RPAREN] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(1971),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(1971),
    [anon_sym_STAR_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_SLASH_SLASH] = ACTIONS(1971),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_GT_GT2] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_DOT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_x] = ACTIONS(1971),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(1971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_PERCENT2] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1920] = {
    [sym_heredoc_content] = STATE(1920),
    [anon_sym_COLON] = ACTIONS(2939),
    [anon_sym_DOLLAR] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_AT] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2941),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_PERCENT2] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1921] = {
    [sym_heredoc_content] = STATE(1921),
    [anon_sym_COLON] = ACTIONS(3254),
    [anon_sym_DOLLAR] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_AT] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_RPAREN] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3256),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_PERCENT2] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1922] = {
    [sym_heredoc_content] = STATE(1922),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_DOLLAR] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_AT] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2871),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_PERCENT2] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1923] = {
    [sym_heredoc_content] = STATE(1923),
    [anon_sym_COLON] = ACTIONS(3086),
    [anon_sym_DOLLAR] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3566),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3086),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3568),
    [anon_sym_PLUS_EQ] = ACTIONS(3568),
    [anon_sym_DASH_EQ] = ACTIONS(3568),
    [anon_sym_DOT_EQ] = ACTIONS(3568),
    [anon_sym_STAR_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_PERCENT_EQ] = ACTIONS(3566),
    [anon_sym_x_EQ] = ACTIONS(3568),
    [anon_sym_AMP_EQ] = ACTIONS(3568),
    [anon_sym_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_CARET_EQ] = ACTIONS(3568),
    [anon_sym_LT_LT_EQ] = ACTIONS(3568),
    [anon_sym_GT_GT_EQ] = ACTIONS(3568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3568),
    [anon_sym_DOT_DOT] = ACTIONS(3582),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3586),
    [anon_sym_SLASH_SLASH] = ACTIONS(3586),
    [anon_sym_CARET_CARET] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3612),
    [anon_sym_PERCENT2] = ACTIONS(3086),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1924] = {
    [sym_heredoc_content] = STATE(1924),
    [anon_sym_COLON] = ACTIONS(3270),
    [anon_sym_DOLLAR] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_AT] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3272),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_PERCENT2] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1925] = {
    [sym_heredoc_content] = STATE(1925),
    [anon_sym_COLON] = ACTIONS(3278),
    [anon_sym_DOLLAR] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_AT] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_RPAREN] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3280),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_PERCENT2] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1926] = {
    [sym_heredoc_content] = STATE(1926),
    [anon_sym_COLON] = ACTIONS(3282),
    [anon_sym_DOLLAR] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_AT] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_RPAREN] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3284),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_PERCENT2] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1927] = {
    [sym_heredoc_content] = STATE(1927),
    [anon_sym_COLON] = ACTIONS(3286),
    [anon_sym_DOLLAR] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_AT] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_RPAREN] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3288),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_PERCENT2] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1928] = {
    [sym_heredoc_content] = STATE(1928),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_DOLLAR] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_AT] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2476),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_PERCENT2] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1929] = {
    [sym_heredoc_content] = STATE(1929),
    [anon_sym_COLON] = ACTIONS(2861),
    [anon_sym_DOLLAR] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_AT] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2863),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_PERCENT2] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1930] = {
    [sym_heredoc_content] = STATE(1930),
    [anon_sym_COLON] = ACTIONS(3262),
    [anon_sym_DOLLAR] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_AT] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_RPAREN] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3264),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_PERCENT2] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1931] = {
    [sym_heredoc_content] = STATE(1931),
    [anon_sym_COLON] = ACTIONS(3314),
    [anon_sym_DOLLAR] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_AT] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3316),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_PERCENT2] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1932] = {
    [sym_heredoc_content] = STATE(1932),
    [anon_sym_COLON] = ACTIONS(1839),
    [anon_sym_DOLLAR] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_AT] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1830),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_PERCENT2] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1933] = {
    [sym_heredoc_content] = STATE(1933),
    [anon_sym_COLON] = ACTIONS(3294),
    [anon_sym_DOLLAR] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_AT] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_RPAREN] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3296),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_PERCENT2] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1934] = {
    [sym_heredoc_content] = STATE(1934),
    [anon_sym_COLON] = ACTIONS(3298),
    [anon_sym_DOLLAR] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_AT] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_RPAREN] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3300),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_PERCENT2] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1935] = {
    [sym_heredoc_content] = STATE(1935),
    [anon_sym_COLON] = ACTIONS(2961),
    [anon_sym_DOLLAR] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2963),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_PERCENT2] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1936] = {
    [sym_heredoc_content] = STATE(1936),
    [anon_sym_COLON] = ACTIONS(2976),
    [anon_sym_DOLLAR] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_AT] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(2976),
    [anon_sym_RPAREN] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2978),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_PERCENT2] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(2976),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1937] = {
    [sym_heredoc_content] = STATE(1937),
    [anon_sym_COLON] = ACTIONS(3078),
    [anon_sym_DOLLAR] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_AT] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_RPAREN] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3080),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_PERCENT2] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1938] = {
    [sym_heredoc_content] = STATE(1938),
    [anon_sym_COLON] = ACTIONS(2877),
    [anon_sym_DOLLAR] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_AT] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2879),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_PERCENT2] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1939] = {
    [sym_heredoc_content] = STATE(1939),
    [anon_sym_COLON] = ACTIONS(2881),
    [anon_sym_DOLLAR] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_AT] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2883),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_PERCENT2] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1940] = {
    [sym_heredoc_content] = STATE(1940),
    [anon_sym_COLON] = ACTIONS(3030),
    [anon_sym_DOLLAR] = ACTIONS(3030),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_AT] = ACTIONS(3030),
    [anon_sym_COMMA] = ACTIONS(3030),
    [anon_sym_RPAREN] = ACTIONS(3030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3030),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3030),
    [anon_sym_PLUS_EQ] = ACTIONS(3030),
    [anon_sym_DASH_EQ] = ACTIONS(3030),
    [anon_sym_DOT_EQ] = ACTIONS(3030),
    [anon_sym_STAR_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_PERCENT_EQ] = ACTIONS(3032),
    [anon_sym_x_EQ] = ACTIONS(3030),
    [anon_sym_AMP_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_CARET_EQ] = ACTIONS(3030),
    [anon_sym_LT_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_GT_EQ] = ACTIONS(3030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3030),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH] = ACTIONS(3032),
    [anon_sym_CARET_CARET] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_CARET] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3030),
    [anon_sym_eq] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3030),
    [anon_sym_equ] = ACTIONS(3030),
    [anon_sym_eqr] = ACTIONS(3030),
    [anon_sym_ne] = ACTIONS(3030),
    [anon_sym_LT_EQ_GT] = ACTIONS(3030),
    [anon_sym_cmp] = ACTIONS(3030),
    [anon_sym_TILDE_TILDE] = ACTIONS(3030),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3030),
    [anon_sym_lt] = ACTIONS(3030),
    [anon_sym_le] = ACTIONS(3030),
    [anon_sym_ge] = ACTIONS(3030),
    [anon_sym_gt] = ACTIONS(3030),
    [anon_sym_isa] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3030),
    [anon_sym_PERCENT2] = ACTIONS(3030),
    [anon_sym_EQ_GT] = ACTIONS(3030),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1941] = {
    [sym_heredoc_content] = STATE(1941),
    [anon_sym_COLON] = ACTIONS(3266),
    [anon_sym_DOLLAR] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_AT] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_RPAREN] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3268),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_PERCENT2] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1942] = {
    [sym_heredoc_content] = STATE(1942),
    [anon_sym_COLON] = ACTIONS(3066),
    [anon_sym_DOLLAR] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_AT] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_RPAREN] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3068),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_PERCENT2] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1943] = {
    [sym_heredoc_content] = STATE(1943),
    [anon_sym_COLON] = ACTIONS(2634),
    [anon_sym_DOLLAR] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_AT] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2636),
    [anon_sym_x_EQ] = ACTIONS(2634),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2634),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2634),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2634),
    [anon_sym_le] = ACTIONS(2634),
    [anon_sym_ge] = ACTIONS(2634),
    [anon_sym_gt] = ACTIONS(2634),
    [anon_sym_isa] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_PERCENT2] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1944] = {
    [sym_heredoc_content] = STATE(1944),
    [anon_sym_COLON] = ACTIONS(3214),
    [anon_sym_DOLLAR] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_AT] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3216),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_PERCENT2] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1945] = {
    [sym_heredoc_content] = STATE(1945),
    [anon_sym_COLON] = ACTIONS(3246),
    [anon_sym_DOLLAR] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_AT] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3248),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_PERCENT2] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1946] = {
    [sym_heredoc_content] = STATE(1946),
    [anon_sym_COLON] = ACTIONS(2927),
    [anon_sym_DOLLAR] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_AT] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2929),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_PERCENT2] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1947] = {
    [sym_heredoc_content] = STATE(1947),
    [anon_sym_COLON] = ACTIONS(2935),
    [anon_sym_DOLLAR] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_AT] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2937),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_PERCENT2] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1948] = {
    [sym_heredoc_content] = STATE(1948),
    [anon_sym_COLON] = ACTIONS(2943),
    [anon_sym_DOLLAR] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_AT] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2945),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_PERCENT2] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1949] = {
    [sym_heredoc_content] = STATE(1949),
    [anon_sym_COLON] = ACTIONS(2984),
    [anon_sym_DOLLAR] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_AT] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_DASH_GT] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(2984),
    [anon_sym_DASH_EQ] = ACTIONS(2984),
    [anon_sym_DOT_EQ] = ACTIONS(2984),
    [anon_sym_STAR_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_PERCENT_EQ] = ACTIONS(2986),
    [anon_sym_x_EQ] = ACTIONS(2984),
    [anon_sym_AMP_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_CARET_EQ] = ACTIONS(2984),
    [anon_sym_LT_LT_EQ] = ACTIONS(2984),
    [anon_sym_GT_GT_EQ] = ACTIONS(2984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_STAR_STAR] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2986),
    [anon_sym_SLASH_SLASH] = ACTIONS(2986),
    [anon_sym_CARET_CARET] = ACTIONS(2984),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_CARET] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_GT_GT2] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_x] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_eq] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_equ] = ACTIONS(2984),
    [anon_sym_eqr] = ACTIONS(2984),
    [anon_sym_ne] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_cmp] = ACTIONS(2984),
    [anon_sym_TILDE_TILDE] = ACTIONS(2984),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_lt] = ACTIONS(2984),
    [anon_sym_le] = ACTIONS(2984),
    [anon_sym_ge] = ACTIONS(2984),
    [anon_sym_gt] = ACTIONS(2984),
    [anon_sym_isa] = ACTIONS(2984),
    [anon_sym_PLUS_PLUS] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_PERCENT2] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1950] = {
    [sym_heredoc_content] = STATE(1950),
    [anon_sym_COLON] = ACTIONS(2976),
    [anon_sym_DOLLAR] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_AT] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(3694),
    [anon_sym_RPAREN] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2978),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_PERCENT2] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(3694),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1951] = {
    [sym_heredoc_content] = STATE(1951),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_DOLLAR] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_AT] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2949),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_x] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2947),
    [anon_sym_BANG_TILDE] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_PERCENT2] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1952] = {
    [sym_heredoc_content] = STATE(1952),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_DOLLAR] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_PERCENT] = ACTIONS(2958),
    [anon_sym_GT] = ACTIONS(2958),
    [anon_sym_LT_LT] = ACTIONS(2958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2958),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2958),
    [anon_sym_STAR_STAR] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2958),
    [anon_sym_SLASH_SLASH] = ACTIONS(2958),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_PIPE] = ACTIONS(2958),
    [anon_sym_CARET] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2958),
    [anon_sym_GT_GT2] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_DOT] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_x] = ACTIONS(2958),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2958),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2958),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_LT_EQ] = ACTIONS(2958),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_PERCENT2] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1953] = {
    [sym_heredoc_content] = STATE(1953),
    [anon_sym_COLON] = ACTIONS(3054),
    [anon_sym_DOLLAR] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_AT] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3056),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_x] = ACTIONS(3056),
    [anon_sym_EQ_TILDE] = ACTIONS(3054),
    [anon_sym_BANG_TILDE] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_PERCENT2] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1954] = {
    [sym_heredoc_content] = STATE(1954),
    [anon_sym_COLON] = ACTIONS(3150),
    [anon_sym_DOLLAR] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_AT] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3152),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_PERCENT2] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1955] = {
    [sym_heredoc_content] = STATE(1955),
    [anon_sym_COLON] = ACTIONS(3234),
    [anon_sym_DOLLAR] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_AT] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_RPAREN] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3236),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_PERCENT2] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1956] = {
    [sym_heredoc_content] = STATE(1956),
    [anon_sym_COLON] = ACTIONS(3302),
    [anon_sym_DOLLAR] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_AT] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_RPAREN] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3304),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_PERCENT2] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1957] = {
    [sym_heredoc_content] = STATE(1957),
    [anon_sym_COLON] = ACTIONS(2969),
    [anon_sym_DOLLAR] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2971),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(3696),
    [anon_sym_DASH_DASH] = ACTIONS(3696),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_PERCENT2] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1958] = {
    [sym_heredoc_content] = STATE(1958),
    [anon_sym_COLON] = ACTIONS(3306),
    [anon_sym_DOLLAR] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_AT] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_RPAREN] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3308),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_PERCENT2] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1959] = {
    [sym_heredoc_content] = STATE(1959),
    [anon_sym_COLON] = ACTIONS(3310),
    [anon_sym_DOLLAR] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_AT] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_RPAREN] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3312),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_PERCENT2] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1960] = {
    [sym_heredoc_content] = STATE(1960),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_DOLLAR] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_AT] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2650),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_PERCENT2] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1961] = {
    [sym_heredoc_content] = STATE(1961),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_DOLLAR] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_AT] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2847),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_PERCENT2] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1962] = {
    [sym_heredoc_content] = STATE(1962),
    [anon_sym_COLON] = ACTIONS(3290),
    [anon_sym_DOLLAR] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_AT] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_RPAREN] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3292),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_PERCENT2] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1963] = {
    [sym_heredoc_content] = STATE(1963),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_DOLLAR] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_AT] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2843),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_PERCENT2] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1964] = {
    [sym_heredoc_content] = STATE(1964),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_DOLLAR] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2953),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_PERCENT2] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1965] = {
    [sym_heredoc_content] = STATE(1965),
    [anon_sym_COLON] = ACTIONS(3022),
    [anon_sym_DOLLAR] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_AT] = ACTIONS(3022),
    [anon_sym_COMMA] = ACTIONS(3022),
    [anon_sym_RPAREN] = ACTIONS(3022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DASH_GT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3024),
    [anon_sym_PERCENT] = ACTIONS(3024),
    [anon_sym_GT] = ACTIONS(3024),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3022),
    [anon_sym_DASH_EQ] = ACTIONS(3022),
    [anon_sym_DOT_EQ] = ACTIONS(3022),
    [anon_sym_STAR_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_PERCENT_EQ] = ACTIONS(3024),
    [anon_sym_x_EQ] = ACTIONS(3022),
    [anon_sym_AMP_EQ] = ACTIONS(3022),
    [anon_sym_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_CARET_EQ] = ACTIONS(3022),
    [anon_sym_LT_LT_EQ] = ACTIONS(3022),
    [anon_sym_GT_GT_EQ] = ACTIONS(3022),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3022),
    [anon_sym_DOT_DOT] = ACTIONS(3024),
    [anon_sym_STAR_STAR] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_SLASH_SLASH] = ACTIONS(3024),
    [anon_sym_CARET_CARET] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_GT_GT2] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3024),
    [anon_sym_x] = ACTIONS(3024),
    [anon_sym_EQ_TILDE] = ACTIONS(3022),
    [anon_sym_BANG_TILDE] = ACTIONS(3022),
    [anon_sym_EQ_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_eq] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3022),
    [anon_sym_equ] = ACTIONS(3022),
    [anon_sym_eqr] = ACTIONS(3022),
    [anon_sym_ne] = ACTIONS(3022),
    [anon_sym_LT_EQ_GT] = ACTIONS(3022),
    [anon_sym_cmp] = ACTIONS(3022),
    [anon_sym_TILDE_TILDE] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3022),
    [anon_sym_lt] = ACTIONS(3022),
    [anon_sym_le] = ACTIONS(3022),
    [anon_sym_ge] = ACTIONS(3022),
    [anon_sym_gt] = ACTIONS(3022),
    [anon_sym_isa] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_PERCENT2] = ACTIONS(3022),
    [anon_sym_EQ_GT] = ACTIONS(3022),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1966] = {
    [sym_heredoc_content] = STATE(1966),
    [anon_sym_COLON] = ACTIONS(3034),
    [anon_sym_DOLLAR] = ACTIONS(3034),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_AT] = ACTIONS(3034),
    [anon_sym_COMMA] = ACTIONS(3034),
    [anon_sym_RPAREN] = ACTIONS(3034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3034),
    [anon_sym_DASH_GT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_DOT_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3036),
    [anon_sym_x_EQ] = ACTIONS(3034),
    [anon_sym_AMP_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_CARET_EQ] = ACTIONS(3034),
    [anon_sym_LT_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_GT_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_STAR_STAR] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH] = ACTIONS(3036),
    [anon_sym_CARET_CARET] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_GT_GT2] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_x] = ACTIONS(3036),
    [anon_sym_EQ_TILDE] = ACTIONS(3034),
    [anon_sym_BANG_TILDE] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ] = ACTIONS(3034),
    [anon_sym_eq] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_equ] = ACTIONS(3034),
    [anon_sym_eqr] = ACTIONS(3034),
    [anon_sym_ne] = ACTIONS(3034),
    [anon_sym_LT_EQ_GT] = ACTIONS(3034),
    [anon_sym_cmp] = ACTIONS(3034),
    [anon_sym_TILDE_TILDE] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_lt] = ACTIONS(3034),
    [anon_sym_le] = ACTIONS(3034),
    [anon_sym_ge] = ACTIONS(3034),
    [anon_sym_gt] = ACTIONS(3034),
    [anon_sym_isa] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_QMARK] = ACTIONS(3034),
    [anon_sym_PERCENT2] = ACTIONS(3034),
    [anon_sym_EQ_GT] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1967] = {
    [sym_heredoc_content] = STATE(1967),
    [anon_sym_COLON] = ACTIONS(3166),
    [anon_sym_DOLLAR] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_AT] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3168),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_PERCENT2] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1968] = {
    [sym_heredoc_content] = STATE(1968),
    [anon_sym_COLON] = ACTIONS(2965),
    [anon_sym_DOLLAR] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2967),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_PERCENT2] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1969] = {
    [sym_heredoc_content] = STATE(1969),
    [anon_sym_COLON] = ACTIONS(3118),
    [anon_sym_DOLLAR] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_AT] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3120),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_PERCENT2] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1970] = {
    [sym_heredoc_content] = STATE(1970),
    [anon_sym_COLON] = ACTIONS(3318),
    [anon_sym_DOLLAR] = ACTIONS(3318),
    [anon_sym_EQ] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_AT] = ACTIONS(3318),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_RPAREN] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3318),
    [anon_sym_DASH_GT] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3320),
    [anon_sym_PERCENT] = ACTIONS(3320),
    [anon_sym_GT] = ACTIONS(3320),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3318),
    [anon_sym_PLUS_EQ] = ACTIONS(3318),
    [anon_sym_DASH_EQ] = ACTIONS(3318),
    [anon_sym_DOT_EQ] = ACTIONS(3318),
    [anon_sym_STAR_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_PERCENT_EQ] = ACTIONS(3320),
    [anon_sym_x_EQ] = ACTIONS(3318),
    [anon_sym_AMP_EQ] = ACTIONS(3318),
    [anon_sym_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_CARET_EQ] = ACTIONS(3318),
    [anon_sym_LT_LT_EQ] = ACTIONS(3318),
    [anon_sym_GT_GT_EQ] = ACTIONS(3318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3318),
    [anon_sym_DOT_DOT] = ACTIONS(3320),
    [anon_sym_STAR_STAR] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE] = ACTIONS(3320),
    [anon_sym_SLASH_SLASH] = ACTIONS(3320),
    [anon_sym_CARET_CARET] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3320),
    [anon_sym_PIPE] = ACTIONS(3320),
    [anon_sym_CARET] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym_GT_GT2] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_DOT] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_x] = ACTIONS(3320),
    [anon_sym_EQ_TILDE] = ACTIONS(3318),
    [anon_sym_BANG_TILDE] = ACTIONS(3318),
    [anon_sym_EQ_EQ] = ACTIONS(3320),
    [anon_sym_BANG_EQ] = ACTIONS(3318),
    [anon_sym_eq] = ACTIONS(3320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3318),
    [anon_sym_equ] = ACTIONS(3318),
    [anon_sym_eqr] = ACTIONS(3318),
    [anon_sym_ne] = ACTIONS(3318),
    [anon_sym_LT_EQ_GT] = ACTIONS(3318),
    [anon_sym_cmp] = ACTIONS(3318),
    [anon_sym_TILDE_TILDE] = ACTIONS(3318),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_LT_EQ] = ACTIONS(3320),
    [anon_sym_GT_EQ] = ACTIONS(3318),
    [anon_sym_lt] = ACTIONS(3318),
    [anon_sym_le] = ACTIONS(3318),
    [anon_sym_ge] = ACTIONS(3318),
    [anon_sym_gt] = ACTIONS(3318),
    [anon_sym_isa] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_QMARK] = ACTIONS(3318),
    [anon_sym_PERCENT2] = ACTIONS(3318),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1971] = {
    [sym_heredoc_content] = STATE(1971),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_DOLLAR] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_AT] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2851),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_PERCENT2] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1972] = {
    [sym_heredoc_content] = STATE(1972),
    [anon_sym_COLON] = ACTIONS(2885),
    [anon_sym_DOLLAR] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_AT] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2887),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_PERCENT2] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1973] = {
    [sym_heredoc_content] = STATE(1973),
    [anon_sym_COLON] = ACTIONS(3146),
    [anon_sym_DOLLAR] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_AT] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3148),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_PERCENT2] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1974] = {
    [sym_heredoc_content] = STATE(1974),
    [anon_sym_COLON] = ACTIONS(3174),
    [anon_sym_DOLLAR] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3566),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3174),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RPAREN] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3568),
    [anon_sym_PLUS_EQ] = ACTIONS(3568),
    [anon_sym_DASH_EQ] = ACTIONS(3568),
    [anon_sym_DOT_EQ] = ACTIONS(3568),
    [anon_sym_STAR_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_PERCENT_EQ] = ACTIONS(3566),
    [anon_sym_x_EQ] = ACTIONS(3568),
    [anon_sym_AMP_EQ] = ACTIONS(3568),
    [anon_sym_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_CARET_EQ] = ACTIONS(3568),
    [anon_sym_LT_LT_EQ] = ACTIONS(3568),
    [anon_sym_GT_GT_EQ] = ACTIONS(3568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3568),
    [anon_sym_DOT_DOT] = ACTIONS(3582),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3586),
    [anon_sym_SLASH_SLASH] = ACTIONS(3586),
    [anon_sym_CARET_CARET] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3612),
    [anon_sym_PERCENT2] = ACTIONS(3174),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1975] = {
    [sym_heredoc_content] = STATE(1975),
    [anon_sym_COLON] = ACTIONS(3070),
    [anon_sym_DOLLAR] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_AT] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_RPAREN] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3072),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_PERCENT2] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1976] = {
    [sym_heredoc_content] = STATE(1976),
    [anon_sym_COLON] = ACTIONS(2980),
    [anon_sym_DOLLAR] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_AT] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(2980),
    [anon_sym_RPAREN] = ACTIONS(2980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2980),
    [anon_sym_DASH_GT] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_PERCENT] = ACTIONS(2982),
    [anon_sym_GT] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2982),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(2980),
    [anon_sym_DASH_EQ] = ACTIONS(2980),
    [anon_sym_DOT_EQ] = ACTIONS(2980),
    [anon_sym_STAR_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_PERCENT_EQ] = ACTIONS(2982),
    [anon_sym_x_EQ] = ACTIONS(2980),
    [anon_sym_AMP_EQ] = ACTIONS(2980),
    [anon_sym_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_CARET_EQ] = ACTIONS(2980),
    [anon_sym_LT_LT_EQ] = ACTIONS(2980),
    [anon_sym_GT_GT_EQ] = ACTIONS(2980),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2980),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_STAR_STAR] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_SLASH_SLASH] = ACTIONS(2982),
    [anon_sym_CARET_CARET] = ACTIONS(2980),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_PIPE] = ACTIONS(2982),
    [anon_sym_CARET] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2982),
    [anon_sym_GT_GT2] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_DOT] = ACTIONS(2982),
    [anon_sym_SLASH] = ACTIONS(2982),
    [anon_sym_x] = ACTIONS(2982),
    [anon_sym_EQ_TILDE] = ACTIONS(2980),
    [anon_sym_BANG_TILDE] = ACTIONS(2980),
    [anon_sym_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2980),
    [anon_sym_eq] = ACTIONS(2982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2980),
    [anon_sym_equ] = ACTIONS(2980),
    [anon_sym_eqr] = ACTIONS(2980),
    [anon_sym_ne] = ACTIONS(2980),
    [anon_sym_LT_EQ_GT] = ACTIONS(2980),
    [anon_sym_cmp] = ACTIONS(2980),
    [anon_sym_TILDE_TILDE] = ACTIONS(2980),
    [anon_sym_LT] = ACTIONS(2982),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2980),
    [anon_sym_lt] = ACTIONS(2980),
    [anon_sym_le] = ACTIONS(2980),
    [anon_sym_ge] = ACTIONS(2980),
    [anon_sym_gt] = ACTIONS(2980),
    [anon_sym_isa] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_QMARK] = ACTIONS(2980),
    [anon_sym_PERCENT2] = ACTIONS(2980),
    [anon_sym_EQ_GT] = ACTIONS(2980),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1977] = {
    [sym_heredoc_content] = STATE(1977),
    [anon_sym_COLON] = ACTIONS(2618),
    [anon_sym_DOLLAR] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_AT] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2618),
    [anon_sym_RPAREN] = ACTIONS(2618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DASH_GT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2622),
    [anon_sym_GT] = ACTIONS(2622),
    [anon_sym_LT_LT] = ACTIONS(2622),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2618),
    [anon_sym_DASH_EQ] = ACTIONS(2618),
    [anon_sym_DOT_EQ] = ACTIONS(2618),
    [anon_sym_STAR_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_PERCENT_EQ] = ACTIONS(2622),
    [anon_sym_x_EQ] = ACTIONS(2618),
    [anon_sym_AMP_EQ] = ACTIONS(2618),
    [anon_sym_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_CARET_EQ] = ACTIONS(2618),
    [anon_sym_LT_LT_EQ] = ACTIONS(2618),
    [anon_sym_GT_GT_EQ] = ACTIONS(2618),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2618),
    [anon_sym_DOT_DOT] = ACTIONS(2622),
    [anon_sym_STAR_STAR] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH] = ACTIONS(2622),
    [anon_sym_CARET_CARET] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_PIPE] = ACTIONS(2622),
    [anon_sym_CARET] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_GT_GT2] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_DOT] = ACTIONS(2622),
    [anon_sym_SLASH] = ACTIONS(2622),
    [anon_sym_x] = ACTIONS(2622),
    [anon_sym_EQ_TILDE] = ACTIONS(2618),
    [anon_sym_BANG_TILDE] = ACTIONS(2618),
    [anon_sym_EQ_EQ] = ACTIONS(2622),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_eq] = ACTIONS(2622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2618),
    [anon_sym_equ] = ACTIONS(2618),
    [anon_sym_eqr] = ACTIONS(2618),
    [anon_sym_ne] = ACTIONS(2618),
    [anon_sym_LT_EQ_GT] = ACTIONS(2618),
    [anon_sym_cmp] = ACTIONS(2618),
    [anon_sym_TILDE_TILDE] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_EQ] = ACTIONS(2618),
    [anon_sym_lt] = ACTIONS(2618),
    [anon_sym_le] = ACTIONS(2618),
    [anon_sym_ge] = ACTIONS(2618),
    [anon_sym_gt] = ACTIONS(2618),
    [anon_sym_isa] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_PERCENT2] = ACTIONS(2618),
    [anon_sym_EQ_GT] = ACTIONS(2618),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1978] = {
    [sym_heredoc_content] = STATE(1978),
    [anon_sym_COLON] = ACTIONS(2624),
    [anon_sym_DOLLAR] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_AT] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_RPAREN] = ACTIONS(2624),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_DOT_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2628),
    [anon_sym_x_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2624),
    [anon_sym_BANG_TILDE] = ACTIONS(2624),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2624),
    [anon_sym_equ] = ACTIONS(2624),
    [anon_sym_eqr] = ACTIONS(2624),
    [anon_sym_ne] = ACTIONS(2624),
    [anon_sym_LT_EQ_GT] = ACTIONS(2624),
    [anon_sym_cmp] = ACTIONS(2624),
    [anon_sym_TILDE_TILDE] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_lt] = ACTIONS(2624),
    [anon_sym_le] = ACTIONS(2624),
    [anon_sym_ge] = ACTIONS(2624),
    [anon_sym_gt] = ACTIONS(2624),
    [anon_sym_isa] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_PERCENT2] = ACTIONS(2624),
    [anon_sym_EQ_GT] = ACTIONS(2624),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1979] = {
    [sym_heredoc_content] = STATE(1979),
    [anon_sym_COLON] = ACTIONS(3326),
    [anon_sym_DOLLAR] = ACTIONS(3326),
    [anon_sym_EQ] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_AT] = ACTIONS(3326),
    [anon_sym_COMMA] = ACTIONS(3326),
    [anon_sym_RPAREN] = ACTIONS(3326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3326),
    [anon_sym_DASH_GT] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_PERCENT] = ACTIONS(3328),
    [anon_sym_GT] = ACTIONS(3328),
    [anon_sym_LT_LT] = ACTIONS(3328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3326),
    [anon_sym_PLUS_EQ] = ACTIONS(3326),
    [anon_sym_DASH_EQ] = ACTIONS(3326),
    [anon_sym_DOT_EQ] = ACTIONS(3326),
    [anon_sym_STAR_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_PERCENT_EQ] = ACTIONS(3328),
    [anon_sym_x_EQ] = ACTIONS(3326),
    [anon_sym_AMP_EQ] = ACTIONS(3326),
    [anon_sym_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_CARET_EQ] = ACTIONS(3326),
    [anon_sym_LT_LT_EQ] = ACTIONS(3326),
    [anon_sym_GT_GT_EQ] = ACTIONS(3326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3326),
    [anon_sym_DOT_DOT] = ACTIONS(3328),
    [anon_sym_STAR_STAR] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE] = ACTIONS(3328),
    [anon_sym_SLASH_SLASH] = ACTIONS(3328),
    [anon_sym_CARET_CARET] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_PIPE] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_GT_GT2] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_DOT] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_x] = ACTIONS(3328),
    [anon_sym_EQ_TILDE] = ACTIONS(3326),
    [anon_sym_BANG_TILDE] = ACTIONS(3326),
    [anon_sym_EQ_EQ] = ACTIONS(3328),
    [anon_sym_BANG_EQ] = ACTIONS(3326),
    [anon_sym_eq] = ACTIONS(3328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3326),
    [anon_sym_equ] = ACTIONS(3326),
    [anon_sym_eqr] = ACTIONS(3326),
    [anon_sym_ne] = ACTIONS(3326),
    [anon_sym_LT_EQ_GT] = ACTIONS(3326),
    [anon_sym_cmp] = ACTIONS(3326),
    [anon_sym_TILDE_TILDE] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_LT_EQ] = ACTIONS(3328),
    [anon_sym_GT_EQ] = ACTIONS(3326),
    [anon_sym_lt] = ACTIONS(3326),
    [anon_sym_le] = ACTIONS(3326),
    [anon_sym_ge] = ACTIONS(3326),
    [anon_sym_gt] = ACTIONS(3326),
    [anon_sym_isa] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_QMARK] = ACTIONS(3326),
    [anon_sym_PERCENT2] = ACTIONS(3326),
    [anon_sym_EQ_GT] = ACTIONS(3326),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1980] = {
    [sym_heredoc_content] = STATE(1980),
    [anon_sym_COLON] = ACTIONS(1973),
    [anon_sym_DOLLAR] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_AT] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1969),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_PERCENT2] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1981] = {
    [sym_heredoc_content] = STATE(1981),
    [anon_sym_COLON] = ACTIONS(1973),
    [anon_sym_DOLLAR] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_AT] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1969),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_PERCENT2] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1982] = {
    [sym_heredoc_content] = STATE(1982),
    [anon_sym_COLON] = ACTIONS(3082),
    [anon_sym_DOLLAR] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_AT] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3084),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3084),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3084),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3084),
    [anon_sym_x] = ACTIONS(3084),
    [anon_sym_EQ_TILDE] = ACTIONS(3082),
    [anon_sym_BANG_TILDE] = ACTIONS(3082),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_PERCENT2] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1983] = {
    [sym_heredoc_content] = STATE(1983),
    [anon_sym_COLON] = ACTIONS(3210),
    [anon_sym_DOLLAR] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_AT] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3212),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_PERCENT2] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1984] = {
    [sym_heredoc_content] = STATE(1984),
    [anon_sym_COLON] = ACTIONS(3178),
    [anon_sym_DOLLAR] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_AT] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3180),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_PERCENT2] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1985] = {
    [sym_heredoc_content] = STATE(1985),
    [anon_sym_COLON] = ACTIONS(3202),
    [anon_sym_DOLLAR] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_AT] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_RPAREN] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3204),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_PERCENT2] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1986] = {
    [sym_heredoc_content] = STATE(1986),
    [anon_sym_COLON] = ACTIONS(3250),
    [anon_sym_DOLLAR] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_AT] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RPAREN] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3252),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_PERCENT2] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1987] = {
    [sym_heredoc_content] = STATE(1987),
    [anon_sym_COLON] = ACTIONS(3004),
    [anon_sym_DOLLAR] = ACTIONS(3004),
    [anon_sym_EQ] = ACTIONS(3006),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_AT] = ACTIONS(3004),
    [anon_sym_COMMA] = ACTIONS(3004),
    [anon_sym_RPAREN] = ACTIONS(3004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3004),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_DOT_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3006),
    [anon_sym_x_EQ] = ACTIONS(3004),
    [anon_sym_AMP_EQ] = ACTIONS(3004),
    [anon_sym_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_CARET_EQ] = ACTIONS(3004),
    [anon_sym_LT_LT_EQ] = ACTIONS(3004),
    [anon_sym_GT_GT_EQ] = ACTIONS(3004),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3006),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3006),
    [anon_sym_SLASH_SLASH] = ACTIONS(3006),
    [anon_sym_CARET_CARET] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ] = ACTIONS(3004),
    [anon_sym_eq] = ACTIONS(3006),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_equ] = ACTIONS(3004),
    [anon_sym_eqr] = ACTIONS(3004),
    [anon_sym_ne] = ACTIONS(3004),
    [anon_sym_LT_EQ_GT] = ACTIONS(3004),
    [anon_sym_cmp] = ACTIONS(3004),
    [anon_sym_TILDE_TILDE] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_LT_EQ] = ACTIONS(3006),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_lt] = ACTIONS(3004),
    [anon_sym_le] = ACTIONS(3004),
    [anon_sym_ge] = ACTIONS(3004),
    [anon_sym_gt] = ACTIONS(3004),
    [anon_sym_isa] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3004),
    [anon_sym_PERCENT2] = ACTIONS(3004),
    [anon_sym_EQ_GT] = ACTIONS(3004),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1988] = {
    [sym_heredoc_content] = STATE(1988),
    [anon_sym_COLON] = ACTIONS(2905),
    [anon_sym_DOLLAR] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_AT] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2907),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_PERCENT2] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1989] = {
    [sym_heredoc_content] = STATE(1989),
    [anon_sym_COLON] = ACTIONS(2911),
    [anon_sym_DOLLAR] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_AT] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2913),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_PERCENT2] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1990] = {
    [sym_heredoc_content] = STATE(1990),
    [anon_sym_COLON] = ACTIONS(3016),
    [anon_sym_DOLLAR] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_RPAREN] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3018),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3018),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_x] = ACTIONS(3018),
    [anon_sym_EQ_TILDE] = ACTIONS(3016),
    [anon_sym_BANG_TILDE] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_PERCENT2] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1991] = {
    [sym_heredoc_content] = STATE(1991),
    [anon_sym_COLON] = ACTIONS(2915),
    [anon_sym_DOLLAR] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_AT] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2917),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_PERCENT2] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1992] = {
    [sym_heredoc_content] = STATE(1992),
    [anon_sym_COLON] = ACTIONS(2919),
    [anon_sym_DOLLAR] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_AT] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2921),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_PERCENT2] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1993] = {
    [sym_heredoc_content] = STATE(1993),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_DOLLAR] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(3566),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(2873),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3568),
    [anon_sym_PLUS_EQ] = ACTIONS(3568),
    [anon_sym_DASH_EQ] = ACTIONS(3568),
    [anon_sym_DOT_EQ] = ACTIONS(3568),
    [anon_sym_STAR_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_PERCENT_EQ] = ACTIONS(3566),
    [anon_sym_x_EQ] = ACTIONS(3568),
    [anon_sym_AMP_EQ] = ACTIONS(3568),
    [anon_sym_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_CARET_EQ] = ACTIONS(3568),
    [anon_sym_LT_LT_EQ] = ACTIONS(3568),
    [anon_sym_GT_GT_EQ] = ACTIONS(3568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3568),
    [anon_sym_DOT_DOT] = ACTIONS(3582),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3586),
    [anon_sym_SLASH_SLASH] = ACTIONS(3586),
    [anon_sym_CARET_CARET] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3612),
    [anon_sym_PERCENT2] = ACTIONS(2873),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1994] = {
    [sym_heredoc_content] = STATE(1994),
    [anon_sym_COLON] = ACTIONS(2672),
    [anon_sym_DOLLAR] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(3566),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(2672),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3568),
    [anon_sym_PLUS_EQ] = ACTIONS(3568),
    [anon_sym_DASH_EQ] = ACTIONS(3568),
    [anon_sym_DOT_EQ] = ACTIONS(3568),
    [anon_sym_STAR_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_PERCENT_EQ] = ACTIONS(3566),
    [anon_sym_x_EQ] = ACTIONS(3568),
    [anon_sym_AMP_EQ] = ACTIONS(3568),
    [anon_sym_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_CARET_EQ] = ACTIONS(3568),
    [anon_sym_LT_LT_EQ] = ACTIONS(3568),
    [anon_sym_GT_GT_EQ] = ACTIONS(3568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3568),
    [anon_sym_DOT_DOT] = ACTIONS(3582),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3586),
    [anon_sym_SLASH_SLASH] = ACTIONS(3586),
    [anon_sym_CARET_CARET] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3612),
    [anon_sym_PERCENT2] = ACTIONS(2672),
    [anon_sym_EQ_GT] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1995] = {
    [sym_heredoc_content] = STATE(1995),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1996] = {
    [sym_heredoc_content] = STATE(1996),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_COLON] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1997] = {
    [sym_heredoc_content] = STATE(1997),
    [anon_sym_COLON] = ACTIONS(3016),
    [anon_sym_DOLLAR] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_AT] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_RPAREN] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3018),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_PERCENT2] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1998] = {
    [sym_heredoc_content] = STATE(1998),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_DOLLAR] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3699),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2835),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(3701),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3586),
    [anon_sym_SLASH_SLASH] = ACTIONS(3586),
    [anon_sym_CARET_CARET] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_PERCENT2] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [1999] = {
    [sym_heredoc_content] = STATE(1999),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_DOLLAR] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_AT] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2933),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_PERCENT2] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2000] = {
    [sym_heredoc_content] = STATE(2000),
    [anon_sym_RBRACE] = ACTIONS(2606),
    [anon_sym_COLON] = ACTIONS(2606),
    [anon_sym_EQ] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_COMMA] = ACTIONS(2606),
    [anon_sym_RPAREN] = ACTIONS(2606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2606),
    [anon_sym_DASH_GT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_PERCENT] = ACTIONS(2608),
    [anon_sym_GT] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2608),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2606),
    [anon_sym_PLUS_EQ] = ACTIONS(2606),
    [anon_sym_DASH_EQ] = ACTIONS(2606),
    [anon_sym_DOT_EQ] = ACTIONS(2606),
    [anon_sym_STAR_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_PERCENT_EQ] = ACTIONS(2606),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_CARET_EQ] = ACTIONS(2606),
    [anon_sym_LT_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_GT_EQ] = ACTIONS(2606),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2606),
    [anon_sym_DOT_DOT] = ACTIONS(2608),
    [anon_sym_STAR_STAR] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE] = ACTIONS(2608),
    [anon_sym_SLASH_SLASH] = ACTIONS(2608),
    [anon_sym_CARET_CARET] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_PIPE] = ACTIONS(2608),
    [anon_sym_CARET] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_GT_GT2] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_DOT] = ACTIONS(2608),
    [anon_sym_SLASH] = ACTIONS(2608),
    [anon_sym_x] = ACTIONS(2608),
    [anon_sym_EQ_TILDE] = ACTIONS(2606),
    [anon_sym_BANG_TILDE] = ACTIONS(2606),
    [anon_sym_EQ_EQ] = ACTIONS(2608),
    [anon_sym_BANG_EQ] = ACTIONS(2606),
    [anon_sym_eq] = ACTIONS(2608),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2606),
    [anon_sym_equ] = ACTIONS(2606),
    [anon_sym_eqr] = ACTIONS(2606),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2606),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2608),
    [anon_sym_LT_EQ] = ACTIONS(2608),
    [anon_sym_GT_EQ] = ACTIONS(2606),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_QMARK] = ACTIONS(2606),
    [anon_sym_EQ_GT] = ACTIONS(2606),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2001] = {
    [sym_heredoc_content] = STATE(2001),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_COLON] = ACTIONS(2759),
    [anon_sym_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_RPAREN] = ACTIONS(2759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2759),
    [anon_sym_DASH_GT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_GT] = ACTIONS(2761),
    [anon_sym_LT_LT] = ACTIONS(2761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_DOT_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_CARET_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_GT_EQ] = ACTIONS(2759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2761),
    [anon_sym_STAR_STAR] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH] = ACTIONS(2761),
    [anon_sym_CARET_CARET] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_PIPE] = ACTIONS(2761),
    [anon_sym_CARET] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_GT_GT2] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_x] = ACTIONS(2761),
    [anon_sym_EQ_TILDE] = ACTIONS(2759),
    [anon_sym_BANG_TILDE] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_eq] = ACTIONS(2761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_equ] = ACTIONS(2759),
    [anon_sym_eqr] = ACTIONS(2759),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2759),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_QMARK] = ACTIONS(2759),
    [anon_sym_EQ_GT] = ACTIONS(2759),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3703),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2002] = {
    [sym_heredoc_content] = STATE(2002),
    [anon_sym_RBRACE] = ACTIONS(2666),
    [anon_sym_COLON] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_RPAREN] = ACTIONS(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DASH_GT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_PERCENT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_LT_LT] = ACTIONS(2668),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2666),
    [anon_sym_PLUS_EQ] = ACTIONS(2666),
    [anon_sym_DASH_EQ] = ACTIONS(2666),
    [anon_sym_DOT_EQ] = ACTIONS(2666),
    [anon_sym_STAR_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_PERCENT_EQ] = ACTIONS(2666),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_CARET_EQ] = ACTIONS(2666),
    [anon_sym_LT_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_GT_EQ] = ACTIONS(2666),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2666),
    [anon_sym_DOT_DOT] = ACTIONS(2668),
    [anon_sym_STAR_STAR] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_SLASH_SLASH] = ACTIONS(2668),
    [anon_sym_CARET_CARET] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_GT_GT2] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_x] = ACTIONS(2668),
    [anon_sym_EQ_TILDE] = ACTIONS(2666),
    [anon_sym_BANG_TILDE] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_eq] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_equ] = ACTIONS(2666),
    [anon_sym_eqr] = ACTIONS(2666),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2666),
    [anon_sym_cmp] = ACTIONS(2666),
    [anon_sym_TILDE_TILDE] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2666),
    [anon_sym_gt] = ACTIONS(2666),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2003] = {
    [sym_heredoc_content] = STATE(2003),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2004] = {
    [sym_heredoc_content] = STATE(2004),
    [anon_sym_RBRACE] = ACTIONS(2572),
    [anon_sym_COLON] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_RPAREN] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_DOT_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_CARET_EQ] = ACTIONS(2572),
    [anon_sym_LT_LT_EQ] = ACTIONS(2572),
    [anon_sym_GT_GT_EQ] = ACTIONS(2572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2574),
    [anon_sym_STAR_STAR] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH] = ACTIONS(2574),
    [anon_sym_CARET_CARET] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_PIPE] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_GT_GT2] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_x] = ACTIONS(2574),
    [anon_sym_EQ_TILDE] = ACTIONS(2572),
    [anon_sym_BANG_TILDE] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_eq] = ACTIONS(2574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2572),
    [anon_sym_LT_EQ_GT] = ACTIONS(2572),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2572),
    [anon_sym_EQ_GT] = ACTIONS(2572),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3707),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2005] = {
    [sym_heredoc_content] = STATE(2005),
    [anon_sym_RBRACE] = ACTIONS(2765),
    [anon_sym_COLON] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_RPAREN] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_x_EQ] = ACTIONS(2767),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2767),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2767),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2767),
    [anon_sym_le] = ACTIONS(2767),
    [anon_sym_ge] = ACTIONS(2767),
    [anon_sym_gt] = ACTIONS(2767),
    [anon_sym_isa] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3709),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2006] = {
    [sym_heredoc_content] = STATE(2006),
    [anon_sym_RBRACE] = ACTIONS(2594),
    [anon_sym_COLON] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_RPAREN] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2594),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2007] = {
    [sym_heredoc_content] = STATE(2007),
    [anon_sym_RBRACE] = ACTIONS(2797),
    [anon_sym_COLON] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_RPAREN] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2799),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2799),
    [anon_sym_gt] = ACTIONS(2799),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3713),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2008] = {
    [sym_heredoc_content] = STATE(2008),
    [anon_sym_LBRACE] = ACTIONS(1973),
    [anon_sym_COLON] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1973),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1973),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2009] = {
    [sym_heredoc_content] = STATE(2009),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_COLON] = ACTIONS(2779),
    [anon_sym_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_RPAREN] = ACTIONS(2779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2779),
    [anon_sym_DASH_GT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_GT] = ACTIONS(2781),
    [anon_sym_LT_LT] = ACTIONS(2781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2779),
    [anon_sym_PLUS_EQ] = ACTIONS(2779),
    [anon_sym_DASH_EQ] = ACTIONS(2779),
    [anon_sym_DOT_EQ] = ACTIONS(2779),
    [anon_sym_STAR_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_PERCENT_EQ] = ACTIONS(2779),
    [anon_sym_x_EQ] = ACTIONS(2779),
    [anon_sym_AMP_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_CARET_EQ] = ACTIONS(2779),
    [anon_sym_LT_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_GT_EQ] = ACTIONS(2779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2779),
    [anon_sym_DOT_DOT] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_CARET_CARET] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_PIPE] = ACTIONS(2781),
    [anon_sym_CARET] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_GT_GT2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_SLASH] = ACTIONS(2781),
    [anon_sym_x] = ACTIONS(2781),
    [anon_sym_EQ_TILDE] = ACTIONS(2779),
    [anon_sym_BANG_TILDE] = ACTIONS(2779),
    [anon_sym_EQ_EQ] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_eq] = ACTIONS(2781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2779),
    [anon_sym_equ] = ACTIONS(2779),
    [anon_sym_eqr] = ACTIONS(2779),
    [anon_sym_ne] = ACTIONS(2779),
    [anon_sym_LT_EQ_GT] = ACTIONS(2779),
    [anon_sym_cmp] = ACTIONS(2779),
    [anon_sym_TILDE_TILDE] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_EQ] = ACTIONS(2779),
    [anon_sym_lt] = ACTIONS(2779),
    [anon_sym_le] = ACTIONS(2779),
    [anon_sym_ge] = ACTIONS(2779),
    [anon_sym_gt] = ACTIONS(2779),
    [anon_sym_isa] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_QMARK] = ACTIONS(2779),
    [anon_sym_EQ_GT] = ACTIONS(2779),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2010] = {
    [sym_heredoc_content] = STATE(2010),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_LBRACK] = ACTIONS(2538),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2538),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2538),
    [anon_sym_le] = ACTIONS(2538),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2538),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(2538),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2011] = {
    [sym_heredoc_content] = STATE(2011),
    [anon_sym_LBRACE] = ACTIONS(2554),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1859),
    [anon_sym_DASH_GT] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1857),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_PERCENT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_LT] = ACTIONS(1857),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1859),
    [anon_sym_PLUS_EQ] = ACTIONS(1859),
    [anon_sym_DASH_EQ] = ACTIONS(1859),
    [anon_sym_DOT_EQ] = ACTIONS(1859),
    [anon_sym_STAR_EQ] = ACTIONS(1859),
    [anon_sym_SLASH_EQ] = ACTIONS(1859),
    [anon_sym_PERCENT_EQ] = ACTIONS(1859),
    [anon_sym_x_EQ] = ACTIONS(1859),
    [anon_sym_AMP_EQ] = ACTIONS(1859),
    [anon_sym_PIPE_EQ] = ACTIONS(1859),
    [anon_sym_CARET_EQ] = ACTIONS(1859),
    [anon_sym_LT_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_GT_EQ] = ACTIONS(1859),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1859),
    [anon_sym_DOT_DOT] = ACTIONS(1857),
    [anon_sym_STAR_STAR] = ACTIONS(1857),
    [anon_sym_PIPE_PIPE] = ACTIONS(1857),
    [anon_sym_SLASH_SLASH] = ACTIONS(1857),
    [anon_sym_CARET_CARET] = ACTIONS(1859),
    [anon_sym_AMP_AMP] = ACTIONS(1857),
    [anon_sym_PIPE] = ACTIONS(1857),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_AMP] = ACTIONS(1857),
    [anon_sym_GT_GT2] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_x] = ACTIONS(1857),
    [anon_sym_EQ_TILDE] = ACTIONS(1859),
    [anon_sym_BANG_TILDE] = ACTIONS(1859),
    [anon_sym_EQ_EQ] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_eq] = ACTIONS(1857),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1859),
    [anon_sym_equ] = ACTIONS(1859),
    [anon_sym_eqr] = ACTIONS(1859),
    [anon_sym_ne] = ACTIONS(1859),
    [anon_sym_LT_EQ_GT] = ACTIONS(1859),
    [anon_sym_cmp] = ACTIONS(1859),
    [anon_sym_TILDE_TILDE] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1857),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_lt] = ACTIONS(1859),
    [anon_sym_le] = ACTIONS(1859),
    [anon_sym_ge] = ACTIONS(1859),
    [anon_sym_gt] = ACTIONS(1859),
    [anon_sym_isa] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_QMARK] = ACTIONS(1859),
    [anon_sym_EQ_GT] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1859),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2012] = {
    [sym_heredoc_content] = STATE(2012),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_COLON] = ACTIONS(2783),
    [anon_sym_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_RPAREN] = ACTIONS(2783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2783),
    [anon_sym_DASH_GT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_GT] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2783),
    [anon_sym_PLUS_EQ] = ACTIONS(2783),
    [anon_sym_DASH_EQ] = ACTIONS(2783),
    [anon_sym_DOT_EQ] = ACTIONS(2783),
    [anon_sym_STAR_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_PERCENT_EQ] = ACTIONS(2783),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_CARET_EQ] = ACTIONS(2783),
    [anon_sym_LT_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_GT_EQ] = ACTIONS(2783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2783),
    [anon_sym_DOT_DOT] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH] = ACTIONS(2785),
    [anon_sym_CARET_CARET] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_GT_GT2] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_x] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2783),
    [anon_sym_BANG_TILDE] = ACTIONS(2783),
    [anon_sym_EQ_EQ] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_eq] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2783),
    [anon_sym_equ] = ACTIONS(2783),
    [anon_sym_eqr] = ACTIONS(2783),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2783),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_EQ] = ACTIONS(2783),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_QMARK] = ACTIONS(2783),
    [anon_sym_EQ_GT] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3715),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2013] = {
    [sym_heredoc_content] = STATE(2013),
    [anon_sym_RBRACE] = ACTIONS(2753),
    [anon_sym_COLON] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_RPAREN] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2753),
    [anon_sym_DASH_EQ] = ACTIONS(2753),
    [anon_sym_DOT_EQ] = ACTIONS(2753),
    [anon_sym_STAR_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_PERCENT_EQ] = ACTIONS(2753),
    [anon_sym_x_EQ] = ACTIONS(2753),
    [anon_sym_AMP_EQ] = ACTIONS(2753),
    [anon_sym_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_CARET_EQ] = ACTIONS(2753),
    [anon_sym_LT_LT_EQ] = ACTIONS(2753),
    [anon_sym_GT_GT_EQ] = ACTIONS(2753),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2753),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(2755),
    [anon_sym_CARET_CARET] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_GT_GT2] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_x] = ACTIONS(2755),
    [anon_sym_EQ_TILDE] = ACTIONS(2753),
    [anon_sym_BANG_TILDE] = ACTIONS(2753),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_eq] = ACTIONS(2755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2753),
    [anon_sym_equ] = ACTIONS(2753),
    [anon_sym_eqr] = ACTIONS(2753),
    [anon_sym_ne] = ACTIONS(2753),
    [anon_sym_LT_EQ_GT] = ACTIONS(2753),
    [anon_sym_cmp] = ACTIONS(2755),
    [anon_sym_TILDE_TILDE] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2753),
    [anon_sym_lt] = ACTIONS(2753),
    [anon_sym_le] = ACTIONS(2753),
    [anon_sym_ge] = ACTIONS(2753),
    [anon_sym_gt] = ACTIONS(2753),
    [anon_sym_isa] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3717),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2014] = {
    [sym_heredoc_content] = STATE(2014),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_COLON] = ACTIONS(2735),
    [anon_sym_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_COMMA] = ACTIONS(2735),
    [anon_sym_RPAREN] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DASH_GT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2737),
    [anon_sym_PERCENT] = ACTIONS(2737),
    [anon_sym_GT] = ACTIONS(2737),
    [anon_sym_LT_LT] = ACTIONS(2737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2735),
    [anon_sym_PLUS_EQ] = ACTIONS(2735),
    [anon_sym_DASH_EQ] = ACTIONS(2735),
    [anon_sym_DOT_EQ] = ACTIONS(2735),
    [anon_sym_STAR_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_PERCENT_EQ] = ACTIONS(2735),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_CARET_EQ] = ACTIONS(2735),
    [anon_sym_LT_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_GT_EQ] = ACTIONS(2735),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2735),
    [anon_sym_DOT_DOT] = ACTIONS(2737),
    [anon_sym_STAR_STAR] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH] = ACTIONS(2737),
    [anon_sym_CARET_CARET] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2737),
    [anon_sym_PIPE] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2737),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_GT_GT2] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2737),
    [anon_sym_DASH] = ACTIONS(2737),
    [anon_sym_DOT] = ACTIONS(2737),
    [anon_sym_SLASH] = ACTIONS(2737),
    [anon_sym_x] = ACTIONS(2737),
    [anon_sym_EQ_TILDE] = ACTIONS(2735),
    [anon_sym_BANG_TILDE] = ACTIONS(2735),
    [anon_sym_EQ_EQ] = ACTIONS(2737),
    [anon_sym_BANG_EQ] = ACTIONS(2735),
    [anon_sym_eq] = ACTIONS(2737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2735),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2735),
    [anon_sym_LT_EQ_GT] = ACTIONS(2735),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_EQ] = ACTIONS(2735),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_QMARK] = ACTIONS(2735),
    [anon_sym_EQ_GT] = ACTIONS(2735),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3719),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2015] = {
    [sym_heredoc_content] = STATE(2015),
    [anon_sym_RBRACE] = ACTIONS(2741),
    [anon_sym_COLON] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_RPAREN] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2741),
    [anon_sym_x_EQ] = ACTIONS(2743),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2743),
    [anon_sym_eqr] = ACTIONS(2743),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2743),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2743),
    [anon_sym_le] = ACTIONS(2743),
    [anon_sym_ge] = ACTIONS(2743),
    [anon_sym_gt] = ACTIONS(2743),
    [anon_sym_isa] = ACTIONS(2743),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3721),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2016] = {
    [sym_heredoc_content] = STATE(2016),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_COLON] = ACTIONS(2819),
    [anon_sym_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_RPAREN] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DASH_GT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(3723),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2821),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_DOT_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_x_EQ] = ACTIONS(2819),
    [anon_sym_AMP_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_CARET_EQ] = ACTIONS(2819),
    [anon_sym_LT_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_GT_EQ] = ACTIONS(2819),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT] = ACTIONS(2821),
    [anon_sym_STAR_STAR] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(2821),
    [anon_sym_CARET_CARET] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_PIPE] = ACTIONS(2821),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_GT_GT2] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_x] = ACTIONS(2821),
    [anon_sym_EQ_TILDE] = ACTIONS(2819),
    [anon_sym_BANG_TILDE] = ACTIONS(2819),
    [anon_sym_EQ_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_eq] = ACTIONS(2821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_equ] = ACTIONS(2819),
    [anon_sym_eqr] = ACTIONS(2819),
    [anon_sym_ne] = ACTIONS(2819),
    [anon_sym_LT_EQ_GT] = ACTIONS(2819),
    [anon_sym_cmp] = ACTIONS(2819),
    [anon_sym_TILDE_TILDE] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_lt] = ACTIONS(2819),
    [anon_sym_le] = ACTIONS(2819),
    [anon_sym_ge] = ACTIONS(2819),
    [anon_sym_gt] = ACTIONS(2819),
    [anon_sym_isa] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2819),
    [anon_sym_EQ_GT] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2017] = {
    [sym_heredoc_content] = STATE(2017),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_COLON] = ACTIONS(2566),
    [anon_sym_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2566),
    [anon_sym_RPAREN] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(3725),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_DASH_GT] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2568),
    [anon_sym_GT] = ACTIONS(2568),
    [anon_sym_LT_LT] = ACTIONS(2568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2566),
    [anon_sym_PLUS_EQ] = ACTIONS(2566),
    [anon_sym_DASH_EQ] = ACTIONS(2566),
    [anon_sym_DOT_EQ] = ACTIONS(2566),
    [anon_sym_STAR_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_PERCENT_EQ] = ACTIONS(2566),
    [anon_sym_x_EQ] = ACTIONS(2566),
    [anon_sym_AMP_EQ] = ACTIONS(2566),
    [anon_sym_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_CARET_EQ] = ACTIONS(2566),
    [anon_sym_LT_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT_GT_EQ] = ACTIONS(2566),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2566),
    [anon_sym_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR_STAR] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH] = ACTIONS(2568),
    [anon_sym_CARET_CARET] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2568),
    [anon_sym_CARET] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_GT_GT2] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2568),
    [anon_sym_SLASH] = ACTIONS(2568),
    [anon_sym_x] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2566),
    [anon_sym_BANG_TILDE] = ACTIONS(2566),
    [anon_sym_EQ_EQ] = ACTIONS(2568),
    [anon_sym_BANG_EQ] = ACTIONS(2566),
    [anon_sym_eq] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2566),
    [anon_sym_equ] = ACTIONS(2566),
    [anon_sym_eqr] = ACTIONS(2566),
    [anon_sym_ne] = ACTIONS(2566),
    [anon_sym_LT_EQ_GT] = ACTIONS(2566),
    [anon_sym_cmp] = ACTIONS(2566),
    [anon_sym_TILDE_TILDE] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_EQ] = ACTIONS(2566),
    [anon_sym_lt] = ACTIONS(2566),
    [anon_sym_le] = ACTIONS(2566),
    [anon_sym_ge] = ACTIONS(2566),
    [anon_sym_gt] = ACTIONS(2566),
    [anon_sym_isa] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2566),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2018] = {
    [sym_heredoc_content] = STATE(2018),
    [anon_sym_RBRACE] = ACTIONS(2660),
    [anon_sym_COLON] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_RPAREN] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2662),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2662),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2662),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2662),
    [anon_sym_le] = ACTIONS(2662),
    [anon_sym_ge] = ACTIONS(2662),
    [anon_sym_gt] = ACTIONS(2662),
    [anon_sym_isa] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3727),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2019] = {
    [sym_heredoc_content] = STATE(2019),
    [anon_sym_RBRACE] = ACTIONS(2652),
    [anon_sym_COLON] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_RPAREN] = ACTIONS(2652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_x_EQ] = ACTIONS(2654),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2654),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2654),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2654),
    [anon_sym_le] = ACTIONS(2654),
    [anon_sym_ge] = ACTIONS(2654),
    [anon_sym_gt] = ACTIONS(2654),
    [anon_sym_isa] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3729),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2020] = {
    [sym_heredoc_content] = STATE(2020),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_COLON] = ACTIONS(2823),
    [anon_sym_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_RPAREN] = ACTIONS(2823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2823),
    [anon_sym_DASH_GT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_GT] = ACTIONS(2825),
    [anon_sym_LT_LT] = ACTIONS(2825),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2823),
    [anon_sym_PLUS_EQ] = ACTIONS(2823),
    [anon_sym_DASH_EQ] = ACTIONS(2823),
    [anon_sym_DOT_EQ] = ACTIONS(2823),
    [anon_sym_STAR_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_PERCENT_EQ] = ACTIONS(2823),
    [anon_sym_x_EQ] = ACTIONS(2823),
    [anon_sym_AMP_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_CARET_EQ] = ACTIONS(2823),
    [anon_sym_LT_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_GT_EQ] = ACTIONS(2823),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2823),
    [anon_sym_DOT_DOT] = ACTIONS(2825),
    [anon_sym_STAR_STAR] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH] = ACTIONS(2825),
    [anon_sym_CARET_CARET] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_PIPE] = ACTIONS(2825),
    [anon_sym_CARET] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_GT_GT2] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_SLASH] = ACTIONS(2825),
    [anon_sym_x] = ACTIONS(2825),
    [anon_sym_EQ_TILDE] = ACTIONS(2823),
    [anon_sym_BANG_TILDE] = ACTIONS(2823),
    [anon_sym_EQ_EQ] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_eq] = ACTIONS(2825),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2823),
    [anon_sym_equ] = ACTIONS(2823),
    [anon_sym_eqr] = ACTIONS(2823),
    [anon_sym_ne] = ACTIONS(2823),
    [anon_sym_LT_EQ_GT] = ACTIONS(2823),
    [anon_sym_cmp] = ACTIONS(2823),
    [anon_sym_TILDE_TILDE] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_EQ] = ACTIONS(2823),
    [anon_sym_lt] = ACTIONS(2823),
    [anon_sym_le] = ACTIONS(2823),
    [anon_sym_ge] = ACTIONS(2823),
    [anon_sym_gt] = ACTIONS(2823),
    [anon_sym_isa] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_QMARK] = ACTIONS(2823),
    [anon_sym_EQ_GT] = ACTIONS(2823),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2021] = {
    [sym_heredoc_content] = STATE(2021),
    [anon_sym_RBRACE] = ACTIONS(2747),
    [anon_sym_COLON] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_COMMA] = ACTIONS(2747),
    [anon_sym_RPAREN] = ACTIONS(2747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_GT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2747),
    [anon_sym_DASH_EQ] = ACTIONS(2747),
    [anon_sym_DOT_EQ] = ACTIONS(2747),
    [anon_sym_STAR_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_PERCENT_EQ] = ACTIONS(2747),
    [anon_sym_x_EQ] = ACTIONS(2747),
    [anon_sym_AMP_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_CARET_EQ] = ACTIONS(2747),
    [anon_sym_LT_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_GT_EQ] = ACTIONS(2747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2747),
    [anon_sym_DOT_DOT] = ACTIONS(2749),
    [anon_sym_STAR_STAR] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH] = ACTIONS(2749),
    [anon_sym_CARET_CARET] = ACTIONS(2747),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(2749),
    [anon_sym_CARET] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_GT_GT2] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_x] = ACTIONS(2749),
    [anon_sym_EQ_TILDE] = ACTIONS(2747),
    [anon_sym_BANG_TILDE] = ACTIONS(2747),
    [anon_sym_EQ_EQ] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_eq] = ACTIONS(2749),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2747),
    [anon_sym_equ] = ACTIONS(2747),
    [anon_sym_eqr] = ACTIONS(2747),
    [anon_sym_ne] = ACTIONS(2747),
    [anon_sym_LT_EQ_GT] = ACTIONS(2747),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2747),
    [anon_sym_lt] = ACTIONS(2747),
    [anon_sym_le] = ACTIONS(2747),
    [anon_sym_ge] = ACTIONS(2747),
    [anon_sym_gt] = ACTIONS(2747),
    [anon_sym_isa] = ACTIONS(2747),
    [anon_sym_PLUS_PLUS] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2747),
    [anon_sym_QMARK] = ACTIONS(2747),
    [anon_sym_EQ_GT] = ACTIONS(2747),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3731),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2022] = {
    [sym_heredoc_content] = STATE(2022),
    [anon_sym_LBRACE] = ACTIONS(2542),
    [anon_sym_SEMI] = ACTIONS(2544),
    [anon_sym_EQ] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_COMMA] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2544),
    [anon_sym_DASH_GT] = ACTIONS(2544),
    [anon_sym_STAR] = ACTIONS(2546),
    [anon_sym_LBRACK] = ACTIONS(2542),
    [anon_sym_PERCENT] = ACTIONS(2546),
    [anon_sym_GT] = ACTIONS(2546),
    [anon_sym_LT_LT] = ACTIONS(2546),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2544),
    [anon_sym_PLUS_EQ] = ACTIONS(2544),
    [anon_sym_DASH_EQ] = ACTIONS(2544),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_STAR_EQ] = ACTIONS(2544),
    [anon_sym_SLASH_EQ] = ACTIONS(2544),
    [anon_sym_PERCENT_EQ] = ACTIONS(2544),
    [anon_sym_x_EQ] = ACTIONS(2544),
    [anon_sym_AMP_EQ] = ACTIONS(2544),
    [anon_sym_PIPE_EQ] = ACTIONS(2544),
    [anon_sym_CARET_EQ] = ACTIONS(2544),
    [anon_sym_LT_LT_EQ] = ACTIONS(2544),
    [anon_sym_GT_GT_EQ] = ACTIONS(2544),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT] = ACTIONS(2546),
    [anon_sym_STAR_STAR] = ACTIONS(2546),
    [anon_sym_PIPE_PIPE] = ACTIONS(2546),
    [anon_sym_SLASH_SLASH] = ACTIONS(2546),
    [anon_sym_CARET_CARET] = ACTIONS(2544),
    [anon_sym_AMP_AMP] = ACTIONS(2546),
    [anon_sym_PIPE] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2546),
    [anon_sym_AMP] = ACTIONS(2546),
    [anon_sym_GT_GT2] = ACTIONS(2546),
    [anon_sym_PLUS] = ACTIONS(2546),
    [anon_sym_DASH] = ACTIONS(2546),
    [anon_sym_DOT] = ACTIONS(2546),
    [anon_sym_SLASH] = ACTIONS(2546),
    [anon_sym_x] = ACTIONS(2546),
    [anon_sym_EQ_TILDE] = ACTIONS(2544),
    [anon_sym_BANG_TILDE] = ACTIONS(2544),
    [anon_sym_EQ_EQ] = ACTIONS(2546),
    [anon_sym_BANG_EQ] = ACTIONS(2544),
    [anon_sym_eq] = ACTIONS(2546),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2544),
    [anon_sym_equ] = ACTIONS(2544),
    [anon_sym_eqr] = ACTIONS(2544),
    [anon_sym_ne] = ACTIONS(2544),
    [anon_sym_LT_EQ_GT] = ACTIONS(2544),
    [anon_sym_cmp] = ACTIONS(2544),
    [anon_sym_TILDE_TILDE] = ACTIONS(2544),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_LT_EQ] = ACTIONS(2546),
    [anon_sym_GT_EQ] = ACTIONS(2544),
    [anon_sym_lt] = ACTIONS(2544),
    [anon_sym_le] = ACTIONS(2544),
    [anon_sym_ge] = ACTIONS(2544),
    [anon_sym_gt] = ACTIONS(2544),
    [anon_sym_isa] = ACTIONS(2544),
    [anon_sym_PLUS_PLUS] = ACTIONS(2544),
    [anon_sym_DASH_DASH] = ACTIONS(2544),
    [anon_sym_QMARK] = ACTIONS(2544),
    [anon_sym_EQ_GT] = ACTIONS(2544),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2544),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2023] = {
    [sym_heredoc_content] = STATE(2023),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_COLON] = ACTIONS(2803),
    [anon_sym_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_RPAREN] = ACTIONS(2803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2803),
    [anon_sym_DASH_GT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_GT] = ACTIONS(2805),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2803),
    [anon_sym_PLUS_EQ] = ACTIONS(2803),
    [anon_sym_DASH_EQ] = ACTIONS(2803),
    [anon_sym_DOT_EQ] = ACTIONS(2803),
    [anon_sym_STAR_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_PERCENT_EQ] = ACTIONS(2803),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_CARET_EQ] = ACTIONS(2803),
    [anon_sym_LT_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_GT_EQ] = ACTIONS(2803),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2803),
    [anon_sym_DOT_DOT] = ACTIONS(2805),
    [anon_sym_STAR_STAR] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH] = ACTIONS(2805),
    [anon_sym_CARET_CARET] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_GT_GT2] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_SLASH] = ACTIONS(2805),
    [anon_sym_x] = ACTIONS(2805),
    [anon_sym_EQ_TILDE] = ACTIONS(2803),
    [anon_sym_BANG_TILDE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_eq] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2803),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2803),
    [anon_sym_LT_EQ_GT] = ACTIONS(2803),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_QMARK] = ACTIONS(2803),
    [anon_sym_EQ_GT] = ACTIONS(2803),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3733),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2024] = {
    [sym_heredoc_content] = STATE(2024),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2025] = {
    [sym_heredoc_content] = STATE(2025),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_COLON] = ACTIONS(2771),
    [anon_sym_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_RPAREN] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2771),
    [anon_sym_DASH_GT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_GT] = ACTIONS(2773),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2771),
    [anon_sym_PLUS_EQ] = ACTIONS(2771),
    [anon_sym_DASH_EQ] = ACTIONS(2771),
    [anon_sym_DOT_EQ] = ACTIONS(2771),
    [anon_sym_STAR_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_PERCENT_EQ] = ACTIONS(2771),
    [anon_sym_x_EQ] = ACTIONS(2771),
    [anon_sym_AMP_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_CARET_EQ] = ACTIONS(2771),
    [anon_sym_LT_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_GT_EQ] = ACTIONS(2771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2771),
    [anon_sym_DOT_DOT] = ACTIONS(2773),
    [anon_sym_STAR_STAR] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH] = ACTIONS(2773),
    [anon_sym_CARET_CARET] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_PIPE] = ACTIONS(2773),
    [anon_sym_CARET] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_GT_GT2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_SLASH] = ACTIONS(2773),
    [anon_sym_x] = ACTIONS(2773),
    [anon_sym_EQ_TILDE] = ACTIONS(2771),
    [anon_sym_BANG_TILDE] = ACTIONS(2771),
    [anon_sym_EQ_EQ] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_eq] = ACTIONS(2773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2771),
    [anon_sym_equ] = ACTIONS(2771),
    [anon_sym_eqr] = ACTIONS(2771),
    [anon_sym_ne] = ACTIONS(2771),
    [anon_sym_LT_EQ_GT] = ACTIONS(2771),
    [anon_sym_cmp] = ACTIONS(2771),
    [anon_sym_TILDE_TILDE] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_EQ] = ACTIONS(2771),
    [anon_sym_lt] = ACTIONS(2771),
    [anon_sym_le] = ACTIONS(2771),
    [anon_sym_ge] = ACTIONS(2771),
    [anon_sym_gt] = ACTIONS(2771),
    [anon_sym_isa] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_QMARK] = ACTIONS(2771),
    [anon_sym_EQ_GT] = ACTIONS(2771),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2026] = {
    [sym_heredoc_content] = STATE(2026),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_and] = ACTIONS(2909),
    [anon_sym_or] = ACTIONS(2909),
    [anon_sym_xor] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(1971),
    [anon_sym_STAR_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_SLASH_SLASH] = ACTIONS(1971),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_GT_GT2] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_DOT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_x] = ACTIONS(1971),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(1971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(3330),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2027] = {
    [sym_heredoc_content] = STATE(2027),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_and] = ACTIONS(2961),
    [anon_sym_or] = ACTIONS(2961),
    [anon_sym_xor] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(3330),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2028] = {
    [sym_heredoc_content] = STATE(2028),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(3330),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_and] = ACTIONS(2474),
    [anon_sym_or] = ACTIONS(2474),
    [anon_sym_xor] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(3330),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2029] = {
    [sym_heredoc_content] = STATE(2029),
    [anon_sym_RBRACE] = ACTIONS(2809),
    [anon_sym_COLON] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_RPAREN] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2809),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2811),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3735),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2030] = {
    [sym_heredoc_content] = STATE(2030),
    [anon_sym_RBRACE] = ACTIONS(2600),
    [anon_sym_COLON] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_RPAREN] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(3737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2031] = {
    [sym_heredoc_content] = STATE(2031),
    [anon_sym_LBRACE] = ACTIONS(2548),
    [anon_sym_SEMI] = ACTIONS(2550),
    [anon_sym_EQ] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_COMMA] = ACTIONS(2550),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2550),
    [anon_sym_DASH_GT] = ACTIONS(2550),
    [anon_sym_STAR] = ACTIONS(2552),
    [anon_sym_LBRACK] = ACTIONS(2548),
    [anon_sym_PERCENT] = ACTIONS(2552),
    [anon_sym_GT] = ACTIONS(2552),
    [anon_sym_LT_LT] = ACTIONS(2552),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2550),
    [anon_sym_PLUS_EQ] = ACTIONS(2550),
    [anon_sym_DASH_EQ] = ACTIONS(2550),
    [anon_sym_DOT_EQ] = ACTIONS(2550),
    [anon_sym_STAR_EQ] = ACTIONS(2550),
    [anon_sym_SLASH_EQ] = ACTIONS(2550),
    [anon_sym_PERCENT_EQ] = ACTIONS(2550),
    [anon_sym_x_EQ] = ACTIONS(2550),
    [anon_sym_AMP_EQ] = ACTIONS(2550),
    [anon_sym_PIPE_EQ] = ACTIONS(2550),
    [anon_sym_CARET_EQ] = ACTIONS(2550),
    [anon_sym_LT_LT_EQ] = ACTIONS(2550),
    [anon_sym_GT_GT_EQ] = ACTIONS(2550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2550),
    [anon_sym_DOT_DOT] = ACTIONS(2552),
    [anon_sym_STAR_STAR] = ACTIONS(2552),
    [anon_sym_PIPE_PIPE] = ACTIONS(2552),
    [anon_sym_SLASH_SLASH] = ACTIONS(2552),
    [anon_sym_CARET_CARET] = ACTIONS(2550),
    [anon_sym_AMP_AMP] = ACTIONS(2552),
    [anon_sym_PIPE] = ACTIONS(2552),
    [anon_sym_CARET] = ACTIONS(2552),
    [anon_sym_AMP] = ACTIONS(2552),
    [anon_sym_GT_GT2] = ACTIONS(2552),
    [anon_sym_PLUS] = ACTIONS(2552),
    [anon_sym_DASH] = ACTIONS(2552),
    [anon_sym_DOT] = ACTIONS(2552),
    [anon_sym_SLASH] = ACTIONS(2552),
    [anon_sym_x] = ACTIONS(2552),
    [anon_sym_EQ_TILDE] = ACTIONS(2550),
    [anon_sym_BANG_TILDE] = ACTIONS(2550),
    [anon_sym_EQ_EQ] = ACTIONS(2552),
    [anon_sym_BANG_EQ] = ACTIONS(2550),
    [anon_sym_eq] = ACTIONS(2552),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2550),
    [anon_sym_equ] = ACTIONS(2550),
    [anon_sym_eqr] = ACTIONS(2550),
    [anon_sym_ne] = ACTIONS(2550),
    [anon_sym_LT_EQ_GT] = ACTIONS(2550),
    [anon_sym_cmp] = ACTIONS(2550),
    [anon_sym_TILDE_TILDE] = ACTIONS(2550),
    [anon_sym_LT] = ACTIONS(2552),
    [anon_sym_LT_EQ] = ACTIONS(2552),
    [anon_sym_GT_EQ] = ACTIONS(2550),
    [anon_sym_lt] = ACTIONS(2550),
    [anon_sym_le] = ACTIONS(2550),
    [anon_sym_ge] = ACTIONS(2550),
    [anon_sym_gt] = ACTIONS(2550),
    [anon_sym_isa] = ACTIONS(2550),
    [anon_sym_PLUS_PLUS] = ACTIONS(2550),
    [anon_sym_DASH_DASH] = ACTIONS(2550),
    [anon_sym_QMARK] = ACTIONS(2550),
    [anon_sym_EQ_GT] = ACTIONS(2550),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2550),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2032] = {
    [sym_heredoc_content] = STATE(2032),
    [anon_sym_LBRACE] = ACTIONS(3739),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_COLON] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1839),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2033] = {
    [sym_heredoc_content] = STATE(2033),
    [anon_sym_RBRACE] = ACTIONS(2642),
    [anon_sym_COLON] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2642),
    [anon_sym_RPAREN] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(3741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DASH_GT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_PERCENT] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2644),
    [anon_sym_LT_LT] = ACTIONS(2644),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2642),
    [anon_sym_PLUS_EQ] = ACTIONS(2642),
    [anon_sym_DASH_EQ] = ACTIONS(2642),
    [anon_sym_DOT_EQ] = ACTIONS(2642),
    [anon_sym_STAR_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_PERCENT_EQ] = ACTIONS(2642),
    [anon_sym_x_EQ] = ACTIONS(2642),
    [anon_sym_AMP_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_CARET_EQ] = ACTIONS(2642),
    [anon_sym_LT_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_GT_EQ] = ACTIONS(2642),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2642),
    [anon_sym_DOT_DOT] = ACTIONS(2644),
    [anon_sym_STAR_STAR] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH] = ACTIONS(2644),
    [anon_sym_CARET_CARET] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_PIPE] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_GT_GT2] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2644),
    [anon_sym_x] = ACTIONS(2644),
    [anon_sym_EQ_TILDE] = ACTIONS(2642),
    [anon_sym_BANG_TILDE] = ACTIONS(2642),
    [anon_sym_EQ_EQ] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_eq] = ACTIONS(2644),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2642),
    [anon_sym_equ] = ACTIONS(2642),
    [anon_sym_eqr] = ACTIONS(2642),
    [anon_sym_ne] = ACTIONS(2642),
    [anon_sym_LT_EQ_GT] = ACTIONS(2642),
    [anon_sym_cmp] = ACTIONS(2642),
    [anon_sym_TILDE_TILDE] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2642),
    [anon_sym_lt] = ACTIONS(2642),
    [anon_sym_le] = ACTIONS(2642),
    [anon_sym_ge] = ACTIONS(2642),
    [anon_sym_gt] = ACTIONS(2642),
    [anon_sym_isa] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2642),
    [anon_sym_EQ_GT] = ACTIONS(2642),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2034] = {
    [sym_heredoc_content] = STATE(2034),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(3743),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2035] = {
    [sym_heredoc_content] = STATE(2035),
    [anon_sym_COLON] = ACTIONS(3745),
    [anon_sym_DOLLAR] = ACTIONS(3745),
    [anon_sym_EQ] = ACTIONS(3566),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3745),
    [anon_sym_COMMA] = ACTIONS(3745),
    [anon_sym_RPAREN] = ACTIONS(3745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3568),
    [anon_sym_PLUS_EQ] = ACTIONS(3568),
    [anon_sym_DASH_EQ] = ACTIONS(3568),
    [anon_sym_DOT_EQ] = ACTIONS(3568),
    [anon_sym_STAR_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_PERCENT_EQ] = ACTIONS(3566),
    [anon_sym_x_EQ] = ACTIONS(3568),
    [anon_sym_AMP_EQ] = ACTIONS(3568),
    [anon_sym_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_CARET_EQ] = ACTIONS(3568),
    [anon_sym_LT_LT_EQ] = ACTIONS(3568),
    [anon_sym_GT_GT_EQ] = ACTIONS(3568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3568),
    [anon_sym_DOT_DOT] = ACTIONS(3582),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3586),
    [anon_sym_SLASH_SLASH] = ACTIONS(3586),
    [anon_sym_CARET_CARET] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3612),
    [anon_sym_PERCENT2] = ACTIONS(3745),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2036] = {
    [sym_heredoc_content] = STATE(2036),
    [anon_sym_RBRACE] = ACTIONS(2584),
    [anon_sym_COLON] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_RPAREN] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(3747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_x_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2584),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2584),
    [anon_sym_le] = ACTIONS(2584),
    [anon_sym_ge] = ACTIONS(2584),
    [anon_sym_gt] = ACTIONS(2584),
    [anon_sym_isa] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2037] = {
    [sym_heredoc_content] = STATE(2037),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_COLON] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_RPAREN] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2540),
    [anon_sym_eqr] = ACTIONS(2540),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2038] = {
    [sym_heredoc_content] = STATE(2038),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_COLON] = ACTIONS(2815),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_RPAREN] = ACTIONS(2815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2815),
    [anon_sym_DASH_GT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(3705),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2815),
    [anon_sym_PLUS_EQ] = ACTIONS(2815),
    [anon_sym_DASH_EQ] = ACTIONS(2815),
    [anon_sym_DOT_EQ] = ACTIONS(2815),
    [anon_sym_STAR_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_PERCENT_EQ] = ACTIONS(2815),
    [anon_sym_x_EQ] = ACTIONS(2815),
    [anon_sym_AMP_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_CARET_EQ] = ACTIONS(2815),
    [anon_sym_LT_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_GT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2815),
    [anon_sym_DOT_DOT] = ACTIONS(2817),
    [anon_sym_STAR_STAR] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH] = ACTIONS(2817),
    [anon_sym_CARET_CARET] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_GT_GT2] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_x] = ACTIONS(2817),
    [anon_sym_EQ_TILDE] = ACTIONS(2815),
    [anon_sym_BANG_TILDE] = ACTIONS(2815),
    [anon_sym_EQ_EQ] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_eq] = ACTIONS(2817),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2815),
    [anon_sym_equ] = ACTIONS(2815),
    [anon_sym_eqr] = ACTIONS(2815),
    [anon_sym_ne] = ACTIONS(2815),
    [anon_sym_LT_EQ_GT] = ACTIONS(2815),
    [anon_sym_cmp] = ACTIONS(2815),
    [anon_sym_TILDE_TILDE] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_lt] = ACTIONS(2815),
    [anon_sym_le] = ACTIONS(2815),
    [anon_sym_ge] = ACTIONS(2815),
    [anon_sym_gt] = ACTIONS(2815),
    [anon_sym_isa] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_EQ_GT] = ACTIONS(2815),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2039] = {
    [sym_heredoc_content] = STATE(2039),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_COLON] = ACTIONS(2775),
    [anon_sym_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_RPAREN] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(2775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2775),
    [anon_sym_DASH_GT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_GT] = ACTIONS(2777),
    [anon_sym_LT_LT] = ACTIONS(2777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2775),
    [anon_sym_PLUS_EQ] = ACTIONS(2775),
    [anon_sym_DASH_EQ] = ACTIONS(2775),
    [anon_sym_DOT_EQ] = ACTIONS(2775),
    [anon_sym_STAR_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_PERCENT_EQ] = ACTIONS(2775),
    [anon_sym_x_EQ] = ACTIONS(2775),
    [anon_sym_AMP_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_CARET_EQ] = ACTIONS(2775),
    [anon_sym_LT_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_GT_EQ] = ACTIONS(2775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2775),
    [anon_sym_DOT_DOT] = ACTIONS(2777),
    [anon_sym_STAR_STAR] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH] = ACTIONS(2777),
    [anon_sym_CARET_CARET] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2777),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_GT_GT2] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(2777),
    [anon_sym_x] = ACTIONS(2777),
    [anon_sym_EQ_TILDE] = ACTIONS(2775),
    [anon_sym_BANG_TILDE] = ACTIONS(2775),
    [anon_sym_EQ_EQ] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_eq] = ACTIONS(2777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2775),
    [anon_sym_equ] = ACTIONS(2775),
    [anon_sym_eqr] = ACTIONS(2775),
    [anon_sym_ne] = ACTIONS(2775),
    [anon_sym_LT_EQ_GT] = ACTIONS(2775),
    [anon_sym_cmp] = ACTIONS(2775),
    [anon_sym_TILDE_TILDE] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_EQ] = ACTIONS(2775),
    [anon_sym_lt] = ACTIONS(2775),
    [anon_sym_le] = ACTIONS(2775),
    [anon_sym_ge] = ACTIONS(2775),
    [anon_sym_gt] = ACTIONS(2775),
    [anon_sym_isa] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_EQ_GT] = ACTIONS(2775),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2040] = {
    [sym_heredoc_content] = STATE(2040),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(3741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2041] = {
    [sym_heredoc_content] = STATE(2041),
    [anon_sym_RBRACE] = ACTIONS(2556),
    [anon_sym_COLON] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2556),
    [anon_sym_RPAREN] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(3723),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2042] = {
    [sym_heredoc_content] = STATE(2042),
    [anon_sym_COLON] = ACTIONS(3749),
    [anon_sym_DOLLAR] = ACTIONS(3749),
    [anon_sym_EQ] = ACTIONS(3566),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_AT] = ACTIONS(3749),
    [anon_sym_COMMA] = ACTIONS(3749),
    [anon_sym_RPAREN] = ACTIONS(3749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3572),
    [anon_sym_DASH_GT] = ACTIONS(3574),
    [anon_sym_STAR] = ACTIONS(3576),
    [anon_sym_PERCENT] = ACTIONS(3576),
    [anon_sym_GT] = ACTIONS(3578),
    [anon_sym_LT_LT] = ACTIONS(3580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3568),
    [anon_sym_PLUS_EQ] = ACTIONS(3568),
    [anon_sym_DASH_EQ] = ACTIONS(3568),
    [anon_sym_DOT_EQ] = ACTIONS(3568),
    [anon_sym_STAR_EQ] = ACTIONS(3568),
    [anon_sym_SLASH_EQ] = ACTIONS(3568),
    [anon_sym_PERCENT_EQ] = ACTIONS(3566),
    [anon_sym_x_EQ] = ACTIONS(3568),
    [anon_sym_AMP_EQ] = ACTIONS(3568),
    [anon_sym_PIPE_EQ] = ACTIONS(3568),
    [anon_sym_CARET_EQ] = ACTIONS(3568),
    [anon_sym_LT_LT_EQ] = ACTIONS(3568),
    [anon_sym_GT_GT_EQ] = ACTIONS(3568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3568),
    [anon_sym_DOT_DOT] = ACTIONS(3582),
    [anon_sym_STAR_STAR] = ACTIONS(3584),
    [anon_sym_PIPE_PIPE] = ACTIONS(3586),
    [anon_sym_SLASH_SLASH] = ACTIONS(3586),
    [anon_sym_CARET_CARET] = ACTIONS(3588),
    [anon_sym_AMP_AMP] = ACTIONS(3590),
    [anon_sym_PIPE] = ACTIONS(3592),
    [anon_sym_CARET] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3594),
    [anon_sym_GT_GT2] = ACTIONS(3580),
    [anon_sym_PLUS] = ACTIONS(3596),
    [anon_sym_DASH] = ACTIONS(3596),
    [anon_sym_DOT] = ACTIONS(3596),
    [anon_sym_SLASH] = ACTIONS(3576),
    [anon_sym_x] = ACTIONS(3576),
    [anon_sym_EQ_TILDE] = ACTIONS(3598),
    [anon_sym_BANG_TILDE] = ACTIONS(3598),
    [anon_sym_EQ_EQ] = ACTIONS(3600),
    [anon_sym_BANG_EQ] = ACTIONS(3602),
    [anon_sym_eq] = ACTIONS(3600),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3602),
    [anon_sym_equ] = ACTIONS(3602),
    [anon_sym_eqr] = ACTIONS(3602),
    [anon_sym_ne] = ACTIONS(3602),
    [anon_sym_LT_EQ_GT] = ACTIONS(3604),
    [anon_sym_cmp] = ACTIONS(3604),
    [anon_sym_TILDE_TILDE] = ACTIONS(3604),
    [anon_sym_LT] = ACTIONS(3578),
    [anon_sym_LT_EQ] = ACTIONS(3578),
    [anon_sym_GT_EQ] = ACTIONS(3606),
    [anon_sym_lt] = ACTIONS(3606),
    [anon_sym_le] = ACTIONS(3606),
    [anon_sym_ge] = ACTIONS(3606),
    [anon_sym_gt] = ACTIONS(3606),
    [anon_sym_isa] = ACTIONS(3608),
    [anon_sym_PLUS_PLUS] = ACTIONS(3610),
    [anon_sym_DASH_DASH] = ACTIONS(3610),
    [anon_sym_QMARK] = ACTIONS(3612),
    [anon_sym_PERCENT2] = ACTIONS(3749),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2043] = {
    [sym_heredoc_content] = STATE(2043),
    [anon_sym_RBRACE] = ACTIONS(2827),
    [anon_sym_COLON] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_RPAREN] = ACTIONS(2827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2827),
    [anon_sym_DASH_GT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_GT] = ACTIONS(2829),
    [anon_sym_LT_LT] = ACTIONS(2829),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2827),
    [anon_sym_PLUS_EQ] = ACTIONS(2827),
    [anon_sym_DASH_EQ] = ACTIONS(2827),
    [anon_sym_DOT_EQ] = ACTIONS(2827),
    [anon_sym_STAR_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_PERCENT_EQ] = ACTIONS(2827),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_CARET_EQ] = ACTIONS(2827),
    [anon_sym_LT_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_GT_EQ] = ACTIONS(2827),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2827),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_STAR_STAR] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH] = ACTIONS(2829),
    [anon_sym_CARET_CARET] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_PIPE] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_GT_GT2] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2829),
    [anon_sym_x] = ACTIONS(2829),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_BANG_TILDE] = ACTIONS(2827),
    [anon_sym_EQ_EQ] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_eq] = ACTIONS(2829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_equ] = ACTIONS(2827),
    [anon_sym_eqr] = ACTIONS(2827),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2827),
    [anon_sym_cmp] = ACTIONS(2827),
    [anon_sym_TILDE_TILDE] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2827),
    [anon_sym_gt] = ACTIONS(2827),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_QMARK] = ACTIONS(2827),
    [anon_sym_EQ_GT] = ACTIONS(2827),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3751),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2044] = {
    [sym_heredoc_content] = STATE(2044),
    [anon_sym_RBRACE] = ACTIONS(3198),
    [anon_sym_COLON] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_RPAREN] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3198),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2045] = {
    [sym_heredoc_content] = STATE(2045),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_COLON] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_RPAREN] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2046] = {
    [sym_heredoc_content] = STATE(2046),
    [anon_sym_RBRACE] = ACTIONS(2965),
    [anon_sym_COLON] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2047] = {
    [sym_heredoc_content] = STATE(2047),
    [anon_sym_RBRACE] = ACTIONS(3318),
    [anon_sym_COLON] = ACTIONS(3318),
    [anon_sym_EQ] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_RPAREN] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3318),
    [anon_sym_DASH_GT] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3320),
    [anon_sym_PERCENT] = ACTIONS(3320),
    [anon_sym_GT] = ACTIONS(3320),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3318),
    [anon_sym_PLUS_EQ] = ACTIONS(3318),
    [anon_sym_DASH_EQ] = ACTIONS(3318),
    [anon_sym_DOT_EQ] = ACTIONS(3318),
    [anon_sym_STAR_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_PERCENT_EQ] = ACTIONS(3318),
    [anon_sym_x_EQ] = ACTIONS(3318),
    [anon_sym_AMP_EQ] = ACTIONS(3318),
    [anon_sym_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_CARET_EQ] = ACTIONS(3318),
    [anon_sym_LT_LT_EQ] = ACTIONS(3318),
    [anon_sym_GT_GT_EQ] = ACTIONS(3318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3318),
    [anon_sym_DOT_DOT] = ACTIONS(3320),
    [anon_sym_STAR_STAR] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE] = ACTIONS(3320),
    [anon_sym_SLASH_SLASH] = ACTIONS(3320),
    [anon_sym_CARET_CARET] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3320),
    [anon_sym_PIPE] = ACTIONS(3320),
    [anon_sym_CARET] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym_GT_GT2] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_DOT] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_x] = ACTIONS(3320),
    [anon_sym_EQ_TILDE] = ACTIONS(3318),
    [anon_sym_BANG_TILDE] = ACTIONS(3318),
    [anon_sym_EQ_EQ] = ACTIONS(3320),
    [anon_sym_BANG_EQ] = ACTIONS(3318),
    [anon_sym_eq] = ACTIONS(3320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3318),
    [anon_sym_equ] = ACTIONS(3318),
    [anon_sym_eqr] = ACTIONS(3318),
    [anon_sym_ne] = ACTIONS(3318),
    [anon_sym_LT_EQ_GT] = ACTIONS(3318),
    [anon_sym_cmp] = ACTIONS(3318),
    [anon_sym_TILDE_TILDE] = ACTIONS(3318),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_LT_EQ] = ACTIONS(3320),
    [anon_sym_GT_EQ] = ACTIONS(3318),
    [anon_sym_lt] = ACTIONS(3318),
    [anon_sym_le] = ACTIONS(3318),
    [anon_sym_ge] = ACTIONS(3318),
    [anon_sym_gt] = ACTIONS(3318),
    [anon_sym_isa] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_QMARK] = ACTIONS(3318),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2048] = {
    [sym_heredoc_content] = STATE(2048),
    [anon_sym_RBRACE] = ACTIONS(2849),
    [anon_sym_COLON] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2049] = {
    [sym_heredoc_content] = STATE(2049),
    [anon_sym_RBRACE] = ACTIONS(2885),
    [anon_sym_COLON] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2885),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2050] = {
    [sym_heredoc_content] = STATE(2050),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_COLON] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_RPAREN] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2051] = {
    [sym_heredoc_content] = STATE(2051),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym_EQ] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_COMMA] = ACTIONS(2566),
    [anon_sym_LPAREN] = ACTIONS(3753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2566),
    [anon_sym_DASH_GT] = ACTIONS(2566),
    [anon_sym_STAR] = ACTIONS(2568),
    [anon_sym_PERCENT] = ACTIONS(2568),
    [anon_sym_GT] = ACTIONS(2568),
    [anon_sym_LT_LT] = ACTIONS(2568),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2566),
    [anon_sym_PLUS_EQ] = ACTIONS(2566),
    [anon_sym_DASH_EQ] = ACTIONS(2566),
    [anon_sym_DOT_EQ] = ACTIONS(2566),
    [anon_sym_STAR_EQ] = ACTIONS(2566),
    [anon_sym_SLASH_EQ] = ACTIONS(2566),
    [anon_sym_PERCENT_EQ] = ACTIONS(2566),
    [anon_sym_x_EQ] = ACTIONS(2566),
    [anon_sym_AMP_EQ] = ACTIONS(2566),
    [anon_sym_PIPE_EQ] = ACTIONS(2566),
    [anon_sym_CARET_EQ] = ACTIONS(2566),
    [anon_sym_LT_LT_EQ] = ACTIONS(2566),
    [anon_sym_GT_GT_EQ] = ACTIONS(2566),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2566),
    [anon_sym_DOT_DOT] = ACTIONS(2568),
    [anon_sym_STAR_STAR] = ACTIONS(2568),
    [anon_sym_PIPE_PIPE] = ACTIONS(2568),
    [anon_sym_SLASH_SLASH] = ACTIONS(2568),
    [anon_sym_CARET_CARET] = ACTIONS(2566),
    [anon_sym_AMP_AMP] = ACTIONS(2568),
    [anon_sym_PIPE] = ACTIONS(2568),
    [anon_sym_CARET] = ACTIONS(2568),
    [anon_sym_AMP] = ACTIONS(2568),
    [anon_sym_GT_GT2] = ACTIONS(2568),
    [anon_sym_PLUS] = ACTIONS(2568),
    [anon_sym_DASH] = ACTIONS(2568),
    [anon_sym_DOT] = ACTIONS(2568),
    [anon_sym_SLASH] = ACTIONS(2568),
    [anon_sym_x] = ACTIONS(2568),
    [anon_sym_EQ_TILDE] = ACTIONS(2566),
    [anon_sym_BANG_TILDE] = ACTIONS(2566),
    [anon_sym_EQ_EQ] = ACTIONS(2568),
    [anon_sym_BANG_EQ] = ACTIONS(2566),
    [anon_sym_eq] = ACTIONS(2568),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2566),
    [anon_sym_equ] = ACTIONS(2566),
    [anon_sym_eqr] = ACTIONS(2566),
    [anon_sym_ne] = ACTIONS(2566),
    [anon_sym_LT_EQ_GT] = ACTIONS(2566),
    [anon_sym_cmp] = ACTIONS(2566),
    [anon_sym_TILDE_TILDE] = ACTIONS(2566),
    [anon_sym_LT] = ACTIONS(2568),
    [anon_sym_LT_EQ] = ACTIONS(2568),
    [anon_sym_GT_EQ] = ACTIONS(2566),
    [anon_sym_lt] = ACTIONS(2566),
    [anon_sym_le] = ACTIONS(2566),
    [anon_sym_ge] = ACTIONS(2566),
    [anon_sym_gt] = ACTIONS(2566),
    [anon_sym_isa] = ACTIONS(2566),
    [anon_sym_PLUS_PLUS] = ACTIONS(2566),
    [anon_sym_DASH_DASH] = ACTIONS(2566),
    [anon_sym_QMARK] = ACTIONS(2566),
    [anon_sym_EQ_GT] = ACTIONS(2566),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2566),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2052] = {
    [sym_heredoc_content] = STATE(2052),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_COLON] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3166),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2053] = {
    [sym_heredoc_content] = STATE(2053),
    [anon_sym_RBRACE] = ACTIONS(2905),
    [anon_sym_COLON] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2905),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2054] = {
    [sym_heredoc_content] = STATE(2054),
    [aux_sym__term_rightward_repeat1] = STATE(2054),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(3755),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_DOT_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_x_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(2674),
    [anon_sym_CARET_CARET] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_GT_GT2] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_x] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2672),
    [anon_sym_BANG_TILDE] = ACTIONS(2672),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_eq] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2672),
    [anon_sym_equ] = ACTIONS(2672),
    [anon_sym_eqr] = ACTIONS(2672),
    [anon_sym_ne] = ACTIONS(2672),
    [anon_sym_LT_EQ_GT] = ACTIONS(2672),
    [anon_sym_cmp] = ACTIONS(2672),
    [anon_sym_TILDE_TILDE] = ACTIONS(2672),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_lt] = ACTIONS(2672),
    [anon_sym_le] = ACTIONS(2672),
    [anon_sym_ge] = ACTIONS(2672),
    [anon_sym_gt] = ACTIONS(2672),
    [anon_sym_isa] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2672),
    [anon_sym_EQ_GT] = ACTIONS(3755),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2055] = {
    [sym_heredoc_content] = STATE(2055),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_COLON] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2911),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2056] = {
    [sym_heredoc_content] = STATE(2056),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_COLON] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2915),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2057] = {
    [sym_heredoc_content] = STATE(2057),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_COLON] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2919),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2058] = {
    [sym_heredoc_content] = STATE(2058),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_COLON] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2059] = {
    [sym_heredoc_content] = STATE(2059),
    [anon_sym_LBRACE] = ACTIONS(3758),
    [anon_sym_SEMI] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1839),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2060] = {
    [sym_heredoc_content] = STATE(2060),
    [anon_sym_SEMI] = ACTIONS(2642),
    [anon_sym_EQ] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_COMMA] = ACTIONS(2642),
    [anon_sym_LPAREN] = ACTIONS(3760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2642),
    [anon_sym_DASH_GT] = ACTIONS(2642),
    [anon_sym_STAR] = ACTIONS(2644),
    [anon_sym_PERCENT] = ACTIONS(2644),
    [anon_sym_GT] = ACTIONS(2644),
    [anon_sym_LT_LT] = ACTIONS(2644),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2642),
    [anon_sym_PLUS_EQ] = ACTIONS(2642),
    [anon_sym_DASH_EQ] = ACTIONS(2642),
    [anon_sym_DOT_EQ] = ACTIONS(2642),
    [anon_sym_STAR_EQ] = ACTIONS(2642),
    [anon_sym_SLASH_EQ] = ACTIONS(2642),
    [anon_sym_PERCENT_EQ] = ACTIONS(2642),
    [anon_sym_x_EQ] = ACTIONS(2642),
    [anon_sym_AMP_EQ] = ACTIONS(2642),
    [anon_sym_PIPE_EQ] = ACTIONS(2642),
    [anon_sym_CARET_EQ] = ACTIONS(2642),
    [anon_sym_LT_LT_EQ] = ACTIONS(2642),
    [anon_sym_GT_GT_EQ] = ACTIONS(2642),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2642),
    [anon_sym_DOT_DOT] = ACTIONS(2644),
    [anon_sym_STAR_STAR] = ACTIONS(2644),
    [anon_sym_PIPE_PIPE] = ACTIONS(2644),
    [anon_sym_SLASH_SLASH] = ACTIONS(2644),
    [anon_sym_CARET_CARET] = ACTIONS(2642),
    [anon_sym_AMP_AMP] = ACTIONS(2644),
    [anon_sym_PIPE] = ACTIONS(2644),
    [anon_sym_CARET] = ACTIONS(2644),
    [anon_sym_AMP] = ACTIONS(2644),
    [anon_sym_GT_GT2] = ACTIONS(2644),
    [anon_sym_PLUS] = ACTIONS(2644),
    [anon_sym_DASH] = ACTIONS(2644),
    [anon_sym_DOT] = ACTIONS(2644),
    [anon_sym_SLASH] = ACTIONS(2644),
    [anon_sym_x] = ACTIONS(2644),
    [anon_sym_EQ_TILDE] = ACTIONS(2642),
    [anon_sym_BANG_TILDE] = ACTIONS(2642),
    [anon_sym_EQ_EQ] = ACTIONS(2644),
    [anon_sym_BANG_EQ] = ACTIONS(2642),
    [anon_sym_eq] = ACTIONS(2644),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2642),
    [anon_sym_equ] = ACTIONS(2642),
    [anon_sym_eqr] = ACTIONS(2642),
    [anon_sym_ne] = ACTIONS(2642),
    [anon_sym_LT_EQ_GT] = ACTIONS(2642),
    [anon_sym_cmp] = ACTIONS(2642),
    [anon_sym_TILDE_TILDE] = ACTIONS(2642),
    [anon_sym_LT] = ACTIONS(2644),
    [anon_sym_LT_EQ] = ACTIONS(2644),
    [anon_sym_GT_EQ] = ACTIONS(2642),
    [anon_sym_lt] = ACTIONS(2642),
    [anon_sym_le] = ACTIONS(2642),
    [anon_sym_ge] = ACTIONS(2642),
    [anon_sym_gt] = ACTIONS(2642),
    [anon_sym_isa] = ACTIONS(2642),
    [anon_sym_PLUS_PLUS] = ACTIONS(2642),
    [anon_sym_DASH_DASH] = ACTIONS(2642),
    [anon_sym_QMARK] = ACTIONS(2642),
    [anon_sym_EQ_GT] = ACTIONS(2642),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2642),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2061] = {
    [sym_heredoc_content] = STATE(2061),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_LBRACK] = ACTIONS(3762),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2474),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2062] = {
    [sym_heredoc_content] = STATE(2062),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_COLON] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3084),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3084),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3084),
    [anon_sym_x] = ACTIONS(3084),
    [anon_sym_EQ_TILDE] = ACTIONS(3082),
    [anon_sym_BANG_TILDE] = ACTIONS(3082),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2063] = {
    [sym_heredoc_content] = STATE(2063),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_COLON] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_RPAREN] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3178),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2064] = {
    [sym_heredoc_content] = STATE(2064),
    [anon_sym_COLON] = ACTIONS(3764),
    [anon_sym_SEMI] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DASH_GT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2622),
    [anon_sym_GT] = ACTIONS(2622),
    [anon_sym_LT_LT] = ACTIONS(2622),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2618),
    [anon_sym_DASH_EQ] = ACTIONS(2618),
    [anon_sym_DOT_EQ] = ACTIONS(2618),
    [anon_sym_STAR_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_PERCENT_EQ] = ACTIONS(2618),
    [anon_sym_x_EQ] = ACTIONS(2618),
    [anon_sym_AMP_EQ] = ACTIONS(2618),
    [anon_sym_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_CARET_EQ] = ACTIONS(2618),
    [anon_sym_LT_LT_EQ] = ACTIONS(2618),
    [anon_sym_GT_GT_EQ] = ACTIONS(2618),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2618),
    [anon_sym_DOT_DOT] = ACTIONS(2622),
    [anon_sym_STAR_STAR] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH] = ACTIONS(2622),
    [anon_sym_CARET_CARET] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_PIPE] = ACTIONS(2622),
    [anon_sym_CARET] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_GT_GT2] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_DOT] = ACTIONS(2622),
    [anon_sym_SLASH] = ACTIONS(2622),
    [anon_sym_x] = ACTIONS(2622),
    [anon_sym_EQ_TILDE] = ACTIONS(2618),
    [anon_sym_BANG_TILDE] = ACTIONS(2618),
    [anon_sym_EQ_EQ] = ACTIONS(2622),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_eq] = ACTIONS(2622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2618),
    [anon_sym_equ] = ACTIONS(2618),
    [anon_sym_eqr] = ACTIONS(2618),
    [anon_sym_ne] = ACTIONS(2618),
    [anon_sym_LT_EQ_GT] = ACTIONS(2618),
    [anon_sym_cmp] = ACTIONS(2618),
    [anon_sym_TILDE_TILDE] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_EQ] = ACTIONS(2618),
    [anon_sym_lt] = ACTIONS(2618),
    [anon_sym_le] = ACTIONS(2618),
    [anon_sym_ge] = ACTIONS(2618),
    [anon_sym_gt] = ACTIONS(2618),
    [anon_sym_isa] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_EQ_GT] = ACTIONS(2618),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2618),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2065] = {
    [sym_heredoc_content] = STATE(2065),
    [anon_sym_COLON] = ACTIONS(3766),
    [anon_sym_SEMI] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_DOT_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_x_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2624),
    [anon_sym_BANG_TILDE] = ACTIONS(2624),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2624),
    [anon_sym_equ] = ACTIONS(2624),
    [anon_sym_eqr] = ACTIONS(2624),
    [anon_sym_ne] = ACTIONS(2624),
    [anon_sym_LT_EQ_GT] = ACTIONS(2624),
    [anon_sym_cmp] = ACTIONS(2624),
    [anon_sym_TILDE_TILDE] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_lt] = ACTIONS(2624),
    [anon_sym_le] = ACTIONS(2624),
    [anon_sym_ge] = ACTIONS(2624),
    [anon_sym_gt] = ACTIONS(2624),
    [anon_sym_isa] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_EQ_GT] = ACTIONS(2624),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2624),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2066] = {
    [sym_heredoc_content] = STATE(2066),
    [anon_sym_RBRACE] = ACTIONS(2634),
    [anon_sym_COLON] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2634),
    [anon_sym_x_EQ] = ACTIONS(2634),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2634),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2634),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2634),
    [anon_sym_le] = ACTIONS(2634),
    [anon_sym_ge] = ACTIONS(2634),
    [anon_sym_gt] = ACTIONS(2634),
    [anon_sym_isa] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2067] = {
    [sym_heredoc_content] = STATE(2067),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym_EQ] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_COMMA] = ACTIONS(2815),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2815),
    [anon_sym_DASH_GT] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(3768),
    [anon_sym_PERCENT] = ACTIONS(2817),
    [anon_sym_GT] = ACTIONS(2817),
    [anon_sym_LT_LT] = ACTIONS(2817),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2815),
    [anon_sym_PLUS_EQ] = ACTIONS(2815),
    [anon_sym_DASH_EQ] = ACTIONS(2815),
    [anon_sym_DOT_EQ] = ACTIONS(2815),
    [anon_sym_STAR_EQ] = ACTIONS(2815),
    [anon_sym_SLASH_EQ] = ACTIONS(2815),
    [anon_sym_PERCENT_EQ] = ACTIONS(2815),
    [anon_sym_x_EQ] = ACTIONS(2815),
    [anon_sym_AMP_EQ] = ACTIONS(2815),
    [anon_sym_PIPE_EQ] = ACTIONS(2815),
    [anon_sym_CARET_EQ] = ACTIONS(2815),
    [anon_sym_LT_LT_EQ] = ACTIONS(2815),
    [anon_sym_GT_GT_EQ] = ACTIONS(2815),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2815),
    [anon_sym_DOT_DOT] = ACTIONS(2817),
    [anon_sym_STAR_STAR] = ACTIONS(2817),
    [anon_sym_PIPE_PIPE] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH] = ACTIONS(2817),
    [anon_sym_CARET_CARET] = ACTIONS(2815),
    [anon_sym_AMP_AMP] = ACTIONS(2817),
    [anon_sym_PIPE] = ACTIONS(2817),
    [anon_sym_CARET] = ACTIONS(2817),
    [anon_sym_AMP] = ACTIONS(2817),
    [anon_sym_GT_GT2] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_DOT] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_x] = ACTIONS(2817),
    [anon_sym_EQ_TILDE] = ACTIONS(2815),
    [anon_sym_BANG_TILDE] = ACTIONS(2815),
    [anon_sym_EQ_EQ] = ACTIONS(2817),
    [anon_sym_BANG_EQ] = ACTIONS(2815),
    [anon_sym_eq] = ACTIONS(2817),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2815),
    [anon_sym_equ] = ACTIONS(2815),
    [anon_sym_eqr] = ACTIONS(2815),
    [anon_sym_ne] = ACTIONS(2815),
    [anon_sym_LT_EQ_GT] = ACTIONS(2815),
    [anon_sym_cmp] = ACTIONS(2815),
    [anon_sym_TILDE_TILDE] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_LT_EQ] = ACTIONS(2817),
    [anon_sym_GT_EQ] = ACTIONS(2815),
    [anon_sym_lt] = ACTIONS(2815),
    [anon_sym_le] = ACTIONS(2815),
    [anon_sym_ge] = ACTIONS(2815),
    [anon_sym_gt] = ACTIONS(2815),
    [anon_sym_isa] = ACTIONS(2815),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_EQ_GT] = ACTIONS(2815),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2815),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2068] = {
    [sym_heredoc_content] = STATE(2068),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_LPAREN] = ACTIONS(3760),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(2648),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(2648),
    [anon_sym_DASH_DASH] = ACTIONS(2648),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2648),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2069] = {
    [sym_heredoc_content] = STATE(2069),
    [anon_sym_RBRACE] = ACTIONS(1973),
    [anon_sym_COLON] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1973),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2070] = {
    [sym_heredoc_content] = STATE(2070),
    [aux_sym__term_rightward_repeat1] = STATE(2105),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_COMMA] = ACTIONS(3774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3772),
    [anon_sym_PLUS_EQ] = ACTIONS(3772),
    [anon_sym_DASH_EQ] = ACTIONS(3772),
    [anon_sym_DOT_EQ] = ACTIONS(3772),
    [anon_sym_STAR_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_PERCENT_EQ] = ACTIONS(3772),
    [anon_sym_x_EQ] = ACTIONS(3772),
    [anon_sym_AMP_EQ] = ACTIONS(3772),
    [anon_sym_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_CARET_EQ] = ACTIONS(3772),
    [anon_sym_LT_LT_EQ] = ACTIONS(3772),
    [anon_sym_GT_GT_EQ] = ACTIONS(3772),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3772),
    [anon_sym_DOT_DOT] = ACTIONS(3786),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3790),
    [anon_sym_CARET_CARET] = ACTIONS(3792),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3816),
    [anon_sym_EQ_GT] = ACTIONS(3774),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2679),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2071] = {
    [sym_heredoc_content] = STATE(2071),
    [anon_sym_RBRACE] = ACTIONS(2614),
    [anon_sym_COLON] = ACTIONS(2614),
    [anon_sym_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_COMMA] = ACTIONS(2614),
    [anon_sym_RPAREN] = ACTIONS(2614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2614),
    [anon_sym_DASH_GT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2616),
    [anon_sym_GT] = ACTIONS(2616),
    [anon_sym_LT_LT] = ACTIONS(2616),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2614),
    [anon_sym_PLUS_EQ] = ACTIONS(2614),
    [anon_sym_DASH_EQ] = ACTIONS(2614),
    [anon_sym_DOT_EQ] = ACTIONS(2614),
    [anon_sym_STAR_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_PERCENT_EQ] = ACTIONS(2614),
    [anon_sym_x_EQ] = ACTIONS(2614),
    [anon_sym_AMP_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_CARET_EQ] = ACTIONS(2614),
    [anon_sym_LT_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_GT_EQ] = ACTIONS(2614),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2614),
    [anon_sym_DOT_DOT] = ACTIONS(2616),
    [anon_sym_STAR_STAR] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH] = ACTIONS(2616),
    [anon_sym_CARET_CARET] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_PIPE] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_GT_GT2] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_DOT] = ACTIONS(2616),
    [anon_sym_SLASH] = ACTIONS(2616),
    [anon_sym_x] = ACTIONS(2616),
    [anon_sym_EQ_TILDE] = ACTIONS(2614),
    [anon_sym_BANG_TILDE] = ACTIONS(2614),
    [anon_sym_EQ_EQ] = ACTIONS(2616),
    [anon_sym_BANG_EQ] = ACTIONS(2614),
    [anon_sym_eq] = ACTIONS(2616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2614),
    [anon_sym_equ] = ACTIONS(2614),
    [anon_sym_eqr] = ACTIONS(2614),
    [anon_sym_ne] = ACTIONS(2614),
    [anon_sym_LT_EQ_GT] = ACTIONS(2614),
    [anon_sym_cmp] = ACTIONS(2614),
    [anon_sym_TILDE_TILDE] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_lt] = ACTIONS(2614),
    [anon_sym_le] = ACTIONS(2614),
    [anon_sym_ge] = ACTIONS(2614),
    [anon_sym_gt] = ACTIONS(2614),
    [anon_sym_isa] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2614),
    [anon_sym_EQ_GT] = ACTIONS(2614),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2072] = {
    [sym_heredoc_content] = STATE(2072),
    [anon_sym_RBRACE] = ACTIONS(2988),
    [anon_sym_COLON] = ACTIONS(2988),
    [anon_sym_EQ] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_COMMA] = ACTIONS(2988),
    [anon_sym_RPAREN] = ACTIONS(2988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2988),
    [anon_sym_DASH_GT] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_PERCENT] = ACTIONS(2990),
    [anon_sym_GT] = ACTIONS(2990),
    [anon_sym_LT_LT] = ACTIONS(2990),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2988),
    [anon_sym_PLUS_EQ] = ACTIONS(2988),
    [anon_sym_DASH_EQ] = ACTIONS(2988),
    [anon_sym_DOT_EQ] = ACTIONS(2988),
    [anon_sym_STAR_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_PERCENT_EQ] = ACTIONS(2988),
    [anon_sym_x_EQ] = ACTIONS(2988),
    [anon_sym_AMP_EQ] = ACTIONS(2988),
    [anon_sym_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_CARET_EQ] = ACTIONS(2988),
    [anon_sym_LT_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT_GT_EQ] = ACTIONS(2988),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2988),
    [anon_sym_DOT_DOT] = ACTIONS(2990),
    [anon_sym_STAR_STAR] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2990),
    [anon_sym_SLASH_SLASH] = ACTIONS(2990),
    [anon_sym_CARET_CARET] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_CARET] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_GT_GT2] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_DOT] = ACTIONS(2990),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_x] = ACTIONS(2990),
    [anon_sym_EQ_TILDE] = ACTIONS(2988),
    [anon_sym_BANG_TILDE] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2990),
    [anon_sym_BANG_EQ] = ACTIONS(2988),
    [anon_sym_eq] = ACTIONS(2990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2988),
    [anon_sym_equ] = ACTIONS(2988),
    [anon_sym_eqr] = ACTIONS(2988),
    [anon_sym_ne] = ACTIONS(2988),
    [anon_sym_LT_EQ_GT] = ACTIONS(2988),
    [anon_sym_cmp] = ACTIONS(2988),
    [anon_sym_TILDE_TILDE] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2990),
    [anon_sym_LT_EQ] = ACTIONS(2990),
    [anon_sym_GT_EQ] = ACTIONS(2988),
    [anon_sym_lt] = ACTIONS(2988),
    [anon_sym_le] = ACTIONS(2988),
    [anon_sym_ge] = ACTIONS(2988),
    [anon_sym_gt] = ACTIONS(2988),
    [anon_sym_isa] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2988),
    [anon_sym_QMARK] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(2988),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2073] = {
    [sym_heredoc_content] = STATE(2073),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym_EQ] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_COMMA] = ACTIONS(2775),
    [anon_sym_LPAREN] = ACTIONS(2775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2775),
    [anon_sym_DASH_GT] = ACTIONS(2775),
    [anon_sym_STAR] = ACTIONS(2777),
    [anon_sym_PERCENT] = ACTIONS(2777),
    [anon_sym_GT] = ACTIONS(2777),
    [anon_sym_LT_LT] = ACTIONS(2777),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2775),
    [anon_sym_PLUS_EQ] = ACTIONS(2775),
    [anon_sym_DASH_EQ] = ACTIONS(2775),
    [anon_sym_DOT_EQ] = ACTIONS(2775),
    [anon_sym_STAR_EQ] = ACTIONS(2775),
    [anon_sym_SLASH_EQ] = ACTIONS(2775),
    [anon_sym_PERCENT_EQ] = ACTIONS(2775),
    [anon_sym_x_EQ] = ACTIONS(2775),
    [anon_sym_AMP_EQ] = ACTIONS(2775),
    [anon_sym_PIPE_EQ] = ACTIONS(2775),
    [anon_sym_CARET_EQ] = ACTIONS(2775),
    [anon_sym_LT_LT_EQ] = ACTIONS(2775),
    [anon_sym_GT_GT_EQ] = ACTIONS(2775),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2775),
    [anon_sym_DOT_DOT] = ACTIONS(2777),
    [anon_sym_STAR_STAR] = ACTIONS(2777),
    [anon_sym_PIPE_PIPE] = ACTIONS(2777),
    [anon_sym_SLASH_SLASH] = ACTIONS(2777),
    [anon_sym_CARET_CARET] = ACTIONS(2775),
    [anon_sym_AMP_AMP] = ACTIONS(2777),
    [anon_sym_PIPE] = ACTIONS(2777),
    [anon_sym_CARET] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_GT_GT2] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(2777),
    [anon_sym_x] = ACTIONS(2777),
    [anon_sym_EQ_TILDE] = ACTIONS(2775),
    [anon_sym_BANG_TILDE] = ACTIONS(2775),
    [anon_sym_EQ_EQ] = ACTIONS(2777),
    [anon_sym_BANG_EQ] = ACTIONS(2775),
    [anon_sym_eq] = ACTIONS(2777),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2775),
    [anon_sym_equ] = ACTIONS(2775),
    [anon_sym_eqr] = ACTIONS(2775),
    [anon_sym_ne] = ACTIONS(2775),
    [anon_sym_LT_EQ_GT] = ACTIONS(2775),
    [anon_sym_cmp] = ACTIONS(2775),
    [anon_sym_TILDE_TILDE] = ACTIONS(2775),
    [anon_sym_LT] = ACTIONS(2777),
    [anon_sym_LT_EQ] = ACTIONS(2777),
    [anon_sym_GT_EQ] = ACTIONS(2775),
    [anon_sym_lt] = ACTIONS(2775),
    [anon_sym_le] = ACTIONS(2775),
    [anon_sym_ge] = ACTIONS(2775),
    [anon_sym_gt] = ACTIONS(2775),
    [anon_sym_isa] = ACTIONS(2775),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_EQ_GT] = ACTIONS(2775),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2775),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2074] = {
    [sym_heredoc_content] = STATE(2074),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym_EQ] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_COMMA] = ACTIONS(2823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2823),
    [anon_sym_DASH_GT] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2825),
    [anon_sym_PERCENT] = ACTIONS(2825),
    [anon_sym_GT] = ACTIONS(2825),
    [anon_sym_LT_LT] = ACTIONS(2825),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2823),
    [anon_sym_PLUS_EQ] = ACTIONS(2823),
    [anon_sym_DASH_EQ] = ACTIONS(2823),
    [anon_sym_DOT_EQ] = ACTIONS(2823),
    [anon_sym_STAR_EQ] = ACTIONS(2823),
    [anon_sym_SLASH_EQ] = ACTIONS(2823),
    [anon_sym_PERCENT_EQ] = ACTIONS(2823),
    [anon_sym_x_EQ] = ACTIONS(2823),
    [anon_sym_AMP_EQ] = ACTIONS(2823),
    [anon_sym_PIPE_EQ] = ACTIONS(2823),
    [anon_sym_CARET_EQ] = ACTIONS(2823),
    [anon_sym_LT_LT_EQ] = ACTIONS(2823),
    [anon_sym_GT_GT_EQ] = ACTIONS(2823),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2823),
    [anon_sym_DOT_DOT] = ACTIONS(2825),
    [anon_sym_STAR_STAR] = ACTIONS(2825),
    [anon_sym_PIPE_PIPE] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH] = ACTIONS(2825),
    [anon_sym_CARET_CARET] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2825),
    [anon_sym_PIPE] = ACTIONS(2825),
    [anon_sym_CARET] = ACTIONS(2825),
    [anon_sym_AMP] = ACTIONS(2825),
    [anon_sym_GT_GT2] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_DOT] = ACTIONS(2825),
    [anon_sym_SLASH] = ACTIONS(2825),
    [anon_sym_x] = ACTIONS(2825),
    [anon_sym_EQ_TILDE] = ACTIONS(2823),
    [anon_sym_BANG_TILDE] = ACTIONS(2823),
    [anon_sym_EQ_EQ] = ACTIONS(2825),
    [anon_sym_BANG_EQ] = ACTIONS(2823),
    [anon_sym_eq] = ACTIONS(2825),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2823),
    [anon_sym_equ] = ACTIONS(2823),
    [anon_sym_eqr] = ACTIONS(2823),
    [anon_sym_ne] = ACTIONS(2823),
    [anon_sym_LT_EQ_GT] = ACTIONS(2823),
    [anon_sym_cmp] = ACTIONS(2823),
    [anon_sym_TILDE_TILDE] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2825),
    [anon_sym_LT_EQ] = ACTIONS(2825),
    [anon_sym_GT_EQ] = ACTIONS(2823),
    [anon_sym_lt] = ACTIONS(2823),
    [anon_sym_le] = ACTIONS(2823),
    [anon_sym_ge] = ACTIONS(2823),
    [anon_sym_gt] = ACTIONS(2823),
    [anon_sym_isa] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_QMARK] = ACTIONS(2823),
    [anon_sym_EQ_GT] = ACTIONS(2823),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2823),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2075] = {
    [sym_heredoc_content] = STATE(2075),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_EQ] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_COMMA] = ACTIONS(2759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2759),
    [anon_sym_DASH_GT] = ACTIONS(2759),
    [anon_sym_STAR] = ACTIONS(2761),
    [anon_sym_PERCENT] = ACTIONS(2761),
    [anon_sym_GT] = ACTIONS(2761),
    [anon_sym_LT_LT] = ACTIONS(2761),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2759),
    [anon_sym_PLUS_EQ] = ACTIONS(2759),
    [anon_sym_DASH_EQ] = ACTIONS(2759),
    [anon_sym_DOT_EQ] = ACTIONS(2759),
    [anon_sym_STAR_EQ] = ACTIONS(2759),
    [anon_sym_SLASH_EQ] = ACTIONS(2759),
    [anon_sym_PERCENT_EQ] = ACTIONS(2759),
    [anon_sym_x_EQ] = ACTIONS(2761),
    [anon_sym_AMP_EQ] = ACTIONS(2759),
    [anon_sym_PIPE_EQ] = ACTIONS(2759),
    [anon_sym_CARET_EQ] = ACTIONS(2759),
    [anon_sym_LT_LT_EQ] = ACTIONS(2759),
    [anon_sym_GT_GT_EQ] = ACTIONS(2759),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2759),
    [anon_sym_DOT_DOT] = ACTIONS(2761),
    [anon_sym_STAR_STAR] = ACTIONS(2761),
    [anon_sym_PIPE_PIPE] = ACTIONS(2761),
    [anon_sym_SLASH_SLASH] = ACTIONS(2761),
    [anon_sym_CARET_CARET] = ACTIONS(2759),
    [anon_sym_AMP_AMP] = ACTIONS(2761),
    [anon_sym_PIPE] = ACTIONS(2761),
    [anon_sym_CARET] = ACTIONS(2761),
    [anon_sym_AMP] = ACTIONS(2761),
    [anon_sym_GT_GT2] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_DOT] = ACTIONS(2761),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_x] = ACTIONS(2761),
    [anon_sym_EQ_TILDE] = ACTIONS(2759),
    [anon_sym_BANG_TILDE] = ACTIONS(2759),
    [anon_sym_EQ_EQ] = ACTIONS(2761),
    [anon_sym_BANG_EQ] = ACTIONS(2759),
    [anon_sym_eq] = ACTIONS(2761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2759),
    [anon_sym_equ] = ACTIONS(2759),
    [anon_sym_eqr] = ACTIONS(2759),
    [anon_sym_ne] = ACTIONS(2761),
    [anon_sym_LT_EQ_GT] = ACTIONS(2759),
    [anon_sym_cmp] = ACTIONS(2761),
    [anon_sym_TILDE_TILDE] = ACTIONS(2759),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_LT_EQ] = ACTIONS(2761),
    [anon_sym_GT_EQ] = ACTIONS(2759),
    [anon_sym_lt] = ACTIONS(2761),
    [anon_sym_le] = ACTIONS(2761),
    [anon_sym_ge] = ACTIONS(2761),
    [anon_sym_gt] = ACTIONS(2761),
    [anon_sym_isa] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [anon_sym_QMARK] = ACTIONS(2759),
    [anon_sym_EQ_GT] = ACTIONS(2759),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3818),
    [sym__PERLY_SEMICOLON] = ACTIONS(2759),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2076] = {
    [sym_heredoc_content] = STATE(2076),
    [anon_sym_RBRACE] = ACTIONS(2992),
    [anon_sym_COLON] = ACTIONS(2992),
    [anon_sym_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(2992),
    [anon_sym_RPAREN] = ACTIONS(2992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2992),
    [anon_sym_DASH_GT] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_PERCENT] = ACTIONS(2994),
    [anon_sym_GT] = ACTIONS(2994),
    [anon_sym_LT_LT] = ACTIONS(2994),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2992),
    [anon_sym_PLUS_EQ] = ACTIONS(2992),
    [anon_sym_DASH_EQ] = ACTIONS(2992),
    [anon_sym_DOT_EQ] = ACTIONS(2992),
    [anon_sym_STAR_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_PERCENT_EQ] = ACTIONS(2992),
    [anon_sym_x_EQ] = ACTIONS(2992),
    [anon_sym_AMP_EQ] = ACTIONS(2992),
    [anon_sym_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_CARET_EQ] = ACTIONS(2992),
    [anon_sym_LT_LT_EQ] = ACTIONS(2992),
    [anon_sym_GT_GT_EQ] = ACTIONS(2992),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2992),
    [anon_sym_DOT_DOT] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2994),
    [anon_sym_SLASH_SLASH] = ACTIONS(2994),
    [anon_sym_CARET_CARET] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_GT_GT2] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2994),
    [anon_sym_SLASH] = ACTIONS(2994),
    [anon_sym_x] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2992),
    [anon_sym_BANG_TILDE] = ACTIONS(2992),
    [anon_sym_EQ_EQ] = ACTIONS(2994),
    [anon_sym_BANG_EQ] = ACTIONS(2992),
    [anon_sym_eq] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2992),
    [anon_sym_equ] = ACTIONS(2992),
    [anon_sym_eqr] = ACTIONS(2992),
    [anon_sym_ne] = ACTIONS(2992),
    [anon_sym_LT_EQ_GT] = ACTIONS(2992),
    [anon_sym_cmp] = ACTIONS(2992),
    [anon_sym_TILDE_TILDE] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2994),
    [anon_sym_GT_EQ] = ACTIONS(2992),
    [anon_sym_lt] = ACTIONS(2992),
    [anon_sym_le] = ACTIONS(2992),
    [anon_sym_ge] = ACTIONS(2992),
    [anon_sym_gt] = ACTIONS(2992),
    [anon_sym_isa] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2992),
    [anon_sym_QMARK] = ACTIONS(2992),
    [anon_sym_EQ_GT] = ACTIONS(2992),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2077] = {
    [sym_heredoc_content] = STATE(2077),
    [anon_sym_SEMI] = ACTIONS(2666),
    [anon_sym_EQ] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_COMMA] = ACTIONS(2666),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2666),
    [anon_sym_DASH_GT] = ACTIONS(2666),
    [anon_sym_STAR] = ACTIONS(2668),
    [anon_sym_LBRACK] = ACTIONS(3768),
    [anon_sym_PERCENT] = ACTIONS(2668),
    [anon_sym_GT] = ACTIONS(2668),
    [anon_sym_LT_LT] = ACTIONS(2668),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2666),
    [anon_sym_PLUS_EQ] = ACTIONS(2666),
    [anon_sym_DASH_EQ] = ACTIONS(2666),
    [anon_sym_DOT_EQ] = ACTIONS(2666),
    [anon_sym_STAR_EQ] = ACTIONS(2666),
    [anon_sym_SLASH_EQ] = ACTIONS(2666),
    [anon_sym_PERCENT_EQ] = ACTIONS(2666),
    [anon_sym_x_EQ] = ACTIONS(2666),
    [anon_sym_AMP_EQ] = ACTIONS(2666),
    [anon_sym_PIPE_EQ] = ACTIONS(2666),
    [anon_sym_CARET_EQ] = ACTIONS(2666),
    [anon_sym_LT_LT_EQ] = ACTIONS(2666),
    [anon_sym_GT_GT_EQ] = ACTIONS(2666),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2666),
    [anon_sym_DOT_DOT] = ACTIONS(2668),
    [anon_sym_STAR_STAR] = ACTIONS(2668),
    [anon_sym_PIPE_PIPE] = ACTIONS(2668),
    [anon_sym_SLASH_SLASH] = ACTIONS(2668),
    [anon_sym_CARET_CARET] = ACTIONS(2666),
    [anon_sym_AMP_AMP] = ACTIONS(2668),
    [anon_sym_PIPE] = ACTIONS(2668),
    [anon_sym_CARET] = ACTIONS(2668),
    [anon_sym_AMP] = ACTIONS(2668),
    [anon_sym_GT_GT2] = ACTIONS(2668),
    [anon_sym_PLUS] = ACTIONS(2668),
    [anon_sym_DASH] = ACTIONS(2668),
    [anon_sym_DOT] = ACTIONS(2668),
    [anon_sym_SLASH] = ACTIONS(2668),
    [anon_sym_x] = ACTIONS(2668),
    [anon_sym_EQ_TILDE] = ACTIONS(2666),
    [anon_sym_BANG_TILDE] = ACTIONS(2666),
    [anon_sym_EQ_EQ] = ACTIONS(2668),
    [anon_sym_BANG_EQ] = ACTIONS(2666),
    [anon_sym_eq] = ACTIONS(2668),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2666),
    [anon_sym_equ] = ACTIONS(2666),
    [anon_sym_eqr] = ACTIONS(2666),
    [anon_sym_ne] = ACTIONS(2666),
    [anon_sym_LT_EQ_GT] = ACTIONS(2666),
    [anon_sym_cmp] = ACTIONS(2666),
    [anon_sym_TILDE_TILDE] = ACTIONS(2666),
    [anon_sym_LT] = ACTIONS(2668),
    [anon_sym_LT_EQ] = ACTIONS(2668),
    [anon_sym_GT_EQ] = ACTIONS(2666),
    [anon_sym_lt] = ACTIONS(2666),
    [anon_sym_le] = ACTIONS(2666),
    [anon_sym_ge] = ACTIONS(2666),
    [anon_sym_gt] = ACTIONS(2666),
    [anon_sym_isa] = ACTIONS(2666),
    [anon_sym_PLUS_PLUS] = ACTIONS(2666),
    [anon_sym_DASH_DASH] = ACTIONS(2666),
    [anon_sym_QMARK] = ACTIONS(2666),
    [anon_sym_EQ_GT] = ACTIONS(2666),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2666),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2078] = {
    [sym_heredoc_content] = STATE(2078),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_RPAREN] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2079] = {
    [sym_heredoc_content] = STATE(2079),
    [anon_sym_RBRACE] = ACTIONS(2578),
    [anon_sym_COLON] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2578),
    [anon_sym_x_EQ] = ACTIONS(2578),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2578),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2578),
    [anon_sym_le] = ACTIONS(2578),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2080] = {
    [sym_heredoc_content] = STATE(2080),
    [anon_sym_RBRACE] = ACTIONS(2590),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_RPAREN] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2590),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2081] = {
    [sym_heredoc_content] = STATE(2081),
    [anon_sym_COLON] = ACTIONS(2610),
    [anon_sym_SEMI] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_PERCENT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2612),
    [anon_sym_LT_LT] = ACTIONS(2612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2612),
    [anon_sym_STAR_STAR] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE] = ACTIONS(2612),
    [anon_sym_SLASH_SLASH] = ACTIONS(2612),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_PIPE] = ACTIONS(2612),
    [anon_sym_CARET] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_GT_GT2] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_DOT] = ACTIONS(2612),
    [anon_sym_SLASH] = ACTIONS(2612),
    [anon_sym_x] = ACTIONS(2612),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_LT_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2610),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2082] = {
    [sym_heredoc_content] = STATE(2082),
    [anon_sym_RBRACE] = ACTIONS(2630),
    [anon_sym_COLON] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_RPAREN] = ACTIONS(2630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2630),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2083] = {
    [sym_heredoc_content] = STATE(2083),
    [anon_sym_RBRACE] = ACTIONS(2996),
    [anon_sym_COLON] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2996),
    [anon_sym_RPAREN] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DASH_GT] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_PERCENT] = ACTIONS(2998),
    [anon_sym_GT] = ACTIONS(2998),
    [anon_sym_LT_LT] = ACTIONS(2998),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2996),
    [anon_sym_PLUS_EQ] = ACTIONS(2996),
    [anon_sym_DASH_EQ] = ACTIONS(2996),
    [anon_sym_DOT_EQ] = ACTIONS(2996),
    [anon_sym_STAR_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_PERCENT_EQ] = ACTIONS(2996),
    [anon_sym_x_EQ] = ACTIONS(2996),
    [anon_sym_AMP_EQ] = ACTIONS(2996),
    [anon_sym_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_CARET_EQ] = ACTIONS(2996),
    [anon_sym_LT_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT_GT_EQ] = ACTIONS(2996),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2996),
    [anon_sym_DOT_DOT] = ACTIONS(2998),
    [anon_sym_STAR_STAR] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2998),
    [anon_sym_SLASH_SLASH] = ACTIONS(2998),
    [anon_sym_CARET_CARET] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_PIPE] = ACTIONS(2998),
    [anon_sym_CARET] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_GT_GT2] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_DOT] = ACTIONS(2998),
    [anon_sym_SLASH] = ACTIONS(2998),
    [anon_sym_x] = ACTIONS(2998),
    [anon_sym_EQ_TILDE] = ACTIONS(2996),
    [anon_sym_BANG_TILDE] = ACTIONS(2996),
    [anon_sym_EQ_EQ] = ACTIONS(2998),
    [anon_sym_BANG_EQ] = ACTIONS(2996),
    [anon_sym_eq] = ACTIONS(2998),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2996),
    [anon_sym_equ] = ACTIONS(2996),
    [anon_sym_eqr] = ACTIONS(2996),
    [anon_sym_ne] = ACTIONS(2996),
    [anon_sym_LT_EQ_GT] = ACTIONS(2996),
    [anon_sym_cmp] = ACTIONS(2996),
    [anon_sym_TILDE_TILDE] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2998),
    [anon_sym_LT_EQ] = ACTIONS(2998),
    [anon_sym_GT_EQ] = ACTIONS(2996),
    [anon_sym_lt] = ACTIONS(2996),
    [anon_sym_le] = ACTIONS(2996),
    [anon_sym_ge] = ACTIONS(2996),
    [anon_sym_gt] = ACTIONS(2996),
    [anon_sym_isa] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2996),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_EQ_GT] = ACTIONS(2996),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2084] = {
    [sym_heredoc_content] = STATE(2084),
    [anon_sym_RBRACE] = ACTIONS(3000),
    [anon_sym_COLON] = ACTIONS(3000),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_COMMA] = ACTIONS(3000),
    [anon_sym_RPAREN] = ACTIONS(3000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3000),
    [anon_sym_DASH_GT] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LT_LT] = ACTIONS(3002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3000),
    [anon_sym_PLUS_EQ] = ACTIONS(3000),
    [anon_sym_DASH_EQ] = ACTIONS(3000),
    [anon_sym_DOT_EQ] = ACTIONS(3000),
    [anon_sym_STAR_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_PERCENT_EQ] = ACTIONS(3000),
    [anon_sym_x_EQ] = ACTIONS(3000),
    [anon_sym_AMP_EQ] = ACTIONS(3000),
    [anon_sym_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_CARET_EQ] = ACTIONS(3000),
    [anon_sym_LT_LT_EQ] = ACTIONS(3000),
    [anon_sym_GT_GT_EQ] = ACTIONS(3000),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3000),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_STAR_STAR] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3002),
    [anon_sym_SLASH_SLASH] = ACTIONS(3002),
    [anon_sym_CARET_CARET] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_PIPE] = ACTIONS(3002),
    [anon_sym_CARET] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_GT_GT2] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_x] = ACTIONS(3002),
    [anon_sym_EQ_TILDE] = ACTIONS(3000),
    [anon_sym_BANG_TILDE] = ACTIONS(3000),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ] = ACTIONS(3000),
    [anon_sym_eq] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3000),
    [anon_sym_equ] = ACTIONS(3000),
    [anon_sym_eqr] = ACTIONS(3000),
    [anon_sym_ne] = ACTIONS(3000),
    [anon_sym_LT_EQ_GT] = ACTIONS(3000),
    [anon_sym_cmp] = ACTIONS(3000),
    [anon_sym_TILDE_TILDE] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_LT_EQ] = ACTIONS(3002),
    [anon_sym_GT_EQ] = ACTIONS(3000),
    [anon_sym_lt] = ACTIONS(3000),
    [anon_sym_le] = ACTIONS(3000),
    [anon_sym_ge] = ACTIONS(3000),
    [anon_sym_gt] = ACTIONS(3000),
    [anon_sym_isa] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_QMARK] = ACTIONS(3000),
    [anon_sym_EQ_GT] = ACTIONS(3000),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2085] = {
    [sym_heredoc_content] = STATE(2085),
    [anon_sym_SEMI] = ACTIONS(2556),
    [anon_sym_EQ] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_COMMA] = ACTIONS(2556),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2556),
    [anon_sym_DASH_GT] = ACTIONS(2556),
    [anon_sym_STAR] = ACTIONS(2558),
    [anon_sym_LBRACK] = ACTIONS(3820),
    [anon_sym_PERCENT] = ACTIONS(2558),
    [anon_sym_GT] = ACTIONS(2558),
    [anon_sym_LT_LT] = ACTIONS(2558),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2556),
    [anon_sym_PLUS_EQ] = ACTIONS(2556),
    [anon_sym_DASH_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2556),
    [anon_sym_STAR_EQ] = ACTIONS(2556),
    [anon_sym_SLASH_EQ] = ACTIONS(2556),
    [anon_sym_PERCENT_EQ] = ACTIONS(2556),
    [anon_sym_x_EQ] = ACTIONS(2556),
    [anon_sym_AMP_EQ] = ACTIONS(2556),
    [anon_sym_PIPE_EQ] = ACTIONS(2556),
    [anon_sym_CARET_EQ] = ACTIONS(2556),
    [anon_sym_LT_LT_EQ] = ACTIONS(2556),
    [anon_sym_GT_GT_EQ] = ACTIONS(2556),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2556),
    [anon_sym_DOT_DOT] = ACTIONS(2558),
    [anon_sym_STAR_STAR] = ACTIONS(2558),
    [anon_sym_PIPE_PIPE] = ACTIONS(2558),
    [anon_sym_SLASH_SLASH] = ACTIONS(2558),
    [anon_sym_CARET_CARET] = ACTIONS(2556),
    [anon_sym_AMP_AMP] = ACTIONS(2558),
    [anon_sym_PIPE] = ACTIONS(2558),
    [anon_sym_CARET] = ACTIONS(2558),
    [anon_sym_AMP] = ACTIONS(2558),
    [anon_sym_GT_GT2] = ACTIONS(2558),
    [anon_sym_PLUS] = ACTIONS(2558),
    [anon_sym_DASH] = ACTIONS(2558),
    [anon_sym_DOT] = ACTIONS(2558),
    [anon_sym_SLASH] = ACTIONS(2558),
    [anon_sym_x] = ACTIONS(2558),
    [anon_sym_EQ_TILDE] = ACTIONS(2556),
    [anon_sym_BANG_TILDE] = ACTIONS(2556),
    [anon_sym_EQ_EQ] = ACTIONS(2558),
    [anon_sym_BANG_EQ] = ACTIONS(2556),
    [anon_sym_eq] = ACTIONS(2558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2556),
    [anon_sym_equ] = ACTIONS(2556),
    [anon_sym_eqr] = ACTIONS(2556),
    [anon_sym_ne] = ACTIONS(2556),
    [anon_sym_LT_EQ_GT] = ACTIONS(2556),
    [anon_sym_cmp] = ACTIONS(2556),
    [anon_sym_TILDE_TILDE] = ACTIONS(2556),
    [anon_sym_LT] = ACTIONS(2558),
    [anon_sym_LT_EQ] = ACTIONS(2558),
    [anon_sym_GT_EQ] = ACTIONS(2556),
    [anon_sym_lt] = ACTIONS(2556),
    [anon_sym_le] = ACTIONS(2556),
    [anon_sym_ge] = ACTIONS(2556),
    [anon_sym_gt] = ACTIONS(2556),
    [anon_sym_isa] = ACTIONS(2556),
    [anon_sym_PLUS_PLUS] = ACTIONS(2556),
    [anon_sym_DASH_DASH] = ACTIONS(2556),
    [anon_sym_QMARK] = ACTIONS(2556),
    [anon_sym_EQ_GT] = ACTIONS(2556),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2556),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2086] = {
    [sym_heredoc_content] = STATE(2086),
    [anon_sym_SEMI] = ACTIONS(2606),
    [anon_sym_EQ] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_COMMA] = ACTIONS(2606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2606),
    [anon_sym_DASH_GT] = ACTIONS(2606),
    [anon_sym_STAR] = ACTIONS(2608),
    [anon_sym_LBRACK] = ACTIONS(2606),
    [anon_sym_PERCENT] = ACTIONS(2608),
    [anon_sym_GT] = ACTIONS(2608),
    [anon_sym_LT_LT] = ACTIONS(2608),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2606),
    [anon_sym_PLUS_EQ] = ACTIONS(2606),
    [anon_sym_DASH_EQ] = ACTIONS(2606),
    [anon_sym_DOT_EQ] = ACTIONS(2606),
    [anon_sym_STAR_EQ] = ACTIONS(2606),
    [anon_sym_SLASH_EQ] = ACTIONS(2606),
    [anon_sym_PERCENT_EQ] = ACTIONS(2606),
    [anon_sym_x_EQ] = ACTIONS(2606),
    [anon_sym_AMP_EQ] = ACTIONS(2606),
    [anon_sym_PIPE_EQ] = ACTIONS(2606),
    [anon_sym_CARET_EQ] = ACTIONS(2606),
    [anon_sym_LT_LT_EQ] = ACTIONS(2606),
    [anon_sym_GT_GT_EQ] = ACTIONS(2606),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2606),
    [anon_sym_DOT_DOT] = ACTIONS(2608),
    [anon_sym_STAR_STAR] = ACTIONS(2608),
    [anon_sym_PIPE_PIPE] = ACTIONS(2608),
    [anon_sym_SLASH_SLASH] = ACTIONS(2608),
    [anon_sym_CARET_CARET] = ACTIONS(2606),
    [anon_sym_AMP_AMP] = ACTIONS(2608),
    [anon_sym_PIPE] = ACTIONS(2608),
    [anon_sym_CARET] = ACTIONS(2608),
    [anon_sym_AMP] = ACTIONS(2608),
    [anon_sym_GT_GT2] = ACTIONS(2608),
    [anon_sym_PLUS] = ACTIONS(2608),
    [anon_sym_DASH] = ACTIONS(2608),
    [anon_sym_DOT] = ACTIONS(2608),
    [anon_sym_SLASH] = ACTIONS(2608),
    [anon_sym_x] = ACTIONS(2608),
    [anon_sym_EQ_TILDE] = ACTIONS(2606),
    [anon_sym_BANG_TILDE] = ACTIONS(2606),
    [anon_sym_EQ_EQ] = ACTIONS(2608),
    [anon_sym_BANG_EQ] = ACTIONS(2606),
    [anon_sym_eq] = ACTIONS(2608),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2606),
    [anon_sym_equ] = ACTIONS(2606),
    [anon_sym_eqr] = ACTIONS(2606),
    [anon_sym_ne] = ACTIONS(2606),
    [anon_sym_LT_EQ_GT] = ACTIONS(2606),
    [anon_sym_cmp] = ACTIONS(2606),
    [anon_sym_TILDE_TILDE] = ACTIONS(2606),
    [anon_sym_LT] = ACTIONS(2608),
    [anon_sym_LT_EQ] = ACTIONS(2608),
    [anon_sym_GT_EQ] = ACTIONS(2606),
    [anon_sym_lt] = ACTIONS(2606),
    [anon_sym_le] = ACTIONS(2606),
    [anon_sym_ge] = ACTIONS(2606),
    [anon_sym_gt] = ACTIONS(2606),
    [anon_sym_isa] = ACTIONS(2606),
    [anon_sym_PLUS_PLUS] = ACTIONS(2606),
    [anon_sym_DASH_DASH] = ACTIONS(2606),
    [anon_sym_QMARK] = ACTIONS(2606),
    [anon_sym_EQ_GT] = ACTIONS(2606),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2606),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2087] = {
    [sym_heredoc_content] = STATE(2087),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym_EQ] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_COMMA] = ACTIONS(2827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2827),
    [anon_sym_DASH_GT] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2829),
    [anon_sym_PERCENT] = ACTIONS(2829),
    [anon_sym_GT] = ACTIONS(2829),
    [anon_sym_LT_LT] = ACTIONS(2829),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2827),
    [anon_sym_PLUS_EQ] = ACTIONS(2827),
    [anon_sym_DASH_EQ] = ACTIONS(2827),
    [anon_sym_DOT_EQ] = ACTIONS(2827),
    [anon_sym_STAR_EQ] = ACTIONS(2827),
    [anon_sym_SLASH_EQ] = ACTIONS(2827),
    [anon_sym_PERCENT_EQ] = ACTIONS(2827),
    [anon_sym_x_EQ] = ACTIONS(2829),
    [anon_sym_AMP_EQ] = ACTIONS(2827),
    [anon_sym_PIPE_EQ] = ACTIONS(2827),
    [anon_sym_CARET_EQ] = ACTIONS(2827),
    [anon_sym_LT_LT_EQ] = ACTIONS(2827),
    [anon_sym_GT_GT_EQ] = ACTIONS(2827),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2827),
    [anon_sym_DOT_DOT] = ACTIONS(2829),
    [anon_sym_STAR_STAR] = ACTIONS(2829),
    [anon_sym_PIPE_PIPE] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH] = ACTIONS(2829),
    [anon_sym_CARET_CARET] = ACTIONS(2827),
    [anon_sym_AMP_AMP] = ACTIONS(2829),
    [anon_sym_PIPE] = ACTIONS(2829),
    [anon_sym_CARET] = ACTIONS(2829),
    [anon_sym_AMP] = ACTIONS(2829),
    [anon_sym_GT_GT2] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_DOT] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2829),
    [anon_sym_x] = ACTIONS(2829),
    [anon_sym_EQ_TILDE] = ACTIONS(2827),
    [anon_sym_BANG_TILDE] = ACTIONS(2827),
    [anon_sym_EQ_EQ] = ACTIONS(2829),
    [anon_sym_BANG_EQ] = ACTIONS(2827),
    [anon_sym_eq] = ACTIONS(2829),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2827),
    [anon_sym_equ] = ACTIONS(2827),
    [anon_sym_eqr] = ACTIONS(2827),
    [anon_sym_ne] = ACTIONS(2829),
    [anon_sym_LT_EQ_GT] = ACTIONS(2827),
    [anon_sym_cmp] = ACTIONS(2827),
    [anon_sym_TILDE_TILDE] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_LT_EQ] = ACTIONS(2829),
    [anon_sym_GT_EQ] = ACTIONS(2827),
    [anon_sym_lt] = ACTIONS(2829),
    [anon_sym_le] = ACTIONS(2829),
    [anon_sym_ge] = ACTIONS(2827),
    [anon_sym_gt] = ACTIONS(2827),
    [anon_sym_isa] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [anon_sym_QMARK] = ACTIONS(2827),
    [anon_sym_EQ_GT] = ACTIONS(2827),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3822),
    [sym__PERLY_SEMICOLON] = ACTIONS(2827),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2088] = {
    [sym_heredoc_content] = STATE(2088),
    [anon_sym_SEMI] = ACTIONS(2652),
    [anon_sym_EQ] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_COMMA] = ACTIONS(2652),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2652),
    [anon_sym_DASH_GT] = ACTIONS(2652),
    [anon_sym_STAR] = ACTIONS(2654),
    [anon_sym_PERCENT] = ACTIONS(2654),
    [anon_sym_GT] = ACTIONS(2654),
    [anon_sym_LT_LT] = ACTIONS(2654),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2652),
    [anon_sym_PLUS_EQ] = ACTIONS(2652),
    [anon_sym_DASH_EQ] = ACTIONS(2652),
    [anon_sym_DOT_EQ] = ACTIONS(2652),
    [anon_sym_STAR_EQ] = ACTIONS(2652),
    [anon_sym_SLASH_EQ] = ACTIONS(2652),
    [anon_sym_PERCENT_EQ] = ACTIONS(2652),
    [anon_sym_x_EQ] = ACTIONS(2654),
    [anon_sym_AMP_EQ] = ACTIONS(2652),
    [anon_sym_PIPE_EQ] = ACTIONS(2652),
    [anon_sym_CARET_EQ] = ACTIONS(2652),
    [anon_sym_LT_LT_EQ] = ACTIONS(2652),
    [anon_sym_GT_GT_EQ] = ACTIONS(2652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2652),
    [anon_sym_DOT_DOT] = ACTIONS(2654),
    [anon_sym_STAR_STAR] = ACTIONS(2654),
    [anon_sym_PIPE_PIPE] = ACTIONS(2654),
    [anon_sym_SLASH_SLASH] = ACTIONS(2654),
    [anon_sym_CARET_CARET] = ACTIONS(2652),
    [anon_sym_AMP_AMP] = ACTIONS(2654),
    [anon_sym_PIPE] = ACTIONS(2654),
    [anon_sym_CARET] = ACTIONS(2654),
    [anon_sym_AMP] = ACTIONS(2654),
    [anon_sym_GT_GT2] = ACTIONS(2654),
    [anon_sym_PLUS] = ACTIONS(2654),
    [anon_sym_DASH] = ACTIONS(2654),
    [anon_sym_DOT] = ACTIONS(2654),
    [anon_sym_SLASH] = ACTIONS(2654),
    [anon_sym_x] = ACTIONS(2654),
    [anon_sym_EQ_TILDE] = ACTIONS(2652),
    [anon_sym_BANG_TILDE] = ACTIONS(2652),
    [anon_sym_EQ_EQ] = ACTIONS(2654),
    [anon_sym_BANG_EQ] = ACTIONS(2652),
    [anon_sym_eq] = ACTIONS(2654),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2652),
    [anon_sym_equ] = ACTIONS(2652),
    [anon_sym_eqr] = ACTIONS(2652),
    [anon_sym_ne] = ACTIONS(2654),
    [anon_sym_LT_EQ_GT] = ACTIONS(2652),
    [anon_sym_cmp] = ACTIONS(2654),
    [anon_sym_TILDE_TILDE] = ACTIONS(2652),
    [anon_sym_LT] = ACTIONS(2654),
    [anon_sym_LT_EQ] = ACTIONS(2654),
    [anon_sym_GT_EQ] = ACTIONS(2652),
    [anon_sym_lt] = ACTIONS(2654),
    [anon_sym_le] = ACTIONS(2654),
    [anon_sym_ge] = ACTIONS(2654),
    [anon_sym_gt] = ACTIONS(2654),
    [anon_sym_isa] = ACTIONS(2654),
    [anon_sym_PLUS_PLUS] = ACTIONS(2652),
    [anon_sym_DASH_DASH] = ACTIONS(2652),
    [anon_sym_QMARK] = ACTIONS(2652),
    [anon_sym_EQ_GT] = ACTIONS(2652),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3824),
    [sym__PERLY_SEMICOLON] = ACTIONS(2652),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2089] = {
    [sym_heredoc_content] = STATE(2089),
    [anon_sym_RBRACE] = ACTIONS(3008),
    [anon_sym_COLON] = ACTIONS(3008),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_RPAREN] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DASH_GT] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3010),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_DOT_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_x_EQ] = ACTIONS(3008),
    [anon_sym_AMP_EQ] = ACTIONS(3008),
    [anon_sym_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_CARET_EQ] = ACTIONS(3008),
    [anon_sym_LT_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_GT_EQ] = ACTIONS(3008),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_STAR_STAR] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3010),
    [anon_sym_SLASH_SLASH] = ACTIONS(3010),
    [anon_sym_CARET_CARET] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_PIPE] = ACTIONS(3010),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_GT_GT2] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_x] = ACTIONS(3010),
    [anon_sym_EQ_TILDE] = ACTIONS(3008),
    [anon_sym_BANG_TILDE] = ACTIONS(3008),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ] = ACTIONS(3008),
    [anon_sym_eq] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_equ] = ACTIONS(3008),
    [anon_sym_eqr] = ACTIONS(3008),
    [anon_sym_ne] = ACTIONS(3008),
    [anon_sym_LT_EQ_GT] = ACTIONS(3008),
    [anon_sym_cmp] = ACTIONS(3008),
    [anon_sym_TILDE_TILDE] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_LT_EQ] = ACTIONS(3010),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_lt] = ACTIONS(3008),
    [anon_sym_le] = ACTIONS(3008),
    [anon_sym_ge] = ACTIONS(3008),
    [anon_sym_gt] = ACTIONS(3008),
    [anon_sym_isa] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3008),
    [anon_sym_EQ_GT] = ACTIONS(3008),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2090] = {
    [sym_heredoc_content] = STATE(2090),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym_EQ] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_COMMA] = ACTIONS(2771),
    [anon_sym_LPAREN] = ACTIONS(2771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2771),
    [anon_sym_DASH_GT] = ACTIONS(2771),
    [anon_sym_STAR] = ACTIONS(2773),
    [anon_sym_PERCENT] = ACTIONS(2773),
    [anon_sym_GT] = ACTIONS(2773),
    [anon_sym_LT_LT] = ACTIONS(2773),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2771),
    [anon_sym_PLUS_EQ] = ACTIONS(2771),
    [anon_sym_DASH_EQ] = ACTIONS(2771),
    [anon_sym_DOT_EQ] = ACTIONS(2771),
    [anon_sym_STAR_EQ] = ACTIONS(2771),
    [anon_sym_SLASH_EQ] = ACTIONS(2771),
    [anon_sym_PERCENT_EQ] = ACTIONS(2771),
    [anon_sym_x_EQ] = ACTIONS(2771),
    [anon_sym_AMP_EQ] = ACTIONS(2771),
    [anon_sym_PIPE_EQ] = ACTIONS(2771),
    [anon_sym_CARET_EQ] = ACTIONS(2771),
    [anon_sym_LT_LT_EQ] = ACTIONS(2771),
    [anon_sym_GT_GT_EQ] = ACTIONS(2771),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2771),
    [anon_sym_DOT_DOT] = ACTIONS(2773),
    [anon_sym_STAR_STAR] = ACTIONS(2773),
    [anon_sym_PIPE_PIPE] = ACTIONS(2773),
    [anon_sym_SLASH_SLASH] = ACTIONS(2773),
    [anon_sym_CARET_CARET] = ACTIONS(2771),
    [anon_sym_AMP_AMP] = ACTIONS(2773),
    [anon_sym_PIPE] = ACTIONS(2773),
    [anon_sym_CARET] = ACTIONS(2773),
    [anon_sym_AMP] = ACTIONS(2773),
    [anon_sym_GT_GT2] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_DOT] = ACTIONS(2773),
    [anon_sym_SLASH] = ACTIONS(2773),
    [anon_sym_x] = ACTIONS(2773),
    [anon_sym_EQ_TILDE] = ACTIONS(2771),
    [anon_sym_BANG_TILDE] = ACTIONS(2771),
    [anon_sym_EQ_EQ] = ACTIONS(2773),
    [anon_sym_BANG_EQ] = ACTIONS(2771),
    [anon_sym_eq] = ACTIONS(2773),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2771),
    [anon_sym_equ] = ACTIONS(2771),
    [anon_sym_eqr] = ACTIONS(2771),
    [anon_sym_ne] = ACTIONS(2771),
    [anon_sym_LT_EQ_GT] = ACTIONS(2771),
    [anon_sym_cmp] = ACTIONS(2771),
    [anon_sym_TILDE_TILDE] = ACTIONS(2771),
    [anon_sym_LT] = ACTIONS(2773),
    [anon_sym_LT_EQ] = ACTIONS(2773),
    [anon_sym_GT_EQ] = ACTIONS(2771),
    [anon_sym_lt] = ACTIONS(2771),
    [anon_sym_le] = ACTIONS(2771),
    [anon_sym_ge] = ACTIONS(2771),
    [anon_sym_gt] = ACTIONS(2771),
    [anon_sym_isa] = ACTIONS(2771),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [anon_sym_QMARK] = ACTIONS(2771),
    [anon_sym_EQ_GT] = ACTIONS(2771),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2771),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2091] = {
    [sym_heredoc_content] = STATE(2091),
    [anon_sym_SEMI] = ACTIONS(2600),
    [anon_sym_EQ] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_COMMA] = ACTIONS(2600),
    [anon_sym_LPAREN] = ACTIONS(3826),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2600),
    [anon_sym_DASH_GT] = ACTIONS(2600),
    [anon_sym_STAR] = ACTIONS(2602),
    [anon_sym_PERCENT] = ACTIONS(2602),
    [anon_sym_GT] = ACTIONS(2602),
    [anon_sym_LT_LT] = ACTIONS(2602),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2600),
    [anon_sym_PLUS_EQ] = ACTIONS(2600),
    [anon_sym_DASH_EQ] = ACTIONS(2600),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_STAR_EQ] = ACTIONS(2600),
    [anon_sym_SLASH_EQ] = ACTIONS(2600),
    [anon_sym_PERCENT_EQ] = ACTIONS(2600),
    [anon_sym_x_EQ] = ACTIONS(2600),
    [anon_sym_AMP_EQ] = ACTIONS(2600),
    [anon_sym_PIPE_EQ] = ACTIONS(2600),
    [anon_sym_CARET_EQ] = ACTIONS(2600),
    [anon_sym_LT_LT_EQ] = ACTIONS(2600),
    [anon_sym_GT_GT_EQ] = ACTIONS(2600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT] = ACTIONS(2602),
    [anon_sym_STAR_STAR] = ACTIONS(2602),
    [anon_sym_PIPE_PIPE] = ACTIONS(2602),
    [anon_sym_SLASH_SLASH] = ACTIONS(2602),
    [anon_sym_CARET_CARET] = ACTIONS(2600),
    [anon_sym_AMP_AMP] = ACTIONS(2602),
    [anon_sym_PIPE] = ACTIONS(2602),
    [anon_sym_CARET] = ACTIONS(2602),
    [anon_sym_AMP] = ACTIONS(2602),
    [anon_sym_GT_GT2] = ACTIONS(2602),
    [anon_sym_PLUS] = ACTIONS(2602),
    [anon_sym_DASH] = ACTIONS(2602),
    [anon_sym_DOT] = ACTIONS(2602),
    [anon_sym_SLASH] = ACTIONS(2602),
    [anon_sym_x] = ACTIONS(2602),
    [anon_sym_EQ_TILDE] = ACTIONS(2600),
    [anon_sym_BANG_TILDE] = ACTIONS(2600),
    [anon_sym_EQ_EQ] = ACTIONS(2602),
    [anon_sym_BANG_EQ] = ACTIONS(2600),
    [anon_sym_eq] = ACTIONS(2602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2600),
    [anon_sym_equ] = ACTIONS(2600),
    [anon_sym_eqr] = ACTIONS(2600),
    [anon_sym_ne] = ACTIONS(2600),
    [anon_sym_LT_EQ_GT] = ACTIONS(2600),
    [anon_sym_cmp] = ACTIONS(2600),
    [anon_sym_TILDE_TILDE] = ACTIONS(2600),
    [anon_sym_LT] = ACTIONS(2602),
    [anon_sym_LT_EQ] = ACTIONS(2602),
    [anon_sym_GT_EQ] = ACTIONS(2600),
    [anon_sym_lt] = ACTIONS(2600),
    [anon_sym_le] = ACTIONS(2600),
    [anon_sym_ge] = ACTIONS(2600),
    [anon_sym_gt] = ACTIONS(2600),
    [anon_sym_isa] = ACTIONS(2600),
    [anon_sym_PLUS_PLUS] = ACTIONS(2600),
    [anon_sym_DASH_DASH] = ACTIONS(2600),
    [anon_sym_QMARK] = ACTIONS(2600),
    [anon_sym_EQ_GT] = ACTIONS(2600),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2600),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2092] = {
    [sym_heredoc_content] = STATE(2092),
    [anon_sym_RBRACE] = ACTIONS(3012),
    [anon_sym_COLON] = ACTIONS(3012),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_RPAREN] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DASH_GT] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LT_LT] = ACTIONS(3014),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_DOT_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_x_EQ] = ACTIONS(3012),
    [anon_sym_AMP_EQ] = ACTIONS(3012),
    [anon_sym_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_CARET_EQ] = ACTIONS(3012),
    [anon_sym_LT_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_GT_EQ] = ACTIONS(3012),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_STAR_STAR] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3014),
    [anon_sym_SLASH_SLASH] = ACTIONS(3014),
    [anon_sym_CARET_CARET] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_PIPE] = ACTIONS(3014),
    [anon_sym_CARET] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_GT_GT2] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_x] = ACTIONS(3014),
    [anon_sym_EQ_TILDE] = ACTIONS(3012),
    [anon_sym_BANG_TILDE] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ] = ACTIONS(3012),
    [anon_sym_eq] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_equ] = ACTIONS(3012),
    [anon_sym_eqr] = ACTIONS(3012),
    [anon_sym_ne] = ACTIONS(3012),
    [anon_sym_LT_EQ_GT] = ACTIONS(3012),
    [anon_sym_cmp] = ACTIONS(3012),
    [anon_sym_TILDE_TILDE] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_LT_EQ] = ACTIONS(3014),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_lt] = ACTIONS(3012),
    [anon_sym_le] = ACTIONS(3012),
    [anon_sym_ge] = ACTIONS(3012),
    [anon_sym_gt] = ACTIONS(3012),
    [anon_sym_isa] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3012),
    [anon_sym_EQ_GT] = ACTIONS(3012),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2093] = {
    [sym_heredoc_content] = STATE(2093),
    [anon_sym_SEMI] = ACTIONS(2765),
    [anon_sym_EQ] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_COMMA] = ACTIONS(2765),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2765),
    [anon_sym_DASH_GT] = ACTIONS(2765),
    [anon_sym_STAR] = ACTIONS(2767),
    [anon_sym_PERCENT] = ACTIONS(2767),
    [anon_sym_GT] = ACTIONS(2767),
    [anon_sym_LT_LT] = ACTIONS(2767),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2765),
    [anon_sym_PLUS_EQ] = ACTIONS(2765),
    [anon_sym_DASH_EQ] = ACTIONS(2765),
    [anon_sym_DOT_EQ] = ACTIONS(2765),
    [anon_sym_STAR_EQ] = ACTIONS(2765),
    [anon_sym_SLASH_EQ] = ACTIONS(2765),
    [anon_sym_PERCENT_EQ] = ACTIONS(2765),
    [anon_sym_x_EQ] = ACTIONS(2767),
    [anon_sym_AMP_EQ] = ACTIONS(2765),
    [anon_sym_PIPE_EQ] = ACTIONS(2765),
    [anon_sym_CARET_EQ] = ACTIONS(2765),
    [anon_sym_LT_LT_EQ] = ACTIONS(2765),
    [anon_sym_GT_GT_EQ] = ACTIONS(2765),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2765),
    [anon_sym_DOT_DOT] = ACTIONS(2767),
    [anon_sym_STAR_STAR] = ACTIONS(2767),
    [anon_sym_PIPE_PIPE] = ACTIONS(2767),
    [anon_sym_SLASH_SLASH] = ACTIONS(2767),
    [anon_sym_CARET_CARET] = ACTIONS(2765),
    [anon_sym_AMP_AMP] = ACTIONS(2767),
    [anon_sym_PIPE] = ACTIONS(2767),
    [anon_sym_CARET] = ACTIONS(2767),
    [anon_sym_AMP] = ACTIONS(2767),
    [anon_sym_GT_GT2] = ACTIONS(2767),
    [anon_sym_PLUS] = ACTIONS(2767),
    [anon_sym_DASH] = ACTIONS(2767),
    [anon_sym_DOT] = ACTIONS(2767),
    [anon_sym_SLASH] = ACTIONS(2767),
    [anon_sym_x] = ACTIONS(2767),
    [anon_sym_EQ_TILDE] = ACTIONS(2765),
    [anon_sym_BANG_TILDE] = ACTIONS(2765),
    [anon_sym_EQ_EQ] = ACTIONS(2767),
    [anon_sym_BANG_EQ] = ACTIONS(2765),
    [anon_sym_eq] = ACTIONS(2767),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2765),
    [anon_sym_equ] = ACTIONS(2765),
    [anon_sym_eqr] = ACTIONS(2765),
    [anon_sym_ne] = ACTIONS(2767),
    [anon_sym_LT_EQ_GT] = ACTIONS(2765),
    [anon_sym_cmp] = ACTIONS(2767),
    [anon_sym_TILDE_TILDE] = ACTIONS(2765),
    [anon_sym_LT] = ACTIONS(2767),
    [anon_sym_LT_EQ] = ACTIONS(2767),
    [anon_sym_GT_EQ] = ACTIONS(2765),
    [anon_sym_lt] = ACTIONS(2767),
    [anon_sym_le] = ACTIONS(2767),
    [anon_sym_ge] = ACTIONS(2767),
    [anon_sym_gt] = ACTIONS(2767),
    [anon_sym_isa] = ACTIONS(2767),
    [anon_sym_PLUS_PLUS] = ACTIONS(2765),
    [anon_sym_DASH_DASH] = ACTIONS(2765),
    [anon_sym_QMARK] = ACTIONS(2765),
    [anon_sym_EQ_GT] = ACTIONS(2765),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3828),
    [sym__PERLY_SEMICOLON] = ACTIONS(2765),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2094] = {
    [sym_heredoc_content] = STATE(2094),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym_EQ] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_COMMA] = ACTIONS(2819),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2819),
    [anon_sym_DASH_GT] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(3820),
    [anon_sym_PERCENT] = ACTIONS(2821),
    [anon_sym_GT] = ACTIONS(2821),
    [anon_sym_LT_LT] = ACTIONS(2821),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2819),
    [anon_sym_PLUS_EQ] = ACTIONS(2819),
    [anon_sym_DASH_EQ] = ACTIONS(2819),
    [anon_sym_DOT_EQ] = ACTIONS(2819),
    [anon_sym_STAR_EQ] = ACTIONS(2819),
    [anon_sym_SLASH_EQ] = ACTIONS(2819),
    [anon_sym_PERCENT_EQ] = ACTIONS(2819),
    [anon_sym_x_EQ] = ACTIONS(2819),
    [anon_sym_AMP_EQ] = ACTIONS(2819),
    [anon_sym_PIPE_EQ] = ACTIONS(2819),
    [anon_sym_CARET_EQ] = ACTIONS(2819),
    [anon_sym_LT_LT_EQ] = ACTIONS(2819),
    [anon_sym_GT_GT_EQ] = ACTIONS(2819),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2819),
    [anon_sym_DOT_DOT] = ACTIONS(2821),
    [anon_sym_STAR_STAR] = ACTIONS(2821),
    [anon_sym_PIPE_PIPE] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(2821),
    [anon_sym_CARET_CARET] = ACTIONS(2819),
    [anon_sym_AMP_AMP] = ACTIONS(2821),
    [anon_sym_PIPE] = ACTIONS(2821),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_GT_GT2] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_DOT] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_x] = ACTIONS(2821),
    [anon_sym_EQ_TILDE] = ACTIONS(2819),
    [anon_sym_BANG_TILDE] = ACTIONS(2819),
    [anon_sym_EQ_EQ] = ACTIONS(2821),
    [anon_sym_BANG_EQ] = ACTIONS(2819),
    [anon_sym_eq] = ACTIONS(2821),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2819),
    [anon_sym_equ] = ACTIONS(2819),
    [anon_sym_eqr] = ACTIONS(2819),
    [anon_sym_ne] = ACTIONS(2819),
    [anon_sym_LT_EQ_GT] = ACTIONS(2819),
    [anon_sym_cmp] = ACTIONS(2819),
    [anon_sym_TILDE_TILDE] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_LT_EQ] = ACTIONS(2821),
    [anon_sym_GT_EQ] = ACTIONS(2819),
    [anon_sym_lt] = ACTIONS(2819),
    [anon_sym_le] = ACTIONS(2819),
    [anon_sym_ge] = ACTIONS(2819),
    [anon_sym_gt] = ACTIONS(2819),
    [anon_sym_isa] = ACTIONS(2819),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [anon_sym_QMARK] = ACTIONS(2819),
    [anon_sym_EQ_GT] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2819),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2095] = {
    [sym_heredoc_content] = STATE(2095),
    [anon_sym_COLON] = ACTIONS(2614),
    [anon_sym_SEMI] = ACTIONS(2614),
    [anon_sym_EQ] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_COMMA] = ACTIONS(2614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2614),
    [anon_sym_DASH_GT] = ACTIONS(2614),
    [anon_sym_STAR] = ACTIONS(2616),
    [anon_sym_PERCENT] = ACTIONS(2616),
    [anon_sym_GT] = ACTIONS(2616),
    [anon_sym_LT_LT] = ACTIONS(2616),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2614),
    [anon_sym_PLUS_EQ] = ACTIONS(2614),
    [anon_sym_DASH_EQ] = ACTIONS(2614),
    [anon_sym_DOT_EQ] = ACTIONS(2614),
    [anon_sym_STAR_EQ] = ACTIONS(2614),
    [anon_sym_SLASH_EQ] = ACTIONS(2614),
    [anon_sym_PERCENT_EQ] = ACTIONS(2614),
    [anon_sym_x_EQ] = ACTIONS(2614),
    [anon_sym_AMP_EQ] = ACTIONS(2614),
    [anon_sym_PIPE_EQ] = ACTIONS(2614),
    [anon_sym_CARET_EQ] = ACTIONS(2614),
    [anon_sym_LT_LT_EQ] = ACTIONS(2614),
    [anon_sym_GT_GT_EQ] = ACTIONS(2614),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2614),
    [anon_sym_DOT_DOT] = ACTIONS(2616),
    [anon_sym_STAR_STAR] = ACTIONS(2616),
    [anon_sym_PIPE_PIPE] = ACTIONS(2616),
    [anon_sym_SLASH_SLASH] = ACTIONS(2616),
    [anon_sym_CARET_CARET] = ACTIONS(2614),
    [anon_sym_AMP_AMP] = ACTIONS(2616),
    [anon_sym_PIPE] = ACTIONS(2616),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_AMP] = ACTIONS(2616),
    [anon_sym_GT_GT2] = ACTIONS(2616),
    [anon_sym_PLUS] = ACTIONS(2616),
    [anon_sym_DASH] = ACTIONS(2616),
    [anon_sym_DOT] = ACTIONS(2616),
    [anon_sym_SLASH] = ACTIONS(2616),
    [anon_sym_x] = ACTIONS(2616),
    [anon_sym_EQ_TILDE] = ACTIONS(2614),
    [anon_sym_BANG_TILDE] = ACTIONS(2614),
    [anon_sym_EQ_EQ] = ACTIONS(2616),
    [anon_sym_BANG_EQ] = ACTIONS(2614),
    [anon_sym_eq] = ACTIONS(2616),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2614),
    [anon_sym_equ] = ACTIONS(2614),
    [anon_sym_eqr] = ACTIONS(2614),
    [anon_sym_ne] = ACTIONS(2614),
    [anon_sym_LT_EQ_GT] = ACTIONS(2614),
    [anon_sym_cmp] = ACTIONS(2614),
    [anon_sym_TILDE_TILDE] = ACTIONS(2614),
    [anon_sym_LT] = ACTIONS(2616),
    [anon_sym_LT_EQ] = ACTIONS(2616),
    [anon_sym_GT_EQ] = ACTIONS(2614),
    [anon_sym_lt] = ACTIONS(2614),
    [anon_sym_le] = ACTIONS(2614),
    [anon_sym_ge] = ACTIONS(2614),
    [anon_sym_gt] = ACTIONS(2614),
    [anon_sym_isa] = ACTIONS(2614),
    [anon_sym_PLUS_PLUS] = ACTIONS(2614),
    [anon_sym_DASH_DASH] = ACTIONS(2614),
    [anon_sym_QMARK] = ACTIONS(2614),
    [anon_sym_EQ_GT] = ACTIONS(2614),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2614),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2096] = {
    [sym_heredoc_content] = STATE(2096),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_COLON] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1711),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2097] = {
    [sym_heredoc_content] = STATE(2097),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym_EQ] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_COMMA] = ACTIONS(2779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2779),
    [anon_sym_DASH_GT] = ACTIONS(2779),
    [anon_sym_STAR] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [anon_sym_PERCENT] = ACTIONS(2781),
    [anon_sym_GT] = ACTIONS(2781),
    [anon_sym_LT_LT] = ACTIONS(2781),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2779),
    [anon_sym_PLUS_EQ] = ACTIONS(2779),
    [anon_sym_DASH_EQ] = ACTIONS(2779),
    [anon_sym_DOT_EQ] = ACTIONS(2779),
    [anon_sym_STAR_EQ] = ACTIONS(2779),
    [anon_sym_SLASH_EQ] = ACTIONS(2779),
    [anon_sym_PERCENT_EQ] = ACTIONS(2779),
    [anon_sym_x_EQ] = ACTIONS(2779),
    [anon_sym_AMP_EQ] = ACTIONS(2779),
    [anon_sym_PIPE_EQ] = ACTIONS(2779),
    [anon_sym_CARET_EQ] = ACTIONS(2779),
    [anon_sym_LT_LT_EQ] = ACTIONS(2779),
    [anon_sym_GT_GT_EQ] = ACTIONS(2779),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2779),
    [anon_sym_DOT_DOT] = ACTIONS(2781),
    [anon_sym_STAR_STAR] = ACTIONS(2781),
    [anon_sym_PIPE_PIPE] = ACTIONS(2781),
    [anon_sym_SLASH_SLASH] = ACTIONS(2781),
    [anon_sym_CARET_CARET] = ACTIONS(2779),
    [anon_sym_AMP_AMP] = ACTIONS(2781),
    [anon_sym_PIPE] = ACTIONS(2781),
    [anon_sym_CARET] = ACTIONS(2781),
    [anon_sym_AMP] = ACTIONS(2781),
    [anon_sym_GT_GT2] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_DOT] = ACTIONS(2781),
    [anon_sym_SLASH] = ACTIONS(2781),
    [anon_sym_x] = ACTIONS(2781),
    [anon_sym_EQ_TILDE] = ACTIONS(2779),
    [anon_sym_BANG_TILDE] = ACTIONS(2779),
    [anon_sym_EQ_EQ] = ACTIONS(2781),
    [anon_sym_BANG_EQ] = ACTIONS(2779),
    [anon_sym_eq] = ACTIONS(2781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2779),
    [anon_sym_equ] = ACTIONS(2779),
    [anon_sym_eqr] = ACTIONS(2779),
    [anon_sym_ne] = ACTIONS(2779),
    [anon_sym_LT_EQ_GT] = ACTIONS(2779),
    [anon_sym_cmp] = ACTIONS(2779),
    [anon_sym_TILDE_TILDE] = ACTIONS(2779),
    [anon_sym_LT] = ACTIONS(2781),
    [anon_sym_LT_EQ] = ACTIONS(2781),
    [anon_sym_GT_EQ] = ACTIONS(2779),
    [anon_sym_lt] = ACTIONS(2779),
    [anon_sym_le] = ACTIONS(2779),
    [anon_sym_ge] = ACTIONS(2779),
    [anon_sym_gt] = ACTIONS(2779),
    [anon_sym_isa] = ACTIONS(2779),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [anon_sym_QMARK] = ACTIONS(2779),
    [anon_sym_EQ_GT] = ACTIONS(2779),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2779),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2098] = {
    [sym_heredoc_content] = STATE(2098),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym_EQ] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_COMMA] = ACTIONS(2783),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2783),
    [anon_sym_DASH_GT] = ACTIONS(2783),
    [anon_sym_STAR] = ACTIONS(2785),
    [anon_sym_PERCENT] = ACTIONS(2785),
    [anon_sym_GT] = ACTIONS(2785),
    [anon_sym_LT_LT] = ACTIONS(2785),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2783),
    [anon_sym_PLUS_EQ] = ACTIONS(2783),
    [anon_sym_DASH_EQ] = ACTIONS(2783),
    [anon_sym_DOT_EQ] = ACTIONS(2783),
    [anon_sym_STAR_EQ] = ACTIONS(2783),
    [anon_sym_SLASH_EQ] = ACTIONS(2783),
    [anon_sym_PERCENT_EQ] = ACTIONS(2783),
    [anon_sym_x_EQ] = ACTIONS(2785),
    [anon_sym_AMP_EQ] = ACTIONS(2783),
    [anon_sym_PIPE_EQ] = ACTIONS(2783),
    [anon_sym_CARET_EQ] = ACTIONS(2783),
    [anon_sym_LT_LT_EQ] = ACTIONS(2783),
    [anon_sym_GT_GT_EQ] = ACTIONS(2783),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2783),
    [anon_sym_DOT_DOT] = ACTIONS(2785),
    [anon_sym_STAR_STAR] = ACTIONS(2785),
    [anon_sym_PIPE_PIPE] = ACTIONS(2785),
    [anon_sym_SLASH_SLASH] = ACTIONS(2785),
    [anon_sym_CARET_CARET] = ACTIONS(2783),
    [anon_sym_AMP_AMP] = ACTIONS(2785),
    [anon_sym_PIPE] = ACTIONS(2785),
    [anon_sym_CARET] = ACTIONS(2785),
    [anon_sym_AMP] = ACTIONS(2785),
    [anon_sym_GT_GT2] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_DOT] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_x] = ACTIONS(2785),
    [anon_sym_EQ_TILDE] = ACTIONS(2783),
    [anon_sym_BANG_TILDE] = ACTIONS(2783),
    [anon_sym_EQ_EQ] = ACTIONS(2785),
    [anon_sym_BANG_EQ] = ACTIONS(2783),
    [anon_sym_eq] = ACTIONS(2785),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2783),
    [anon_sym_equ] = ACTIONS(2783),
    [anon_sym_eqr] = ACTIONS(2783),
    [anon_sym_ne] = ACTIONS(2785),
    [anon_sym_LT_EQ_GT] = ACTIONS(2783),
    [anon_sym_cmp] = ACTIONS(2783),
    [anon_sym_TILDE_TILDE] = ACTIONS(2783),
    [anon_sym_LT] = ACTIONS(2785),
    [anon_sym_LT_EQ] = ACTIONS(2785),
    [anon_sym_GT_EQ] = ACTIONS(2783),
    [anon_sym_lt] = ACTIONS(2785),
    [anon_sym_le] = ACTIONS(2785),
    [anon_sym_ge] = ACTIONS(2783),
    [anon_sym_gt] = ACTIONS(2783),
    [anon_sym_isa] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [anon_sym_QMARK] = ACTIONS(2783),
    [anon_sym_EQ_GT] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(3830),
    [sym__PERLY_SEMICOLON] = ACTIONS(2783),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2099] = {
    [sym_heredoc_content] = STATE(2099),
    [anon_sym_SEMI] = ACTIONS(2797),
    [anon_sym_EQ] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_COMMA] = ACTIONS(2797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2797),
    [anon_sym_DASH_GT] = ACTIONS(2797),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_PERCENT] = ACTIONS(2799),
    [anon_sym_GT] = ACTIONS(2799),
    [anon_sym_LT_LT] = ACTIONS(2799),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2797),
    [anon_sym_PLUS_EQ] = ACTIONS(2797),
    [anon_sym_DASH_EQ] = ACTIONS(2797),
    [anon_sym_DOT_EQ] = ACTIONS(2797),
    [anon_sym_STAR_EQ] = ACTIONS(2797),
    [anon_sym_SLASH_EQ] = ACTIONS(2797),
    [anon_sym_PERCENT_EQ] = ACTIONS(2797),
    [anon_sym_x_EQ] = ACTIONS(2799),
    [anon_sym_AMP_EQ] = ACTIONS(2797),
    [anon_sym_PIPE_EQ] = ACTIONS(2797),
    [anon_sym_CARET_EQ] = ACTIONS(2797),
    [anon_sym_LT_LT_EQ] = ACTIONS(2797),
    [anon_sym_GT_GT_EQ] = ACTIONS(2797),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2797),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_STAR_STAR] = ACTIONS(2799),
    [anon_sym_PIPE_PIPE] = ACTIONS(2799),
    [anon_sym_SLASH_SLASH] = ACTIONS(2799),
    [anon_sym_CARET_CARET] = ACTIONS(2797),
    [anon_sym_AMP_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_GT_GT2] = ACTIONS(2799),
    [anon_sym_PLUS] = ACTIONS(2799),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_DOT] = ACTIONS(2799),
    [anon_sym_SLASH] = ACTIONS(2799),
    [anon_sym_x] = ACTIONS(2799),
    [anon_sym_EQ_TILDE] = ACTIONS(2797),
    [anon_sym_BANG_TILDE] = ACTIONS(2797),
    [anon_sym_EQ_EQ] = ACTIONS(2799),
    [anon_sym_BANG_EQ] = ACTIONS(2797),
    [anon_sym_eq] = ACTIONS(2799),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2797),
    [anon_sym_equ] = ACTIONS(2797),
    [anon_sym_eqr] = ACTIONS(2797),
    [anon_sym_ne] = ACTIONS(2799),
    [anon_sym_LT_EQ_GT] = ACTIONS(2797),
    [anon_sym_cmp] = ACTIONS(2799),
    [anon_sym_TILDE_TILDE] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_LT_EQ] = ACTIONS(2799),
    [anon_sym_GT_EQ] = ACTIONS(2797),
    [anon_sym_lt] = ACTIONS(2799),
    [anon_sym_le] = ACTIONS(2799),
    [anon_sym_ge] = ACTIONS(2799),
    [anon_sym_gt] = ACTIONS(2799),
    [anon_sym_isa] = ACTIONS(2799),
    [anon_sym_PLUS_PLUS] = ACTIONS(2797),
    [anon_sym_DASH_DASH] = ACTIONS(2797),
    [anon_sym_QMARK] = ACTIONS(2797),
    [anon_sym_EQ_GT] = ACTIONS(2797),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3832),
    [sym__PERLY_SEMICOLON] = ACTIONS(2797),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2100] = {
    [sym_heredoc_content] = STATE(2100),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym_EQ] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_COMMA] = ACTIONS(2803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2803),
    [anon_sym_DASH_GT] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_PERCENT] = ACTIONS(2805),
    [anon_sym_GT] = ACTIONS(2805),
    [anon_sym_LT_LT] = ACTIONS(2805),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2803),
    [anon_sym_PLUS_EQ] = ACTIONS(2803),
    [anon_sym_DASH_EQ] = ACTIONS(2803),
    [anon_sym_DOT_EQ] = ACTIONS(2803),
    [anon_sym_STAR_EQ] = ACTIONS(2803),
    [anon_sym_SLASH_EQ] = ACTIONS(2803),
    [anon_sym_PERCENT_EQ] = ACTIONS(2803),
    [anon_sym_x_EQ] = ACTIONS(2805),
    [anon_sym_AMP_EQ] = ACTIONS(2803),
    [anon_sym_PIPE_EQ] = ACTIONS(2803),
    [anon_sym_CARET_EQ] = ACTIONS(2803),
    [anon_sym_LT_LT_EQ] = ACTIONS(2803),
    [anon_sym_GT_GT_EQ] = ACTIONS(2803),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2803),
    [anon_sym_DOT_DOT] = ACTIONS(2805),
    [anon_sym_STAR_STAR] = ACTIONS(2805),
    [anon_sym_PIPE_PIPE] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH] = ACTIONS(2805),
    [anon_sym_CARET_CARET] = ACTIONS(2803),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_PIPE] = ACTIONS(2805),
    [anon_sym_CARET] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_GT_GT2] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_DOT] = ACTIONS(2805),
    [anon_sym_SLASH] = ACTIONS(2805),
    [anon_sym_x] = ACTIONS(2805),
    [anon_sym_EQ_TILDE] = ACTIONS(2803),
    [anon_sym_BANG_TILDE] = ACTIONS(2803),
    [anon_sym_EQ_EQ] = ACTIONS(2805),
    [anon_sym_BANG_EQ] = ACTIONS(2803),
    [anon_sym_eq] = ACTIONS(2805),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2803),
    [anon_sym_equ] = ACTIONS(2805),
    [anon_sym_eqr] = ACTIONS(2805),
    [anon_sym_ne] = ACTIONS(2803),
    [anon_sym_LT_EQ_GT] = ACTIONS(2803),
    [anon_sym_cmp] = ACTIONS(2805),
    [anon_sym_TILDE_TILDE] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2805),
    [anon_sym_LT_EQ] = ACTIONS(2805),
    [anon_sym_GT_EQ] = ACTIONS(2803),
    [anon_sym_lt] = ACTIONS(2805),
    [anon_sym_le] = ACTIONS(2805),
    [anon_sym_ge] = ACTIONS(2805),
    [anon_sym_gt] = ACTIONS(2805),
    [anon_sym_isa] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [anon_sym_QMARK] = ACTIONS(2803),
    [anon_sym_EQ_GT] = ACTIONS(2803),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3834),
    [sym__PERLY_SEMICOLON] = ACTIONS(2803),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2101] = {
    [sym_heredoc_content] = STATE(2101),
    [anon_sym_SEMI] = ACTIONS(2809),
    [anon_sym_EQ] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_COMMA] = ACTIONS(2809),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2809),
    [anon_sym_DASH_GT] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(2811),
    [anon_sym_GT] = ACTIONS(2811),
    [anon_sym_LT_LT] = ACTIONS(2811),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2809),
    [anon_sym_PLUS_EQ] = ACTIONS(2809),
    [anon_sym_DASH_EQ] = ACTIONS(2809),
    [anon_sym_DOT_EQ] = ACTIONS(2809),
    [anon_sym_STAR_EQ] = ACTIONS(2809),
    [anon_sym_SLASH_EQ] = ACTIONS(2809),
    [anon_sym_PERCENT_EQ] = ACTIONS(2809),
    [anon_sym_x_EQ] = ACTIONS(2809),
    [anon_sym_AMP_EQ] = ACTIONS(2809),
    [anon_sym_PIPE_EQ] = ACTIONS(2809),
    [anon_sym_CARET_EQ] = ACTIONS(2809),
    [anon_sym_LT_LT_EQ] = ACTIONS(2809),
    [anon_sym_GT_GT_EQ] = ACTIONS(2809),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2809),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_STAR_STAR] = ACTIONS(2811),
    [anon_sym_PIPE_PIPE] = ACTIONS(2811),
    [anon_sym_SLASH_SLASH] = ACTIONS(2811),
    [anon_sym_CARET_CARET] = ACTIONS(2809),
    [anon_sym_AMP_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_CARET] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_GT_GT2] = ACTIONS(2811),
    [anon_sym_PLUS] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(2811),
    [anon_sym_SLASH] = ACTIONS(2811),
    [anon_sym_x] = ACTIONS(2811),
    [anon_sym_EQ_TILDE] = ACTIONS(2809),
    [anon_sym_BANG_TILDE] = ACTIONS(2809),
    [anon_sym_EQ_EQ] = ACTIONS(2811),
    [anon_sym_BANG_EQ] = ACTIONS(2809),
    [anon_sym_eq] = ACTIONS(2811),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2809),
    [anon_sym_equ] = ACTIONS(2809),
    [anon_sym_eqr] = ACTIONS(2809),
    [anon_sym_ne] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2809),
    [anon_sym_cmp] = ACTIONS(2811),
    [anon_sym_TILDE_TILDE] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_LT_EQ] = ACTIONS(2811),
    [anon_sym_GT_EQ] = ACTIONS(2809),
    [anon_sym_lt] = ACTIONS(2809),
    [anon_sym_le] = ACTIONS(2809),
    [anon_sym_ge] = ACTIONS(2809),
    [anon_sym_gt] = ACTIONS(2809),
    [anon_sym_isa] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(2809),
    [anon_sym_QMARK] = ACTIONS(2809),
    [anon_sym_EQ_GT] = ACTIONS(2809),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3836),
    [sym__PERLY_SEMICOLON] = ACTIONS(2809),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2102] = {
    [sym_heredoc_content] = STATE(2102),
    [anon_sym_RBRACE] = ACTIONS(3026),
    [anon_sym_COLON] = ACTIONS(3026),
    [anon_sym_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_COMMA] = ACTIONS(3026),
    [anon_sym_RPAREN] = ACTIONS(3026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3026),
    [anon_sym_DASH_GT] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_PERCENT] = ACTIONS(3028),
    [anon_sym_GT] = ACTIONS(3028),
    [anon_sym_LT_LT] = ACTIONS(3028),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3026),
    [anon_sym_PLUS_EQ] = ACTIONS(3026),
    [anon_sym_DASH_EQ] = ACTIONS(3026),
    [anon_sym_DOT_EQ] = ACTIONS(3026),
    [anon_sym_STAR_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_PERCENT_EQ] = ACTIONS(3026),
    [anon_sym_x_EQ] = ACTIONS(3026),
    [anon_sym_AMP_EQ] = ACTIONS(3026),
    [anon_sym_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_CARET_EQ] = ACTIONS(3026),
    [anon_sym_LT_LT_EQ] = ACTIONS(3026),
    [anon_sym_GT_GT_EQ] = ACTIONS(3026),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3026),
    [anon_sym_DOT_DOT] = ACTIONS(3028),
    [anon_sym_STAR_STAR] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3028),
    [anon_sym_CARET_CARET] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_GT_GT2] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_DOT] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3028),
    [anon_sym_x] = ACTIONS(3028),
    [anon_sym_EQ_TILDE] = ACTIONS(3026),
    [anon_sym_BANG_TILDE] = ACTIONS(3026),
    [anon_sym_EQ_EQ] = ACTIONS(3028),
    [anon_sym_BANG_EQ] = ACTIONS(3026),
    [anon_sym_eq] = ACTIONS(3028),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3026),
    [anon_sym_equ] = ACTIONS(3026),
    [anon_sym_eqr] = ACTIONS(3026),
    [anon_sym_ne] = ACTIONS(3026),
    [anon_sym_LT_EQ_GT] = ACTIONS(3026),
    [anon_sym_cmp] = ACTIONS(3026),
    [anon_sym_TILDE_TILDE] = ACTIONS(3026),
    [anon_sym_LT] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_EQ] = ACTIONS(3026),
    [anon_sym_lt] = ACTIONS(3026),
    [anon_sym_le] = ACTIONS(3026),
    [anon_sym_ge] = ACTIONS(3026),
    [anon_sym_gt] = ACTIONS(3026),
    [anon_sym_isa] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_EQ_GT] = ACTIONS(3026),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2103] = {
    [sym_heredoc_content] = STATE(2103),
    [anon_sym_RBRACE] = ACTIONS(3038),
    [anon_sym_COLON] = ACTIONS(3038),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_COMMA] = ACTIONS(3038),
    [anon_sym_RPAREN] = ACTIONS(3038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3038),
    [anon_sym_DASH_GT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LT_LT] = ACTIONS(3040),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_DOT_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_x_EQ] = ACTIONS(3038),
    [anon_sym_AMP_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_CARET_EQ] = ACTIONS(3038),
    [anon_sym_LT_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_GT_EQ] = ACTIONS(3038),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_STAR_STAR] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH] = ACTIONS(3040),
    [anon_sym_CARET_CARET] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3040),
    [anon_sym_PIPE] = ACTIONS(3040),
    [anon_sym_CARET] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_GT_GT2] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_x] = ACTIONS(3040),
    [anon_sym_EQ_TILDE] = ACTIONS(3038),
    [anon_sym_BANG_TILDE] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ] = ACTIONS(3038),
    [anon_sym_eq] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_equ] = ACTIONS(3038),
    [anon_sym_eqr] = ACTIONS(3038),
    [anon_sym_ne] = ACTIONS(3038),
    [anon_sym_LT_EQ_GT] = ACTIONS(3038),
    [anon_sym_cmp] = ACTIONS(3038),
    [anon_sym_TILDE_TILDE] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_lt] = ACTIONS(3038),
    [anon_sym_le] = ACTIONS(3038),
    [anon_sym_ge] = ACTIONS(3038),
    [anon_sym_gt] = ACTIONS(3038),
    [anon_sym_isa] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_QMARK] = ACTIONS(3038),
    [anon_sym_EQ_GT] = ACTIONS(3038),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2104] = {
    [sym_heredoc_content] = STATE(2104),
    [anon_sym_RBRACE] = ACTIONS(3042),
    [anon_sym_COLON] = ACTIONS(3042),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_COMMA] = ACTIONS(3042),
    [anon_sym_RPAREN] = ACTIONS(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3042),
    [anon_sym_DASH_GT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LT_LT] = ACTIONS(3044),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_DOT_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_x_EQ] = ACTIONS(3042),
    [anon_sym_AMP_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_CARET_EQ] = ACTIONS(3042),
    [anon_sym_LT_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_GT_EQ] = ACTIONS(3042),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_STAR_STAR] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3044),
    [anon_sym_SLASH_SLASH] = ACTIONS(3044),
    [anon_sym_CARET_CARET] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3044),
    [anon_sym_PIPE] = ACTIONS(3044),
    [anon_sym_CARET] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_GT_GT2] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_x] = ACTIONS(3044),
    [anon_sym_EQ_TILDE] = ACTIONS(3042),
    [anon_sym_BANG_TILDE] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ] = ACTIONS(3042),
    [anon_sym_eq] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_equ] = ACTIONS(3042),
    [anon_sym_eqr] = ACTIONS(3042),
    [anon_sym_ne] = ACTIONS(3042),
    [anon_sym_LT_EQ_GT] = ACTIONS(3042),
    [anon_sym_cmp] = ACTIONS(3042),
    [anon_sym_TILDE_TILDE] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3044),
    [anon_sym_LT_EQ] = ACTIONS(3044),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_lt] = ACTIONS(3042),
    [anon_sym_le] = ACTIONS(3042),
    [anon_sym_ge] = ACTIONS(3042),
    [anon_sym_gt] = ACTIONS(3042),
    [anon_sym_isa] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_QMARK] = ACTIONS(3042),
    [anon_sym_EQ_GT] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2105] = {
    [sym_heredoc_content] = STATE(2105),
    [aux_sym__term_rightward_repeat1] = STATE(2107),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_COMMA] = ACTIONS(3774),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2731),
    [anon_sym_DASH_GT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2733),
    [anon_sym_GT] = ACTIONS(2733),
    [anon_sym_LT_LT] = ACTIONS(2733),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2731),
    [anon_sym_PLUS_EQ] = ACTIONS(2731),
    [anon_sym_DASH_EQ] = ACTIONS(2731),
    [anon_sym_DOT_EQ] = ACTIONS(2731),
    [anon_sym_STAR_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_PERCENT_EQ] = ACTIONS(2731),
    [anon_sym_x_EQ] = ACTIONS(2731),
    [anon_sym_AMP_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_CARET_EQ] = ACTIONS(2731),
    [anon_sym_LT_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_GT_EQ] = ACTIONS(2731),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2731),
    [anon_sym_DOT_DOT] = ACTIONS(2733),
    [anon_sym_STAR_STAR] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH] = ACTIONS(2733),
    [anon_sym_CARET_CARET] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2733),
    [anon_sym_PIPE] = ACTIONS(2733),
    [anon_sym_CARET] = ACTIONS(2733),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_GT_GT2] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_x] = ACTIONS(2733),
    [anon_sym_EQ_TILDE] = ACTIONS(2731),
    [anon_sym_BANG_TILDE] = ACTIONS(2731),
    [anon_sym_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2731),
    [anon_sym_eq] = ACTIONS(2733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2731),
    [anon_sym_equ] = ACTIONS(2731),
    [anon_sym_eqr] = ACTIONS(2731),
    [anon_sym_ne] = ACTIONS(2731),
    [anon_sym_LT_EQ_GT] = ACTIONS(2731),
    [anon_sym_cmp] = ACTIONS(2731),
    [anon_sym_TILDE_TILDE] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2731),
    [anon_sym_lt] = ACTIONS(2731),
    [anon_sym_le] = ACTIONS(2731),
    [anon_sym_ge] = ACTIONS(2731),
    [anon_sym_gt] = ACTIONS(2731),
    [anon_sym_isa] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_QMARK] = ACTIONS(2731),
    [anon_sym_EQ_GT] = ACTIONS(3774),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2731),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2106] = {
    [sym_heredoc_content] = STATE(2106),
    [anon_sym_RBRACE] = ACTIONS(3046),
    [anon_sym_COLON] = ACTIONS(3046),
    [anon_sym_EQ] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_COMMA] = ACTIONS(3046),
    [anon_sym_RPAREN] = ACTIONS(3046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3046),
    [anon_sym_DASH_GT] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_PERCENT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [anon_sym_LT_LT] = ACTIONS(3048),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_DOT_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_x_EQ] = ACTIONS(3046),
    [anon_sym_AMP_EQ] = ACTIONS(3046),
    [anon_sym_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_CARET_EQ] = ACTIONS(3046),
    [anon_sym_LT_LT_EQ] = ACTIONS(3046),
    [anon_sym_GT_GT_EQ] = ACTIONS(3046),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3048),
    [anon_sym_STAR_STAR] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE] = ACTIONS(3048),
    [anon_sym_SLASH_SLASH] = ACTIONS(3048),
    [anon_sym_CARET_CARET] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3048),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_CARET] = ACTIONS(3048),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_GT_GT2] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_DOT] = ACTIONS(3048),
    [anon_sym_SLASH] = ACTIONS(3048),
    [anon_sym_x] = ACTIONS(3048),
    [anon_sym_EQ_TILDE] = ACTIONS(3046),
    [anon_sym_BANG_TILDE] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3048),
    [anon_sym_BANG_EQ] = ACTIONS(3046),
    [anon_sym_eq] = ACTIONS(3048),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_equ] = ACTIONS(3046),
    [anon_sym_eqr] = ACTIONS(3046),
    [anon_sym_ne] = ACTIONS(3046),
    [anon_sym_LT_EQ_GT] = ACTIONS(3046),
    [anon_sym_cmp] = ACTIONS(3046),
    [anon_sym_TILDE_TILDE] = ACTIONS(3046),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_LT_EQ] = ACTIONS(3048),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_lt] = ACTIONS(3046),
    [anon_sym_le] = ACTIONS(3046),
    [anon_sym_ge] = ACTIONS(3046),
    [anon_sym_gt] = ACTIONS(3046),
    [anon_sym_isa] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_EQ_GT] = ACTIONS(3046),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2107] = {
    [sym_heredoc_content] = STATE(2107),
    [aux_sym__term_rightward_repeat1] = STATE(2107),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(3838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_DOT_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_x_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(2674),
    [anon_sym_CARET_CARET] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_GT_GT2] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_x] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2672),
    [anon_sym_BANG_TILDE] = ACTIONS(2672),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_eq] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2672),
    [anon_sym_equ] = ACTIONS(2672),
    [anon_sym_eqr] = ACTIONS(2672),
    [anon_sym_ne] = ACTIONS(2672),
    [anon_sym_LT_EQ_GT] = ACTIONS(2672),
    [anon_sym_cmp] = ACTIONS(2672),
    [anon_sym_TILDE_TILDE] = ACTIONS(2672),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_lt] = ACTIONS(2672),
    [anon_sym_le] = ACTIONS(2672),
    [anon_sym_ge] = ACTIONS(2672),
    [anon_sym_gt] = ACTIONS(2672),
    [anon_sym_isa] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2672),
    [anon_sym_EQ_GT] = ACTIONS(3838),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2672),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2108] = {
    [sym_heredoc_content] = STATE(2108),
    [anon_sym_SEMI] = ACTIONS(2584),
    [anon_sym_EQ] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_COMMA] = ACTIONS(2584),
    [anon_sym_LPAREN] = ACTIONS(3841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2584),
    [anon_sym_DASH_GT] = ACTIONS(2584),
    [anon_sym_STAR] = ACTIONS(2586),
    [anon_sym_PERCENT] = ACTIONS(2586),
    [anon_sym_GT] = ACTIONS(2586),
    [anon_sym_LT_LT] = ACTIONS(2586),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2584),
    [anon_sym_PLUS_EQ] = ACTIONS(2584),
    [anon_sym_DASH_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2584),
    [anon_sym_STAR_EQ] = ACTIONS(2584),
    [anon_sym_SLASH_EQ] = ACTIONS(2584),
    [anon_sym_PERCENT_EQ] = ACTIONS(2584),
    [anon_sym_x_EQ] = ACTIONS(2584),
    [anon_sym_AMP_EQ] = ACTIONS(2584),
    [anon_sym_PIPE_EQ] = ACTIONS(2584),
    [anon_sym_CARET_EQ] = ACTIONS(2584),
    [anon_sym_LT_LT_EQ] = ACTIONS(2584),
    [anon_sym_GT_GT_EQ] = ACTIONS(2584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2584),
    [anon_sym_DOT_DOT] = ACTIONS(2586),
    [anon_sym_STAR_STAR] = ACTIONS(2586),
    [anon_sym_PIPE_PIPE] = ACTIONS(2586),
    [anon_sym_SLASH_SLASH] = ACTIONS(2586),
    [anon_sym_CARET_CARET] = ACTIONS(2584),
    [anon_sym_AMP_AMP] = ACTIONS(2586),
    [anon_sym_PIPE] = ACTIONS(2586),
    [anon_sym_CARET] = ACTIONS(2586),
    [anon_sym_AMP] = ACTIONS(2586),
    [anon_sym_GT_GT2] = ACTIONS(2586),
    [anon_sym_PLUS] = ACTIONS(2586),
    [anon_sym_DASH] = ACTIONS(2586),
    [anon_sym_DOT] = ACTIONS(2586),
    [anon_sym_SLASH] = ACTIONS(2586),
    [anon_sym_x] = ACTIONS(2586),
    [anon_sym_EQ_TILDE] = ACTIONS(2584),
    [anon_sym_BANG_TILDE] = ACTIONS(2584),
    [anon_sym_EQ_EQ] = ACTIONS(2586),
    [anon_sym_BANG_EQ] = ACTIONS(2584),
    [anon_sym_eq] = ACTIONS(2586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2584),
    [anon_sym_equ] = ACTIONS(2584),
    [anon_sym_eqr] = ACTIONS(2584),
    [anon_sym_ne] = ACTIONS(2584),
    [anon_sym_LT_EQ_GT] = ACTIONS(2584),
    [anon_sym_cmp] = ACTIONS(2584),
    [anon_sym_TILDE_TILDE] = ACTIONS(2584),
    [anon_sym_LT] = ACTIONS(2586),
    [anon_sym_LT_EQ] = ACTIONS(2586),
    [anon_sym_GT_EQ] = ACTIONS(2584),
    [anon_sym_lt] = ACTIONS(2584),
    [anon_sym_le] = ACTIONS(2584),
    [anon_sym_ge] = ACTIONS(2584),
    [anon_sym_gt] = ACTIONS(2584),
    [anon_sym_isa] = ACTIONS(2584),
    [anon_sym_PLUS_PLUS] = ACTIONS(2584),
    [anon_sym_DASH_DASH] = ACTIONS(2584),
    [anon_sym_QMARK] = ACTIONS(2584),
    [anon_sym_EQ_GT] = ACTIONS(2584),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2584),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2109] = {
    [sym_heredoc_content] = STATE(2109),
    [anon_sym_RBRACE] = ACTIONS(3050),
    [anon_sym_COLON] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_RPAREN] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2110] = {
    [sym_heredoc_content] = STATE(2110),
    [anon_sym_RBRACE] = ACTIONS(3058),
    [anon_sym_COLON] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_RPAREN] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2111] = {
    [sym_heredoc_content] = STATE(2111),
    [anon_sym_COLON] = ACTIONS(2638),
    [anon_sym_SEMI] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2638),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DASH_GT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_PERCENT] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2640),
    [anon_sym_LT_LT] = ACTIONS(2640),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2638),
    [anon_sym_PLUS_EQ] = ACTIONS(2638),
    [anon_sym_DASH_EQ] = ACTIONS(2638),
    [anon_sym_DOT_EQ] = ACTIONS(2638),
    [anon_sym_STAR_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_PERCENT_EQ] = ACTIONS(2638),
    [anon_sym_x_EQ] = ACTIONS(2638),
    [anon_sym_AMP_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_CARET_EQ] = ACTIONS(2638),
    [anon_sym_LT_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_GT_EQ] = ACTIONS(2638),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2638),
    [anon_sym_DOT_DOT] = ACTIONS(2640),
    [anon_sym_STAR_STAR] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH] = ACTIONS(2640),
    [anon_sym_CARET_CARET] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_GT_GT2] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2640),
    [anon_sym_x] = ACTIONS(2640),
    [anon_sym_EQ_TILDE] = ACTIONS(2638),
    [anon_sym_BANG_TILDE] = ACTIONS(2638),
    [anon_sym_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_eq] = ACTIONS(2640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2638),
    [anon_sym_equ] = ACTIONS(2638),
    [anon_sym_eqr] = ACTIONS(2638),
    [anon_sym_ne] = ACTIONS(2638),
    [anon_sym_LT_EQ_GT] = ACTIONS(2638),
    [anon_sym_cmp] = ACTIONS(2638),
    [anon_sym_TILDE_TILDE] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2638),
    [anon_sym_lt] = ACTIONS(2638),
    [anon_sym_le] = ACTIONS(2638),
    [anon_sym_ge] = ACTIONS(2638),
    [anon_sym_gt] = ACTIONS(2638),
    [anon_sym_isa] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(2638),
    [anon_sym_EQ_GT] = ACTIONS(2638),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2638),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2112] = {
    [sym_heredoc_content] = STATE(2112),
    [anon_sym_RBRACE] = ACTIONS(3202),
    [anon_sym_COLON] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_RPAREN] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3202),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2113] = {
    [sym_heredoc_content] = STATE(2113),
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym_EQ] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_COMMA] = ACTIONS(2735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2735),
    [anon_sym_DASH_GT] = ACTIONS(2735),
    [anon_sym_STAR] = ACTIONS(2737),
    [anon_sym_PERCENT] = ACTIONS(2737),
    [anon_sym_GT] = ACTIONS(2737),
    [anon_sym_LT_LT] = ACTIONS(2737),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2735),
    [anon_sym_PLUS_EQ] = ACTIONS(2735),
    [anon_sym_DASH_EQ] = ACTIONS(2735),
    [anon_sym_DOT_EQ] = ACTIONS(2735),
    [anon_sym_STAR_EQ] = ACTIONS(2735),
    [anon_sym_SLASH_EQ] = ACTIONS(2735),
    [anon_sym_PERCENT_EQ] = ACTIONS(2735),
    [anon_sym_x_EQ] = ACTIONS(2737),
    [anon_sym_AMP_EQ] = ACTIONS(2735),
    [anon_sym_PIPE_EQ] = ACTIONS(2735),
    [anon_sym_CARET_EQ] = ACTIONS(2735),
    [anon_sym_LT_LT_EQ] = ACTIONS(2735),
    [anon_sym_GT_GT_EQ] = ACTIONS(2735),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2735),
    [anon_sym_DOT_DOT] = ACTIONS(2737),
    [anon_sym_STAR_STAR] = ACTIONS(2737),
    [anon_sym_PIPE_PIPE] = ACTIONS(2737),
    [anon_sym_SLASH_SLASH] = ACTIONS(2737),
    [anon_sym_CARET_CARET] = ACTIONS(2735),
    [anon_sym_AMP_AMP] = ACTIONS(2737),
    [anon_sym_PIPE] = ACTIONS(2737),
    [anon_sym_CARET] = ACTIONS(2737),
    [anon_sym_AMP] = ACTIONS(2737),
    [anon_sym_GT_GT2] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2737),
    [anon_sym_DASH] = ACTIONS(2737),
    [anon_sym_DOT] = ACTIONS(2737),
    [anon_sym_SLASH] = ACTIONS(2737),
    [anon_sym_x] = ACTIONS(2737),
    [anon_sym_EQ_TILDE] = ACTIONS(2735),
    [anon_sym_BANG_TILDE] = ACTIONS(2735),
    [anon_sym_EQ_EQ] = ACTIONS(2737),
    [anon_sym_BANG_EQ] = ACTIONS(2735),
    [anon_sym_eq] = ACTIONS(2737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2735),
    [anon_sym_equ] = ACTIONS(2737),
    [anon_sym_eqr] = ACTIONS(2737),
    [anon_sym_ne] = ACTIONS(2735),
    [anon_sym_LT_EQ_GT] = ACTIONS(2735),
    [anon_sym_cmp] = ACTIONS(2737),
    [anon_sym_TILDE_TILDE] = ACTIONS(2735),
    [anon_sym_LT] = ACTIONS(2737),
    [anon_sym_LT_EQ] = ACTIONS(2737),
    [anon_sym_GT_EQ] = ACTIONS(2735),
    [anon_sym_lt] = ACTIONS(2737),
    [anon_sym_le] = ACTIONS(2737),
    [anon_sym_ge] = ACTIONS(2737),
    [anon_sym_gt] = ACTIONS(2737),
    [anon_sym_isa] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [anon_sym_QMARK] = ACTIONS(2735),
    [anon_sym_EQ_GT] = ACTIONS(2735),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3843),
    [sym__PERLY_SEMICOLON] = ACTIONS(2735),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2114] = {
    [sym_heredoc_content] = STATE(2114),
    [anon_sym_SEMI] = ACTIONS(2741),
    [anon_sym_EQ] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_COMMA] = ACTIONS(2741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2741),
    [anon_sym_DASH_GT] = ACTIONS(2741),
    [anon_sym_STAR] = ACTIONS(2743),
    [anon_sym_PERCENT] = ACTIONS(2743),
    [anon_sym_GT] = ACTIONS(2743),
    [anon_sym_LT_LT] = ACTIONS(2743),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2741),
    [anon_sym_PLUS_EQ] = ACTIONS(2741),
    [anon_sym_DASH_EQ] = ACTIONS(2741),
    [anon_sym_DOT_EQ] = ACTIONS(2741),
    [anon_sym_STAR_EQ] = ACTIONS(2741),
    [anon_sym_SLASH_EQ] = ACTIONS(2741),
    [anon_sym_PERCENT_EQ] = ACTIONS(2741),
    [anon_sym_x_EQ] = ACTIONS(2743),
    [anon_sym_AMP_EQ] = ACTIONS(2741),
    [anon_sym_PIPE_EQ] = ACTIONS(2741),
    [anon_sym_CARET_EQ] = ACTIONS(2741),
    [anon_sym_LT_LT_EQ] = ACTIONS(2741),
    [anon_sym_GT_GT_EQ] = ACTIONS(2741),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2741),
    [anon_sym_DOT_DOT] = ACTIONS(2743),
    [anon_sym_STAR_STAR] = ACTIONS(2743),
    [anon_sym_PIPE_PIPE] = ACTIONS(2743),
    [anon_sym_SLASH_SLASH] = ACTIONS(2743),
    [anon_sym_CARET_CARET] = ACTIONS(2741),
    [anon_sym_AMP_AMP] = ACTIONS(2743),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_CARET] = ACTIONS(2743),
    [anon_sym_AMP] = ACTIONS(2743),
    [anon_sym_GT_GT2] = ACTIONS(2743),
    [anon_sym_PLUS] = ACTIONS(2743),
    [anon_sym_DASH] = ACTIONS(2743),
    [anon_sym_DOT] = ACTIONS(2743),
    [anon_sym_SLASH] = ACTIONS(2743),
    [anon_sym_x] = ACTIONS(2743),
    [anon_sym_EQ_TILDE] = ACTIONS(2741),
    [anon_sym_BANG_TILDE] = ACTIONS(2741),
    [anon_sym_EQ_EQ] = ACTIONS(2743),
    [anon_sym_BANG_EQ] = ACTIONS(2741),
    [anon_sym_eq] = ACTIONS(2743),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2741),
    [anon_sym_equ] = ACTIONS(2743),
    [anon_sym_eqr] = ACTIONS(2743),
    [anon_sym_ne] = ACTIONS(2741),
    [anon_sym_LT_EQ_GT] = ACTIONS(2741),
    [anon_sym_cmp] = ACTIONS(2743),
    [anon_sym_TILDE_TILDE] = ACTIONS(2741),
    [anon_sym_LT] = ACTIONS(2743),
    [anon_sym_LT_EQ] = ACTIONS(2743),
    [anon_sym_GT_EQ] = ACTIONS(2741),
    [anon_sym_lt] = ACTIONS(2743),
    [anon_sym_le] = ACTIONS(2743),
    [anon_sym_ge] = ACTIONS(2743),
    [anon_sym_gt] = ACTIONS(2743),
    [anon_sym_isa] = ACTIONS(2743),
    [anon_sym_PLUS_PLUS] = ACTIONS(2741),
    [anon_sym_DASH_DASH] = ACTIONS(2741),
    [anon_sym_QMARK] = ACTIONS(2741),
    [anon_sym_EQ_GT] = ACTIONS(2741),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3845),
    [sym__PERLY_SEMICOLON] = ACTIONS(2741),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2115] = {
    [sym_heredoc_content] = STATE(2115),
    [anon_sym_SEMI] = ACTIONS(2747),
    [anon_sym_EQ] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_COMMA] = ACTIONS(2747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2747),
    [anon_sym_DASH_GT] = ACTIONS(2747),
    [anon_sym_STAR] = ACTIONS(2749),
    [anon_sym_PERCENT] = ACTIONS(2749),
    [anon_sym_GT] = ACTIONS(2749),
    [anon_sym_LT_LT] = ACTIONS(2749),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2747),
    [anon_sym_PLUS_EQ] = ACTIONS(2747),
    [anon_sym_DASH_EQ] = ACTIONS(2747),
    [anon_sym_DOT_EQ] = ACTIONS(2747),
    [anon_sym_STAR_EQ] = ACTIONS(2747),
    [anon_sym_SLASH_EQ] = ACTIONS(2747),
    [anon_sym_PERCENT_EQ] = ACTIONS(2747),
    [anon_sym_x_EQ] = ACTIONS(2747),
    [anon_sym_AMP_EQ] = ACTIONS(2747),
    [anon_sym_PIPE_EQ] = ACTIONS(2747),
    [anon_sym_CARET_EQ] = ACTIONS(2747),
    [anon_sym_LT_LT_EQ] = ACTIONS(2747),
    [anon_sym_GT_GT_EQ] = ACTIONS(2747),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2747),
    [anon_sym_DOT_DOT] = ACTIONS(2749),
    [anon_sym_STAR_STAR] = ACTIONS(2749),
    [anon_sym_PIPE_PIPE] = ACTIONS(2749),
    [anon_sym_SLASH_SLASH] = ACTIONS(2749),
    [anon_sym_CARET_CARET] = ACTIONS(2747),
    [anon_sym_AMP_AMP] = ACTIONS(2749),
    [anon_sym_PIPE] = ACTIONS(2749),
    [anon_sym_CARET] = ACTIONS(2749),
    [anon_sym_AMP] = ACTIONS(2749),
    [anon_sym_GT_GT2] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_DOT] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_x] = ACTIONS(2749),
    [anon_sym_EQ_TILDE] = ACTIONS(2747),
    [anon_sym_BANG_TILDE] = ACTIONS(2747),
    [anon_sym_EQ_EQ] = ACTIONS(2749),
    [anon_sym_BANG_EQ] = ACTIONS(2747),
    [anon_sym_eq] = ACTIONS(2749),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2747),
    [anon_sym_equ] = ACTIONS(2747),
    [anon_sym_eqr] = ACTIONS(2747),
    [anon_sym_ne] = ACTIONS(2747),
    [anon_sym_LT_EQ_GT] = ACTIONS(2747),
    [anon_sym_cmp] = ACTIONS(2749),
    [anon_sym_TILDE_TILDE] = ACTIONS(2747),
    [anon_sym_LT] = ACTIONS(2749),
    [anon_sym_LT_EQ] = ACTIONS(2749),
    [anon_sym_GT_EQ] = ACTIONS(2747),
    [anon_sym_lt] = ACTIONS(2747),
    [anon_sym_le] = ACTIONS(2747),
    [anon_sym_ge] = ACTIONS(2747),
    [anon_sym_gt] = ACTIONS(2747),
    [anon_sym_isa] = ACTIONS(2747),
    [anon_sym_PLUS_PLUS] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2747),
    [anon_sym_QMARK] = ACTIONS(2747),
    [anon_sym_EQ_GT] = ACTIONS(2747),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3847),
    [sym__PERLY_SEMICOLON] = ACTIONS(2747),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2116] = {
    [sym_heredoc_content] = STATE(2116),
    [anon_sym_SEMI] = ACTIONS(2753),
    [anon_sym_EQ] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_COMMA] = ACTIONS(2753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2753),
    [anon_sym_DASH_GT] = ACTIONS(2753),
    [anon_sym_STAR] = ACTIONS(2755),
    [anon_sym_PERCENT] = ACTIONS(2755),
    [anon_sym_GT] = ACTIONS(2755),
    [anon_sym_LT_LT] = ACTIONS(2755),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2753),
    [anon_sym_PLUS_EQ] = ACTIONS(2753),
    [anon_sym_DASH_EQ] = ACTIONS(2753),
    [anon_sym_DOT_EQ] = ACTIONS(2753),
    [anon_sym_STAR_EQ] = ACTIONS(2753),
    [anon_sym_SLASH_EQ] = ACTIONS(2753),
    [anon_sym_PERCENT_EQ] = ACTIONS(2753),
    [anon_sym_x_EQ] = ACTIONS(2753),
    [anon_sym_AMP_EQ] = ACTIONS(2753),
    [anon_sym_PIPE_EQ] = ACTIONS(2753),
    [anon_sym_CARET_EQ] = ACTIONS(2753),
    [anon_sym_LT_LT_EQ] = ACTIONS(2753),
    [anon_sym_GT_GT_EQ] = ACTIONS(2753),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2753),
    [anon_sym_DOT_DOT] = ACTIONS(2755),
    [anon_sym_STAR_STAR] = ACTIONS(2755),
    [anon_sym_PIPE_PIPE] = ACTIONS(2755),
    [anon_sym_SLASH_SLASH] = ACTIONS(2755),
    [anon_sym_CARET_CARET] = ACTIONS(2753),
    [anon_sym_AMP_AMP] = ACTIONS(2755),
    [anon_sym_PIPE] = ACTIONS(2755),
    [anon_sym_CARET] = ACTIONS(2755),
    [anon_sym_AMP] = ACTIONS(2755),
    [anon_sym_GT_GT2] = ACTIONS(2755),
    [anon_sym_PLUS] = ACTIONS(2755),
    [anon_sym_DASH] = ACTIONS(2755),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_SLASH] = ACTIONS(2755),
    [anon_sym_x] = ACTIONS(2755),
    [anon_sym_EQ_TILDE] = ACTIONS(2753),
    [anon_sym_BANG_TILDE] = ACTIONS(2753),
    [anon_sym_EQ_EQ] = ACTIONS(2755),
    [anon_sym_BANG_EQ] = ACTIONS(2753),
    [anon_sym_eq] = ACTIONS(2755),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2753),
    [anon_sym_equ] = ACTIONS(2753),
    [anon_sym_eqr] = ACTIONS(2753),
    [anon_sym_ne] = ACTIONS(2753),
    [anon_sym_LT_EQ_GT] = ACTIONS(2753),
    [anon_sym_cmp] = ACTIONS(2755),
    [anon_sym_TILDE_TILDE] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2755),
    [anon_sym_LT_EQ] = ACTIONS(2755),
    [anon_sym_GT_EQ] = ACTIONS(2753),
    [anon_sym_lt] = ACTIONS(2753),
    [anon_sym_le] = ACTIONS(2753),
    [anon_sym_ge] = ACTIONS(2753),
    [anon_sym_gt] = ACTIONS(2753),
    [anon_sym_isa] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2753),
    [anon_sym_DASH_DASH] = ACTIONS(2753),
    [anon_sym_QMARK] = ACTIONS(2753),
    [anon_sym_EQ_GT] = ACTIONS(2753),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3849),
    [sym__PERLY_SEMICOLON] = ACTIONS(2753),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2117] = {
    [sym_heredoc_content] = STATE(2117),
    [anon_sym_RBRACE] = ACTIONS(3250),
    [anon_sym_COLON] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_RPAREN] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3250),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2118] = {
    [sym_heredoc_content] = STATE(2118),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(2538),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2119] = {
    [sym_heredoc_content] = STATE(2119),
    [anon_sym_RBRACE] = ACTIONS(3074),
    [anon_sym_COLON] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_RPAREN] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2120] = {
    [sym_heredoc_content] = STATE(2120),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2538),
    [anon_sym_eqr] = ACTIONS(2538),
    [anon_sym_ne] = ACTIONS(2540),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2538),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2538),
    [anon_sym_gt] = ACTIONS(2538),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_quoted_regexp_modifiers] = ACTIONS(2538),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2121] = {
    [sym_heredoc_content] = STATE(2121),
    [anon_sym_RBRACE] = ACTIONS(1711),
    [anon_sym_COLON] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_RPAREN] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1711),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2122] = {
    [sym_heredoc_content] = STATE(2122),
    [anon_sym_SEMI] = ACTIONS(2572),
    [anon_sym_EQ] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_COMMA] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2572),
    [anon_sym_DASH_GT] = ACTIONS(2572),
    [anon_sym_STAR] = ACTIONS(2574),
    [anon_sym_PERCENT] = ACTIONS(2574),
    [anon_sym_GT] = ACTIONS(2574),
    [anon_sym_LT_LT] = ACTIONS(2574),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2572),
    [anon_sym_PLUS_EQ] = ACTIONS(2572),
    [anon_sym_DASH_EQ] = ACTIONS(2572),
    [anon_sym_DOT_EQ] = ACTIONS(2572),
    [anon_sym_STAR_EQ] = ACTIONS(2572),
    [anon_sym_SLASH_EQ] = ACTIONS(2572),
    [anon_sym_PERCENT_EQ] = ACTIONS(2572),
    [anon_sym_x_EQ] = ACTIONS(2574),
    [anon_sym_AMP_EQ] = ACTIONS(2572),
    [anon_sym_PIPE_EQ] = ACTIONS(2572),
    [anon_sym_CARET_EQ] = ACTIONS(2572),
    [anon_sym_LT_LT_EQ] = ACTIONS(2572),
    [anon_sym_GT_GT_EQ] = ACTIONS(2572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2572),
    [anon_sym_DOT_DOT] = ACTIONS(2574),
    [anon_sym_STAR_STAR] = ACTIONS(2574),
    [anon_sym_PIPE_PIPE] = ACTIONS(2574),
    [anon_sym_SLASH_SLASH] = ACTIONS(2574),
    [anon_sym_CARET_CARET] = ACTIONS(2572),
    [anon_sym_AMP_AMP] = ACTIONS(2574),
    [anon_sym_PIPE] = ACTIONS(2574),
    [anon_sym_CARET] = ACTIONS(2574),
    [anon_sym_AMP] = ACTIONS(2574),
    [anon_sym_GT_GT2] = ACTIONS(2574),
    [anon_sym_PLUS] = ACTIONS(2574),
    [anon_sym_DASH] = ACTIONS(2574),
    [anon_sym_DOT] = ACTIONS(2574),
    [anon_sym_SLASH] = ACTIONS(2574),
    [anon_sym_x] = ACTIONS(2574),
    [anon_sym_EQ_TILDE] = ACTIONS(2572),
    [anon_sym_BANG_TILDE] = ACTIONS(2572),
    [anon_sym_EQ_EQ] = ACTIONS(2574),
    [anon_sym_BANG_EQ] = ACTIONS(2572),
    [anon_sym_eq] = ACTIONS(2574),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2572),
    [anon_sym_equ] = ACTIONS(2574),
    [anon_sym_eqr] = ACTIONS(2574),
    [anon_sym_ne] = ACTIONS(2572),
    [anon_sym_LT_EQ_GT] = ACTIONS(2572),
    [anon_sym_cmp] = ACTIONS(2574),
    [anon_sym_TILDE_TILDE] = ACTIONS(2572),
    [anon_sym_LT] = ACTIONS(2574),
    [anon_sym_LT_EQ] = ACTIONS(2574),
    [anon_sym_GT_EQ] = ACTIONS(2572),
    [anon_sym_lt] = ACTIONS(2574),
    [anon_sym_le] = ACTIONS(2574),
    [anon_sym_ge] = ACTIONS(2574),
    [anon_sym_gt] = ACTIONS(2574),
    [anon_sym_isa] = ACTIONS(2574),
    [anon_sym_PLUS_PLUS] = ACTIONS(2572),
    [anon_sym_DASH_DASH] = ACTIONS(2572),
    [anon_sym_QMARK] = ACTIONS(2572),
    [anon_sym_EQ_GT] = ACTIONS(2572),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(3851),
    [sym__PERLY_SEMICOLON] = ACTIONS(2572),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2123] = {
    [sym_heredoc_content] = STATE(2123),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_EQ] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_COMMA] = ACTIONS(2594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2594),
    [anon_sym_DASH_GT] = ACTIONS(2594),
    [anon_sym_STAR] = ACTIONS(2596),
    [anon_sym_PERCENT] = ACTIONS(2596),
    [anon_sym_GT] = ACTIONS(2596),
    [anon_sym_LT_LT] = ACTIONS(2596),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2594),
    [anon_sym_PLUS_EQ] = ACTIONS(2594),
    [anon_sym_DASH_EQ] = ACTIONS(2594),
    [anon_sym_DOT_EQ] = ACTIONS(2594),
    [anon_sym_STAR_EQ] = ACTIONS(2594),
    [anon_sym_SLASH_EQ] = ACTIONS(2594),
    [anon_sym_PERCENT_EQ] = ACTIONS(2594),
    [anon_sym_x_EQ] = ACTIONS(2594),
    [anon_sym_AMP_EQ] = ACTIONS(2594),
    [anon_sym_PIPE_EQ] = ACTIONS(2594),
    [anon_sym_CARET_EQ] = ACTIONS(2594),
    [anon_sym_LT_LT_EQ] = ACTIONS(2594),
    [anon_sym_GT_GT_EQ] = ACTIONS(2594),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2594),
    [anon_sym_DOT_DOT] = ACTIONS(2596),
    [anon_sym_STAR_STAR] = ACTIONS(2596),
    [anon_sym_PIPE_PIPE] = ACTIONS(2596),
    [anon_sym_SLASH_SLASH] = ACTIONS(2596),
    [anon_sym_CARET_CARET] = ACTIONS(2594),
    [anon_sym_AMP_AMP] = ACTIONS(2596),
    [anon_sym_PIPE] = ACTIONS(2596),
    [anon_sym_CARET] = ACTIONS(2596),
    [anon_sym_AMP] = ACTIONS(2596),
    [anon_sym_GT_GT2] = ACTIONS(2596),
    [anon_sym_PLUS] = ACTIONS(2596),
    [anon_sym_DASH] = ACTIONS(2596),
    [anon_sym_DOT] = ACTIONS(2596),
    [anon_sym_SLASH] = ACTIONS(2596),
    [anon_sym_x] = ACTIONS(2596),
    [anon_sym_EQ_TILDE] = ACTIONS(2594),
    [anon_sym_BANG_TILDE] = ACTIONS(2594),
    [anon_sym_EQ_EQ] = ACTIONS(2596),
    [anon_sym_BANG_EQ] = ACTIONS(2594),
    [anon_sym_eq] = ACTIONS(2596),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2594),
    [anon_sym_equ] = ACTIONS(2594),
    [anon_sym_eqr] = ACTIONS(2594),
    [anon_sym_ne] = ACTIONS(2594),
    [anon_sym_LT_EQ_GT] = ACTIONS(2594),
    [anon_sym_cmp] = ACTIONS(2596),
    [anon_sym_TILDE_TILDE] = ACTIONS(2594),
    [anon_sym_LT] = ACTIONS(2596),
    [anon_sym_LT_EQ] = ACTIONS(2596),
    [anon_sym_GT_EQ] = ACTIONS(2594),
    [anon_sym_lt] = ACTIONS(2594),
    [anon_sym_le] = ACTIONS(2594),
    [anon_sym_ge] = ACTIONS(2594),
    [anon_sym_gt] = ACTIONS(2594),
    [anon_sym_isa] = ACTIONS(2594),
    [anon_sym_PLUS_PLUS] = ACTIONS(2594),
    [anon_sym_DASH_DASH] = ACTIONS(2594),
    [anon_sym_QMARK] = ACTIONS(2594),
    [anon_sym_EQ_GT] = ACTIONS(2594),
    [sym_comment] = ACTIONS(5),
    [sym_transliteration_modifiers] = ACTIONS(3853),
    [sym__PERLY_SEMICOLON] = ACTIONS(2594),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2124] = {
    [sym_heredoc_content] = STATE(2124),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_EQ] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_COMMA] = ACTIONS(2538),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2538),
    [anon_sym_DASH_GT] = ACTIONS(2538),
    [anon_sym_STAR] = ACTIONS(2540),
    [anon_sym_PERCENT] = ACTIONS(2540),
    [anon_sym_GT] = ACTIONS(2540),
    [anon_sym_LT_LT] = ACTIONS(2540),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2538),
    [anon_sym_PLUS_EQ] = ACTIONS(2538),
    [anon_sym_DASH_EQ] = ACTIONS(2538),
    [anon_sym_DOT_EQ] = ACTIONS(2538),
    [anon_sym_STAR_EQ] = ACTIONS(2538),
    [anon_sym_SLASH_EQ] = ACTIONS(2538),
    [anon_sym_PERCENT_EQ] = ACTIONS(2538),
    [anon_sym_x_EQ] = ACTIONS(2540),
    [anon_sym_AMP_EQ] = ACTIONS(2538),
    [anon_sym_PIPE_EQ] = ACTIONS(2538),
    [anon_sym_CARET_EQ] = ACTIONS(2538),
    [anon_sym_LT_LT_EQ] = ACTIONS(2538),
    [anon_sym_GT_GT_EQ] = ACTIONS(2538),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2538),
    [anon_sym_DOT_DOT] = ACTIONS(2540),
    [anon_sym_STAR_STAR] = ACTIONS(2540),
    [anon_sym_PIPE_PIPE] = ACTIONS(2540),
    [anon_sym_SLASH_SLASH] = ACTIONS(2540),
    [anon_sym_CARET_CARET] = ACTIONS(2538),
    [anon_sym_AMP_AMP] = ACTIONS(2540),
    [anon_sym_PIPE] = ACTIONS(2540),
    [anon_sym_CARET] = ACTIONS(2540),
    [anon_sym_AMP] = ACTIONS(2540),
    [anon_sym_GT_GT2] = ACTIONS(2540),
    [anon_sym_PLUS] = ACTIONS(2540),
    [anon_sym_DASH] = ACTIONS(2540),
    [anon_sym_DOT] = ACTIONS(2540),
    [anon_sym_SLASH] = ACTIONS(2540),
    [anon_sym_x] = ACTIONS(2540),
    [anon_sym_EQ_TILDE] = ACTIONS(2538),
    [anon_sym_BANG_TILDE] = ACTIONS(2538),
    [anon_sym_EQ_EQ] = ACTIONS(2540),
    [anon_sym_BANG_EQ] = ACTIONS(2538),
    [anon_sym_eq] = ACTIONS(2540),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2538),
    [anon_sym_equ] = ACTIONS(2540),
    [anon_sym_eqr] = ACTIONS(2540),
    [anon_sym_ne] = ACTIONS(2538),
    [anon_sym_LT_EQ_GT] = ACTIONS(2538),
    [anon_sym_cmp] = ACTIONS(2540),
    [anon_sym_TILDE_TILDE] = ACTIONS(2538),
    [anon_sym_LT] = ACTIONS(2540),
    [anon_sym_LT_EQ] = ACTIONS(2540),
    [anon_sym_GT_EQ] = ACTIONS(2538),
    [anon_sym_lt] = ACTIONS(2540),
    [anon_sym_le] = ACTIONS(2540),
    [anon_sym_ge] = ACTIONS(2540),
    [anon_sym_gt] = ACTIONS(2540),
    [anon_sym_isa] = ACTIONS(2540),
    [anon_sym_PLUS_PLUS] = ACTIONS(2538),
    [anon_sym_DASH_DASH] = ACTIONS(2538),
    [anon_sym_QMARK] = ACTIONS(2538),
    [anon_sym_EQ_GT] = ACTIONS(2538),
    [sym_comment] = ACTIONS(5),
    [sym_substitution_regexp_modifiers] = ACTIONS(2538),
    [sym__PERLY_SEMICOLON] = ACTIONS(2538),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2125] = {
    [sym_heredoc_content] = STATE(2125),
    [anon_sym_RBRACE] = ACTIONS(3186),
    [anon_sym_COLON] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_RPAREN] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2126] = {
    [sym_heredoc_content] = STATE(2126),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_COLON] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_RPAREN] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3096),
    [anon_sym_x] = ACTIONS(3096),
    [anon_sym_EQ_TILDE] = ACTIONS(3094),
    [anon_sym_BANG_TILDE] = ACTIONS(3094),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2127] = {
    [sym_heredoc_content] = STATE(2127),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_COLON] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_RPAREN] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3098),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2128] = {
    [sym_heredoc_content] = STATE(2128),
    [anon_sym_RBRACE] = ACTIONS(3102),
    [anon_sym_COLON] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_RPAREN] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2129] = {
    [sym_heredoc_content] = STATE(2129),
    [anon_sym_RBRACE] = ACTIONS(3106),
    [anon_sym_COLON] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_RPAREN] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3106),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2130] = {
    [sym_heredoc_content] = STATE(2130),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_COLON] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2131] = {
    [sym_heredoc_content] = STATE(2131),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_COLON] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_RPAREN] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2132] = {
    [sym_heredoc_content] = STATE(2132),
    [anon_sym_RBRACE] = ACTIONS(3190),
    [anon_sym_COLON] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_RPAREN] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3190),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2133] = {
    [sym_heredoc_content] = STATE(2133),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_COLON] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_RPAREN] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2134] = {
    [sym_heredoc_content] = STATE(2134),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_COLON] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_RPAREN] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2135] = {
    [sym_heredoc_content] = STATE(2135),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_COLON] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_RPAREN] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2136] = {
    [sym_heredoc_content] = STATE(2136),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_COLON] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_RPAREN] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2137] = {
    [sym_heredoc_content] = STATE(2137),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_COLON] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2138] = {
    [sym_heredoc_content] = STATE(2138),
    [anon_sym_COLON] = ACTIONS(2562),
    [anon_sym_SEMI] = ACTIONS(2562),
    [anon_sym_EQ] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_COMMA] = ACTIONS(2562),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2562),
    [anon_sym_DASH_GT] = ACTIONS(2562),
    [anon_sym_STAR] = ACTIONS(2564),
    [anon_sym_PERCENT] = ACTIONS(2564),
    [anon_sym_GT] = ACTIONS(2564),
    [anon_sym_LT_LT] = ACTIONS(2564),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2562),
    [anon_sym_PLUS_EQ] = ACTIONS(2562),
    [anon_sym_DASH_EQ] = ACTIONS(2562),
    [anon_sym_DOT_EQ] = ACTIONS(2562),
    [anon_sym_STAR_EQ] = ACTIONS(2562),
    [anon_sym_SLASH_EQ] = ACTIONS(2562),
    [anon_sym_PERCENT_EQ] = ACTIONS(2562),
    [anon_sym_x_EQ] = ACTIONS(2562),
    [anon_sym_AMP_EQ] = ACTIONS(2562),
    [anon_sym_PIPE_EQ] = ACTIONS(2562),
    [anon_sym_CARET_EQ] = ACTIONS(2562),
    [anon_sym_LT_LT_EQ] = ACTIONS(2562),
    [anon_sym_GT_GT_EQ] = ACTIONS(2562),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2562),
    [anon_sym_DOT_DOT] = ACTIONS(2564),
    [anon_sym_STAR_STAR] = ACTIONS(2564),
    [anon_sym_PIPE_PIPE] = ACTIONS(2564),
    [anon_sym_SLASH_SLASH] = ACTIONS(2564),
    [anon_sym_CARET_CARET] = ACTIONS(2562),
    [anon_sym_AMP_AMP] = ACTIONS(2564),
    [anon_sym_PIPE] = ACTIONS(2564),
    [anon_sym_CARET] = ACTIONS(2564),
    [anon_sym_AMP] = ACTIONS(2564),
    [anon_sym_GT_GT2] = ACTIONS(2564),
    [anon_sym_PLUS] = ACTIONS(2564),
    [anon_sym_DASH] = ACTIONS(2564),
    [anon_sym_DOT] = ACTIONS(2564),
    [anon_sym_SLASH] = ACTIONS(2564),
    [anon_sym_x] = ACTIONS(2564),
    [anon_sym_EQ_TILDE] = ACTIONS(2562),
    [anon_sym_BANG_TILDE] = ACTIONS(2562),
    [anon_sym_EQ_EQ] = ACTIONS(2564),
    [anon_sym_BANG_EQ] = ACTIONS(2562),
    [anon_sym_eq] = ACTIONS(2564),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2562),
    [anon_sym_equ] = ACTIONS(2562),
    [anon_sym_eqr] = ACTIONS(2562),
    [anon_sym_ne] = ACTIONS(2562),
    [anon_sym_LT_EQ_GT] = ACTIONS(2562),
    [anon_sym_cmp] = ACTIONS(2562),
    [anon_sym_TILDE_TILDE] = ACTIONS(2562),
    [anon_sym_LT] = ACTIONS(2564),
    [anon_sym_LT_EQ] = ACTIONS(2564),
    [anon_sym_GT_EQ] = ACTIONS(2562),
    [anon_sym_lt] = ACTIONS(2562),
    [anon_sym_le] = ACTIONS(2562),
    [anon_sym_ge] = ACTIONS(2562),
    [anon_sym_gt] = ACTIONS(2562),
    [anon_sym_isa] = ACTIONS(2562),
    [anon_sym_PLUS_PLUS] = ACTIONS(2562),
    [anon_sym_DASH_DASH] = ACTIONS(2562),
    [anon_sym_QMARK] = ACTIONS(2562),
    [anon_sym_EQ_GT] = ACTIONS(2562),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2562),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2139] = {
    [sym_heredoc_content] = STATE(2139),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_COLON] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_RPAREN] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2140] = {
    [sym_heredoc_content] = STATE(2140),
    [anon_sym_COLON] = ACTIONS(2578),
    [anon_sym_SEMI] = ACTIONS(2578),
    [anon_sym_EQ] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_COMMA] = ACTIONS(2578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2578),
    [anon_sym_DASH_GT] = ACTIONS(2578),
    [anon_sym_STAR] = ACTIONS(2580),
    [anon_sym_PERCENT] = ACTIONS(2580),
    [anon_sym_GT] = ACTIONS(2580),
    [anon_sym_LT_LT] = ACTIONS(2580),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2578),
    [anon_sym_PLUS_EQ] = ACTIONS(2578),
    [anon_sym_DASH_EQ] = ACTIONS(2578),
    [anon_sym_DOT_EQ] = ACTIONS(2578),
    [anon_sym_STAR_EQ] = ACTIONS(2578),
    [anon_sym_SLASH_EQ] = ACTIONS(2578),
    [anon_sym_PERCENT_EQ] = ACTIONS(2578),
    [anon_sym_x_EQ] = ACTIONS(2578),
    [anon_sym_AMP_EQ] = ACTIONS(2578),
    [anon_sym_PIPE_EQ] = ACTIONS(2578),
    [anon_sym_CARET_EQ] = ACTIONS(2578),
    [anon_sym_LT_LT_EQ] = ACTIONS(2578),
    [anon_sym_GT_GT_EQ] = ACTIONS(2578),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2578),
    [anon_sym_DOT_DOT] = ACTIONS(2580),
    [anon_sym_STAR_STAR] = ACTIONS(2580),
    [anon_sym_PIPE_PIPE] = ACTIONS(2580),
    [anon_sym_SLASH_SLASH] = ACTIONS(2580),
    [anon_sym_CARET_CARET] = ACTIONS(2578),
    [anon_sym_AMP_AMP] = ACTIONS(2580),
    [anon_sym_PIPE] = ACTIONS(2580),
    [anon_sym_CARET] = ACTIONS(2580),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym_GT_GT2] = ACTIONS(2580),
    [anon_sym_PLUS] = ACTIONS(2580),
    [anon_sym_DASH] = ACTIONS(2580),
    [anon_sym_DOT] = ACTIONS(2580),
    [anon_sym_SLASH] = ACTIONS(2580),
    [anon_sym_x] = ACTIONS(2580),
    [anon_sym_EQ_TILDE] = ACTIONS(2578),
    [anon_sym_BANG_TILDE] = ACTIONS(2578),
    [anon_sym_EQ_EQ] = ACTIONS(2580),
    [anon_sym_BANG_EQ] = ACTIONS(2578),
    [anon_sym_eq] = ACTIONS(2580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2578),
    [anon_sym_equ] = ACTIONS(2578),
    [anon_sym_eqr] = ACTIONS(2578),
    [anon_sym_ne] = ACTIONS(2578),
    [anon_sym_LT_EQ_GT] = ACTIONS(2578),
    [anon_sym_cmp] = ACTIONS(2578),
    [anon_sym_TILDE_TILDE] = ACTIONS(2578),
    [anon_sym_LT] = ACTIONS(2580),
    [anon_sym_LT_EQ] = ACTIONS(2580),
    [anon_sym_GT_EQ] = ACTIONS(2578),
    [anon_sym_lt] = ACTIONS(2578),
    [anon_sym_le] = ACTIONS(2578),
    [anon_sym_ge] = ACTIONS(2578),
    [anon_sym_gt] = ACTIONS(2578),
    [anon_sym_isa] = ACTIONS(2578),
    [anon_sym_PLUS_PLUS] = ACTIONS(2578),
    [anon_sym_DASH_DASH] = ACTIONS(2578),
    [anon_sym_QMARK] = ACTIONS(2578),
    [anon_sym_EQ_GT] = ACTIONS(2578),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2578),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2141] = {
    [sym_heredoc_content] = STATE(2141),
    [anon_sym_COLON] = ACTIONS(2590),
    [anon_sym_SEMI] = ACTIONS(2590),
    [anon_sym_EQ] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_COMMA] = ACTIONS(2590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2590),
    [anon_sym_DASH_GT] = ACTIONS(2590),
    [anon_sym_STAR] = ACTIONS(2592),
    [anon_sym_PERCENT] = ACTIONS(2592),
    [anon_sym_GT] = ACTIONS(2592),
    [anon_sym_LT_LT] = ACTIONS(2592),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2590),
    [anon_sym_PLUS_EQ] = ACTIONS(2590),
    [anon_sym_DASH_EQ] = ACTIONS(2590),
    [anon_sym_DOT_EQ] = ACTIONS(2590),
    [anon_sym_STAR_EQ] = ACTIONS(2590),
    [anon_sym_SLASH_EQ] = ACTIONS(2590),
    [anon_sym_PERCENT_EQ] = ACTIONS(2590),
    [anon_sym_x_EQ] = ACTIONS(2590),
    [anon_sym_AMP_EQ] = ACTIONS(2590),
    [anon_sym_PIPE_EQ] = ACTIONS(2590),
    [anon_sym_CARET_EQ] = ACTIONS(2590),
    [anon_sym_LT_LT_EQ] = ACTIONS(2590),
    [anon_sym_GT_GT_EQ] = ACTIONS(2590),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2590),
    [anon_sym_DOT_DOT] = ACTIONS(2592),
    [anon_sym_STAR_STAR] = ACTIONS(2592),
    [anon_sym_PIPE_PIPE] = ACTIONS(2592),
    [anon_sym_SLASH_SLASH] = ACTIONS(2592),
    [anon_sym_CARET_CARET] = ACTIONS(2590),
    [anon_sym_AMP_AMP] = ACTIONS(2592),
    [anon_sym_PIPE] = ACTIONS(2592),
    [anon_sym_CARET] = ACTIONS(2592),
    [anon_sym_AMP] = ACTIONS(2592),
    [anon_sym_GT_GT2] = ACTIONS(2592),
    [anon_sym_PLUS] = ACTIONS(2592),
    [anon_sym_DASH] = ACTIONS(2592),
    [anon_sym_DOT] = ACTIONS(2592),
    [anon_sym_SLASH] = ACTIONS(2592),
    [anon_sym_x] = ACTIONS(2592),
    [anon_sym_EQ_TILDE] = ACTIONS(2590),
    [anon_sym_BANG_TILDE] = ACTIONS(2590),
    [anon_sym_EQ_EQ] = ACTIONS(2592),
    [anon_sym_BANG_EQ] = ACTIONS(2590),
    [anon_sym_eq] = ACTIONS(2592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2590),
    [anon_sym_equ] = ACTIONS(2590),
    [anon_sym_eqr] = ACTIONS(2590),
    [anon_sym_ne] = ACTIONS(2590),
    [anon_sym_LT_EQ_GT] = ACTIONS(2590),
    [anon_sym_cmp] = ACTIONS(2590),
    [anon_sym_TILDE_TILDE] = ACTIONS(2590),
    [anon_sym_LT] = ACTIONS(2592),
    [anon_sym_LT_EQ] = ACTIONS(2592),
    [anon_sym_GT_EQ] = ACTIONS(2590),
    [anon_sym_lt] = ACTIONS(2590),
    [anon_sym_le] = ACTIONS(2590),
    [anon_sym_ge] = ACTIONS(2590),
    [anon_sym_gt] = ACTIONS(2590),
    [anon_sym_isa] = ACTIONS(2590),
    [anon_sym_PLUS_PLUS] = ACTIONS(2590),
    [anon_sym_DASH_DASH] = ACTIONS(2590),
    [anon_sym_QMARK] = ACTIONS(2590),
    [anon_sym_EQ_GT] = ACTIONS(2590),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2590),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2142] = {
    [sym_heredoc_content] = STATE(2142),
    [anon_sym_RBRACE] = ACTIONS(2610),
    [anon_sym_COLON] = ACTIONS(2610),
    [anon_sym_EQ] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_COMMA] = ACTIONS(2610),
    [anon_sym_RPAREN] = ACTIONS(2610),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2610),
    [anon_sym_DASH_GT] = ACTIONS(2610),
    [anon_sym_STAR] = ACTIONS(2612),
    [anon_sym_PERCENT] = ACTIONS(2612),
    [anon_sym_GT] = ACTIONS(2612),
    [anon_sym_LT_LT] = ACTIONS(2612),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2610),
    [anon_sym_PLUS_EQ] = ACTIONS(2610),
    [anon_sym_DASH_EQ] = ACTIONS(2610),
    [anon_sym_DOT_EQ] = ACTIONS(2610),
    [anon_sym_STAR_EQ] = ACTIONS(2610),
    [anon_sym_SLASH_EQ] = ACTIONS(2610),
    [anon_sym_PERCENT_EQ] = ACTIONS(2610),
    [anon_sym_x_EQ] = ACTIONS(2610),
    [anon_sym_AMP_EQ] = ACTIONS(2610),
    [anon_sym_PIPE_EQ] = ACTIONS(2610),
    [anon_sym_CARET_EQ] = ACTIONS(2610),
    [anon_sym_LT_LT_EQ] = ACTIONS(2610),
    [anon_sym_GT_GT_EQ] = ACTIONS(2610),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2610),
    [anon_sym_DOT_DOT] = ACTIONS(2612),
    [anon_sym_STAR_STAR] = ACTIONS(2612),
    [anon_sym_PIPE_PIPE] = ACTIONS(2612),
    [anon_sym_SLASH_SLASH] = ACTIONS(2612),
    [anon_sym_CARET_CARET] = ACTIONS(2610),
    [anon_sym_AMP_AMP] = ACTIONS(2612),
    [anon_sym_PIPE] = ACTIONS(2612),
    [anon_sym_CARET] = ACTIONS(2612),
    [anon_sym_AMP] = ACTIONS(2612),
    [anon_sym_GT_GT2] = ACTIONS(2612),
    [anon_sym_PLUS] = ACTIONS(2612),
    [anon_sym_DASH] = ACTIONS(2612),
    [anon_sym_DOT] = ACTIONS(2612),
    [anon_sym_SLASH] = ACTIONS(2612),
    [anon_sym_x] = ACTIONS(2612),
    [anon_sym_EQ_TILDE] = ACTIONS(2610),
    [anon_sym_BANG_TILDE] = ACTIONS(2610),
    [anon_sym_EQ_EQ] = ACTIONS(2612),
    [anon_sym_BANG_EQ] = ACTIONS(2610),
    [anon_sym_eq] = ACTIONS(2612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2610),
    [anon_sym_equ] = ACTIONS(2610),
    [anon_sym_eqr] = ACTIONS(2610),
    [anon_sym_ne] = ACTIONS(2610),
    [anon_sym_LT_EQ_GT] = ACTIONS(2610),
    [anon_sym_cmp] = ACTIONS(2610),
    [anon_sym_TILDE_TILDE] = ACTIONS(2610),
    [anon_sym_LT] = ACTIONS(2612),
    [anon_sym_LT_EQ] = ACTIONS(2612),
    [anon_sym_GT_EQ] = ACTIONS(2610),
    [anon_sym_lt] = ACTIONS(2610),
    [anon_sym_le] = ACTIONS(2610),
    [anon_sym_ge] = ACTIONS(2610),
    [anon_sym_gt] = ACTIONS(2610),
    [anon_sym_isa] = ACTIONS(2610),
    [anon_sym_PLUS_PLUS] = ACTIONS(2610),
    [anon_sym_DASH_DASH] = ACTIONS(2610),
    [anon_sym_QMARK] = ACTIONS(2610),
    [anon_sym_EQ_GT] = ACTIONS(2610),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2143] = {
    [sym_heredoc_content] = STATE(2143),
    [aux_sym__term_rightward_repeat1] = STATE(3346),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3859),
    [anon_sym_RPAREN] = ACTIONS(2679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(3859),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2144] = {
    [sym_heredoc_content] = STATE(2144),
    [anon_sym_COLON] = ACTIONS(2630),
    [anon_sym_SEMI] = ACTIONS(2630),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_COMMA] = ACTIONS(2630),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2630),
    [anon_sym_DASH_GT] = ACTIONS(2630),
    [anon_sym_STAR] = ACTIONS(2632),
    [anon_sym_PERCENT] = ACTIONS(2632),
    [anon_sym_GT] = ACTIONS(2632),
    [anon_sym_LT_LT] = ACTIONS(2632),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2630),
    [anon_sym_PLUS_EQ] = ACTIONS(2630),
    [anon_sym_DASH_EQ] = ACTIONS(2630),
    [anon_sym_DOT_EQ] = ACTIONS(2630),
    [anon_sym_STAR_EQ] = ACTIONS(2630),
    [anon_sym_SLASH_EQ] = ACTIONS(2630),
    [anon_sym_PERCENT_EQ] = ACTIONS(2630),
    [anon_sym_x_EQ] = ACTIONS(2630),
    [anon_sym_AMP_EQ] = ACTIONS(2630),
    [anon_sym_PIPE_EQ] = ACTIONS(2630),
    [anon_sym_CARET_EQ] = ACTIONS(2630),
    [anon_sym_LT_LT_EQ] = ACTIONS(2630),
    [anon_sym_GT_GT_EQ] = ACTIONS(2630),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2630),
    [anon_sym_DOT_DOT] = ACTIONS(2632),
    [anon_sym_STAR_STAR] = ACTIONS(2632),
    [anon_sym_PIPE_PIPE] = ACTIONS(2632),
    [anon_sym_SLASH_SLASH] = ACTIONS(2632),
    [anon_sym_CARET_CARET] = ACTIONS(2630),
    [anon_sym_AMP_AMP] = ACTIONS(2632),
    [anon_sym_PIPE] = ACTIONS(2632),
    [anon_sym_CARET] = ACTIONS(2632),
    [anon_sym_AMP] = ACTIONS(2632),
    [anon_sym_GT_GT2] = ACTIONS(2632),
    [anon_sym_PLUS] = ACTIONS(2632),
    [anon_sym_DASH] = ACTIONS(2632),
    [anon_sym_DOT] = ACTIONS(2632),
    [anon_sym_SLASH] = ACTIONS(2632),
    [anon_sym_x] = ACTIONS(2632),
    [anon_sym_EQ_TILDE] = ACTIONS(2630),
    [anon_sym_BANG_TILDE] = ACTIONS(2630),
    [anon_sym_EQ_EQ] = ACTIONS(2632),
    [anon_sym_BANG_EQ] = ACTIONS(2630),
    [anon_sym_eq] = ACTIONS(2632),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2630),
    [anon_sym_equ] = ACTIONS(2630),
    [anon_sym_eqr] = ACTIONS(2630),
    [anon_sym_ne] = ACTIONS(2630),
    [anon_sym_LT_EQ_GT] = ACTIONS(2630),
    [anon_sym_cmp] = ACTIONS(2630),
    [anon_sym_TILDE_TILDE] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2632),
    [anon_sym_LT_EQ] = ACTIONS(2632),
    [anon_sym_GT_EQ] = ACTIONS(2630),
    [anon_sym_lt] = ACTIONS(2630),
    [anon_sym_le] = ACTIONS(2630),
    [anon_sym_ge] = ACTIONS(2630),
    [anon_sym_gt] = ACTIONS(2630),
    [anon_sym_isa] = ACTIONS(2630),
    [anon_sym_PLUS_PLUS] = ACTIONS(2630),
    [anon_sym_DASH_DASH] = ACTIONS(2630),
    [anon_sym_QMARK] = ACTIONS(2630),
    [anon_sym_EQ_GT] = ACTIONS(2630),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2630),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2145] = {
    [sym_heredoc_content] = STATE(2145),
    [anon_sym_RBRACE] = ACTIONS(2638),
    [anon_sym_COLON] = ACTIONS(2638),
    [anon_sym_EQ] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_COMMA] = ACTIONS(2638),
    [anon_sym_RPAREN] = ACTIONS(2638),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2638),
    [anon_sym_DASH_GT] = ACTIONS(2638),
    [anon_sym_STAR] = ACTIONS(2640),
    [anon_sym_PERCENT] = ACTIONS(2640),
    [anon_sym_GT] = ACTIONS(2640),
    [anon_sym_LT_LT] = ACTIONS(2640),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2638),
    [anon_sym_PLUS_EQ] = ACTIONS(2638),
    [anon_sym_DASH_EQ] = ACTIONS(2638),
    [anon_sym_DOT_EQ] = ACTIONS(2638),
    [anon_sym_STAR_EQ] = ACTIONS(2638),
    [anon_sym_SLASH_EQ] = ACTIONS(2638),
    [anon_sym_PERCENT_EQ] = ACTIONS(2638),
    [anon_sym_x_EQ] = ACTIONS(2638),
    [anon_sym_AMP_EQ] = ACTIONS(2638),
    [anon_sym_PIPE_EQ] = ACTIONS(2638),
    [anon_sym_CARET_EQ] = ACTIONS(2638),
    [anon_sym_LT_LT_EQ] = ACTIONS(2638),
    [anon_sym_GT_GT_EQ] = ACTIONS(2638),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2638),
    [anon_sym_DOT_DOT] = ACTIONS(2640),
    [anon_sym_STAR_STAR] = ACTIONS(2640),
    [anon_sym_PIPE_PIPE] = ACTIONS(2640),
    [anon_sym_SLASH_SLASH] = ACTIONS(2640),
    [anon_sym_CARET_CARET] = ACTIONS(2638),
    [anon_sym_AMP_AMP] = ACTIONS(2640),
    [anon_sym_PIPE] = ACTIONS(2640),
    [anon_sym_CARET] = ACTIONS(2640),
    [anon_sym_AMP] = ACTIONS(2640),
    [anon_sym_GT_GT2] = ACTIONS(2640),
    [anon_sym_PLUS] = ACTIONS(2640),
    [anon_sym_DASH] = ACTIONS(2640),
    [anon_sym_DOT] = ACTIONS(2640),
    [anon_sym_SLASH] = ACTIONS(2640),
    [anon_sym_x] = ACTIONS(2640),
    [anon_sym_EQ_TILDE] = ACTIONS(2638),
    [anon_sym_BANG_TILDE] = ACTIONS(2638),
    [anon_sym_EQ_EQ] = ACTIONS(2640),
    [anon_sym_BANG_EQ] = ACTIONS(2638),
    [anon_sym_eq] = ACTIONS(2640),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2638),
    [anon_sym_equ] = ACTIONS(2638),
    [anon_sym_eqr] = ACTIONS(2638),
    [anon_sym_ne] = ACTIONS(2638),
    [anon_sym_LT_EQ_GT] = ACTIONS(2638),
    [anon_sym_cmp] = ACTIONS(2638),
    [anon_sym_TILDE_TILDE] = ACTIONS(2638),
    [anon_sym_LT] = ACTIONS(2640),
    [anon_sym_LT_EQ] = ACTIONS(2640),
    [anon_sym_GT_EQ] = ACTIONS(2638),
    [anon_sym_lt] = ACTIONS(2638),
    [anon_sym_le] = ACTIONS(2638),
    [anon_sym_ge] = ACTIONS(2638),
    [anon_sym_gt] = ACTIONS(2638),
    [anon_sym_isa] = ACTIONS(2638),
    [anon_sym_PLUS_PLUS] = ACTIONS(2638),
    [anon_sym_DASH_DASH] = ACTIONS(2638),
    [anon_sym_QMARK] = ACTIONS(2638),
    [anon_sym_EQ_GT] = ACTIONS(2638),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2146] = {
    [sym_heredoc_content] = STATE(2146),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_COLON] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_RPAREN] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3182),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2147] = {
    [sym_heredoc_content] = STATE(2147),
    [anon_sym_RBRACE] = ACTIONS(3194),
    [anon_sym_COLON] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_RPAREN] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3194),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2148] = {
    [sym_heredoc_content] = STATE(2148),
    [anon_sym_RBRACE] = ACTIONS(3062),
    [anon_sym_COLON] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_RPAREN] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2149] = {
    [sym_heredoc_content] = STATE(2149),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_COLON] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2931),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2150] = {
    [sym_heredoc_content] = STATE(2150),
    [anon_sym_RBRACE] = ACTIONS(3206),
    [anon_sym_COLON] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_RPAREN] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3206),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2151] = {
    [sym_heredoc_content] = STATE(2151),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_COLON] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_RPAREN] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3154),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2152] = {
    [sym_heredoc_content] = STATE(2152),
    [anon_sym_RBRACE] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2153] = {
    [sym_heredoc_content] = STATE(2153),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2154] = {
    [sym_heredoc_content] = STATE(2154),
    [anon_sym_RBRACE] = ACTIONS(3230),
    [anon_sym_COLON] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_RPAREN] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2155] = {
    [sym_heredoc_content] = STATE(2155),
    [anon_sym_RBRACE] = ACTIONS(2976),
    [anon_sym_COLON] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(2976),
    [anon_sym_RPAREN] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(2976),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2156] = {
    [sym_heredoc_content] = STATE(2156),
    [anon_sym_RBRACE] = ACTIONS(3218),
    [anon_sym_COLON] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_RPAREN] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2157] = {
    [sym_heredoc_content] = STATE(2157),
    [anon_sym_RBRACE] = ACTIONS(3242),
    [anon_sym_COLON] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_RPAREN] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2158] = {
    [sym_heredoc_content] = STATE(2158),
    [anon_sym_RBRACE] = ACTIONS(3238),
    [anon_sym_COLON] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_RPAREN] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2159] = {
    [sym_heredoc_content] = STATE(2159),
    [anon_sym_RBRACE] = ACTIONS(3258),
    [anon_sym_COLON] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_RPAREN] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3258),
    [anon_sym_DASH_GT] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3260),
    [anon_sym_PERCENT] = ACTIONS(3260),
    [anon_sym_GT] = ACTIONS(3260),
    [anon_sym_LT_LT] = ACTIONS(3260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3260),
    [anon_sym_STAR_STAR] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE] = ACTIONS(3260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3260),
    [anon_sym_CARET_CARET] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3260),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_GT_GT2] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_DOT] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_x] = ACTIONS(3260),
    [anon_sym_EQ_TILDE] = ACTIONS(3258),
    [anon_sym_BANG_TILDE] = ACTIONS(3258),
    [anon_sym_EQ_EQ] = ACTIONS(3260),
    [anon_sym_BANG_EQ] = ACTIONS(3258),
    [anon_sym_eq] = ACTIONS(3260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3258),
    [anon_sym_equ] = ACTIONS(3258),
    [anon_sym_eqr] = ACTIONS(3258),
    [anon_sym_ne] = ACTIONS(3258),
    [anon_sym_LT_EQ_GT] = ACTIONS(3258),
    [anon_sym_cmp] = ACTIONS(3258),
    [anon_sym_TILDE_TILDE] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_LT_EQ] = ACTIONS(3260),
    [anon_sym_GT_EQ] = ACTIONS(3258),
    [anon_sym_lt] = ACTIONS(3258),
    [anon_sym_le] = ACTIONS(3258),
    [anon_sym_ge] = ACTIONS(3258),
    [anon_sym_gt] = ACTIONS(3258),
    [anon_sym_isa] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_QMARK] = ACTIONS(3258),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2160] = {
    [sym_heredoc_content] = STATE(2160),
    [anon_sym_RBRACE] = ACTIONS(3254),
    [anon_sym_COLON] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_RPAREN] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3254),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2161] = {
    [sym_heredoc_content] = STATE(2161),
    [anon_sym_RBRACE] = ACTIONS(3322),
    [anon_sym_COLON] = ACTIONS(3322),
    [anon_sym_EQ] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_COMMA] = ACTIONS(3322),
    [anon_sym_RPAREN] = ACTIONS(3322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3322),
    [anon_sym_DASH_GT] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_PERCENT] = ACTIONS(3324),
    [anon_sym_GT] = ACTIONS(3324),
    [anon_sym_LT_LT] = ACTIONS(3324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3322),
    [anon_sym_PLUS_EQ] = ACTIONS(3322),
    [anon_sym_DASH_EQ] = ACTIONS(3322),
    [anon_sym_DOT_EQ] = ACTIONS(3322),
    [anon_sym_STAR_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_PERCENT_EQ] = ACTIONS(3322),
    [anon_sym_x_EQ] = ACTIONS(3322),
    [anon_sym_AMP_EQ] = ACTIONS(3322),
    [anon_sym_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_CARET_EQ] = ACTIONS(3322),
    [anon_sym_LT_LT_EQ] = ACTIONS(3322),
    [anon_sym_GT_GT_EQ] = ACTIONS(3322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3322),
    [anon_sym_DOT_DOT] = ACTIONS(3324),
    [anon_sym_STAR_STAR] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE] = ACTIONS(3324),
    [anon_sym_SLASH_SLASH] = ACTIONS(3324),
    [anon_sym_CARET_CARET] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3324),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym_GT_GT2] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_DOT] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_x] = ACTIONS(3324),
    [anon_sym_EQ_TILDE] = ACTIONS(3322),
    [anon_sym_BANG_TILDE] = ACTIONS(3322),
    [anon_sym_EQ_EQ] = ACTIONS(3324),
    [anon_sym_BANG_EQ] = ACTIONS(3322),
    [anon_sym_eq] = ACTIONS(3324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3322),
    [anon_sym_equ] = ACTIONS(3322),
    [anon_sym_eqr] = ACTIONS(3322),
    [anon_sym_ne] = ACTIONS(3322),
    [anon_sym_LT_EQ_GT] = ACTIONS(3322),
    [anon_sym_cmp] = ACTIONS(3322),
    [anon_sym_TILDE_TILDE] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_LT_EQ] = ACTIONS(3324),
    [anon_sym_GT_EQ] = ACTIONS(3322),
    [anon_sym_lt] = ACTIONS(3322),
    [anon_sym_le] = ACTIONS(3322),
    [anon_sym_ge] = ACTIONS(3322),
    [anon_sym_gt] = ACTIONS(3322),
    [anon_sym_isa] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_QMARK] = ACTIONS(3322),
    [anon_sym_EQ_GT] = ACTIONS(3322),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2162] = {
    [sym_heredoc_content] = STATE(2162),
    [anon_sym_RBRACE] = ACTIONS(3270),
    [anon_sym_COLON] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_RPAREN] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2163] = {
    [sym_heredoc_content] = STATE(2163),
    [anon_sym_RBRACE] = ACTIONS(3278),
    [anon_sym_COLON] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_RPAREN] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2164] = {
    [sym_heredoc_content] = STATE(2164),
    [anon_sym_RBRACE] = ACTIONS(2853),
    [anon_sym_COLON] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2165] = {
    [sym_heredoc_content] = STATE(2165),
    [anon_sym_RBRACE] = ACTIONS(2857),
    [anon_sym_COLON] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2166] = {
    [sym_heredoc_content] = STATE(2166),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_COLON] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_RPAREN] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2167] = {
    [sym_heredoc_content] = STATE(2167),
    [anon_sym_RBRACE] = ACTIONS(3286),
    [anon_sym_COLON] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_RPAREN] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3286),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2168] = {
    [sym_heredoc_content] = STATE(2168),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_COLON] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_RPAREN] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3170),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2169] = {
    [sym_heredoc_content] = STATE(2169),
    [anon_sym_RBRACE] = ACTIONS(3294),
    [anon_sym_COLON] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_RPAREN] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3294),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2170] = {
    [sym_heredoc_content] = STATE(2170),
    [anon_sym_RBRACE] = ACTIONS(3298),
    [anon_sym_COLON] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_RPAREN] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3298),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2171] = {
    [sym_heredoc_content] = STATE(2171),
    [aux_sym__term_rightward_repeat1] = STATE(2054),
    [anon_sym_RBRACE] = ACTIONS(2731),
    [anon_sym_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_COMMA] = ACTIONS(3903),
    [anon_sym_RPAREN] = ACTIONS(2731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2731),
    [anon_sym_DASH_GT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2733),
    [anon_sym_GT] = ACTIONS(2733),
    [anon_sym_LT_LT] = ACTIONS(2733),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2731),
    [anon_sym_PLUS_EQ] = ACTIONS(2731),
    [anon_sym_DASH_EQ] = ACTIONS(2731),
    [anon_sym_DOT_EQ] = ACTIONS(2731),
    [anon_sym_STAR_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_PERCENT_EQ] = ACTIONS(2731),
    [anon_sym_x_EQ] = ACTIONS(2731),
    [anon_sym_AMP_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_CARET_EQ] = ACTIONS(2731),
    [anon_sym_LT_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_GT_EQ] = ACTIONS(2731),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2731),
    [anon_sym_DOT_DOT] = ACTIONS(2733),
    [anon_sym_STAR_STAR] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH] = ACTIONS(2733),
    [anon_sym_CARET_CARET] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2733),
    [anon_sym_PIPE] = ACTIONS(2733),
    [anon_sym_CARET] = ACTIONS(2733),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_GT_GT2] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_x] = ACTIONS(2733),
    [anon_sym_EQ_TILDE] = ACTIONS(2731),
    [anon_sym_BANG_TILDE] = ACTIONS(2731),
    [anon_sym_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2731),
    [anon_sym_eq] = ACTIONS(2733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2731),
    [anon_sym_equ] = ACTIONS(2731),
    [anon_sym_eqr] = ACTIONS(2731),
    [anon_sym_ne] = ACTIONS(2731),
    [anon_sym_LT_EQ_GT] = ACTIONS(2731),
    [anon_sym_cmp] = ACTIONS(2731),
    [anon_sym_TILDE_TILDE] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2731),
    [anon_sym_lt] = ACTIONS(2731),
    [anon_sym_le] = ACTIONS(2731),
    [anon_sym_ge] = ACTIONS(2731),
    [anon_sym_gt] = ACTIONS(2731),
    [anon_sym_isa] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_QMARK] = ACTIONS(2731),
    [anon_sym_EQ_GT] = ACTIONS(3903),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2172] = {
    [sym_heredoc_content] = STATE(2172),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_COLON] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2173] = {
    [sym_heredoc_content] = STATE(2173),
    [anon_sym_RBRACE] = ACTIONS(2889),
    [anon_sym_COLON] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2174] = {
    [sym_heredoc_content] = STATE(2174),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_COLON] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2175] = {
    [sym_heredoc_content] = STATE(2175),
    [anon_sym_RBRACE] = ACTIONS(3266),
    [anon_sym_COLON] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_RPAREN] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2176] = {
    [sym_heredoc_content] = STATE(2176),
    [anon_sym_RBRACE] = ACTIONS(3066),
    [anon_sym_COLON] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_RPAREN] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2177] = {
    [sym_heredoc_content] = STATE(2177),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_COLON] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2178] = {
    [sym_heredoc_content] = STATE(2178),
    [anon_sym_RBRACE] = ACTIONS(2984),
    [anon_sym_COLON] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_DASH_GT] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(2984),
    [anon_sym_DASH_EQ] = ACTIONS(2984),
    [anon_sym_DOT_EQ] = ACTIONS(2984),
    [anon_sym_STAR_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_PERCENT_EQ] = ACTIONS(2984),
    [anon_sym_x_EQ] = ACTIONS(2984),
    [anon_sym_AMP_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_CARET_EQ] = ACTIONS(2984),
    [anon_sym_LT_LT_EQ] = ACTIONS(2984),
    [anon_sym_GT_GT_EQ] = ACTIONS(2984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_STAR_STAR] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2986),
    [anon_sym_SLASH_SLASH] = ACTIONS(2986),
    [anon_sym_CARET_CARET] = ACTIONS(2984),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_CARET] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_GT_GT2] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_x] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_eq] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_equ] = ACTIONS(2984),
    [anon_sym_eqr] = ACTIONS(2984),
    [anon_sym_ne] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_cmp] = ACTIONS(2984),
    [anon_sym_TILDE_TILDE] = ACTIONS(2984),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_lt] = ACTIONS(2984),
    [anon_sym_le] = ACTIONS(2984),
    [anon_sym_ge] = ACTIONS(2984),
    [anon_sym_gt] = ACTIONS(2984),
    [anon_sym_isa] = ACTIONS(2984),
    [anon_sym_PLUS_PLUS] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2179] = {
    [sym_heredoc_content] = STATE(2179),
    [anon_sym_RBRACE] = ACTIONS(3070),
    [anon_sym_COLON] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_RPAREN] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3070),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2180] = {
    [sym_heredoc_content] = STATE(2180),
    [anon_sym_RBRACE] = ACTIONS(3054),
    [anon_sym_COLON] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_x] = ACTIONS(3056),
    [anon_sym_EQ_TILDE] = ACTIONS(3054),
    [anon_sym_BANG_TILDE] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2181] = {
    [sym_heredoc_content] = STATE(2181),
    [anon_sym_RBRACE] = ACTIONS(2909),
    [anon_sym_COLON] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_RPAREN] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(1971),
    [anon_sym_STAR_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_SLASH_SLASH] = ACTIONS(1971),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_GT_GT2] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_DOT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_x] = ACTIONS(1971),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(1971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2182] = {
    [sym_heredoc_content] = STATE(2182),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_COLON] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2939),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2183] = {
    [sym_heredoc_content] = STATE(2183),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_COLON] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_RPAREN] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2184] = {
    [sym_heredoc_content] = STATE(2184),
    [anon_sym_RBRACE] = ACTIONS(3326),
    [anon_sym_COLON] = ACTIONS(3326),
    [anon_sym_EQ] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_COMMA] = ACTIONS(3326),
    [anon_sym_RPAREN] = ACTIONS(3326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3326),
    [anon_sym_DASH_GT] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_PERCENT] = ACTIONS(3328),
    [anon_sym_GT] = ACTIONS(3328),
    [anon_sym_LT_LT] = ACTIONS(3328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3326),
    [anon_sym_PLUS_EQ] = ACTIONS(3326),
    [anon_sym_DASH_EQ] = ACTIONS(3326),
    [anon_sym_DOT_EQ] = ACTIONS(3326),
    [anon_sym_STAR_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_PERCENT_EQ] = ACTIONS(3326),
    [anon_sym_x_EQ] = ACTIONS(3326),
    [anon_sym_AMP_EQ] = ACTIONS(3326),
    [anon_sym_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_CARET_EQ] = ACTIONS(3326),
    [anon_sym_LT_LT_EQ] = ACTIONS(3326),
    [anon_sym_GT_GT_EQ] = ACTIONS(3326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3326),
    [anon_sym_DOT_DOT] = ACTIONS(3328),
    [anon_sym_STAR_STAR] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE] = ACTIONS(3328),
    [anon_sym_SLASH_SLASH] = ACTIONS(3328),
    [anon_sym_CARET_CARET] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_PIPE] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_GT_GT2] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_DOT] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_x] = ACTIONS(3328),
    [anon_sym_EQ_TILDE] = ACTIONS(3326),
    [anon_sym_BANG_TILDE] = ACTIONS(3326),
    [anon_sym_EQ_EQ] = ACTIONS(3328),
    [anon_sym_BANG_EQ] = ACTIONS(3326),
    [anon_sym_eq] = ACTIONS(3328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3326),
    [anon_sym_equ] = ACTIONS(3326),
    [anon_sym_eqr] = ACTIONS(3326),
    [anon_sym_ne] = ACTIONS(3326),
    [anon_sym_LT_EQ_GT] = ACTIONS(3326),
    [anon_sym_cmp] = ACTIONS(3326),
    [anon_sym_TILDE_TILDE] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_LT_EQ] = ACTIONS(3328),
    [anon_sym_GT_EQ] = ACTIONS(3326),
    [anon_sym_lt] = ACTIONS(3326),
    [anon_sym_le] = ACTIONS(3326),
    [anon_sym_ge] = ACTIONS(3326),
    [anon_sym_gt] = ACTIONS(3326),
    [anon_sym_isa] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_QMARK] = ACTIONS(3326),
    [anon_sym_EQ_GT] = ACTIONS(3326),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2185] = {
    [sym_heredoc_content] = STATE(2185),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2186] = {
    [sym_heredoc_content] = STATE(2186),
    [anon_sym_RBRACE] = ACTIONS(2861),
    [anon_sym_COLON] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2187] = {
    [sym_heredoc_content] = STATE(2187),
    [aux_sym__term_rightward_repeat1] = STATE(3360),
    [anon_sym_SEMI] = ACTIONS(2789),
    [anon_sym_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_COMMA] = ACTIONS(3905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3772),
    [anon_sym_PLUS_EQ] = ACTIONS(3772),
    [anon_sym_DASH_EQ] = ACTIONS(3772),
    [anon_sym_DOT_EQ] = ACTIONS(3772),
    [anon_sym_STAR_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_PERCENT_EQ] = ACTIONS(3772),
    [anon_sym_x_EQ] = ACTIONS(3772),
    [anon_sym_AMP_EQ] = ACTIONS(3772),
    [anon_sym_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_CARET_EQ] = ACTIONS(3772),
    [anon_sym_LT_LT_EQ] = ACTIONS(3772),
    [anon_sym_GT_GT_EQ] = ACTIONS(3772),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3772),
    [anon_sym_DOT_DOT] = ACTIONS(3786),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3790),
    [anon_sym_CARET_CARET] = ACTIONS(3792),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3816),
    [anon_sym_EQ_GT] = ACTIONS(3905),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2789),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2188] = {
    [sym_heredoc_content] = STATE(2188),
    [anon_sym_RBRACE] = ACTIONS(3262),
    [anon_sym_COLON] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_RPAREN] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3262),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2189] = {
    [sym_heredoc_content] = STATE(2189),
    [anon_sym_RBRACE] = ACTIONS(3314),
    [anon_sym_COLON] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3314),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2190] = {
    [sym_heredoc_content] = STATE(2190),
    [anon_sym_RBRACE] = ACTIONS(1839),
    [anon_sym_COLON] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1839),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2191] = {
    [sym_heredoc_content] = STATE(2191),
    [anon_sym_RBRACE] = ACTIONS(3234),
    [anon_sym_COLON] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_RPAREN] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2192] = {
    [sym_heredoc_content] = STATE(2192),
    [anon_sym_RBRACE] = ACTIONS(3302),
    [anon_sym_COLON] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_RPAREN] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3302),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2193] = {
    [sym_heredoc_content] = STATE(2193),
    [anon_sym_RBRACE] = ACTIONS(2961),
    [anon_sym_COLON] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2194] = {
    [sym_heredoc_content] = STATE(2194),
    [anon_sym_RBRACE] = ACTIONS(3306),
    [anon_sym_COLON] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_RPAREN] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3306),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2195] = {
    [sym_heredoc_content] = STATE(2195),
    [anon_sym_RBRACE] = ACTIONS(3310),
    [anon_sym_COLON] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_RPAREN] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3310),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2196] = {
    [sym_heredoc_content] = STATE(2196),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_COLON] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_RPAREN] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3078),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2197] = {
    [sym_heredoc_content] = STATE(2197),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_COLON] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2198] = {
    [sym_heredoc_content] = STATE(2198),
    [anon_sym_RBRACE] = ACTIONS(2881),
    [anon_sym_COLON] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2881),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2199] = {
    [sym_heredoc_content] = STATE(2199),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_COLON] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2200] = {
    [sym_heredoc_content] = STATE(2200),
    [anon_sym_RBRACE] = ACTIONS(2618),
    [anon_sym_COLON] = ACTIONS(3907),
    [anon_sym_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2618),
    [anon_sym_RPAREN] = ACTIONS(2618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DASH_GT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2622),
    [anon_sym_GT] = ACTIONS(2622),
    [anon_sym_LT_LT] = ACTIONS(2622),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2618),
    [anon_sym_DASH_EQ] = ACTIONS(2618),
    [anon_sym_DOT_EQ] = ACTIONS(2618),
    [anon_sym_STAR_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_PERCENT_EQ] = ACTIONS(2618),
    [anon_sym_x_EQ] = ACTIONS(2618),
    [anon_sym_AMP_EQ] = ACTIONS(2618),
    [anon_sym_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_CARET_EQ] = ACTIONS(2618),
    [anon_sym_LT_LT_EQ] = ACTIONS(2618),
    [anon_sym_GT_GT_EQ] = ACTIONS(2618),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2618),
    [anon_sym_DOT_DOT] = ACTIONS(2622),
    [anon_sym_STAR_STAR] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH] = ACTIONS(2622),
    [anon_sym_CARET_CARET] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_PIPE] = ACTIONS(2622),
    [anon_sym_CARET] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_GT_GT2] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_DOT] = ACTIONS(2622),
    [anon_sym_SLASH] = ACTIONS(2622),
    [anon_sym_x] = ACTIONS(2622),
    [anon_sym_EQ_TILDE] = ACTIONS(2618),
    [anon_sym_BANG_TILDE] = ACTIONS(2618),
    [anon_sym_EQ_EQ] = ACTIONS(2622),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_eq] = ACTIONS(2622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2618),
    [anon_sym_equ] = ACTIONS(2618),
    [anon_sym_eqr] = ACTIONS(2618),
    [anon_sym_ne] = ACTIONS(2618),
    [anon_sym_LT_EQ_GT] = ACTIONS(2618),
    [anon_sym_cmp] = ACTIONS(2618),
    [anon_sym_TILDE_TILDE] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_EQ] = ACTIONS(2618),
    [anon_sym_lt] = ACTIONS(2618),
    [anon_sym_le] = ACTIONS(2618),
    [anon_sym_ge] = ACTIONS(2618),
    [anon_sym_gt] = ACTIONS(2618),
    [anon_sym_isa] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_EQ_GT] = ACTIONS(2618),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2201] = {
    [sym_heredoc_content] = STATE(2201),
    [anon_sym_RBRACE] = ACTIONS(2624),
    [anon_sym_COLON] = ACTIONS(3909),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_RPAREN] = ACTIONS(2624),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_DOT_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_x_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2624),
    [anon_sym_BANG_TILDE] = ACTIONS(2624),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2624),
    [anon_sym_equ] = ACTIONS(2624),
    [anon_sym_eqr] = ACTIONS(2624),
    [anon_sym_ne] = ACTIONS(2624),
    [anon_sym_LT_EQ_GT] = ACTIONS(2624),
    [anon_sym_cmp] = ACTIONS(2624),
    [anon_sym_TILDE_TILDE] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_lt] = ACTIONS(2624),
    [anon_sym_le] = ACTIONS(2624),
    [anon_sym_ge] = ACTIONS(2624),
    [anon_sym_gt] = ACTIONS(2624),
    [anon_sym_isa] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_EQ_GT] = ACTIONS(2624),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2202] = {
    [sym_heredoc_content] = STATE(2202),
    [anon_sym_COLON] = ACTIONS(2634),
    [anon_sym_SEMI] = ACTIONS(2634),
    [anon_sym_EQ] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_COMMA] = ACTIONS(2634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2634),
    [anon_sym_DASH_GT] = ACTIONS(2634),
    [anon_sym_STAR] = ACTIONS(2636),
    [anon_sym_PERCENT] = ACTIONS(2636),
    [anon_sym_GT] = ACTIONS(2636),
    [anon_sym_LT_LT] = ACTIONS(2636),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2634),
    [anon_sym_PLUS_EQ] = ACTIONS(2634),
    [anon_sym_DASH_EQ] = ACTIONS(2634),
    [anon_sym_DOT_EQ] = ACTIONS(2634),
    [anon_sym_STAR_EQ] = ACTIONS(2634),
    [anon_sym_SLASH_EQ] = ACTIONS(2634),
    [anon_sym_PERCENT_EQ] = ACTIONS(2634),
    [anon_sym_x_EQ] = ACTIONS(2634),
    [anon_sym_AMP_EQ] = ACTIONS(2634),
    [anon_sym_PIPE_EQ] = ACTIONS(2634),
    [anon_sym_CARET_EQ] = ACTIONS(2634),
    [anon_sym_LT_LT_EQ] = ACTIONS(2634),
    [anon_sym_GT_GT_EQ] = ACTIONS(2634),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2634),
    [anon_sym_DOT_DOT] = ACTIONS(2636),
    [anon_sym_STAR_STAR] = ACTIONS(2636),
    [anon_sym_PIPE_PIPE] = ACTIONS(2636),
    [anon_sym_SLASH_SLASH] = ACTIONS(2636),
    [anon_sym_CARET_CARET] = ACTIONS(2634),
    [anon_sym_AMP_AMP] = ACTIONS(2636),
    [anon_sym_PIPE] = ACTIONS(2636),
    [anon_sym_CARET] = ACTIONS(2636),
    [anon_sym_AMP] = ACTIONS(2636),
    [anon_sym_GT_GT2] = ACTIONS(2636),
    [anon_sym_PLUS] = ACTIONS(2636),
    [anon_sym_DASH] = ACTIONS(2636),
    [anon_sym_DOT] = ACTIONS(2636),
    [anon_sym_SLASH] = ACTIONS(2636),
    [anon_sym_x] = ACTIONS(2636),
    [anon_sym_EQ_TILDE] = ACTIONS(2634),
    [anon_sym_BANG_TILDE] = ACTIONS(2634),
    [anon_sym_EQ_EQ] = ACTIONS(2636),
    [anon_sym_BANG_EQ] = ACTIONS(2634),
    [anon_sym_eq] = ACTIONS(2636),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2634),
    [anon_sym_equ] = ACTIONS(2634),
    [anon_sym_eqr] = ACTIONS(2634),
    [anon_sym_ne] = ACTIONS(2634),
    [anon_sym_LT_EQ_GT] = ACTIONS(2634),
    [anon_sym_cmp] = ACTIONS(2634),
    [anon_sym_TILDE_TILDE] = ACTIONS(2634),
    [anon_sym_LT] = ACTIONS(2636),
    [anon_sym_LT_EQ] = ACTIONS(2636),
    [anon_sym_GT_EQ] = ACTIONS(2634),
    [anon_sym_lt] = ACTIONS(2634),
    [anon_sym_le] = ACTIONS(2634),
    [anon_sym_ge] = ACTIONS(2634),
    [anon_sym_gt] = ACTIONS(2634),
    [anon_sym_isa] = ACTIONS(2634),
    [anon_sym_PLUS_PLUS] = ACTIONS(2634),
    [anon_sym_DASH_DASH] = ACTIONS(2634),
    [anon_sym_QMARK] = ACTIONS(2634),
    [anon_sym_EQ_GT] = ACTIONS(2634),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2634),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2203] = {
    [sym_heredoc_content] = STATE(2203),
    [anon_sym_RBRACE] = ACTIONS(3214),
    [anon_sym_COLON] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_RPAREN] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2204] = {
    [sym_heredoc_content] = STATE(2204),
    [anon_sym_RBRACE] = ACTIONS(3246),
    [anon_sym_COLON] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_RPAREN] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2205] = {
    [sym_heredoc_content] = STATE(2205),
    [anon_sym_RBRACE] = ACTIONS(3290),
    [anon_sym_COLON] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_RPAREN] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3290),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2206] = {
    [sym_heredoc_content] = STATE(2206),
    [anon_sym_RBRACE] = ACTIONS(2841),
    [anon_sym_COLON] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2207] = {
    [sym_heredoc_content] = STATE(2207),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_COLON] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2935),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2208] = {
    [sym_heredoc_content] = STATE(2208),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_COLON] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2209] = {
    [sym_heredoc_content] = STATE(2209),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_COLON] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_RPAREN] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_PERCENT] = ACTIONS(2958),
    [anon_sym_GT] = ACTIONS(2958),
    [anon_sym_LT_LT] = ACTIONS(2958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2958),
    [anon_sym_STAR_STAR] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2958),
    [anon_sym_SLASH_SLASH] = ACTIONS(2958),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_PIPE] = ACTIONS(2958),
    [anon_sym_CARET] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2958),
    [anon_sym_GT_GT2] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_DOT] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_x] = ACTIONS(2958),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2958),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2958),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_LT_EQ] = ACTIONS(2958),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2210] = {
    [sym_heredoc_content] = STATE(2210),
    [anon_sym_RBRACE] = ACTIONS(2969),
    [anon_sym_COLON] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2969),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(3911),
    [anon_sym_DASH_DASH] = ACTIONS(3911),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2211] = {
    [sym_heredoc_content] = STATE(2211),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_COLON] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2212] = {
    [sym_heredoc_content] = STATE(2212),
    [anon_sym_RBRACE] = ACTIONS(2980),
    [anon_sym_COLON] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(2980),
    [anon_sym_RPAREN] = ACTIONS(2980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2980),
    [anon_sym_DASH_GT] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_PERCENT] = ACTIONS(2982),
    [anon_sym_GT] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2982),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(2980),
    [anon_sym_DASH_EQ] = ACTIONS(2980),
    [anon_sym_DOT_EQ] = ACTIONS(2980),
    [anon_sym_STAR_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_PERCENT_EQ] = ACTIONS(2980),
    [anon_sym_x_EQ] = ACTIONS(2980),
    [anon_sym_AMP_EQ] = ACTIONS(2980),
    [anon_sym_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_CARET_EQ] = ACTIONS(2980),
    [anon_sym_LT_LT_EQ] = ACTIONS(2980),
    [anon_sym_GT_GT_EQ] = ACTIONS(2980),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2980),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_STAR_STAR] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_SLASH_SLASH] = ACTIONS(2982),
    [anon_sym_CARET_CARET] = ACTIONS(2980),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_PIPE] = ACTIONS(2982),
    [anon_sym_CARET] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2982),
    [anon_sym_GT_GT2] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_DOT] = ACTIONS(2982),
    [anon_sym_SLASH] = ACTIONS(2982),
    [anon_sym_x] = ACTIONS(2982),
    [anon_sym_EQ_TILDE] = ACTIONS(2980),
    [anon_sym_BANG_TILDE] = ACTIONS(2980),
    [anon_sym_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2980),
    [anon_sym_eq] = ACTIONS(2982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2980),
    [anon_sym_equ] = ACTIONS(2980),
    [anon_sym_eqr] = ACTIONS(2980),
    [anon_sym_ne] = ACTIONS(2980),
    [anon_sym_LT_EQ_GT] = ACTIONS(2980),
    [anon_sym_cmp] = ACTIONS(2980),
    [anon_sym_TILDE_TILDE] = ACTIONS(2980),
    [anon_sym_LT] = ACTIONS(2982),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2980),
    [anon_sym_lt] = ACTIONS(2980),
    [anon_sym_le] = ACTIONS(2980),
    [anon_sym_ge] = ACTIONS(2980),
    [anon_sym_gt] = ACTIONS(2980),
    [anon_sym_isa] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_QMARK] = ACTIONS(2980),
    [anon_sym_EQ_GT] = ACTIONS(2980),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2213] = {
    [sym_heredoc_content] = STATE(2213),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_COLON] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_RPAREN] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3018),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_x] = ACTIONS(3018),
    [anon_sym_EQ_TILDE] = ACTIONS(3016),
    [anon_sym_BANG_TILDE] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2214] = {
    [sym_heredoc_content] = STATE(2214),
    [aux_sym__term_rightward_repeat1] = STATE(2171),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3903),
    [anon_sym_RPAREN] = ACTIONS(2679),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(3903),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2215] = {
    [sym_heredoc_content] = STATE(2215),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_COLON] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_RPAREN] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2216] = {
    [sym_heredoc_content] = STATE(2216),
    [anon_sym_RBRACE] = ACTIONS(3022),
    [anon_sym_COLON] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_COMMA] = ACTIONS(3022),
    [anon_sym_RPAREN] = ACTIONS(3022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DASH_GT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3024),
    [anon_sym_PERCENT] = ACTIONS(3024),
    [anon_sym_GT] = ACTIONS(3024),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3022),
    [anon_sym_DASH_EQ] = ACTIONS(3022),
    [anon_sym_DOT_EQ] = ACTIONS(3022),
    [anon_sym_STAR_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_PERCENT_EQ] = ACTIONS(3022),
    [anon_sym_x_EQ] = ACTIONS(3022),
    [anon_sym_AMP_EQ] = ACTIONS(3022),
    [anon_sym_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_CARET_EQ] = ACTIONS(3022),
    [anon_sym_LT_LT_EQ] = ACTIONS(3022),
    [anon_sym_GT_GT_EQ] = ACTIONS(3022),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3022),
    [anon_sym_DOT_DOT] = ACTIONS(3024),
    [anon_sym_STAR_STAR] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_SLASH_SLASH] = ACTIONS(3024),
    [anon_sym_CARET_CARET] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_GT_GT2] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3024),
    [anon_sym_x] = ACTIONS(3024),
    [anon_sym_EQ_TILDE] = ACTIONS(3022),
    [anon_sym_BANG_TILDE] = ACTIONS(3022),
    [anon_sym_EQ_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_eq] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3022),
    [anon_sym_equ] = ACTIONS(3022),
    [anon_sym_eqr] = ACTIONS(3022),
    [anon_sym_ne] = ACTIONS(3022),
    [anon_sym_LT_EQ_GT] = ACTIONS(3022),
    [anon_sym_cmp] = ACTIONS(3022),
    [anon_sym_TILDE_TILDE] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3022),
    [anon_sym_lt] = ACTIONS(3022),
    [anon_sym_le] = ACTIONS(3022),
    [anon_sym_ge] = ACTIONS(3022),
    [anon_sym_gt] = ACTIONS(3022),
    [anon_sym_isa] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_EQ_GT] = ACTIONS(3022),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2217] = {
    [sym_heredoc_content] = STATE(2217),
    [anon_sym_RBRACE] = ACTIONS(3034),
    [anon_sym_COLON] = ACTIONS(3034),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_COMMA] = ACTIONS(3034),
    [anon_sym_RPAREN] = ACTIONS(3034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3034),
    [anon_sym_DASH_GT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_DOT_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_x_EQ] = ACTIONS(3034),
    [anon_sym_AMP_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_CARET_EQ] = ACTIONS(3034),
    [anon_sym_LT_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_GT_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_STAR_STAR] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH] = ACTIONS(3036),
    [anon_sym_CARET_CARET] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_GT_GT2] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_x] = ACTIONS(3036),
    [anon_sym_EQ_TILDE] = ACTIONS(3034),
    [anon_sym_BANG_TILDE] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ] = ACTIONS(3034),
    [anon_sym_eq] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_equ] = ACTIONS(3034),
    [anon_sym_eqr] = ACTIONS(3034),
    [anon_sym_ne] = ACTIONS(3034),
    [anon_sym_LT_EQ_GT] = ACTIONS(3034),
    [anon_sym_cmp] = ACTIONS(3034),
    [anon_sym_TILDE_TILDE] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_lt] = ACTIONS(3034),
    [anon_sym_le] = ACTIONS(3034),
    [anon_sym_ge] = ACTIONS(3034),
    [anon_sym_gt] = ACTIONS(3034),
    [anon_sym_isa] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_QMARK] = ACTIONS(3034),
    [anon_sym_EQ_GT] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2218] = {
    [sym_heredoc_content] = STATE(2218),
    [anon_sym_RBRACE] = ACTIONS(1973),
    [anon_sym_COLON] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1973),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2219] = {
    [sym_heredoc_content] = STATE(2219),
    [anon_sym_SEMI] = ACTIONS(2660),
    [anon_sym_EQ] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_COMMA] = ACTIONS(2660),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2660),
    [anon_sym_DASH_GT] = ACTIONS(2660),
    [anon_sym_STAR] = ACTIONS(2662),
    [anon_sym_PERCENT] = ACTIONS(2662),
    [anon_sym_GT] = ACTIONS(2662),
    [anon_sym_LT_LT] = ACTIONS(2662),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2660),
    [anon_sym_PLUS_EQ] = ACTIONS(2660),
    [anon_sym_DASH_EQ] = ACTIONS(2660),
    [anon_sym_DOT_EQ] = ACTIONS(2660),
    [anon_sym_STAR_EQ] = ACTIONS(2660),
    [anon_sym_SLASH_EQ] = ACTIONS(2660),
    [anon_sym_PERCENT_EQ] = ACTIONS(2660),
    [anon_sym_x_EQ] = ACTIONS(2662),
    [anon_sym_AMP_EQ] = ACTIONS(2660),
    [anon_sym_PIPE_EQ] = ACTIONS(2660),
    [anon_sym_CARET_EQ] = ACTIONS(2660),
    [anon_sym_LT_LT_EQ] = ACTIONS(2660),
    [anon_sym_GT_GT_EQ] = ACTIONS(2660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2660),
    [anon_sym_DOT_DOT] = ACTIONS(2662),
    [anon_sym_STAR_STAR] = ACTIONS(2662),
    [anon_sym_PIPE_PIPE] = ACTIONS(2662),
    [anon_sym_SLASH_SLASH] = ACTIONS(2662),
    [anon_sym_CARET_CARET] = ACTIONS(2660),
    [anon_sym_AMP_AMP] = ACTIONS(2662),
    [anon_sym_PIPE] = ACTIONS(2662),
    [anon_sym_CARET] = ACTIONS(2662),
    [anon_sym_AMP] = ACTIONS(2662),
    [anon_sym_GT_GT2] = ACTIONS(2662),
    [anon_sym_PLUS] = ACTIONS(2662),
    [anon_sym_DASH] = ACTIONS(2662),
    [anon_sym_DOT] = ACTIONS(2662),
    [anon_sym_SLASH] = ACTIONS(2662),
    [anon_sym_x] = ACTIONS(2662),
    [anon_sym_EQ_TILDE] = ACTIONS(2660),
    [anon_sym_BANG_TILDE] = ACTIONS(2660),
    [anon_sym_EQ_EQ] = ACTIONS(2662),
    [anon_sym_BANG_EQ] = ACTIONS(2660),
    [anon_sym_eq] = ACTIONS(2662),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2660),
    [anon_sym_equ] = ACTIONS(2660),
    [anon_sym_eqr] = ACTIONS(2660),
    [anon_sym_ne] = ACTIONS(2662),
    [anon_sym_LT_EQ_GT] = ACTIONS(2660),
    [anon_sym_cmp] = ACTIONS(2662),
    [anon_sym_TILDE_TILDE] = ACTIONS(2660),
    [anon_sym_LT] = ACTIONS(2662),
    [anon_sym_LT_EQ] = ACTIONS(2662),
    [anon_sym_GT_EQ] = ACTIONS(2660),
    [anon_sym_lt] = ACTIONS(2662),
    [anon_sym_le] = ACTIONS(2662),
    [anon_sym_ge] = ACTIONS(2662),
    [anon_sym_gt] = ACTIONS(2662),
    [anon_sym_isa] = ACTIONS(2662),
    [anon_sym_PLUS_PLUS] = ACTIONS(2660),
    [anon_sym_DASH_DASH] = ACTIONS(2660),
    [anon_sym_QMARK] = ACTIONS(2660),
    [anon_sym_EQ_GT] = ACTIONS(2660),
    [sym_comment] = ACTIONS(5),
    [sym_match_regexp_modifiers] = ACTIONS(3914),
    [sym__PERLY_SEMICOLON] = ACTIONS(2660),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2220] = {
    [sym_heredoc_content] = STATE(2220),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3916),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(3918),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3790),
    [anon_sym_CARET_CARET] = ACTIONS(3792),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2221] = {
    [sym_heredoc_content] = STATE(2221),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3158),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2222] = {
    [sym_heredoc_content] = STATE(2222),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym_EQ] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_COMMA] = ACTIONS(3142),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3142),
    [anon_sym_DASH_GT] = ACTIONS(3142),
    [anon_sym_STAR] = ACTIONS(3144),
    [anon_sym_PERCENT] = ACTIONS(3144),
    [anon_sym_GT] = ACTIONS(3144),
    [anon_sym_LT_LT] = ACTIONS(3144),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3142),
    [anon_sym_PLUS_EQ] = ACTIONS(3142),
    [anon_sym_DASH_EQ] = ACTIONS(3142),
    [anon_sym_DOT_EQ] = ACTIONS(3142),
    [anon_sym_STAR_EQ] = ACTIONS(3142),
    [anon_sym_SLASH_EQ] = ACTIONS(3142),
    [anon_sym_PERCENT_EQ] = ACTIONS(3142),
    [anon_sym_x_EQ] = ACTIONS(3142),
    [anon_sym_AMP_EQ] = ACTIONS(3142),
    [anon_sym_PIPE_EQ] = ACTIONS(3142),
    [anon_sym_CARET_EQ] = ACTIONS(3142),
    [anon_sym_LT_LT_EQ] = ACTIONS(3142),
    [anon_sym_GT_GT_EQ] = ACTIONS(3142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3142),
    [anon_sym_DOT_DOT] = ACTIONS(3144),
    [anon_sym_STAR_STAR] = ACTIONS(3144),
    [anon_sym_PIPE_PIPE] = ACTIONS(3144),
    [anon_sym_SLASH_SLASH] = ACTIONS(3144),
    [anon_sym_CARET_CARET] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3144),
    [anon_sym_PIPE] = ACTIONS(3144),
    [anon_sym_CARET] = ACTIONS(3144),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_GT_GT2] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_DOT] = ACTIONS(3144),
    [anon_sym_SLASH] = ACTIONS(3144),
    [anon_sym_x] = ACTIONS(3144),
    [anon_sym_EQ_TILDE] = ACTIONS(3142),
    [anon_sym_BANG_TILDE] = ACTIONS(3142),
    [anon_sym_EQ_EQ] = ACTIONS(3144),
    [anon_sym_BANG_EQ] = ACTIONS(3142),
    [anon_sym_eq] = ACTIONS(3144),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3142),
    [anon_sym_equ] = ACTIONS(3142),
    [anon_sym_eqr] = ACTIONS(3142),
    [anon_sym_ne] = ACTIONS(3142),
    [anon_sym_LT_EQ_GT] = ACTIONS(3142),
    [anon_sym_cmp] = ACTIONS(3142),
    [anon_sym_TILDE_TILDE] = ACTIONS(3142),
    [anon_sym_LT] = ACTIONS(3144),
    [anon_sym_LT_EQ] = ACTIONS(3144),
    [anon_sym_GT_EQ] = ACTIONS(3142),
    [anon_sym_lt] = ACTIONS(3142),
    [anon_sym_le] = ACTIONS(3142),
    [anon_sym_ge] = ACTIONS(3142),
    [anon_sym_gt] = ACTIONS(3142),
    [anon_sym_isa] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_QMARK] = ACTIONS(3142),
    [anon_sym_EQ_GT] = ACTIONS(3142),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3142),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2223] = {
    [sym_heredoc_content] = STATE(2223),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_COMMA] = ACTIONS(3162),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3162),
    [anon_sym_DASH_GT] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3164),
    [anon_sym_PERCENT] = ACTIONS(3164),
    [anon_sym_GT] = ACTIONS(3164),
    [anon_sym_LT_LT] = ACTIONS(3164),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3162),
    [anon_sym_PLUS_EQ] = ACTIONS(3162),
    [anon_sym_DASH_EQ] = ACTIONS(3162),
    [anon_sym_DOT_EQ] = ACTIONS(3162),
    [anon_sym_STAR_EQ] = ACTIONS(3162),
    [anon_sym_SLASH_EQ] = ACTIONS(3162),
    [anon_sym_PERCENT_EQ] = ACTIONS(3162),
    [anon_sym_x_EQ] = ACTIONS(3162),
    [anon_sym_AMP_EQ] = ACTIONS(3162),
    [anon_sym_PIPE_EQ] = ACTIONS(3162),
    [anon_sym_CARET_EQ] = ACTIONS(3162),
    [anon_sym_LT_LT_EQ] = ACTIONS(3162),
    [anon_sym_GT_GT_EQ] = ACTIONS(3162),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3162),
    [anon_sym_DOT_DOT] = ACTIONS(3164),
    [anon_sym_STAR_STAR] = ACTIONS(3164),
    [anon_sym_PIPE_PIPE] = ACTIONS(3164),
    [anon_sym_SLASH_SLASH] = ACTIONS(3164),
    [anon_sym_CARET_CARET] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3164),
    [anon_sym_PIPE] = ACTIONS(3164),
    [anon_sym_CARET] = ACTIONS(3164),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_GT_GT2] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_DOT] = ACTIONS(3164),
    [anon_sym_SLASH] = ACTIONS(3164),
    [anon_sym_x] = ACTIONS(3164),
    [anon_sym_EQ_TILDE] = ACTIONS(3162),
    [anon_sym_BANG_TILDE] = ACTIONS(3162),
    [anon_sym_EQ_EQ] = ACTIONS(3164),
    [anon_sym_BANG_EQ] = ACTIONS(3162),
    [anon_sym_eq] = ACTIONS(3164),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3162),
    [anon_sym_equ] = ACTIONS(3162),
    [anon_sym_eqr] = ACTIONS(3162),
    [anon_sym_ne] = ACTIONS(3162),
    [anon_sym_LT_EQ_GT] = ACTIONS(3162),
    [anon_sym_cmp] = ACTIONS(3162),
    [anon_sym_TILDE_TILDE] = ACTIONS(3162),
    [anon_sym_LT] = ACTIONS(3164),
    [anon_sym_LT_EQ] = ACTIONS(3164),
    [anon_sym_GT_EQ] = ACTIONS(3162),
    [anon_sym_lt] = ACTIONS(3162),
    [anon_sym_le] = ACTIONS(3162),
    [anon_sym_ge] = ACTIONS(3162),
    [anon_sym_gt] = ACTIONS(3162),
    [anon_sym_isa] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_QMARK] = ACTIONS(3162),
    [anon_sym_EQ_GT] = ACTIONS(3162),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3162),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2224] = {
    [sym_heredoc_content] = STATE(2224),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym_EQ] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_COMMA] = ACTIONS(3170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3170),
    [anon_sym_DASH_GT] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3172),
    [anon_sym_PERCENT] = ACTIONS(3172),
    [anon_sym_GT] = ACTIONS(3172),
    [anon_sym_LT_LT] = ACTIONS(3172),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3170),
    [anon_sym_PLUS_EQ] = ACTIONS(3170),
    [anon_sym_DASH_EQ] = ACTIONS(3170),
    [anon_sym_DOT_EQ] = ACTIONS(3170),
    [anon_sym_STAR_EQ] = ACTIONS(3170),
    [anon_sym_SLASH_EQ] = ACTIONS(3170),
    [anon_sym_PERCENT_EQ] = ACTIONS(3170),
    [anon_sym_x_EQ] = ACTIONS(3170),
    [anon_sym_AMP_EQ] = ACTIONS(3170),
    [anon_sym_PIPE_EQ] = ACTIONS(3170),
    [anon_sym_CARET_EQ] = ACTIONS(3170),
    [anon_sym_LT_LT_EQ] = ACTIONS(3170),
    [anon_sym_GT_GT_EQ] = ACTIONS(3170),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3170),
    [anon_sym_DOT_DOT] = ACTIONS(3172),
    [anon_sym_STAR_STAR] = ACTIONS(3172),
    [anon_sym_PIPE_PIPE] = ACTIONS(3172),
    [anon_sym_SLASH_SLASH] = ACTIONS(3172),
    [anon_sym_CARET_CARET] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3172),
    [anon_sym_PIPE] = ACTIONS(3172),
    [anon_sym_CARET] = ACTIONS(3172),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_GT_GT2] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_DOT] = ACTIONS(3172),
    [anon_sym_SLASH] = ACTIONS(3172),
    [anon_sym_x] = ACTIONS(3172),
    [anon_sym_EQ_TILDE] = ACTIONS(3170),
    [anon_sym_BANG_TILDE] = ACTIONS(3170),
    [anon_sym_EQ_EQ] = ACTIONS(3172),
    [anon_sym_BANG_EQ] = ACTIONS(3170),
    [anon_sym_eq] = ACTIONS(3172),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3170),
    [anon_sym_equ] = ACTIONS(3170),
    [anon_sym_eqr] = ACTIONS(3170),
    [anon_sym_ne] = ACTIONS(3170),
    [anon_sym_LT_EQ_GT] = ACTIONS(3170),
    [anon_sym_cmp] = ACTIONS(3170),
    [anon_sym_TILDE_TILDE] = ACTIONS(3170),
    [anon_sym_LT] = ACTIONS(3172),
    [anon_sym_LT_EQ] = ACTIONS(3172),
    [anon_sym_GT_EQ] = ACTIONS(3170),
    [anon_sym_lt] = ACTIONS(3170),
    [anon_sym_le] = ACTIONS(3170),
    [anon_sym_ge] = ACTIONS(3170),
    [anon_sym_gt] = ACTIONS(3170),
    [anon_sym_isa] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_QMARK] = ACTIONS(3170),
    [anon_sym_EQ_GT] = ACTIONS(3170),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3170),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2225] = {
    [sym_heredoc_content] = STATE(2225),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym_EQ] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_COMMA] = ACTIONS(3182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3182),
    [anon_sym_DASH_GT] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3184),
    [anon_sym_PERCENT] = ACTIONS(3184),
    [anon_sym_GT] = ACTIONS(3184),
    [anon_sym_LT_LT] = ACTIONS(3184),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3182),
    [anon_sym_PLUS_EQ] = ACTIONS(3182),
    [anon_sym_DASH_EQ] = ACTIONS(3182),
    [anon_sym_DOT_EQ] = ACTIONS(3182),
    [anon_sym_STAR_EQ] = ACTIONS(3182),
    [anon_sym_SLASH_EQ] = ACTIONS(3182),
    [anon_sym_PERCENT_EQ] = ACTIONS(3182),
    [anon_sym_x_EQ] = ACTIONS(3182),
    [anon_sym_AMP_EQ] = ACTIONS(3182),
    [anon_sym_PIPE_EQ] = ACTIONS(3182),
    [anon_sym_CARET_EQ] = ACTIONS(3182),
    [anon_sym_LT_LT_EQ] = ACTIONS(3182),
    [anon_sym_GT_GT_EQ] = ACTIONS(3182),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3182),
    [anon_sym_DOT_DOT] = ACTIONS(3184),
    [anon_sym_STAR_STAR] = ACTIONS(3184),
    [anon_sym_PIPE_PIPE] = ACTIONS(3184),
    [anon_sym_SLASH_SLASH] = ACTIONS(3184),
    [anon_sym_CARET_CARET] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3184),
    [anon_sym_PIPE] = ACTIONS(3184),
    [anon_sym_CARET] = ACTIONS(3184),
    [anon_sym_AMP] = ACTIONS(3184),
    [anon_sym_GT_GT2] = ACTIONS(3184),
    [anon_sym_PLUS] = ACTIONS(3184),
    [anon_sym_DASH] = ACTIONS(3184),
    [anon_sym_DOT] = ACTIONS(3184),
    [anon_sym_SLASH] = ACTIONS(3184),
    [anon_sym_x] = ACTIONS(3184),
    [anon_sym_EQ_TILDE] = ACTIONS(3182),
    [anon_sym_BANG_TILDE] = ACTIONS(3182),
    [anon_sym_EQ_EQ] = ACTIONS(3184),
    [anon_sym_BANG_EQ] = ACTIONS(3182),
    [anon_sym_eq] = ACTIONS(3184),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3182),
    [anon_sym_equ] = ACTIONS(3182),
    [anon_sym_eqr] = ACTIONS(3182),
    [anon_sym_ne] = ACTIONS(3182),
    [anon_sym_LT_EQ_GT] = ACTIONS(3182),
    [anon_sym_cmp] = ACTIONS(3182),
    [anon_sym_TILDE_TILDE] = ACTIONS(3182),
    [anon_sym_LT] = ACTIONS(3184),
    [anon_sym_LT_EQ] = ACTIONS(3184),
    [anon_sym_GT_EQ] = ACTIONS(3182),
    [anon_sym_lt] = ACTIONS(3182),
    [anon_sym_le] = ACTIONS(3182),
    [anon_sym_ge] = ACTIONS(3182),
    [anon_sym_gt] = ACTIONS(3182),
    [anon_sym_isa] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_QMARK] = ACTIONS(3182),
    [anon_sym_EQ_GT] = ACTIONS(3182),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3182),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2226] = {
    [sym_heredoc_content] = STATE(2226),
    [anon_sym_SEMI] = ACTIONS(3194),
    [anon_sym_EQ] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_COMMA] = ACTIONS(3194),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3194),
    [anon_sym_DASH_GT] = ACTIONS(3194),
    [anon_sym_STAR] = ACTIONS(3196),
    [anon_sym_PERCENT] = ACTIONS(3196),
    [anon_sym_GT] = ACTIONS(3196),
    [anon_sym_LT_LT] = ACTIONS(3196),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3194),
    [anon_sym_PLUS_EQ] = ACTIONS(3194),
    [anon_sym_DASH_EQ] = ACTIONS(3194),
    [anon_sym_DOT_EQ] = ACTIONS(3194),
    [anon_sym_STAR_EQ] = ACTIONS(3194),
    [anon_sym_SLASH_EQ] = ACTIONS(3194),
    [anon_sym_PERCENT_EQ] = ACTIONS(3194),
    [anon_sym_x_EQ] = ACTIONS(3194),
    [anon_sym_AMP_EQ] = ACTIONS(3194),
    [anon_sym_PIPE_EQ] = ACTIONS(3194),
    [anon_sym_CARET_EQ] = ACTIONS(3194),
    [anon_sym_LT_LT_EQ] = ACTIONS(3194),
    [anon_sym_GT_GT_EQ] = ACTIONS(3194),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3194),
    [anon_sym_DOT_DOT] = ACTIONS(3196),
    [anon_sym_STAR_STAR] = ACTIONS(3196),
    [anon_sym_PIPE_PIPE] = ACTIONS(3196),
    [anon_sym_SLASH_SLASH] = ACTIONS(3196),
    [anon_sym_CARET_CARET] = ACTIONS(3194),
    [anon_sym_AMP_AMP] = ACTIONS(3196),
    [anon_sym_PIPE] = ACTIONS(3196),
    [anon_sym_CARET] = ACTIONS(3196),
    [anon_sym_AMP] = ACTIONS(3196),
    [anon_sym_GT_GT2] = ACTIONS(3196),
    [anon_sym_PLUS] = ACTIONS(3196),
    [anon_sym_DASH] = ACTIONS(3196),
    [anon_sym_DOT] = ACTIONS(3196),
    [anon_sym_SLASH] = ACTIONS(3196),
    [anon_sym_x] = ACTIONS(3196),
    [anon_sym_EQ_TILDE] = ACTIONS(3194),
    [anon_sym_BANG_TILDE] = ACTIONS(3194),
    [anon_sym_EQ_EQ] = ACTIONS(3196),
    [anon_sym_BANG_EQ] = ACTIONS(3194),
    [anon_sym_eq] = ACTIONS(3196),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3194),
    [anon_sym_equ] = ACTIONS(3194),
    [anon_sym_eqr] = ACTIONS(3194),
    [anon_sym_ne] = ACTIONS(3194),
    [anon_sym_LT_EQ_GT] = ACTIONS(3194),
    [anon_sym_cmp] = ACTIONS(3194),
    [anon_sym_TILDE_TILDE] = ACTIONS(3194),
    [anon_sym_LT] = ACTIONS(3196),
    [anon_sym_LT_EQ] = ACTIONS(3196),
    [anon_sym_GT_EQ] = ACTIONS(3194),
    [anon_sym_lt] = ACTIONS(3194),
    [anon_sym_le] = ACTIONS(3194),
    [anon_sym_ge] = ACTIONS(3194),
    [anon_sym_gt] = ACTIONS(3194),
    [anon_sym_isa] = ACTIONS(3194),
    [anon_sym_PLUS_PLUS] = ACTIONS(3194),
    [anon_sym_DASH_DASH] = ACTIONS(3194),
    [anon_sym_QMARK] = ACTIONS(3194),
    [anon_sym_EQ_GT] = ACTIONS(3194),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3194),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2227] = {
    [sym_heredoc_content] = STATE(2227),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym_EQ] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_COMMA] = ACTIONS(2939),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2939),
    [anon_sym_DASH_GT] = ACTIONS(2939),
    [anon_sym_STAR] = ACTIONS(2941),
    [anon_sym_PERCENT] = ACTIONS(2941),
    [anon_sym_GT] = ACTIONS(2941),
    [anon_sym_LT_LT] = ACTIONS(2941),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2939),
    [anon_sym_PLUS_EQ] = ACTIONS(2939),
    [anon_sym_DASH_EQ] = ACTIONS(2939),
    [anon_sym_DOT_EQ] = ACTIONS(2939),
    [anon_sym_STAR_EQ] = ACTIONS(2939),
    [anon_sym_SLASH_EQ] = ACTIONS(2939),
    [anon_sym_PERCENT_EQ] = ACTIONS(2939),
    [anon_sym_x_EQ] = ACTIONS(2939),
    [anon_sym_AMP_EQ] = ACTIONS(2939),
    [anon_sym_PIPE_EQ] = ACTIONS(2939),
    [anon_sym_CARET_EQ] = ACTIONS(2939),
    [anon_sym_LT_LT_EQ] = ACTIONS(2939),
    [anon_sym_GT_GT_EQ] = ACTIONS(2939),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2939),
    [anon_sym_DOT_DOT] = ACTIONS(2941),
    [anon_sym_STAR_STAR] = ACTIONS(2941),
    [anon_sym_PIPE_PIPE] = ACTIONS(2941),
    [anon_sym_SLASH_SLASH] = ACTIONS(2941),
    [anon_sym_CARET_CARET] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2941),
    [anon_sym_PIPE] = ACTIONS(2941),
    [anon_sym_CARET] = ACTIONS(2941),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_GT_GT2] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_DOT] = ACTIONS(2941),
    [anon_sym_SLASH] = ACTIONS(2941),
    [anon_sym_x] = ACTIONS(2941),
    [anon_sym_EQ_TILDE] = ACTIONS(2939),
    [anon_sym_BANG_TILDE] = ACTIONS(2939),
    [anon_sym_EQ_EQ] = ACTIONS(2941),
    [anon_sym_BANG_EQ] = ACTIONS(2939),
    [anon_sym_eq] = ACTIONS(2941),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2939),
    [anon_sym_equ] = ACTIONS(2939),
    [anon_sym_eqr] = ACTIONS(2939),
    [anon_sym_ne] = ACTIONS(2939),
    [anon_sym_LT_EQ_GT] = ACTIONS(2939),
    [anon_sym_cmp] = ACTIONS(2939),
    [anon_sym_TILDE_TILDE] = ACTIONS(2939),
    [anon_sym_LT] = ACTIONS(2941),
    [anon_sym_LT_EQ] = ACTIONS(2941),
    [anon_sym_GT_EQ] = ACTIONS(2939),
    [anon_sym_lt] = ACTIONS(2939),
    [anon_sym_le] = ACTIONS(2939),
    [anon_sym_ge] = ACTIONS(2939),
    [anon_sym_gt] = ACTIONS(2939),
    [anon_sym_isa] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2939),
    [anon_sym_EQ_GT] = ACTIONS(2939),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2939),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2228] = {
    [sym_heredoc_content] = STATE(2228),
    [anon_sym_SEMI] = ACTIONS(3206),
    [anon_sym_EQ] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_COMMA] = ACTIONS(3206),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3206),
    [anon_sym_DASH_GT] = ACTIONS(3206),
    [anon_sym_STAR] = ACTIONS(3208),
    [anon_sym_PERCENT] = ACTIONS(3208),
    [anon_sym_GT] = ACTIONS(3208),
    [anon_sym_LT_LT] = ACTIONS(3208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3206),
    [anon_sym_PLUS_EQ] = ACTIONS(3206),
    [anon_sym_DASH_EQ] = ACTIONS(3206),
    [anon_sym_DOT_EQ] = ACTIONS(3206),
    [anon_sym_STAR_EQ] = ACTIONS(3206),
    [anon_sym_SLASH_EQ] = ACTIONS(3206),
    [anon_sym_PERCENT_EQ] = ACTIONS(3206),
    [anon_sym_x_EQ] = ACTIONS(3206),
    [anon_sym_AMP_EQ] = ACTIONS(3206),
    [anon_sym_PIPE_EQ] = ACTIONS(3206),
    [anon_sym_CARET_EQ] = ACTIONS(3206),
    [anon_sym_LT_LT_EQ] = ACTIONS(3206),
    [anon_sym_GT_GT_EQ] = ACTIONS(3206),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3206),
    [anon_sym_DOT_DOT] = ACTIONS(3208),
    [anon_sym_STAR_STAR] = ACTIONS(3208),
    [anon_sym_PIPE_PIPE] = ACTIONS(3208),
    [anon_sym_SLASH_SLASH] = ACTIONS(3208),
    [anon_sym_CARET_CARET] = ACTIONS(3206),
    [anon_sym_AMP_AMP] = ACTIONS(3208),
    [anon_sym_PIPE] = ACTIONS(3208),
    [anon_sym_CARET] = ACTIONS(3208),
    [anon_sym_AMP] = ACTIONS(3208),
    [anon_sym_GT_GT2] = ACTIONS(3208),
    [anon_sym_PLUS] = ACTIONS(3208),
    [anon_sym_DASH] = ACTIONS(3208),
    [anon_sym_DOT] = ACTIONS(3208),
    [anon_sym_SLASH] = ACTIONS(3208),
    [anon_sym_x] = ACTIONS(3208),
    [anon_sym_EQ_TILDE] = ACTIONS(3206),
    [anon_sym_BANG_TILDE] = ACTIONS(3206),
    [anon_sym_EQ_EQ] = ACTIONS(3208),
    [anon_sym_BANG_EQ] = ACTIONS(3206),
    [anon_sym_eq] = ACTIONS(3208),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3206),
    [anon_sym_equ] = ACTIONS(3206),
    [anon_sym_eqr] = ACTIONS(3206),
    [anon_sym_ne] = ACTIONS(3206),
    [anon_sym_LT_EQ_GT] = ACTIONS(3206),
    [anon_sym_cmp] = ACTIONS(3206),
    [anon_sym_TILDE_TILDE] = ACTIONS(3206),
    [anon_sym_LT] = ACTIONS(3208),
    [anon_sym_LT_EQ] = ACTIONS(3208),
    [anon_sym_GT_EQ] = ACTIONS(3206),
    [anon_sym_lt] = ACTIONS(3206),
    [anon_sym_le] = ACTIONS(3206),
    [anon_sym_ge] = ACTIONS(3206),
    [anon_sym_gt] = ACTIONS(3206),
    [anon_sym_isa] = ACTIONS(3206),
    [anon_sym_PLUS_PLUS] = ACTIONS(3206),
    [anon_sym_DASH_DASH] = ACTIONS(3206),
    [anon_sym_QMARK] = ACTIONS(3206),
    [anon_sym_EQ_GT] = ACTIONS(3206),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3206),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2229] = {
    [sym_heredoc_content] = STATE(2229),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_STAR] = ACTIONS(3224),
    [anon_sym_PERCENT] = ACTIONS(3224),
    [anon_sym_GT] = ACTIONS(3224),
    [anon_sym_LT_LT] = ACTIONS(3224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3222),
    [anon_sym_PLUS_EQ] = ACTIONS(3222),
    [anon_sym_DASH_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_STAR_EQ] = ACTIONS(3222),
    [anon_sym_SLASH_EQ] = ACTIONS(3222),
    [anon_sym_PERCENT_EQ] = ACTIONS(3222),
    [anon_sym_x_EQ] = ACTIONS(3222),
    [anon_sym_AMP_EQ] = ACTIONS(3222),
    [anon_sym_PIPE_EQ] = ACTIONS(3222),
    [anon_sym_CARET_EQ] = ACTIONS(3222),
    [anon_sym_LT_LT_EQ] = ACTIONS(3222),
    [anon_sym_GT_GT_EQ] = ACTIONS(3222),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3222),
    [anon_sym_DOT_DOT] = ACTIONS(3224),
    [anon_sym_STAR_STAR] = ACTIONS(3224),
    [anon_sym_PIPE_PIPE] = ACTIONS(3224),
    [anon_sym_SLASH_SLASH] = ACTIONS(3224),
    [anon_sym_CARET_CARET] = ACTIONS(3222),
    [anon_sym_AMP_AMP] = ACTIONS(3224),
    [anon_sym_PIPE] = ACTIONS(3224),
    [anon_sym_CARET] = ACTIONS(3224),
    [anon_sym_AMP] = ACTIONS(3224),
    [anon_sym_GT_GT2] = ACTIONS(3224),
    [anon_sym_PLUS] = ACTIONS(3224),
    [anon_sym_DASH] = ACTIONS(3224),
    [anon_sym_DOT] = ACTIONS(3224),
    [anon_sym_SLASH] = ACTIONS(3224),
    [anon_sym_x] = ACTIONS(3224),
    [anon_sym_EQ_TILDE] = ACTIONS(3222),
    [anon_sym_BANG_TILDE] = ACTIONS(3222),
    [anon_sym_EQ_EQ] = ACTIONS(3224),
    [anon_sym_BANG_EQ] = ACTIONS(3222),
    [anon_sym_eq] = ACTIONS(3224),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3222),
    [anon_sym_equ] = ACTIONS(3222),
    [anon_sym_eqr] = ACTIONS(3222),
    [anon_sym_ne] = ACTIONS(3222),
    [anon_sym_LT_EQ_GT] = ACTIONS(3222),
    [anon_sym_cmp] = ACTIONS(3222),
    [anon_sym_TILDE_TILDE] = ACTIONS(3222),
    [anon_sym_LT] = ACTIONS(3224),
    [anon_sym_LT_EQ] = ACTIONS(3224),
    [anon_sym_GT_EQ] = ACTIONS(3222),
    [anon_sym_lt] = ACTIONS(3222),
    [anon_sym_le] = ACTIONS(3222),
    [anon_sym_ge] = ACTIONS(3222),
    [anon_sym_gt] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_PLUS_PLUS] = ACTIONS(3222),
    [anon_sym_DASH_DASH] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_EQ_GT] = ACTIONS(3222),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3222),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2230] = {
    [sym_heredoc_content] = STATE(2230),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_STAR] = ACTIONS(3228),
    [anon_sym_PERCENT] = ACTIONS(3228),
    [anon_sym_GT] = ACTIONS(3228),
    [anon_sym_LT_LT] = ACTIONS(3228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3226),
    [anon_sym_PLUS_EQ] = ACTIONS(3226),
    [anon_sym_DASH_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3226),
    [anon_sym_STAR_EQ] = ACTIONS(3226),
    [anon_sym_SLASH_EQ] = ACTIONS(3226),
    [anon_sym_PERCENT_EQ] = ACTIONS(3226),
    [anon_sym_x_EQ] = ACTIONS(3226),
    [anon_sym_AMP_EQ] = ACTIONS(3226),
    [anon_sym_PIPE_EQ] = ACTIONS(3226),
    [anon_sym_CARET_EQ] = ACTIONS(3226),
    [anon_sym_LT_LT_EQ] = ACTIONS(3226),
    [anon_sym_GT_GT_EQ] = ACTIONS(3226),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3226),
    [anon_sym_DOT_DOT] = ACTIONS(3228),
    [anon_sym_STAR_STAR] = ACTIONS(3228),
    [anon_sym_PIPE_PIPE] = ACTIONS(3228),
    [anon_sym_SLASH_SLASH] = ACTIONS(3228),
    [anon_sym_CARET_CARET] = ACTIONS(3226),
    [anon_sym_AMP_AMP] = ACTIONS(3228),
    [anon_sym_PIPE] = ACTIONS(3228),
    [anon_sym_CARET] = ACTIONS(3228),
    [anon_sym_AMP] = ACTIONS(3228),
    [anon_sym_GT_GT2] = ACTIONS(3228),
    [anon_sym_PLUS] = ACTIONS(3228),
    [anon_sym_DASH] = ACTIONS(3228),
    [anon_sym_DOT] = ACTIONS(3228),
    [anon_sym_SLASH] = ACTIONS(3228),
    [anon_sym_x] = ACTIONS(3228),
    [anon_sym_EQ_TILDE] = ACTIONS(3226),
    [anon_sym_BANG_TILDE] = ACTIONS(3226),
    [anon_sym_EQ_EQ] = ACTIONS(3228),
    [anon_sym_BANG_EQ] = ACTIONS(3226),
    [anon_sym_eq] = ACTIONS(3228),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3226),
    [anon_sym_equ] = ACTIONS(3226),
    [anon_sym_eqr] = ACTIONS(3226),
    [anon_sym_ne] = ACTIONS(3226),
    [anon_sym_LT_EQ_GT] = ACTIONS(3226),
    [anon_sym_cmp] = ACTIONS(3226),
    [anon_sym_TILDE_TILDE] = ACTIONS(3226),
    [anon_sym_LT] = ACTIONS(3228),
    [anon_sym_LT_EQ] = ACTIONS(3228),
    [anon_sym_GT_EQ] = ACTIONS(3226),
    [anon_sym_lt] = ACTIONS(3226),
    [anon_sym_le] = ACTIONS(3226),
    [anon_sym_ge] = ACTIONS(3226),
    [anon_sym_gt] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3226),
    [anon_sym_PLUS_PLUS] = ACTIONS(3226),
    [anon_sym_DASH_DASH] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_EQ_GT] = ACTIONS(3226),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3226),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2231] = {
    [sym_heredoc_content] = STATE(2231),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_EQ] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_COMMA] = ACTIONS(3230),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3230),
    [anon_sym_DASH_GT] = ACTIONS(3230),
    [anon_sym_STAR] = ACTIONS(3232),
    [anon_sym_PERCENT] = ACTIONS(3232),
    [anon_sym_GT] = ACTIONS(3232),
    [anon_sym_LT_LT] = ACTIONS(3232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3230),
    [anon_sym_PLUS_EQ] = ACTIONS(3230),
    [anon_sym_DASH_EQ] = ACTIONS(3230),
    [anon_sym_DOT_EQ] = ACTIONS(3230),
    [anon_sym_STAR_EQ] = ACTIONS(3230),
    [anon_sym_SLASH_EQ] = ACTIONS(3230),
    [anon_sym_PERCENT_EQ] = ACTIONS(3230),
    [anon_sym_x_EQ] = ACTIONS(3230),
    [anon_sym_AMP_EQ] = ACTIONS(3230),
    [anon_sym_PIPE_EQ] = ACTIONS(3230),
    [anon_sym_CARET_EQ] = ACTIONS(3230),
    [anon_sym_LT_LT_EQ] = ACTIONS(3230),
    [anon_sym_GT_GT_EQ] = ACTIONS(3230),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3230),
    [anon_sym_DOT_DOT] = ACTIONS(3232),
    [anon_sym_STAR_STAR] = ACTIONS(3232),
    [anon_sym_PIPE_PIPE] = ACTIONS(3232),
    [anon_sym_SLASH_SLASH] = ACTIONS(3232),
    [anon_sym_CARET_CARET] = ACTIONS(3230),
    [anon_sym_AMP_AMP] = ACTIONS(3232),
    [anon_sym_PIPE] = ACTIONS(3232),
    [anon_sym_CARET] = ACTIONS(3232),
    [anon_sym_AMP] = ACTIONS(3232),
    [anon_sym_GT_GT2] = ACTIONS(3232),
    [anon_sym_PLUS] = ACTIONS(3232),
    [anon_sym_DASH] = ACTIONS(3232),
    [anon_sym_DOT] = ACTIONS(3232),
    [anon_sym_SLASH] = ACTIONS(3232),
    [anon_sym_x] = ACTIONS(3232),
    [anon_sym_EQ_TILDE] = ACTIONS(3230),
    [anon_sym_BANG_TILDE] = ACTIONS(3230),
    [anon_sym_EQ_EQ] = ACTIONS(3232),
    [anon_sym_BANG_EQ] = ACTIONS(3230),
    [anon_sym_eq] = ACTIONS(3232),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3230),
    [anon_sym_equ] = ACTIONS(3230),
    [anon_sym_eqr] = ACTIONS(3230),
    [anon_sym_ne] = ACTIONS(3230),
    [anon_sym_LT_EQ_GT] = ACTIONS(3230),
    [anon_sym_cmp] = ACTIONS(3230),
    [anon_sym_TILDE_TILDE] = ACTIONS(3230),
    [anon_sym_LT] = ACTIONS(3232),
    [anon_sym_LT_EQ] = ACTIONS(3232),
    [anon_sym_GT_EQ] = ACTIONS(3230),
    [anon_sym_lt] = ACTIONS(3230),
    [anon_sym_le] = ACTIONS(3230),
    [anon_sym_ge] = ACTIONS(3230),
    [anon_sym_gt] = ACTIONS(3230),
    [anon_sym_isa] = ACTIONS(3230),
    [anon_sym_PLUS_PLUS] = ACTIONS(3230),
    [anon_sym_DASH_DASH] = ACTIONS(3230),
    [anon_sym_QMARK] = ACTIONS(3230),
    [anon_sym_EQ_GT] = ACTIONS(3230),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3230),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2232] = {
    [sym_heredoc_content] = STATE(2232),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3772),
    [anon_sym_PLUS_EQ] = ACTIONS(3772),
    [anon_sym_DASH_EQ] = ACTIONS(3772),
    [anon_sym_DOT_EQ] = ACTIONS(3772),
    [anon_sym_STAR_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_PERCENT_EQ] = ACTIONS(3772),
    [anon_sym_x_EQ] = ACTIONS(3772),
    [anon_sym_AMP_EQ] = ACTIONS(3772),
    [anon_sym_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_CARET_EQ] = ACTIONS(3772),
    [anon_sym_LT_LT_EQ] = ACTIONS(3772),
    [anon_sym_GT_GT_EQ] = ACTIONS(3772),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3772),
    [anon_sym_DOT_DOT] = ACTIONS(3786),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3790),
    [anon_sym_CARET_CARET] = ACTIONS(3792),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3816),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3174),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2233] = {
    [sym_heredoc_content] = STATE(2233),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym_EQ] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_COMMA] = ACTIONS(3178),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3178),
    [anon_sym_DASH_GT] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3180),
    [anon_sym_PERCENT] = ACTIONS(3180),
    [anon_sym_GT] = ACTIONS(3180),
    [anon_sym_LT_LT] = ACTIONS(3180),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3178),
    [anon_sym_PLUS_EQ] = ACTIONS(3178),
    [anon_sym_DASH_EQ] = ACTIONS(3178),
    [anon_sym_DOT_EQ] = ACTIONS(3178),
    [anon_sym_STAR_EQ] = ACTIONS(3178),
    [anon_sym_SLASH_EQ] = ACTIONS(3178),
    [anon_sym_PERCENT_EQ] = ACTIONS(3178),
    [anon_sym_x_EQ] = ACTIONS(3178),
    [anon_sym_AMP_EQ] = ACTIONS(3178),
    [anon_sym_PIPE_EQ] = ACTIONS(3178),
    [anon_sym_CARET_EQ] = ACTIONS(3178),
    [anon_sym_LT_LT_EQ] = ACTIONS(3178),
    [anon_sym_GT_GT_EQ] = ACTIONS(3178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3178),
    [anon_sym_DOT_DOT] = ACTIONS(3180),
    [anon_sym_STAR_STAR] = ACTIONS(3180),
    [anon_sym_PIPE_PIPE] = ACTIONS(3180),
    [anon_sym_SLASH_SLASH] = ACTIONS(3180),
    [anon_sym_CARET_CARET] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3180),
    [anon_sym_PIPE] = ACTIONS(3180),
    [anon_sym_CARET] = ACTIONS(3180),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_GT_GT2] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_DOT] = ACTIONS(3180),
    [anon_sym_SLASH] = ACTIONS(3180),
    [anon_sym_x] = ACTIONS(3180),
    [anon_sym_EQ_TILDE] = ACTIONS(3178),
    [anon_sym_BANG_TILDE] = ACTIONS(3178),
    [anon_sym_EQ_EQ] = ACTIONS(3180),
    [anon_sym_BANG_EQ] = ACTIONS(3178),
    [anon_sym_eq] = ACTIONS(3180),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3178),
    [anon_sym_equ] = ACTIONS(3178),
    [anon_sym_eqr] = ACTIONS(3178),
    [anon_sym_ne] = ACTIONS(3178),
    [anon_sym_LT_EQ_GT] = ACTIONS(3178),
    [anon_sym_cmp] = ACTIONS(3178),
    [anon_sym_TILDE_TILDE] = ACTIONS(3178),
    [anon_sym_LT] = ACTIONS(3180),
    [anon_sym_LT_EQ] = ACTIONS(3180),
    [anon_sym_GT_EQ] = ACTIONS(3178),
    [anon_sym_lt] = ACTIONS(3178),
    [anon_sym_le] = ACTIONS(3178),
    [anon_sym_ge] = ACTIONS(3178),
    [anon_sym_gt] = ACTIONS(3178),
    [anon_sym_isa] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_QMARK] = ACTIONS(3178),
    [anon_sym_EQ_GT] = ACTIONS(3178),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3178),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2234] = {
    [sym_heredoc_content] = STATE(2234),
    [anon_sym_SEMI] = ACTIONS(3242),
    [anon_sym_EQ] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_COMMA] = ACTIONS(3242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3242),
    [anon_sym_DASH_GT] = ACTIONS(3242),
    [anon_sym_STAR] = ACTIONS(3244),
    [anon_sym_PERCENT] = ACTIONS(3244),
    [anon_sym_GT] = ACTIONS(3244),
    [anon_sym_LT_LT] = ACTIONS(3244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3242),
    [anon_sym_PLUS_EQ] = ACTIONS(3242),
    [anon_sym_DASH_EQ] = ACTIONS(3242),
    [anon_sym_DOT_EQ] = ACTIONS(3242),
    [anon_sym_STAR_EQ] = ACTIONS(3242),
    [anon_sym_SLASH_EQ] = ACTIONS(3242),
    [anon_sym_PERCENT_EQ] = ACTIONS(3242),
    [anon_sym_x_EQ] = ACTIONS(3242),
    [anon_sym_AMP_EQ] = ACTIONS(3242),
    [anon_sym_PIPE_EQ] = ACTIONS(3242),
    [anon_sym_CARET_EQ] = ACTIONS(3242),
    [anon_sym_LT_LT_EQ] = ACTIONS(3242),
    [anon_sym_GT_GT_EQ] = ACTIONS(3242),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3242),
    [anon_sym_DOT_DOT] = ACTIONS(3244),
    [anon_sym_STAR_STAR] = ACTIONS(3244),
    [anon_sym_PIPE_PIPE] = ACTIONS(3244),
    [anon_sym_SLASH_SLASH] = ACTIONS(3244),
    [anon_sym_CARET_CARET] = ACTIONS(3242),
    [anon_sym_AMP_AMP] = ACTIONS(3244),
    [anon_sym_PIPE] = ACTIONS(3244),
    [anon_sym_CARET] = ACTIONS(3244),
    [anon_sym_AMP] = ACTIONS(3244),
    [anon_sym_GT_GT2] = ACTIONS(3244),
    [anon_sym_PLUS] = ACTIONS(3244),
    [anon_sym_DASH] = ACTIONS(3244),
    [anon_sym_DOT] = ACTIONS(3244),
    [anon_sym_SLASH] = ACTIONS(3244),
    [anon_sym_x] = ACTIONS(3244),
    [anon_sym_EQ_TILDE] = ACTIONS(3242),
    [anon_sym_BANG_TILDE] = ACTIONS(3242),
    [anon_sym_EQ_EQ] = ACTIONS(3244),
    [anon_sym_BANG_EQ] = ACTIONS(3242),
    [anon_sym_eq] = ACTIONS(3244),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3242),
    [anon_sym_equ] = ACTIONS(3242),
    [anon_sym_eqr] = ACTIONS(3242),
    [anon_sym_ne] = ACTIONS(3242),
    [anon_sym_LT_EQ_GT] = ACTIONS(3242),
    [anon_sym_cmp] = ACTIONS(3242),
    [anon_sym_TILDE_TILDE] = ACTIONS(3242),
    [anon_sym_LT] = ACTIONS(3244),
    [anon_sym_LT_EQ] = ACTIONS(3244),
    [anon_sym_GT_EQ] = ACTIONS(3242),
    [anon_sym_lt] = ACTIONS(3242),
    [anon_sym_le] = ACTIONS(3242),
    [anon_sym_ge] = ACTIONS(3242),
    [anon_sym_gt] = ACTIONS(3242),
    [anon_sym_isa] = ACTIONS(3242),
    [anon_sym_PLUS_PLUS] = ACTIONS(3242),
    [anon_sym_DASH_DASH] = ACTIONS(3242),
    [anon_sym_QMARK] = ACTIONS(3242),
    [anon_sym_EQ_GT] = ACTIONS(3242),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3242),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2235] = {
    [sym_heredoc_content] = STATE(2235),
    [anon_sym_SEMI] = ACTIONS(3186),
    [anon_sym_EQ] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_COMMA] = ACTIONS(3186),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3186),
    [anon_sym_DASH_GT] = ACTIONS(3186),
    [anon_sym_STAR] = ACTIONS(3188),
    [anon_sym_PERCENT] = ACTIONS(3188),
    [anon_sym_GT] = ACTIONS(3188),
    [anon_sym_LT_LT] = ACTIONS(3188),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3186),
    [anon_sym_PLUS_EQ] = ACTIONS(3186),
    [anon_sym_DASH_EQ] = ACTIONS(3186),
    [anon_sym_DOT_EQ] = ACTIONS(3186),
    [anon_sym_STAR_EQ] = ACTIONS(3186),
    [anon_sym_SLASH_EQ] = ACTIONS(3186),
    [anon_sym_PERCENT_EQ] = ACTIONS(3186),
    [anon_sym_x_EQ] = ACTIONS(3186),
    [anon_sym_AMP_EQ] = ACTIONS(3186),
    [anon_sym_PIPE_EQ] = ACTIONS(3186),
    [anon_sym_CARET_EQ] = ACTIONS(3186),
    [anon_sym_LT_LT_EQ] = ACTIONS(3186),
    [anon_sym_GT_GT_EQ] = ACTIONS(3186),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3186),
    [anon_sym_DOT_DOT] = ACTIONS(3188),
    [anon_sym_STAR_STAR] = ACTIONS(3188),
    [anon_sym_PIPE_PIPE] = ACTIONS(3188),
    [anon_sym_SLASH_SLASH] = ACTIONS(3188),
    [anon_sym_CARET_CARET] = ACTIONS(3186),
    [anon_sym_AMP_AMP] = ACTIONS(3188),
    [anon_sym_PIPE] = ACTIONS(3188),
    [anon_sym_CARET] = ACTIONS(3188),
    [anon_sym_AMP] = ACTIONS(3188),
    [anon_sym_GT_GT2] = ACTIONS(3188),
    [anon_sym_PLUS] = ACTIONS(3188),
    [anon_sym_DASH] = ACTIONS(3188),
    [anon_sym_DOT] = ACTIONS(3188),
    [anon_sym_SLASH] = ACTIONS(3188),
    [anon_sym_x] = ACTIONS(3188),
    [anon_sym_EQ_TILDE] = ACTIONS(3186),
    [anon_sym_BANG_TILDE] = ACTIONS(3186),
    [anon_sym_EQ_EQ] = ACTIONS(3188),
    [anon_sym_BANG_EQ] = ACTIONS(3186),
    [anon_sym_eq] = ACTIONS(3188),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3186),
    [anon_sym_equ] = ACTIONS(3186),
    [anon_sym_eqr] = ACTIONS(3186),
    [anon_sym_ne] = ACTIONS(3186),
    [anon_sym_LT_EQ_GT] = ACTIONS(3186),
    [anon_sym_cmp] = ACTIONS(3186),
    [anon_sym_TILDE_TILDE] = ACTIONS(3186),
    [anon_sym_LT] = ACTIONS(3188),
    [anon_sym_LT_EQ] = ACTIONS(3188),
    [anon_sym_GT_EQ] = ACTIONS(3186),
    [anon_sym_lt] = ACTIONS(3186),
    [anon_sym_le] = ACTIONS(3186),
    [anon_sym_ge] = ACTIONS(3186),
    [anon_sym_gt] = ACTIONS(3186),
    [anon_sym_isa] = ACTIONS(3186),
    [anon_sym_PLUS_PLUS] = ACTIONS(3186),
    [anon_sym_DASH_DASH] = ACTIONS(3186),
    [anon_sym_QMARK] = ACTIONS(3186),
    [anon_sym_EQ_GT] = ACTIONS(3186),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3186),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2236] = {
    [sym_heredoc_content] = STATE(2236),
    [anon_sym_SEMI] = ACTIONS(3190),
    [anon_sym_EQ] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_COMMA] = ACTIONS(3190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3190),
    [anon_sym_DASH_GT] = ACTIONS(3190),
    [anon_sym_STAR] = ACTIONS(3192),
    [anon_sym_PERCENT] = ACTIONS(3192),
    [anon_sym_GT] = ACTIONS(3192),
    [anon_sym_LT_LT] = ACTIONS(3192),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3190),
    [anon_sym_PLUS_EQ] = ACTIONS(3190),
    [anon_sym_DASH_EQ] = ACTIONS(3190),
    [anon_sym_DOT_EQ] = ACTIONS(3190),
    [anon_sym_STAR_EQ] = ACTIONS(3190),
    [anon_sym_SLASH_EQ] = ACTIONS(3190),
    [anon_sym_PERCENT_EQ] = ACTIONS(3190),
    [anon_sym_x_EQ] = ACTIONS(3190),
    [anon_sym_AMP_EQ] = ACTIONS(3190),
    [anon_sym_PIPE_EQ] = ACTIONS(3190),
    [anon_sym_CARET_EQ] = ACTIONS(3190),
    [anon_sym_LT_LT_EQ] = ACTIONS(3190),
    [anon_sym_GT_GT_EQ] = ACTIONS(3190),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3190),
    [anon_sym_DOT_DOT] = ACTIONS(3192),
    [anon_sym_STAR_STAR] = ACTIONS(3192),
    [anon_sym_PIPE_PIPE] = ACTIONS(3192),
    [anon_sym_SLASH_SLASH] = ACTIONS(3192),
    [anon_sym_CARET_CARET] = ACTIONS(3190),
    [anon_sym_AMP_AMP] = ACTIONS(3192),
    [anon_sym_PIPE] = ACTIONS(3192),
    [anon_sym_CARET] = ACTIONS(3192),
    [anon_sym_AMP] = ACTIONS(3192),
    [anon_sym_GT_GT2] = ACTIONS(3192),
    [anon_sym_PLUS] = ACTIONS(3192),
    [anon_sym_DASH] = ACTIONS(3192),
    [anon_sym_DOT] = ACTIONS(3192),
    [anon_sym_SLASH] = ACTIONS(3192),
    [anon_sym_x] = ACTIONS(3192),
    [anon_sym_EQ_TILDE] = ACTIONS(3190),
    [anon_sym_BANG_TILDE] = ACTIONS(3190),
    [anon_sym_EQ_EQ] = ACTIONS(3192),
    [anon_sym_BANG_EQ] = ACTIONS(3190),
    [anon_sym_eq] = ACTIONS(3192),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3190),
    [anon_sym_equ] = ACTIONS(3190),
    [anon_sym_eqr] = ACTIONS(3190),
    [anon_sym_ne] = ACTIONS(3190),
    [anon_sym_LT_EQ_GT] = ACTIONS(3190),
    [anon_sym_cmp] = ACTIONS(3190),
    [anon_sym_TILDE_TILDE] = ACTIONS(3190),
    [anon_sym_LT] = ACTIONS(3192),
    [anon_sym_LT_EQ] = ACTIONS(3192),
    [anon_sym_GT_EQ] = ACTIONS(3190),
    [anon_sym_lt] = ACTIONS(3190),
    [anon_sym_le] = ACTIONS(3190),
    [anon_sym_ge] = ACTIONS(3190),
    [anon_sym_gt] = ACTIONS(3190),
    [anon_sym_isa] = ACTIONS(3190),
    [anon_sym_PLUS_PLUS] = ACTIONS(3190),
    [anon_sym_DASH_DASH] = ACTIONS(3190),
    [anon_sym_QMARK] = ACTIONS(3190),
    [anon_sym_EQ_GT] = ACTIONS(3190),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3190),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2237] = {
    [sym_heredoc_content] = STATE(2237),
    [anon_sym_SEMI] = ACTIONS(3254),
    [anon_sym_EQ] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_COMMA] = ACTIONS(3254),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3254),
    [anon_sym_DASH_GT] = ACTIONS(3254),
    [anon_sym_STAR] = ACTIONS(3256),
    [anon_sym_PERCENT] = ACTIONS(3256),
    [anon_sym_GT] = ACTIONS(3256),
    [anon_sym_LT_LT] = ACTIONS(3256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3254),
    [anon_sym_PLUS_EQ] = ACTIONS(3254),
    [anon_sym_DASH_EQ] = ACTIONS(3254),
    [anon_sym_DOT_EQ] = ACTIONS(3254),
    [anon_sym_STAR_EQ] = ACTIONS(3254),
    [anon_sym_SLASH_EQ] = ACTIONS(3254),
    [anon_sym_PERCENT_EQ] = ACTIONS(3254),
    [anon_sym_x_EQ] = ACTIONS(3254),
    [anon_sym_AMP_EQ] = ACTIONS(3254),
    [anon_sym_PIPE_EQ] = ACTIONS(3254),
    [anon_sym_CARET_EQ] = ACTIONS(3254),
    [anon_sym_LT_LT_EQ] = ACTIONS(3254),
    [anon_sym_GT_GT_EQ] = ACTIONS(3254),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3254),
    [anon_sym_DOT_DOT] = ACTIONS(3256),
    [anon_sym_STAR_STAR] = ACTIONS(3256),
    [anon_sym_PIPE_PIPE] = ACTIONS(3256),
    [anon_sym_SLASH_SLASH] = ACTIONS(3256),
    [anon_sym_CARET_CARET] = ACTIONS(3254),
    [anon_sym_AMP_AMP] = ACTIONS(3256),
    [anon_sym_PIPE] = ACTIONS(3256),
    [anon_sym_CARET] = ACTIONS(3256),
    [anon_sym_AMP] = ACTIONS(3256),
    [anon_sym_GT_GT2] = ACTIONS(3256),
    [anon_sym_PLUS] = ACTIONS(3256),
    [anon_sym_DASH] = ACTIONS(3256),
    [anon_sym_DOT] = ACTIONS(3256),
    [anon_sym_SLASH] = ACTIONS(3256),
    [anon_sym_x] = ACTIONS(3256),
    [anon_sym_EQ_TILDE] = ACTIONS(3254),
    [anon_sym_BANG_TILDE] = ACTIONS(3254),
    [anon_sym_EQ_EQ] = ACTIONS(3256),
    [anon_sym_BANG_EQ] = ACTIONS(3254),
    [anon_sym_eq] = ACTIONS(3256),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3254),
    [anon_sym_equ] = ACTIONS(3254),
    [anon_sym_eqr] = ACTIONS(3254),
    [anon_sym_ne] = ACTIONS(3254),
    [anon_sym_LT_EQ_GT] = ACTIONS(3254),
    [anon_sym_cmp] = ACTIONS(3254),
    [anon_sym_TILDE_TILDE] = ACTIONS(3254),
    [anon_sym_LT] = ACTIONS(3256),
    [anon_sym_LT_EQ] = ACTIONS(3256),
    [anon_sym_GT_EQ] = ACTIONS(3254),
    [anon_sym_lt] = ACTIONS(3254),
    [anon_sym_le] = ACTIONS(3254),
    [anon_sym_ge] = ACTIONS(3254),
    [anon_sym_gt] = ACTIONS(3254),
    [anon_sym_isa] = ACTIONS(3254),
    [anon_sym_PLUS_PLUS] = ACTIONS(3254),
    [anon_sym_DASH_DASH] = ACTIONS(3254),
    [anon_sym_QMARK] = ACTIONS(3254),
    [anon_sym_EQ_GT] = ACTIONS(3254),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3254),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2238] = {
    [sym_heredoc_content] = STATE(2238),
    [anon_sym_SEMI] = ACTIONS(3198),
    [anon_sym_EQ] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_COMMA] = ACTIONS(3198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3198),
    [anon_sym_DASH_GT] = ACTIONS(3198),
    [anon_sym_STAR] = ACTIONS(3200),
    [anon_sym_PERCENT] = ACTIONS(3200),
    [anon_sym_GT] = ACTIONS(3200),
    [anon_sym_LT_LT] = ACTIONS(3200),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3198),
    [anon_sym_PLUS_EQ] = ACTIONS(3198),
    [anon_sym_DASH_EQ] = ACTIONS(3198),
    [anon_sym_DOT_EQ] = ACTIONS(3198),
    [anon_sym_STAR_EQ] = ACTIONS(3198),
    [anon_sym_SLASH_EQ] = ACTIONS(3198),
    [anon_sym_PERCENT_EQ] = ACTIONS(3198),
    [anon_sym_x_EQ] = ACTIONS(3198),
    [anon_sym_AMP_EQ] = ACTIONS(3198),
    [anon_sym_PIPE_EQ] = ACTIONS(3198),
    [anon_sym_CARET_EQ] = ACTIONS(3198),
    [anon_sym_LT_LT_EQ] = ACTIONS(3198),
    [anon_sym_GT_GT_EQ] = ACTIONS(3198),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3198),
    [anon_sym_DOT_DOT] = ACTIONS(3200),
    [anon_sym_STAR_STAR] = ACTIONS(3200),
    [anon_sym_PIPE_PIPE] = ACTIONS(3200),
    [anon_sym_SLASH_SLASH] = ACTIONS(3200),
    [anon_sym_CARET_CARET] = ACTIONS(3198),
    [anon_sym_AMP_AMP] = ACTIONS(3200),
    [anon_sym_PIPE] = ACTIONS(3200),
    [anon_sym_CARET] = ACTIONS(3200),
    [anon_sym_AMP] = ACTIONS(3200),
    [anon_sym_GT_GT2] = ACTIONS(3200),
    [anon_sym_PLUS] = ACTIONS(3200),
    [anon_sym_DASH] = ACTIONS(3200),
    [anon_sym_DOT] = ACTIONS(3200),
    [anon_sym_SLASH] = ACTIONS(3200),
    [anon_sym_x] = ACTIONS(3200),
    [anon_sym_EQ_TILDE] = ACTIONS(3198),
    [anon_sym_BANG_TILDE] = ACTIONS(3198),
    [anon_sym_EQ_EQ] = ACTIONS(3200),
    [anon_sym_BANG_EQ] = ACTIONS(3198),
    [anon_sym_eq] = ACTIONS(3200),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3198),
    [anon_sym_equ] = ACTIONS(3198),
    [anon_sym_eqr] = ACTIONS(3198),
    [anon_sym_ne] = ACTIONS(3198),
    [anon_sym_LT_EQ_GT] = ACTIONS(3198),
    [anon_sym_cmp] = ACTIONS(3198),
    [anon_sym_TILDE_TILDE] = ACTIONS(3198),
    [anon_sym_LT] = ACTIONS(3200),
    [anon_sym_LT_EQ] = ACTIONS(3200),
    [anon_sym_GT_EQ] = ACTIONS(3198),
    [anon_sym_lt] = ACTIONS(3198),
    [anon_sym_le] = ACTIONS(3198),
    [anon_sym_ge] = ACTIONS(3198),
    [anon_sym_gt] = ACTIONS(3198),
    [anon_sym_isa] = ACTIONS(3198),
    [anon_sym_PLUS_PLUS] = ACTIONS(3198),
    [anon_sym_DASH_DASH] = ACTIONS(3198),
    [anon_sym_QMARK] = ACTIONS(3198),
    [anon_sym_EQ_GT] = ACTIONS(3198),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3198),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2239] = {
    [sym_heredoc_content] = STATE(2239),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym_EQ] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2931),
    [anon_sym_DASH_GT] = ACTIONS(2931),
    [anon_sym_STAR] = ACTIONS(2933),
    [anon_sym_PERCENT] = ACTIONS(2933),
    [anon_sym_GT] = ACTIONS(2933),
    [anon_sym_LT_LT] = ACTIONS(2933),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2931),
    [anon_sym_PLUS_EQ] = ACTIONS(2931),
    [anon_sym_DASH_EQ] = ACTIONS(2931),
    [anon_sym_DOT_EQ] = ACTIONS(2931),
    [anon_sym_STAR_EQ] = ACTIONS(2931),
    [anon_sym_SLASH_EQ] = ACTIONS(2931),
    [anon_sym_PERCENT_EQ] = ACTIONS(2931),
    [anon_sym_x_EQ] = ACTIONS(2931),
    [anon_sym_AMP_EQ] = ACTIONS(2931),
    [anon_sym_PIPE_EQ] = ACTIONS(2931),
    [anon_sym_CARET_EQ] = ACTIONS(2931),
    [anon_sym_LT_LT_EQ] = ACTIONS(2931),
    [anon_sym_GT_GT_EQ] = ACTIONS(2931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2931),
    [anon_sym_DOT_DOT] = ACTIONS(2933),
    [anon_sym_STAR_STAR] = ACTIONS(2933),
    [anon_sym_PIPE_PIPE] = ACTIONS(2933),
    [anon_sym_SLASH_SLASH] = ACTIONS(2933),
    [anon_sym_CARET_CARET] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2933),
    [anon_sym_PIPE] = ACTIONS(2933),
    [anon_sym_CARET] = ACTIONS(2933),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_GT_GT2] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_DOT] = ACTIONS(2933),
    [anon_sym_SLASH] = ACTIONS(2933),
    [anon_sym_x] = ACTIONS(2933),
    [anon_sym_EQ_TILDE] = ACTIONS(2931),
    [anon_sym_BANG_TILDE] = ACTIONS(2931),
    [anon_sym_EQ_EQ] = ACTIONS(2933),
    [anon_sym_BANG_EQ] = ACTIONS(2931),
    [anon_sym_eq] = ACTIONS(2933),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2931),
    [anon_sym_equ] = ACTIONS(2931),
    [anon_sym_eqr] = ACTIONS(2931),
    [anon_sym_ne] = ACTIONS(2931),
    [anon_sym_LT_EQ_GT] = ACTIONS(2931),
    [anon_sym_cmp] = ACTIONS(2931),
    [anon_sym_TILDE_TILDE] = ACTIONS(2931),
    [anon_sym_LT] = ACTIONS(2933),
    [anon_sym_LT_EQ] = ACTIONS(2933),
    [anon_sym_GT_EQ] = ACTIONS(2931),
    [anon_sym_lt] = ACTIONS(2931),
    [anon_sym_le] = ACTIONS(2931),
    [anon_sym_ge] = ACTIONS(2931),
    [anon_sym_gt] = ACTIONS(2931),
    [anon_sym_isa] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2931),
    [anon_sym_EQ_GT] = ACTIONS(2931),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2931),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2240] = {
    [sym_heredoc_content] = STATE(2240),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2241] = {
    [sym_heredoc_content] = STATE(2241),
    [anon_sym_SEMI] = ACTIONS(3270),
    [anon_sym_EQ] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_COMMA] = ACTIONS(3270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3270),
    [anon_sym_DASH_GT] = ACTIONS(3270),
    [anon_sym_STAR] = ACTIONS(3272),
    [anon_sym_PERCENT] = ACTIONS(3272),
    [anon_sym_GT] = ACTIONS(3272),
    [anon_sym_LT_LT] = ACTIONS(3272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3270),
    [anon_sym_PLUS_EQ] = ACTIONS(3270),
    [anon_sym_DASH_EQ] = ACTIONS(3270),
    [anon_sym_DOT_EQ] = ACTIONS(3270),
    [anon_sym_STAR_EQ] = ACTIONS(3270),
    [anon_sym_SLASH_EQ] = ACTIONS(3270),
    [anon_sym_PERCENT_EQ] = ACTIONS(3270),
    [anon_sym_x_EQ] = ACTIONS(3270),
    [anon_sym_AMP_EQ] = ACTIONS(3270),
    [anon_sym_PIPE_EQ] = ACTIONS(3270),
    [anon_sym_CARET_EQ] = ACTIONS(3270),
    [anon_sym_LT_LT_EQ] = ACTIONS(3270),
    [anon_sym_GT_GT_EQ] = ACTIONS(3270),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3270),
    [anon_sym_DOT_DOT] = ACTIONS(3272),
    [anon_sym_STAR_STAR] = ACTIONS(3272),
    [anon_sym_PIPE_PIPE] = ACTIONS(3272),
    [anon_sym_SLASH_SLASH] = ACTIONS(3272),
    [anon_sym_CARET_CARET] = ACTIONS(3270),
    [anon_sym_AMP_AMP] = ACTIONS(3272),
    [anon_sym_PIPE] = ACTIONS(3272),
    [anon_sym_CARET] = ACTIONS(3272),
    [anon_sym_AMP] = ACTIONS(3272),
    [anon_sym_GT_GT2] = ACTIONS(3272),
    [anon_sym_PLUS] = ACTIONS(3272),
    [anon_sym_DASH] = ACTIONS(3272),
    [anon_sym_DOT] = ACTIONS(3272),
    [anon_sym_SLASH] = ACTIONS(3272),
    [anon_sym_x] = ACTIONS(3272),
    [anon_sym_EQ_TILDE] = ACTIONS(3270),
    [anon_sym_BANG_TILDE] = ACTIONS(3270),
    [anon_sym_EQ_EQ] = ACTIONS(3272),
    [anon_sym_BANG_EQ] = ACTIONS(3270),
    [anon_sym_eq] = ACTIONS(3272),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3270),
    [anon_sym_equ] = ACTIONS(3270),
    [anon_sym_eqr] = ACTIONS(3270),
    [anon_sym_ne] = ACTIONS(3270),
    [anon_sym_LT_EQ_GT] = ACTIONS(3270),
    [anon_sym_cmp] = ACTIONS(3270),
    [anon_sym_TILDE_TILDE] = ACTIONS(3270),
    [anon_sym_LT] = ACTIONS(3272),
    [anon_sym_LT_EQ] = ACTIONS(3272),
    [anon_sym_GT_EQ] = ACTIONS(3270),
    [anon_sym_lt] = ACTIONS(3270),
    [anon_sym_le] = ACTIONS(3270),
    [anon_sym_ge] = ACTIONS(3270),
    [anon_sym_gt] = ACTIONS(3270),
    [anon_sym_isa] = ACTIONS(3270),
    [anon_sym_PLUS_PLUS] = ACTIONS(3270),
    [anon_sym_DASH_DASH] = ACTIONS(3270),
    [anon_sym_QMARK] = ACTIONS(3270),
    [anon_sym_EQ_GT] = ACTIONS(3270),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3270),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2242] = {
    [sym_heredoc_content] = STATE(2242),
    [anon_sym_SEMI] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3786),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3790),
    [anon_sym_CARET_CARET] = ACTIONS(3792),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3816),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3274),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2243] = {
    [sym_heredoc_content] = STATE(2243),
    [anon_sym_SEMI] = ACTIONS(3278),
    [anon_sym_EQ] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_COMMA] = ACTIONS(3278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3278),
    [anon_sym_DASH_GT] = ACTIONS(3278),
    [anon_sym_STAR] = ACTIONS(3280),
    [anon_sym_PERCENT] = ACTIONS(3280),
    [anon_sym_GT] = ACTIONS(3280),
    [anon_sym_LT_LT] = ACTIONS(3280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3278),
    [anon_sym_PLUS_EQ] = ACTIONS(3278),
    [anon_sym_DASH_EQ] = ACTIONS(3278),
    [anon_sym_DOT_EQ] = ACTIONS(3278),
    [anon_sym_STAR_EQ] = ACTIONS(3278),
    [anon_sym_SLASH_EQ] = ACTIONS(3278),
    [anon_sym_PERCENT_EQ] = ACTIONS(3278),
    [anon_sym_x_EQ] = ACTIONS(3278),
    [anon_sym_AMP_EQ] = ACTIONS(3278),
    [anon_sym_PIPE_EQ] = ACTIONS(3278),
    [anon_sym_CARET_EQ] = ACTIONS(3278),
    [anon_sym_LT_LT_EQ] = ACTIONS(3278),
    [anon_sym_GT_GT_EQ] = ACTIONS(3278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3278),
    [anon_sym_DOT_DOT] = ACTIONS(3280),
    [anon_sym_STAR_STAR] = ACTIONS(3280),
    [anon_sym_PIPE_PIPE] = ACTIONS(3280),
    [anon_sym_SLASH_SLASH] = ACTIONS(3280),
    [anon_sym_CARET_CARET] = ACTIONS(3278),
    [anon_sym_AMP_AMP] = ACTIONS(3280),
    [anon_sym_PIPE] = ACTIONS(3280),
    [anon_sym_CARET] = ACTIONS(3280),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_GT_GT2] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_DOT] = ACTIONS(3280),
    [anon_sym_SLASH] = ACTIONS(3280),
    [anon_sym_x] = ACTIONS(3280),
    [anon_sym_EQ_TILDE] = ACTIONS(3278),
    [anon_sym_BANG_TILDE] = ACTIONS(3278),
    [anon_sym_EQ_EQ] = ACTIONS(3280),
    [anon_sym_BANG_EQ] = ACTIONS(3278),
    [anon_sym_eq] = ACTIONS(3280),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3278),
    [anon_sym_equ] = ACTIONS(3278),
    [anon_sym_eqr] = ACTIONS(3278),
    [anon_sym_ne] = ACTIONS(3278),
    [anon_sym_LT_EQ_GT] = ACTIONS(3278),
    [anon_sym_cmp] = ACTIONS(3278),
    [anon_sym_TILDE_TILDE] = ACTIONS(3278),
    [anon_sym_LT] = ACTIONS(3280),
    [anon_sym_LT_EQ] = ACTIONS(3280),
    [anon_sym_GT_EQ] = ACTIONS(3278),
    [anon_sym_lt] = ACTIONS(3278),
    [anon_sym_le] = ACTIONS(3278),
    [anon_sym_ge] = ACTIONS(3278),
    [anon_sym_gt] = ACTIONS(3278),
    [anon_sym_isa] = ACTIONS(3278),
    [anon_sym_PLUS_PLUS] = ACTIONS(3278),
    [anon_sym_DASH_DASH] = ACTIONS(3278),
    [anon_sym_QMARK] = ACTIONS(3278),
    [anon_sym_EQ_GT] = ACTIONS(3278),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3278),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2244] = {
    [sym_heredoc_content] = STATE(2244),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym_EQ] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_COMMA] = ACTIONS(3282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3282),
    [anon_sym_DASH_GT] = ACTIONS(3282),
    [anon_sym_STAR] = ACTIONS(3284),
    [anon_sym_PERCENT] = ACTIONS(3284),
    [anon_sym_GT] = ACTIONS(3284),
    [anon_sym_LT_LT] = ACTIONS(3284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3282),
    [anon_sym_PLUS_EQ] = ACTIONS(3282),
    [anon_sym_DASH_EQ] = ACTIONS(3282),
    [anon_sym_DOT_EQ] = ACTIONS(3282),
    [anon_sym_STAR_EQ] = ACTIONS(3282),
    [anon_sym_SLASH_EQ] = ACTIONS(3282),
    [anon_sym_PERCENT_EQ] = ACTIONS(3282),
    [anon_sym_x_EQ] = ACTIONS(3282),
    [anon_sym_AMP_EQ] = ACTIONS(3282),
    [anon_sym_PIPE_EQ] = ACTIONS(3282),
    [anon_sym_CARET_EQ] = ACTIONS(3282),
    [anon_sym_LT_LT_EQ] = ACTIONS(3282),
    [anon_sym_GT_GT_EQ] = ACTIONS(3282),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3282),
    [anon_sym_DOT_DOT] = ACTIONS(3284),
    [anon_sym_STAR_STAR] = ACTIONS(3284),
    [anon_sym_PIPE_PIPE] = ACTIONS(3284),
    [anon_sym_SLASH_SLASH] = ACTIONS(3284),
    [anon_sym_CARET_CARET] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3284),
    [anon_sym_PIPE] = ACTIONS(3284),
    [anon_sym_CARET] = ACTIONS(3284),
    [anon_sym_AMP] = ACTIONS(3284),
    [anon_sym_GT_GT2] = ACTIONS(3284),
    [anon_sym_PLUS] = ACTIONS(3284),
    [anon_sym_DASH] = ACTIONS(3284),
    [anon_sym_DOT] = ACTIONS(3284),
    [anon_sym_SLASH] = ACTIONS(3284),
    [anon_sym_x] = ACTIONS(3284),
    [anon_sym_EQ_TILDE] = ACTIONS(3282),
    [anon_sym_BANG_TILDE] = ACTIONS(3282),
    [anon_sym_EQ_EQ] = ACTIONS(3284),
    [anon_sym_BANG_EQ] = ACTIONS(3282),
    [anon_sym_eq] = ACTIONS(3284),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3282),
    [anon_sym_equ] = ACTIONS(3282),
    [anon_sym_eqr] = ACTIONS(3282),
    [anon_sym_ne] = ACTIONS(3282),
    [anon_sym_LT_EQ_GT] = ACTIONS(3282),
    [anon_sym_cmp] = ACTIONS(3282),
    [anon_sym_TILDE_TILDE] = ACTIONS(3282),
    [anon_sym_LT] = ACTIONS(3284),
    [anon_sym_LT_EQ] = ACTIONS(3284),
    [anon_sym_GT_EQ] = ACTIONS(3282),
    [anon_sym_lt] = ACTIONS(3282),
    [anon_sym_le] = ACTIONS(3282),
    [anon_sym_ge] = ACTIONS(3282),
    [anon_sym_gt] = ACTIONS(3282),
    [anon_sym_isa] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_QMARK] = ACTIONS(3282),
    [anon_sym_EQ_GT] = ACTIONS(3282),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3282),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2245] = {
    [sym_heredoc_content] = STATE(2245),
    [anon_sym_SEMI] = ACTIONS(3286),
    [anon_sym_EQ] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_COMMA] = ACTIONS(3286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3286),
    [anon_sym_DASH_GT] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_PERCENT] = ACTIONS(3288),
    [anon_sym_GT] = ACTIONS(3288),
    [anon_sym_LT_LT] = ACTIONS(3288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3286),
    [anon_sym_PLUS_EQ] = ACTIONS(3286),
    [anon_sym_DASH_EQ] = ACTIONS(3286),
    [anon_sym_DOT_EQ] = ACTIONS(3286),
    [anon_sym_STAR_EQ] = ACTIONS(3286),
    [anon_sym_SLASH_EQ] = ACTIONS(3286),
    [anon_sym_PERCENT_EQ] = ACTIONS(3286),
    [anon_sym_x_EQ] = ACTIONS(3286),
    [anon_sym_AMP_EQ] = ACTIONS(3286),
    [anon_sym_PIPE_EQ] = ACTIONS(3286),
    [anon_sym_CARET_EQ] = ACTIONS(3286),
    [anon_sym_LT_LT_EQ] = ACTIONS(3286),
    [anon_sym_GT_GT_EQ] = ACTIONS(3286),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3286),
    [anon_sym_DOT_DOT] = ACTIONS(3288),
    [anon_sym_STAR_STAR] = ACTIONS(3288),
    [anon_sym_PIPE_PIPE] = ACTIONS(3288),
    [anon_sym_SLASH_SLASH] = ACTIONS(3288),
    [anon_sym_CARET_CARET] = ACTIONS(3286),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_PIPE] = ACTIONS(3288),
    [anon_sym_CARET] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3288),
    [anon_sym_GT_GT2] = ACTIONS(3288),
    [anon_sym_PLUS] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3288),
    [anon_sym_DOT] = ACTIONS(3288),
    [anon_sym_SLASH] = ACTIONS(3288),
    [anon_sym_x] = ACTIONS(3288),
    [anon_sym_EQ_TILDE] = ACTIONS(3286),
    [anon_sym_BANG_TILDE] = ACTIONS(3286),
    [anon_sym_EQ_EQ] = ACTIONS(3288),
    [anon_sym_BANG_EQ] = ACTIONS(3286),
    [anon_sym_eq] = ACTIONS(3288),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3286),
    [anon_sym_equ] = ACTIONS(3286),
    [anon_sym_eqr] = ACTIONS(3286),
    [anon_sym_ne] = ACTIONS(3286),
    [anon_sym_LT_EQ_GT] = ACTIONS(3286),
    [anon_sym_cmp] = ACTIONS(3286),
    [anon_sym_TILDE_TILDE] = ACTIONS(3286),
    [anon_sym_LT] = ACTIONS(3288),
    [anon_sym_LT_EQ] = ACTIONS(3288),
    [anon_sym_GT_EQ] = ACTIONS(3286),
    [anon_sym_lt] = ACTIONS(3286),
    [anon_sym_le] = ACTIONS(3286),
    [anon_sym_ge] = ACTIONS(3286),
    [anon_sym_gt] = ACTIONS(3286),
    [anon_sym_isa] = ACTIONS(3286),
    [anon_sym_PLUS_PLUS] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3286),
    [anon_sym_QMARK] = ACTIONS(3286),
    [anon_sym_EQ_GT] = ACTIONS(3286),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3286),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2246] = {
    [sym_heredoc_content] = STATE(2246),
    [anon_sym_SEMI] = ACTIONS(3294),
    [anon_sym_EQ] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_COMMA] = ACTIONS(3294),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3294),
    [anon_sym_DASH_GT] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_PERCENT] = ACTIONS(3296),
    [anon_sym_GT] = ACTIONS(3296),
    [anon_sym_LT_LT] = ACTIONS(3296),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3294),
    [anon_sym_PLUS_EQ] = ACTIONS(3294),
    [anon_sym_DASH_EQ] = ACTIONS(3294),
    [anon_sym_DOT_EQ] = ACTIONS(3294),
    [anon_sym_STAR_EQ] = ACTIONS(3294),
    [anon_sym_SLASH_EQ] = ACTIONS(3294),
    [anon_sym_PERCENT_EQ] = ACTIONS(3294),
    [anon_sym_x_EQ] = ACTIONS(3294),
    [anon_sym_AMP_EQ] = ACTIONS(3294),
    [anon_sym_PIPE_EQ] = ACTIONS(3294),
    [anon_sym_CARET_EQ] = ACTIONS(3294),
    [anon_sym_LT_LT_EQ] = ACTIONS(3294),
    [anon_sym_GT_GT_EQ] = ACTIONS(3294),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3294),
    [anon_sym_DOT_DOT] = ACTIONS(3296),
    [anon_sym_STAR_STAR] = ACTIONS(3296),
    [anon_sym_PIPE_PIPE] = ACTIONS(3296),
    [anon_sym_SLASH_SLASH] = ACTIONS(3296),
    [anon_sym_CARET_CARET] = ACTIONS(3294),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_PIPE] = ACTIONS(3296),
    [anon_sym_CARET] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3296),
    [anon_sym_GT_GT2] = ACTIONS(3296),
    [anon_sym_PLUS] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3296),
    [anon_sym_DOT] = ACTIONS(3296),
    [anon_sym_SLASH] = ACTIONS(3296),
    [anon_sym_x] = ACTIONS(3296),
    [anon_sym_EQ_TILDE] = ACTIONS(3294),
    [anon_sym_BANG_TILDE] = ACTIONS(3294),
    [anon_sym_EQ_EQ] = ACTIONS(3296),
    [anon_sym_BANG_EQ] = ACTIONS(3294),
    [anon_sym_eq] = ACTIONS(3296),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3294),
    [anon_sym_equ] = ACTIONS(3294),
    [anon_sym_eqr] = ACTIONS(3294),
    [anon_sym_ne] = ACTIONS(3294),
    [anon_sym_LT_EQ_GT] = ACTIONS(3294),
    [anon_sym_cmp] = ACTIONS(3294),
    [anon_sym_TILDE_TILDE] = ACTIONS(3294),
    [anon_sym_LT] = ACTIONS(3296),
    [anon_sym_LT_EQ] = ACTIONS(3296),
    [anon_sym_GT_EQ] = ACTIONS(3294),
    [anon_sym_lt] = ACTIONS(3294),
    [anon_sym_le] = ACTIONS(3294),
    [anon_sym_ge] = ACTIONS(3294),
    [anon_sym_gt] = ACTIONS(3294),
    [anon_sym_isa] = ACTIONS(3294),
    [anon_sym_PLUS_PLUS] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3294),
    [anon_sym_QMARK] = ACTIONS(3294),
    [anon_sym_EQ_GT] = ACTIONS(3294),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3294),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2247] = {
    [sym_heredoc_content] = STATE(2247),
    [anon_sym_SEMI] = ACTIONS(3298),
    [anon_sym_EQ] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_COMMA] = ACTIONS(3298),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3298),
    [anon_sym_DASH_GT] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_PERCENT] = ACTIONS(3300),
    [anon_sym_GT] = ACTIONS(3300),
    [anon_sym_LT_LT] = ACTIONS(3300),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3298),
    [anon_sym_PLUS_EQ] = ACTIONS(3298),
    [anon_sym_DASH_EQ] = ACTIONS(3298),
    [anon_sym_DOT_EQ] = ACTIONS(3298),
    [anon_sym_STAR_EQ] = ACTIONS(3298),
    [anon_sym_SLASH_EQ] = ACTIONS(3298),
    [anon_sym_PERCENT_EQ] = ACTIONS(3298),
    [anon_sym_x_EQ] = ACTIONS(3298),
    [anon_sym_AMP_EQ] = ACTIONS(3298),
    [anon_sym_PIPE_EQ] = ACTIONS(3298),
    [anon_sym_CARET_EQ] = ACTIONS(3298),
    [anon_sym_LT_LT_EQ] = ACTIONS(3298),
    [anon_sym_GT_GT_EQ] = ACTIONS(3298),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3298),
    [anon_sym_DOT_DOT] = ACTIONS(3300),
    [anon_sym_STAR_STAR] = ACTIONS(3300),
    [anon_sym_PIPE_PIPE] = ACTIONS(3300),
    [anon_sym_SLASH_SLASH] = ACTIONS(3300),
    [anon_sym_CARET_CARET] = ACTIONS(3298),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_PIPE] = ACTIONS(3300),
    [anon_sym_CARET] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3300),
    [anon_sym_GT_GT2] = ACTIONS(3300),
    [anon_sym_PLUS] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3300),
    [anon_sym_DOT] = ACTIONS(3300),
    [anon_sym_SLASH] = ACTIONS(3300),
    [anon_sym_x] = ACTIONS(3300),
    [anon_sym_EQ_TILDE] = ACTIONS(3298),
    [anon_sym_BANG_TILDE] = ACTIONS(3298),
    [anon_sym_EQ_EQ] = ACTIONS(3300),
    [anon_sym_BANG_EQ] = ACTIONS(3298),
    [anon_sym_eq] = ACTIONS(3300),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3298),
    [anon_sym_equ] = ACTIONS(3298),
    [anon_sym_eqr] = ACTIONS(3298),
    [anon_sym_ne] = ACTIONS(3298),
    [anon_sym_LT_EQ_GT] = ACTIONS(3298),
    [anon_sym_cmp] = ACTIONS(3298),
    [anon_sym_TILDE_TILDE] = ACTIONS(3298),
    [anon_sym_LT] = ACTIONS(3300),
    [anon_sym_LT_EQ] = ACTIONS(3300),
    [anon_sym_GT_EQ] = ACTIONS(3298),
    [anon_sym_lt] = ACTIONS(3298),
    [anon_sym_le] = ACTIONS(3298),
    [anon_sym_ge] = ACTIONS(3298),
    [anon_sym_gt] = ACTIONS(3298),
    [anon_sym_isa] = ACTIONS(3298),
    [anon_sym_PLUS_PLUS] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3298),
    [anon_sym_QMARK] = ACTIONS(3298),
    [anon_sym_EQ_GT] = ACTIONS(3298),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3298),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2248] = {
    [sym_heredoc_content] = STATE(2248),
    [anon_sym_SEMI] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(2976),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2976),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2249] = {
    [sym_heredoc_content] = STATE(2249),
    [anon_sym_SEMI] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(3920),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(3920),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2976),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2250] = {
    [sym_heredoc_content] = STATE(2250),
    [anon_sym_SEMI] = ACTIONS(3266),
    [anon_sym_EQ] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_COMMA] = ACTIONS(3266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3266),
    [anon_sym_DASH_GT] = ACTIONS(3266),
    [anon_sym_STAR] = ACTIONS(3268),
    [anon_sym_PERCENT] = ACTIONS(3268),
    [anon_sym_GT] = ACTIONS(3268),
    [anon_sym_LT_LT] = ACTIONS(3268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3266),
    [anon_sym_PLUS_EQ] = ACTIONS(3266),
    [anon_sym_DASH_EQ] = ACTIONS(3266),
    [anon_sym_DOT_EQ] = ACTIONS(3266),
    [anon_sym_STAR_EQ] = ACTIONS(3266),
    [anon_sym_SLASH_EQ] = ACTIONS(3266),
    [anon_sym_PERCENT_EQ] = ACTIONS(3266),
    [anon_sym_x_EQ] = ACTIONS(3266),
    [anon_sym_AMP_EQ] = ACTIONS(3266),
    [anon_sym_PIPE_EQ] = ACTIONS(3266),
    [anon_sym_CARET_EQ] = ACTIONS(3266),
    [anon_sym_LT_LT_EQ] = ACTIONS(3266),
    [anon_sym_GT_GT_EQ] = ACTIONS(3266),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3266),
    [anon_sym_DOT_DOT] = ACTIONS(3268),
    [anon_sym_STAR_STAR] = ACTIONS(3268),
    [anon_sym_PIPE_PIPE] = ACTIONS(3268),
    [anon_sym_SLASH_SLASH] = ACTIONS(3268),
    [anon_sym_CARET_CARET] = ACTIONS(3266),
    [anon_sym_AMP_AMP] = ACTIONS(3268),
    [anon_sym_PIPE] = ACTIONS(3268),
    [anon_sym_CARET] = ACTIONS(3268),
    [anon_sym_AMP] = ACTIONS(3268),
    [anon_sym_GT_GT2] = ACTIONS(3268),
    [anon_sym_PLUS] = ACTIONS(3268),
    [anon_sym_DASH] = ACTIONS(3268),
    [anon_sym_DOT] = ACTIONS(3268),
    [anon_sym_SLASH] = ACTIONS(3268),
    [anon_sym_x] = ACTIONS(3268),
    [anon_sym_EQ_TILDE] = ACTIONS(3266),
    [anon_sym_BANG_TILDE] = ACTIONS(3266),
    [anon_sym_EQ_EQ] = ACTIONS(3268),
    [anon_sym_BANG_EQ] = ACTIONS(3266),
    [anon_sym_eq] = ACTIONS(3268),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3266),
    [anon_sym_equ] = ACTIONS(3266),
    [anon_sym_eqr] = ACTIONS(3266),
    [anon_sym_ne] = ACTIONS(3266),
    [anon_sym_LT_EQ_GT] = ACTIONS(3266),
    [anon_sym_cmp] = ACTIONS(3266),
    [anon_sym_TILDE_TILDE] = ACTIONS(3266),
    [anon_sym_LT] = ACTIONS(3268),
    [anon_sym_LT_EQ] = ACTIONS(3268),
    [anon_sym_GT_EQ] = ACTIONS(3266),
    [anon_sym_lt] = ACTIONS(3266),
    [anon_sym_le] = ACTIONS(3266),
    [anon_sym_ge] = ACTIONS(3266),
    [anon_sym_gt] = ACTIONS(3266),
    [anon_sym_isa] = ACTIONS(3266),
    [anon_sym_PLUS_PLUS] = ACTIONS(3266),
    [anon_sym_DASH_DASH] = ACTIONS(3266),
    [anon_sym_QMARK] = ACTIONS(3266),
    [anon_sym_EQ_GT] = ACTIONS(3266),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3266),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2251] = {
    [sym_heredoc_content] = STATE(2251),
    [anon_sym_SEMI] = ACTIONS(3066),
    [anon_sym_EQ] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_COMMA] = ACTIONS(3066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3066),
    [anon_sym_DASH_GT] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_PERCENT] = ACTIONS(3068),
    [anon_sym_GT] = ACTIONS(3068),
    [anon_sym_LT_LT] = ACTIONS(3068),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3066),
    [anon_sym_PLUS_EQ] = ACTIONS(3066),
    [anon_sym_DASH_EQ] = ACTIONS(3066),
    [anon_sym_DOT_EQ] = ACTIONS(3066),
    [anon_sym_STAR_EQ] = ACTIONS(3066),
    [anon_sym_SLASH_EQ] = ACTIONS(3066),
    [anon_sym_PERCENT_EQ] = ACTIONS(3066),
    [anon_sym_x_EQ] = ACTIONS(3066),
    [anon_sym_AMP_EQ] = ACTIONS(3066),
    [anon_sym_PIPE_EQ] = ACTIONS(3066),
    [anon_sym_CARET_EQ] = ACTIONS(3066),
    [anon_sym_LT_LT_EQ] = ACTIONS(3066),
    [anon_sym_GT_GT_EQ] = ACTIONS(3066),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3066),
    [anon_sym_DOT_DOT] = ACTIONS(3068),
    [anon_sym_STAR_STAR] = ACTIONS(3068),
    [anon_sym_PIPE_PIPE] = ACTIONS(3068),
    [anon_sym_SLASH_SLASH] = ACTIONS(3068),
    [anon_sym_CARET_CARET] = ACTIONS(3066),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_PIPE] = ACTIONS(3068),
    [anon_sym_CARET] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3068),
    [anon_sym_GT_GT2] = ACTIONS(3068),
    [anon_sym_PLUS] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3068),
    [anon_sym_DOT] = ACTIONS(3068),
    [anon_sym_SLASH] = ACTIONS(3068),
    [anon_sym_x] = ACTIONS(3068),
    [anon_sym_EQ_TILDE] = ACTIONS(3066),
    [anon_sym_BANG_TILDE] = ACTIONS(3066),
    [anon_sym_EQ_EQ] = ACTIONS(3068),
    [anon_sym_BANG_EQ] = ACTIONS(3066),
    [anon_sym_eq] = ACTIONS(3068),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3066),
    [anon_sym_equ] = ACTIONS(3066),
    [anon_sym_eqr] = ACTIONS(3066),
    [anon_sym_ne] = ACTIONS(3066),
    [anon_sym_LT_EQ_GT] = ACTIONS(3066),
    [anon_sym_cmp] = ACTIONS(3066),
    [anon_sym_TILDE_TILDE] = ACTIONS(3066),
    [anon_sym_LT] = ACTIONS(3068),
    [anon_sym_LT_EQ] = ACTIONS(3068),
    [anon_sym_GT_EQ] = ACTIONS(3066),
    [anon_sym_lt] = ACTIONS(3066),
    [anon_sym_le] = ACTIONS(3066),
    [anon_sym_ge] = ACTIONS(3066),
    [anon_sym_gt] = ACTIONS(3066),
    [anon_sym_isa] = ACTIONS(3066),
    [anon_sym_PLUS_PLUS] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3066),
    [anon_sym_QMARK] = ACTIONS(3066),
    [anon_sym_EQ_GT] = ACTIONS(3066),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3066),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2252] = {
    [sym_heredoc_content] = STATE(2252),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym_EQ] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_COMMA] = ACTIONS(2927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2927),
    [anon_sym_DASH_GT] = ACTIONS(2927),
    [anon_sym_STAR] = ACTIONS(2929),
    [anon_sym_PERCENT] = ACTIONS(2929),
    [anon_sym_GT] = ACTIONS(2929),
    [anon_sym_LT_LT] = ACTIONS(2929),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2927),
    [anon_sym_PLUS_EQ] = ACTIONS(2927),
    [anon_sym_DASH_EQ] = ACTIONS(2927),
    [anon_sym_DOT_EQ] = ACTIONS(2927),
    [anon_sym_STAR_EQ] = ACTIONS(2927),
    [anon_sym_SLASH_EQ] = ACTIONS(2927),
    [anon_sym_PERCENT_EQ] = ACTIONS(2927),
    [anon_sym_x_EQ] = ACTIONS(2927),
    [anon_sym_AMP_EQ] = ACTIONS(2927),
    [anon_sym_PIPE_EQ] = ACTIONS(2927),
    [anon_sym_CARET_EQ] = ACTIONS(2927),
    [anon_sym_LT_LT_EQ] = ACTIONS(2927),
    [anon_sym_GT_GT_EQ] = ACTIONS(2927),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2927),
    [anon_sym_DOT_DOT] = ACTIONS(2929),
    [anon_sym_STAR_STAR] = ACTIONS(2929),
    [anon_sym_PIPE_PIPE] = ACTIONS(2929),
    [anon_sym_SLASH_SLASH] = ACTIONS(2929),
    [anon_sym_CARET_CARET] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(2929),
    [anon_sym_CARET] = ACTIONS(2929),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_GT_GT2] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_DOT] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_x] = ACTIONS(2929),
    [anon_sym_EQ_TILDE] = ACTIONS(2927),
    [anon_sym_BANG_TILDE] = ACTIONS(2927),
    [anon_sym_EQ_EQ] = ACTIONS(2929),
    [anon_sym_BANG_EQ] = ACTIONS(2927),
    [anon_sym_eq] = ACTIONS(2929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2927),
    [anon_sym_equ] = ACTIONS(2927),
    [anon_sym_eqr] = ACTIONS(2927),
    [anon_sym_ne] = ACTIONS(2927),
    [anon_sym_LT_EQ_GT] = ACTIONS(2927),
    [anon_sym_cmp] = ACTIONS(2927),
    [anon_sym_TILDE_TILDE] = ACTIONS(2927),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_LT_EQ] = ACTIONS(2929),
    [anon_sym_GT_EQ] = ACTIONS(2927),
    [anon_sym_lt] = ACTIONS(2927),
    [anon_sym_le] = ACTIONS(2927),
    [anon_sym_ge] = ACTIONS(2927),
    [anon_sym_gt] = ACTIONS(2927),
    [anon_sym_isa] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2927),
    [anon_sym_EQ_GT] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2927),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2253] = {
    [sym_heredoc_content] = STATE(2253),
    [anon_sym_SEMI] = ACTIONS(2984),
    [anon_sym_EQ] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_COMMA] = ACTIONS(2984),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2984),
    [anon_sym_DASH_GT] = ACTIONS(2984),
    [anon_sym_STAR] = ACTIONS(2986),
    [anon_sym_PERCENT] = ACTIONS(2986),
    [anon_sym_GT] = ACTIONS(2986),
    [anon_sym_LT_LT] = ACTIONS(2986),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2984),
    [anon_sym_PLUS_EQ] = ACTIONS(2984),
    [anon_sym_DASH_EQ] = ACTIONS(2984),
    [anon_sym_DOT_EQ] = ACTIONS(2984),
    [anon_sym_STAR_EQ] = ACTIONS(2984),
    [anon_sym_SLASH_EQ] = ACTIONS(2984),
    [anon_sym_PERCENT_EQ] = ACTIONS(2984),
    [anon_sym_x_EQ] = ACTIONS(2984),
    [anon_sym_AMP_EQ] = ACTIONS(2984),
    [anon_sym_PIPE_EQ] = ACTIONS(2984),
    [anon_sym_CARET_EQ] = ACTIONS(2984),
    [anon_sym_LT_LT_EQ] = ACTIONS(2984),
    [anon_sym_GT_GT_EQ] = ACTIONS(2984),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2984),
    [anon_sym_DOT_DOT] = ACTIONS(2986),
    [anon_sym_STAR_STAR] = ACTIONS(2986),
    [anon_sym_PIPE_PIPE] = ACTIONS(2986),
    [anon_sym_SLASH_SLASH] = ACTIONS(2986),
    [anon_sym_CARET_CARET] = ACTIONS(2984),
    [anon_sym_AMP_AMP] = ACTIONS(2986),
    [anon_sym_PIPE] = ACTIONS(2986),
    [anon_sym_CARET] = ACTIONS(2986),
    [anon_sym_AMP] = ACTIONS(2986),
    [anon_sym_GT_GT2] = ACTIONS(2986),
    [anon_sym_PLUS] = ACTIONS(2986),
    [anon_sym_DASH] = ACTIONS(2986),
    [anon_sym_DOT] = ACTIONS(2986),
    [anon_sym_SLASH] = ACTIONS(2986),
    [anon_sym_x] = ACTIONS(2986),
    [anon_sym_EQ_TILDE] = ACTIONS(2984),
    [anon_sym_BANG_TILDE] = ACTIONS(2984),
    [anon_sym_EQ_EQ] = ACTIONS(2986),
    [anon_sym_BANG_EQ] = ACTIONS(2984),
    [anon_sym_eq] = ACTIONS(2986),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2984),
    [anon_sym_equ] = ACTIONS(2984),
    [anon_sym_eqr] = ACTIONS(2984),
    [anon_sym_ne] = ACTIONS(2984),
    [anon_sym_LT_EQ_GT] = ACTIONS(2984),
    [anon_sym_cmp] = ACTIONS(2984),
    [anon_sym_TILDE_TILDE] = ACTIONS(2984),
    [anon_sym_LT] = ACTIONS(2986),
    [anon_sym_LT_EQ] = ACTIONS(2986),
    [anon_sym_GT_EQ] = ACTIONS(2984),
    [anon_sym_lt] = ACTIONS(2984),
    [anon_sym_le] = ACTIONS(2984),
    [anon_sym_ge] = ACTIONS(2984),
    [anon_sym_gt] = ACTIONS(2984),
    [anon_sym_isa] = ACTIONS(2984),
    [anon_sym_PLUS_PLUS] = ACTIONS(2984),
    [anon_sym_DASH_DASH] = ACTIONS(2984),
    [anon_sym_QMARK] = ACTIONS(2984),
    [anon_sym_EQ_GT] = ACTIONS(2984),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2984),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2254] = {
    [sym_heredoc_content] = STATE(2254),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2255] = {
    [sym_heredoc_content] = STATE(2255),
    [anon_sym_SEMI] = ACTIONS(3054),
    [anon_sym_EQ] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_COMMA] = ACTIONS(3054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3054),
    [anon_sym_DASH_GT] = ACTIONS(3054),
    [anon_sym_STAR] = ACTIONS(3056),
    [anon_sym_PERCENT] = ACTIONS(3056),
    [anon_sym_GT] = ACTIONS(3056),
    [anon_sym_LT_LT] = ACTIONS(3056),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3054),
    [anon_sym_PLUS_EQ] = ACTIONS(3054),
    [anon_sym_DASH_EQ] = ACTIONS(3054),
    [anon_sym_DOT_EQ] = ACTIONS(3054),
    [anon_sym_STAR_EQ] = ACTIONS(3054),
    [anon_sym_SLASH_EQ] = ACTIONS(3054),
    [anon_sym_PERCENT_EQ] = ACTIONS(3054),
    [anon_sym_x_EQ] = ACTIONS(3054),
    [anon_sym_AMP_EQ] = ACTIONS(3054),
    [anon_sym_PIPE_EQ] = ACTIONS(3054),
    [anon_sym_CARET_EQ] = ACTIONS(3054),
    [anon_sym_LT_LT_EQ] = ACTIONS(3054),
    [anon_sym_GT_GT_EQ] = ACTIONS(3054),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3054),
    [anon_sym_DOT_DOT] = ACTIONS(3056),
    [anon_sym_STAR_STAR] = ACTIONS(3056),
    [anon_sym_PIPE_PIPE] = ACTIONS(3056),
    [anon_sym_SLASH_SLASH] = ACTIONS(3056),
    [anon_sym_CARET_CARET] = ACTIONS(3054),
    [anon_sym_AMP_AMP] = ACTIONS(3056),
    [anon_sym_PIPE] = ACTIONS(3056),
    [anon_sym_CARET] = ACTIONS(3056),
    [anon_sym_AMP] = ACTIONS(3056),
    [anon_sym_GT_GT2] = ACTIONS(3056),
    [anon_sym_PLUS] = ACTIONS(3056),
    [anon_sym_DASH] = ACTIONS(3056),
    [anon_sym_DOT] = ACTIONS(3056),
    [anon_sym_SLASH] = ACTIONS(3056),
    [anon_sym_x] = ACTIONS(3056),
    [anon_sym_EQ_TILDE] = ACTIONS(3054),
    [anon_sym_BANG_TILDE] = ACTIONS(3054),
    [anon_sym_EQ_EQ] = ACTIONS(3056),
    [anon_sym_BANG_EQ] = ACTIONS(3054),
    [anon_sym_eq] = ACTIONS(3056),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3054),
    [anon_sym_equ] = ACTIONS(3054),
    [anon_sym_eqr] = ACTIONS(3054),
    [anon_sym_ne] = ACTIONS(3054),
    [anon_sym_LT_EQ_GT] = ACTIONS(3054),
    [anon_sym_cmp] = ACTIONS(3054),
    [anon_sym_TILDE_TILDE] = ACTIONS(3054),
    [anon_sym_LT] = ACTIONS(3056),
    [anon_sym_LT_EQ] = ACTIONS(3056),
    [anon_sym_GT_EQ] = ACTIONS(3054),
    [anon_sym_lt] = ACTIONS(3054),
    [anon_sym_le] = ACTIONS(3054),
    [anon_sym_ge] = ACTIONS(3054),
    [anon_sym_gt] = ACTIONS(3054),
    [anon_sym_isa] = ACTIONS(3054),
    [anon_sym_PLUS_PLUS] = ACTIONS(3054),
    [anon_sym_DASH_DASH] = ACTIONS(3054),
    [anon_sym_QMARK] = ACTIONS(3054),
    [anon_sym_EQ_GT] = ACTIONS(3054),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3054),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2256] = {
    [sym_heredoc_content] = STATE(2256),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym_EQ] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_COMMA] = ACTIONS(3150),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3150),
    [anon_sym_DASH_GT] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3152),
    [anon_sym_PERCENT] = ACTIONS(3152),
    [anon_sym_GT] = ACTIONS(3152),
    [anon_sym_LT_LT] = ACTIONS(3152),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3150),
    [anon_sym_PLUS_EQ] = ACTIONS(3150),
    [anon_sym_DASH_EQ] = ACTIONS(3150),
    [anon_sym_DOT_EQ] = ACTIONS(3150),
    [anon_sym_STAR_EQ] = ACTIONS(3150),
    [anon_sym_SLASH_EQ] = ACTIONS(3150),
    [anon_sym_PERCENT_EQ] = ACTIONS(3150),
    [anon_sym_x_EQ] = ACTIONS(3150),
    [anon_sym_AMP_EQ] = ACTIONS(3150),
    [anon_sym_PIPE_EQ] = ACTIONS(3150),
    [anon_sym_CARET_EQ] = ACTIONS(3150),
    [anon_sym_LT_LT_EQ] = ACTIONS(3150),
    [anon_sym_GT_GT_EQ] = ACTIONS(3150),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3150),
    [anon_sym_DOT_DOT] = ACTIONS(3152),
    [anon_sym_STAR_STAR] = ACTIONS(3152),
    [anon_sym_PIPE_PIPE] = ACTIONS(3152),
    [anon_sym_SLASH_SLASH] = ACTIONS(3152),
    [anon_sym_CARET_CARET] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3152),
    [anon_sym_PIPE] = ACTIONS(3152),
    [anon_sym_CARET] = ACTIONS(3152),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_GT_GT2] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_DOT] = ACTIONS(3152),
    [anon_sym_SLASH] = ACTIONS(3152),
    [anon_sym_x] = ACTIONS(3152),
    [anon_sym_EQ_TILDE] = ACTIONS(3150),
    [anon_sym_BANG_TILDE] = ACTIONS(3150),
    [anon_sym_EQ_EQ] = ACTIONS(3152),
    [anon_sym_BANG_EQ] = ACTIONS(3150),
    [anon_sym_eq] = ACTIONS(3152),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3150),
    [anon_sym_equ] = ACTIONS(3150),
    [anon_sym_eqr] = ACTIONS(3150),
    [anon_sym_ne] = ACTIONS(3150),
    [anon_sym_LT_EQ_GT] = ACTIONS(3150),
    [anon_sym_cmp] = ACTIONS(3150),
    [anon_sym_TILDE_TILDE] = ACTIONS(3150),
    [anon_sym_LT] = ACTIONS(3152),
    [anon_sym_LT_EQ] = ACTIONS(3152),
    [anon_sym_GT_EQ] = ACTIONS(3150),
    [anon_sym_lt] = ACTIONS(3150),
    [anon_sym_le] = ACTIONS(3150),
    [anon_sym_ge] = ACTIONS(3150),
    [anon_sym_gt] = ACTIONS(3150),
    [anon_sym_isa] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_QMARK] = ACTIONS(3150),
    [anon_sym_EQ_GT] = ACTIONS(3150),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3150),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2257] = {
    [sym_heredoc_content] = STATE(2257),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_EQ] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_COMMA] = ACTIONS(2474),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2474),
    [anon_sym_DASH_GT] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2476),
    [anon_sym_PERCENT] = ACTIONS(2476),
    [anon_sym_GT] = ACTIONS(2476),
    [anon_sym_LT_LT] = ACTIONS(2476),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2474),
    [anon_sym_PLUS_EQ] = ACTIONS(2474),
    [anon_sym_DASH_EQ] = ACTIONS(2474),
    [anon_sym_DOT_EQ] = ACTIONS(2474),
    [anon_sym_STAR_EQ] = ACTIONS(2474),
    [anon_sym_SLASH_EQ] = ACTIONS(2474),
    [anon_sym_PERCENT_EQ] = ACTIONS(2474),
    [anon_sym_x_EQ] = ACTIONS(2474),
    [anon_sym_AMP_EQ] = ACTIONS(2474),
    [anon_sym_PIPE_EQ] = ACTIONS(2474),
    [anon_sym_CARET_EQ] = ACTIONS(2474),
    [anon_sym_LT_LT_EQ] = ACTIONS(2474),
    [anon_sym_GT_GT_EQ] = ACTIONS(2474),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2476),
    [anon_sym_STAR_STAR] = ACTIONS(2476),
    [anon_sym_PIPE_PIPE] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(2476),
    [anon_sym_CARET_CARET] = ACTIONS(2474),
    [anon_sym_AMP_AMP] = ACTIONS(2476),
    [anon_sym_PIPE] = ACTIONS(2476),
    [anon_sym_CARET] = ACTIONS(2476),
    [anon_sym_AMP] = ACTIONS(2476),
    [anon_sym_GT_GT2] = ACTIONS(2476),
    [anon_sym_PLUS] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2476),
    [anon_sym_DOT] = ACTIONS(2476),
    [anon_sym_SLASH] = ACTIONS(2476),
    [anon_sym_x] = ACTIONS(2476),
    [anon_sym_EQ_TILDE] = ACTIONS(2474),
    [anon_sym_BANG_TILDE] = ACTIONS(2474),
    [anon_sym_EQ_EQ] = ACTIONS(2476),
    [anon_sym_BANG_EQ] = ACTIONS(2474),
    [anon_sym_eq] = ACTIONS(2476),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2474),
    [anon_sym_equ] = ACTIONS(2474),
    [anon_sym_eqr] = ACTIONS(2474),
    [anon_sym_ne] = ACTIONS(2474),
    [anon_sym_LT_EQ_GT] = ACTIONS(2474),
    [anon_sym_cmp] = ACTIONS(2474),
    [anon_sym_TILDE_TILDE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2476),
    [anon_sym_LT_EQ] = ACTIONS(2476),
    [anon_sym_GT_EQ] = ACTIONS(2474),
    [anon_sym_lt] = ACTIONS(2474),
    [anon_sym_le] = ACTIONS(2474),
    [anon_sym_ge] = ACTIONS(2474),
    [anon_sym_gt] = ACTIONS(2474),
    [anon_sym_isa] = ACTIONS(2474),
    [anon_sym_PLUS_PLUS] = ACTIONS(2474),
    [anon_sym_DASH_DASH] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2474),
    [anon_sym_EQ_GT] = ACTIONS(2474),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2474),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2258] = {
    [sym_heredoc_content] = STATE(2258),
    [anon_sym_SEMI] = ACTIONS(3234),
    [anon_sym_EQ] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_COMMA] = ACTIONS(3234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3234),
    [anon_sym_DASH_GT] = ACTIONS(3234),
    [anon_sym_STAR] = ACTIONS(3236),
    [anon_sym_PERCENT] = ACTIONS(3236),
    [anon_sym_GT] = ACTIONS(3236),
    [anon_sym_LT_LT] = ACTIONS(3236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3234),
    [anon_sym_PLUS_EQ] = ACTIONS(3234),
    [anon_sym_DASH_EQ] = ACTIONS(3234),
    [anon_sym_DOT_EQ] = ACTIONS(3234),
    [anon_sym_STAR_EQ] = ACTIONS(3234),
    [anon_sym_SLASH_EQ] = ACTIONS(3234),
    [anon_sym_PERCENT_EQ] = ACTIONS(3234),
    [anon_sym_x_EQ] = ACTIONS(3234),
    [anon_sym_AMP_EQ] = ACTIONS(3234),
    [anon_sym_PIPE_EQ] = ACTIONS(3234),
    [anon_sym_CARET_EQ] = ACTIONS(3234),
    [anon_sym_LT_LT_EQ] = ACTIONS(3234),
    [anon_sym_GT_GT_EQ] = ACTIONS(3234),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3234),
    [anon_sym_DOT_DOT] = ACTIONS(3236),
    [anon_sym_STAR_STAR] = ACTIONS(3236),
    [anon_sym_PIPE_PIPE] = ACTIONS(3236),
    [anon_sym_SLASH_SLASH] = ACTIONS(3236),
    [anon_sym_CARET_CARET] = ACTIONS(3234),
    [anon_sym_AMP_AMP] = ACTIONS(3236),
    [anon_sym_PIPE] = ACTIONS(3236),
    [anon_sym_CARET] = ACTIONS(3236),
    [anon_sym_AMP] = ACTIONS(3236),
    [anon_sym_GT_GT2] = ACTIONS(3236),
    [anon_sym_PLUS] = ACTIONS(3236),
    [anon_sym_DASH] = ACTIONS(3236),
    [anon_sym_DOT] = ACTIONS(3236),
    [anon_sym_SLASH] = ACTIONS(3236),
    [anon_sym_x] = ACTIONS(3236),
    [anon_sym_EQ_TILDE] = ACTIONS(3234),
    [anon_sym_BANG_TILDE] = ACTIONS(3234),
    [anon_sym_EQ_EQ] = ACTIONS(3236),
    [anon_sym_BANG_EQ] = ACTIONS(3234),
    [anon_sym_eq] = ACTIONS(3236),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3234),
    [anon_sym_equ] = ACTIONS(3234),
    [anon_sym_eqr] = ACTIONS(3234),
    [anon_sym_ne] = ACTIONS(3234),
    [anon_sym_LT_EQ_GT] = ACTIONS(3234),
    [anon_sym_cmp] = ACTIONS(3234),
    [anon_sym_TILDE_TILDE] = ACTIONS(3234),
    [anon_sym_LT] = ACTIONS(3236),
    [anon_sym_LT_EQ] = ACTIONS(3236),
    [anon_sym_GT_EQ] = ACTIONS(3234),
    [anon_sym_lt] = ACTIONS(3234),
    [anon_sym_le] = ACTIONS(3234),
    [anon_sym_ge] = ACTIONS(3234),
    [anon_sym_gt] = ACTIONS(3234),
    [anon_sym_isa] = ACTIONS(3234),
    [anon_sym_PLUS_PLUS] = ACTIONS(3234),
    [anon_sym_DASH_DASH] = ACTIONS(3234),
    [anon_sym_QMARK] = ACTIONS(3234),
    [anon_sym_EQ_GT] = ACTIONS(3234),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3234),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2259] = {
    [sym_heredoc_content] = STATE(2259),
    [anon_sym_SEMI] = ACTIONS(3302),
    [anon_sym_EQ] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_COMMA] = ACTIONS(3302),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3302),
    [anon_sym_DASH_GT] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_PERCENT] = ACTIONS(3304),
    [anon_sym_GT] = ACTIONS(3304),
    [anon_sym_LT_LT] = ACTIONS(3304),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3302),
    [anon_sym_PLUS_EQ] = ACTIONS(3302),
    [anon_sym_DASH_EQ] = ACTIONS(3302),
    [anon_sym_DOT_EQ] = ACTIONS(3302),
    [anon_sym_STAR_EQ] = ACTIONS(3302),
    [anon_sym_SLASH_EQ] = ACTIONS(3302),
    [anon_sym_PERCENT_EQ] = ACTIONS(3302),
    [anon_sym_x_EQ] = ACTIONS(3302),
    [anon_sym_AMP_EQ] = ACTIONS(3302),
    [anon_sym_PIPE_EQ] = ACTIONS(3302),
    [anon_sym_CARET_EQ] = ACTIONS(3302),
    [anon_sym_LT_LT_EQ] = ACTIONS(3302),
    [anon_sym_GT_GT_EQ] = ACTIONS(3302),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3302),
    [anon_sym_DOT_DOT] = ACTIONS(3304),
    [anon_sym_STAR_STAR] = ACTIONS(3304),
    [anon_sym_PIPE_PIPE] = ACTIONS(3304),
    [anon_sym_SLASH_SLASH] = ACTIONS(3304),
    [anon_sym_CARET_CARET] = ACTIONS(3302),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_PIPE] = ACTIONS(3304),
    [anon_sym_CARET] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3304),
    [anon_sym_GT_GT2] = ACTIONS(3304),
    [anon_sym_PLUS] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3304),
    [anon_sym_DOT] = ACTIONS(3304),
    [anon_sym_SLASH] = ACTIONS(3304),
    [anon_sym_x] = ACTIONS(3304),
    [anon_sym_EQ_TILDE] = ACTIONS(3302),
    [anon_sym_BANG_TILDE] = ACTIONS(3302),
    [anon_sym_EQ_EQ] = ACTIONS(3304),
    [anon_sym_BANG_EQ] = ACTIONS(3302),
    [anon_sym_eq] = ACTIONS(3304),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3302),
    [anon_sym_equ] = ACTIONS(3302),
    [anon_sym_eqr] = ACTIONS(3302),
    [anon_sym_ne] = ACTIONS(3302),
    [anon_sym_LT_EQ_GT] = ACTIONS(3302),
    [anon_sym_cmp] = ACTIONS(3302),
    [anon_sym_TILDE_TILDE] = ACTIONS(3302),
    [anon_sym_LT] = ACTIONS(3304),
    [anon_sym_LT_EQ] = ACTIONS(3304),
    [anon_sym_GT_EQ] = ACTIONS(3302),
    [anon_sym_lt] = ACTIONS(3302),
    [anon_sym_le] = ACTIONS(3302),
    [anon_sym_ge] = ACTIONS(3302),
    [anon_sym_gt] = ACTIONS(3302),
    [anon_sym_isa] = ACTIONS(3302),
    [anon_sym_PLUS_PLUS] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3302),
    [anon_sym_QMARK] = ACTIONS(3302),
    [anon_sym_EQ_GT] = ACTIONS(3302),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3302),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2260] = {
    [sym_heredoc_content] = STATE(2260),
    [anon_sym_SEMI] = ACTIONS(3306),
    [anon_sym_EQ] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_COMMA] = ACTIONS(3306),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3306),
    [anon_sym_DASH_GT] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_PERCENT] = ACTIONS(3308),
    [anon_sym_GT] = ACTIONS(3308),
    [anon_sym_LT_LT] = ACTIONS(3308),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3306),
    [anon_sym_PLUS_EQ] = ACTIONS(3306),
    [anon_sym_DASH_EQ] = ACTIONS(3306),
    [anon_sym_DOT_EQ] = ACTIONS(3306),
    [anon_sym_STAR_EQ] = ACTIONS(3306),
    [anon_sym_SLASH_EQ] = ACTIONS(3306),
    [anon_sym_PERCENT_EQ] = ACTIONS(3306),
    [anon_sym_x_EQ] = ACTIONS(3306),
    [anon_sym_AMP_EQ] = ACTIONS(3306),
    [anon_sym_PIPE_EQ] = ACTIONS(3306),
    [anon_sym_CARET_EQ] = ACTIONS(3306),
    [anon_sym_LT_LT_EQ] = ACTIONS(3306),
    [anon_sym_GT_GT_EQ] = ACTIONS(3306),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3306),
    [anon_sym_DOT_DOT] = ACTIONS(3308),
    [anon_sym_STAR_STAR] = ACTIONS(3308),
    [anon_sym_PIPE_PIPE] = ACTIONS(3308),
    [anon_sym_SLASH_SLASH] = ACTIONS(3308),
    [anon_sym_CARET_CARET] = ACTIONS(3306),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_PIPE] = ACTIONS(3308),
    [anon_sym_CARET] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3308),
    [anon_sym_GT_GT2] = ACTIONS(3308),
    [anon_sym_PLUS] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3308),
    [anon_sym_DOT] = ACTIONS(3308),
    [anon_sym_SLASH] = ACTIONS(3308),
    [anon_sym_x] = ACTIONS(3308),
    [anon_sym_EQ_TILDE] = ACTIONS(3306),
    [anon_sym_BANG_TILDE] = ACTIONS(3306),
    [anon_sym_EQ_EQ] = ACTIONS(3308),
    [anon_sym_BANG_EQ] = ACTIONS(3306),
    [anon_sym_eq] = ACTIONS(3308),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3306),
    [anon_sym_equ] = ACTIONS(3306),
    [anon_sym_eqr] = ACTIONS(3306),
    [anon_sym_ne] = ACTIONS(3306),
    [anon_sym_LT_EQ_GT] = ACTIONS(3306),
    [anon_sym_cmp] = ACTIONS(3306),
    [anon_sym_TILDE_TILDE] = ACTIONS(3306),
    [anon_sym_LT] = ACTIONS(3308),
    [anon_sym_LT_EQ] = ACTIONS(3308),
    [anon_sym_GT_EQ] = ACTIONS(3306),
    [anon_sym_lt] = ACTIONS(3306),
    [anon_sym_le] = ACTIONS(3306),
    [anon_sym_ge] = ACTIONS(3306),
    [anon_sym_gt] = ACTIONS(3306),
    [anon_sym_isa] = ACTIONS(3306),
    [anon_sym_PLUS_PLUS] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3306),
    [anon_sym_QMARK] = ACTIONS(3306),
    [anon_sym_EQ_GT] = ACTIONS(3306),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3306),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2261] = {
    [sym_heredoc_content] = STATE(2261),
    [anon_sym_SEMI] = ACTIONS(3310),
    [anon_sym_EQ] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_COMMA] = ACTIONS(3310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3310),
    [anon_sym_DASH_GT] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_PERCENT] = ACTIONS(3312),
    [anon_sym_GT] = ACTIONS(3312),
    [anon_sym_LT_LT] = ACTIONS(3312),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3310),
    [anon_sym_PLUS_EQ] = ACTIONS(3310),
    [anon_sym_DASH_EQ] = ACTIONS(3310),
    [anon_sym_DOT_EQ] = ACTIONS(3310),
    [anon_sym_STAR_EQ] = ACTIONS(3310),
    [anon_sym_SLASH_EQ] = ACTIONS(3310),
    [anon_sym_PERCENT_EQ] = ACTIONS(3310),
    [anon_sym_x_EQ] = ACTIONS(3310),
    [anon_sym_AMP_EQ] = ACTIONS(3310),
    [anon_sym_PIPE_EQ] = ACTIONS(3310),
    [anon_sym_CARET_EQ] = ACTIONS(3310),
    [anon_sym_LT_LT_EQ] = ACTIONS(3310),
    [anon_sym_GT_GT_EQ] = ACTIONS(3310),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3310),
    [anon_sym_DOT_DOT] = ACTIONS(3312),
    [anon_sym_STAR_STAR] = ACTIONS(3312),
    [anon_sym_PIPE_PIPE] = ACTIONS(3312),
    [anon_sym_SLASH_SLASH] = ACTIONS(3312),
    [anon_sym_CARET_CARET] = ACTIONS(3310),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_PIPE] = ACTIONS(3312),
    [anon_sym_CARET] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3312),
    [anon_sym_GT_GT2] = ACTIONS(3312),
    [anon_sym_PLUS] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3312),
    [anon_sym_DOT] = ACTIONS(3312),
    [anon_sym_SLASH] = ACTIONS(3312),
    [anon_sym_x] = ACTIONS(3312),
    [anon_sym_EQ_TILDE] = ACTIONS(3310),
    [anon_sym_BANG_TILDE] = ACTIONS(3310),
    [anon_sym_EQ_EQ] = ACTIONS(3312),
    [anon_sym_BANG_EQ] = ACTIONS(3310),
    [anon_sym_eq] = ACTIONS(3312),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3310),
    [anon_sym_equ] = ACTIONS(3310),
    [anon_sym_eqr] = ACTIONS(3310),
    [anon_sym_ne] = ACTIONS(3310),
    [anon_sym_LT_EQ_GT] = ACTIONS(3310),
    [anon_sym_cmp] = ACTIONS(3310),
    [anon_sym_TILDE_TILDE] = ACTIONS(3310),
    [anon_sym_LT] = ACTIONS(3312),
    [anon_sym_LT_EQ] = ACTIONS(3312),
    [anon_sym_GT_EQ] = ACTIONS(3310),
    [anon_sym_lt] = ACTIONS(3310),
    [anon_sym_le] = ACTIONS(3310),
    [anon_sym_ge] = ACTIONS(3310),
    [anon_sym_gt] = ACTIONS(3310),
    [anon_sym_isa] = ACTIONS(3310),
    [anon_sym_PLUS_PLUS] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3310),
    [anon_sym_QMARK] = ACTIONS(3310),
    [anon_sym_EQ_GT] = ACTIONS(3310),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3310),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2262] = {
    [sym_heredoc_content] = STATE(2262),
    [anon_sym_SEMI] = ACTIONS(2861),
    [anon_sym_EQ] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_COMMA] = ACTIONS(2861),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2861),
    [anon_sym_DASH_GT] = ACTIONS(2861),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_PERCENT] = ACTIONS(2863),
    [anon_sym_GT] = ACTIONS(2863),
    [anon_sym_LT_LT] = ACTIONS(2863),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2861),
    [anon_sym_PLUS_EQ] = ACTIONS(2861),
    [anon_sym_DASH_EQ] = ACTIONS(2861),
    [anon_sym_DOT_EQ] = ACTIONS(2861),
    [anon_sym_STAR_EQ] = ACTIONS(2861),
    [anon_sym_SLASH_EQ] = ACTIONS(2861),
    [anon_sym_PERCENT_EQ] = ACTIONS(2861),
    [anon_sym_x_EQ] = ACTIONS(2861),
    [anon_sym_AMP_EQ] = ACTIONS(2861),
    [anon_sym_PIPE_EQ] = ACTIONS(2861),
    [anon_sym_CARET_EQ] = ACTIONS(2861),
    [anon_sym_LT_LT_EQ] = ACTIONS(2861),
    [anon_sym_GT_GT_EQ] = ACTIONS(2861),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2861),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_STAR_STAR] = ACTIONS(2863),
    [anon_sym_PIPE_PIPE] = ACTIONS(2863),
    [anon_sym_SLASH_SLASH] = ACTIONS(2863),
    [anon_sym_CARET_CARET] = ACTIONS(2861),
    [anon_sym_AMP_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_CARET] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_GT_GT2] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(2863),
    [anon_sym_SLASH] = ACTIONS(2863),
    [anon_sym_x] = ACTIONS(2863),
    [anon_sym_EQ_TILDE] = ACTIONS(2861),
    [anon_sym_BANG_TILDE] = ACTIONS(2861),
    [anon_sym_EQ_EQ] = ACTIONS(2863),
    [anon_sym_BANG_EQ] = ACTIONS(2861),
    [anon_sym_eq] = ACTIONS(2863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2861),
    [anon_sym_equ] = ACTIONS(2861),
    [anon_sym_eqr] = ACTIONS(2861),
    [anon_sym_ne] = ACTIONS(2861),
    [anon_sym_LT_EQ_GT] = ACTIONS(2861),
    [anon_sym_cmp] = ACTIONS(2861),
    [anon_sym_TILDE_TILDE] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_LT_EQ] = ACTIONS(2863),
    [anon_sym_GT_EQ] = ACTIONS(2861),
    [anon_sym_lt] = ACTIONS(2861),
    [anon_sym_le] = ACTIONS(2861),
    [anon_sym_ge] = ACTIONS(2861),
    [anon_sym_gt] = ACTIONS(2861),
    [anon_sym_isa] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2861),
    [anon_sym_DASH_DASH] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2861),
    [anon_sym_EQ_GT] = ACTIONS(2861),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2861),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2263] = {
    [sym_heredoc_content] = STATE(2263),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_EQ] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_COMMA] = ACTIONS(3070),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3070),
    [anon_sym_DASH_GT] = ACTIONS(3070),
    [anon_sym_STAR] = ACTIONS(3072),
    [anon_sym_PERCENT] = ACTIONS(3072),
    [anon_sym_GT] = ACTIONS(3072),
    [anon_sym_LT_LT] = ACTIONS(3072),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3070),
    [anon_sym_PLUS_EQ] = ACTIONS(3070),
    [anon_sym_DASH_EQ] = ACTIONS(3070),
    [anon_sym_DOT_EQ] = ACTIONS(3070),
    [anon_sym_STAR_EQ] = ACTIONS(3070),
    [anon_sym_SLASH_EQ] = ACTIONS(3070),
    [anon_sym_PERCENT_EQ] = ACTIONS(3070),
    [anon_sym_x_EQ] = ACTIONS(3070),
    [anon_sym_AMP_EQ] = ACTIONS(3070),
    [anon_sym_PIPE_EQ] = ACTIONS(3070),
    [anon_sym_CARET_EQ] = ACTIONS(3070),
    [anon_sym_LT_LT_EQ] = ACTIONS(3070),
    [anon_sym_GT_GT_EQ] = ACTIONS(3070),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3070),
    [anon_sym_DOT_DOT] = ACTIONS(3072),
    [anon_sym_STAR_STAR] = ACTIONS(3072),
    [anon_sym_PIPE_PIPE] = ACTIONS(3072),
    [anon_sym_SLASH_SLASH] = ACTIONS(3072),
    [anon_sym_CARET_CARET] = ACTIONS(3070),
    [anon_sym_AMP_AMP] = ACTIONS(3072),
    [anon_sym_PIPE] = ACTIONS(3072),
    [anon_sym_CARET] = ACTIONS(3072),
    [anon_sym_AMP] = ACTIONS(3072),
    [anon_sym_GT_GT2] = ACTIONS(3072),
    [anon_sym_PLUS] = ACTIONS(3072),
    [anon_sym_DASH] = ACTIONS(3072),
    [anon_sym_DOT] = ACTIONS(3072),
    [anon_sym_SLASH] = ACTIONS(3072),
    [anon_sym_x] = ACTIONS(3072),
    [anon_sym_EQ_TILDE] = ACTIONS(3070),
    [anon_sym_BANG_TILDE] = ACTIONS(3070),
    [anon_sym_EQ_EQ] = ACTIONS(3072),
    [anon_sym_BANG_EQ] = ACTIONS(3070),
    [anon_sym_eq] = ACTIONS(3072),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3070),
    [anon_sym_equ] = ACTIONS(3070),
    [anon_sym_eqr] = ACTIONS(3070),
    [anon_sym_ne] = ACTIONS(3070),
    [anon_sym_LT_EQ_GT] = ACTIONS(3070),
    [anon_sym_cmp] = ACTIONS(3070),
    [anon_sym_TILDE_TILDE] = ACTIONS(3070),
    [anon_sym_LT] = ACTIONS(3072),
    [anon_sym_LT_EQ] = ACTIONS(3072),
    [anon_sym_GT_EQ] = ACTIONS(3070),
    [anon_sym_lt] = ACTIONS(3070),
    [anon_sym_le] = ACTIONS(3070),
    [anon_sym_ge] = ACTIONS(3070),
    [anon_sym_gt] = ACTIONS(3070),
    [anon_sym_isa] = ACTIONS(3070),
    [anon_sym_PLUS_PLUS] = ACTIONS(3070),
    [anon_sym_DASH_DASH] = ACTIONS(3070),
    [anon_sym_QMARK] = ACTIONS(3070),
    [anon_sym_EQ_GT] = ACTIONS(3070),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3070),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2264] = {
    [sym_heredoc_content] = STATE(2264),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_EQ] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_COMMA] = ACTIONS(2845),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2845),
    [anon_sym_DASH_GT] = ACTIONS(2845),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_PERCENT] = ACTIONS(2847),
    [anon_sym_GT] = ACTIONS(2847),
    [anon_sym_LT_LT] = ACTIONS(2847),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2845),
    [anon_sym_PLUS_EQ] = ACTIONS(2845),
    [anon_sym_DASH_EQ] = ACTIONS(2845),
    [anon_sym_DOT_EQ] = ACTIONS(2845),
    [anon_sym_STAR_EQ] = ACTIONS(2845),
    [anon_sym_SLASH_EQ] = ACTIONS(2845),
    [anon_sym_PERCENT_EQ] = ACTIONS(2845),
    [anon_sym_x_EQ] = ACTIONS(2845),
    [anon_sym_AMP_EQ] = ACTIONS(2845),
    [anon_sym_PIPE_EQ] = ACTIONS(2845),
    [anon_sym_CARET_EQ] = ACTIONS(2845),
    [anon_sym_LT_LT_EQ] = ACTIONS(2845),
    [anon_sym_GT_GT_EQ] = ACTIONS(2845),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2845),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_STAR_STAR] = ACTIONS(2847),
    [anon_sym_PIPE_PIPE] = ACTIONS(2847),
    [anon_sym_SLASH_SLASH] = ACTIONS(2847),
    [anon_sym_CARET_CARET] = ACTIONS(2845),
    [anon_sym_AMP_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_CARET] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_GT_GT2] = ACTIONS(2847),
    [anon_sym_PLUS] = ACTIONS(2847),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_DOT] = ACTIONS(2847),
    [anon_sym_SLASH] = ACTIONS(2847),
    [anon_sym_x] = ACTIONS(2847),
    [anon_sym_EQ_TILDE] = ACTIONS(2845),
    [anon_sym_BANG_TILDE] = ACTIONS(2845),
    [anon_sym_EQ_EQ] = ACTIONS(2847),
    [anon_sym_BANG_EQ] = ACTIONS(2845),
    [anon_sym_eq] = ACTIONS(2847),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2845),
    [anon_sym_equ] = ACTIONS(2845),
    [anon_sym_eqr] = ACTIONS(2845),
    [anon_sym_ne] = ACTIONS(2845),
    [anon_sym_LT_EQ_GT] = ACTIONS(2845),
    [anon_sym_cmp] = ACTIONS(2845),
    [anon_sym_TILDE_TILDE] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_LT_EQ] = ACTIONS(2847),
    [anon_sym_GT_EQ] = ACTIONS(2845),
    [anon_sym_lt] = ACTIONS(2845),
    [anon_sym_le] = ACTIONS(2845),
    [anon_sym_ge] = ACTIONS(2845),
    [anon_sym_gt] = ACTIONS(2845),
    [anon_sym_isa] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2845),
    [anon_sym_DASH_DASH] = ACTIONS(2845),
    [anon_sym_QMARK] = ACTIONS(2845),
    [anon_sym_EQ_GT] = ACTIONS(2845),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2845),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2265] = {
    [sym_heredoc_content] = STATE(2265),
    [anon_sym_SEMI] = ACTIONS(3290),
    [anon_sym_EQ] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_COMMA] = ACTIONS(3290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3290),
    [anon_sym_DASH_GT] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_PERCENT] = ACTIONS(3292),
    [anon_sym_GT] = ACTIONS(3292),
    [anon_sym_LT_LT] = ACTIONS(3292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3290),
    [anon_sym_PLUS_EQ] = ACTIONS(3290),
    [anon_sym_DASH_EQ] = ACTIONS(3290),
    [anon_sym_DOT_EQ] = ACTIONS(3290),
    [anon_sym_STAR_EQ] = ACTIONS(3290),
    [anon_sym_SLASH_EQ] = ACTIONS(3290),
    [anon_sym_PERCENT_EQ] = ACTIONS(3290),
    [anon_sym_x_EQ] = ACTIONS(3290),
    [anon_sym_AMP_EQ] = ACTIONS(3290),
    [anon_sym_PIPE_EQ] = ACTIONS(3290),
    [anon_sym_CARET_EQ] = ACTIONS(3290),
    [anon_sym_LT_LT_EQ] = ACTIONS(3290),
    [anon_sym_GT_GT_EQ] = ACTIONS(3290),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3290),
    [anon_sym_DOT_DOT] = ACTIONS(3292),
    [anon_sym_STAR_STAR] = ACTIONS(3292),
    [anon_sym_PIPE_PIPE] = ACTIONS(3292),
    [anon_sym_SLASH_SLASH] = ACTIONS(3292),
    [anon_sym_CARET_CARET] = ACTIONS(3290),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_PIPE] = ACTIONS(3292),
    [anon_sym_CARET] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3292),
    [anon_sym_GT_GT2] = ACTIONS(3292),
    [anon_sym_PLUS] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3292),
    [anon_sym_DOT] = ACTIONS(3292),
    [anon_sym_SLASH] = ACTIONS(3292),
    [anon_sym_x] = ACTIONS(3292),
    [anon_sym_EQ_TILDE] = ACTIONS(3290),
    [anon_sym_BANG_TILDE] = ACTIONS(3290),
    [anon_sym_EQ_EQ] = ACTIONS(3292),
    [anon_sym_BANG_EQ] = ACTIONS(3290),
    [anon_sym_eq] = ACTIONS(3292),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3290),
    [anon_sym_equ] = ACTIONS(3290),
    [anon_sym_eqr] = ACTIONS(3290),
    [anon_sym_ne] = ACTIONS(3290),
    [anon_sym_LT_EQ_GT] = ACTIONS(3290),
    [anon_sym_cmp] = ACTIONS(3290),
    [anon_sym_TILDE_TILDE] = ACTIONS(3290),
    [anon_sym_LT] = ACTIONS(3292),
    [anon_sym_LT_EQ] = ACTIONS(3292),
    [anon_sym_GT_EQ] = ACTIONS(3290),
    [anon_sym_lt] = ACTIONS(3290),
    [anon_sym_le] = ACTIONS(3290),
    [anon_sym_ge] = ACTIONS(3290),
    [anon_sym_gt] = ACTIONS(3290),
    [anon_sym_isa] = ACTIONS(3290),
    [anon_sym_PLUS_PLUS] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3290),
    [anon_sym_QMARK] = ACTIONS(3290),
    [anon_sym_EQ_GT] = ACTIONS(3290),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3290),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2266] = {
    [sym_heredoc_content] = STATE(2266),
    [anon_sym_SEMI] = ACTIONS(2841),
    [anon_sym_EQ] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_COMMA] = ACTIONS(2841),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2841),
    [anon_sym_DASH_GT] = ACTIONS(2841),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_PERCENT] = ACTIONS(2843),
    [anon_sym_GT] = ACTIONS(2843),
    [anon_sym_LT_LT] = ACTIONS(2843),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2841),
    [anon_sym_PLUS_EQ] = ACTIONS(2841),
    [anon_sym_DASH_EQ] = ACTIONS(2841),
    [anon_sym_DOT_EQ] = ACTIONS(2841),
    [anon_sym_STAR_EQ] = ACTIONS(2841),
    [anon_sym_SLASH_EQ] = ACTIONS(2841),
    [anon_sym_PERCENT_EQ] = ACTIONS(2841),
    [anon_sym_x_EQ] = ACTIONS(2841),
    [anon_sym_AMP_EQ] = ACTIONS(2841),
    [anon_sym_PIPE_EQ] = ACTIONS(2841),
    [anon_sym_CARET_EQ] = ACTIONS(2841),
    [anon_sym_LT_LT_EQ] = ACTIONS(2841),
    [anon_sym_GT_GT_EQ] = ACTIONS(2841),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2841),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_STAR_STAR] = ACTIONS(2843),
    [anon_sym_PIPE_PIPE] = ACTIONS(2843),
    [anon_sym_SLASH_SLASH] = ACTIONS(2843),
    [anon_sym_CARET_CARET] = ACTIONS(2841),
    [anon_sym_AMP_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_CARET] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_GT_GT2] = ACTIONS(2843),
    [anon_sym_PLUS] = ACTIONS(2843),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_DOT] = ACTIONS(2843),
    [anon_sym_SLASH] = ACTIONS(2843),
    [anon_sym_x] = ACTIONS(2843),
    [anon_sym_EQ_TILDE] = ACTIONS(2841),
    [anon_sym_BANG_TILDE] = ACTIONS(2841),
    [anon_sym_EQ_EQ] = ACTIONS(2843),
    [anon_sym_BANG_EQ] = ACTIONS(2841),
    [anon_sym_eq] = ACTIONS(2843),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2841),
    [anon_sym_equ] = ACTIONS(2841),
    [anon_sym_eqr] = ACTIONS(2841),
    [anon_sym_ne] = ACTIONS(2841),
    [anon_sym_LT_EQ_GT] = ACTIONS(2841),
    [anon_sym_cmp] = ACTIONS(2841),
    [anon_sym_TILDE_TILDE] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_LT_EQ] = ACTIONS(2843),
    [anon_sym_GT_EQ] = ACTIONS(2841),
    [anon_sym_lt] = ACTIONS(2841),
    [anon_sym_le] = ACTIONS(2841),
    [anon_sym_ge] = ACTIONS(2841),
    [anon_sym_gt] = ACTIONS(2841),
    [anon_sym_isa] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2841),
    [anon_sym_DASH_DASH] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2841),
    [anon_sym_EQ_GT] = ACTIONS(2841),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2841),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2267] = {
    [sym_heredoc_content] = STATE(2267),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym_EQ] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_COMMA] = ACTIONS(2951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2951),
    [anon_sym_DASH_GT] = ACTIONS(2951),
    [anon_sym_STAR] = ACTIONS(2953),
    [anon_sym_PERCENT] = ACTIONS(2953),
    [anon_sym_GT] = ACTIONS(2953),
    [anon_sym_LT_LT] = ACTIONS(2953),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2951),
    [anon_sym_PLUS_EQ] = ACTIONS(2951),
    [anon_sym_DASH_EQ] = ACTIONS(2951),
    [anon_sym_DOT_EQ] = ACTIONS(2951),
    [anon_sym_STAR_EQ] = ACTIONS(2951),
    [anon_sym_SLASH_EQ] = ACTIONS(2951),
    [anon_sym_PERCENT_EQ] = ACTIONS(2951),
    [anon_sym_x_EQ] = ACTIONS(2951),
    [anon_sym_AMP_EQ] = ACTIONS(2951),
    [anon_sym_PIPE_EQ] = ACTIONS(2951),
    [anon_sym_CARET_EQ] = ACTIONS(2951),
    [anon_sym_LT_LT_EQ] = ACTIONS(2951),
    [anon_sym_GT_GT_EQ] = ACTIONS(2951),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2951),
    [anon_sym_DOT_DOT] = ACTIONS(2953),
    [anon_sym_STAR_STAR] = ACTIONS(2953),
    [anon_sym_PIPE_PIPE] = ACTIONS(2953),
    [anon_sym_SLASH_SLASH] = ACTIONS(2953),
    [anon_sym_CARET_CARET] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2953),
    [anon_sym_PIPE] = ACTIONS(2953),
    [anon_sym_CARET] = ACTIONS(2953),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_GT_GT2] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_DOT] = ACTIONS(2953),
    [anon_sym_SLASH] = ACTIONS(2953),
    [anon_sym_x] = ACTIONS(2953),
    [anon_sym_EQ_TILDE] = ACTIONS(2951),
    [anon_sym_BANG_TILDE] = ACTIONS(2951),
    [anon_sym_EQ_EQ] = ACTIONS(2953),
    [anon_sym_BANG_EQ] = ACTIONS(2951),
    [anon_sym_eq] = ACTIONS(2953),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2951),
    [anon_sym_equ] = ACTIONS(2951),
    [anon_sym_eqr] = ACTIONS(2951),
    [anon_sym_ne] = ACTIONS(2951),
    [anon_sym_LT_EQ_GT] = ACTIONS(2951),
    [anon_sym_cmp] = ACTIONS(2951),
    [anon_sym_TILDE_TILDE] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2953),
    [anon_sym_LT_EQ] = ACTIONS(2953),
    [anon_sym_GT_EQ] = ACTIONS(2951),
    [anon_sym_lt] = ACTIONS(2951),
    [anon_sym_le] = ACTIONS(2951),
    [anon_sym_ge] = ACTIONS(2951),
    [anon_sym_gt] = ACTIONS(2951),
    [anon_sym_isa] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2951),
    [anon_sym_EQ_GT] = ACTIONS(2951),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2951),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2268] = {
    [sym_heredoc_content] = STATE(2268),
    [anon_sym_SEMI] = ACTIONS(3022),
    [anon_sym_EQ] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_COMMA] = ACTIONS(3022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3022),
    [anon_sym_DASH_GT] = ACTIONS(3022),
    [anon_sym_STAR] = ACTIONS(3024),
    [anon_sym_PERCENT] = ACTIONS(3024),
    [anon_sym_GT] = ACTIONS(3024),
    [anon_sym_LT_LT] = ACTIONS(3024),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3022),
    [anon_sym_PLUS_EQ] = ACTIONS(3022),
    [anon_sym_DASH_EQ] = ACTIONS(3022),
    [anon_sym_DOT_EQ] = ACTIONS(3022),
    [anon_sym_STAR_EQ] = ACTIONS(3022),
    [anon_sym_SLASH_EQ] = ACTIONS(3022),
    [anon_sym_PERCENT_EQ] = ACTIONS(3022),
    [anon_sym_x_EQ] = ACTIONS(3022),
    [anon_sym_AMP_EQ] = ACTIONS(3022),
    [anon_sym_PIPE_EQ] = ACTIONS(3022),
    [anon_sym_CARET_EQ] = ACTIONS(3022),
    [anon_sym_LT_LT_EQ] = ACTIONS(3022),
    [anon_sym_GT_GT_EQ] = ACTIONS(3022),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3022),
    [anon_sym_DOT_DOT] = ACTIONS(3024),
    [anon_sym_STAR_STAR] = ACTIONS(3024),
    [anon_sym_PIPE_PIPE] = ACTIONS(3024),
    [anon_sym_SLASH_SLASH] = ACTIONS(3024),
    [anon_sym_CARET_CARET] = ACTIONS(3022),
    [anon_sym_AMP_AMP] = ACTIONS(3024),
    [anon_sym_PIPE] = ACTIONS(3024),
    [anon_sym_CARET] = ACTIONS(3024),
    [anon_sym_AMP] = ACTIONS(3024),
    [anon_sym_GT_GT2] = ACTIONS(3024),
    [anon_sym_PLUS] = ACTIONS(3024),
    [anon_sym_DASH] = ACTIONS(3024),
    [anon_sym_DOT] = ACTIONS(3024),
    [anon_sym_SLASH] = ACTIONS(3024),
    [anon_sym_x] = ACTIONS(3024),
    [anon_sym_EQ_TILDE] = ACTIONS(3022),
    [anon_sym_BANG_TILDE] = ACTIONS(3022),
    [anon_sym_EQ_EQ] = ACTIONS(3024),
    [anon_sym_BANG_EQ] = ACTIONS(3022),
    [anon_sym_eq] = ACTIONS(3024),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3022),
    [anon_sym_equ] = ACTIONS(3022),
    [anon_sym_eqr] = ACTIONS(3022),
    [anon_sym_ne] = ACTIONS(3022),
    [anon_sym_LT_EQ_GT] = ACTIONS(3022),
    [anon_sym_cmp] = ACTIONS(3022),
    [anon_sym_TILDE_TILDE] = ACTIONS(3022),
    [anon_sym_LT] = ACTIONS(3024),
    [anon_sym_LT_EQ] = ACTIONS(3024),
    [anon_sym_GT_EQ] = ACTIONS(3022),
    [anon_sym_lt] = ACTIONS(3022),
    [anon_sym_le] = ACTIONS(3022),
    [anon_sym_ge] = ACTIONS(3022),
    [anon_sym_gt] = ACTIONS(3022),
    [anon_sym_isa] = ACTIONS(3022),
    [anon_sym_PLUS_PLUS] = ACTIONS(3022),
    [anon_sym_DASH_DASH] = ACTIONS(3022),
    [anon_sym_QMARK] = ACTIONS(3022),
    [anon_sym_EQ_GT] = ACTIONS(3022),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3022),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2269] = {
    [sym_heredoc_content] = STATE(2269),
    [anon_sym_SEMI] = ACTIONS(3034),
    [anon_sym_EQ] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_COMMA] = ACTIONS(3034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3034),
    [anon_sym_DASH_GT] = ACTIONS(3034),
    [anon_sym_STAR] = ACTIONS(3036),
    [anon_sym_PERCENT] = ACTIONS(3036),
    [anon_sym_GT] = ACTIONS(3036),
    [anon_sym_LT_LT] = ACTIONS(3036),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3034),
    [anon_sym_PLUS_EQ] = ACTIONS(3034),
    [anon_sym_DASH_EQ] = ACTIONS(3034),
    [anon_sym_DOT_EQ] = ACTIONS(3034),
    [anon_sym_STAR_EQ] = ACTIONS(3034),
    [anon_sym_SLASH_EQ] = ACTIONS(3034),
    [anon_sym_PERCENT_EQ] = ACTIONS(3034),
    [anon_sym_x_EQ] = ACTIONS(3034),
    [anon_sym_AMP_EQ] = ACTIONS(3034),
    [anon_sym_PIPE_EQ] = ACTIONS(3034),
    [anon_sym_CARET_EQ] = ACTIONS(3034),
    [anon_sym_LT_LT_EQ] = ACTIONS(3034),
    [anon_sym_GT_GT_EQ] = ACTIONS(3034),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3034),
    [anon_sym_DOT_DOT] = ACTIONS(3036),
    [anon_sym_STAR_STAR] = ACTIONS(3036),
    [anon_sym_PIPE_PIPE] = ACTIONS(3036),
    [anon_sym_SLASH_SLASH] = ACTIONS(3036),
    [anon_sym_CARET_CARET] = ACTIONS(3034),
    [anon_sym_AMP_AMP] = ACTIONS(3036),
    [anon_sym_PIPE] = ACTIONS(3036),
    [anon_sym_CARET] = ACTIONS(3036),
    [anon_sym_AMP] = ACTIONS(3036),
    [anon_sym_GT_GT2] = ACTIONS(3036),
    [anon_sym_PLUS] = ACTIONS(3036),
    [anon_sym_DASH] = ACTIONS(3036),
    [anon_sym_DOT] = ACTIONS(3036),
    [anon_sym_SLASH] = ACTIONS(3036),
    [anon_sym_x] = ACTIONS(3036),
    [anon_sym_EQ_TILDE] = ACTIONS(3034),
    [anon_sym_BANG_TILDE] = ACTIONS(3034),
    [anon_sym_EQ_EQ] = ACTIONS(3036),
    [anon_sym_BANG_EQ] = ACTIONS(3034),
    [anon_sym_eq] = ACTIONS(3036),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3034),
    [anon_sym_equ] = ACTIONS(3034),
    [anon_sym_eqr] = ACTIONS(3034),
    [anon_sym_ne] = ACTIONS(3034),
    [anon_sym_LT_EQ_GT] = ACTIONS(3034),
    [anon_sym_cmp] = ACTIONS(3034),
    [anon_sym_TILDE_TILDE] = ACTIONS(3034),
    [anon_sym_LT] = ACTIONS(3036),
    [anon_sym_LT_EQ] = ACTIONS(3036),
    [anon_sym_GT_EQ] = ACTIONS(3034),
    [anon_sym_lt] = ACTIONS(3034),
    [anon_sym_le] = ACTIONS(3034),
    [anon_sym_ge] = ACTIONS(3034),
    [anon_sym_gt] = ACTIONS(3034),
    [anon_sym_isa] = ACTIONS(3034),
    [anon_sym_PLUS_PLUS] = ACTIONS(3034),
    [anon_sym_DASH_DASH] = ACTIONS(3034),
    [anon_sym_QMARK] = ACTIONS(3034),
    [anon_sym_EQ_GT] = ACTIONS(3034),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3034),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2270] = {
    [sym_heredoc_content] = STATE(2270),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym_EQ] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_COMMA] = ACTIONS(3166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3166),
    [anon_sym_DASH_GT] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3168),
    [anon_sym_PERCENT] = ACTIONS(3168),
    [anon_sym_GT] = ACTIONS(3168),
    [anon_sym_LT_LT] = ACTIONS(3168),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3166),
    [anon_sym_PLUS_EQ] = ACTIONS(3166),
    [anon_sym_DASH_EQ] = ACTIONS(3166),
    [anon_sym_DOT_EQ] = ACTIONS(3166),
    [anon_sym_STAR_EQ] = ACTIONS(3166),
    [anon_sym_SLASH_EQ] = ACTIONS(3166),
    [anon_sym_PERCENT_EQ] = ACTIONS(3166),
    [anon_sym_x_EQ] = ACTIONS(3166),
    [anon_sym_AMP_EQ] = ACTIONS(3166),
    [anon_sym_PIPE_EQ] = ACTIONS(3166),
    [anon_sym_CARET_EQ] = ACTIONS(3166),
    [anon_sym_LT_LT_EQ] = ACTIONS(3166),
    [anon_sym_GT_GT_EQ] = ACTIONS(3166),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3166),
    [anon_sym_DOT_DOT] = ACTIONS(3168),
    [anon_sym_STAR_STAR] = ACTIONS(3168),
    [anon_sym_PIPE_PIPE] = ACTIONS(3168),
    [anon_sym_SLASH_SLASH] = ACTIONS(3168),
    [anon_sym_CARET_CARET] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3168),
    [anon_sym_PIPE] = ACTIONS(3168),
    [anon_sym_CARET] = ACTIONS(3168),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_GT_GT2] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_DOT] = ACTIONS(3168),
    [anon_sym_SLASH] = ACTIONS(3168),
    [anon_sym_x] = ACTIONS(3168),
    [anon_sym_EQ_TILDE] = ACTIONS(3166),
    [anon_sym_BANG_TILDE] = ACTIONS(3166),
    [anon_sym_EQ_EQ] = ACTIONS(3168),
    [anon_sym_BANG_EQ] = ACTIONS(3166),
    [anon_sym_eq] = ACTIONS(3168),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3166),
    [anon_sym_equ] = ACTIONS(3166),
    [anon_sym_eqr] = ACTIONS(3166),
    [anon_sym_ne] = ACTIONS(3166),
    [anon_sym_LT_EQ_GT] = ACTIONS(3166),
    [anon_sym_cmp] = ACTIONS(3166),
    [anon_sym_TILDE_TILDE] = ACTIONS(3166),
    [anon_sym_LT] = ACTIONS(3168),
    [anon_sym_LT_EQ] = ACTIONS(3168),
    [anon_sym_GT_EQ] = ACTIONS(3166),
    [anon_sym_lt] = ACTIONS(3166),
    [anon_sym_le] = ACTIONS(3166),
    [anon_sym_ge] = ACTIONS(3166),
    [anon_sym_gt] = ACTIONS(3166),
    [anon_sym_isa] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_QMARK] = ACTIONS(3166),
    [anon_sym_EQ_GT] = ACTIONS(3166),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3166),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2271] = {
    [sym_heredoc_content] = STATE(2271),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_EQ] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_COMMA] = ACTIONS(2965),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2965),
    [anon_sym_DASH_GT] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_PERCENT] = ACTIONS(2967),
    [anon_sym_GT] = ACTIONS(2967),
    [anon_sym_LT_LT] = ACTIONS(2967),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2965),
    [anon_sym_PLUS_EQ] = ACTIONS(2965),
    [anon_sym_DASH_EQ] = ACTIONS(2965),
    [anon_sym_DOT_EQ] = ACTIONS(2965),
    [anon_sym_STAR_EQ] = ACTIONS(2965),
    [anon_sym_SLASH_EQ] = ACTIONS(2965),
    [anon_sym_PERCENT_EQ] = ACTIONS(2965),
    [anon_sym_x_EQ] = ACTIONS(2965),
    [anon_sym_AMP_EQ] = ACTIONS(2965),
    [anon_sym_PIPE_EQ] = ACTIONS(2965),
    [anon_sym_CARET_EQ] = ACTIONS(2965),
    [anon_sym_LT_LT_EQ] = ACTIONS(2965),
    [anon_sym_GT_GT_EQ] = ACTIONS(2965),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2965),
    [anon_sym_DOT_DOT] = ACTIONS(2967),
    [anon_sym_STAR_STAR] = ACTIONS(2967),
    [anon_sym_PIPE_PIPE] = ACTIONS(2967),
    [anon_sym_SLASH_SLASH] = ACTIONS(2967),
    [anon_sym_CARET_CARET] = ACTIONS(2965),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_PIPE] = ACTIONS(2967),
    [anon_sym_CARET] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_GT_GT2] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_x] = ACTIONS(2967),
    [anon_sym_EQ_TILDE] = ACTIONS(2965),
    [anon_sym_BANG_TILDE] = ACTIONS(2965),
    [anon_sym_EQ_EQ] = ACTIONS(2967),
    [anon_sym_BANG_EQ] = ACTIONS(2965),
    [anon_sym_eq] = ACTIONS(2967),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2965),
    [anon_sym_equ] = ACTIONS(2965),
    [anon_sym_eqr] = ACTIONS(2965),
    [anon_sym_ne] = ACTIONS(2965),
    [anon_sym_LT_EQ_GT] = ACTIONS(2965),
    [anon_sym_cmp] = ACTIONS(2965),
    [anon_sym_TILDE_TILDE] = ACTIONS(2965),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_LT_EQ] = ACTIONS(2967),
    [anon_sym_GT_EQ] = ACTIONS(2965),
    [anon_sym_lt] = ACTIONS(2965),
    [anon_sym_le] = ACTIONS(2965),
    [anon_sym_ge] = ACTIONS(2965),
    [anon_sym_gt] = ACTIONS(2965),
    [anon_sym_isa] = ACTIONS(2965),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2965),
    [anon_sym_EQ_GT] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2965),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2272] = {
    [sym_heredoc_content] = STATE(2272),
    [anon_sym_SEMI] = ACTIONS(3318),
    [anon_sym_EQ] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_COMMA] = ACTIONS(3318),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3318),
    [anon_sym_DASH_GT] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3320),
    [anon_sym_PERCENT] = ACTIONS(3320),
    [anon_sym_GT] = ACTIONS(3320),
    [anon_sym_LT_LT] = ACTIONS(3320),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3318),
    [anon_sym_PLUS_EQ] = ACTIONS(3318),
    [anon_sym_DASH_EQ] = ACTIONS(3318),
    [anon_sym_DOT_EQ] = ACTIONS(3318),
    [anon_sym_STAR_EQ] = ACTIONS(3318),
    [anon_sym_SLASH_EQ] = ACTIONS(3318),
    [anon_sym_PERCENT_EQ] = ACTIONS(3318),
    [anon_sym_x_EQ] = ACTIONS(3318),
    [anon_sym_AMP_EQ] = ACTIONS(3318),
    [anon_sym_PIPE_EQ] = ACTIONS(3318),
    [anon_sym_CARET_EQ] = ACTIONS(3318),
    [anon_sym_LT_LT_EQ] = ACTIONS(3318),
    [anon_sym_GT_GT_EQ] = ACTIONS(3318),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3318),
    [anon_sym_DOT_DOT] = ACTIONS(3320),
    [anon_sym_STAR_STAR] = ACTIONS(3320),
    [anon_sym_PIPE_PIPE] = ACTIONS(3320),
    [anon_sym_SLASH_SLASH] = ACTIONS(3320),
    [anon_sym_CARET_CARET] = ACTIONS(3318),
    [anon_sym_AMP_AMP] = ACTIONS(3320),
    [anon_sym_PIPE] = ACTIONS(3320),
    [anon_sym_CARET] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym_GT_GT2] = ACTIONS(3320),
    [anon_sym_PLUS] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3320),
    [anon_sym_DOT] = ACTIONS(3320),
    [anon_sym_SLASH] = ACTIONS(3320),
    [anon_sym_x] = ACTIONS(3320),
    [anon_sym_EQ_TILDE] = ACTIONS(3318),
    [anon_sym_BANG_TILDE] = ACTIONS(3318),
    [anon_sym_EQ_EQ] = ACTIONS(3320),
    [anon_sym_BANG_EQ] = ACTIONS(3318),
    [anon_sym_eq] = ACTIONS(3320),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3318),
    [anon_sym_equ] = ACTIONS(3318),
    [anon_sym_eqr] = ACTIONS(3318),
    [anon_sym_ne] = ACTIONS(3318),
    [anon_sym_LT_EQ_GT] = ACTIONS(3318),
    [anon_sym_cmp] = ACTIONS(3318),
    [anon_sym_TILDE_TILDE] = ACTIONS(3318),
    [anon_sym_LT] = ACTIONS(3320),
    [anon_sym_LT_EQ] = ACTIONS(3320),
    [anon_sym_GT_EQ] = ACTIONS(3318),
    [anon_sym_lt] = ACTIONS(3318),
    [anon_sym_le] = ACTIONS(3318),
    [anon_sym_ge] = ACTIONS(3318),
    [anon_sym_gt] = ACTIONS(3318),
    [anon_sym_isa] = ACTIONS(3318),
    [anon_sym_PLUS_PLUS] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3318),
    [anon_sym_QMARK] = ACTIONS(3318),
    [anon_sym_EQ_GT] = ACTIONS(3318),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3318),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2273] = {
    [sym_heredoc_content] = STATE(2273),
    [anon_sym_SEMI] = ACTIONS(2849),
    [anon_sym_EQ] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_COMMA] = ACTIONS(2849),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2849),
    [anon_sym_DASH_GT] = ACTIONS(2849),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_PERCENT] = ACTIONS(2851),
    [anon_sym_GT] = ACTIONS(2851),
    [anon_sym_LT_LT] = ACTIONS(2851),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2849),
    [anon_sym_PLUS_EQ] = ACTIONS(2849),
    [anon_sym_DASH_EQ] = ACTIONS(2849),
    [anon_sym_DOT_EQ] = ACTIONS(2849),
    [anon_sym_STAR_EQ] = ACTIONS(2849),
    [anon_sym_SLASH_EQ] = ACTIONS(2849),
    [anon_sym_PERCENT_EQ] = ACTIONS(2849),
    [anon_sym_x_EQ] = ACTIONS(2849),
    [anon_sym_AMP_EQ] = ACTIONS(2849),
    [anon_sym_PIPE_EQ] = ACTIONS(2849),
    [anon_sym_CARET_EQ] = ACTIONS(2849),
    [anon_sym_LT_LT_EQ] = ACTIONS(2849),
    [anon_sym_GT_GT_EQ] = ACTIONS(2849),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2849),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_STAR_STAR] = ACTIONS(2851),
    [anon_sym_PIPE_PIPE] = ACTIONS(2851),
    [anon_sym_SLASH_SLASH] = ACTIONS(2851),
    [anon_sym_CARET_CARET] = ACTIONS(2849),
    [anon_sym_AMP_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_CARET] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_GT_GT2] = ACTIONS(2851),
    [anon_sym_PLUS] = ACTIONS(2851),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_SLASH] = ACTIONS(2851),
    [anon_sym_x] = ACTIONS(2851),
    [anon_sym_EQ_TILDE] = ACTIONS(2849),
    [anon_sym_BANG_TILDE] = ACTIONS(2849),
    [anon_sym_EQ_EQ] = ACTIONS(2851),
    [anon_sym_BANG_EQ] = ACTIONS(2849),
    [anon_sym_eq] = ACTIONS(2851),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2849),
    [anon_sym_equ] = ACTIONS(2849),
    [anon_sym_eqr] = ACTIONS(2849),
    [anon_sym_ne] = ACTIONS(2849),
    [anon_sym_LT_EQ_GT] = ACTIONS(2849),
    [anon_sym_cmp] = ACTIONS(2849),
    [anon_sym_TILDE_TILDE] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_LT_EQ] = ACTIONS(2851),
    [anon_sym_GT_EQ] = ACTIONS(2849),
    [anon_sym_lt] = ACTIONS(2849),
    [anon_sym_le] = ACTIONS(2849),
    [anon_sym_ge] = ACTIONS(2849),
    [anon_sym_gt] = ACTIONS(2849),
    [anon_sym_isa] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2849),
    [anon_sym_DASH_DASH] = ACTIONS(2849),
    [anon_sym_QMARK] = ACTIONS(2849),
    [anon_sym_EQ_GT] = ACTIONS(2849),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2849),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2274] = {
    [sym_heredoc_content] = STATE(2274),
    [anon_sym_SEMI] = ACTIONS(2885),
    [anon_sym_EQ] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_COMMA] = ACTIONS(2885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2885),
    [anon_sym_DASH_GT] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_PERCENT] = ACTIONS(2887),
    [anon_sym_GT] = ACTIONS(2887),
    [anon_sym_LT_LT] = ACTIONS(2887),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2885),
    [anon_sym_PLUS_EQ] = ACTIONS(2885),
    [anon_sym_DASH_EQ] = ACTIONS(2885),
    [anon_sym_DOT_EQ] = ACTIONS(2885),
    [anon_sym_STAR_EQ] = ACTIONS(2885),
    [anon_sym_SLASH_EQ] = ACTIONS(2885),
    [anon_sym_PERCENT_EQ] = ACTIONS(2885),
    [anon_sym_x_EQ] = ACTIONS(2885),
    [anon_sym_AMP_EQ] = ACTIONS(2885),
    [anon_sym_PIPE_EQ] = ACTIONS(2885),
    [anon_sym_CARET_EQ] = ACTIONS(2885),
    [anon_sym_LT_LT_EQ] = ACTIONS(2885),
    [anon_sym_GT_GT_EQ] = ACTIONS(2885),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2885),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_STAR_STAR] = ACTIONS(2887),
    [anon_sym_PIPE_PIPE] = ACTIONS(2887),
    [anon_sym_SLASH_SLASH] = ACTIONS(2887),
    [anon_sym_CARET_CARET] = ACTIONS(2885),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_CARET] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_GT_GT2] = ACTIONS(2887),
    [anon_sym_PLUS] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_DOT] = ACTIONS(2887),
    [anon_sym_SLASH] = ACTIONS(2887),
    [anon_sym_x] = ACTIONS(2887),
    [anon_sym_EQ_TILDE] = ACTIONS(2885),
    [anon_sym_BANG_TILDE] = ACTIONS(2885),
    [anon_sym_EQ_EQ] = ACTIONS(2887),
    [anon_sym_BANG_EQ] = ACTIONS(2885),
    [anon_sym_eq] = ACTIONS(2887),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2885),
    [anon_sym_equ] = ACTIONS(2885),
    [anon_sym_eqr] = ACTIONS(2885),
    [anon_sym_ne] = ACTIONS(2885),
    [anon_sym_LT_EQ_GT] = ACTIONS(2885),
    [anon_sym_cmp] = ACTIONS(2885),
    [anon_sym_TILDE_TILDE] = ACTIONS(2885),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_LT_EQ] = ACTIONS(2887),
    [anon_sym_GT_EQ] = ACTIONS(2885),
    [anon_sym_lt] = ACTIONS(2885),
    [anon_sym_le] = ACTIONS(2885),
    [anon_sym_ge] = ACTIONS(2885),
    [anon_sym_gt] = ACTIONS(2885),
    [anon_sym_isa] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2885),
    [anon_sym_EQ_GT] = ACTIONS(2885),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2885),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2275] = {
    [sym_heredoc_content] = STATE(2275),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym_EQ] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_COMMA] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3146),
    [anon_sym_DASH_GT] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3148),
    [anon_sym_PERCENT] = ACTIONS(3148),
    [anon_sym_GT] = ACTIONS(3148),
    [anon_sym_LT_LT] = ACTIONS(3148),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3146),
    [anon_sym_PLUS_EQ] = ACTIONS(3146),
    [anon_sym_DASH_EQ] = ACTIONS(3146),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_STAR_EQ] = ACTIONS(3146),
    [anon_sym_SLASH_EQ] = ACTIONS(3146),
    [anon_sym_PERCENT_EQ] = ACTIONS(3146),
    [anon_sym_x_EQ] = ACTIONS(3146),
    [anon_sym_AMP_EQ] = ACTIONS(3146),
    [anon_sym_PIPE_EQ] = ACTIONS(3146),
    [anon_sym_CARET_EQ] = ACTIONS(3146),
    [anon_sym_LT_LT_EQ] = ACTIONS(3146),
    [anon_sym_GT_GT_EQ] = ACTIONS(3146),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT] = ACTIONS(3148),
    [anon_sym_STAR_STAR] = ACTIONS(3148),
    [anon_sym_PIPE_PIPE] = ACTIONS(3148),
    [anon_sym_SLASH_SLASH] = ACTIONS(3148),
    [anon_sym_CARET_CARET] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3148),
    [anon_sym_PIPE] = ACTIONS(3148),
    [anon_sym_CARET] = ACTIONS(3148),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_GT_GT2] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_DOT] = ACTIONS(3148),
    [anon_sym_SLASH] = ACTIONS(3148),
    [anon_sym_x] = ACTIONS(3148),
    [anon_sym_EQ_TILDE] = ACTIONS(3146),
    [anon_sym_BANG_TILDE] = ACTIONS(3146),
    [anon_sym_EQ_EQ] = ACTIONS(3148),
    [anon_sym_BANG_EQ] = ACTIONS(3146),
    [anon_sym_eq] = ACTIONS(3148),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3146),
    [anon_sym_equ] = ACTIONS(3146),
    [anon_sym_eqr] = ACTIONS(3146),
    [anon_sym_ne] = ACTIONS(3146),
    [anon_sym_LT_EQ_GT] = ACTIONS(3146),
    [anon_sym_cmp] = ACTIONS(3146),
    [anon_sym_TILDE_TILDE] = ACTIONS(3146),
    [anon_sym_LT] = ACTIONS(3148),
    [anon_sym_LT_EQ] = ACTIONS(3148),
    [anon_sym_GT_EQ] = ACTIONS(3146),
    [anon_sym_lt] = ACTIONS(3146),
    [anon_sym_le] = ACTIONS(3146),
    [anon_sym_ge] = ACTIONS(3146),
    [anon_sym_gt] = ACTIONS(3146),
    [anon_sym_isa] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_QMARK] = ACTIONS(3146),
    [anon_sym_EQ_GT] = ACTIONS(3146),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3146),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2276] = {
    [sym_heredoc_content] = STATE(2276),
    [anon_sym_SEMI] = ACTIONS(3326),
    [anon_sym_EQ] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_COMMA] = ACTIONS(3326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3326),
    [anon_sym_DASH_GT] = ACTIONS(3326),
    [anon_sym_STAR] = ACTIONS(3328),
    [anon_sym_PERCENT] = ACTIONS(3328),
    [anon_sym_GT] = ACTIONS(3328),
    [anon_sym_LT_LT] = ACTIONS(3328),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3326),
    [anon_sym_PLUS_EQ] = ACTIONS(3326),
    [anon_sym_DASH_EQ] = ACTIONS(3326),
    [anon_sym_DOT_EQ] = ACTIONS(3326),
    [anon_sym_STAR_EQ] = ACTIONS(3326),
    [anon_sym_SLASH_EQ] = ACTIONS(3326),
    [anon_sym_PERCENT_EQ] = ACTIONS(3326),
    [anon_sym_x_EQ] = ACTIONS(3326),
    [anon_sym_AMP_EQ] = ACTIONS(3326),
    [anon_sym_PIPE_EQ] = ACTIONS(3326),
    [anon_sym_CARET_EQ] = ACTIONS(3326),
    [anon_sym_LT_LT_EQ] = ACTIONS(3326),
    [anon_sym_GT_GT_EQ] = ACTIONS(3326),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3326),
    [anon_sym_DOT_DOT] = ACTIONS(3328),
    [anon_sym_STAR_STAR] = ACTIONS(3328),
    [anon_sym_PIPE_PIPE] = ACTIONS(3328),
    [anon_sym_SLASH_SLASH] = ACTIONS(3328),
    [anon_sym_CARET_CARET] = ACTIONS(3326),
    [anon_sym_AMP_AMP] = ACTIONS(3328),
    [anon_sym_PIPE] = ACTIONS(3328),
    [anon_sym_CARET] = ACTIONS(3328),
    [anon_sym_AMP] = ACTIONS(3328),
    [anon_sym_GT_GT2] = ACTIONS(3328),
    [anon_sym_PLUS] = ACTIONS(3328),
    [anon_sym_DASH] = ACTIONS(3328),
    [anon_sym_DOT] = ACTIONS(3328),
    [anon_sym_SLASH] = ACTIONS(3328),
    [anon_sym_x] = ACTIONS(3328),
    [anon_sym_EQ_TILDE] = ACTIONS(3326),
    [anon_sym_BANG_TILDE] = ACTIONS(3326),
    [anon_sym_EQ_EQ] = ACTIONS(3328),
    [anon_sym_BANG_EQ] = ACTIONS(3326),
    [anon_sym_eq] = ACTIONS(3328),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3326),
    [anon_sym_equ] = ACTIONS(3326),
    [anon_sym_eqr] = ACTIONS(3326),
    [anon_sym_ne] = ACTIONS(3326),
    [anon_sym_LT_EQ_GT] = ACTIONS(3326),
    [anon_sym_cmp] = ACTIONS(3326),
    [anon_sym_TILDE_TILDE] = ACTIONS(3326),
    [anon_sym_LT] = ACTIONS(3328),
    [anon_sym_LT_EQ] = ACTIONS(3328),
    [anon_sym_GT_EQ] = ACTIONS(3326),
    [anon_sym_lt] = ACTIONS(3326),
    [anon_sym_le] = ACTIONS(3326),
    [anon_sym_ge] = ACTIONS(3326),
    [anon_sym_gt] = ACTIONS(3326),
    [anon_sym_isa] = ACTIONS(3326),
    [anon_sym_PLUS_PLUS] = ACTIONS(3326),
    [anon_sym_DASH_DASH] = ACTIONS(3326),
    [anon_sym_QMARK] = ACTIONS(3326),
    [anon_sym_EQ_GT] = ACTIONS(3326),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3326),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2277] = {
    [sym_heredoc_content] = STATE(2277),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym_EQ] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_COMMA] = ACTIONS(3082),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3082),
    [anon_sym_DASH_GT] = ACTIONS(3082),
    [anon_sym_STAR] = ACTIONS(3084),
    [anon_sym_PERCENT] = ACTIONS(3084),
    [anon_sym_GT] = ACTIONS(3084),
    [anon_sym_LT_LT] = ACTIONS(3084),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3082),
    [anon_sym_PLUS_EQ] = ACTIONS(3082),
    [anon_sym_DASH_EQ] = ACTIONS(3082),
    [anon_sym_DOT_EQ] = ACTIONS(3082),
    [anon_sym_STAR_EQ] = ACTIONS(3082),
    [anon_sym_SLASH_EQ] = ACTIONS(3082),
    [anon_sym_PERCENT_EQ] = ACTIONS(3082),
    [anon_sym_x_EQ] = ACTIONS(3082),
    [anon_sym_AMP_EQ] = ACTIONS(3082),
    [anon_sym_PIPE_EQ] = ACTIONS(3082),
    [anon_sym_CARET_EQ] = ACTIONS(3082),
    [anon_sym_LT_LT_EQ] = ACTIONS(3082),
    [anon_sym_GT_GT_EQ] = ACTIONS(3082),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3082),
    [anon_sym_DOT_DOT] = ACTIONS(3084),
    [anon_sym_STAR_STAR] = ACTIONS(3084),
    [anon_sym_PIPE_PIPE] = ACTIONS(3084),
    [anon_sym_SLASH_SLASH] = ACTIONS(3084),
    [anon_sym_CARET_CARET] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3084),
    [anon_sym_PIPE] = ACTIONS(3084),
    [anon_sym_CARET] = ACTIONS(3084),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_GT_GT2] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_DOT] = ACTIONS(3084),
    [anon_sym_SLASH] = ACTIONS(3084),
    [anon_sym_x] = ACTIONS(3084),
    [anon_sym_EQ_TILDE] = ACTIONS(3082),
    [anon_sym_BANG_TILDE] = ACTIONS(3082),
    [anon_sym_EQ_EQ] = ACTIONS(3084),
    [anon_sym_BANG_EQ] = ACTIONS(3082),
    [anon_sym_eq] = ACTIONS(3084),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3082),
    [anon_sym_equ] = ACTIONS(3082),
    [anon_sym_eqr] = ACTIONS(3082),
    [anon_sym_ne] = ACTIONS(3082),
    [anon_sym_LT_EQ_GT] = ACTIONS(3082),
    [anon_sym_cmp] = ACTIONS(3082),
    [anon_sym_TILDE_TILDE] = ACTIONS(3082),
    [anon_sym_LT] = ACTIONS(3084),
    [anon_sym_LT_EQ] = ACTIONS(3084),
    [anon_sym_GT_EQ] = ACTIONS(3082),
    [anon_sym_lt] = ACTIONS(3082),
    [anon_sym_le] = ACTIONS(3082),
    [anon_sym_ge] = ACTIONS(3082),
    [anon_sym_gt] = ACTIONS(3082),
    [anon_sym_isa] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_QMARK] = ACTIONS(3082),
    [anon_sym_EQ_GT] = ACTIONS(3082),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3082),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2278] = {
    [sym_heredoc_content] = STATE(2278),
    [anon_sym_SEMI] = ACTIONS(3262),
    [anon_sym_EQ] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_COMMA] = ACTIONS(3262),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3262),
    [anon_sym_DASH_GT] = ACTIONS(3262),
    [anon_sym_STAR] = ACTIONS(3264),
    [anon_sym_PERCENT] = ACTIONS(3264),
    [anon_sym_GT] = ACTIONS(3264),
    [anon_sym_LT_LT] = ACTIONS(3264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3262),
    [anon_sym_PLUS_EQ] = ACTIONS(3262),
    [anon_sym_DASH_EQ] = ACTIONS(3262),
    [anon_sym_DOT_EQ] = ACTIONS(3262),
    [anon_sym_STAR_EQ] = ACTIONS(3262),
    [anon_sym_SLASH_EQ] = ACTIONS(3262),
    [anon_sym_PERCENT_EQ] = ACTIONS(3262),
    [anon_sym_x_EQ] = ACTIONS(3262),
    [anon_sym_AMP_EQ] = ACTIONS(3262),
    [anon_sym_PIPE_EQ] = ACTIONS(3262),
    [anon_sym_CARET_EQ] = ACTIONS(3262),
    [anon_sym_LT_LT_EQ] = ACTIONS(3262),
    [anon_sym_GT_GT_EQ] = ACTIONS(3262),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3262),
    [anon_sym_DOT_DOT] = ACTIONS(3264),
    [anon_sym_STAR_STAR] = ACTIONS(3264),
    [anon_sym_PIPE_PIPE] = ACTIONS(3264),
    [anon_sym_SLASH_SLASH] = ACTIONS(3264),
    [anon_sym_CARET_CARET] = ACTIONS(3262),
    [anon_sym_AMP_AMP] = ACTIONS(3264),
    [anon_sym_PIPE] = ACTIONS(3264),
    [anon_sym_CARET] = ACTIONS(3264),
    [anon_sym_AMP] = ACTIONS(3264),
    [anon_sym_GT_GT2] = ACTIONS(3264),
    [anon_sym_PLUS] = ACTIONS(3264),
    [anon_sym_DASH] = ACTIONS(3264),
    [anon_sym_DOT] = ACTIONS(3264),
    [anon_sym_SLASH] = ACTIONS(3264),
    [anon_sym_x] = ACTIONS(3264),
    [anon_sym_EQ_TILDE] = ACTIONS(3262),
    [anon_sym_BANG_TILDE] = ACTIONS(3262),
    [anon_sym_EQ_EQ] = ACTIONS(3264),
    [anon_sym_BANG_EQ] = ACTIONS(3262),
    [anon_sym_eq] = ACTIONS(3264),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3262),
    [anon_sym_equ] = ACTIONS(3262),
    [anon_sym_eqr] = ACTIONS(3262),
    [anon_sym_ne] = ACTIONS(3262),
    [anon_sym_LT_EQ_GT] = ACTIONS(3262),
    [anon_sym_cmp] = ACTIONS(3262),
    [anon_sym_TILDE_TILDE] = ACTIONS(3262),
    [anon_sym_LT] = ACTIONS(3264),
    [anon_sym_LT_EQ] = ACTIONS(3264),
    [anon_sym_GT_EQ] = ACTIONS(3262),
    [anon_sym_lt] = ACTIONS(3262),
    [anon_sym_le] = ACTIONS(3262),
    [anon_sym_ge] = ACTIONS(3262),
    [anon_sym_gt] = ACTIONS(3262),
    [anon_sym_isa] = ACTIONS(3262),
    [anon_sym_PLUS_PLUS] = ACTIONS(3262),
    [anon_sym_DASH_DASH] = ACTIONS(3262),
    [anon_sym_QMARK] = ACTIONS(3262),
    [anon_sym_EQ_GT] = ACTIONS(3262),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3262),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2279] = {
    [sym_heredoc_content] = STATE(2279),
    [anon_sym_SEMI] = ACTIONS(3314),
    [anon_sym_EQ] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_COMMA] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3314),
    [anon_sym_DASH_GT] = ACTIONS(3314),
    [anon_sym_STAR] = ACTIONS(3316),
    [anon_sym_PERCENT] = ACTIONS(3316),
    [anon_sym_GT] = ACTIONS(3316),
    [anon_sym_LT_LT] = ACTIONS(3316),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3314),
    [anon_sym_PLUS_EQ] = ACTIONS(3314),
    [anon_sym_DASH_EQ] = ACTIONS(3314),
    [anon_sym_DOT_EQ] = ACTIONS(3314),
    [anon_sym_STAR_EQ] = ACTIONS(3314),
    [anon_sym_SLASH_EQ] = ACTIONS(3314),
    [anon_sym_PERCENT_EQ] = ACTIONS(3314),
    [anon_sym_x_EQ] = ACTIONS(3314),
    [anon_sym_AMP_EQ] = ACTIONS(3314),
    [anon_sym_PIPE_EQ] = ACTIONS(3314),
    [anon_sym_CARET_EQ] = ACTIONS(3314),
    [anon_sym_LT_LT_EQ] = ACTIONS(3314),
    [anon_sym_GT_GT_EQ] = ACTIONS(3314),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3314),
    [anon_sym_DOT_DOT] = ACTIONS(3316),
    [anon_sym_STAR_STAR] = ACTIONS(3316),
    [anon_sym_PIPE_PIPE] = ACTIONS(3316),
    [anon_sym_SLASH_SLASH] = ACTIONS(3316),
    [anon_sym_CARET_CARET] = ACTIONS(3314),
    [anon_sym_AMP_AMP] = ACTIONS(3316),
    [anon_sym_PIPE] = ACTIONS(3316),
    [anon_sym_CARET] = ACTIONS(3316),
    [anon_sym_AMP] = ACTIONS(3316),
    [anon_sym_GT_GT2] = ACTIONS(3316),
    [anon_sym_PLUS] = ACTIONS(3316),
    [anon_sym_DASH] = ACTIONS(3316),
    [anon_sym_DOT] = ACTIONS(3316),
    [anon_sym_SLASH] = ACTIONS(3316),
    [anon_sym_x] = ACTIONS(3316),
    [anon_sym_EQ_TILDE] = ACTIONS(3314),
    [anon_sym_BANG_TILDE] = ACTIONS(3314),
    [anon_sym_EQ_EQ] = ACTIONS(3316),
    [anon_sym_BANG_EQ] = ACTIONS(3314),
    [anon_sym_eq] = ACTIONS(3316),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3314),
    [anon_sym_equ] = ACTIONS(3314),
    [anon_sym_eqr] = ACTIONS(3314),
    [anon_sym_ne] = ACTIONS(3314),
    [anon_sym_LT_EQ_GT] = ACTIONS(3314),
    [anon_sym_cmp] = ACTIONS(3314),
    [anon_sym_TILDE_TILDE] = ACTIONS(3314),
    [anon_sym_LT] = ACTIONS(3316),
    [anon_sym_LT_EQ] = ACTIONS(3316),
    [anon_sym_GT_EQ] = ACTIONS(3314),
    [anon_sym_lt] = ACTIONS(3314),
    [anon_sym_le] = ACTIONS(3314),
    [anon_sym_ge] = ACTIONS(3314),
    [anon_sym_gt] = ACTIONS(3314),
    [anon_sym_isa] = ACTIONS(3314),
    [anon_sym_PLUS_PLUS] = ACTIONS(3314),
    [anon_sym_DASH_DASH] = ACTIONS(3314),
    [anon_sym_QMARK] = ACTIONS(3314),
    [anon_sym_EQ_GT] = ACTIONS(3314),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3314),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2280] = {
    [sym_heredoc_content] = STATE(2280),
    [anon_sym_SEMI] = ACTIONS(3202),
    [anon_sym_EQ] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_COMMA] = ACTIONS(3202),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3202),
    [anon_sym_DASH_GT] = ACTIONS(3202),
    [anon_sym_STAR] = ACTIONS(3204),
    [anon_sym_PERCENT] = ACTIONS(3204),
    [anon_sym_GT] = ACTIONS(3204),
    [anon_sym_LT_LT] = ACTIONS(3204),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3202),
    [anon_sym_PLUS_EQ] = ACTIONS(3202),
    [anon_sym_DASH_EQ] = ACTIONS(3202),
    [anon_sym_DOT_EQ] = ACTIONS(3202),
    [anon_sym_STAR_EQ] = ACTIONS(3202),
    [anon_sym_SLASH_EQ] = ACTIONS(3202),
    [anon_sym_PERCENT_EQ] = ACTIONS(3202),
    [anon_sym_x_EQ] = ACTIONS(3202),
    [anon_sym_AMP_EQ] = ACTIONS(3202),
    [anon_sym_PIPE_EQ] = ACTIONS(3202),
    [anon_sym_CARET_EQ] = ACTIONS(3202),
    [anon_sym_LT_LT_EQ] = ACTIONS(3202),
    [anon_sym_GT_GT_EQ] = ACTIONS(3202),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3202),
    [anon_sym_DOT_DOT] = ACTIONS(3204),
    [anon_sym_STAR_STAR] = ACTIONS(3204),
    [anon_sym_PIPE_PIPE] = ACTIONS(3204),
    [anon_sym_SLASH_SLASH] = ACTIONS(3204),
    [anon_sym_CARET_CARET] = ACTIONS(3202),
    [anon_sym_AMP_AMP] = ACTIONS(3204),
    [anon_sym_PIPE] = ACTIONS(3204),
    [anon_sym_CARET] = ACTIONS(3204),
    [anon_sym_AMP] = ACTIONS(3204),
    [anon_sym_GT_GT2] = ACTIONS(3204),
    [anon_sym_PLUS] = ACTIONS(3204),
    [anon_sym_DASH] = ACTIONS(3204),
    [anon_sym_DOT] = ACTIONS(3204),
    [anon_sym_SLASH] = ACTIONS(3204),
    [anon_sym_x] = ACTIONS(3204),
    [anon_sym_EQ_TILDE] = ACTIONS(3202),
    [anon_sym_BANG_TILDE] = ACTIONS(3202),
    [anon_sym_EQ_EQ] = ACTIONS(3204),
    [anon_sym_BANG_EQ] = ACTIONS(3202),
    [anon_sym_eq] = ACTIONS(3204),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3202),
    [anon_sym_equ] = ACTIONS(3202),
    [anon_sym_eqr] = ACTIONS(3202),
    [anon_sym_ne] = ACTIONS(3202),
    [anon_sym_LT_EQ_GT] = ACTIONS(3202),
    [anon_sym_cmp] = ACTIONS(3202),
    [anon_sym_TILDE_TILDE] = ACTIONS(3202),
    [anon_sym_LT] = ACTIONS(3204),
    [anon_sym_LT_EQ] = ACTIONS(3204),
    [anon_sym_GT_EQ] = ACTIONS(3202),
    [anon_sym_lt] = ACTIONS(3202),
    [anon_sym_le] = ACTIONS(3202),
    [anon_sym_ge] = ACTIONS(3202),
    [anon_sym_gt] = ACTIONS(3202),
    [anon_sym_isa] = ACTIONS(3202),
    [anon_sym_PLUS_PLUS] = ACTIONS(3202),
    [anon_sym_DASH_DASH] = ACTIONS(3202),
    [anon_sym_QMARK] = ACTIONS(3202),
    [anon_sym_EQ_GT] = ACTIONS(3202),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3202),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2281] = {
    [sym_heredoc_content] = STATE(2281),
    [anon_sym_SEMI] = ACTIONS(3250),
    [anon_sym_EQ] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_COMMA] = ACTIONS(3250),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3250),
    [anon_sym_DASH_GT] = ACTIONS(3250),
    [anon_sym_STAR] = ACTIONS(3252),
    [anon_sym_PERCENT] = ACTIONS(3252),
    [anon_sym_GT] = ACTIONS(3252),
    [anon_sym_LT_LT] = ACTIONS(3252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3250),
    [anon_sym_PLUS_EQ] = ACTIONS(3250),
    [anon_sym_DASH_EQ] = ACTIONS(3250),
    [anon_sym_DOT_EQ] = ACTIONS(3250),
    [anon_sym_STAR_EQ] = ACTIONS(3250),
    [anon_sym_SLASH_EQ] = ACTIONS(3250),
    [anon_sym_PERCENT_EQ] = ACTIONS(3250),
    [anon_sym_x_EQ] = ACTIONS(3250),
    [anon_sym_AMP_EQ] = ACTIONS(3250),
    [anon_sym_PIPE_EQ] = ACTIONS(3250),
    [anon_sym_CARET_EQ] = ACTIONS(3250),
    [anon_sym_LT_LT_EQ] = ACTIONS(3250),
    [anon_sym_GT_GT_EQ] = ACTIONS(3250),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3250),
    [anon_sym_DOT_DOT] = ACTIONS(3252),
    [anon_sym_STAR_STAR] = ACTIONS(3252),
    [anon_sym_PIPE_PIPE] = ACTIONS(3252),
    [anon_sym_SLASH_SLASH] = ACTIONS(3252),
    [anon_sym_CARET_CARET] = ACTIONS(3250),
    [anon_sym_AMP_AMP] = ACTIONS(3252),
    [anon_sym_PIPE] = ACTIONS(3252),
    [anon_sym_CARET] = ACTIONS(3252),
    [anon_sym_AMP] = ACTIONS(3252),
    [anon_sym_GT_GT2] = ACTIONS(3252),
    [anon_sym_PLUS] = ACTIONS(3252),
    [anon_sym_DASH] = ACTIONS(3252),
    [anon_sym_DOT] = ACTIONS(3252),
    [anon_sym_SLASH] = ACTIONS(3252),
    [anon_sym_x] = ACTIONS(3252),
    [anon_sym_EQ_TILDE] = ACTIONS(3250),
    [anon_sym_BANG_TILDE] = ACTIONS(3250),
    [anon_sym_EQ_EQ] = ACTIONS(3252),
    [anon_sym_BANG_EQ] = ACTIONS(3250),
    [anon_sym_eq] = ACTIONS(3252),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3250),
    [anon_sym_equ] = ACTIONS(3250),
    [anon_sym_eqr] = ACTIONS(3250),
    [anon_sym_ne] = ACTIONS(3250),
    [anon_sym_LT_EQ_GT] = ACTIONS(3250),
    [anon_sym_cmp] = ACTIONS(3250),
    [anon_sym_TILDE_TILDE] = ACTIONS(3250),
    [anon_sym_LT] = ACTIONS(3252),
    [anon_sym_LT_EQ] = ACTIONS(3252),
    [anon_sym_GT_EQ] = ACTIONS(3250),
    [anon_sym_lt] = ACTIONS(3250),
    [anon_sym_le] = ACTIONS(3250),
    [anon_sym_ge] = ACTIONS(3250),
    [anon_sym_gt] = ACTIONS(3250),
    [anon_sym_isa] = ACTIONS(3250),
    [anon_sym_PLUS_PLUS] = ACTIONS(3250),
    [anon_sym_DASH_DASH] = ACTIONS(3250),
    [anon_sym_QMARK] = ACTIONS(3250),
    [anon_sym_EQ_GT] = ACTIONS(3250),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3250),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2282] = {
    [sym_heredoc_content] = STATE(2282),
    [anon_sym_SEMI] = ACTIONS(1839),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1839),
    [anon_sym_DASH_GT] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_PERCENT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1839),
    [anon_sym_PLUS_EQ] = ACTIONS(1839),
    [anon_sym_DASH_EQ] = ACTIONS(1839),
    [anon_sym_DOT_EQ] = ACTIONS(1839),
    [anon_sym_STAR_EQ] = ACTIONS(1839),
    [anon_sym_SLASH_EQ] = ACTIONS(1839),
    [anon_sym_PERCENT_EQ] = ACTIONS(1839),
    [anon_sym_x_EQ] = ACTIONS(1839),
    [anon_sym_AMP_EQ] = ACTIONS(1839),
    [anon_sym_PIPE_EQ] = ACTIONS(1839),
    [anon_sym_CARET_EQ] = ACTIONS(1839),
    [anon_sym_LT_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_GT_EQ] = ACTIONS(1839),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1839),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_PIPE_PIPE] = ACTIONS(1830),
    [anon_sym_SLASH_SLASH] = ACTIONS(1830),
    [anon_sym_CARET_CARET] = ACTIONS(1839),
    [anon_sym_AMP_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_CARET] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_GT_GT2] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym_x] = ACTIONS(1830),
    [anon_sym_EQ_TILDE] = ACTIONS(1839),
    [anon_sym_BANG_TILDE] = ACTIONS(1839),
    [anon_sym_EQ_EQ] = ACTIONS(1830),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_eq] = ACTIONS(1830),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1839),
    [anon_sym_equ] = ACTIONS(1839),
    [anon_sym_eqr] = ACTIONS(1839),
    [anon_sym_ne] = ACTIONS(1839),
    [anon_sym_LT_EQ_GT] = ACTIONS(1839),
    [anon_sym_cmp] = ACTIONS(1839),
    [anon_sym_TILDE_TILDE] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_lt] = ACTIONS(1839),
    [anon_sym_le] = ACTIONS(1839),
    [anon_sym_ge] = ACTIONS(1839),
    [anon_sym_gt] = ACTIONS(1839),
    [anon_sym_isa] = ACTIONS(1839),
    [anon_sym_PLUS_PLUS] = ACTIONS(1839),
    [anon_sym_DASH_DASH] = ACTIONS(1839),
    [anon_sym_QMARK] = ACTIONS(1839),
    [anon_sym_EQ_GT] = ACTIONS(1839),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1839),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2283] = {
    [sym_heredoc_content] = STATE(2283),
    [anon_sym_SEMI] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1711),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2284] = {
    [sym_heredoc_content] = STATE(2284),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2285] = {
    [sym_heredoc_content] = STATE(2285),
    [anon_sym_RBRACE] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3922),
    [anon_sym_cmp] = ACTIONS(3922),
    [anon_sym_TILDE_TILDE] = ACTIONS(3922),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2286] = {
    [sym_heredoc_content] = STATE(2286),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_EQ] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_COMMA] = ACTIONS(2961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2961),
    [anon_sym_DASH_GT] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_PERCENT] = ACTIONS(2963),
    [anon_sym_GT] = ACTIONS(2963),
    [anon_sym_LT_LT] = ACTIONS(2963),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2961),
    [anon_sym_PLUS_EQ] = ACTIONS(2961),
    [anon_sym_DASH_EQ] = ACTIONS(2961),
    [anon_sym_DOT_EQ] = ACTIONS(2961),
    [anon_sym_STAR_EQ] = ACTIONS(2961),
    [anon_sym_SLASH_EQ] = ACTIONS(2961),
    [anon_sym_PERCENT_EQ] = ACTIONS(2961),
    [anon_sym_x_EQ] = ACTIONS(2961),
    [anon_sym_AMP_EQ] = ACTIONS(2961),
    [anon_sym_PIPE_EQ] = ACTIONS(2961),
    [anon_sym_CARET_EQ] = ACTIONS(2961),
    [anon_sym_LT_LT_EQ] = ACTIONS(2961),
    [anon_sym_GT_GT_EQ] = ACTIONS(2961),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2961),
    [anon_sym_DOT_DOT] = ACTIONS(2963),
    [anon_sym_STAR_STAR] = ACTIONS(2963),
    [anon_sym_PIPE_PIPE] = ACTIONS(2963),
    [anon_sym_SLASH_SLASH] = ACTIONS(2963),
    [anon_sym_CARET_CARET] = ACTIONS(2961),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_PIPE] = ACTIONS(2963),
    [anon_sym_CARET] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_GT_GT2] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_DOT] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_x] = ACTIONS(2963),
    [anon_sym_EQ_TILDE] = ACTIONS(2961),
    [anon_sym_BANG_TILDE] = ACTIONS(2961),
    [anon_sym_EQ_EQ] = ACTIONS(2963),
    [anon_sym_BANG_EQ] = ACTIONS(2961),
    [anon_sym_eq] = ACTIONS(2963),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2961),
    [anon_sym_equ] = ACTIONS(2961),
    [anon_sym_eqr] = ACTIONS(2961),
    [anon_sym_ne] = ACTIONS(2961),
    [anon_sym_LT_EQ_GT] = ACTIONS(2961),
    [anon_sym_cmp] = ACTIONS(2961),
    [anon_sym_TILDE_TILDE] = ACTIONS(2961),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_LT_EQ] = ACTIONS(2963),
    [anon_sym_GT_EQ] = ACTIONS(2961),
    [anon_sym_lt] = ACTIONS(2961),
    [anon_sym_le] = ACTIONS(2961),
    [anon_sym_ge] = ACTIONS(2961),
    [anon_sym_gt] = ACTIONS(2961),
    [anon_sym_isa] = ACTIONS(2961),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2961),
    [anon_sym_EQ_GT] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2961),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2287] = {
    [sym_heredoc_content] = STATE(2287),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3924),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2288] = {
    [sym_heredoc_content] = STATE(2288),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_COMMA] = ACTIONS(3078),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3078),
    [anon_sym_DASH_GT] = ACTIONS(3078),
    [anon_sym_STAR] = ACTIONS(3080),
    [anon_sym_PERCENT] = ACTIONS(3080),
    [anon_sym_GT] = ACTIONS(3080),
    [anon_sym_LT_LT] = ACTIONS(3080),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3078),
    [anon_sym_PLUS_EQ] = ACTIONS(3078),
    [anon_sym_DASH_EQ] = ACTIONS(3078),
    [anon_sym_DOT_EQ] = ACTIONS(3078),
    [anon_sym_STAR_EQ] = ACTIONS(3078),
    [anon_sym_SLASH_EQ] = ACTIONS(3078),
    [anon_sym_PERCENT_EQ] = ACTIONS(3078),
    [anon_sym_x_EQ] = ACTIONS(3078),
    [anon_sym_AMP_EQ] = ACTIONS(3078),
    [anon_sym_PIPE_EQ] = ACTIONS(3078),
    [anon_sym_CARET_EQ] = ACTIONS(3078),
    [anon_sym_LT_LT_EQ] = ACTIONS(3078),
    [anon_sym_GT_GT_EQ] = ACTIONS(3078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3078),
    [anon_sym_DOT_DOT] = ACTIONS(3080),
    [anon_sym_STAR_STAR] = ACTIONS(3080),
    [anon_sym_PIPE_PIPE] = ACTIONS(3080),
    [anon_sym_SLASH_SLASH] = ACTIONS(3080),
    [anon_sym_CARET_CARET] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3080),
    [anon_sym_PIPE] = ACTIONS(3080),
    [anon_sym_CARET] = ACTIONS(3080),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_GT_GT2] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_DOT] = ACTIONS(3080),
    [anon_sym_SLASH] = ACTIONS(3080),
    [anon_sym_x] = ACTIONS(3080),
    [anon_sym_EQ_TILDE] = ACTIONS(3078),
    [anon_sym_BANG_TILDE] = ACTIONS(3078),
    [anon_sym_EQ_EQ] = ACTIONS(3080),
    [anon_sym_BANG_EQ] = ACTIONS(3078),
    [anon_sym_eq] = ACTIONS(3080),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3078),
    [anon_sym_equ] = ACTIONS(3078),
    [anon_sym_eqr] = ACTIONS(3078),
    [anon_sym_ne] = ACTIONS(3078),
    [anon_sym_LT_EQ_GT] = ACTIONS(3078),
    [anon_sym_cmp] = ACTIONS(3078),
    [anon_sym_TILDE_TILDE] = ACTIONS(3078),
    [anon_sym_LT] = ACTIONS(3080),
    [anon_sym_LT_EQ] = ACTIONS(3080),
    [anon_sym_GT_EQ] = ACTIONS(3078),
    [anon_sym_lt] = ACTIONS(3078),
    [anon_sym_le] = ACTIONS(3078),
    [anon_sym_ge] = ACTIONS(3078),
    [anon_sym_gt] = ACTIONS(3078),
    [anon_sym_isa] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_QMARK] = ACTIONS(3078),
    [anon_sym_EQ_GT] = ACTIONS(3078),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3078),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2289] = {
    [sym_heredoc_content] = STATE(2289),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym_EQ] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_COMMA] = ACTIONS(2877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2877),
    [anon_sym_DASH_GT] = ACTIONS(2877),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_PERCENT] = ACTIONS(2879),
    [anon_sym_GT] = ACTIONS(2879),
    [anon_sym_LT_LT] = ACTIONS(2879),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2877),
    [anon_sym_PLUS_EQ] = ACTIONS(2877),
    [anon_sym_DASH_EQ] = ACTIONS(2877),
    [anon_sym_DOT_EQ] = ACTIONS(2877),
    [anon_sym_STAR_EQ] = ACTIONS(2877),
    [anon_sym_SLASH_EQ] = ACTIONS(2877),
    [anon_sym_PERCENT_EQ] = ACTIONS(2877),
    [anon_sym_x_EQ] = ACTIONS(2877),
    [anon_sym_AMP_EQ] = ACTIONS(2877),
    [anon_sym_PIPE_EQ] = ACTIONS(2877),
    [anon_sym_CARET_EQ] = ACTIONS(2877),
    [anon_sym_LT_LT_EQ] = ACTIONS(2877),
    [anon_sym_GT_GT_EQ] = ACTIONS(2877),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2877),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_STAR_STAR] = ACTIONS(2879),
    [anon_sym_PIPE_PIPE] = ACTIONS(2879),
    [anon_sym_SLASH_SLASH] = ACTIONS(2879),
    [anon_sym_CARET_CARET] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_CARET] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_GT_GT2] = ACTIONS(2879),
    [anon_sym_PLUS] = ACTIONS(2879),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_DOT] = ACTIONS(2879),
    [anon_sym_SLASH] = ACTIONS(2879),
    [anon_sym_x] = ACTIONS(2879),
    [anon_sym_EQ_TILDE] = ACTIONS(2877),
    [anon_sym_BANG_TILDE] = ACTIONS(2877),
    [anon_sym_EQ_EQ] = ACTIONS(2879),
    [anon_sym_BANG_EQ] = ACTIONS(2877),
    [anon_sym_eq] = ACTIONS(2879),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2877),
    [anon_sym_equ] = ACTIONS(2877),
    [anon_sym_eqr] = ACTIONS(2877),
    [anon_sym_ne] = ACTIONS(2877),
    [anon_sym_LT_EQ_GT] = ACTIONS(2877),
    [anon_sym_cmp] = ACTIONS(2877),
    [anon_sym_TILDE_TILDE] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_LT_EQ] = ACTIONS(2879),
    [anon_sym_GT_EQ] = ACTIONS(2877),
    [anon_sym_lt] = ACTIONS(2877),
    [anon_sym_le] = ACTIONS(2877),
    [anon_sym_ge] = ACTIONS(2877),
    [anon_sym_gt] = ACTIONS(2877),
    [anon_sym_isa] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2877),
    [anon_sym_EQ_GT] = ACTIONS(2877),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2877),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2290] = {
    [sym_heredoc_content] = STATE(2290),
    [anon_sym_SEMI] = ACTIONS(2881),
    [anon_sym_EQ] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_COMMA] = ACTIONS(2881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2881),
    [anon_sym_DASH_GT] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_PERCENT] = ACTIONS(2883),
    [anon_sym_GT] = ACTIONS(2883),
    [anon_sym_LT_LT] = ACTIONS(2883),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2881),
    [anon_sym_PLUS_EQ] = ACTIONS(2881),
    [anon_sym_DASH_EQ] = ACTIONS(2881),
    [anon_sym_DOT_EQ] = ACTIONS(2881),
    [anon_sym_STAR_EQ] = ACTIONS(2881),
    [anon_sym_SLASH_EQ] = ACTIONS(2881),
    [anon_sym_PERCENT_EQ] = ACTIONS(2881),
    [anon_sym_x_EQ] = ACTIONS(2881),
    [anon_sym_AMP_EQ] = ACTIONS(2881),
    [anon_sym_PIPE_EQ] = ACTIONS(2881),
    [anon_sym_CARET_EQ] = ACTIONS(2881),
    [anon_sym_LT_LT_EQ] = ACTIONS(2881),
    [anon_sym_GT_GT_EQ] = ACTIONS(2881),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2881),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_STAR_STAR] = ACTIONS(2883),
    [anon_sym_PIPE_PIPE] = ACTIONS(2883),
    [anon_sym_SLASH_SLASH] = ACTIONS(2883),
    [anon_sym_CARET_CARET] = ACTIONS(2881),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_CARET] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_GT_GT2] = ACTIONS(2883),
    [anon_sym_PLUS] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_DOT] = ACTIONS(2883),
    [anon_sym_SLASH] = ACTIONS(2883),
    [anon_sym_x] = ACTIONS(2883),
    [anon_sym_EQ_TILDE] = ACTIONS(2881),
    [anon_sym_BANG_TILDE] = ACTIONS(2881),
    [anon_sym_EQ_EQ] = ACTIONS(2883),
    [anon_sym_BANG_EQ] = ACTIONS(2881),
    [anon_sym_eq] = ACTIONS(2883),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2881),
    [anon_sym_equ] = ACTIONS(2881),
    [anon_sym_eqr] = ACTIONS(2881),
    [anon_sym_ne] = ACTIONS(2881),
    [anon_sym_LT_EQ_GT] = ACTIONS(2881),
    [anon_sym_cmp] = ACTIONS(2881),
    [anon_sym_TILDE_TILDE] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_LT_EQ] = ACTIONS(2883),
    [anon_sym_GT_EQ] = ACTIONS(2881),
    [anon_sym_lt] = ACTIONS(2881),
    [anon_sym_le] = ACTIONS(2881),
    [anon_sym_ge] = ACTIONS(2881),
    [anon_sym_gt] = ACTIONS(2881),
    [anon_sym_isa] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2881),
    [anon_sym_EQ_GT] = ACTIONS(2881),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2881),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2291] = {
    [sym_heredoc_content] = STATE(2291),
    [anon_sym_SEMI] = ACTIONS(3062),
    [anon_sym_EQ] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_COMMA] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3062),
    [anon_sym_DASH_GT] = ACTIONS(3062),
    [anon_sym_STAR] = ACTIONS(3064),
    [anon_sym_PERCENT] = ACTIONS(3064),
    [anon_sym_GT] = ACTIONS(3064),
    [anon_sym_LT_LT] = ACTIONS(3064),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3062),
    [anon_sym_PLUS_EQ] = ACTIONS(3062),
    [anon_sym_DASH_EQ] = ACTIONS(3062),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_STAR_EQ] = ACTIONS(3062),
    [anon_sym_SLASH_EQ] = ACTIONS(3062),
    [anon_sym_PERCENT_EQ] = ACTIONS(3062),
    [anon_sym_x_EQ] = ACTIONS(3062),
    [anon_sym_AMP_EQ] = ACTIONS(3062),
    [anon_sym_PIPE_EQ] = ACTIONS(3062),
    [anon_sym_CARET_EQ] = ACTIONS(3062),
    [anon_sym_LT_LT_EQ] = ACTIONS(3062),
    [anon_sym_GT_GT_EQ] = ACTIONS(3062),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT] = ACTIONS(3064),
    [anon_sym_STAR_STAR] = ACTIONS(3064),
    [anon_sym_PIPE_PIPE] = ACTIONS(3064),
    [anon_sym_SLASH_SLASH] = ACTIONS(3064),
    [anon_sym_CARET_CARET] = ACTIONS(3062),
    [anon_sym_AMP_AMP] = ACTIONS(3064),
    [anon_sym_PIPE] = ACTIONS(3064),
    [anon_sym_CARET] = ACTIONS(3064),
    [anon_sym_AMP] = ACTIONS(3064),
    [anon_sym_GT_GT2] = ACTIONS(3064),
    [anon_sym_PLUS] = ACTIONS(3064),
    [anon_sym_DASH] = ACTIONS(3064),
    [anon_sym_DOT] = ACTIONS(3064),
    [anon_sym_SLASH] = ACTIONS(3064),
    [anon_sym_x] = ACTIONS(3064),
    [anon_sym_EQ_TILDE] = ACTIONS(3062),
    [anon_sym_BANG_TILDE] = ACTIONS(3062),
    [anon_sym_EQ_EQ] = ACTIONS(3064),
    [anon_sym_BANG_EQ] = ACTIONS(3062),
    [anon_sym_eq] = ACTIONS(3064),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3062),
    [anon_sym_equ] = ACTIONS(3062),
    [anon_sym_eqr] = ACTIONS(3062),
    [anon_sym_ne] = ACTIONS(3062),
    [anon_sym_LT_EQ_GT] = ACTIONS(3062),
    [anon_sym_cmp] = ACTIONS(3062),
    [anon_sym_TILDE_TILDE] = ACTIONS(3062),
    [anon_sym_LT] = ACTIONS(3064),
    [anon_sym_LT_EQ] = ACTIONS(3064),
    [anon_sym_GT_EQ] = ACTIONS(3062),
    [anon_sym_lt] = ACTIONS(3062),
    [anon_sym_le] = ACTIONS(3062),
    [anon_sym_ge] = ACTIONS(3062),
    [anon_sym_gt] = ACTIONS(3062),
    [anon_sym_isa] = ACTIONS(3062),
    [anon_sym_PLUS_PLUS] = ACTIONS(3062),
    [anon_sym_DASH_DASH] = ACTIONS(3062),
    [anon_sym_QMARK] = ACTIONS(3062),
    [anon_sym_EQ_GT] = ACTIONS(3062),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3062),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2292] = {
    [sym_heredoc_content] = STATE(2292),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_EQ] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_COMMA] = ACTIONS(3154),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3154),
    [anon_sym_DASH_GT] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3156),
    [anon_sym_PERCENT] = ACTIONS(3156),
    [anon_sym_GT] = ACTIONS(3156),
    [anon_sym_LT_LT] = ACTIONS(3156),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3154),
    [anon_sym_PLUS_EQ] = ACTIONS(3154),
    [anon_sym_DASH_EQ] = ACTIONS(3154),
    [anon_sym_DOT_EQ] = ACTIONS(3154),
    [anon_sym_STAR_EQ] = ACTIONS(3154),
    [anon_sym_SLASH_EQ] = ACTIONS(3154),
    [anon_sym_PERCENT_EQ] = ACTIONS(3154),
    [anon_sym_x_EQ] = ACTIONS(3154),
    [anon_sym_AMP_EQ] = ACTIONS(3154),
    [anon_sym_PIPE_EQ] = ACTIONS(3154),
    [anon_sym_CARET_EQ] = ACTIONS(3154),
    [anon_sym_LT_LT_EQ] = ACTIONS(3154),
    [anon_sym_GT_GT_EQ] = ACTIONS(3154),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3154),
    [anon_sym_DOT_DOT] = ACTIONS(3156),
    [anon_sym_STAR_STAR] = ACTIONS(3156),
    [anon_sym_PIPE_PIPE] = ACTIONS(3156),
    [anon_sym_SLASH_SLASH] = ACTIONS(3156),
    [anon_sym_CARET_CARET] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3156),
    [anon_sym_PIPE] = ACTIONS(3156),
    [anon_sym_CARET] = ACTIONS(3156),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_GT_GT2] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_DOT] = ACTIONS(3156),
    [anon_sym_SLASH] = ACTIONS(3156),
    [anon_sym_x] = ACTIONS(3156),
    [anon_sym_EQ_TILDE] = ACTIONS(3154),
    [anon_sym_BANG_TILDE] = ACTIONS(3154),
    [anon_sym_EQ_EQ] = ACTIONS(3156),
    [anon_sym_BANG_EQ] = ACTIONS(3154),
    [anon_sym_eq] = ACTIONS(3156),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3154),
    [anon_sym_equ] = ACTIONS(3154),
    [anon_sym_eqr] = ACTIONS(3154),
    [anon_sym_ne] = ACTIONS(3154),
    [anon_sym_LT_EQ_GT] = ACTIONS(3154),
    [anon_sym_cmp] = ACTIONS(3154),
    [anon_sym_TILDE_TILDE] = ACTIONS(3154),
    [anon_sym_LT] = ACTIONS(3156),
    [anon_sym_LT_EQ] = ACTIONS(3156),
    [anon_sym_GT_EQ] = ACTIONS(3154),
    [anon_sym_lt] = ACTIONS(3154),
    [anon_sym_le] = ACTIONS(3154),
    [anon_sym_ge] = ACTIONS(3154),
    [anon_sym_gt] = ACTIONS(3154),
    [anon_sym_isa] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_QMARK] = ACTIONS(3154),
    [anon_sym_EQ_GT] = ACTIONS(3154),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3154),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2293] = {
    [sym_heredoc_content] = STATE(2293),
    [anon_sym_SEMI] = ACTIONS(2889),
    [anon_sym_EQ] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_COMMA] = ACTIONS(2889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2889),
    [anon_sym_DASH_GT] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_PERCENT] = ACTIONS(2891),
    [anon_sym_GT] = ACTIONS(2891),
    [anon_sym_LT_LT] = ACTIONS(2891),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2889),
    [anon_sym_PLUS_EQ] = ACTIONS(2889),
    [anon_sym_DASH_EQ] = ACTIONS(2889),
    [anon_sym_DOT_EQ] = ACTIONS(2889),
    [anon_sym_STAR_EQ] = ACTIONS(2889),
    [anon_sym_SLASH_EQ] = ACTIONS(2889),
    [anon_sym_PERCENT_EQ] = ACTIONS(2889),
    [anon_sym_x_EQ] = ACTIONS(2889),
    [anon_sym_AMP_EQ] = ACTIONS(2889),
    [anon_sym_PIPE_EQ] = ACTIONS(2889),
    [anon_sym_CARET_EQ] = ACTIONS(2889),
    [anon_sym_LT_LT_EQ] = ACTIONS(2889),
    [anon_sym_GT_GT_EQ] = ACTIONS(2889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2889),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_STAR_STAR] = ACTIONS(2891),
    [anon_sym_PIPE_PIPE] = ACTIONS(2891),
    [anon_sym_SLASH_SLASH] = ACTIONS(2891),
    [anon_sym_CARET_CARET] = ACTIONS(2889),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_CARET] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_GT_GT2] = ACTIONS(2891),
    [anon_sym_PLUS] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_SLASH] = ACTIONS(2891),
    [anon_sym_x] = ACTIONS(2891),
    [anon_sym_EQ_TILDE] = ACTIONS(2889),
    [anon_sym_BANG_TILDE] = ACTIONS(2889),
    [anon_sym_EQ_EQ] = ACTIONS(2891),
    [anon_sym_BANG_EQ] = ACTIONS(2889),
    [anon_sym_eq] = ACTIONS(2891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2889),
    [anon_sym_equ] = ACTIONS(2889),
    [anon_sym_eqr] = ACTIONS(2889),
    [anon_sym_ne] = ACTIONS(2889),
    [anon_sym_LT_EQ_GT] = ACTIONS(2889),
    [anon_sym_cmp] = ACTIONS(2889),
    [anon_sym_TILDE_TILDE] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_LT_EQ] = ACTIONS(2891),
    [anon_sym_GT_EQ] = ACTIONS(2889),
    [anon_sym_lt] = ACTIONS(2889),
    [anon_sym_le] = ACTIONS(2889),
    [anon_sym_ge] = ACTIONS(2889),
    [anon_sym_gt] = ACTIONS(2889),
    [anon_sym_isa] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2889),
    [anon_sym_EQ_GT] = ACTIONS(2889),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2889),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2294] = {
    [sym_heredoc_content] = STATE(2294),
    [anon_sym_SEMI] = ACTIONS(3218),
    [anon_sym_EQ] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_COMMA] = ACTIONS(3218),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3218),
    [anon_sym_DASH_GT] = ACTIONS(3218),
    [anon_sym_STAR] = ACTIONS(3220),
    [anon_sym_PERCENT] = ACTIONS(3220),
    [anon_sym_GT] = ACTIONS(3220),
    [anon_sym_LT_LT] = ACTIONS(3220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3218),
    [anon_sym_PLUS_EQ] = ACTIONS(3218),
    [anon_sym_DASH_EQ] = ACTIONS(3218),
    [anon_sym_DOT_EQ] = ACTIONS(3218),
    [anon_sym_STAR_EQ] = ACTIONS(3218),
    [anon_sym_SLASH_EQ] = ACTIONS(3218),
    [anon_sym_PERCENT_EQ] = ACTIONS(3218),
    [anon_sym_x_EQ] = ACTIONS(3218),
    [anon_sym_AMP_EQ] = ACTIONS(3218),
    [anon_sym_PIPE_EQ] = ACTIONS(3218),
    [anon_sym_CARET_EQ] = ACTIONS(3218),
    [anon_sym_LT_LT_EQ] = ACTIONS(3218),
    [anon_sym_GT_GT_EQ] = ACTIONS(3218),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3218),
    [anon_sym_DOT_DOT] = ACTIONS(3220),
    [anon_sym_STAR_STAR] = ACTIONS(3220),
    [anon_sym_PIPE_PIPE] = ACTIONS(3220),
    [anon_sym_SLASH_SLASH] = ACTIONS(3220),
    [anon_sym_CARET_CARET] = ACTIONS(3218),
    [anon_sym_AMP_AMP] = ACTIONS(3220),
    [anon_sym_PIPE] = ACTIONS(3220),
    [anon_sym_CARET] = ACTIONS(3220),
    [anon_sym_AMP] = ACTIONS(3220),
    [anon_sym_GT_GT2] = ACTIONS(3220),
    [anon_sym_PLUS] = ACTIONS(3220),
    [anon_sym_DASH] = ACTIONS(3220),
    [anon_sym_DOT] = ACTIONS(3220),
    [anon_sym_SLASH] = ACTIONS(3220),
    [anon_sym_x] = ACTIONS(3220),
    [anon_sym_EQ_TILDE] = ACTIONS(3218),
    [anon_sym_BANG_TILDE] = ACTIONS(3218),
    [anon_sym_EQ_EQ] = ACTIONS(3220),
    [anon_sym_BANG_EQ] = ACTIONS(3218),
    [anon_sym_eq] = ACTIONS(3220),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3218),
    [anon_sym_equ] = ACTIONS(3218),
    [anon_sym_eqr] = ACTIONS(3218),
    [anon_sym_ne] = ACTIONS(3218),
    [anon_sym_LT_EQ_GT] = ACTIONS(3218),
    [anon_sym_cmp] = ACTIONS(3218),
    [anon_sym_TILDE_TILDE] = ACTIONS(3218),
    [anon_sym_LT] = ACTIONS(3220),
    [anon_sym_LT_EQ] = ACTIONS(3220),
    [anon_sym_GT_EQ] = ACTIONS(3218),
    [anon_sym_lt] = ACTIONS(3218),
    [anon_sym_le] = ACTIONS(3218),
    [anon_sym_ge] = ACTIONS(3218),
    [anon_sym_gt] = ACTIONS(3218),
    [anon_sym_isa] = ACTIONS(3218),
    [anon_sym_PLUS_PLUS] = ACTIONS(3218),
    [anon_sym_DASH_DASH] = ACTIONS(3218),
    [anon_sym_QMARK] = ACTIONS(3218),
    [anon_sym_EQ_GT] = ACTIONS(3218),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3218),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2295] = {
    [sym_heredoc_content] = STATE(2295),
    [anon_sym_SEMI] = ACTIONS(3238),
    [anon_sym_EQ] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_COMMA] = ACTIONS(3238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3238),
    [anon_sym_DASH_GT] = ACTIONS(3238),
    [anon_sym_STAR] = ACTIONS(3240),
    [anon_sym_PERCENT] = ACTIONS(3240),
    [anon_sym_GT] = ACTIONS(3240),
    [anon_sym_LT_LT] = ACTIONS(3240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3238),
    [anon_sym_PLUS_EQ] = ACTIONS(3238),
    [anon_sym_DASH_EQ] = ACTIONS(3238),
    [anon_sym_DOT_EQ] = ACTIONS(3238),
    [anon_sym_STAR_EQ] = ACTIONS(3238),
    [anon_sym_SLASH_EQ] = ACTIONS(3238),
    [anon_sym_PERCENT_EQ] = ACTIONS(3238),
    [anon_sym_x_EQ] = ACTIONS(3238),
    [anon_sym_AMP_EQ] = ACTIONS(3238),
    [anon_sym_PIPE_EQ] = ACTIONS(3238),
    [anon_sym_CARET_EQ] = ACTIONS(3238),
    [anon_sym_LT_LT_EQ] = ACTIONS(3238),
    [anon_sym_GT_GT_EQ] = ACTIONS(3238),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3238),
    [anon_sym_DOT_DOT] = ACTIONS(3240),
    [anon_sym_STAR_STAR] = ACTIONS(3240),
    [anon_sym_PIPE_PIPE] = ACTIONS(3240),
    [anon_sym_SLASH_SLASH] = ACTIONS(3240),
    [anon_sym_CARET_CARET] = ACTIONS(3238),
    [anon_sym_AMP_AMP] = ACTIONS(3240),
    [anon_sym_PIPE] = ACTIONS(3240),
    [anon_sym_CARET] = ACTIONS(3240),
    [anon_sym_AMP] = ACTIONS(3240),
    [anon_sym_GT_GT2] = ACTIONS(3240),
    [anon_sym_PLUS] = ACTIONS(3240),
    [anon_sym_DASH] = ACTIONS(3240),
    [anon_sym_DOT] = ACTIONS(3240),
    [anon_sym_SLASH] = ACTIONS(3240),
    [anon_sym_x] = ACTIONS(3240),
    [anon_sym_EQ_TILDE] = ACTIONS(3238),
    [anon_sym_BANG_TILDE] = ACTIONS(3238),
    [anon_sym_EQ_EQ] = ACTIONS(3240),
    [anon_sym_BANG_EQ] = ACTIONS(3238),
    [anon_sym_eq] = ACTIONS(3240),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3238),
    [anon_sym_equ] = ACTIONS(3238),
    [anon_sym_eqr] = ACTIONS(3238),
    [anon_sym_ne] = ACTIONS(3238),
    [anon_sym_LT_EQ_GT] = ACTIONS(3238),
    [anon_sym_cmp] = ACTIONS(3238),
    [anon_sym_TILDE_TILDE] = ACTIONS(3238),
    [anon_sym_LT] = ACTIONS(3240),
    [anon_sym_LT_EQ] = ACTIONS(3240),
    [anon_sym_GT_EQ] = ACTIONS(3238),
    [anon_sym_lt] = ACTIONS(3238),
    [anon_sym_le] = ACTIONS(3238),
    [anon_sym_ge] = ACTIONS(3238),
    [anon_sym_gt] = ACTIONS(3238),
    [anon_sym_isa] = ACTIONS(3238),
    [anon_sym_PLUS_PLUS] = ACTIONS(3238),
    [anon_sym_DASH_DASH] = ACTIONS(3238),
    [anon_sym_QMARK] = ACTIONS(3238),
    [anon_sym_EQ_GT] = ACTIONS(3238),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3238),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2296] = {
    [sym_heredoc_content] = STATE(2296),
    [anon_sym_RBRACE] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2297] = {
    [sym_heredoc_content] = STATE(2297),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_RPAREN] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2298] = {
    [sym_heredoc_content] = STATE(2298),
    [anon_sym_SEMI] = ACTIONS(3258),
    [anon_sym_EQ] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_COMMA] = ACTIONS(3258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3258),
    [anon_sym_DASH_GT] = ACTIONS(3258),
    [anon_sym_STAR] = ACTIONS(3260),
    [anon_sym_PERCENT] = ACTIONS(3260),
    [anon_sym_GT] = ACTIONS(3260),
    [anon_sym_LT_LT] = ACTIONS(3260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3258),
    [anon_sym_PLUS_EQ] = ACTIONS(3258),
    [anon_sym_DASH_EQ] = ACTIONS(3258),
    [anon_sym_DOT_EQ] = ACTIONS(3258),
    [anon_sym_STAR_EQ] = ACTIONS(3258),
    [anon_sym_SLASH_EQ] = ACTIONS(3258),
    [anon_sym_PERCENT_EQ] = ACTIONS(3258),
    [anon_sym_x_EQ] = ACTIONS(3258),
    [anon_sym_AMP_EQ] = ACTIONS(3258),
    [anon_sym_PIPE_EQ] = ACTIONS(3258),
    [anon_sym_CARET_EQ] = ACTIONS(3258),
    [anon_sym_LT_LT_EQ] = ACTIONS(3258),
    [anon_sym_GT_GT_EQ] = ACTIONS(3258),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3258),
    [anon_sym_DOT_DOT] = ACTIONS(3260),
    [anon_sym_STAR_STAR] = ACTIONS(3260),
    [anon_sym_PIPE_PIPE] = ACTIONS(3260),
    [anon_sym_SLASH_SLASH] = ACTIONS(3260),
    [anon_sym_CARET_CARET] = ACTIONS(3258),
    [anon_sym_AMP_AMP] = ACTIONS(3260),
    [anon_sym_PIPE] = ACTIONS(3260),
    [anon_sym_CARET] = ACTIONS(3260),
    [anon_sym_AMP] = ACTIONS(3260),
    [anon_sym_GT_GT2] = ACTIONS(3260),
    [anon_sym_PLUS] = ACTIONS(3260),
    [anon_sym_DASH] = ACTIONS(3260),
    [anon_sym_DOT] = ACTIONS(3260),
    [anon_sym_SLASH] = ACTIONS(3260),
    [anon_sym_x] = ACTIONS(3260),
    [anon_sym_EQ_TILDE] = ACTIONS(3258),
    [anon_sym_BANG_TILDE] = ACTIONS(3258),
    [anon_sym_EQ_EQ] = ACTIONS(3260),
    [anon_sym_BANG_EQ] = ACTIONS(3258),
    [anon_sym_eq] = ACTIONS(3260),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3258),
    [anon_sym_equ] = ACTIONS(3258),
    [anon_sym_eqr] = ACTIONS(3258),
    [anon_sym_ne] = ACTIONS(3258),
    [anon_sym_LT_EQ_GT] = ACTIONS(3258),
    [anon_sym_cmp] = ACTIONS(3258),
    [anon_sym_TILDE_TILDE] = ACTIONS(3258),
    [anon_sym_LT] = ACTIONS(3260),
    [anon_sym_LT_EQ] = ACTIONS(3260),
    [anon_sym_GT_EQ] = ACTIONS(3258),
    [anon_sym_lt] = ACTIONS(3258),
    [anon_sym_le] = ACTIONS(3258),
    [anon_sym_ge] = ACTIONS(3258),
    [anon_sym_gt] = ACTIONS(3258),
    [anon_sym_isa] = ACTIONS(3258),
    [anon_sym_PLUS_PLUS] = ACTIONS(3258),
    [anon_sym_DASH_DASH] = ACTIONS(3258),
    [anon_sym_QMARK] = ACTIONS(3258),
    [anon_sym_EQ_GT] = ACTIONS(3258),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3258),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2299] = {
    [sym_heredoc_content] = STATE(2299),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym_EQ] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_COMMA] = ACTIONS(3322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3322),
    [anon_sym_DASH_GT] = ACTIONS(3322),
    [anon_sym_STAR] = ACTIONS(3324),
    [anon_sym_PERCENT] = ACTIONS(3324),
    [anon_sym_GT] = ACTIONS(3324),
    [anon_sym_LT_LT] = ACTIONS(3324),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3322),
    [anon_sym_PLUS_EQ] = ACTIONS(3322),
    [anon_sym_DASH_EQ] = ACTIONS(3322),
    [anon_sym_DOT_EQ] = ACTIONS(3322),
    [anon_sym_STAR_EQ] = ACTIONS(3322),
    [anon_sym_SLASH_EQ] = ACTIONS(3322),
    [anon_sym_PERCENT_EQ] = ACTIONS(3322),
    [anon_sym_x_EQ] = ACTIONS(3322),
    [anon_sym_AMP_EQ] = ACTIONS(3322),
    [anon_sym_PIPE_EQ] = ACTIONS(3322),
    [anon_sym_CARET_EQ] = ACTIONS(3322),
    [anon_sym_LT_LT_EQ] = ACTIONS(3322),
    [anon_sym_GT_GT_EQ] = ACTIONS(3322),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3322),
    [anon_sym_DOT_DOT] = ACTIONS(3324),
    [anon_sym_STAR_STAR] = ACTIONS(3324),
    [anon_sym_PIPE_PIPE] = ACTIONS(3324),
    [anon_sym_SLASH_SLASH] = ACTIONS(3324),
    [anon_sym_CARET_CARET] = ACTIONS(3322),
    [anon_sym_AMP_AMP] = ACTIONS(3324),
    [anon_sym_PIPE] = ACTIONS(3324),
    [anon_sym_CARET] = ACTIONS(3324),
    [anon_sym_AMP] = ACTIONS(3324),
    [anon_sym_GT_GT2] = ACTIONS(3324),
    [anon_sym_PLUS] = ACTIONS(3324),
    [anon_sym_DASH] = ACTIONS(3324),
    [anon_sym_DOT] = ACTIONS(3324),
    [anon_sym_SLASH] = ACTIONS(3324),
    [anon_sym_x] = ACTIONS(3324),
    [anon_sym_EQ_TILDE] = ACTIONS(3322),
    [anon_sym_BANG_TILDE] = ACTIONS(3322),
    [anon_sym_EQ_EQ] = ACTIONS(3324),
    [anon_sym_BANG_EQ] = ACTIONS(3322),
    [anon_sym_eq] = ACTIONS(3324),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3322),
    [anon_sym_equ] = ACTIONS(3322),
    [anon_sym_eqr] = ACTIONS(3322),
    [anon_sym_ne] = ACTIONS(3322),
    [anon_sym_LT_EQ_GT] = ACTIONS(3322),
    [anon_sym_cmp] = ACTIONS(3322),
    [anon_sym_TILDE_TILDE] = ACTIONS(3322),
    [anon_sym_LT] = ACTIONS(3324),
    [anon_sym_LT_EQ] = ACTIONS(3324),
    [anon_sym_GT_EQ] = ACTIONS(3322),
    [anon_sym_lt] = ACTIONS(3322),
    [anon_sym_le] = ACTIONS(3322),
    [anon_sym_ge] = ACTIONS(3322),
    [anon_sym_gt] = ACTIONS(3322),
    [anon_sym_isa] = ACTIONS(3322),
    [anon_sym_PLUS_PLUS] = ACTIONS(3322),
    [anon_sym_DASH_DASH] = ACTIONS(3322),
    [anon_sym_QMARK] = ACTIONS(3322),
    [anon_sym_EQ_GT] = ACTIONS(3322),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3322),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2300] = {
    [sym_heredoc_content] = STATE(2300),
    [anon_sym_SEMI] = ACTIONS(2853),
    [anon_sym_EQ] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_COMMA] = ACTIONS(2853),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2853),
    [anon_sym_DASH_GT] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_PERCENT] = ACTIONS(2855),
    [anon_sym_GT] = ACTIONS(2855),
    [anon_sym_LT_LT] = ACTIONS(2855),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2853),
    [anon_sym_PLUS_EQ] = ACTIONS(2853),
    [anon_sym_DASH_EQ] = ACTIONS(2853),
    [anon_sym_DOT_EQ] = ACTIONS(2853),
    [anon_sym_STAR_EQ] = ACTIONS(2853),
    [anon_sym_SLASH_EQ] = ACTIONS(2853),
    [anon_sym_PERCENT_EQ] = ACTIONS(2853),
    [anon_sym_x_EQ] = ACTIONS(2853),
    [anon_sym_AMP_EQ] = ACTIONS(2853),
    [anon_sym_PIPE_EQ] = ACTIONS(2853),
    [anon_sym_CARET_EQ] = ACTIONS(2853),
    [anon_sym_LT_LT_EQ] = ACTIONS(2853),
    [anon_sym_GT_GT_EQ] = ACTIONS(2853),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2853),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_STAR_STAR] = ACTIONS(2855),
    [anon_sym_PIPE_PIPE] = ACTIONS(2855),
    [anon_sym_SLASH_SLASH] = ACTIONS(2855),
    [anon_sym_CARET_CARET] = ACTIONS(2853),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_CARET] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_GT_GT2] = ACTIONS(2855),
    [anon_sym_PLUS] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_DOT] = ACTIONS(2855),
    [anon_sym_SLASH] = ACTIONS(2855),
    [anon_sym_x] = ACTIONS(2855),
    [anon_sym_EQ_TILDE] = ACTIONS(2853),
    [anon_sym_BANG_TILDE] = ACTIONS(2853),
    [anon_sym_EQ_EQ] = ACTIONS(2855),
    [anon_sym_BANG_EQ] = ACTIONS(2853),
    [anon_sym_eq] = ACTIONS(2855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2853),
    [anon_sym_equ] = ACTIONS(2853),
    [anon_sym_eqr] = ACTIONS(2853),
    [anon_sym_ne] = ACTIONS(2853),
    [anon_sym_LT_EQ_GT] = ACTIONS(2853),
    [anon_sym_cmp] = ACTIONS(2853),
    [anon_sym_TILDE_TILDE] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_LT_EQ] = ACTIONS(2855),
    [anon_sym_GT_EQ] = ACTIONS(2853),
    [anon_sym_lt] = ACTIONS(2853),
    [anon_sym_le] = ACTIONS(2853),
    [anon_sym_ge] = ACTIONS(2853),
    [anon_sym_gt] = ACTIONS(2853),
    [anon_sym_isa] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2853),
    [anon_sym_EQ_GT] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2853),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2301] = {
    [sym_heredoc_content] = STATE(2301),
    [anon_sym_SEMI] = ACTIONS(2857),
    [anon_sym_EQ] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_COMMA] = ACTIONS(2857),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2857),
    [anon_sym_DASH_GT] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_PERCENT] = ACTIONS(2859),
    [anon_sym_GT] = ACTIONS(2859),
    [anon_sym_LT_LT] = ACTIONS(2859),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2857),
    [anon_sym_PLUS_EQ] = ACTIONS(2857),
    [anon_sym_DASH_EQ] = ACTIONS(2857),
    [anon_sym_DOT_EQ] = ACTIONS(2857),
    [anon_sym_STAR_EQ] = ACTIONS(2857),
    [anon_sym_SLASH_EQ] = ACTIONS(2857),
    [anon_sym_PERCENT_EQ] = ACTIONS(2857),
    [anon_sym_x_EQ] = ACTIONS(2857),
    [anon_sym_AMP_EQ] = ACTIONS(2857),
    [anon_sym_PIPE_EQ] = ACTIONS(2857),
    [anon_sym_CARET_EQ] = ACTIONS(2857),
    [anon_sym_LT_LT_EQ] = ACTIONS(2857),
    [anon_sym_GT_GT_EQ] = ACTIONS(2857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2857),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_STAR_STAR] = ACTIONS(2859),
    [anon_sym_PIPE_PIPE] = ACTIONS(2859),
    [anon_sym_SLASH_SLASH] = ACTIONS(2859),
    [anon_sym_CARET_CARET] = ACTIONS(2857),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_CARET] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_GT_GT2] = ACTIONS(2859),
    [anon_sym_PLUS] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_DOT] = ACTIONS(2859),
    [anon_sym_SLASH] = ACTIONS(2859),
    [anon_sym_x] = ACTIONS(2859),
    [anon_sym_EQ_TILDE] = ACTIONS(2857),
    [anon_sym_BANG_TILDE] = ACTIONS(2857),
    [anon_sym_EQ_EQ] = ACTIONS(2859),
    [anon_sym_BANG_EQ] = ACTIONS(2857),
    [anon_sym_eq] = ACTIONS(2859),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2857),
    [anon_sym_equ] = ACTIONS(2857),
    [anon_sym_eqr] = ACTIONS(2857),
    [anon_sym_ne] = ACTIONS(2857),
    [anon_sym_LT_EQ_GT] = ACTIONS(2857),
    [anon_sym_cmp] = ACTIONS(2857),
    [anon_sym_TILDE_TILDE] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_LT_EQ] = ACTIONS(2859),
    [anon_sym_GT_EQ] = ACTIONS(2857),
    [anon_sym_lt] = ACTIONS(2857),
    [anon_sym_le] = ACTIONS(2857),
    [anon_sym_ge] = ACTIONS(2857),
    [anon_sym_gt] = ACTIONS(2857),
    [anon_sym_isa] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2857),
    [anon_sym_EQ_GT] = ACTIONS(2857),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2857),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2302] = {
    [sym_heredoc_content] = STATE(2302),
    [anon_sym_SEMI] = ACTIONS(3030),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_COMMA] = ACTIONS(3030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3030),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3030),
    [anon_sym_PLUS_EQ] = ACTIONS(3030),
    [anon_sym_DASH_EQ] = ACTIONS(3030),
    [anon_sym_DOT_EQ] = ACTIONS(3030),
    [anon_sym_STAR_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_PERCENT_EQ] = ACTIONS(3030),
    [anon_sym_x_EQ] = ACTIONS(3030),
    [anon_sym_AMP_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_CARET_EQ] = ACTIONS(3030),
    [anon_sym_LT_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_GT_EQ] = ACTIONS(3030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3030),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH] = ACTIONS(3032),
    [anon_sym_CARET_CARET] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_CARET] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3030),
    [anon_sym_eq] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3030),
    [anon_sym_equ] = ACTIONS(3030),
    [anon_sym_eqr] = ACTIONS(3030),
    [anon_sym_ne] = ACTIONS(3030),
    [anon_sym_LT_EQ_GT] = ACTIONS(3030),
    [anon_sym_cmp] = ACTIONS(3030),
    [anon_sym_TILDE_TILDE] = ACTIONS(3030),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3030),
    [anon_sym_lt] = ACTIONS(3030),
    [anon_sym_le] = ACTIONS(3030),
    [anon_sym_ge] = ACTIONS(3030),
    [anon_sym_gt] = ACTIONS(3030),
    [anon_sym_isa] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3030),
    [anon_sym_EQ_GT] = ACTIONS(3030),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3030),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2303] = {
    [sym_heredoc_content] = STATE(2303),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym_EQ] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_COMMA] = ACTIONS(2865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2865),
    [anon_sym_DASH_GT] = ACTIONS(2865),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_PERCENT] = ACTIONS(2867),
    [anon_sym_GT] = ACTIONS(2867),
    [anon_sym_LT_LT] = ACTIONS(2867),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2865),
    [anon_sym_PLUS_EQ] = ACTIONS(2865),
    [anon_sym_DASH_EQ] = ACTIONS(2865),
    [anon_sym_DOT_EQ] = ACTIONS(2865),
    [anon_sym_STAR_EQ] = ACTIONS(2865),
    [anon_sym_SLASH_EQ] = ACTIONS(2865),
    [anon_sym_PERCENT_EQ] = ACTIONS(2865),
    [anon_sym_x_EQ] = ACTIONS(2865),
    [anon_sym_AMP_EQ] = ACTIONS(2865),
    [anon_sym_PIPE_EQ] = ACTIONS(2865),
    [anon_sym_CARET_EQ] = ACTIONS(2865),
    [anon_sym_LT_LT_EQ] = ACTIONS(2865),
    [anon_sym_GT_GT_EQ] = ACTIONS(2865),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2865),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_STAR_STAR] = ACTIONS(2867),
    [anon_sym_PIPE_PIPE] = ACTIONS(2867),
    [anon_sym_SLASH_SLASH] = ACTIONS(2867),
    [anon_sym_CARET_CARET] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_CARET] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_GT_GT2] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_SLASH] = ACTIONS(2867),
    [anon_sym_x] = ACTIONS(2867),
    [anon_sym_EQ_TILDE] = ACTIONS(2865),
    [anon_sym_BANG_TILDE] = ACTIONS(2865),
    [anon_sym_EQ_EQ] = ACTIONS(2867),
    [anon_sym_BANG_EQ] = ACTIONS(2865),
    [anon_sym_eq] = ACTIONS(2867),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2865),
    [anon_sym_equ] = ACTIONS(2865),
    [anon_sym_eqr] = ACTIONS(2865),
    [anon_sym_ne] = ACTIONS(2865),
    [anon_sym_LT_EQ_GT] = ACTIONS(2865),
    [anon_sym_cmp] = ACTIONS(2865),
    [anon_sym_TILDE_TILDE] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_LT_EQ] = ACTIONS(2867),
    [anon_sym_GT_EQ] = ACTIONS(2865),
    [anon_sym_lt] = ACTIONS(2865),
    [anon_sym_le] = ACTIONS(2865),
    [anon_sym_ge] = ACTIONS(2865),
    [anon_sym_gt] = ACTIONS(2865),
    [anon_sym_isa] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2865),
    [anon_sym_EQ_GT] = ACTIONS(2865),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2865),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2304] = {
    [sym_heredoc_content] = STATE(2304),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2305] = {
    [sym_heredoc_content] = STATE(2305),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2306] = {
    [sym_heredoc_content] = STATE(2306),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym_EQ] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_COMMA] = ACTIONS(2869),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2869),
    [anon_sym_DASH_GT] = ACTIONS(2869),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_PERCENT] = ACTIONS(2871),
    [anon_sym_GT] = ACTIONS(2871),
    [anon_sym_LT_LT] = ACTIONS(2871),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2869),
    [anon_sym_PLUS_EQ] = ACTIONS(2869),
    [anon_sym_DASH_EQ] = ACTIONS(2869),
    [anon_sym_DOT_EQ] = ACTIONS(2869),
    [anon_sym_STAR_EQ] = ACTIONS(2869),
    [anon_sym_SLASH_EQ] = ACTIONS(2869),
    [anon_sym_PERCENT_EQ] = ACTIONS(2869),
    [anon_sym_x_EQ] = ACTIONS(2869),
    [anon_sym_AMP_EQ] = ACTIONS(2869),
    [anon_sym_PIPE_EQ] = ACTIONS(2869),
    [anon_sym_CARET_EQ] = ACTIONS(2869),
    [anon_sym_LT_LT_EQ] = ACTIONS(2869),
    [anon_sym_GT_GT_EQ] = ACTIONS(2869),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2869),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_STAR_STAR] = ACTIONS(2871),
    [anon_sym_PIPE_PIPE] = ACTIONS(2871),
    [anon_sym_SLASH_SLASH] = ACTIONS(2871),
    [anon_sym_CARET_CARET] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_CARET] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_GT_GT2] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_DOT] = ACTIONS(2871),
    [anon_sym_SLASH] = ACTIONS(2871),
    [anon_sym_x] = ACTIONS(2871),
    [anon_sym_EQ_TILDE] = ACTIONS(2869),
    [anon_sym_BANG_TILDE] = ACTIONS(2869),
    [anon_sym_EQ_EQ] = ACTIONS(2871),
    [anon_sym_BANG_EQ] = ACTIONS(2869),
    [anon_sym_eq] = ACTIONS(2871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2869),
    [anon_sym_equ] = ACTIONS(2869),
    [anon_sym_eqr] = ACTIONS(2869),
    [anon_sym_ne] = ACTIONS(2869),
    [anon_sym_LT_EQ_GT] = ACTIONS(2869),
    [anon_sym_cmp] = ACTIONS(2869),
    [anon_sym_TILDE_TILDE] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_LT_EQ] = ACTIONS(2871),
    [anon_sym_GT_EQ] = ACTIONS(2869),
    [anon_sym_lt] = ACTIONS(2869),
    [anon_sym_le] = ACTIONS(2869),
    [anon_sym_ge] = ACTIONS(2869),
    [anon_sym_gt] = ACTIONS(2869),
    [anon_sym_isa] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2869),
    [anon_sym_EQ_GT] = ACTIONS(2869),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2869),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2307] = {
    [sym_heredoc_content] = STATE(2307),
    [anon_sym_SEMI] = ACTIONS(1973),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(1973),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_DASH_GT] = ACTIONS(1973),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_GT] = ACTIONS(1969),
    [anon_sym_LT_LT] = ACTIONS(1969),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1973),
    [anon_sym_PLUS_EQ] = ACTIONS(1973),
    [anon_sym_DASH_EQ] = ACTIONS(1973),
    [anon_sym_DOT_EQ] = ACTIONS(1973),
    [anon_sym_STAR_EQ] = ACTIONS(1973),
    [anon_sym_SLASH_EQ] = ACTIONS(1973),
    [anon_sym_PERCENT_EQ] = ACTIONS(1973),
    [anon_sym_x_EQ] = ACTIONS(1973),
    [anon_sym_AMP_EQ] = ACTIONS(1973),
    [anon_sym_PIPE_EQ] = ACTIONS(1973),
    [anon_sym_CARET_EQ] = ACTIONS(1973),
    [anon_sym_LT_LT_EQ] = ACTIONS(1973),
    [anon_sym_GT_GT_EQ] = ACTIONS(1973),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1973),
    [anon_sym_DOT_DOT] = ACTIONS(1969),
    [anon_sym_STAR_STAR] = ACTIONS(1969),
    [anon_sym_PIPE_PIPE] = ACTIONS(1969),
    [anon_sym_SLASH_SLASH] = ACTIONS(1969),
    [anon_sym_CARET_CARET] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(1969),
    [anon_sym_PIPE] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1969),
    [anon_sym_AMP] = ACTIONS(1969),
    [anon_sym_GT_GT2] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_DOT] = ACTIONS(1969),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_x] = ACTIONS(1969),
    [anon_sym_EQ_TILDE] = ACTIONS(1973),
    [anon_sym_BANG_TILDE] = ACTIONS(1973),
    [anon_sym_EQ_EQ] = ACTIONS(1969),
    [anon_sym_BANG_EQ] = ACTIONS(1973),
    [anon_sym_eq] = ACTIONS(1969),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1973),
    [anon_sym_equ] = ACTIONS(1973),
    [anon_sym_eqr] = ACTIONS(1973),
    [anon_sym_ne] = ACTIONS(1973),
    [anon_sym_LT_EQ_GT] = ACTIONS(1973),
    [anon_sym_cmp] = ACTIONS(1973),
    [anon_sym_TILDE_TILDE] = ACTIONS(1973),
    [anon_sym_LT] = ACTIONS(1969),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1973),
    [anon_sym_lt] = ACTIONS(1973),
    [anon_sym_le] = ACTIONS(1973),
    [anon_sym_ge] = ACTIONS(1973),
    [anon_sym_gt] = ACTIONS(1973),
    [anon_sym_isa] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [anon_sym_QMARK] = ACTIONS(1973),
    [anon_sym_EQ_GT] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1973),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2308] = {
    [sym_heredoc_content] = STATE(2308),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2309] = {
    [sym_heredoc_content] = STATE(2309),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3772),
    [anon_sym_PLUS_EQ] = ACTIONS(3772),
    [anon_sym_DASH_EQ] = ACTIONS(3772),
    [anon_sym_DOT_EQ] = ACTIONS(3772),
    [anon_sym_STAR_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_PERCENT_EQ] = ACTIONS(3772),
    [anon_sym_x_EQ] = ACTIONS(3772),
    [anon_sym_AMP_EQ] = ACTIONS(3772),
    [anon_sym_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_CARET_EQ] = ACTIONS(3772),
    [anon_sym_LT_LT_EQ] = ACTIONS(3772),
    [anon_sym_GT_GT_EQ] = ACTIONS(3772),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3772),
    [anon_sym_DOT_DOT] = ACTIONS(3786),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3790),
    [anon_sym_CARET_CARET] = ACTIONS(3792),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3816),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2873),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2310] = {
    [sym_heredoc_content] = STATE(2310),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_COMMA] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3772),
    [anon_sym_PLUS_EQ] = ACTIONS(3772),
    [anon_sym_DASH_EQ] = ACTIONS(3772),
    [anon_sym_DOT_EQ] = ACTIONS(3772),
    [anon_sym_STAR_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_PERCENT_EQ] = ACTIONS(3772),
    [anon_sym_x_EQ] = ACTIONS(3772),
    [anon_sym_AMP_EQ] = ACTIONS(3772),
    [anon_sym_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_CARET_EQ] = ACTIONS(3772),
    [anon_sym_LT_LT_EQ] = ACTIONS(3772),
    [anon_sym_GT_GT_EQ] = ACTIONS(3772),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3772),
    [anon_sym_DOT_DOT] = ACTIONS(3786),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3790),
    [anon_sym_CARET_CARET] = ACTIONS(3792),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3816),
    [anon_sym_EQ_GT] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2672),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2311] = {
    [sym_heredoc_content] = STATE(2311),
    [anon_sym_RBRACE] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_RPAREN] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2312] = {
    [sym_heredoc_content] = STATE(2312),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym_EQ] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_COMMA] = ACTIONS(3138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3138),
    [anon_sym_DASH_GT] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3140),
    [anon_sym_PERCENT] = ACTIONS(3140),
    [anon_sym_GT] = ACTIONS(3140),
    [anon_sym_LT_LT] = ACTIONS(3140),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3138),
    [anon_sym_PLUS_EQ] = ACTIONS(3138),
    [anon_sym_DASH_EQ] = ACTIONS(3138),
    [anon_sym_DOT_EQ] = ACTIONS(3138),
    [anon_sym_STAR_EQ] = ACTIONS(3138),
    [anon_sym_SLASH_EQ] = ACTIONS(3138),
    [anon_sym_PERCENT_EQ] = ACTIONS(3138),
    [anon_sym_x_EQ] = ACTIONS(3138),
    [anon_sym_AMP_EQ] = ACTIONS(3138),
    [anon_sym_PIPE_EQ] = ACTIONS(3138),
    [anon_sym_CARET_EQ] = ACTIONS(3138),
    [anon_sym_LT_LT_EQ] = ACTIONS(3138),
    [anon_sym_GT_GT_EQ] = ACTIONS(3138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3138),
    [anon_sym_DOT_DOT] = ACTIONS(3140),
    [anon_sym_STAR_STAR] = ACTIONS(3140),
    [anon_sym_PIPE_PIPE] = ACTIONS(3140),
    [anon_sym_SLASH_SLASH] = ACTIONS(3140),
    [anon_sym_CARET_CARET] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3140),
    [anon_sym_PIPE] = ACTIONS(3140),
    [anon_sym_CARET] = ACTIONS(3140),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_GT_GT2] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_DOT] = ACTIONS(3140),
    [anon_sym_SLASH] = ACTIONS(3140),
    [anon_sym_x] = ACTIONS(3140),
    [anon_sym_EQ_TILDE] = ACTIONS(3138),
    [anon_sym_BANG_TILDE] = ACTIONS(3138),
    [anon_sym_EQ_EQ] = ACTIONS(3140),
    [anon_sym_BANG_EQ] = ACTIONS(3138),
    [anon_sym_eq] = ACTIONS(3140),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3138),
    [anon_sym_equ] = ACTIONS(3138),
    [anon_sym_eqr] = ACTIONS(3138),
    [anon_sym_ne] = ACTIONS(3138),
    [anon_sym_LT_EQ_GT] = ACTIONS(3138),
    [anon_sym_cmp] = ACTIONS(3138),
    [anon_sym_TILDE_TILDE] = ACTIONS(3138),
    [anon_sym_LT] = ACTIONS(3140),
    [anon_sym_LT_EQ] = ACTIONS(3140),
    [anon_sym_GT_EQ] = ACTIONS(3138),
    [anon_sym_lt] = ACTIONS(3138),
    [anon_sym_le] = ACTIONS(3138),
    [anon_sym_ge] = ACTIONS(3138),
    [anon_sym_gt] = ACTIONS(3138),
    [anon_sym_isa] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_QMARK] = ACTIONS(3138),
    [anon_sym_EQ_GT] = ACTIONS(3138),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3138),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2313] = {
    [sym_heredoc_content] = STATE(2313),
    [anon_sym_SEMI] = ACTIONS(3214),
    [anon_sym_EQ] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_COMMA] = ACTIONS(3214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3214),
    [anon_sym_DASH_GT] = ACTIONS(3214),
    [anon_sym_STAR] = ACTIONS(3216),
    [anon_sym_PERCENT] = ACTIONS(3216),
    [anon_sym_GT] = ACTIONS(3216),
    [anon_sym_LT_LT] = ACTIONS(3216),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3214),
    [anon_sym_PLUS_EQ] = ACTIONS(3214),
    [anon_sym_DASH_EQ] = ACTIONS(3214),
    [anon_sym_DOT_EQ] = ACTIONS(3214),
    [anon_sym_STAR_EQ] = ACTIONS(3214),
    [anon_sym_SLASH_EQ] = ACTIONS(3214),
    [anon_sym_PERCENT_EQ] = ACTIONS(3214),
    [anon_sym_x_EQ] = ACTIONS(3214),
    [anon_sym_AMP_EQ] = ACTIONS(3214),
    [anon_sym_PIPE_EQ] = ACTIONS(3214),
    [anon_sym_CARET_EQ] = ACTIONS(3214),
    [anon_sym_LT_LT_EQ] = ACTIONS(3214),
    [anon_sym_GT_GT_EQ] = ACTIONS(3214),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3214),
    [anon_sym_DOT_DOT] = ACTIONS(3216),
    [anon_sym_STAR_STAR] = ACTIONS(3216),
    [anon_sym_PIPE_PIPE] = ACTIONS(3216),
    [anon_sym_SLASH_SLASH] = ACTIONS(3216),
    [anon_sym_CARET_CARET] = ACTIONS(3214),
    [anon_sym_AMP_AMP] = ACTIONS(3216),
    [anon_sym_PIPE] = ACTIONS(3216),
    [anon_sym_CARET] = ACTIONS(3216),
    [anon_sym_AMP] = ACTIONS(3216),
    [anon_sym_GT_GT2] = ACTIONS(3216),
    [anon_sym_PLUS] = ACTIONS(3216),
    [anon_sym_DASH] = ACTIONS(3216),
    [anon_sym_DOT] = ACTIONS(3216),
    [anon_sym_SLASH] = ACTIONS(3216),
    [anon_sym_x] = ACTIONS(3216),
    [anon_sym_EQ_TILDE] = ACTIONS(3214),
    [anon_sym_BANG_TILDE] = ACTIONS(3214),
    [anon_sym_EQ_EQ] = ACTIONS(3216),
    [anon_sym_BANG_EQ] = ACTIONS(3214),
    [anon_sym_eq] = ACTIONS(3216),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3214),
    [anon_sym_equ] = ACTIONS(3214),
    [anon_sym_eqr] = ACTIONS(3214),
    [anon_sym_ne] = ACTIONS(3214),
    [anon_sym_LT_EQ_GT] = ACTIONS(3214),
    [anon_sym_cmp] = ACTIONS(3214),
    [anon_sym_TILDE_TILDE] = ACTIONS(3214),
    [anon_sym_LT] = ACTIONS(3216),
    [anon_sym_LT_EQ] = ACTIONS(3216),
    [anon_sym_GT_EQ] = ACTIONS(3214),
    [anon_sym_lt] = ACTIONS(3214),
    [anon_sym_le] = ACTIONS(3214),
    [anon_sym_ge] = ACTIONS(3214),
    [anon_sym_gt] = ACTIONS(3214),
    [anon_sym_isa] = ACTIONS(3214),
    [anon_sym_PLUS_PLUS] = ACTIONS(3214),
    [anon_sym_DASH_DASH] = ACTIONS(3214),
    [anon_sym_QMARK] = ACTIONS(3214),
    [anon_sym_EQ_GT] = ACTIONS(3214),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3214),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2314] = {
    [sym_heredoc_content] = STATE(2314),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2315] = {
    [sym_heredoc_content] = STATE(2315),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2316] = {
    [sym_heredoc_content] = STATE(2316),
    [anon_sym_RBRACE] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_RPAREN] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2317] = {
    [sym_heredoc_content] = STATE(2317),
    [anon_sym_SEMI] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3210),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2318] = {
    [sym_heredoc_content] = STATE(2318),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2319] = {
    [sym_heredoc_content] = STATE(2319),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2320] = {
    [sym_heredoc_content] = STATE(2320),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2321] = {
    [sym_heredoc_content] = STATE(2321),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2322] = {
    [sym_heredoc_content] = STATE(2322),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2323] = {
    [sym_heredoc_content] = STATE(2323),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2324] = {
    [sym_heredoc_content] = STATE(2324),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2325] = {
    [sym_heredoc_content] = STATE(2325),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2833),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2326] = {
    [sym_heredoc_content] = STATE(2326),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2327] = {
    [sym_heredoc_content] = STATE(2327),
    [anon_sym_SEMI] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3926),
    [anon_sym_cmp] = ACTIONS(3926),
    [anon_sym_TILDE_TILDE] = ACTIONS(3926),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2897),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2328] = {
    [sym_heredoc_content] = STATE(2328),
    [anon_sym_RBRACE] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(3928),
    [anon_sym_RPAREN] = ACTIONS(2976),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(3928),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2329] = {
    [sym_heredoc_content] = STATE(2329),
    [anon_sym_SEMI] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3930),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2893),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2330] = {
    [sym_heredoc_content] = STATE(2330),
    [anon_sym_SEMI] = ACTIONS(3246),
    [anon_sym_EQ] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_COMMA] = ACTIONS(3246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3246),
    [anon_sym_DASH_GT] = ACTIONS(3246),
    [anon_sym_STAR] = ACTIONS(3248),
    [anon_sym_PERCENT] = ACTIONS(3248),
    [anon_sym_GT] = ACTIONS(3248),
    [anon_sym_LT_LT] = ACTIONS(3248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3246),
    [anon_sym_PLUS_EQ] = ACTIONS(3246),
    [anon_sym_DASH_EQ] = ACTIONS(3246),
    [anon_sym_DOT_EQ] = ACTIONS(3246),
    [anon_sym_STAR_EQ] = ACTIONS(3246),
    [anon_sym_SLASH_EQ] = ACTIONS(3246),
    [anon_sym_PERCENT_EQ] = ACTIONS(3246),
    [anon_sym_x_EQ] = ACTIONS(3246),
    [anon_sym_AMP_EQ] = ACTIONS(3246),
    [anon_sym_PIPE_EQ] = ACTIONS(3246),
    [anon_sym_CARET_EQ] = ACTIONS(3246),
    [anon_sym_LT_LT_EQ] = ACTIONS(3246),
    [anon_sym_GT_GT_EQ] = ACTIONS(3246),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3246),
    [anon_sym_DOT_DOT] = ACTIONS(3248),
    [anon_sym_STAR_STAR] = ACTIONS(3248),
    [anon_sym_PIPE_PIPE] = ACTIONS(3248),
    [anon_sym_SLASH_SLASH] = ACTIONS(3248),
    [anon_sym_CARET_CARET] = ACTIONS(3246),
    [anon_sym_AMP_AMP] = ACTIONS(3248),
    [anon_sym_PIPE] = ACTIONS(3248),
    [anon_sym_CARET] = ACTIONS(3248),
    [anon_sym_AMP] = ACTIONS(3248),
    [anon_sym_GT_GT2] = ACTIONS(3248),
    [anon_sym_PLUS] = ACTIONS(3248),
    [anon_sym_DASH] = ACTIONS(3248),
    [anon_sym_DOT] = ACTIONS(3248),
    [anon_sym_SLASH] = ACTIONS(3248),
    [anon_sym_x] = ACTIONS(3248),
    [anon_sym_EQ_TILDE] = ACTIONS(3246),
    [anon_sym_BANG_TILDE] = ACTIONS(3246),
    [anon_sym_EQ_EQ] = ACTIONS(3248),
    [anon_sym_BANG_EQ] = ACTIONS(3246),
    [anon_sym_eq] = ACTIONS(3248),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3246),
    [anon_sym_equ] = ACTIONS(3246),
    [anon_sym_eqr] = ACTIONS(3246),
    [anon_sym_ne] = ACTIONS(3246),
    [anon_sym_LT_EQ_GT] = ACTIONS(3246),
    [anon_sym_cmp] = ACTIONS(3246),
    [anon_sym_TILDE_TILDE] = ACTIONS(3246),
    [anon_sym_LT] = ACTIONS(3248),
    [anon_sym_LT_EQ] = ACTIONS(3248),
    [anon_sym_GT_EQ] = ACTIONS(3246),
    [anon_sym_lt] = ACTIONS(3246),
    [anon_sym_le] = ACTIONS(3246),
    [anon_sym_ge] = ACTIONS(3246),
    [anon_sym_gt] = ACTIONS(3246),
    [anon_sym_isa] = ACTIONS(3246),
    [anon_sym_PLUS_PLUS] = ACTIONS(3246),
    [anon_sym_DASH_DASH] = ACTIONS(3246),
    [anon_sym_QMARK] = ACTIONS(3246),
    [anon_sym_EQ_GT] = ACTIONS(3246),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3246),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2331] = {
    [sym_heredoc_content] = STATE(2331),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2332] = {
    [sym_heredoc_content] = STATE(2332),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(2672),
    [anon_sym_RPAREN] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2333] = {
    [sym_heredoc_content] = STATE(2333),
    [anon_sym_SEMI] = ACTIONS(2905),
    [anon_sym_EQ] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_COMMA] = ACTIONS(2905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2905),
    [anon_sym_DASH_GT] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_PERCENT] = ACTIONS(2907),
    [anon_sym_GT] = ACTIONS(2907),
    [anon_sym_LT_LT] = ACTIONS(2907),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2905),
    [anon_sym_PLUS_EQ] = ACTIONS(2905),
    [anon_sym_DASH_EQ] = ACTIONS(2905),
    [anon_sym_DOT_EQ] = ACTIONS(2905),
    [anon_sym_STAR_EQ] = ACTIONS(2905),
    [anon_sym_SLASH_EQ] = ACTIONS(2905),
    [anon_sym_PERCENT_EQ] = ACTIONS(2905),
    [anon_sym_x_EQ] = ACTIONS(2905),
    [anon_sym_AMP_EQ] = ACTIONS(2905),
    [anon_sym_PIPE_EQ] = ACTIONS(2905),
    [anon_sym_CARET_EQ] = ACTIONS(2905),
    [anon_sym_LT_LT_EQ] = ACTIONS(2905),
    [anon_sym_GT_GT_EQ] = ACTIONS(2905),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2905),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_STAR_STAR] = ACTIONS(2907),
    [anon_sym_PIPE_PIPE] = ACTIONS(2907),
    [anon_sym_SLASH_SLASH] = ACTIONS(2907),
    [anon_sym_CARET_CARET] = ACTIONS(2905),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_CARET] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_GT_GT2] = ACTIONS(2907),
    [anon_sym_PLUS] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_SLASH] = ACTIONS(2907),
    [anon_sym_x] = ACTIONS(2907),
    [anon_sym_EQ_TILDE] = ACTIONS(2905),
    [anon_sym_BANG_TILDE] = ACTIONS(2905),
    [anon_sym_EQ_EQ] = ACTIONS(2907),
    [anon_sym_BANG_EQ] = ACTIONS(2905),
    [anon_sym_eq] = ACTIONS(2907),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2905),
    [anon_sym_equ] = ACTIONS(2905),
    [anon_sym_eqr] = ACTIONS(2905),
    [anon_sym_ne] = ACTIONS(2905),
    [anon_sym_LT_EQ_GT] = ACTIONS(2905),
    [anon_sym_cmp] = ACTIONS(2905),
    [anon_sym_TILDE_TILDE] = ACTIONS(2905),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_LT_EQ] = ACTIONS(2907),
    [anon_sym_GT_EQ] = ACTIONS(2905),
    [anon_sym_lt] = ACTIONS(2905),
    [anon_sym_le] = ACTIONS(2905),
    [anon_sym_ge] = ACTIONS(2905),
    [anon_sym_gt] = ACTIONS(2905),
    [anon_sym_isa] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2905),
    [anon_sym_EQ_GT] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2905),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2334] = {
    [sym_heredoc_content] = STATE(2334),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym_EQ] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(2911),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2911),
    [anon_sym_DASH_GT] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2913),
    [anon_sym_PERCENT] = ACTIONS(2913),
    [anon_sym_GT] = ACTIONS(2913),
    [anon_sym_LT_LT] = ACTIONS(2913),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2911),
    [anon_sym_PLUS_EQ] = ACTIONS(2911),
    [anon_sym_DASH_EQ] = ACTIONS(2911),
    [anon_sym_DOT_EQ] = ACTIONS(2911),
    [anon_sym_STAR_EQ] = ACTIONS(2911),
    [anon_sym_SLASH_EQ] = ACTIONS(2911),
    [anon_sym_PERCENT_EQ] = ACTIONS(2911),
    [anon_sym_x_EQ] = ACTIONS(2911),
    [anon_sym_AMP_EQ] = ACTIONS(2911),
    [anon_sym_PIPE_EQ] = ACTIONS(2911),
    [anon_sym_CARET_EQ] = ACTIONS(2911),
    [anon_sym_LT_LT_EQ] = ACTIONS(2911),
    [anon_sym_GT_GT_EQ] = ACTIONS(2911),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2913),
    [anon_sym_STAR_STAR] = ACTIONS(2913),
    [anon_sym_PIPE_PIPE] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(2913),
    [anon_sym_CARET_CARET] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2913),
    [anon_sym_PIPE] = ACTIONS(2913),
    [anon_sym_CARET] = ACTIONS(2913),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_GT_GT2] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_DOT] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_x] = ACTIONS(2913),
    [anon_sym_EQ_TILDE] = ACTIONS(2911),
    [anon_sym_BANG_TILDE] = ACTIONS(2911),
    [anon_sym_EQ_EQ] = ACTIONS(2913),
    [anon_sym_BANG_EQ] = ACTIONS(2911),
    [anon_sym_eq] = ACTIONS(2913),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2911),
    [anon_sym_equ] = ACTIONS(2911),
    [anon_sym_eqr] = ACTIONS(2911),
    [anon_sym_ne] = ACTIONS(2911),
    [anon_sym_LT_EQ_GT] = ACTIONS(2911),
    [anon_sym_cmp] = ACTIONS(2911),
    [anon_sym_TILDE_TILDE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_LT_EQ] = ACTIONS(2913),
    [anon_sym_GT_EQ] = ACTIONS(2911),
    [anon_sym_lt] = ACTIONS(2911),
    [anon_sym_le] = ACTIONS(2911),
    [anon_sym_ge] = ACTIONS(2911),
    [anon_sym_gt] = ACTIONS(2911),
    [anon_sym_isa] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2911),
    [anon_sym_EQ_GT] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2911),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2335] = {
    [sym_heredoc_content] = STATE(2335),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3932),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(3934),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2336] = {
    [sym_heredoc_content] = STATE(2336),
    [aux_sym__term_rightward_repeat1] = STATE(2337),
    [anon_sym_COLON] = ACTIONS(2731),
    [anon_sym_EQ] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_COMMA] = ACTIONS(3936),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2731),
    [anon_sym_DASH_GT] = ACTIONS(2731),
    [anon_sym_STAR] = ACTIONS(2733),
    [anon_sym_PERCENT] = ACTIONS(2733),
    [anon_sym_GT] = ACTIONS(2733),
    [anon_sym_LT_LT] = ACTIONS(2733),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2731),
    [anon_sym_PLUS_EQ] = ACTIONS(2731),
    [anon_sym_DASH_EQ] = ACTIONS(2731),
    [anon_sym_DOT_EQ] = ACTIONS(2731),
    [anon_sym_STAR_EQ] = ACTIONS(2731),
    [anon_sym_SLASH_EQ] = ACTIONS(2731),
    [anon_sym_PERCENT_EQ] = ACTIONS(2731),
    [anon_sym_x_EQ] = ACTIONS(2731),
    [anon_sym_AMP_EQ] = ACTIONS(2731),
    [anon_sym_PIPE_EQ] = ACTIONS(2731),
    [anon_sym_CARET_EQ] = ACTIONS(2731),
    [anon_sym_LT_LT_EQ] = ACTIONS(2731),
    [anon_sym_GT_GT_EQ] = ACTIONS(2731),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2731),
    [anon_sym_DOT_DOT] = ACTIONS(2733),
    [anon_sym_STAR_STAR] = ACTIONS(2733),
    [anon_sym_PIPE_PIPE] = ACTIONS(2733),
    [anon_sym_SLASH_SLASH] = ACTIONS(2733),
    [anon_sym_CARET_CARET] = ACTIONS(2731),
    [anon_sym_AMP_AMP] = ACTIONS(2733),
    [anon_sym_PIPE] = ACTIONS(2733),
    [anon_sym_CARET] = ACTIONS(2733),
    [anon_sym_AMP] = ACTIONS(2733),
    [anon_sym_GT_GT2] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_DOT] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_x] = ACTIONS(2733),
    [anon_sym_EQ_TILDE] = ACTIONS(2731),
    [anon_sym_BANG_TILDE] = ACTIONS(2731),
    [anon_sym_EQ_EQ] = ACTIONS(2733),
    [anon_sym_BANG_EQ] = ACTIONS(2731),
    [anon_sym_eq] = ACTIONS(2733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2731),
    [anon_sym_equ] = ACTIONS(2731),
    [anon_sym_eqr] = ACTIONS(2731),
    [anon_sym_ne] = ACTIONS(2731),
    [anon_sym_LT_EQ_GT] = ACTIONS(2731),
    [anon_sym_cmp] = ACTIONS(2731),
    [anon_sym_TILDE_TILDE] = ACTIONS(2731),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_LT_EQ] = ACTIONS(2733),
    [anon_sym_GT_EQ] = ACTIONS(2731),
    [anon_sym_lt] = ACTIONS(2731),
    [anon_sym_le] = ACTIONS(2731),
    [anon_sym_ge] = ACTIONS(2731),
    [anon_sym_gt] = ACTIONS(2731),
    [anon_sym_isa] = ACTIONS(2731),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [anon_sym_QMARK] = ACTIONS(2731),
    [anon_sym_EQ_GT] = ACTIONS(3936),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2337] = {
    [sym_heredoc_content] = STATE(2337),
    [aux_sym__term_rightward_repeat1] = STATE(2337),
    [anon_sym_COLON] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_COMMA] = ACTIONS(3938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2672),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_STAR] = ACTIONS(2674),
    [anon_sym_PERCENT] = ACTIONS(2674),
    [anon_sym_GT] = ACTIONS(2674),
    [anon_sym_LT_LT] = ACTIONS(2674),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2672),
    [anon_sym_PLUS_EQ] = ACTIONS(2672),
    [anon_sym_DASH_EQ] = ACTIONS(2672),
    [anon_sym_DOT_EQ] = ACTIONS(2672),
    [anon_sym_STAR_EQ] = ACTIONS(2672),
    [anon_sym_SLASH_EQ] = ACTIONS(2672),
    [anon_sym_PERCENT_EQ] = ACTIONS(2672),
    [anon_sym_x_EQ] = ACTIONS(2672),
    [anon_sym_AMP_EQ] = ACTIONS(2672),
    [anon_sym_PIPE_EQ] = ACTIONS(2672),
    [anon_sym_CARET_EQ] = ACTIONS(2672),
    [anon_sym_LT_LT_EQ] = ACTIONS(2672),
    [anon_sym_GT_GT_EQ] = ACTIONS(2672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2672),
    [anon_sym_DOT_DOT] = ACTIONS(2674),
    [anon_sym_STAR_STAR] = ACTIONS(2674),
    [anon_sym_PIPE_PIPE] = ACTIONS(2674),
    [anon_sym_SLASH_SLASH] = ACTIONS(2674),
    [anon_sym_CARET_CARET] = ACTIONS(2672),
    [anon_sym_AMP_AMP] = ACTIONS(2674),
    [anon_sym_PIPE] = ACTIONS(2674),
    [anon_sym_CARET] = ACTIONS(2674),
    [anon_sym_AMP] = ACTIONS(2674),
    [anon_sym_GT_GT2] = ACTIONS(2674),
    [anon_sym_PLUS] = ACTIONS(2674),
    [anon_sym_DASH] = ACTIONS(2674),
    [anon_sym_DOT] = ACTIONS(2674),
    [anon_sym_SLASH] = ACTIONS(2674),
    [anon_sym_x] = ACTIONS(2674),
    [anon_sym_EQ_TILDE] = ACTIONS(2672),
    [anon_sym_BANG_TILDE] = ACTIONS(2672),
    [anon_sym_EQ_EQ] = ACTIONS(2674),
    [anon_sym_BANG_EQ] = ACTIONS(2672),
    [anon_sym_eq] = ACTIONS(2674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2672),
    [anon_sym_equ] = ACTIONS(2672),
    [anon_sym_eqr] = ACTIONS(2672),
    [anon_sym_ne] = ACTIONS(2672),
    [anon_sym_LT_EQ_GT] = ACTIONS(2672),
    [anon_sym_cmp] = ACTIONS(2672),
    [anon_sym_TILDE_TILDE] = ACTIONS(2672),
    [anon_sym_LT] = ACTIONS(2674),
    [anon_sym_LT_EQ] = ACTIONS(2674),
    [anon_sym_GT_EQ] = ACTIONS(2672),
    [anon_sym_lt] = ACTIONS(2672),
    [anon_sym_le] = ACTIONS(2672),
    [anon_sym_ge] = ACTIONS(2672),
    [anon_sym_gt] = ACTIONS(2672),
    [anon_sym_isa] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_QMARK] = ACTIONS(2672),
    [anon_sym_EQ_GT] = ACTIONS(3938),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2338] = {
    [sym_heredoc_content] = STATE(2338),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_EQ] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_COMMA] = ACTIONS(2915),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2915),
    [anon_sym_DASH_GT] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2917),
    [anon_sym_PERCENT] = ACTIONS(2917),
    [anon_sym_GT] = ACTIONS(2917),
    [anon_sym_LT_LT] = ACTIONS(2917),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2915),
    [anon_sym_PLUS_EQ] = ACTIONS(2915),
    [anon_sym_DASH_EQ] = ACTIONS(2915),
    [anon_sym_DOT_EQ] = ACTIONS(2915),
    [anon_sym_STAR_EQ] = ACTIONS(2915),
    [anon_sym_SLASH_EQ] = ACTIONS(2915),
    [anon_sym_PERCENT_EQ] = ACTIONS(2915),
    [anon_sym_x_EQ] = ACTIONS(2915),
    [anon_sym_AMP_EQ] = ACTIONS(2915),
    [anon_sym_PIPE_EQ] = ACTIONS(2915),
    [anon_sym_CARET_EQ] = ACTIONS(2915),
    [anon_sym_LT_LT_EQ] = ACTIONS(2915),
    [anon_sym_GT_GT_EQ] = ACTIONS(2915),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2917),
    [anon_sym_STAR_STAR] = ACTIONS(2917),
    [anon_sym_PIPE_PIPE] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(2917),
    [anon_sym_CARET_CARET] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2917),
    [anon_sym_PIPE] = ACTIONS(2917),
    [anon_sym_CARET] = ACTIONS(2917),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_GT_GT2] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_DOT] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_x] = ACTIONS(2917),
    [anon_sym_EQ_TILDE] = ACTIONS(2915),
    [anon_sym_BANG_TILDE] = ACTIONS(2915),
    [anon_sym_EQ_EQ] = ACTIONS(2917),
    [anon_sym_BANG_EQ] = ACTIONS(2915),
    [anon_sym_eq] = ACTIONS(2917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2915),
    [anon_sym_equ] = ACTIONS(2915),
    [anon_sym_eqr] = ACTIONS(2915),
    [anon_sym_ne] = ACTIONS(2915),
    [anon_sym_LT_EQ_GT] = ACTIONS(2915),
    [anon_sym_cmp] = ACTIONS(2915),
    [anon_sym_TILDE_TILDE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_LT_EQ] = ACTIONS(2917),
    [anon_sym_GT_EQ] = ACTIONS(2915),
    [anon_sym_lt] = ACTIONS(2915),
    [anon_sym_le] = ACTIONS(2915),
    [anon_sym_ge] = ACTIONS(2915),
    [anon_sym_gt] = ACTIONS(2915),
    [anon_sym_isa] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2915),
    [anon_sym_EQ_GT] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2915),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2339] = {
    [sym_heredoc_content] = STATE(2339),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_EQ] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_COMMA] = ACTIONS(2919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2919),
    [anon_sym_DASH_GT] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2921),
    [anon_sym_PERCENT] = ACTIONS(2921),
    [anon_sym_GT] = ACTIONS(2921),
    [anon_sym_LT_LT] = ACTIONS(2921),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2919),
    [anon_sym_PLUS_EQ] = ACTIONS(2919),
    [anon_sym_DASH_EQ] = ACTIONS(2919),
    [anon_sym_DOT_EQ] = ACTIONS(2919),
    [anon_sym_STAR_EQ] = ACTIONS(2919),
    [anon_sym_SLASH_EQ] = ACTIONS(2919),
    [anon_sym_PERCENT_EQ] = ACTIONS(2919),
    [anon_sym_x_EQ] = ACTIONS(2919),
    [anon_sym_AMP_EQ] = ACTIONS(2919),
    [anon_sym_PIPE_EQ] = ACTIONS(2919),
    [anon_sym_CARET_EQ] = ACTIONS(2919),
    [anon_sym_LT_LT_EQ] = ACTIONS(2919),
    [anon_sym_GT_GT_EQ] = ACTIONS(2919),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2919),
    [anon_sym_DOT_DOT] = ACTIONS(2921),
    [anon_sym_STAR_STAR] = ACTIONS(2921),
    [anon_sym_PIPE_PIPE] = ACTIONS(2921),
    [anon_sym_SLASH_SLASH] = ACTIONS(2921),
    [anon_sym_CARET_CARET] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2921),
    [anon_sym_PIPE] = ACTIONS(2921),
    [anon_sym_CARET] = ACTIONS(2921),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_GT_GT2] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_DOT] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_x] = ACTIONS(2921),
    [anon_sym_EQ_TILDE] = ACTIONS(2919),
    [anon_sym_BANG_TILDE] = ACTIONS(2919),
    [anon_sym_EQ_EQ] = ACTIONS(2921),
    [anon_sym_BANG_EQ] = ACTIONS(2919),
    [anon_sym_eq] = ACTIONS(2921),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2919),
    [anon_sym_equ] = ACTIONS(2919),
    [anon_sym_eqr] = ACTIONS(2919),
    [anon_sym_ne] = ACTIONS(2919),
    [anon_sym_LT_EQ_GT] = ACTIONS(2919),
    [anon_sym_cmp] = ACTIONS(2919),
    [anon_sym_TILDE_TILDE] = ACTIONS(2919),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_LT_EQ] = ACTIONS(2921),
    [anon_sym_GT_EQ] = ACTIONS(2919),
    [anon_sym_lt] = ACTIONS(2919),
    [anon_sym_le] = ACTIONS(2919),
    [anon_sym_ge] = ACTIONS(2919),
    [anon_sym_gt] = ACTIONS(2919),
    [anon_sym_isa] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2919),
    [anon_sym_EQ_GT] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2919),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2340] = {
    [sym_heredoc_content] = STATE(2340),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym_EQ] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_COMMA] = ACTIONS(2923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2923),
    [anon_sym_DASH_GT] = ACTIONS(2923),
    [anon_sym_STAR] = ACTIONS(2925),
    [anon_sym_PERCENT] = ACTIONS(2925),
    [anon_sym_GT] = ACTIONS(2925),
    [anon_sym_LT_LT] = ACTIONS(2925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2923),
    [anon_sym_PLUS_EQ] = ACTIONS(2923),
    [anon_sym_DASH_EQ] = ACTIONS(2923),
    [anon_sym_DOT_EQ] = ACTIONS(2923),
    [anon_sym_STAR_EQ] = ACTIONS(2923),
    [anon_sym_SLASH_EQ] = ACTIONS(2923),
    [anon_sym_PERCENT_EQ] = ACTIONS(2923),
    [anon_sym_x_EQ] = ACTIONS(2923),
    [anon_sym_AMP_EQ] = ACTIONS(2923),
    [anon_sym_PIPE_EQ] = ACTIONS(2923),
    [anon_sym_CARET_EQ] = ACTIONS(2923),
    [anon_sym_LT_LT_EQ] = ACTIONS(2923),
    [anon_sym_GT_GT_EQ] = ACTIONS(2923),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2923),
    [anon_sym_DOT_DOT] = ACTIONS(2925),
    [anon_sym_STAR_STAR] = ACTIONS(2925),
    [anon_sym_PIPE_PIPE] = ACTIONS(2925),
    [anon_sym_SLASH_SLASH] = ACTIONS(2925),
    [anon_sym_CARET_CARET] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2925),
    [anon_sym_PIPE] = ACTIONS(2925),
    [anon_sym_CARET] = ACTIONS(2925),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_GT_GT2] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_DOT] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_x] = ACTIONS(2925),
    [anon_sym_EQ_TILDE] = ACTIONS(2923),
    [anon_sym_BANG_TILDE] = ACTIONS(2923),
    [anon_sym_EQ_EQ] = ACTIONS(2925),
    [anon_sym_BANG_EQ] = ACTIONS(2923),
    [anon_sym_eq] = ACTIONS(2925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2923),
    [anon_sym_equ] = ACTIONS(2923),
    [anon_sym_eqr] = ACTIONS(2923),
    [anon_sym_ne] = ACTIONS(2923),
    [anon_sym_LT_EQ_GT] = ACTIONS(2923),
    [anon_sym_cmp] = ACTIONS(2923),
    [anon_sym_TILDE_TILDE] = ACTIONS(2923),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_LT_EQ] = ACTIONS(2925),
    [anon_sym_GT_EQ] = ACTIONS(2923),
    [anon_sym_lt] = ACTIONS(2923),
    [anon_sym_le] = ACTIONS(2923),
    [anon_sym_ge] = ACTIONS(2923),
    [anon_sym_gt] = ACTIONS(2923),
    [anon_sym_isa] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2923),
    [anon_sym_EQ_GT] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2923),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2341] = {
    [sym_heredoc_content] = STATE(2341),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2342] = {
    [sym_heredoc_content] = STATE(2342),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym_EQ] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_COMMA] = ACTIONS(2935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2935),
    [anon_sym_DASH_GT] = ACTIONS(2935),
    [anon_sym_STAR] = ACTIONS(2937),
    [anon_sym_PERCENT] = ACTIONS(2937),
    [anon_sym_GT] = ACTIONS(2937),
    [anon_sym_LT_LT] = ACTIONS(2937),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2935),
    [anon_sym_PLUS_EQ] = ACTIONS(2935),
    [anon_sym_DASH_EQ] = ACTIONS(2935),
    [anon_sym_DOT_EQ] = ACTIONS(2935),
    [anon_sym_STAR_EQ] = ACTIONS(2935),
    [anon_sym_SLASH_EQ] = ACTIONS(2935),
    [anon_sym_PERCENT_EQ] = ACTIONS(2935),
    [anon_sym_x_EQ] = ACTIONS(2935),
    [anon_sym_AMP_EQ] = ACTIONS(2935),
    [anon_sym_PIPE_EQ] = ACTIONS(2935),
    [anon_sym_CARET_EQ] = ACTIONS(2935),
    [anon_sym_LT_LT_EQ] = ACTIONS(2935),
    [anon_sym_GT_GT_EQ] = ACTIONS(2935),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2935),
    [anon_sym_DOT_DOT] = ACTIONS(2937),
    [anon_sym_STAR_STAR] = ACTIONS(2937),
    [anon_sym_PIPE_PIPE] = ACTIONS(2937),
    [anon_sym_SLASH_SLASH] = ACTIONS(2937),
    [anon_sym_CARET_CARET] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2937),
    [anon_sym_PIPE] = ACTIONS(2937),
    [anon_sym_CARET] = ACTIONS(2937),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_GT_GT2] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_DOT] = ACTIONS(2937),
    [anon_sym_SLASH] = ACTIONS(2937),
    [anon_sym_x] = ACTIONS(2937),
    [anon_sym_EQ_TILDE] = ACTIONS(2935),
    [anon_sym_BANG_TILDE] = ACTIONS(2935),
    [anon_sym_EQ_EQ] = ACTIONS(2937),
    [anon_sym_BANG_EQ] = ACTIONS(2935),
    [anon_sym_eq] = ACTIONS(2937),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2935),
    [anon_sym_equ] = ACTIONS(2935),
    [anon_sym_eqr] = ACTIONS(2935),
    [anon_sym_ne] = ACTIONS(2935),
    [anon_sym_LT_EQ_GT] = ACTIONS(2935),
    [anon_sym_cmp] = ACTIONS(2935),
    [anon_sym_TILDE_TILDE] = ACTIONS(2935),
    [anon_sym_LT] = ACTIONS(2937),
    [anon_sym_LT_EQ] = ACTIONS(2937),
    [anon_sym_GT_EQ] = ACTIONS(2935),
    [anon_sym_lt] = ACTIONS(2935),
    [anon_sym_le] = ACTIONS(2935),
    [anon_sym_ge] = ACTIONS(2935),
    [anon_sym_gt] = ACTIONS(2935),
    [anon_sym_isa] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2935),
    [anon_sym_EQ_GT] = ACTIONS(2935),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2935),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2343] = {
    [sym_heredoc_content] = STATE(2343),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym_EQ] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_COMMA] = ACTIONS(2943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2943),
    [anon_sym_DASH_GT] = ACTIONS(2943),
    [anon_sym_STAR] = ACTIONS(2945),
    [anon_sym_PERCENT] = ACTIONS(2945),
    [anon_sym_GT] = ACTIONS(2945),
    [anon_sym_LT_LT] = ACTIONS(2945),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2943),
    [anon_sym_PLUS_EQ] = ACTIONS(2943),
    [anon_sym_DASH_EQ] = ACTIONS(2943),
    [anon_sym_DOT_EQ] = ACTIONS(2943),
    [anon_sym_STAR_EQ] = ACTIONS(2943),
    [anon_sym_SLASH_EQ] = ACTIONS(2943),
    [anon_sym_PERCENT_EQ] = ACTIONS(2943),
    [anon_sym_x_EQ] = ACTIONS(2943),
    [anon_sym_AMP_EQ] = ACTIONS(2943),
    [anon_sym_PIPE_EQ] = ACTIONS(2943),
    [anon_sym_CARET_EQ] = ACTIONS(2943),
    [anon_sym_LT_LT_EQ] = ACTIONS(2943),
    [anon_sym_GT_GT_EQ] = ACTIONS(2943),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2943),
    [anon_sym_DOT_DOT] = ACTIONS(2945),
    [anon_sym_STAR_STAR] = ACTIONS(2945),
    [anon_sym_PIPE_PIPE] = ACTIONS(2945),
    [anon_sym_SLASH_SLASH] = ACTIONS(2945),
    [anon_sym_CARET_CARET] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2945),
    [anon_sym_PIPE] = ACTIONS(2945),
    [anon_sym_CARET] = ACTIONS(2945),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_GT_GT2] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_DOT] = ACTIONS(2945),
    [anon_sym_SLASH] = ACTIONS(2945),
    [anon_sym_x] = ACTIONS(2945),
    [anon_sym_EQ_TILDE] = ACTIONS(2943),
    [anon_sym_BANG_TILDE] = ACTIONS(2943),
    [anon_sym_EQ_EQ] = ACTIONS(2945),
    [anon_sym_BANG_EQ] = ACTIONS(2943),
    [anon_sym_eq] = ACTIONS(2945),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2943),
    [anon_sym_equ] = ACTIONS(2943),
    [anon_sym_eqr] = ACTIONS(2943),
    [anon_sym_ne] = ACTIONS(2943),
    [anon_sym_LT_EQ_GT] = ACTIONS(2943),
    [anon_sym_cmp] = ACTIONS(2943),
    [anon_sym_TILDE_TILDE] = ACTIONS(2943),
    [anon_sym_LT] = ACTIONS(2945),
    [anon_sym_LT_EQ] = ACTIONS(2945),
    [anon_sym_GT_EQ] = ACTIONS(2943),
    [anon_sym_lt] = ACTIONS(2943),
    [anon_sym_le] = ACTIONS(2943),
    [anon_sym_ge] = ACTIONS(2943),
    [anon_sym_gt] = ACTIONS(2943),
    [anon_sym_isa] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2943),
    [anon_sym_EQ_GT] = ACTIONS(2943),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2943),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2344] = {
    [sym_heredoc_content] = STATE(2344),
    [anon_sym_SEMI] = ACTIONS(2988),
    [anon_sym_EQ] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_COMMA] = ACTIONS(2988),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2988),
    [anon_sym_DASH_GT] = ACTIONS(2988),
    [anon_sym_STAR] = ACTIONS(2990),
    [anon_sym_PERCENT] = ACTIONS(2990),
    [anon_sym_GT] = ACTIONS(2990),
    [anon_sym_LT_LT] = ACTIONS(2990),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2988),
    [anon_sym_PLUS_EQ] = ACTIONS(2988),
    [anon_sym_DASH_EQ] = ACTIONS(2988),
    [anon_sym_DOT_EQ] = ACTIONS(2988),
    [anon_sym_STAR_EQ] = ACTIONS(2988),
    [anon_sym_SLASH_EQ] = ACTIONS(2988),
    [anon_sym_PERCENT_EQ] = ACTIONS(2988),
    [anon_sym_x_EQ] = ACTIONS(2988),
    [anon_sym_AMP_EQ] = ACTIONS(2988),
    [anon_sym_PIPE_EQ] = ACTIONS(2988),
    [anon_sym_CARET_EQ] = ACTIONS(2988),
    [anon_sym_LT_LT_EQ] = ACTIONS(2988),
    [anon_sym_GT_GT_EQ] = ACTIONS(2988),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2988),
    [anon_sym_DOT_DOT] = ACTIONS(2990),
    [anon_sym_STAR_STAR] = ACTIONS(2990),
    [anon_sym_PIPE_PIPE] = ACTIONS(2990),
    [anon_sym_SLASH_SLASH] = ACTIONS(2990),
    [anon_sym_CARET_CARET] = ACTIONS(2988),
    [anon_sym_AMP_AMP] = ACTIONS(2990),
    [anon_sym_PIPE] = ACTIONS(2990),
    [anon_sym_CARET] = ACTIONS(2990),
    [anon_sym_AMP] = ACTIONS(2990),
    [anon_sym_GT_GT2] = ACTIONS(2990),
    [anon_sym_PLUS] = ACTIONS(2990),
    [anon_sym_DASH] = ACTIONS(2990),
    [anon_sym_DOT] = ACTIONS(2990),
    [anon_sym_SLASH] = ACTIONS(2990),
    [anon_sym_x] = ACTIONS(2990),
    [anon_sym_EQ_TILDE] = ACTIONS(2988),
    [anon_sym_BANG_TILDE] = ACTIONS(2988),
    [anon_sym_EQ_EQ] = ACTIONS(2990),
    [anon_sym_BANG_EQ] = ACTIONS(2988),
    [anon_sym_eq] = ACTIONS(2990),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2988),
    [anon_sym_equ] = ACTIONS(2988),
    [anon_sym_eqr] = ACTIONS(2988),
    [anon_sym_ne] = ACTIONS(2988),
    [anon_sym_LT_EQ_GT] = ACTIONS(2988),
    [anon_sym_cmp] = ACTIONS(2988),
    [anon_sym_TILDE_TILDE] = ACTIONS(2988),
    [anon_sym_LT] = ACTIONS(2990),
    [anon_sym_LT_EQ] = ACTIONS(2990),
    [anon_sym_GT_EQ] = ACTIONS(2988),
    [anon_sym_lt] = ACTIONS(2988),
    [anon_sym_le] = ACTIONS(2988),
    [anon_sym_ge] = ACTIONS(2988),
    [anon_sym_gt] = ACTIONS(2988),
    [anon_sym_isa] = ACTIONS(2988),
    [anon_sym_PLUS_PLUS] = ACTIONS(2988),
    [anon_sym_DASH_DASH] = ACTIONS(2988),
    [anon_sym_QMARK] = ACTIONS(2988),
    [anon_sym_EQ_GT] = ACTIONS(2988),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2988),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2345] = {
    [sym_heredoc_content] = STATE(2345),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_x] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2947),
    [anon_sym_BANG_TILDE] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2947),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2346] = {
    [sym_heredoc_content] = STATE(2346),
    [anon_sym_SEMI] = ACTIONS(2992),
    [anon_sym_EQ] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_COMMA] = ACTIONS(2992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2992),
    [anon_sym_DASH_GT] = ACTIONS(2992),
    [anon_sym_STAR] = ACTIONS(2994),
    [anon_sym_PERCENT] = ACTIONS(2994),
    [anon_sym_GT] = ACTIONS(2994),
    [anon_sym_LT_LT] = ACTIONS(2994),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2992),
    [anon_sym_PLUS_EQ] = ACTIONS(2992),
    [anon_sym_DASH_EQ] = ACTIONS(2992),
    [anon_sym_DOT_EQ] = ACTIONS(2992),
    [anon_sym_STAR_EQ] = ACTIONS(2992),
    [anon_sym_SLASH_EQ] = ACTIONS(2992),
    [anon_sym_PERCENT_EQ] = ACTIONS(2992),
    [anon_sym_x_EQ] = ACTIONS(2992),
    [anon_sym_AMP_EQ] = ACTIONS(2992),
    [anon_sym_PIPE_EQ] = ACTIONS(2992),
    [anon_sym_CARET_EQ] = ACTIONS(2992),
    [anon_sym_LT_LT_EQ] = ACTIONS(2992),
    [anon_sym_GT_GT_EQ] = ACTIONS(2992),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2992),
    [anon_sym_DOT_DOT] = ACTIONS(2994),
    [anon_sym_STAR_STAR] = ACTIONS(2994),
    [anon_sym_PIPE_PIPE] = ACTIONS(2994),
    [anon_sym_SLASH_SLASH] = ACTIONS(2994),
    [anon_sym_CARET_CARET] = ACTIONS(2992),
    [anon_sym_AMP_AMP] = ACTIONS(2994),
    [anon_sym_PIPE] = ACTIONS(2994),
    [anon_sym_CARET] = ACTIONS(2994),
    [anon_sym_AMP] = ACTIONS(2994),
    [anon_sym_GT_GT2] = ACTIONS(2994),
    [anon_sym_PLUS] = ACTIONS(2994),
    [anon_sym_DASH] = ACTIONS(2994),
    [anon_sym_DOT] = ACTIONS(2994),
    [anon_sym_SLASH] = ACTIONS(2994),
    [anon_sym_x] = ACTIONS(2994),
    [anon_sym_EQ_TILDE] = ACTIONS(2992),
    [anon_sym_BANG_TILDE] = ACTIONS(2992),
    [anon_sym_EQ_EQ] = ACTIONS(2994),
    [anon_sym_BANG_EQ] = ACTIONS(2992),
    [anon_sym_eq] = ACTIONS(2994),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2992),
    [anon_sym_equ] = ACTIONS(2992),
    [anon_sym_eqr] = ACTIONS(2992),
    [anon_sym_ne] = ACTIONS(2992),
    [anon_sym_LT_EQ_GT] = ACTIONS(2992),
    [anon_sym_cmp] = ACTIONS(2992),
    [anon_sym_TILDE_TILDE] = ACTIONS(2992),
    [anon_sym_LT] = ACTIONS(2994),
    [anon_sym_LT_EQ] = ACTIONS(2994),
    [anon_sym_GT_EQ] = ACTIONS(2992),
    [anon_sym_lt] = ACTIONS(2992),
    [anon_sym_le] = ACTIONS(2992),
    [anon_sym_ge] = ACTIONS(2992),
    [anon_sym_gt] = ACTIONS(2992),
    [anon_sym_isa] = ACTIONS(2992),
    [anon_sym_PLUS_PLUS] = ACTIONS(2992),
    [anon_sym_DASH_DASH] = ACTIONS(2992),
    [anon_sym_QMARK] = ACTIONS(2992),
    [anon_sym_EQ_GT] = ACTIONS(2992),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2992),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2347] = {
    [sym_heredoc_content] = STATE(2347),
    [anon_sym_SEMI] = ACTIONS(2996),
    [anon_sym_EQ] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_COMMA] = ACTIONS(2996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2996),
    [anon_sym_DASH_GT] = ACTIONS(2996),
    [anon_sym_STAR] = ACTIONS(2998),
    [anon_sym_PERCENT] = ACTIONS(2998),
    [anon_sym_GT] = ACTIONS(2998),
    [anon_sym_LT_LT] = ACTIONS(2998),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2996),
    [anon_sym_PLUS_EQ] = ACTIONS(2996),
    [anon_sym_DASH_EQ] = ACTIONS(2996),
    [anon_sym_DOT_EQ] = ACTIONS(2996),
    [anon_sym_STAR_EQ] = ACTIONS(2996),
    [anon_sym_SLASH_EQ] = ACTIONS(2996),
    [anon_sym_PERCENT_EQ] = ACTIONS(2996),
    [anon_sym_x_EQ] = ACTIONS(2996),
    [anon_sym_AMP_EQ] = ACTIONS(2996),
    [anon_sym_PIPE_EQ] = ACTIONS(2996),
    [anon_sym_CARET_EQ] = ACTIONS(2996),
    [anon_sym_LT_LT_EQ] = ACTIONS(2996),
    [anon_sym_GT_GT_EQ] = ACTIONS(2996),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2996),
    [anon_sym_DOT_DOT] = ACTIONS(2998),
    [anon_sym_STAR_STAR] = ACTIONS(2998),
    [anon_sym_PIPE_PIPE] = ACTIONS(2998),
    [anon_sym_SLASH_SLASH] = ACTIONS(2998),
    [anon_sym_CARET_CARET] = ACTIONS(2996),
    [anon_sym_AMP_AMP] = ACTIONS(2998),
    [anon_sym_PIPE] = ACTIONS(2998),
    [anon_sym_CARET] = ACTIONS(2998),
    [anon_sym_AMP] = ACTIONS(2998),
    [anon_sym_GT_GT2] = ACTIONS(2998),
    [anon_sym_PLUS] = ACTIONS(2998),
    [anon_sym_DASH] = ACTIONS(2998),
    [anon_sym_DOT] = ACTIONS(2998),
    [anon_sym_SLASH] = ACTIONS(2998),
    [anon_sym_x] = ACTIONS(2998),
    [anon_sym_EQ_TILDE] = ACTIONS(2996),
    [anon_sym_BANG_TILDE] = ACTIONS(2996),
    [anon_sym_EQ_EQ] = ACTIONS(2998),
    [anon_sym_BANG_EQ] = ACTIONS(2996),
    [anon_sym_eq] = ACTIONS(2998),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2996),
    [anon_sym_equ] = ACTIONS(2996),
    [anon_sym_eqr] = ACTIONS(2996),
    [anon_sym_ne] = ACTIONS(2996),
    [anon_sym_LT_EQ_GT] = ACTIONS(2996),
    [anon_sym_cmp] = ACTIONS(2996),
    [anon_sym_TILDE_TILDE] = ACTIONS(2996),
    [anon_sym_LT] = ACTIONS(2998),
    [anon_sym_LT_EQ] = ACTIONS(2998),
    [anon_sym_GT_EQ] = ACTIONS(2996),
    [anon_sym_lt] = ACTIONS(2996),
    [anon_sym_le] = ACTIONS(2996),
    [anon_sym_ge] = ACTIONS(2996),
    [anon_sym_gt] = ACTIONS(2996),
    [anon_sym_isa] = ACTIONS(2996),
    [anon_sym_PLUS_PLUS] = ACTIONS(2996),
    [anon_sym_DASH_DASH] = ACTIONS(2996),
    [anon_sym_QMARK] = ACTIONS(2996),
    [anon_sym_EQ_GT] = ACTIONS(2996),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2996),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2348] = {
    [sym_heredoc_content] = STATE(2348),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym_EQ] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_COMMA] = ACTIONS(3000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3000),
    [anon_sym_DASH_GT] = ACTIONS(3000),
    [anon_sym_STAR] = ACTIONS(3002),
    [anon_sym_PERCENT] = ACTIONS(3002),
    [anon_sym_GT] = ACTIONS(3002),
    [anon_sym_LT_LT] = ACTIONS(3002),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3000),
    [anon_sym_PLUS_EQ] = ACTIONS(3000),
    [anon_sym_DASH_EQ] = ACTIONS(3000),
    [anon_sym_DOT_EQ] = ACTIONS(3000),
    [anon_sym_STAR_EQ] = ACTIONS(3000),
    [anon_sym_SLASH_EQ] = ACTIONS(3000),
    [anon_sym_PERCENT_EQ] = ACTIONS(3000),
    [anon_sym_x_EQ] = ACTIONS(3000),
    [anon_sym_AMP_EQ] = ACTIONS(3000),
    [anon_sym_PIPE_EQ] = ACTIONS(3000),
    [anon_sym_CARET_EQ] = ACTIONS(3000),
    [anon_sym_LT_LT_EQ] = ACTIONS(3000),
    [anon_sym_GT_GT_EQ] = ACTIONS(3000),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3000),
    [anon_sym_DOT_DOT] = ACTIONS(3002),
    [anon_sym_STAR_STAR] = ACTIONS(3002),
    [anon_sym_PIPE_PIPE] = ACTIONS(3002),
    [anon_sym_SLASH_SLASH] = ACTIONS(3002),
    [anon_sym_CARET_CARET] = ACTIONS(3000),
    [anon_sym_AMP_AMP] = ACTIONS(3002),
    [anon_sym_PIPE] = ACTIONS(3002),
    [anon_sym_CARET] = ACTIONS(3002),
    [anon_sym_AMP] = ACTIONS(3002),
    [anon_sym_GT_GT2] = ACTIONS(3002),
    [anon_sym_PLUS] = ACTIONS(3002),
    [anon_sym_DASH] = ACTIONS(3002),
    [anon_sym_DOT] = ACTIONS(3002),
    [anon_sym_SLASH] = ACTIONS(3002),
    [anon_sym_x] = ACTIONS(3002),
    [anon_sym_EQ_TILDE] = ACTIONS(3000),
    [anon_sym_BANG_TILDE] = ACTIONS(3000),
    [anon_sym_EQ_EQ] = ACTIONS(3002),
    [anon_sym_BANG_EQ] = ACTIONS(3000),
    [anon_sym_eq] = ACTIONS(3002),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3000),
    [anon_sym_equ] = ACTIONS(3000),
    [anon_sym_eqr] = ACTIONS(3000),
    [anon_sym_ne] = ACTIONS(3000),
    [anon_sym_LT_EQ_GT] = ACTIONS(3000),
    [anon_sym_cmp] = ACTIONS(3000),
    [anon_sym_TILDE_TILDE] = ACTIONS(3000),
    [anon_sym_LT] = ACTIONS(3002),
    [anon_sym_LT_EQ] = ACTIONS(3002),
    [anon_sym_GT_EQ] = ACTIONS(3000),
    [anon_sym_lt] = ACTIONS(3000),
    [anon_sym_le] = ACTIONS(3000),
    [anon_sym_ge] = ACTIONS(3000),
    [anon_sym_gt] = ACTIONS(3000),
    [anon_sym_isa] = ACTIONS(3000),
    [anon_sym_PLUS_PLUS] = ACTIONS(3000),
    [anon_sym_DASH_DASH] = ACTIONS(3000),
    [anon_sym_QMARK] = ACTIONS(3000),
    [anon_sym_EQ_GT] = ACTIONS(3000),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3000),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2349] = {
    [sym_heredoc_content] = STATE(2349),
    [anon_sym_SEMI] = ACTIONS(3008),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_COMMA] = ACTIONS(3008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3008),
    [anon_sym_DASH_GT] = ACTIONS(3008),
    [anon_sym_STAR] = ACTIONS(3010),
    [anon_sym_PERCENT] = ACTIONS(3010),
    [anon_sym_GT] = ACTIONS(3010),
    [anon_sym_LT_LT] = ACTIONS(3010),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3008),
    [anon_sym_PLUS_EQ] = ACTIONS(3008),
    [anon_sym_DASH_EQ] = ACTIONS(3008),
    [anon_sym_DOT_EQ] = ACTIONS(3008),
    [anon_sym_STAR_EQ] = ACTIONS(3008),
    [anon_sym_SLASH_EQ] = ACTIONS(3008),
    [anon_sym_PERCENT_EQ] = ACTIONS(3008),
    [anon_sym_x_EQ] = ACTIONS(3008),
    [anon_sym_AMP_EQ] = ACTIONS(3008),
    [anon_sym_PIPE_EQ] = ACTIONS(3008),
    [anon_sym_CARET_EQ] = ACTIONS(3008),
    [anon_sym_LT_LT_EQ] = ACTIONS(3008),
    [anon_sym_GT_GT_EQ] = ACTIONS(3008),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3008),
    [anon_sym_DOT_DOT] = ACTIONS(3010),
    [anon_sym_STAR_STAR] = ACTIONS(3010),
    [anon_sym_PIPE_PIPE] = ACTIONS(3010),
    [anon_sym_SLASH_SLASH] = ACTIONS(3010),
    [anon_sym_CARET_CARET] = ACTIONS(3008),
    [anon_sym_AMP_AMP] = ACTIONS(3010),
    [anon_sym_PIPE] = ACTIONS(3010),
    [anon_sym_CARET] = ACTIONS(3010),
    [anon_sym_AMP] = ACTIONS(3010),
    [anon_sym_GT_GT2] = ACTIONS(3010),
    [anon_sym_PLUS] = ACTIONS(3010),
    [anon_sym_DASH] = ACTIONS(3010),
    [anon_sym_DOT] = ACTIONS(3010),
    [anon_sym_SLASH] = ACTIONS(3010),
    [anon_sym_x] = ACTIONS(3010),
    [anon_sym_EQ_TILDE] = ACTIONS(3008),
    [anon_sym_BANG_TILDE] = ACTIONS(3008),
    [anon_sym_EQ_EQ] = ACTIONS(3010),
    [anon_sym_BANG_EQ] = ACTIONS(3008),
    [anon_sym_eq] = ACTIONS(3010),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3008),
    [anon_sym_equ] = ACTIONS(3008),
    [anon_sym_eqr] = ACTIONS(3008),
    [anon_sym_ne] = ACTIONS(3008),
    [anon_sym_LT_EQ_GT] = ACTIONS(3008),
    [anon_sym_cmp] = ACTIONS(3008),
    [anon_sym_TILDE_TILDE] = ACTIONS(3008),
    [anon_sym_LT] = ACTIONS(3010),
    [anon_sym_LT_EQ] = ACTIONS(3010),
    [anon_sym_GT_EQ] = ACTIONS(3008),
    [anon_sym_lt] = ACTIONS(3008),
    [anon_sym_le] = ACTIONS(3008),
    [anon_sym_ge] = ACTIONS(3008),
    [anon_sym_gt] = ACTIONS(3008),
    [anon_sym_isa] = ACTIONS(3008),
    [anon_sym_PLUS_PLUS] = ACTIONS(3008),
    [anon_sym_DASH_DASH] = ACTIONS(3008),
    [anon_sym_QMARK] = ACTIONS(3008),
    [anon_sym_EQ_GT] = ACTIONS(3008),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3008),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2350] = {
    [sym_heredoc_content] = STATE(2350),
    [anon_sym_SEMI] = ACTIONS(3012),
    [anon_sym_EQ] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_COMMA] = ACTIONS(3012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3012),
    [anon_sym_DASH_GT] = ACTIONS(3012),
    [anon_sym_STAR] = ACTIONS(3014),
    [anon_sym_PERCENT] = ACTIONS(3014),
    [anon_sym_GT] = ACTIONS(3014),
    [anon_sym_LT_LT] = ACTIONS(3014),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3012),
    [anon_sym_PLUS_EQ] = ACTIONS(3012),
    [anon_sym_DASH_EQ] = ACTIONS(3012),
    [anon_sym_DOT_EQ] = ACTIONS(3012),
    [anon_sym_STAR_EQ] = ACTIONS(3012),
    [anon_sym_SLASH_EQ] = ACTIONS(3012),
    [anon_sym_PERCENT_EQ] = ACTIONS(3012),
    [anon_sym_x_EQ] = ACTIONS(3012),
    [anon_sym_AMP_EQ] = ACTIONS(3012),
    [anon_sym_PIPE_EQ] = ACTIONS(3012),
    [anon_sym_CARET_EQ] = ACTIONS(3012),
    [anon_sym_LT_LT_EQ] = ACTIONS(3012),
    [anon_sym_GT_GT_EQ] = ACTIONS(3012),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3012),
    [anon_sym_DOT_DOT] = ACTIONS(3014),
    [anon_sym_STAR_STAR] = ACTIONS(3014),
    [anon_sym_PIPE_PIPE] = ACTIONS(3014),
    [anon_sym_SLASH_SLASH] = ACTIONS(3014),
    [anon_sym_CARET_CARET] = ACTIONS(3012),
    [anon_sym_AMP_AMP] = ACTIONS(3014),
    [anon_sym_PIPE] = ACTIONS(3014),
    [anon_sym_CARET] = ACTIONS(3014),
    [anon_sym_AMP] = ACTIONS(3014),
    [anon_sym_GT_GT2] = ACTIONS(3014),
    [anon_sym_PLUS] = ACTIONS(3014),
    [anon_sym_DASH] = ACTIONS(3014),
    [anon_sym_DOT] = ACTIONS(3014),
    [anon_sym_SLASH] = ACTIONS(3014),
    [anon_sym_x] = ACTIONS(3014),
    [anon_sym_EQ_TILDE] = ACTIONS(3012),
    [anon_sym_BANG_TILDE] = ACTIONS(3012),
    [anon_sym_EQ_EQ] = ACTIONS(3014),
    [anon_sym_BANG_EQ] = ACTIONS(3012),
    [anon_sym_eq] = ACTIONS(3014),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3012),
    [anon_sym_equ] = ACTIONS(3012),
    [anon_sym_eqr] = ACTIONS(3012),
    [anon_sym_ne] = ACTIONS(3012),
    [anon_sym_LT_EQ_GT] = ACTIONS(3012),
    [anon_sym_cmp] = ACTIONS(3012),
    [anon_sym_TILDE_TILDE] = ACTIONS(3012),
    [anon_sym_LT] = ACTIONS(3014),
    [anon_sym_LT_EQ] = ACTIONS(3014),
    [anon_sym_GT_EQ] = ACTIONS(3012),
    [anon_sym_lt] = ACTIONS(3012),
    [anon_sym_le] = ACTIONS(3012),
    [anon_sym_ge] = ACTIONS(3012),
    [anon_sym_gt] = ACTIONS(3012),
    [anon_sym_isa] = ACTIONS(3012),
    [anon_sym_PLUS_PLUS] = ACTIONS(3012),
    [anon_sym_DASH_DASH] = ACTIONS(3012),
    [anon_sym_QMARK] = ACTIONS(3012),
    [anon_sym_EQ_GT] = ACTIONS(3012),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3012),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2351] = {
    [sym_heredoc_content] = STATE(2351),
    [anon_sym_SEMI] = ACTIONS(3026),
    [anon_sym_EQ] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_COMMA] = ACTIONS(3026),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3026),
    [anon_sym_DASH_GT] = ACTIONS(3026),
    [anon_sym_STAR] = ACTIONS(3028),
    [anon_sym_PERCENT] = ACTIONS(3028),
    [anon_sym_GT] = ACTIONS(3028),
    [anon_sym_LT_LT] = ACTIONS(3028),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3026),
    [anon_sym_PLUS_EQ] = ACTIONS(3026),
    [anon_sym_DASH_EQ] = ACTIONS(3026),
    [anon_sym_DOT_EQ] = ACTIONS(3026),
    [anon_sym_STAR_EQ] = ACTIONS(3026),
    [anon_sym_SLASH_EQ] = ACTIONS(3026),
    [anon_sym_PERCENT_EQ] = ACTIONS(3026),
    [anon_sym_x_EQ] = ACTIONS(3026),
    [anon_sym_AMP_EQ] = ACTIONS(3026),
    [anon_sym_PIPE_EQ] = ACTIONS(3026),
    [anon_sym_CARET_EQ] = ACTIONS(3026),
    [anon_sym_LT_LT_EQ] = ACTIONS(3026),
    [anon_sym_GT_GT_EQ] = ACTIONS(3026),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3026),
    [anon_sym_DOT_DOT] = ACTIONS(3028),
    [anon_sym_STAR_STAR] = ACTIONS(3028),
    [anon_sym_PIPE_PIPE] = ACTIONS(3028),
    [anon_sym_SLASH_SLASH] = ACTIONS(3028),
    [anon_sym_CARET_CARET] = ACTIONS(3026),
    [anon_sym_AMP_AMP] = ACTIONS(3028),
    [anon_sym_PIPE] = ACTIONS(3028),
    [anon_sym_CARET] = ACTIONS(3028),
    [anon_sym_AMP] = ACTIONS(3028),
    [anon_sym_GT_GT2] = ACTIONS(3028),
    [anon_sym_PLUS] = ACTIONS(3028),
    [anon_sym_DASH] = ACTIONS(3028),
    [anon_sym_DOT] = ACTIONS(3028),
    [anon_sym_SLASH] = ACTIONS(3028),
    [anon_sym_x] = ACTIONS(3028),
    [anon_sym_EQ_TILDE] = ACTIONS(3026),
    [anon_sym_BANG_TILDE] = ACTIONS(3026),
    [anon_sym_EQ_EQ] = ACTIONS(3028),
    [anon_sym_BANG_EQ] = ACTIONS(3026),
    [anon_sym_eq] = ACTIONS(3028),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3026),
    [anon_sym_equ] = ACTIONS(3026),
    [anon_sym_eqr] = ACTIONS(3026),
    [anon_sym_ne] = ACTIONS(3026),
    [anon_sym_LT_EQ_GT] = ACTIONS(3026),
    [anon_sym_cmp] = ACTIONS(3026),
    [anon_sym_TILDE_TILDE] = ACTIONS(3026),
    [anon_sym_LT] = ACTIONS(3028),
    [anon_sym_LT_EQ] = ACTIONS(3028),
    [anon_sym_GT_EQ] = ACTIONS(3026),
    [anon_sym_lt] = ACTIONS(3026),
    [anon_sym_le] = ACTIONS(3026),
    [anon_sym_ge] = ACTIONS(3026),
    [anon_sym_gt] = ACTIONS(3026),
    [anon_sym_isa] = ACTIONS(3026),
    [anon_sym_PLUS_PLUS] = ACTIONS(3026),
    [anon_sym_DASH_DASH] = ACTIONS(3026),
    [anon_sym_QMARK] = ACTIONS(3026),
    [anon_sym_EQ_GT] = ACTIONS(3026),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3026),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2352] = {
    [sym_heredoc_content] = STATE(2352),
    [anon_sym_SEMI] = ACTIONS(3038),
    [anon_sym_EQ] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_COMMA] = ACTIONS(3038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3038),
    [anon_sym_DASH_GT] = ACTIONS(3038),
    [anon_sym_STAR] = ACTIONS(3040),
    [anon_sym_PERCENT] = ACTIONS(3040),
    [anon_sym_GT] = ACTIONS(3040),
    [anon_sym_LT_LT] = ACTIONS(3040),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3038),
    [anon_sym_PLUS_EQ] = ACTIONS(3038),
    [anon_sym_DASH_EQ] = ACTIONS(3038),
    [anon_sym_DOT_EQ] = ACTIONS(3038),
    [anon_sym_STAR_EQ] = ACTIONS(3038),
    [anon_sym_SLASH_EQ] = ACTIONS(3038),
    [anon_sym_PERCENT_EQ] = ACTIONS(3038),
    [anon_sym_x_EQ] = ACTIONS(3038),
    [anon_sym_AMP_EQ] = ACTIONS(3038),
    [anon_sym_PIPE_EQ] = ACTIONS(3038),
    [anon_sym_CARET_EQ] = ACTIONS(3038),
    [anon_sym_LT_LT_EQ] = ACTIONS(3038),
    [anon_sym_GT_GT_EQ] = ACTIONS(3038),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3038),
    [anon_sym_DOT_DOT] = ACTIONS(3040),
    [anon_sym_STAR_STAR] = ACTIONS(3040),
    [anon_sym_PIPE_PIPE] = ACTIONS(3040),
    [anon_sym_SLASH_SLASH] = ACTIONS(3040),
    [anon_sym_CARET_CARET] = ACTIONS(3038),
    [anon_sym_AMP_AMP] = ACTIONS(3040),
    [anon_sym_PIPE] = ACTIONS(3040),
    [anon_sym_CARET] = ACTIONS(3040),
    [anon_sym_AMP] = ACTIONS(3040),
    [anon_sym_GT_GT2] = ACTIONS(3040),
    [anon_sym_PLUS] = ACTIONS(3040),
    [anon_sym_DASH] = ACTIONS(3040),
    [anon_sym_DOT] = ACTIONS(3040),
    [anon_sym_SLASH] = ACTIONS(3040),
    [anon_sym_x] = ACTIONS(3040),
    [anon_sym_EQ_TILDE] = ACTIONS(3038),
    [anon_sym_BANG_TILDE] = ACTIONS(3038),
    [anon_sym_EQ_EQ] = ACTIONS(3040),
    [anon_sym_BANG_EQ] = ACTIONS(3038),
    [anon_sym_eq] = ACTIONS(3040),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3038),
    [anon_sym_equ] = ACTIONS(3038),
    [anon_sym_eqr] = ACTIONS(3038),
    [anon_sym_ne] = ACTIONS(3038),
    [anon_sym_LT_EQ_GT] = ACTIONS(3038),
    [anon_sym_cmp] = ACTIONS(3038),
    [anon_sym_TILDE_TILDE] = ACTIONS(3038),
    [anon_sym_LT] = ACTIONS(3040),
    [anon_sym_LT_EQ] = ACTIONS(3040),
    [anon_sym_GT_EQ] = ACTIONS(3038),
    [anon_sym_lt] = ACTIONS(3038),
    [anon_sym_le] = ACTIONS(3038),
    [anon_sym_ge] = ACTIONS(3038),
    [anon_sym_gt] = ACTIONS(3038),
    [anon_sym_isa] = ACTIONS(3038),
    [anon_sym_PLUS_PLUS] = ACTIONS(3038),
    [anon_sym_DASH_DASH] = ACTIONS(3038),
    [anon_sym_QMARK] = ACTIONS(3038),
    [anon_sym_EQ_GT] = ACTIONS(3038),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3038),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2353] = {
    [sym_heredoc_content] = STATE(2353),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_EQ] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_COMMA] = ACTIONS(3042),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3042),
    [anon_sym_DASH_GT] = ACTIONS(3042),
    [anon_sym_STAR] = ACTIONS(3044),
    [anon_sym_PERCENT] = ACTIONS(3044),
    [anon_sym_GT] = ACTIONS(3044),
    [anon_sym_LT_LT] = ACTIONS(3044),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3042),
    [anon_sym_PLUS_EQ] = ACTIONS(3042),
    [anon_sym_DASH_EQ] = ACTIONS(3042),
    [anon_sym_DOT_EQ] = ACTIONS(3042),
    [anon_sym_STAR_EQ] = ACTIONS(3042),
    [anon_sym_SLASH_EQ] = ACTIONS(3042),
    [anon_sym_PERCENT_EQ] = ACTIONS(3042),
    [anon_sym_x_EQ] = ACTIONS(3042),
    [anon_sym_AMP_EQ] = ACTIONS(3042),
    [anon_sym_PIPE_EQ] = ACTIONS(3042),
    [anon_sym_CARET_EQ] = ACTIONS(3042),
    [anon_sym_LT_LT_EQ] = ACTIONS(3042),
    [anon_sym_GT_GT_EQ] = ACTIONS(3042),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3042),
    [anon_sym_DOT_DOT] = ACTIONS(3044),
    [anon_sym_STAR_STAR] = ACTIONS(3044),
    [anon_sym_PIPE_PIPE] = ACTIONS(3044),
    [anon_sym_SLASH_SLASH] = ACTIONS(3044),
    [anon_sym_CARET_CARET] = ACTIONS(3042),
    [anon_sym_AMP_AMP] = ACTIONS(3044),
    [anon_sym_PIPE] = ACTIONS(3044),
    [anon_sym_CARET] = ACTIONS(3044),
    [anon_sym_AMP] = ACTIONS(3044),
    [anon_sym_GT_GT2] = ACTIONS(3044),
    [anon_sym_PLUS] = ACTIONS(3044),
    [anon_sym_DASH] = ACTIONS(3044),
    [anon_sym_DOT] = ACTIONS(3044),
    [anon_sym_SLASH] = ACTIONS(3044),
    [anon_sym_x] = ACTIONS(3044),
    [anon_sym_EQ_TILDE] = ACTIONS(3042),
    [anon_sym_BANG_TILDE] = ACTIONS(3042),
    [anon_sym_EQ_EQ] = ACTIONS(3044),
    [anon_sym_BANG_EQ] = ACTIONS(3042),
    [anon_sym_eq] = ACTIONS(3044),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3042),
    [anon_sym_equ] = ACTIONS(3042),
    [anon_sym_eqr] = ACTIONS(3042),
    [anon_sym_ne] = ACTIONS(3042),
    [anon_sym_LT_EQ_GT] = ACTIONS(3042),
    [anon_sym_cmp] = ACTIONS(3042),
    [anon_sym_TILDE_TILDE] = ACTIONS(3042),
    [anon_sym_LT] = ACTIONS(3044),
    [anon_sym_LT_EQ] = ACTIONS(3044),
    [anon_sym_GT_EQ] = ACTIONS(3042),
    [anon_sym_lt] = ACTIONS(3042),
    [anon_sym_le] = ACTIONS(3042),
    [anon_sym_ge] = ACTIONS(3042),
    [anon_sym_gt] = ACTIONS(3042),
    [anon_sym_isa] = ACTIONS(3042),
    [anon_sym_PLUS_PLUS] = ACTIONS(3042),
    [anon_sym_DASH_DASH] = ACTIONS(3042),
    [anon_sym_QMARK] = ACTIONS(3042),
    [anon_sym_EQ_GT] = ACTIONS(3042),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3042),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2354] = {
    [sym_heredoc_content] = STATE(2354),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym_EQ] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_COMMA] = ACTIONS(2955),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2955),
    [anon_sym_DASH_GT] = ACTIONS(2955),
    [anon_sym_STAR] = ACTIONS(2958),
    [anon_sym_PERCENT] = ACTIONS(2958),
    [anon_sym_GT] = ACTIONS(2958),
    [anon_sym_LT_LT] = ACTIONS(2958),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2955),
    [anon_sym_PLUS_EQ] = ACTIONS(2955),
    [anon_sym_DASH_EQ] = ACTIONS(2955),
    [anon_sym_DOT_EQ] = ACTIONS(2955),
    [anon_sym_STAR_EQ] = ACTIONS(2955),
    [anon_sym_SLASH_EQ] = ACTIONS(2955),
    [anon_sym_PERCENT_EQ] = ACTIONS(2955),
    [anon_sym_x_EQ] = ACTIONS(2955),
    [anon_sym_AMP_EQ] = ACTIONS(2955),
    [anon_sym_PIPE_EQ] = ACTIONS(2955),
    [anon_sym_CARET_EQ] = ACTIONS(2955),
    [anon_sym_LT_LT_EQ] = ACTIONS(2955),
    [anon_sym_GT_GT_EQ] = ACTIONS(2955),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2955),
    [anon_sym_DOT_DOT] = ACTIONS(2958),
    [anon_sym_STAR_STAR] = ACTIONS(2958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2958),
    [anon_sym_SLASH_SLASH] = ACTIONS(2958),
    [anon_sym_CARET_CARET] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2958),
    [anon_sym_PIPE] = ACTIONS(2958),
    [anon_sym_CARET] = ACTIONS(2958),
    [anon_sym_AMP] = ACTIONS(2958),
    [anon_sym_GT_GT2] = ACTIONS(2958),
    [anon_sym_PLUS] = ACTIONS(2958),
    [anon_sym_DASH] = ACTIONS(2958),
    [anon_sym_DOT] = ACTIONS(2958),
    [anon_sym_SLASH] = ACTIONS(2958),
    [anon_sym_x] = ACTIONS(2958),
    [anon_sym_EQ_TILDE] = ACTIONS(2955),
    [anon_sym_BANG_TILDE] = ACTIONS(2955),
    [anon_sym_EQ_EQ] = ACTIONS(2958),
    [anon_sym_BANG_EQ] = ACTIONS(2955),
    [anon_sym_eq] = ACTIONS(2958),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2955),
    [anon_sym_equ] = ACTIONS(2955),
    [anon_sym_eqr] = ACTIONS(2955),
    [anon_sym_ne] = ACTIONS(2955),
    [anon_sym_LT_EQ_GT] = ACTIONS(2955),
    [anon_sym_cmp] = ACTIONS(2955),
    [anon_sym_TILDE_TILDE] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2958),
    [anon_sym_LT_EQ] = ACTIONS(2958),
    [anon_sym_GT_EQ] = ACTIONS(2955),
    [anon_sym_lt] = ACTIONS(2955),
    [anon_sym_le] = ACTIONS(2955),
    [anon_sym_ge] = ACTIONS(2955),
    [anon_sym_gt] = ACTIONS(2955),
    [anon_sym_isa] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_QMARK] = ACTIONS(2955),
    [anon_sym_EQ_GT] = ACTIONS(2955),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2955),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2355] = {
    [sym_heredoc_content] = STATE(2355),
    [anon_sym_SEMI] = ACTIONS(3046),
    [anon_sym_EQ] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_COMMA] = ACTIONS(3046),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3046),
    [anon_sym_DASH_GT] = ACTIONS(3046),
    [anon_sym_STAR] = ACTIONS(3048),
    [anon_sym_PERCENT] = ACTIONS(3048),
    [anon_sym_GT] = ACTIONS(3048),
    [anon_sym_LT_LT] = ACTIONS(3048),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3046),
    [anon_sym_PLUS_EQ] = ACTIONS(3046),
    [anon_sym_DASH_EQ] = ACTIONS(3046),
    [anon_sym_DOT_EQ] = ACTIONS(3046),
    [anon_sym_STAR_EQ] = ACTIONS(3046),
    [anon_sym_SLASH_EQ] = ACTIONS(3046),
    [anon_sym_PERCENT_EQ] = ACTIONS(3046),
    [anon_sym_x_EQ] = ACTIONS(3046),
    [anon_sym_AMP_EQ] = ACTIONS(3046),
    [anon_sym_PIPE_EQ] = ACTIONS(3046),
    [anon_sym_CARET_EQ] = ACTIONS(3046),
    [anon_sym_LT_LT_EQ] = ACTIONS(3046),
    [anon_sym_GT_GT_EQ] = ACTIONS(3046),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3046),
    [anon_sym_DOT_DOT] = ACTIONS(3048),
    [anon_sym_STAR_STAR] = ACTIONS(3048),
    [anon_sym_PIPE_PIPE] = ACTIONS(3048),
    [anon_sym_SLASH_SLASH] = ACTIONS(3048),
    [anon_sym_CARET_CARET] = ACTIONS(3046),
    [anon_sym_AMP_AMP] = ACTIONS(3048),
    [anon_sym_PIPE] = ACTIONS(3048),
    [anon_sym_CARET] = ACTIONS(3048),
    [anon_sym_AMP] = ACTIONS(3048),
    [anon_sym_GT_GT2] = ACTIONS(3048),
    [anon_sym_PLUS] = ACTIONS(3048),
    [anon_sym_DASH] = ACTIONS(3048),
    [anon_sym_DOT] = ACTIONS(3048),
    [anon_sym_SLASH] = ACTIONS(3048),
    [anon_sym_x] = ACTIONS(3048),
    [anon_sym_EQ_TILDE] = ACTIONS(3046),
    [anon_sym_BANG_TILDE] = ACTIONS(3046),
    [anon_sym_EQ_EQ] = ACTIONS(3048),
    [anon_sym_BANG_EQ] = ACTIONS(3046),
    [anon_sym_eq] = ACTIONS(3048),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3046),
    [anon_sym_equ] = ACTIONS(3046),
    [anon_sym_eqr] = ACTIONS(3046),
    [anon_sym_ne] = ACTIONS(3046),
    [anon_sym_LT_EQ_GT] = ACTIONS(3046),
    [anon_sym_cmp] = ACTIONS(3046),
    [anon_sym_TILDE_TILDE] = ACTIONS(3046),
    [anon_sym_LT] = ACTIONS(3048),
    [anon_sym_LT_EQ] = ACTIONS(3048),
    [anon_sym_GT_EQ] = ACTIONS(3046),
    [anon_sym_lt] = ACTIONS(3046),
    [anon_sym_le] = ACTIONS(3046),
    [anon_sym_ge] = ACTIONS(3046),
    [anon_sym_gt] = ACTIONS(3046),
    [anon_sym_isa] = ACTIONS(3046),
    [anon_sym_PLUS_PLUS] = ACTIONS(3046),
    [anon_sym_DASH_DASH] = ACTIONS(3046),
    [anon_sym_QMARK] = ACTIONS(3046),
    [anon_sym_EQ_GT] = ACTIONS(3046),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3046),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2356] = {
    [sym_heredoc_content] = STATE(2356),
    [anon_sym_SEMI] = ACTIONS(3050),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_COMMA] = ACTIONS(3050),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3050),
    [anon_sym_DASH_GT] = ACTIONS(3050),
    [anon_sym_STAR] = ACTIONS(3052),
    [anon_sym_PERCENT] = ACTIONS(3052),
    [anon_sym_GT] = ACTIONS(3052),
    [anon_sym_LT_LT] = ACTIONS(3052),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3050),
    [anon_sym_PLUS_EQ] = ACTIONS(3050),
    [anon_sym_DASH_EQ] = ACTIONS(3050),
    [anon_sym_DOT_EQ] = ACTIONS(3050),
    [anon_sym_STAR_EQ] = ACTIONS(3050),
    [anon_sym_SLASH_EQ] = ACTIONS(3050),
    [anon_sym_PERCENT_EQ] = ACTIONS(3050),
    [anon_sym_x_EQ] = ACTIONS(3050),
    [anon_sym_AMP_EQ] = ACTIONS(3050),
    [anon_sym_PIPE_EQ] = ACTIONS(3050),
    [anon_sym_CARET_EQ] = ACTIONS(3050),
    [anon_sym_LT_LT_EQ] = ACTIONS(3050),
    [anon_sym_GT_GT_EQ] = ACTIONS(3050),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3050),
    [anon_sym_DOT_DOT] = ACTIONS(3052),
    [anon_sym_STAR_STAR] = ACTIONS(3052),
    [anon_sym_PIPE_PIPE] = ACTIONS(3052),
    [anon_sym_SLASH_SLASH] = ACTIONS(3052),
    [anon_sym_CARET_CARET] = ACTIONS(3050),
    [anon_sym_AMP_AMP] = ACTIONS(3052),
    [anon_sym_PIPE] = ACTIONS(3052),
    [anon_sym_CARET] = ACTIONS(3052),
    [anon_sym_AMP] = ACTIONS(3052),
    [anon_sym_GT_GT2] = ACTIONS(3052),
    [anon_sym_PLUS] = ACTIONS(3052),
    [anon_sym_DASH] = ACTIONS(3052),
    [anon_sym_DOT] = ACTIONS(3052),
    [anon_sym_SLASH] = ACTIONS(3052),
    [anon_sym_x] = ACTIONS(3052),
    [anon_sym_EQ_TILDE] = ACTIONS(3050),
    [anon_sym_BANG_TILDE] = ACTIONS(3050),
    [anon_sym_EQ_EQ] = ACTIONS(3052),
    [anon_sym_BANG_EQ] = ACTIONS(3050),
    [anon_sym_eq] = ACTIONS(3052),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3050),
    [anon_sym_equ] = ACTIONS(3050),
    [anon_sym_eqr] = ACTIONS(3050),
    [anon_sym_ne] = ACTIONS(3050),
    [anon_sym_LT_EQ_GT] = ACTIONS(3050),
    [anon_sym_cmp] = ACTIONS(3050),
    [anon_sym_TILDE_TILDE] = ACTIONS(3050),
    [anon_sym_LT] = ACTIONS(3052),
    [anon_sym_LT_EQ] = ACTIONS(3052),
    [anon_sym_GT_EQ] = ACTIONS(3050),
    [anon_sym_lt] = ACTIONS(3050),
    [anon_sym_le] = ACTIONS(3050),
    [anon_sym_ge] = ACTIONS(3050),
    [anon_sym_gt] = ACTIONS(3050),
    [anon_sym_isa] = ACTIONS(3050),
    [anon_sym_PLUS_PLUS] = ACTIONS(3050),
    [anon_sym_DASH_DASH] = ACTIONS(3050),
    [anon_sym_QMARK] = ACTIONS(3050),
    [anon_sym_EQ_GT] = ACTIONS(3050),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3050),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2357] = {
    [sym_heredoc_content] = STATE(2357),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym_EQ] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_COMMA] = ACTIONS(2969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2969),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_PERCENT] = ACTIONS(2971),
    [anon_sym_GT] = ACTIONS(2971),
    [anon_sym_LT_LT] = ACTIONS(2971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2969),
    [anon_sym_PLUS_EQ] = ACTIONS(2969),
    [anon_sym_DASH_EQ] = ACTIONS(2969),
    [anon_sym_DOT_EQ] = ACTIONS(2969),
    [anon_sym_STAR_EQ] = ACTIONS(2969),
    [anon_sym_SLASH_EQ] = ACTIONS(2969),
    [anon_sym_PERCENT_EQ] = ACTIONS(2969),
    [anon_sym_x_EQ] = ACTIONS(2969),
    [anon_sym_AMP_EQ] = ACTIONS(2969),
    [anon_sym_PIPE_EQ] = ACTIONS(2969),
    [anon_sym_CARET_EQ] = ACTIONS(2969),
    [anon_sym_LT_LT_EQ] = ACTIONS(2969),
    [anon_sym_GT_GT_EQ] = ACTIONS(2969),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2969),
    [anon_sym_DOT_DOT] = ACTIONS(2971),
    [anon_sym_STAR_STAR] = ACTIONS(2971),
    [anon_sym_PIPE_PIPE] = ACTIONS(2971),
    [anon_sym_SLASH_SLASH] = ACTIONS(2971),
    [anon_sym_CARET_CARET] = ACTIONS(2969),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_PIPE] = ACTIONS(2971),
    [anon_sym_CARET] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_GT_GT2] = ACTIONS(2971),
    [anon_sym_PLUS] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2971),
    [anon_sym_DOT] = ACTIONS(2971),
    [anon_sym_SLASH] = ACTIONS(2971),
    [anon_sym_x] = ACTIONS(2971),
    [anon_sym_EQ_TILDE] = ACTIONS(2969),
    [anon_sym_BANG_TILDE] = ACTIONS(2969),
    [anon_sym_EQ_EQ] = ACTIONS(2971),
    [anon_sym_BANG_EQ] = ACTIONS(2969),
    [anon_sym_eq] = ACTIONS(2971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2969),
    [anon_sym_equ] = ACTIONS(2969),
    [anon_sym_eqr] = ACTIONS(2969),
    [anon_sym_ne] = ACTIONS(2969),
    [anon_sym_LT_EQ_GT] = ACTIONS(2969),
    [anon_sym_cmp] = ACTIONS(2969),
    [anon_sym_TILDE_TILDE] = ACTIONS(2969),
    [anon_sym_LT] = ACTIONS(2971),
    [anon_sym_LT_EQ] = ACTIONS(2971),
    [anon_sym_GT_EQ] = ACTIONS(2969),
    [anon_sym_lt] = ACTIONS(2969),
    [anon_sym_le] = ACTIONS(2969),
    [anon_sym_ge] = ACTIONS(2969),
    [anon_sym_gt] = ACTIONS(2969),
    [anon_sym_isa] = ACTIONS(2969),
    [anon_sym_PLUS_PLUS] = ACTIONS(3941),
    [anon_sym_DASH_DASH] = ACTIONS(3941),
    [anon_sym_QMARK] = ACTIONS(2969),
    [anon_sym_EQ_GT] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2969),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2358] = {
    [sym_heredoc_content] = STATE(2358),
    [anon_sym_SEMI] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1711),
    [anon_sym_DASH_GT] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_PERCENT] = ACTIONS(1709),
    [anon_sym_GT] = ACTIONS(1709),
    [anon_sym_LT_LT] = ACTIONS(1709),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1711),
    [anon_sym_PLUS_EQ] = ACTIONS(1711),
    [anon_sym_DASH_EQ] = ACTIONS(1711),
    [anon_sym_DOT_EQ] = ACTIONS(1711),
    [anon_sym_STAR_EQ] = ACTIONS(1711),
    [anon_sym_SLASH_EQ] = ACTIONS(1711),
    [anon_sym_PERCENT_EQ] = ACTIONS(1711),
    [anon_sym_x_EQ] = ACTIONS(1711),
    [anon_sym_AMP_EQ] = ACTIONS(1711),
    [anon_sym_PIPE_EQ] = ACTIONS(1711),
    [anon_sym_CARET_EQ] = ACTIONS(1711),
    [anon_sym_LT_LT_EQ] = ACTIONS(1711),
    [anon_sym_GT_GT_EQ] = ACTIONS(1711),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1711),
    [anon_sym_DOT_DOT] = ACTIONS(1709),
    [anon_sym_STAR_STAR] = ACTIONS(1709),
    [anon_sym_PIPE_PIPE] = ACTIONS(1709),
    [anon_sym_SLASH_SLASH] = ACTIONS(1709),
    [anon_sym_CARET_CARET] = ACTIONS(1711),
    [anon_sym_AMP_AMP] = ACTIONS(1709),
    [anon_sym_PIPE] = ACTIONS(1709),
    [anon_sym_CARET] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_GT_GT2] = ACTIONS(1709),
    [anon_sym_PLUS] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1709),
    [anon_sym_SLASH] = ACTIONS(1709),
    [anon_sym_x] = ACTIONS(1709),
    [anon_sym_EQ_TILDE] = ACTIONS(1711),
    [anon_sym_BANG_TILDE] = ACTIONS(1711),
    [anon_sym_EQ_EQ] = ACTIONS(1709),
    [anon_sym_BANG_EQ] = ACTIONS(1711),
    [anon_sym_eq] = ACTIONS(1709),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1711),
    [anon_sym_equ] = ACTIONS(1711),
    [anon_sym_eqr] = ACTIONS(1711),
    [anon_sym_ne] = ACTIONS(1711),
    [anon_sym_LT_EQ_GT] = ACTIONS(1711),
    [anon_sym_cmp] = ACTIONS(1711),
    [anon_sym_TILDE_TILDE] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1709),
    [anon_sym_LT_EQ] = ACTIONS(1709),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_lt] = ACTIONS(1711),
    [anon_sym_le] = ACTIONS(1711),
    [anon_sym_ge] = ACTIONS(1711),
    [anon_sym_gt] = ACTIONS(1711),
    [anon_sym_isa] = ACTIONS(1711),
    [anon_sym_PLUS_PLUS] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1711),
    [anon_sym_QMARK] = ACTIONS(1711),
    [anon_sym_EQ_GT] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(1711),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2359] = {
    [sym_heredoc_content] = STATE(2359),
    [anon_sym_SEMI] = ACTIONS(3058),
    [anon_sym_EQ] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_COMMA] = ACTIONS(3058),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3058),
    [anon_sym_DASH_GT] = ACTIONS(3058),
    [anon_sym_STAR] = ACTIONS(3060),
    [anon_sym_PERCENT] = ACTIONS(3060),
    [anon_sym_GT] = ACTIONS(3060),
    [anon_sym_LT_LT] = ACTIONS(3060),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3058),
    [anon_sym_PLUS_EQ] = ACTIONS(3058),
    [anon_sym_DASH_EQ] = ACTIONS(3058),
    [anon_sym_DOT_EQ] = ACTIONS(3058),
    [anon_sym_STAR_EQ] = ACTIONS(3058),
    [anon_sym_SLASH_EQ] = ACTIONS(3058),
    [anon_sym_PERCENT_EQ] = ACTIONS(3058),
    [anon_sym_x_EQ] = ACTIONS(3058),
    [anon_sym_AMP_EQ] = ACTIONS(3058),
    [anon_sym_PIPE_EQ] = ACTIONS(3058),
    [anon_sym_CARET_EQ] = ACTIONS(3058),
    [anon_sym_LT_LT_EQ] = ACTIONS(3058),
    [anon_sym_GT_GT_EQ] = ACTIONS(3058),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3058),
    [anon_sym_DOT_DOT] = ACTIONS(3060),
    [anon_sym_STAR_STAR] = ACTIONS(3060),
    [anon_sym_PIPE_PIPE] = ACTIONS(3060),
    [anon_sym_SLASH_SLASH] = ACTIONS(3060),
    [anon_sym_CARET_CARET] = ACTIONS(3058),
    [anon_sym_AMP_AMP] = ACTIONS(3060),
    [anon_sym_PIPE] = ACTIONS(3060),
    [anon_sym_CARET] = ACTIONS(3060),
    [anon_sym_AMP] = ACTIONS(3060),
    [anon_sym_GT_GT2] = ACTIONS(3060),
    [anon_sym_PLUS] = ACTIONS(3060),
    [anon_sym_DASH] = ACTIONS(3060),
    [anon_sym_DOT] = ACTIONS(3060),
    [anon_sym_SLASH] = ACTIONS(3060),
    [anon_sym_x] = ACTIONS(3060),
    [anon_sym_EQ_TILDE] = ACTIONS(3058),
    [anon_sym_BANG_TILDE] = ACTIONS(3058),
    [anon_sym_EQ_EQ] = ACTIONS(3060),
    [anon_sym_BANG_EQ] = ACTIONS(3058),
    [anon_sym_eq] = ACTIONS(3060),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3058),
    [anon_sym_equ] = ACTIONS(3058),
    [anon_sym_eqr] = ACTIONS(3058),
    [anon_sym_ne] = ACTIONS(3058),
    [anon_sym_LT_EQ_GT] = ACTIONS(3058),
    [anon_sym_cmp] = ACTIONS(3058),
    [anon_sym_TILDE_TILDE] = ACTIONS(3058),
    [anon_sym_LT] = ACTIONS(3060),
    [anon_sym_LT_EQ] = ACTIONS(3060),
    [anon_sym_GT_EQ] = ACTIONS(3058),
    [anon_sym_lt] = ACTIONS(3058),
    [anon_sym_le] = ACTIONS(3058),
    [anon_sym_ge] = ACTIONS(3058),
    [anon_sym_gt] = ACTIONS(3058),
    [anon_sym_isa] = ACTIONS(3058),
    [anon_sym_PLUS_PLUS] = ACTIONS(3058),
    [anon_sym_DASH_DASH] = ACTIONS(3058),
    [anon_sym_QMARK] = ACTIONS(3058),
    [anon_sym_EQ_GT] = ACTIONS(3058),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3058),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2360] = {
    [sym_heredoc_content] = STATE(2360),
    [anon_sym_RBRACE] = ACTIONS(3030),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_COMMA] = ACTIONS(3030),
    [anon_sym_RPAREN] = ACTIONS(3030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3030),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3030),
    [anon_sym_PLUS_EQ] = ACTIONS(3030),
    [anon_sym_DASH_EQ] = ACTIONS(3030),
    [anon_sym_DOT_EQ] = ACTIONS(3030),
    [anon_sym_STAR_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_PERCENT_EQ] = ACTIONS(3030),
    [anon_sym_x_EQ] = ACTIONS(3030),
    [anon_sym_AMP_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_CARET_EQ] = ACTIONS(3030),
    [anon_sym_LT_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_GT_EQ] = ACTIONS(3030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3030),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH] = ACTIONS(3032),
    [anon_sym_CARET_CARET] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_CARET] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3030),
    [anon_sym_eq] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3030),
    [anon_sym_equ] = ACTIONS(3030),
    [anon_sym_eqr] = ACTIONS(3030),
    [anon_sym_ne] = ACTIONS(3030),
    [anon_sym_LT_EQ_GT] = ACTIONS(3030),
    [anon_sym_cmp] = ACTIONS(3030),
    [anon_sym_TILDE_TILDE] = ACTIONS(3030),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3030),
    [anon_sym_lt] = ACTIONS(3030),
    [anon_sym_le] = ACTIONS(3030),
    [anon_sym_ge] = ACTIONS(3030),
    [anon_sym_gt] = ACTIONS(3030),
    [anon_sym_isa] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3030),
    [anon_sym_EQ_GT] = ACTIONS(3030),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2361] = {
    [sym_heredoc_content] = STATE(2361),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2362] = {
    [sym_heredoc_content] = STATE(2362),
    [anon_sym_SEMI] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2648),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2363] = {
    [sym_heredoc_content] = STATE(2363),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2364] = {
    [sym_heredoc_content] = STATE(2364),
    [anon_sym_SEMI] = ACTIONS(2980),
    [anon_sym_EQ] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_COMMA] = ACTIONS(2980),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2980),
    [anon_sym_DASH_GT] = ACTIONS(2980),
    [anon_sym_STAR] = ACTIONS(2982),
    [anon_sym_PERCENT] = ACTIONS(2982),
    [anon_sym_GT] = ACTIONS(2982),
    [anon_sym_LT_LT] = ACTIONS(2982),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2980),
    [anon_sym_PLUS_EQ] = ACTIONS(2980),
    [anon_sym_DASH_EQ] = ACTIONS(2980),
    [anon_sym_DOT_EQ] = ACTIONS(2980),
    [anon_sym_STAR_EQ] = ACTIONS(2980),
    [anon_sym_SLASH_EQ] = ACTIONS(2980),
    [anon_sym_PERCENT_EQ] = ACTIONS(2980),
    [anon_sym_x_EQ] = ACTIONS(2980),
    [anon_sym_AMP_EQ] = ACTIONS(2980),
    [anon_sym_PIPE_EQ] = ACTIONS(2980),
    [anon_sym_CARET_EQ] = ACTIONS(2980),
    [anon_sym_LT_LT_EQ] = ACTIONS(2980),
    [anon_sym_GT_GT_EQ] = ACTIONS(2980),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2980),
    [anon_sym_DOT_DOT] = ACTIONS(2982),
    [anon_sym_STAR_STAR] = ACTIONS(2982),
    [anon_sym_PIPE_PIPE] = ACTIONS(2982),
    [anon_sym_SLASH_SLASH] = ACTIONS(2982),
    [anon_sym_CARET_CARET] = ACTIONS(2980),
    [anon_sym_AMP_AMP] = ACTIONS(2982),
    [anon_sym_PIPE] = ACTIONS(2982),
    [anon_sym_CARET] = ACTIONS(2982),
    [anon_sym_AMP] = ACTIONS(2982),
    [anon_sym_GT_GT2] = ACTIONS(2982),
    [anon_sym_PLUS] = ACTIONS(2982),
    [anon_sym_DASH] = ACTIONS(2982),
    [anon_sym_DOT] = ACTIONS(2982),
    [anon_sym_SLASH] = ACTIONS(2982),
    [anon_sym_x] = ACTIONS(2982),
    [anon_sym_EQ_TILDE] = ACTIONS(2980),
    [anon_sym_BANG_TILDE] = ACTIONS(2980),
    [anon_sym_EQ_EQ] = ACTIONS(2982),
    [anon_sym_BANG_EQ] = ACTIONS(2980),
    [anon_sym_eq] = ACTIONS(2982),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2980),
    [anon_sym_equ] = ACTIONS(2980),
    [anon_sym_eqr] = ACTIONS(2980),
    [anon_sym_ne] = ACTIONS(2980),
    [anon_sym_LT_EQ_GT] = ACTIONS(2980),
    [anon_sym_cmp] = ACTIONS(2980),
    [anon_sym_TILDE_TILDE] = ACTIONS(2980),
    [anon_sym_LT] = ACTIONS(2982),
    [anon_sym_LT_EQ] = ACTIONS(2982),
    [anon_sym_GT_EQ] = ACTIONS(2980),
    [anon_sym_lt] = ACTIONS(2980),
    [anon_sym_le] = ACTIONS(2980),
    [anon_sym_ge] = ACTIONS(2980),
    [anon_sym_gt] = ACTIONS(2980),
    [anon_sym_isa] = ACTIONS(2980),
    [anon_sym_PLUS_PLUS] = ACTIONS(2980),
    [anon_sym_DASH_DASH] = ACTIONS(2980),
    [anon_sym_QMARK] = ACTIONS(2980),
    [anon_sym_EQ_GT] = ACTIONS(2980),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2980),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2365] = {
    [sym_heredoc_content] = STATE(2365),
    [anon_sym_SEMI] = ACTIONS(3074),
    [anon_sym_EQ] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_COMMA] = ACTIONS(3074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3074),
    [anon_sym_DASH_GT] = ACTIONS(3074),
    [anon_sym_STAR] = ACTIONS(3076),
    [anon_sym_PERCENT] = ACTIONS(3076),
    [anon_sym_GT] = ACTIONS(3076),
    [anon_sym_LT_LT] = ACTIONS(3076),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3074),
    [anon_sym_PLUS_EQ] = ACTIONS(3074),
    [anon_sym_DASH_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3074),
    [anon_sym_STAR_EQ] = ACTIONS(3074),
    [anon_sym_SLASH_EQ] = ACTIONS(3074),
    [anon_sym_PERCENT_EQ] = ACTIONS(3074),
    [anon_sym_x_EQ] = ACTIONS(3074),
    [anon_sym_AMP_EQ] = ACTIONS(3074),
    [anon_sym_PIPE_EQ] = ACTIONS(3074),
    [anon_sym_CARET_EQ] = ACTIONS(3074),
    [anon_sym_LT_LT_EQ] = ACTIONS(3074),
    [anon_sym_GT_GT_EQ] = ACTIONS(3074),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3074),
    [anon_sym_DOT_DOT] = ACTIONS(3076),
    [anon_sym_STAR_STAR] = ACTIONS(3076),
    [anon_sym_PIPE_PIPE] = ACTIONS(3076),
    [anon_sym_SLASH_SLASH] = ACTIONS(3076),
    [anon_sym_CARET_CARET] = ACTIONS(3074),
    [anon_sym_AMP_AMP] = ACTIONS(3076),
    [anon_sym_PIPE] = ACTIONS(3076),
    [anon_sym_CARET] = ACTIONS(3076),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_GT_GT2] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_DOT] = ACTIONS(3076),
    [anon_sym_SLASH] = ACTIONS(3076),
    [anon_sym_x] = ACTIONS(3076),
    [anon_sym_EQ_TILDE] = ACTIONS(3074),
    [anon_sym_BANG_TILDE] = ACTIONS(3074),
    [anon_sym_EQ_EQ] = ACTIONS(3076),
    [anon_sym_BANG_EQ] = ACTIONS(3074),
    [anon_sym_eq] = ACTIONS(3076),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3074),
    [anon_sym_equ] = ACTIONS(3074),
    [anon_sym_eqr] = ACTIONS(3074),
    [anon_sym_ne] = ACTIONS(3074),
    [anon_sym_LT_EQ_GT] = ACTIONS(3074),
    [anon_sym_cmp] = ACTIONS(3074),
    [anon_sym_TILDE_TILDE] = ACTIONS(3074),
    [anon_sym_LT] = ACTIONS(3076),
    [anon_sym_LT_EQ] = ACTIONS(3076),
    [anon_sym_GT_EQ] = ACTIONS(3074),
    [anon_sym_lt] = ACTIONS(3074),
    [anon_sym_le] = ACTIONS(3074),
    [anon_sym_ge] = ACTIONS(3074),
    [anon_sym_gt] = ACTIONS(3074),
    [anon_sym_isa] = ACTIONS(3074),
    [anon_sym_PLUS_PLUS] = ACTIONS(3074),
    [anon_sym_DASH_DASH] = ACTIONS(3074),
    [anon_sym_QMARK] = ACTIONS(3074),
    [anon_sym_EQ_GT] = ACTIONS(3074),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3074),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2366] = {
    [sym_heredoc_content] = STATE(2366),
    [anon_sym_SEMI] = ACTIONS(3004),
    [anon_sym_EQ] = ACTIONS(3006),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_COMMA] = ACTIONS(3004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3004),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_DOT_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_x_EQ] = ACTIONS(3004),
    [anon_sym_AMP_EQ] = ACTIONS(3004),
    [anon_sym_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_CARET_EQ] = ACTIONS(3004),
    [anon_sym_LT_LT_EQ] = ACTIONS(3004),
    [anon_sym_GT_GT_EQ] = ACTIONS(3004),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3006),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3006),
    [anon_sym_SLASH_SLASH] = ACTIONS(3006),
    [anon_sym_CARET_CARET] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ] = ACTIONS(3004),
    [anon_sym_eq] = ACTIONS(3006),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_equ] = ACTIONS(3004),
    [anon_sym_eqr] = ACTIONS(3004),
    [anon_sym_ne] = ACTIONS(3004),
    [anon_sym_LT_EQ_GT] = ACTIONS(3004),
    [anon_sym_cmp] = ACTIONS(3004),
    [anon_sym_TILDE_TILDE] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_LT_EQ] = ACTIONS(3006),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_lt] = ACTIONS(3004),
    [anon_sym_le] = ACTIONS(3004),
    [anon_sym_ge] = ACTIONS(3004),
    [anon_sym_gt] = ACTIONS(3004),
    [anon_sym_isa] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3004),
    [anon_sym_EQ_GT] = ACTIONS(3004),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3004),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2367] = {
    [sym_heredoc_content] = STATE(2367),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3016),
    [anon_sym_STAR] = ACTIONS(3018),
    [anon_sym_PERCENT] = ACTIONS(3018),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3018),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3018),
    [anon_sym_PLUS] = ACTIONS(3018),
    [anon_sym_DASH] = ACTIONS(3018),
    [anon_sym_DOT] = ACTIONS(3018),
    [anon_sym_SLASH] = ACTIONS(3018),
    [anon_sym_x] = ACTIONS(3018),
    [anon_sym_EQ_TILDE] = ACTIONS(3016),
    [anon_sym_BANG_TILDE] = ACTIONS(3016),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3016),
    [anon_sym_DASH_DASH] = ACTIONS(3016),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3016),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2368] = {
    [sym_heredoc_content] = STATE(2368),
    [anon_sym_SEMI] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3016),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2369] = {
    [sym_heredoc_content] = STATE(2369),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym_EQ] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_COMMA] = ACTIONS(3094),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3094),
    [anon_sym_DASH_GT] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3096),
    [anon_sym_PERCENT] = ACTIONS(3096),
    [anon_sym_GT] = ACTIONS(3096),
    [anon_sym_LT_LT] = ACTIONS(3096),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3094),
    [anon_sym_PLUS_EQ] = ACTIONS(3094),
    [anon_sym_DASH_EQ] = ACTIONS(3094),
    [anon_sym_DOT_EQ] = ACTIONS(3094),
    [anon_sym_STAR_EQ] = ACTIONS(3094),
    [anon_sym_SLASH_EQ] = ACTIONS(3094),
    [anon_sym_PERCENT_EQ] = ACTIONS(3094),
    [anon_sym_x_EQ] = ACTIONS(3094),
    [anon_sym_AMP_EQ] = ACTIONS(3094),
    [anon_sym_PIPE_EQ] = ACTIONS(3094),
    [anon_sym_CARET_EQ] = ACTIONS(3094),
    [anon_sym_LT_LT_EQ] = ACTIONS(3094),
    [anon_sym_GT_GT_EQ] = ACTIONS(3094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3094),
    [anon_sym_DOT_DOT] = ACTIONS(3096),
    [anon_sym_STAR_STAR] = ACTIONS(3096),
    [anon_sym_PIPE_PIPE] = ACTIONS(3096),
    [anon_sym_SLASH_SLASH] = ACTIONS(3096),
    [anon_sym_CARET_CARET] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3096),
    [anon_sym_PIPE] = ACTIONS(3096),
    [anon_sym_CARET] = ACTIONS(3096),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_GT_GT2] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_DOT] = ACTIONS(3096),
    [anon_sym_SLASH] = ACTIONS(3096),
    [anon_sym_x] = ACTIONS(3096),
    [anon_sym_EQ_TILDE] = ACTIONS(3094),
    [anon_sym_BANG_TILDE] = ACTIONS(3094),
    [anon_sym_EQ_EQ] = ACTIONS(3096),
    [anon_sym_BANG_EQ] = ACTIONS(3094),
    [anon_sym_eq] = ACTIONS(3096),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3094),
    [anon_sym_equ] = ACTIONS(3094),
    [anon_sym_eqr] = ACTIONS(3094),
    [anon_sym_ne] = ACTIONS(3094),
    [anon_sym_LT_EQ_GT] = ACTIONS(3094),
    [anon_sym_cmp] = ACTIONS(3094),
    [anon_sym_TILDE_TILDE] = ACTIONS(3094),
    [anon_sym_LT] = ACTIONS(3096),
    [anon_sym_LT_EQ] = ACTIONS(3096),
    [anon_sym_GT_EQ] = ACTIONS(3094),
    [anon_sym_lt] = ACTIONS(3094),
    [anon_sym_le] = ACTIONS(3094),
    [anon_sym_ge] = ACTIONS(3094),
    [anon_sym_gt] = ACTIONS(3094),
    [anon_sym_isa] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_QMARK] = ACTIONS(3094),
    [anon_sym_EQ_GT] = ACTIONS(3094),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3094),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2370] = {
    [sym_heredoc_content] = STATE(2370),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym_EQ] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_COMMA] = ACTIONS(3098),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3098),
    [anon_sym_DASH_GT] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3100),
    [anon_sym_PERCENT] = ACTIONS(3100),
    [anon_sym_GT] = ACTIONS(3100),
    [anon_sym_LT_LT] = ACTIONS(3100),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3098),
    [anon_sym_PLUS_EQ] = ACTIONS(3098),
    [anon_sym_DASH_EQ] = ACTIONS(3098),
    [anon_sym_DOT_EQ] = ACTIONS(3098),
    [anon_sym_STAR_EQ] = ACTIONS(3098),
    [anon_sym_SLASH_EQ] = ACTIONS(3098),
    [anon_sym_PERCENT_EQ] = ACTIONS(3098),
    [anon_sym_x_EQ] = ACTIONS(3098),
    [anon_sym_AMP_EQ] = ACTIONS(3098),
    [anon_sym_PIPE_EQ] = ACTIONS(3098),
    [anon_sym_CARET_EQ] = ACTIONS(3098),
    [anon_sym_LT_LT_EQ] = ACTIONS(3098),
    [anon_sym_GT_GT_EQ] = ACTIONS(3098),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3098),
    [anon_sym_DOT_DOT] = ACTIONS(3100),
    [anon_sym_STAR_STAR] = ACTIONS(3100),
    [anon_sym_PIPE_PIPE] = ACTIONS(3100),
    [anon_sym_SLASH_SLASH] = ACTIONS(3100),
    [anon_sym_CARET_CARET] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3100),
    [anon_sym_PIPE] = ACTIONS(3100),
    [anon_sym_CARET] = ACTIONS(3100),
    [anon_sym_AMP] = ACTIONS(3100),
    [anon_sym_GT_GT2] = ACTIONS(3100),
    [anon_sym_PLUS] = ACTIONS(3100),
    [anon_sym_DASH] = ACTIONS(3100),
    [anon_sym_DOT] = ACTIONS(3100),
    [anon_sym_SLASH] = ACTIONS(3100),
    [anon_sym_x] = ACTIONS(3100),
    [anon_sym_EQ_TILDE] = ACTIONS(3098),
    [anon_sym_BANG_TILDE] = ACTIONS(3098),
    [anon_sym_EQ_EQ] = ACTIONS(3100),
    [anon_sym_BANG_EQ] = ACTIONS(3098),
    [anon_sym_eq] = ACTIONS(3100),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3098),
    [anon_sym_equ] = ACTIONS(3098),
    [anon_sym_eqr] = ACTIONS(3098),
    [anon_sym_ne] = ACTIONS(3098),
    [anon_sym_LT_EQ_GT] = ACTIONS(3098),
    [anon_sym_cmp] = ACTIONS(3098),
    [anon_sym_TILDE_TILDE] = ACTIONS(3098),
    [anon_sym_LT] = ACTIONS(3100),
    [anon_sym_LT_EQ] = ACTIONS(3100),
    [anon_sym_GT_EQ] = ACTIONS(3098),
    [anon_sym_lt] = ACTIONS(3098),
    [anon_sym_le] = ACTIONS(3098),
    [anon_sym_ge] = ACTIONS(3098),
    [anon_sym_gt] = ACTIONS(3098),
    [anon_sym_isa] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_QMARK] = ACTIONS(3098),
    [anon_sym_EQ_GT] = ACTIONS(3098),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3098),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2371] = {
    [sym_heredoc_content] = STATE(2371),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3770),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3776),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3782),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3772),
    [anon_sym_PLUS_EQ] = ACTIONS(3772),
    [anon_sym_DASH_EQ] = ACTIONS(3772),
    [anon_sym_DOT_EQ] = ACTIONS(3772),
    [anon_sym_STAR_EQ] = ACTIONS(3772),
    [anon_sym_SLASH_EQ] = ACTIONS(3772),
    [anon_sym_PERCENT_EQ] = ACTIONS(3772),
    [anon_sym_x_EQ] = ACTIONS(3772),
    [anon_sym_AMP_EQ] = ACTIONS(3772),
    [anon_sym_PIPE_EQ] = ACTIONS(3772),
    [anon_sym_CARET_EQ] = ACTIONS(3772),
    [anon_sym_LT_LT_EQ] = ACTIONS(3772),
    [anon_sym_GT_GT_EQ] = ACTIONS(3772),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3772),
    [anon_sym_DOT_DOT] = ACTIONS(3786),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3790),
    [anon_sym_SLASH_SLASH] = ACTIONS(3790),
    [anon_sym_CARET_CARET] = ACTIONS(3792),
    [anon_sym_AMP_AMP] = ACTIONS(3794),
    [anon_sym_PIPE] = ACTIONS(3796),
    [anon_sym_CARET] = ACTIONS(3796),
    [anon_sym_AMP] = ACTIONS(3798),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3804),
    [anon_sym_BANG_EQ] = ACTIONS(3806),
    [anon_sym_eq] = ACTIONS(3804),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3806),
    [anon_sym_equ] = ACTIONS(3806),
    [anon_sym_eqr] = ACTIONS(3806),
    [anon_sym_ne] = ACTIONS(3806),
    [anon_sym_LT_EQ_GT] = ACTIONS(3808),
    [anon_sym_cmp] = ACTIONS(3808),
    [anon_sym_TILDE_TILDE] = ACTIONS(3808),
    [anon_sym_LT] = ACTIONS(3782),
    [anon_sym_LT_EQ] = ACTIONS(3782),
    [anon_sym_GT_EQ] = ACTIONS(3810),
    [anon_sym_lt] = ACTIONS(3810),
    [anon_sym_le] = ACTIONS(3810),
    [anon_sym_ge] = ACTIONS(3810),
    [anon_sym_gt] = ACTIONS(3810),
    [anon_sym_isa] = ACTIONS(3812),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3816),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3086),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2372] = {
    [sym_heredoc_content] = STATE(2372),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_x] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2947),
    [anon_sym_BANG_TILDE] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2373] = {
    [sym_heredoc_content] = STATE(2373),
    [anon_sym_SEMI] = ACTIONS(3102),
    [anon_sym_EQ] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_COMMA] = ACTIONS(3102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3102),
    [anon_sym_DASH_GT] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_PERCENT] = ACTIONS(3104),
    [anon_sym_GT] = ACTIONS(3104),
    [anon_sym_LT_LT] = ACTIONS(3104),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3102),
    [anon_sym_PLUS_EQ] = ACTIONS(3102),
    [anon_sym_DASH_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3102),
    [anon_sym_STAR_EQ] = ACTIONS(3102),
    [anon_sym_SLASH_EQ] = ACTIONS(3102),
    [anon_sym_PERCENT_EQ] = ACTIONS(3102),
    [anon_sym_x_EQ] = ACTIONS(3102),
    [anon_sym_AMP_EQ] = ACTIONS(3102),
    [anon_sym_PIPE_EQ] = ACTIONS(3102),
    [anon_sym_CARET_EQ] = ACTIONS(3102),
    [anon_sym_LT_LT_EQ] = ACTIONS(3102),
    [anon_sym_GT_GT_EQ] = ACTIONS(3102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3102),
    [anon_sym_DOT_DOT] = ACTIONS(3104),
    [anon_sym_STAR_STAR] = ACTIONS(3104),
    [anon_sym_PIPE_PIPE] = ACTIONS(3104),
    [anon_sym_SLASH_SLASH] = ACTIONS(3104),
    [anon_sym_CARET_CARET] = ACTIONS(3102),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_PIPE] = ACTIONS(3104),
    [anon_sym_CARET] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3104),
    [anon_sym_GT_GT2] = ACTIONS(3104),
    [anon_sym_PLUS] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3104),
    [anon_sym_DOT] = ACTIONS(3104),
    [anon_sym_SLASH] = ACTIONS(3104),
    [anon_sym_x] = ACTIONS(3104),
    [anon_sym_EQ_TILDE] = ACTIONS(3102),
    [anon_sym_BANG_TILDE] = ACTIONS(3102),
    [anon_sym_EQ_EQ] = ACTIONS(3104),
    [anon_sym_BANG_EQ] = ACTIONS(3102),
    [anon_sym_eq] = ACTIONS(3104),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3102),
    [anon_sym_equ] = ACTIONS(3102),
    [anon_sym_eqr] = ACTIONS(3102),
    [anon_sym_ne] = ACTIONS(3102),
    [anon_sym_LT_EQ_GT] = ACTIONS(3102),
    [anon_sym_cmp] = ACTIONS(3102),
    [anon_sym_TILDE_TILDE] = ACTIONS(3102),
    [anon_sym_LT] = ACTIONS(3104),
    [anon_sym_LT_EQ] = ACTIONS(3104),
    [anon_sym_GT_EQ] = ACTIONS(3102),
    [anon_sym_lt] = ACTIONS(3102),
    [anon_sym_le] = ACTIONS(3102),
    [anon_sym_ge] = ACTIONS(3102),
    [anon_sym_gt] = ACTIONS(3102),
    [anon_sym_isa] = ACTIONS(3102),
    [anon_sym_PLUS_PLUS] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3102),
    [anon_sym_QMARK] = ACTIONS(3102),
    [anon_sym_EQ_GT] = ACTIONS(3102),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3102),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2374] = {
    [sym_heredoc_content] = STATE(2374),
    [anon_sym_SEMI] = ACTIONS(3106),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_COMMA] = ACTIONS(3106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3106),
    [anon_sym_DASH_GT] = ACTIONS(3106),
    [anon_sym_STAR] = ACTIONS(3108),
    [anon_sym_PERCENT] = ACTIONS(3108),
    [anon_sym_GT] = ACTIONS(3108),
    [anon_sym_LT_LT] = ACTIONS(3108),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3106),
    [anon_sym_PLUS_EQ] = ACTIONS(3106),
    [anon_sym_DASH_EQ] = ACTIONS(3106),
    [anon_sym_DOT_EQ] = ACTIONS(3106),
    [anon_sym_STAR_EQ] = ACTIONS(3106),
    [anon_sym_SLASH_EQ] = ACTIONS(3106),
    [anon_sym_PERCENT_EQ] = ACTIONS(3106),
    [anon_sym_x_EQ] = ACTIONS(3106),
    [anon_sym_AMP_EQ] = ACTIONS(3106),
    [anon_sym_PIPE_EQ] = ACTIONS(3106),
    [anon_sym_CARET_EQ] = ACTIONS(3106),
    [anon_sym_LT_LT_EQ] = ACTIONS(3106),
    [anon_sym_GT_GT_EQ] = ACTIONS(3106),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3106),
    [anon_sym_DOT_DOT] = ACTIONS(3108),
    [anon_sym_STAR_STAR] = ACTIONS(3108),
    [anon_sym_PIPE_PIPE] = ACTIONS(3108),
    [anon_sym_SLASH_SLASH] = ACTIONS(3108),
    [anon_sym_CARET_CARET] = ACTIONS(3106),
    [anon_sym_AMP_AMP] = ACTIONS(3108),
    [anon_sym_PIPE] = ACTIONS(3108),
    [anon_sym_CARET] = ACTIONS(3108),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_GT_GT2] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_DOT] = ACTIONS(3108),
    [anon_sym_SLASH] = ACTIONS(3108),
    [anon_sym_x] = ACTIONS(3108),
    [anon_sym_EQ_TILDE] = ACTIONS(3106),
    [anon_sym_BANG_TILDE] = ACTIONS(3106),
    [anon_sym_EQ_EQ] = ACTIONS(3108),
    [anon_sym_BANG_EQ] = ACTIONS(3106),
    [anon_sym_eq] = ACTIONS(3108),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3106),
    [anon_sym_equ] = ACTIONS(3106),
    [anon_sym_eqr] = ACTIONS(3106),
    [anon_sym_ne] = ACTIONS(3106),
    [anon_sym_LT_EQ_GT] = ACTIONS(3106),
    [anon_sym_cmp] = ACTIONS(3106),
    [anon_sym_TILDE_TILDE] = ACTIONS(3106),
    [anon_sym_LT] = ACTIONS(3108),
    [anon_sym_LT_EQ] = ACTIONS(3108),
    [anon_sym_GT_EQ] = ACTIONS(3106),
    [anon_sym_lt] = ACTIONS(3106),
    [anon_sym_le] = ACTIONS(3106),
    [anon_sym_ge] = ACTIONS(3106),
    [anon_sym_gt] = ACTIONS(3106),
    [anon_sym_isa] = ACTIONS(3106),
    [anon_sym_PLUS_PLUS] = ACTIONS(3106),
    [anon_sym_DASH_DASH] = ACTIONS(3106),
    [anon_sym_QMARK] = ACTIONS(3106),
    [anon_sym_EQ_GT] = ACTIONS(3106),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3106),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2375] = {
    [sym_heredoc_content] = STATE(2375),
    [anon_sym_RBRACE] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2376] = {
    [sym_heredoc_content] = STATE(2376),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym_EQ] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_COMMA] = ACTIONS(3110),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3110),
    [anon_sym_DASH_GT] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3112),
    [anon_sym_PERCENT] = ACTIONS(3112),
    [anon_sym_GT] = ACTIONS(3112),
    [anon_sym_LT_LT] = ACTIONS(3112),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3110),
    [anon_sym_PLUS_EQ] = ACTIONS(3110),
    [anon_sym_DASH_EQ] = ACTIONS(3110),
    [anon_sym_DOT_EQ] = ACTIONS(3110),
    [anon_sym_STAR_EQ] = ACTIONS(3110),
    [anon_sym_SLASH_EQ] = ACTIONS(3110),
    [anon_sym_PERCENT_EQ] = ACTIONS(3110),
    [anon_sym_x_EQ] = ACTIONS(3110),
    [anon_sym_AMP_EQ] = ACTIONS(3110),
    [anon_sym_PIPE_EQ] = ACTIONS(3110),
    [anon_sym_CARET_EQ] = ACTIONS(3110),
    [anon_sym_LT_LT_EQ] = ACTIONS(3110),
    [anon_sym_GT_GT_EQ] = ACTIONS(3110),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3110),
    [anon_sym_DOT_DOT] = ACTIONS(3112),
    [anon_sym_STAR_STAR] = ACTIONS(3112),
    [anon_sym_PIPE_PIPE] = ACTIONS(3112),
    [anon_sym_SLASH_SLASH] = ACTIONS(3112),
    [anon_sym_CARET_CARET] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3112),
    [anon_sym_PIPE] = ACTIONS(3112),
    [anon_sym_CARET] = ACTIONS(3112),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_GT_GT2] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_DOT] = ACTIONS(3112),
    [anon_sym_SLASH] = ACTIONS(3112),
    [anon_sym_x] = ACTIONS(3112),
    [anon_sym_EQ_TILDE] = ACTIONS(3110),
    [anon_sym_BANG_TILDE] = ACTIONS(3110),
    [anon_sym_EQ_EQ] = ACTIONS(3112),
    [anon_sym_BANG_EQ] = ACTIONS(3110),
    [anon_sym_eq] = ACTIONS(3112),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3110),
    [anon_sym_equ] = ACTIONS(3110),
    [anon_sym_eqr] = ACTIONS(3110),
    [anon_sym_ne] = ACTIONS(3110),
    [anon_sym_LT_EQ_GT] = ACTIONS(3110),
    [anon_sym_cmp] = ACTIONS(3110),
    [anon_sym_TILDE_TILDE] = ACTIONS(3110),
    [anon_sym_LT] = ACTIONS(3112),
    [anon_sym_LT_EQ] = ACTIONS(3112),
    [anon_sym_GT_EQ] = ACTIONS(3110),
    [anon_sym_lt] = ACTIONS(3110),
    [anon_sym_le] = ACTIONS(3110),
    [anon_sym_ge] = ACTIONS(3110),
    [anon_sym_gt] = ACTIONS(3110),
    [anon_sym_isa] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_QMARK] = ACTIONS(3110),
    [anon_sym_EQ_GT] = ACTIONS(3110),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3110),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2377] = {
    [sym_heredoc_content] = STATE(2377),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym_EQ] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_COMMA] = ACTIONS(3114),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3114),
    [anon_sym_DASH_GT] = ACTIONS(3114),
    [anon_sym_STAR] = ACTIONS(3116),
    [anon_sym_PERCENT] = ACTIONS(3116),
    [anon_sym_GT] = ACTIONS(3116),
    [anon_sym_LT_LT] = ACTIONS(3116),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3114),
    [anon_sym_PLUS_EQ] = ACTIONS(3114),
    [anon_sym_DASH_EQ] = ACTIONS(3114),
    [anon_sym_DOT_EQ] = ACTIONS(3114),
    [anon_sym_STAR_EQ] = ACTIONS(3114),
    [anon_sym_SLASH_EQ] = ACTIONS(3114),
    [anon_sym_PERCENT_EQ] = ACTIONS(3114),
    [anon_sym_x_EQ] = ACTIONS(3114),
    [anon_sym_AMP_EQ] = ACTIONS(3114),
    [anon_sym_PIPE_EQ] = ACTIONS(3114),
    [anon_sym_CARET_EQ] = ACTIONS(3114),
    [anon_sym_LT_LT_EQ] = ACTIONS(3114),
    [anon_sym_GT_GT_EQ] = ACTIONS(3114),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3114),
    [anon_sym_DOT_DOT] = ACTIONS(3116),
    [anon_sym_STAR_STAR] = ACTIONS(3116),
    [anon_sym_PIPE_PIPE] = ACTIONS(3116),
    [anon_sym_SLASH_SLASH] = ACTIONS(3116),
    [anon_sym_CARET_CARET] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3116),
    [anon_sym_PIPE] = ACTIONS(3116),
    [anon_sym_CARET] = ACTIONS(3116),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_GT_GT2] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_DOT] = ACTIONS(3116),
    [anon_sym_SLASH] = ACTIONS(3116),
    [anon_sym_x] = ACTIONS(3116),
    [anon_sym_EQ_TILDE] = ACTIONS(3114),
    [anon_sym_BANG_TILDE] = ACTIONS(3114),
    [anon_sym_EQ_EQ] = ACTIONS(3116),
    [anon_sym_BANG_EQ] = ACTIONS(3114),
    [anon_sym_eq] = ACTIONS(3116),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3114),
    [anon_sym_equ] = ACTIONS(3114),
    [anon_sym_eqr] = ACTIONS(3114),
    [anon_sym_ne] = ACTIONS(3114),
    [anon_sym_LT_EQ_GT] = ACTIONS(3114),
    [anon_sym_cmp] = ACTIONS(3114),
    [anon_sym_TILDE_TILDE] = ACTIONS(3114),
    [anon_sym_LT] = ACTIONS(3116),
    [anon_sym_LT_EQ] = ACTIONS(3116),
    [anon_sym_GT_EQ] = ACTIONS(3114),
    [anon_sym_lt] = ACTIONS(3114),
    [anon_sym_le] = ACTIONS(3114),
    [anon_sym_ge] = ACTIONS(3114),
    [anon_sym_gt] = ACTIONS(3114),
    [anon_sym_isa] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_QMARK] = ACTIONS(3114),
    [anon_sym_EQ_GT] = ACTIONS(3114),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3114),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2378] = {
    [sym_heredoc_content] = STATE(2378),
    [anon_sym_RBRACE] = ACTIONS(3004),
    [anon_sym_EQ] = ACTIONS(3006),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_COMMA] = ACTIONS(3004),
    [anon_sym_RPAREN] = ACTIONS(3004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3004),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_DOT_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_x_EQ] = ACTIONS(3004),
    [anon_sym_AMP_EQ] = ACTIONS(3004),
    [anon_sym_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_CARET_EQ] = ACTIONS(3004),
    [anon_sym_LT_LT_EQ] = ACTIONS(3004),
    [anon_sym_GT_GT_EQ] = ACTIONS(3004),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3006),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3006),
    [anon_sym_SLASH_SLASH] = ACTIONS(3006),
    [anon_sym_CARET_CARET] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ] = ACTIONS(3004),
    [anon_sym_eq] = ACTIONS(3006),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_equ] = ACTIONS(3004),
    [anon_sym_eqr] = ACTIONS(3004),
    [anon_sym_ne] = ACTIONS(3004),
    [anon_sym_LT_EQ_GT] = ACTIONS(3004),
    [anon_sym_cmp] = ACTIONS(3004),
    [anon_sym_TILDE_TILDE] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_LT_EQ] = ACTIONS(3006),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_lt] = ACTIONS(3004),
    [anon_sym_le] = ACTIONS(3004),
    [anon_sym_ge] = ACTIONS(3004),
    [anon_sym_gt] = ACTIONS(3004),
    [anon_sym_isa] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3004),
    [anon_sym_EQ_GT] = ACTIONS(3004),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2379] = {
    [sym_heredoc_content] = STATE(2379),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(3778),
    [anon_sym_STAR] = ACTIONS(3780),
    [anon_sym_PERCENT] = ACTIONS(3780),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3784),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_DOT_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_x_EQ] = ACTIONS(3090),
    [anon_sym_AMP_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_CARET_EQ] = ACTIONS(3090),
    [anon_sym_LT_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_GT_EQ] = ACTIONS(3090),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT] = ACTIONS(3092),
    [anon_sym_STAR_STAR] = ACTIONS(3788),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH] = ACTIONS(3092),
    [anon_sym_CARET_CARET] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_PIPE] = ACTIONS(3092),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_GT_GT2] = ACTIONS(3784),
    [anon_sym_PLUS] = ACTIONS(3800),
    [anon_sym_DASH] = ACTIONS(3800),
    [anon_sym_DOT] = ACTIONS(3800),
    [anon_sym_SLASH] = ACTIONS(3780),
    [anon_sym_x] = ACTIONS(3780),
    [anon_sym_EQ_TILDE] = ACTIONS(3802),
    [anon_sym_BANG_TILDE] = ACTIONS(3802),
    [anon_sym_EQ_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_eq] = ACTIONS(3092),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_equ] = ACTIONS(3090),
    [anon_sym_eqr] = ACTIONS(3090),
    [anon_sym_ne] = ACTIONS(3090),
    [anon_sym_LT_EQ_GT] = ACTIONS(3090),
    [anon_sym_cmp] = ACTIONS(3090),
    [anon_sym_TILDE_TILDE] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_lt] = ACTIONS(3090),
    [anon_sym_le] = ACTIONS(3090),
    [anon_sym_ge] = ACTIONS(3090),
    [anon_sym_gt] = ACTIONS(3090),
    [anon_sym_isa] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3814),
    [anon_sym_DASH_DASH] = ACTIONS(3814),
    [anon_sym_QMARK] = ACTIONS(3090),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3090),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2380] = {
    [sym_heredoc_content] = STATE(2380),
    [anon_sym_RBRACE] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_RPAREN] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2381] = {
    [sym_heredoc_content] = STATE(2381),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_RPAREN] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2382] = {
    [sym_heredoc_content] = STATE(2382),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_RPAREN] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_DOT_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_x_EQ] = ACTIONS(3090),
    [anon_sym_AMP_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_CARET_EQ] = ACTIONS(3090),
    [anon_sym_LT_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_GT_EQ] = ACTIONS(3090),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT] = ACTIONS(3092),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH] = ACTIONS(3092),
    [anon_sym_CARET_CARET] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_PIPE] = ACTIONS(3092),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_eq] = ACTIONS(3092),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_equ] = ACTIONS(3090),
    [anon_sym_eqr] = ACTIONS(3090),
    [anon_sym_ne] = ACTIONS(3090),
    [anon_sym_LT_EQ_GT] = ACTIONS(3090),
    [anon_sym_cmp] = ACTIONS(3090),
    [anon_sym_TILDE_TILDE] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_lt] = ACTIONS(3090),
    [anon_sym_le] = ACTIONS(3090),
    [anon_sym_ge] = ACTIONS(3090),
    [anon_sym_gt] = ACTIONS(3090),
    [anon_sym_isa] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3090),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2383] = {
    [sym_heredoc_content] = STATE(2383),
    [aux_sym__term_rightward_repeat1] = STATE(2336),
    [anon_sym_COLON] = ACTIONS(2679),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_COMMA] = ACTIONS(3936),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [anon_sym_EQ_GT] = ACTIONS(3936),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2384] = {
    [sym_heredoc_content] = STATE(2384),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym_EQ] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_COMMA] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3118),
    [anon_sym_DASH_GT] = ACTIONS(3118),
    [anon_sym_STAR] = ACTIONS(3120),
    [anon_sym_PERCENT] = ACTIONS(3120),
    [anon_sym_GT] = ACTIONS(3120),
    [anon_sym_LT_LT] = ACTIONS(3120),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3118),
    [anon_sym_PLUS_EQ] = ACTIONS(3118),
    [anon_sym_DASH_EQ] = ACTIONS(3118),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_STAR_EQ] = ACTIONS(3118),
    [anon_sym_SLASH_EQ] = ACTIONS(3118),
    [anon_sym_PERCENT_EQ] = ACTIONS(3118),
    [anon_sym_x_EQ] = ACTIONS(3118),
    [anon_sym_AMP_EQ] = ACTIONS(3118),
    [anon_sym_PIPE_EQ] = ACTIONS(3118),
    [anon_sym_CARET_EQ] = ACTIONS(3118),
    [anon_sym_LT_LT_EQ] = ACTIONS(3118),
    [anon_sym_GT_GT_EQ] = ACTIONS(3118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT] = ACTIONS(3120),
    [anon_sym_STAR_STAR] = ACTIONS(3120),
    [anon_sym_PIPE_PIPE] = ACTIONS(3120),
    [anon_sym_SLASH_SLASH] = ACTIONS(3120),
    [anon_sym_CARET_CARET] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3120),
    [anon_sym_PIPE] = ACTIONS(3120),
    [anon_sym_CARET] = ACTIONS(3120),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_GT_GT2] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_DOT] = ACTIONS(3120),
    [anon_sym_SLASH] = ACTIONS(3120),
    [anon_sym_x] = ACTIONS(3120),
    [anon_sym_EQ_TILDE] = ACTIONS(3118),
    [anon_sym_BANG_TILDE] = ACTIONS(3118),
    [anon_sym_EQ_EQ] = ACTIONS(3120),
    [anon_sym_BANG_EQ] = ACTIONS(3118),
    [anon_sym_eq] = ACTIONS(3120),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3118),
    [anon_sym_equ] = ACTIONS(3118),
    [anon_sym_eqr] = ACTIONS(3118),
    [anon_sym_ne] = ACTIONS(3118),
    [anon_sym_LT_EQ_GT] = ACTIONS(3118),
    [anon_sym_cmp] = ACTIONS(3118),
    [anon_sym_TILDE_TILDE] = ACTIONS(3118),
    [anon_sym_LT] = ACTIONS(3120),
    [anon_sym_LT_EQ] = ACTIONS(3120),
    [anon_sym_GT_EQ] = ACTIONS(3118),
    [anon_sym_lt] = ACTIONS(3118),
    [anon_sym_le] = ACTIONS(3118),
    [anon_sym_ge] = ACTIONS(3118),
    [anon_sym_gt] = ACTIONS(3118),
    [anon_sym_isa] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_QMARK] = ACTIONS(3118),
    [anon_sym_EQ_GT] = ACTIONS(3118),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3118),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2385] = {
    [sym_heredoc_content] = STATE(2385),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym_EQ] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_COMMA] = ACTIONS(3122),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3122),
    [anon_sym_DASH_GT] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3124),
    [anon_sym_PERCENT] = ACTIONS(3124),
    [anon_sym_GT] = ACTIONS(3124),
    [anon_sym_LT_LT] = ACTIONS(3124),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3122),
    [anon_sym_PLUS_EQ] = ACTIONS(3122),
    [anon_sym_DASH_EQ] = ACTIONS(3122),
    [anon_sym_DOT_EQ] = ACTIONS(3122),
    [anon_sym_STAR_EQ] = ACTIONS(3122),
    [anon_sym_SLASH_EQ] = ACTIONS(3122),
    [anon_sym_PERCENT_EQ] = ACTIONS(3122),
    [anon_sym_x_EQ] = ACTIONS(3122),
    [anon_sym_AMP_EQ] = ACTIONS(3122),
    [anon_sym_PIPE_EQ] = ACTIONS(3122),
    [anon_sym_CARET_EQ] = ACTIONS(3122),
    [anon_sym_LT_LT_EQ] = ACTIONS(3122),
    [anon_sym_GT_GT_EQ] = ACTIONS(3122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3122),
    [anon_sym_DOT_DOT] = ACTIONS(3124),
    [anon_sym_STAR_STAR] = ACTIONS(3124),
    [anon_sym_PIPE_PIPE] = ACTIONS(3124),
    [anon_sym_SLASH_SLASH] = ACTIONS(3124),
    [anon_sym_CARET_CARET] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3124),
    [anon_sym_PIPE] = ACTIONS(3124),
    [anon_sym_CARET] = ACTIONS(3124),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_GT_GT2] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_DOT] = ACTIONS(3124),
    [anon_sym_SLASH] = ACTIONS(3124),
    [anon_sym_x] = ACTIONS(3124),
    [anon_sym_EQ_TILDE] = ACTIONS(3122),
    [anon_sym_BANG_TILDE] = ACTIONS(3122),
    [anon_sym_EQ_EQ] = ACTIONS(3124),
    [anon_sym_BANG_EQ] = ACTIONS(3122),
    [anon_sym_eq] = ACTIONS(3124),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3122),
    [anon_sym_equ] = ACTIONS(3122),
    [anon_sym_eqr] = ACTIONS(3122),
    [anon_sym_ne] = ACTIONS(3122),
    [anon_sym_LT_EQ_GT] = ACTIONS(3122),
    [anon_sym_cmp] = ACTIONS(3122),
    [anon_sym_TILDE_TILDE] = ACTIONS(3122),
    [anon_sym_LT] = ACTIONS(3124),
    [anon_sym_LT_EQ] = ACTIONS(3124),
    [anon_sym_GT_EQ] = ACTIONS(3122),
    [anon_sym_lt] = ACTIONS(3122),
    [anon_sym_le] = ACTIONS(3122),
    [anon_sym_ge] = ACTIONS(3122),
    [anon_sym_gt] = ACTIONS(3122),
    [anon_sym_isa] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_QMARK] = ACTIONS(3122),
    [anon_sym_EQ_GT] = ACTIONS(3122),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3122),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2386] = {
    [sym_heredoc_content] = STATE(2386),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_EQ] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_COMMA] = ACTIONS(3126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3126),
    [anon_sym_DASH_GT] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3128),
    [anon_sym_PERCENT] = ACTIONS(3128),
    [anon_sym_GT] = ACTIONS(3128),
    [anon_sym_LT_LT] = ACTIONS(3128),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3126),
    [anon_sym_PLUS_EQ] = ACTIONS(3126),
    [anon_sym_DASH_EQ] = ACTIONS(3126),
    [anon_sym_DOT_EQ] = ACTIONS(3126),
    [anon_sym_STAR_EQ] = ACTIONS(3126),
    [anon_sym_SLASH_EQ] = ACTIONS(3126),
    [anon_sym_PERCENT_EQ] = ACTIONS(3126),
    [anon_sym_x_EQ] = ACTIONS(3126),
    [anon_sym_AMP_EQ] = ACTIONS(3126),
    [anon_sym_PIPE_EQ] = ACTIONS(3126),
    [anon_sym_CARET_EQ] = ACTIONS(3126),
    [anon_sym_LT_LT_EQ] = ACTIONS(3126),
    [anon_sym_GT_GT_EQ] = ACTIONS(3126),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3126),
    [anon_sym_DOT_DOT] = ACTIONS(3128),
    [anon_sym_STAR_STAR] = ACTIONS(3128),
    [anon_sym_PIPE_PIPE] = ACTIONS(3128),
    [anon_sym_SLASH_SLASH] = ACTIONS(3128),
    [anon_sym_CARET_CARET] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3128),
    [anon_sym_PIPE] = ACTIONS(3128),
    [anon_sym_CARET] = ACTIONS(3128),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_GT_GT2] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_DOT] = ACTIONS(3128),
    [anon_sym_SLASH] = ACTIONS(3128),
    [anon_sym_x] = ACTIONS(3128),
    [anon_sym_EQ_TILDE] = ACTIONS(3126),
    [anon_sym_BANG_TILDE] = ACTIONS(3126),
    [anon_sym_EQ_EQ] = ACTIONS(3128),
    [anon_sym_BANG_EQ] = ACTIONS(3126),
    [anon_sym_eq] = ACTIONS(3128),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3126),
    [anon_sym_equ] = ACTIONS(3126),
    [anon_sym_eqr] = ACTIONS(3126),
    [anon_sym_ne] = ACTIONS(3126),
    [anon_sym_LT_EQ_GT] = ACTIONS(3126),
    [anon_sym_cmp] = ACTIONS(3126),
    [anon_sym_TILDE_TILDE] = ACTIONS(3126),
    [anon_sym_LT] = ACTIONS(3128),
    [anon_sym_LT_EQ] = ACTIONS(3128),
    [anon_sym_GT_EQ] = ACTIONS(3126),
    [anon_sym_lt] = ACTIONS(3126),
    [anon_sym_le] = ACTIONS(3126),
    [anon_sym_ge] = ACTIONS(3126),
    [anon_sym_gt] = ACTIONS(3126),
    [anon_sym_isa] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_QMARK] = ACTIONS(3126),
    [anon_sym_EQ_GT] = ACTIONS(3126),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3126),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2387] = {
    [sym_heredoc_content] = STATE(2387),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym_EQ] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_COMMA] = ACTIONS(3130),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3130),
    [anon_sym_DASH_GT] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3132),
    [anon_sym_PERCENT] = ACTIONS(3132),
    [anon_sym_GT] = ACTIONS(3132),
    [anon_sym_LT_LT] = ACTIONS(3132),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3130),
    [anon_sym_PLUS_EQ] = ACTIONS(3130),
    [anon_sym_DASH_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3130),
    [anon_sym_STAR_EQ] = ACTIONS(3130),
    [anon_sym_SLASH_EQ] = ACTIONS(3130),
    [anon_sym_PERCENT_EQ] = ACTIONS(3130),
    [anon_sym_x_EQ] = ACTIONS(3130),
    [anon_sym_AMP_EQ] = ACTIONS(3130),
    [anon_sym_PIPE_EQ] = ACTIONS(3130),
    [anon_sym_CARET_EQ] = ACTIONS(3130),
    [anon_sym_LT_LT_EQ] = ACTIONS(3130),
    [anon_sym_GT_GT_EQ] = ACTIONS(3130),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3130),
    [anon_sym_DOT_DOT] = ACTIONS(3132),
    [anon_sym_STAR_STAR] = ACTIONS(3132),
    [anon_sym_PIPE_PIPE] = ACTIONS(3132),
    [anon_sym_SLASH_SLASH] = ACTIONS(3132),
    [anon_sym_CARET_CARET] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3132),
    [anon_sym_PIPE] = ACTIONS(3132),
    [anon_sym_CARET] = ACTIONS(3132),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_GT_GT2] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_DOT] = ACTIONS(3132),
    [anon_sym_SLASH] = ACTIONS(3132),
    [anon_sym_x] = ACTIONS(3132),
    [anon_sym_EQ_TILDE] = ACTIONS(3130),
    [anon_sym_BANG_TILDE] = ACTIONS(3130),
    [anon_sym_EQ_EQ] = ACTIONS(3132),
    [anon_sym_BANG_EQ] = ACTIONS(3130),
    [anon_sym_eq] = ACTIONS(3132),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3130),
    [anon_sym_equ] = ACTIONS(3130),
    [anon_sym_eqr] = ACTIONS(3130),
    [anon_sym_ne] = ACTIONS(3130),
    [anon_sym_LT_EQ_GT] = ACTIONS(3130),
    [anon_sym_cmp] = ACTIONS(3130),
    [anon_sym_TILDE_TILDE] = ACTIONS(3130),
    [anon_sym_LT] = ACTIONS(3132),
    [anon_sym_LT_EQ] = ACTIONS(3132),
    [anon_sym_GT_EQ] = ACTIONS(3130),
    [anon_sym_lt] = ACTIONS(3130),
    [anon_sym_le] = ACTIONS(3130),
    [anon_sym_ge] = ACTIONS(3130),
    [anon_sym_gt] = ACTIONS(3130),
    [anon_sym_isa] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_QMARK] = ACTIONS(3130),
    [anon_sym_EQ_GT] = ACTIONS(3130),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3130),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2388] = {
    [sym_heredoc_content] = STATE(2388),
    [anon_sym_SEMI] = ACTIONS(2909),
    [anon_sym_EQ] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_COMMA] = ACTIONS(2909),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2909),
    [anon_sym_DASH_GT] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_LT] = ACTIONS(1971),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2909),
    [anon_sym_PLUS_EQ] = ACTIONS(2909),
    [anon_sym_DASH_EQ] = ACTIONS(2909),
    [anon_sym_DOT_EQ] = ACTIONS(2909),
    [anon_sym_STAR_EQ] = ACTIONS(2909),
    [anon_sym_SLASH_EQ] = ACTIONS(2909),
    [anon_sym_PERCENT_EQ] = ACTIONS(2909),
    [anon_sym_x_EQ] = ACTIONS(2909),
    [anon_sym_AMP_EQ] = ACTIONS(2909),
    [anon_sym_PIPE_EQ] = ACTIONS(2909),
    [anon_sym_CARET_EQ] = ACTIONS(2909),
    [anon_sym_LT_LT_EQ] = ACTIONS(2909),
    [anon_sym_GT_GT_EQ] = ACTIONS(2909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2909),
    [anon_sym_DOT_DOT] = ACTIONS(1971),
    [anon_sym_STAR_STAR] = ACTIONS(1971),
    [anon_sym_PIPE_PIPE] = ACTIONS(1971),
    [anon_sym_SLASH_SLASH] = ACTIONS(1971),
    [anon_sym_CARET_CARET] = ACTIONS(2909),
    [anon_sym_AMP_AMP] = ACTIONS(1971),
    [anon_sym_PIPE] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_AMP] = ACTIONS(1971),
    [anon_sym_GT_GT2] = ACTIONS(1971),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_DOT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_x] = ACTIONS(1971),
    [anon_sym_EQ_TILDE] = ACTIONS(2909),
    [anon_sym_BANG_TILDE] = ACTIONS(2909),
    [anon_sym_EQ_EQ] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(2909),
    [anon_sym_eq] = ACTIONS(1971),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2909),
    [anon_sym_equ] = ACTIONS(2909),
    [anon_sym_eqr] = ACTIONS(2909),
    [anon_sym_ne] = ACTIONS(2909),
    [anon_sym_LT_EQ_GT] = ACTIONS(2909),
    [anon_sym_cmp] = ACTIONS(2909),
    [anon_sym_TILDE_TILDE] = ACTIONS(2909),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1971),
    [anon_sym_GT_EQ] = ACTIONS(2909),
    [anon_sym_lt] = ACTIONS(2909),
    [anon_sym_le] = ACTIONS(2909),
    [anon_sym_ge] = ACTIONS(2909),
    [anon_sym_gt] = ACTIONS(2909),
    [anon_sym_isa] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2909),
    [anon_sym_EQ_GT] = ACTIONS(2909),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(2909),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2389] = {
    [sym_heredoc_content] = STATE(2389),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_RPAREN] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2390] = {
    [sym_heredoc_content] = STATE(2390),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_COMMA] = ACTIONS(3134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3134),
    [anon_sym_DASH_GT] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3136),
    [anon_sym_PERCENT] = ACTIONS(3136),
    [anon_sym_GT] = ACTIONS(3136),
    [anon_sym_LT_LT] = ACTIONS(3136),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3134),
    [anon_sym_PLUS_EQ] = ACTIONS(3134),
    [anon_sym_DASH_EQ] = ACTIONS(3134),
    [anon_sym_DOT_EQ] = ACTIONS(3134),
    [anon_sym_STAR_EQ] = ACTIONS(3134),
    [anon_sym_SLASH_EQ] = ACTIONS(3134),
    [anon_sym_PERCENT_EQ] = ACTIONS(3134),
    [anon_sym_x_EQ] = ACTIONS(3134),
    [anon_sym_AMP_EQ] = ACTIONS(3134),
    [anon_sym_PIPE_EQ] = ACTIONS(3134),
    [anon_sym_CARET_EQ] = ACTIONS(3134),
    [anon_sym_LT_LT_EQ] = ACTIONS(3134),
    [anon_sym_GT_GT_EQ] = ACTIONS(3134),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3134),
    [anon_sym_DOT_DOT] = ACTIONS(3136),
    [anon_sym_STAR_STAR] = ACTIONS(3136),
    [anon_sym_PIPE_PIPE] = ACTIONS(3136),
    [anon_sym_SLASH_SLASH] = ACTIONS(3136),
    [anon_sym_CARET_CARET] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3136),
    [anon_sym_PIPE] = ACTIONS(3136),
    [anon_sym_CARET] = ACTIONS(3136),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_GT_GT2] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_DOT] = ACTIONS(3136),
    [anon_sym_SLASH] = ACTIONS(3136),
    [anon_sym_x] = ACTIONS(3136),
    [anon_sym_EQ_TILDE] = ACTIONS(3134),
    [anon_sym_BANG_TILDE] = ACTIONS(3134),
    [anon_sym_EQ_EQ] = ACTIONS(3136),
    [anon_sym_BANG_EQ] = ACTIONS(3134),
    [anon_sym_eq] = ACTIONS(3136),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3134),
    [anon_sym_equ] = ACTIONS(3134),
    [anon_sym_eqr] = ACTIONS(3134),
    [anon_sym_ne] = ACTIONS(3134),
    [anon_sym_LT_EQ_GT] = ACTIONS(3134),
    [anon_sym_cmp] = ACTIONS(3134),
    [anon_sym_TILDE_TILDE] = ACTIONS(3134),
    [anon_sym_LT] = ACTIONS(3136),
    [anon_sym_LT_EQ] = ACTIONS(3136),
    [anon_sym_GT_EQ] = ACTIONS(3134),
    [anon_sym_lt] = ACTIONS(3134),
    [anon_sym_le] = ACTIONS(3134),
    [anon_sym_ge] = ACTIONS(3134),
    [anon_sym_gt] = ACTIONS(3134),
    [anon_sym_isa] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_QMARK] = ACTIONS(3134),
    [anon_sym_EQ_GT] = ACTIONS(3134),
    [sym_comment] = ACTIONS(5),
    [sym__PERLY_SEMICOLON] = ACTIONS(3134),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2391] = {
    [sym_heredoc_content] = STATE(2391),
    [anon_sym_RBRACE] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_RPAREN] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2392] = {
    [sym_heredoc_content] = STATE(2392),
    [anon_sym_COLON] = ACTIONS(3174),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_COMMA] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [anon_sym_EQ_GT] = ACTIONS(3174),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2393] = {
    [sym_heredoc_content] = STATE(2393),
    [anon_sym_COLON] = ACTIONS(2976),
    [anon_sym_EQ] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_COMMA] = ACTIONS(3986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2976),
    [anon_sym_DASH_GT] = ACTIONS(2976),
    [anon_sym_STAR] = ACTIONS(2978),
    [anon_sym_PERCENT] = ACTIONS(2978),
    [anon_sym_GT] = ACTIONS(2978),
    [anon_sym_LT_LT] = ACTIONS(2978),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2976),
    [anon_sym_PLUS_EQ] = ACTIONS(2976),
    [anon_sym_DASH_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2976),
    [anon_sym_STAR_EQ] = ACTIONS(2976),
    [anon_sym_SLASH_EQ] = ACTIONS(2976),
    [anon_sym_PERCENT_EQ] = ACTIONS(2976),
    [anon_sym_x_EQ] = ACTIONS(2976),
    [anon_sym_AMP_EQ] = ACTIONS(2976),
    [anon_sym_PIPE_EQ] = ACTIONS(2976),
    [anon_sym_CARET_EQ] = ACTIONS(2976),
    [anon_sym_LT_LT_EQ] = ACTIONS(2976),
    [anon_sym_GT_GT_EQ] = ACTIONS(2976),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2976),
    [anon_sym_DOT_DOT] = ACTIONS(2978),
    [anon_sym_STAR_STAR] = ACTIONS(2978),
    [anon_sym_PIPE_PIPE] = ACTIONS(2978),
    [anon_sym_SLASH_SLASH] = ACTIONS(2978),
    [anon_sym_CARET_CARET] = ACTIONS(2976),
    [anon_sym_AMP_AMP] = ACTIONS(2978),
    [anon_sym_PIPE] = ACTIONS(2978),
    [anon_sym_CARET] = ACTIONS(2978),
    [anon_sym_AMP] = ACTIONS(2978),
    [anon_sym_GT_GT2] = ACTIONS(2978),
    [anon_sym_PLUS] = ACTIONS(2978),
    [anon_sym_DASH] = ACTIONS(2978),
    [anon_sym_DOT] = ACTIONS(2978),
    [anon_sym_SLASH] = ACTIONS(2978),
    [anon_sym_x] = ACTIONS(2978),
    [anon_sym_EQ_TILDE] = ACTIONS(2976),
    [anon_sym_BANG_TILDE] = ACTIONS(2976),
    [anon_sym_EQ_EQ] = ACTIONS(2978),
    [anon_sym_BANG_EQ] = ACTIONS(2976),
    [anon_sym_eq] = ACTIONS(2978),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2976),
    [anon_sym_equ] = ACTIONS(2976),
    [anon_sym_eqr] = ACTIONS(2976),
    [anon_sym_ne] = ACTIONS(2976),
    [anon_sym_LT_EQ_GT] = ACTIONS(2976),
    [anon_sym_cmp] = ACTIONS(2976),
    [anon_sym_TILDE_TILDE] = ACTIONS(2976),
    [anon_sym_LT] = ACTIONS(2978),
    [anon_sym_LT_EQ] = ACTIONS(2978),
    [anon_sym_GT_EQ] = ACTIONS(2976),
    [anon_sym_lt] = ACTIONS(2976),
    [anon_sym_le] = ACTIONS(2976),
    [anon_sym_ge] = ACTIONS(2976),
    [anon_sym_gt] = ACTIONS(2976),
    [anon_sym_isa] = ACTIONS(2976),
    [anon_sym_PLUS_PLUS] = ACTIONS(2976),
    [anon_sym_DASH_DASH] = ACTIONS(2976),
    [anon_sym_QMARK] = ACTIONS(2976),
    [anon_sym_EQ_GT] = ACTIONS(3986),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2394] = {
    [sym_heredoc_content] = STATE(2394),
    [anon_sym_COLON] = ACTIONS(2618),
    [anon_sym_EQ] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_COMMA] = ACTIONS(2618),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2618),
    [anon_sym_DASH_GT] = ACTIONS(2618),
    [anon_sym_STAR] = ACTIONS(2622),
    [anon_sym_PERCENT] = ACTIONS(2622),
    [anon_sym_GT] = ACTIONS(2622),
    [anon_sym_LT_LT] = ACTIONS(2622),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2618),
    [anon_sym_PLUS_EQ] = ACTIONS(2618),
    [anon_sym_DASH_EQ] = ACTIONS(2618),
    [anon_sym_DOT_EQ] = ACTIONS(2618),
    [anon_sym_STAR_EQ] = ACTIONS(2618),
    [anon_sym_SLASH_EQ] = ACTIONS(2618),
    [anon_sym_PERCENT_EQ] = ACTIONS(2618),
    [anon_sym_x_EQ] = ACTIONS(2618),
    [anon_sym_AMP_EQ] = ACTIONS(2618),
    [anon_sym_PIPE_EQ] = ACTIONS(2618),
    [anon_sym_CARET_EQ] = ACTIONS(2618),
    [anon_sym_LT_LT_EQ] = ACTIONS(2618),
    [anon_sym_GT_GT_EQ] = ACTIONS(2618),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2618),
    [anon_sym_DOT_DOT] = ACTIONS(2622),
    [anon_sym_STAR_STAR] = ACTIONS(2622),
    [anon_sym_PIPE_PIPE] = ACTIONS(2622),
    [anon_sym_SLASH_SLASH] = ACTIONS(2622),
    [anon_sym_CARET_CARET] = ACTIONS(2618),
    [anon_sym_AMP_AMP] = ACTIONS(2622),
    [anon_sym_PIPE] = ACTIONS(2622),
    [anon_sym_CARET] = ACTIONS(2622),
    [anon_sym_AMP] = ACTIONS(2622),
    [anon_sym_GT_GT2] = ACTIONS(2622),
    [anon_sym_PLUS] = ACTIONS(2622),
    [anon_sym_DASH] = ACTIONS(2622),
    [anon_sym_DOT] = ACTIONS(2622),
    [anon_sym_SLASH] = ACTIONS(2622),
    [anon_sym_x] = ACTIONS(2622),
    [anon_sym_EQ_TILDE] = ACTIONS(2618),
    [anon_sym_BANG_TILDE] = ACTIONS(2618),
    [anon_sym_EQ_EQ] = ACTIONS(2622),
    [anon_sym_BANG_EQ] = ACTIONS(2618),
    [anon_sym_eq] = ACTIONS(2622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2618),
    [anon_sym_equ] = ACTIONS(2618),
    [anon_sym_eqr] = ACTIONS(2618),
    [anon_sym_ne] = ACTIONS(2618),
    [anon_sym_LT_EQ_GT] = ACTIONS(2618),
    [anon_sym_cmp] = ACTIONS(2618),
    [anon_sym_TILDE_TILDE] = ACTIONS(2618),
    [anon_sym_LT] = ACTIONS(2622),
    [anon_sym_LT_EQ] = ACTIONS(2622),
    [anon_sym_GT_EQ] = ACTIONS(2618),
    [anon_sym_lt] = ACTIONS(2618),
    [anon_sym_le] = ACTIONS(2618),
    [anon_sym_ge] = ACTIONS(2618),
    [anon_sym_gt] = ACTIONS(2618),
    [anon_sym_isa] = ACTIONS(2618),
    [anon_sym_PLUS_PLUS] = ACTIONS(2618),
    [anon_sym_DASH_DASH] = ACTIONS(2618),
    [anon_sym_QMARK] = ACTIONS(2618),
    [anon_sym_EQ_GT] = ACTIONS(2618),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2395] = {
    [sym_heredoc_content] = STATE(2395),
    [anon_sym_COLON] = ACTIONS(2624),
    [anon_sym_EQ] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_COMMA] = ACTIONS(2624),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2624),
    [anon_sym_DASH_GT] = ACTIONS(2624),
    [anon_sym_STAR] = ACTIONS(2628),
    [anon_sym_PERCENT] = ACTIONS(2628),
    [anon_sym_GT] = ACTIONS(2628),
    [anon_sym_LT_LT] = ACTIONS(2628),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2624),
    [anon_sym_PLUS_EQ] = ACTIONS(2624),
    [anon_sym_DASH_EQ] = ACTIONS(2624),
    [anon_sym_DOT_EQ] = ACTIONS(2624),
    [anon_sym_STAR_EQ] = ACTIONS(2624),
    [anon_sym_SLASH_EQ] = ACTIONS(2624),
    [anon_sym_PERCENT_EQ] = ACTIONS(2624),
    [anon_sym_x_EQ] = ACTIONS(2624),
    [anon_sym_AMP_EQ] = ACTIONS(2624),
    [anon_sym_PIPE_EQ] = ACTIONS(2624),
    [anon_sym_CARET_EQ] = ACTIONS(2624),
    [anon_sym_LT_LT_EQ] = ACTIONS(2624),
    [anon_sym_GT_GT_EQ] = ACTIONS(2624),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2624),
    [anon_sym_DOT_DOT] = ACTIONS(2628),
    [anon_sym_STAR_STAR] = ACTIONS(2628),
    [anon_sym_PIPE_PIPE] = ACTIONS(2628),
    [anon_sym_SLASH_SLASH] = ACTIONS(2628),
    [anon_sym_CARET_CARET] = ACTIONS(2624),
    [anon_sym_AMP_AMP] = ACTIONS(2628),
    [anon_sym_PIPE] = ACTIONS(2628),
    [anon_sym_CARET] = ACTIONS(2628),
    [anon_sym_AMP] = ACTIONS(2628),
    [anon_sym_GT_GT2] = ACTIONS(2628),
    [anon_sym_PLUS] = ACTIONS(2628),
    [anon_sym_DASH] = ACTIONS(2628),
    [anon_sym_DOT] = ACTIONS(2628),
    [anon_sym_SLASH] = ACTIONS(2628),
    [anon_sym_x] = ACTIONS(2628),
    [anon_sym_EQ_TILDE] = ACTIONS(2624),
    [anon_sym_BANG_TILDE] = ACTIONS(2624),
    [anon_sym_EQ_EQ] = ACTIONS(2628),
    [anon_sym_BANG_EQ] = ACTIONS(2624),
    [anon_sym_eq] = ACTIONS(2628),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2624),
    [anon_sym_equ] = ACTIONS(2624),
    [anon_sym_eqr] = ACTIONS(2624),
    [anon_sym_ne] = ACTIONS(2624),
    [anon_sym_LT_EQ_GT] = ACTIONS(2624),
    [anon_sym_cmp] = ACTIONS(2624),
    [anon_sym_TILDE_TILDE] = ACTIONS(2624),
    [anon_sym_LT] = ACTIONS(2628),
    [anon_sym_LT_EQ] = ACTIONS(2628),
    [anon_sym_GT_EQ] = ACTIONS(2624),
    [anon_sym_lt] = ACTIONS(2624),
    [anon_sym_le] = ACTIONS(2624),
    [anon_sym_ge] = ACTIONS(2624),
    [anon_sym_gt] = ACTIONS(2624),
    [anon_sym_isa] = ACTIONS(2624),
    [anon_sym_PLUS_PLUS] = ACTIONS(2624),
    [anon_sym_DASH_DASH] = ACTIONS(2624),
    [anon_sym_QMARK] = ACTIONS(2624),
    [anon_sym_EQ_GT] = ACTIONS(2624),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2396] = {
    [sym_heredoc_content] = STATE(2396),
    [anon_sym_COLON] = ACTIONS(2873),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_COMMA] = ACTIONS(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [anon_sym_EQ_GT] = ACTIONS(2873),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2397] = {
    [sym_heredoc_content] = STATE(2397),
    [anon_sym_COLON] = ACTIONS(2672),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_COMMA] = ACTIONS(2672),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [anon_sym_EQ_GT] = ACTIONS(2672),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2398] = {
    [sym_heredoc_content] = STATE(2398),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3988),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(3990),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2399] = {
    [sym_heredoc_content] = STATE(2399),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2400] = {
    [sym_heredoc_content] = STATE(2400),
    [anon_sym_COLON] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(2895),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_LT_EQ] = ACTIONS(2895),
    [anon_sym_GT_EQ] = ACTIONS(2893),
    [anon_sym_lt] = ACTIONS(2893),
    [anon_sym_le] = ACTIONS(2893),
    [anon_sym_ge] = ACTIONS(2893),
    [anon_sym_gt] = ACTIONS(2893),
    [anon_sym_isa] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2401] = {
    [sym_heredoc_content] = STATE(2401),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2402] = {
    [sym_heredoc_content] = STATE(2402),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2403] = {
    [sym_heredoc_content] = STATE(2403),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2404] = {
    [sym_heredoc_content] = STATE(2404),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2405] = {
    [sym_heredoc_content] = STATE(2405),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2406] = {
    [sym_heredoc_content] = STATE(2406),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2407] = {
    [sym_heredoc_content] = STATE(2407),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2408] = {
    [sym_heredoc_content] = STATE(2408),
    [anon_sym_COLON] = ACTIONS(2833),
    [anon_sym_EQ] = ACTIONS(2835),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_COMMA] = ACTIONS(2833),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2833),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_PERCENT] = ACTIONS(2835),
    [anon_sym_GT] = ACTIONS(2835),
    [anon_sym_LT_LT] = ACTIONS(2835),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2833),
    [anon_sym_PLUS_EQ] = ACTIONS(2833),
    [anon_sym_DASH_EQ] = ACTIONS(2833),
    [anon_sym_DOT_EQ] = ACTIONS(2833),
    [anon_sym_STAR_EQ] = ACTIONS(2833),
    [anon_sym_SLASH_EQ] = ACTIONS(2833),
    [anon_sym_PERCENT_EQ] = ACTIONS(2833),
    [anon_sym_x_EQ] = ACTIONS(2833),
    [anon_sym_AMP_EQ] = ACTIONS(2833),
    [anon_sym_PIPE_EQ] = ACTIONS(2833),
    [anon_sym_CARET_EQ] = ACTIONS(2833),
    [anon_sym_LT_LT_EQ] = ACTIONS(2833),
    [anon_sym_GT_GT_EQ] = ACTIONS(2833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2833),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2835),
    [anon_sym_SLASH_SLASH] = ACTIONS(2835),
    [anon_sym_CARET_CARET] = ACTIONS(2833),
    [anon_sym_AMP_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_CARET] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_GT_GT2] = ACTIONS(2835),
    [anon_sym_PLUS] = ACTIONS(2835),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_DOT] = ACTIONS(2835),
    [anon_sym_SLASH] = ACTIONS(2835),
    [anon_sym_x] = ACTIONS(2835),
    [anon_sym_EQ_TILDE] = ACTIONS(2833),
    [anon_sym_BANG_TILDE] = ACTIONS(2833),
    [anon_sym_EQ_EQ] = ACTIONS(2835),
    [anon_sym_BANG_EQ] = ACTIONS(2833),
    [anon_sym_eq] = ACTIONS(2835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2833),
    [anon_sym_equ] = ACTIONS(2833),
    [anon_sym_eqr] = ACTIONS(2833),
    [anon_sym_ne] = ACTIONS(2833),
    [anon_sym_LT_EQ_GT] = ACTIONS(2833),
    [anon_sym_cmp] = ACTIONS(2833),
    [anon_sym_TILDE_TILDE] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_LT_EQ] = ACTIONS(2835),
    [anon_sym_GT_EQ] = ACTIONS(2833),
    [anon_sym_lt] = ACTIONS(2833),
    [anon_sym_le] = ACTIONS(2833),
    [anon_sym_ge] = ACTIONS(2833),
    [anon_sym_gt] = ACTIONS(2833),
    [anon_sym_isa] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2833),
    [anon_sym_EQ_GT] = ACTIONS(2833),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2409] = {
    [sym_heredoc_content] = STATE(2409),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(2899),
    [anon_sym_BANG_EQ] = ACTIONS(2897),
    [anon_sym_eq] = ACTIONS(2899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2897),
    [anon_sym_equ] = ACTIONS(2897),
    [anon_sym_eqr] = ACTIONS(2897),
    [anon_sym_ne] = ACTIONS(2897),
    [anon_sym_LT_EQ_GT] = ACTIONS(2897),
    [anon_sym_cmp] = ACTIONS(2897),
    [anon_sym_TILDE_TILDE] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2410] = {
    [sym_heredoc_content] = STATE(2410),
    [anon_sym_COLON] = ACTIONS(2897),
    [anon_sym_EQ] = ACTIONS(2899),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_COMMA] = ACTIONS(2897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2897),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2897),
    [anon_sym_PLUS_EQ] = ACTIONS(2897),
    [anon_sym_DASH_EQ] = ACTIONS(2897),
    [anon_sym_DOT_EQ] = ACTIONS(2897),
    [anon_sym_STAR_EQ] = ACTIONS(2897),
    [anon_sym_SLASH_EQ] = ACTIONS(2897),
    [anon_sym_PERCENT_EQ] = ACTIONS(2897),
    [anon_sym_x_EQ] = ACTIONS(2897),
    [anon_sym_AMP_EQ] = ACTIONS(2897),
    [anon_sym_PIPE_EQ] = ACTIONS(2897),
    [anon_sym_CARET_EQ] = ACTIONS(2897),
    [anon_sym_LT_LT_EQ] = ACTIONS(2897),
    [anon_sym_GT_GT_EQ] = ACTIONS(2897),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2897),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2899),
    [anon_sym_SLASH_SLASH] = ACTIONS(2899),
    [anon_sym_CARET_CARET] = ACTIONS(2897),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_CARET] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3992),
    [anon_sym_cmp] = ACTIONS(3992),
    [anon_sym_TILDE_TILDE] = ACTIONS(3992),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2897),
    [anon_sym_EQ_GT] = ACTIONS(2897),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2411] = {
    [sym_heredoc_content] = STATE(2411),
    [anon_sym_COLON] = ACTIONS(2893),
    [anon_sym_EQ] = ACTIONS(2895),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_COMMA] = ACTIONS(2893),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2893),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2893),
    [anon_sym_PLUS_EQ] = ACTIONS(2893),
    [anon_sym_DASH_EQ] = ACTIONS(2893),
    [anon_sym_DOT_EQ] = ACTIONS(2893),
    [anon_sym_STAR_EQ] = ACTIONS(2893),
    [anon_sym_SLASH_EQ] = ACTIONS(2893),
    [anon_sym_PERCENT_EQ] = ACTIONS(2893),
    [anon_sym_x_EQ] = ACTIONS(2893),
    [anon_sym_AMP_EQ] = ACTIONS(2893),
    [anon_sym_PIPE_EQ] = ACTIONS(2893),
    [anon_sym_CARET_EQ] = ACTIONS(2893),
    [anon_sym_LT_LT_EQ] = ACTIONS(2893),
    [anon_sym_GT_GT_EQ] = ACTIONS(2893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2893),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2895),
    [anon_sym_SLASH_SLASH] = ACTIONS(2895),
    [anon_sym_CARET_CARET] = ACTIONS(2893),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_CARET] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(2895),
    [anon_sym_BANG_EQ] = ACTIONS(2893),
    [anon_sym_eq] = ACTIONS(2895),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2893),
    [anon_sym_equ] = ACTIONS(2893),
    [anon_sym_eqr] = ACTIONS(2893),
    [anon_sym_ne] = ACTIONS(2893),
    [anon_sym_LT_EQ_GT] = ACTIONS(2893),
    [anon_sym_cmp] = ACTIONS(2893),
    [anon_sym_TILDE_TILDE] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3994),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2893),
    [anon_sym_EQ_GT] = ACTIONS(2893),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2412] = {
    [sym_heredoc_content] = STATE(2412),
    [anon_sym_COLON] = ACTIONS(3274),
    [anon_sym_EQ] = ACTIONS(3276),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_COMMA] = ACTIONS(3274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3274),
    [anon_sym_PLUS_EQ] = ACTIONS(3274),
    [anon_sym_DASH_EQ] = ACTIONS(3274),
    [anon_sym_DOT_EQ] = ACTIONS(3274),
    [anon_sym_STAR_EQ] = ACTIONS(3274),
    [anon_sym_SLASH_EQ] = ACTIONS(3274),
    [anon_sym_PERCENT_EQ] = ACTIONS(3274),
    [anon_sym_x_EQ] = ACTIONS(3274),
    [anon_sym_AMP_EQ] = ACTIONS(3274),
    [anon_sym_PIPE_EQ] = ACTIONS(3274),
    [anon_sym_CARET_EQ] = ACTIONS(3274),
    [anon_sym_LT_LT_EQ] = ACTIONS(3274),
    [anon_sym_GT_GT_EQ] = ACTIONS(3274),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3274),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [anon_sym_EQ_GT] = ACTIONS(3274),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2413] = {
    [sym_heredoc_content] = STATE(2413),
    [anon_sym_COLON] = ACTIONS(3030),
    [anon_sym_EQ] = ACTIONS(3032),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_COMMA] = ACTIONS(3030),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3030),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3032),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3030),
    [anon_sym_PLUS_EQ] = ACTIONS(3030),
    [anon_sym_DASH_EQ] = ACTIONS(3030),
    [anon_sym_DOT_EQ] = ACTIONS(3030),
    [anon_sym_STAR_EQ] = ACTIONS(3030),
    [anon_sym_SLASH_EQ] = ACTIONS(3030),
    [anon_sym_PERCENT_EQ] = ACTIONS(3030),
    [anon_sym_x_EQ] = ACTIONS(3030),
    [anon_sym_AMP_EQ] = ACTIONS(3030),
    [anon_sym_PIPE_EQ] = ACTIONS(3030),
    [anon_sym_CARET_EQ] = ACTIONS(3030),
    [anon_sym_LT_LT_EQ] = ACTIONS(3030),
    [anon_sym_GT_GT_EQ] = ACTIONS(3030),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3030),
    [anon_sym_DOT_DOT] = ACTIONS(3032),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3032),
    [anon_sym_SLASH_SLASH] = ACTIONS(3032),
    [anon_sym_CARET_CARET] = ACTIONS(3030),
    [anon_sym_AMP_AMP] = ACTIONS(3032),
    [anon_sym_PIPE] = ACTIONS(3032),
    [anon_sym_CARET] = ACTIONS(3032),
    [anon_sym_AMP] = ACTIONS(3032),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3032),
    [anon_sym_BANG_EQ] = ACTIONS(3030),
    [anon_sym_eq] = ACTIONS(3032),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3030),
    [anon_sym_equ] = ACTIONS(3030),
    [anon_sym_eqr] = ACTIONS(3030),
    [anon_sym_ne] = ACTIONS(3030),
    [anon_sym_LT_EQ_GT] = ACTIONS(3030),
    [anon_sym_cmp] = ACTIONS(3030),
    [anon_sym_TILDE_TILDE] = ACTIONS(3030),
    [anon_sym_LT] = ACTIONS(3032),
    [anon_sym_LT_EQ] = ACTIONS(3032),
    [anon_sym_GT_EQ] = ACTIONS(3030),
    [anon_sym_lt] = ACTIONS(3030),
    [anon_sym_le] = ACTIONS(3030),
    [anon_sym_ge] = ACTIONS(3030),
    [anon_sym_gt] = ACTIONS(3030),
    [anon_sym_isa] = ACTIONS(3030),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3030),
    [anon_sym_EQ_GT] = ACTIONS(3030),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2414] = {
    [sym_heredoc_content] = STATE(2414),
    [anon_sym_COLON] = ACTIONS(2947),
    [anon_sym_EQ] = ACTIONS(2949),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_COMMA] = ACTIONS(2947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2947),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2949),
    [anon_sym_PERCENT] = ACTIONS(2949),
    [anon_sym_GT] = ACTIONS(2949),
    [anon_sym_LT_LT] = ACTIONS(2949),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2947),
    [anon_sym_PLUS_EQ] = ACTIONS(2947),
    [anon_sym_DASH_EQ] = ACTIONS(2947),
    [anon_sym_DOT_EQ] = ACTIONS(2947),
    [anon_sym_STAR_EQ] = ACTIONS(2947),
    [anon_sym_SLASH_EQ] = ACTIONS(2947),
    [anon_sym_PERCENT_EQ] = ACTIONS(2947),
    [anon_sym_x_EQ] = ACTIONS(2947),
    [anon_sym_AMP_EQ] = ACTIONS(2947),
    [anon_sym_PIPE_EQ] = ACTIONS(2947),
    [anon_sym_CARET_EQ] = ACTIONS(2947),
    [anon_sym_LT_LT_EQ] = ACTIONS(2947),
    [anon_sym_GT_GT_EQ] = ACTIONS(2947),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2947),
    [anon_sym_DOT_DOT] = ACTIONS(2949),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2949),
    [anon_sym_SLASH_SLASH] = ACTIONS(2949),
    [anon_sym_CARET_CARET] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2949),
    [anon_sym_PIPE] = ACTIONS(2949),
    [anon_sym_CARET] = ACTIONS(2949),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_GT_GT2] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_DOT] = ACTIONS(2949),
    [anon_sym_SLASH] = ACTIONS(2949),
    [anon_sym_x] = ACTIONS(2949),
    [anon_sym_EQ_TILDE] = ACTIONS(2947),
    [anon_sym_BANG_TILDE] = ACTIONS(2947),
    [anon_sym_EQ_EQ] = ACTIONS(2949),
    [anon_sym_BANG_EQ] = ACTIONS(2947),
    [anon_sym_eq] = ACTIONS(2949),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2947),
    [anon_sym_equ] = ACTIONS(2947),
    [anon_sym_eqr] = ACTIONS(2947),
    [anon_sym_ne] = ACTIONS(2947),
    [anon_sym_LT_EQ_GT] = ACTIONS(2947),
    [anon_sym_cmp] = ACTIONS(2947),
    [anon_sym_TILDE_TILDE] = ACTIONS(2947),
    [anon_sym_LT] = ACTIONS(2949),
    [anon_sym_LT_EQ] = ACTIONS(2949),
    [anon_sym_GT_EQ] = ACTIONS(2947),
    [anon_sym_lt] = ACTIONS(2947),
    [anon_sym_le] = ACTIONS(2947),
    [anon_sym_ge] = ACTIONS(2947),
    [anon_sym_gt] = ACTIONS(2947),
    [anon_sym_isa] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2947),
    [anon_sym_EQ_GT] = ACTIONS(2947),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2415] = {
    [sym_heredoc_content] = STATE(2415),
    [anon_sym_COLON] = ACTIONS(2648),
    [anon_sym_EQ] = ACTIONS(2650),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_COMMA] = ACTIONS(2648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2648),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(2650),
    [anon_sym_PERCENT] = ACTIONS(2650),
    [anon_sym_GT] = ACTIONS(2650),
    [anon_sym_LT_LT] = ACTIONS(2650),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(2648),
    [anon_sym_PLUS_EQ] = ACTIONS(2648),
    [anon_sym_DASH_EQ] = ACTIONS(2648),
    [anon_sym_DOT_EQ] = ACTIONS(2648),
    [anon_sym_STAR_EQ] = ACTIONS(2648),
    [anon_sym_SLASH_EQ] = ACTIONS(2648),
    [anon_sym_PERCENT_EQ] = ACTIONS(2648),
    [anon_sym_x_EQ] = ACTIONS(2648),
    [anon_sym_AMP_EQ] = ACTIONS(2648),
    [anon_sym_PIPE_EQ] = ACTIONS(2648),
    [anon_sym_CARET_EQ] = ACTIONS(2648),
    [anon_sym_LT_LT_EQ] = ACTIONS(2648),
    [anon_sym_GT_GT_EQ] = ACTIONS(2648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(2648),
    [anon_sym_DOT_DOT] = ACTIONS(2650),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(2650),
    [anon_sym_SLASH_SLASH] = ACTIONS(2650),
    [anon_sym_CARET_CARET] = ACTIONS(2648),
    [anon_sym_AMP_AMP] = ACTIONS(2650),
    [anon_sym_PIPE] = ACTIONS(2650),
    [anon_sym_CARET] = ACTIONS(2650),
    [anon_sym_AMP] = ACTIONS(2650),
    [anon_sym_GT_GT2] = ACTIONS(2650),
    [anon_sym_PLUS] = ACTIONS(2650),
    [anon_sym_DASH] = ACTIONS(2650),
    [anon_sym_DOT] = ACTIONS(2650),
    [anon_sym_SLASH] = ACTIONS(2650),
    [anon_sym_x] = ACTIONS(2650),
    [anon_sym_EQ_TILDE] = ACTIONS(2648),
    [anon_sym_BANG_TILDE] = ACTIONS(2648),
    [anon_sym_EQ_EQ] = ACTIONS(2650),
    [anon_sym_BANG_EQ] = ACTIONS(2648),
    [anon_sym_eq] = ACTIONS(2650),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(2648),
    [anon_sym_equ] = ACTIONS(2648),
    [anon_sym_eqr] = ACTIONS(2648),
    [anon_sym_ne] = ACTIONS(2648),
    [anon_sym_LT_EQ_GT] = ACTIONS(2648),
    [anon_sym_cmp] = ACTIONS(2648),
    [anon_sym_TILDE_TILDE] = ACTIONS(2648),
    [anon_sym_LT] = ACTIONS(2650),
    [anon_sym_LT_EQ] = ACTIONS(2650),
    [anon_sym_GT_EQ] = ACTIONS(2648),
    [anon_sym_lt] = ACTIONS(2648),
    [anon_sym_le] = ACTIONS(2648),
    [anon_sym_ge] = ACTIONS(2648),
    [anon_sym_gt] = ACTIONS(2648),
    [anon_sym_isa] = ACTIONS(2648),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(2648),
    [anon_sym_EQ_GT] = ACTIONS(2648),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2416] = {
    [sym_heredoc_content] = STATE(2416),
    [anon_sym_COLON] = ACTIONS(3004),
    [anon_sym_EQ] = ACTIONS(3006),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_COMMA] = ACTIONS(3004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3004),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3006),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3004),
    [anon_sym_PLUS_EQ] = ACTIONS(3004),
    [anon_sym_DASH_EQ] = ACTIONS(3004),
    [anon_sym_DOT_EQ] = ACTIONS(3004),
    [anon_sym_STAR_EQ] = ACTIONS(3004),
    [anon_sym_SLASH_EQ] = ACTIONS(3004),
    [anon_sym_PERCENT_EQ] = ACTIONS(3004),
    [anon_sym_x_EQ] = ACTIONS(3004),
    [anon_sym_AMP_EQ] = ACTIONS(3004),
    [anon_sym_PIPE_EQ] = ACTIONS(3004),
    [anon_sym_CARET_EQ] = ACTIONS(3004),
    [anon_sym_LT_LT_EQ] = ACTIONS(3004),
    [anon_sym_GT_GT_EQ] = ACTIONS(3004),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3004),
    [anon_sym_DOT_DOT] = ACTIONS(3006),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3006),
    [anon_sym_SLASH_SLASH] = ACTIONS(3006),
    [anon_sym_CARET_CARET] = ACTIONS(3004),
    [anon_sym_AMP_AMP] = ACTIONS(3006),
    [anon_sym_PIPE] = ACTIONS(3006),
    [anon_sym_CARET] = ACTIONS(3006),
    [anon_sym_AMP] = ACTIONS(3006),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3006),
    [anon_sym_BANG_EQ] = ACTIONS(3004),
    [anon_sym_eq] = ACTIONS(3006),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3004),
    [anon_sym_equ] = ACTIONS(3004),
    [anon_sym_eqr] = ACTIONS(3004),
    [anon_sym_ne] = ACTIONS(3004),
    [anon_sym_LT_EQ_GT] = ACTIONS(3004),
    [anon_sym_cmp] = ACTIONS(3004),
    [anon_sym_TILDE_TILDE] = ACTIONS(3004),
    [anon_sym_LT] = ACTIONS(3006),
    [anon_sym_LT_EQ] = ACTIONS(3006),
    [anon_sym_GT_EQ] = ACTIONS(3004),
    [anon_sym_lt] = ACTIONS(3004),
    [anon_sym_le] = ACTIONS(3004),
    [anon_sym_ge] = ACTIONS(3004),
    [anon_sym_gt] = ACTIONS(3004),
    [anon_sym_isa] = ACTIONS(3004),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3004),
    [anon_sym_EQ_GT] = ACTIONS(3004),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2417] = {
    [sym_heredoc_content] = STATE(2417),
    [anon_sym_COLON] = ACTIONS(3016),
    [anon_sym_EQ] = ACTIONS(3018),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_COMMA] = ACTIONS(3016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3016),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3018),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3016),
    [anon_sym_PLUS_EQ] = ACTIONS(3016),
    [anon_sym_DASH_EQ] = ACTIONS(3016),
    [anon_sym_DOT_EQ] = ACTIONS(3016),
    [anon_sym_STAR_EQ] = ACTIONS(3016),
    [anon_sym_SLASH_EQ] = ACTIONS(3016),
    [anon_sym_PERCENT_EQ] = ACTIONS(3016),
    [anon_sym_x_EQ] = ACTIONS(3016),
    [anon_sym_AMP_EQ] = ACTIONS(3016),
    [anon_sym_PIPE_EQ] = ACTIONS(3016),
    [anon_sym_CARET_EQ] = ACTIONS(3016),
    [anon_sym_LT_LT_EQ] = ACTIONS(3016),
    [anon_sym_GT_GT_EQ] = ACTIONS(3016),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3016),
    [anon_sym_DOT_DOT] = ACTIONS(3018),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3018),
    [anon_sym_SLASH_SLASH] = ACTIONS(3018),
    [anon_sym_CARET_CARET] = ACTIONS(3016),
    [anon_sym_AMP_AMP] = ACTIONS(3018),
    [anon_sym_PIPE] = ACTIONS(3018),
    [anon_sym_CARET] = ACTIONS(3018),
    [anon_sym_AMP] = ACTIONS(3018),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3018),
    [anon_sym_BANG_EQ] = ACTIONS(3016),
    [anon_sym_eq] = ACTIONS(3018),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3016),
    [anon_sym_equ] = ACTIONS(3016),
    [anon_sym_eqr] = ACTIONS(3016),
    [anon_sym_ne] = ACTIONS(3016),
    [anon_sym_LT_EQ_GT] = ACTIONS(3016),
    [anon_sym_cmp] = ACTIONS(3016),
    [anon_sym_TILDE_TILDE] = ACTIONS(3016),
    [anon_sym_LT] = ACTIONS(3018),
    [anon_sym_LT_EQ] = ACTIONS(3018),
    [anon_sym_GT_EQ] = ACTIONS(3016),
    [anon_sym_lt] = ACTIONS(3016),
    [anon_sym_le] = ACTIONS(3016),
    [anon_sym_ge] = ACTIONS(3016),
    [anon_sym_gt] = ACTIONS(3016),
    [anon_sym_isa] = ACTIONS(3016),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3016),
    [anon_sym_EQ_GT] = ACTIONS(3016),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2418] = {
    [sym_heredoc_content] = STATE(2418),
    [anon_sym_COLON] = ACTIONS(3086),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_COMMA] = ACTIONS(3086),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [anon_sym_EQ_GT] = ACTIONS(3086),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2419] = {
    [sym_heredoc_content] = STATE(2419),
    [anon_sym_COLON] = ACTIONS(3090),
    [anon_sym_EQ] = ACTIONS(3092),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_COMMA] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3090),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3092),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3090),
    [anon_sym_PLUS_EQ] = ACTIONS(3090),
    [anon_sym_DASH_EQ] = ACTIONS(3090),
    [anon_sym_DOT_EQ] = ACTIONS(3090),
    [anon_sym_STAR_EQ] = ACTIONS(3090),
    [anon_sym_SLASH_EQ] = ACTIONS(3090),
    [anon_sym_PERCENT_EQ] = ACTIONS(3090),
    [anon_sym_x_EQ] = ACTIONS(3090),
    [anon_sym_AMP_EQ] = ACTIONS(3090),
    [anon_sym_PIPE_EQ] = ACTIONS(3090),
    [anon_sym_CARET_EQ] = ACTIONS(3090),
    [anon_sym_LT_LT_EQ] = ACTIONS(3090),
    [anon_sym_GT_GT_EQ] = ACTIONS(3090),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT] = ACTIONS(3092),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3092),
    [anon_sym_SLASH_SLASH] = ACTIONS(3092),
    [anon_sym_CARET_CARET] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3092),
    [anon_sym_PIPE] = ACTIONS(3092),
    [anon_sym_CARET] = ACTIONS(3092),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3092),
    [anon_sym_BANG_EQ] = ACTIONS(3090),
    [anon_sym_eq] = ACTIONS(3092),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3090),
    [anon_sym_equ] = ACTIONS(3090),
    [anon_sym_eqr] = ACTIONS(3090),
    [anon_sym_ne] = ACTIONS(3090),
    [anon_sym_LT_EQ_GT] = ACTIONS(3090),
    [anon_sym_cmp] = ACTIONS(3090),
    [anon_sym_TILDE_TILDE] = ACTIONS(3090),
    [anon_sym_LT] = ACTIONS(3092),
    [anon_sym_LT_EQ] = ACTIONS(3092),
    [anon_sym_GT_EQ] = ACTIONS(3090),
    [anon_sym_lt] = ACTIONS(3090),
    [anon_sym_le] = ACTIONS(3090),
    [anon_sym_ge] = ACTIONS(3090),
    [anon_sym_gt] = ACTIONS(3090),
    [anon_sym_isa] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3090),
    [anon_sym_EQ_GT] = ACTIONS(3090),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2420] = {
    [sym_heredoc_content] = STATE(2420),
    [anon_sym_COLON] = ACTIONS(3158),
    [anon_sym_EQ] = ACTIONS(3160),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_COMMA] = ACTIONS(3158),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3158),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3160),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3158),
    [anon_sym_PLUS_EQ] = ACTIONS(3158),
    [anon_sym_DASH_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3158),
    [anon_sym_STAR_EQ] = ACTIONS(3158),
    [anon_sym_SLASH_EQ] = ACTIONS(3158),
    [anon_sym_PERCENT_EQ] = ACTIONS(3158),
    [anon_sym_x_EQ] = ACTIONS(3158),
    [anon_sym_AMP_EQ] = ACTIONS(3158),
    [anon_sym_PIPE_EQ] = ACTIONS(3158),
    [anon_sym_CARET_EQ] = ACTIONS(3158),
    [anon_sym_LT_LT_EQ] = ACTIONS(3158),
    [anon_sym_GT_GT_EQ] = ACTIONS(3158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3158),
    [anon_sym_DOT_DOT] = ACTIONS(3160),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3160),
    [anon_sym_SLASH_SLASH] = ACTIONS(3160),
    [anon_sym_CARET_CARET] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3160),
    [anon_sym_PIPE] = ACTIONS(3160),
    [anon_sym_CARET] = ACTIONS(3160),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3160),
    [anon_sym_BANG_EQ] = ACTIONS(3158),
    [anon_sym_eq] = ACTIONS(3160),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3158),
    [anon_sym_equ] = ACTIONS(3158),
    [anon_sym_eqr] = ACTIONS(3158),
    [anon_sym_ne] = ACTIONS(3158),
    [anon_sym_LT_EQ_GT] = ACTIONS(3158),
    [anon_sym_cmp] = ACTIONS(3158),
    [anon_sym_TILDE_TILDE] = ACTIONS(3158),
    [anon_sym_LT] = ACTIONS(3160),
    [anon_sym_LT_EQ] = ACTIONS(3160),
    [anon_sym_GT_EQ] = ACTIONS(3158),
    [anon_sym_lt] = ACTIONS(3158),
    [anon_sym_le] = ACTIONS(3158),
    [anon_sym_ge] = ACTIONS(3158),
    [anon_sym_gt] = ACTIONS(3158),
    [anon_sym_isa] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3158),
    [anon_sym_EQ_GT] = ACTIONS(3158),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2421] = {
    [sym_heredoc_content] = STATE(2421),
    [anon_sym_COLON] = ACTIONS(3210),
    [anon_sym_EQ] = ACTIONS(3212),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3210),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3212),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3210),
    [anon_sym_PLUS_EQ] = ACTIONS(3210),
    [anon_sym_DASH_EQ] = ACTIONS(3210),
    [anon_sym_DOT_EQ] = ACTIONS(3210),
    [anon_sym_STAR_EQ] = ACTIONS(3210),
    [anon_sym_SLASH_EQ] = ACTIONS(3210),
    [anon_sym_PERCENT_EQ] = ACTIONS(3210),
    [anon_sym_x_EQ] = ACTIONS(3210),
    [anon_sym_AMP_EQ] = ACTIONS(3210),
    [anon_sym_PIPE_EQ] = ACTIONS(3210),
    [anon_sym_CARET_EQ] = ACTIONS(3210),
    [anon_sym_LT_LT_EQ] = ACTIONS(3210),
    [anon_sym_GT_GT_EQ] = ACTIONS(3210),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3210),
    [anon_sym_DOT_DOT] = ACTIONS(3212),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3212),
    [anon_sym_SLASH_SLASH] = ACTIONS(3212),
    [anon_sym_CARET_CARET] = ACTIONS(3210),
    [anon_sym_AMP_AMP] = ACTIONS(3212),
    [anon_sym_PIPE] = ACTIONS(3212),
    [anon_sym_CARET] = ACTIONS(3212),
    [anon_sym_AMP] = ACTIONS(3212),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3212),
    [anon_sym_BANG_EQ] = ACTIONS(3210),
    [anon_sym_eq] = ACTIONS(3212),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3210),
    [anon_sym_equ] = ACTIONS(3210),
    [anon_sym_eqr] = ACTIONS(3210),
    [anon_sym_ne] = ACTIONS(3210),
    [anon_sym_LT_EQ_GT] = ACTIONS(3210),
    [anon_sym_cmp] = ACTIONS(3210),
    [anon_sym_TILDE_TILDE] = ACTIONS(3210),
    [anon_sym_LT] = ACTIONS(3212),
    [anon_sym_LT_EQ] = ACTIONS(3212),
    [anon_sym_GT_EQ] = ACTIONS(3210),
    [anon_sym_lt] = ACTIONS(3210),
    [anon_sym_le] = ACTIONS(3210),
    [anon_sym_ge] = ACTIONS(3210),
    [anon_sym_gt] = ACTIONS(3210),
    [anon_sym_isa] = ACTIONS(3210),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3210),
    [anon_sym_EQ_GT] = ACTIONS(3210),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2422] = {
    [sym_heredoc_content] = STATE(2422),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3996),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(3996),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2423] = {
    [sym_heredoc_content] = STATE(2423),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3998),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(3998),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2424] = {
    [sym_heredoc_content] = STATE(2424),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4000),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4000),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2425] = {
    [sym_heredoc_content] = STATE(2425),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4002),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4002),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2426] = {
    [sym_heredoc_content] = STATE(2426),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4004),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4004),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2427] = {
    [sym_heredoc_content] = STATE(2427),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4006),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4006),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2428] = {
    [sym_heredoc_content] = STATE(2428),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4008),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4008),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2429] = {
    [sym_heredoc_content] = STATE(2429),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4010),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2430] = {
    [sym_heredoc_content] = STATE(2430),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4012),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2431] = {
    [sym_heredoc_content] = STATE(2431),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3210),
    [anon_sym_RPAREN] = ACTIONS(3210),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2432] = {
    [sym_heredoc_content] = STATE(2432),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4014),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2433] = {
    [sym_heredoc_content] = STATE(2433),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4016),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4016),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2434] = {
    [sym_heredoc_content] = STATE(2434),
    [anon_sym_EQ] = ACTIONS(3855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(4018),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3861),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3865),
    [anon_sym_PERCENT] = ACTIONS(3865),
    [anon_sym_GT] = ACTIONS(3867),
    [anon_sym_LT_LT] = ACTIONS(3869),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_DOT_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_x_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT] = ACTIONS(3871),
    [anon_sym_STAR_STAR] = ACTIONS(3873),
    [anon_sym_PIPE_PIPE] = ACTIONS(3875),
    [anon_sym_SLASH_SLASH] = ACTIONS(3875),
    [anon_sym_CARET_CARET] = ACTIONS(3877),
    [anon_sym_AMP_AMP] = ACTIONS(3879),
    [anon_sym_PIPE] = ACTIONS(3881),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_AMP] = ACTIONS(3883),
    [anon_sym_GT_GT2] = ACTIONS(3869),
    [anon_sym_PLUS] = ACTIONS(3885),
    [anon_sym_DASH] = ACTIONS(3885),
    [anon_sym_DOT] = ACTIONS(3885),
    [anon_sym_SLASH] = ACTIONS(3865),
    [anon_sym_x] = ACTIONS(3865),
    [anon_sym_EQ_TILDE] = ACTIONS(3887),
    [anon_sym_BANG_TILDE] = ACTIONS(3887),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3891),
    [anon_sym_eq] = ACTIONS(3889),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3891),
    [anon_sym_equ] = ACTIONS(3891),
    [anon_sym_eqr] = ACTIONS(3891),
    [anon_sym_ne] = ACTIONS(3891),
    [anon_sym_LT_EQ_GT] = ACTIONS(3893),
    [anon_sym_cmp] = ACTIONS(3893),
    [anon_sym_TILDE_TILDE] = ACTIONS(3893),
    [anon_sym_LT] = ACTIONS(3867),
    [anon_sym_LT_EQ] = ACTIONS(3867),
    [anon_sym_GT_EQ] = ACTIONS(3895),
    [anon_sym_lt] = ACTIONS(3895),
    [anon_sym_le] = ACTIONS(3895),
    [anon_sym_ge] = ACTIONS(3895),
    [anon_sym_gt] = ACTIONS(3895),
    [anon_sym_isa] = ACTIONS(3897),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3901),
    [anon_sym_EQ_GT] = ACTIONS(4018),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2435] = {
    [sym_heredoc_content] = STATE(2435),
    [anon_sym_COLON] = ACTIONS(4020),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2436] = {
    [sym_heredoc_content] = STATE(2436),
    [anon_sym_COLON] = ACTIONS(4022),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2437] = {
    [sym_heredoc_content] = STATE(2437),
    [anon_sym_COLON] = ACTIONS(4024),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2438] = {
    [sym_heredoc_content] = STATE(2438),
    [anon_sym_COLON] = ACTIONS(4026),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2439] = {
    [sym_heredoc_content] = STATE(2439),
    [anon_sym_COLON] = ACTIONS(4028),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2440] = {
    [sym_heredoc_content] = STATE(2440),
    [anon_sym_COLON] = ACTIONS(4030),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
  [2441] = {
    [sym_heredoc_content] = STATE(2441),
    [anon_sym_COLON] = ACTIONS(4032),
    [anon_sym_EQ] = ACTIONS(3944),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3948),
    [anon_sym_DASH_GT] = ACTIONS(3863),
    [anon_sym_STAR] = ACTIONS(3950),
    [anon_sym_PERCENT] = ACTIONS(3950),
    [anon_sym_GT] = ACTIONS(3952),
    [anon_sym_LT_LT] = ACTIONS(3954),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(3946),
    [anon_sym_PLUS_EQ] = ACTIONS(3946),
    [anon_sym_DASH_EQ] = ACTIONS(3946),
    [anon_sym_DOT_EQ] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3946),
    [anon_sym_SLASH_EQ] = ACTIONS(3946),
    [anon_sym_PERCENT_EQ] = ACTIONS(3946),
    [anon_sym_x_EQ] = ACTIONS(3946),
    [anon_sym_AMP_EQ] = ACTIONS(3946),
    [anon_sym_PIPE_EQ] = ACTIONS(3946),
    [anon_sym_CARET_EQ] = ACTIONS(3946),
    [anon_sym_LT_LT_EQ] = ACTIONS(3946),
    [anon_sym_GT_GT_EQ] = ACTIONS(3946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3946),
    [anon_sym_DOT_DOT] = ACTIONS(3956),
    [anon_sym_STAR_STAR] = ACTIONS(3958),
    [anon_sym_PIPE_PIPE] = ACTIONS(3960),
    [anon_sym_SLASH_SLASH] = ACTIONS(3960),
    [anon_sym_CARET_CARET] = ACTIONS(3962),
    [anon_sym_AMP_AMP] = ACTIONS(3964),
    [anon_sym_PIPE] = ACTIONS(3966),
    [anon_sym_CARET] = ACTIONS(3966),
    [anon_sym_AMP] = ACTIONS(3968),
    [anon_sym_GT_GT2] = ACTIONS(3954),
    [anon_sym_PLUS] = ACTIONS(3970),
    [anon_sym_DASH] = ACTIONS(3970),
    [anon_sym_DOT] = ACTIONS(3970),
    [anon_sym_SLASH] = ACTIONS(3950),
    [anon_sym_x] = ACTIONS(3950),
    [anon_sym_EQ_TILDE] = ACTIONS(3972),
    [anon_sym_BANG_TILDE] = ACTIONS(3972),
    [anon_sym_EQ_EQ] = ACTIONS(3974),
    [anon_sym_BANG_EQ] = ACTIONS(3976),
    [anon_sym_eq] = ACTIONS(3974),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(3976),
    [anon_sym_equ] = ACTIONS(3976),
    [anon_sym_eqr] = ACTIONS(3976),
    [anon_sym_ne] = ACTIONS(3976),
    [anon_sym_LT_EQ_GT] = ACTIONS(3978),
    [anon_sym_cmp] = ACTIONS(3978),
    [anon_sym_TILDE_TILDE] = ACTIONS(3978),
    [anon_sym_LT] = ACTIONS(3952),
    [anon_sym_LT_EQ] = ACTIONS(3952),
    [anon_sym_GT_EQ] = ACTIONS(3980),
    [anon_sym_lt] = ACTIONS(3980),
    [anon_sym_le] = ACTIONS(3980),
    [anon_sym_ge] = ACTIONS(3980),
    [anon_sym_gt] = ACTIONS(3980),
    [anon_sym_isa] = ACTIONS(3982),
    [anon_sym_PLUS_PLUS] = ACTIONS(3899),
    [anon_sym_DASH_DASH] = ACTIONS(3899),
    [anon_sym_QMARK] = ACTIONS(3984),
    [sym_comment] = ACTIONS(5),
    [sym_pod] = ACTIONS(5),
    [sym__heredoc_start] = ACTIONS(7),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2442), 1,
      sym_heredoc_content,
    STATE(2443), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2538), 1,
      sym__quotelike_middle,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [73] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2443), 1,
      sym_heredoc_content,
    STATE(2508), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2542), 1,
      sym__quotelike_middle,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [146] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2444), 1,
      sym_heredoc_content,
    STATE(2450), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2541), 1,
      sym__quotelike_middle,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [219] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2445), 1,
      sym_heredoc_content,
    STATE(2508), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2524), 1,
      sym__quotelike_middle,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [292] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2446), 1,
      sym_heredoc_content,
    STATE(2500), 1,
      sym__quotelike_middle,
    STATE(2508), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [365] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2446), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2447), 1,
      sym_heredoc_content,
    STATE(2497), 1,
      sym__quotelike_middle,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [438] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2445), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2448), 1,
      sym_heredoc_content,
    STATE(2521), 1,
      sym__quotelike_middle,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [511] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2449), 1,
      sym_heredoc_content,
    STATE(2508), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2517), 1,
      sym__quotelike_middle,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [584] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2450), 1,
      sym_heredoc_content,
    STATE(2508), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2544), 1,
      sym__quotelike_middle,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [657] = 21,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4036), 1,
      anon_sym_DOLLAR,
    ACTIONS(4038), 1,
      anon_sym_AT,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2449), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2451), 1,
      sym_heredoc_content,
    STATE(2522), 1,
      sym__quotelike_middle,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4034), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4042), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [730] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(2001), 1,
      sym__quotelike_end,
    STATE(2452), 1,
      sym_heredoc_content,
    STATE(2457), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [800] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2099), 1,
      sym__quotelike_end,
    STATE(2453), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [870] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1637), 1,
      sym__quotelike_end,
    STATE(2454), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [940] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4058), 1,
      sym__quotelike_end_quote,
    STATE(2043), 1,
      sym__quotelike_end,
    STATE(2455), 1,
      sym_heredoc_content,
    STATE(2458), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1010] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(2019), 1,
      sym__quotelike_end,
    STATE(2456), 1,
      sym_heredoc_content,
    STATE(2470), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1080] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(2005), 1,
      sym__quotelike_end,
    STATE(2457), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1150] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4058), 1,
      sym__quotelike_end_quote,
    STATE(2012), 1,
      sym__quotelike_end,
    STATE(2458), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1220] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4060), 1,
      sym__quotelike_end_quote,
    STATE(1266), 1,
      sym__quotelike_end,
    STATE(2459), 1,
      sym_heredoc_content,
    STATE(2461), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1290] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4062), 1,
      sym__quotelike_end_quote,
    STATE(1641), 1,
      sym__quotelike_end,
    STATE(2460), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1360] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4060), 1,
      sym__quotelike_end_quote,
    STATE(1267), 1,
      sym__quotelike_end,
    STATE(2461), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1430] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1642), 1,
      sym__quotelike_end,
    STATE(2462), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1500] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1614), 1,
      sym__quotelike_end,
    STATE(2454), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2463), 1,
      sym_heredoc_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1570] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4062), 1,
      sym__quotelike_end_quote,
    STATE(1623), 1,
      sym__quotelike_end,
    STATE(2460), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2464), 1,
      sym_heredoc_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1640] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4064), 1,
      sym__quotelike_end_quote,
    STATE(1279), 1,
      sym__quotelike_end,
    STATE(2465), 1,
      sym_heredoc_content,
    STATE(2480), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1710] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(1601), 1,
      sym__quotelike_end,
    STATE(2466), 1,
      sym_heredoc_content,
    STATE(2471), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1780] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4068), 1,
      sym__quotelike_end_quote,
    STATE(1546), 1,
      sym__quotelike_end,
    STATE(2467), 1,
      sym_heredoc_content,
    STATE(2472), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1850] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4060), 1,
      sym__quotelike_end_quote,
    STATE(1254), 1,
      sym__quotelike_end,
    STATE(2468), 1,
      sym_heredoc_content,
    STATE(2481), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1920] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4068), 1,
      sym__quotelike_end_quote,
    STATE(1557), 1,
      sym__quotelike_end,
    STATE(2469), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [1990] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(2007), 1,
      sym__quotelike_end,
    STATE(2470), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2060] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(1568), 1,
      sym__quotelike_end,
    STATE(2471), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2130] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4068), 1,
      sym__quotelike_end_quote,
    STATE(1569), 1,
      sym__quotelike_end,
    STATE(2472), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2200] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2075), 1,
      sym__quotelike_end,
    STATE(2473), 1,
      sym_heredoc_content,
    STATE(2478), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2270] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1624), 1,
      sym__quotelike_end,
    STATE(2462), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2474), 1,
      sym_heredoc_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2340] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4068), 1,
      sym__quotelike_end_quote,
    STATE(1575), 1,
      sym__quotelike_end,
    STATE(2469), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2475), 1,
      sym_heredoc_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2410] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(2087), 1,
      sym__quotelike_end,
    STATE(2476), 1,
      sym_heredoc_content,
    STATE(2479), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2480] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2088), 1,
      sym__quotelike_end,
    STATE(2453), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2477), 1,
      sym_heredoc_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2550] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2093), 1,
      sym__quotelike_end,
    STATE(2478), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2620] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(2098), 1,
      sym__quotelike_end,
    STATE(2479), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2690] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4064), 1,
      sym__quotelike_end_quote,
    STATE(1271), 1,
      sym__quotelike_end,
    STATE(2480), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2760] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4046), 1,
      anon_sym_DOLLAR,
    ACTIONS(4048), 1,
      anon_sym_AT,
    ACTIONS(4060), 1,
      sym__quotelike_end_quote,
    STATE(1273), 1,
      sym__quotelike_end,
    STATE(2481), 1,
      sym_heredoc_content,
    STATE(2505), 1,
      aux_sym__interpolated_regexp_content,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4044), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4052), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [2830] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1678), 1,
      sym__quotelike_end,
    STATE(2482), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [2899] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1852), 1,
      sym__quotelike_end,
    STATE(2483), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [2968] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1853), 1,
      sym__quotelike_end,
    STATE(2484), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3037] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1979), 1,
      sym__quotelike_end,
    STATE(2485), 1,
      sym_heredoc_content,
    STATE(2546), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3106] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1715), 1,
      sym__quotelike_end,
    STATE(2486), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3175] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1596), 1,
      sym__quotelike_end,
    STATE(2487), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3244] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1986), 1,
      sym__quotelike_end,
    STATE(2488), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3313] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2056), 1,
      sym__quotelike_end,
    STATE(2489), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3382] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1901), 1,
      sym__quotelike_end,
    STATE(2483), 1,
      aux_sym__interpolated_string_content,
    STATE(2490), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3451] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1915), 1,
      sym__quotelike_end,
    STATE(2484), 1,
      aux_sym__interpolated_string_content,
    STATE(2491), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3520] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2057), 1,
      sym__quotelike_end,
    STATE(2492), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3589] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2104), 1,
      sym__quotelike_end,
    STATE(2493), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3658] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2106), 1,
      sym__quotelike_end,
    STATE(2494), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3727] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1347), 1,
      sym__quotelike_end,
    STATE(2495), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3796] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2184), 1,
      sym__quotelike_end,
    STATE(2489), 1,
      aux_sym__interpolated_string_content,
    STATE(2496), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3865] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4090), 1,
      sym__quotelike_end_quote,
    STATE(1643), 1,
      sym__quotelike_end,
    STATE(2497), 1,
      sym_heredoc_content,
    STATE(2499), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [3934] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2062), 1,
      sym__quotelike_end,
    STATE(2492), 1,
      aux_sym__interpolated_string_content,
    STATE(2498), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4003] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4090), 1,
      sym__quotelike_end_quote,
    STATE(1603), 1,
      sym__quotelike_end,
    STATE(2499), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4072] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4090), 1,
      sym__quotelike_end_quote,
    STATE(1659), 1,
      sym__quotelike_end,
    STATE(2500), 1,
      sym_heredoc_content,
    STATE(2501), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4141] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4090), 1,
      sym__quotelike_end_quote,
    STATE(1665), 1,
      sym__quotelike_end,
    STATE(2501), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4210] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2117), 1,
      sym__quotelike_end,
    STATE(2502), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4279] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1421), 1,
      sym__quotelike_end,
    STATE(2503), 1,
      sym_heredoc_content,
    STATE(2509), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4348] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1287), 1,
      sym__quotelike_end,
    STATE(2504), 1,
      sym_heredoc_content,
    STATE(2539), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4417] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4095), 1,
      anon_sym_DOLLAR,
    ACTIONS(4098), 1,
      anon_sym_AT,
    ACTIONS(4101), 1,
      sym__quotelike_end_quote,
    STATE(2593), 1,
      sym_scalar,
    STATE(2755), 1,
      sym_array,
    STATE(2756), 1,
      sym__subscripted_interpolations,
    STATE(2758), 1,
      sym__array_element_interpolation,
    STATE(2759), 1,
      sym__hash_element_interpolation,
    STATE(2948), 1,
      sym__slice_expression_interpolation,
    STATE(2949), 1,
      sym__array_deref_interpolation,
    STATE(2950), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2505), 2,
      aux_sym__interpolated_regexp_content,
      sym_heredoc_content,
    STATE(2922), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4092), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2946), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4103), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [4482] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1356), 1,
      sym__quotelike_end,
    STATE(2506), 1,
      sym_heredoc_content,
    STATE(2510), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4551] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1289), 1,
      sym__quotelike_end,
    STATE(2495), 1,
      aux_sym__interpolated_string_content,
    STATE(2507), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4620] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4101), 1,
      sym__quotelike_middle_close_quote,
    ACTIONS(4109), 1,
      anon_sym_DOLLAR,
    ACTIONS(4112), 1,
      anon_sym_AT,
    STATE(2585), 1,
      sym_scalar,
    STATE(2766), 1,
      sym_array,
    STATE(2767), 1,
      sym__subscripted_interpolations,
    STATE(2770), 1,
      sym__array_element_interpolation,
    STATE(2771), 1,
      sym__hash_element_interpolation,
    STATE(2918), 1,
      sym__slice_expression_interpolation,
    STATE(2919), 1,
      sym__array_deref_interpolation,
    STATE(2920), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2508), 2,
      aux_sym__interpolated_regexp_content,
      sym_heredoc_content,
    STATE(2951), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4106), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(2913), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
    ACTIONS(4115), 4,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
  [4685] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1313), 1,
      sym__quotelike_end,
    STATE(2509), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4754] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1314), 1,
      sym__quotelike_end,
    STATE(2510), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4823] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1632), 1,
      sym__quotelike_end,
    STATE(2486), 1,
      aux_sym__interpolated_string_content,
    STATE(2511), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4892] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2165), 1,
      sym__quotelike_end,
    STATE(2493), 1,
      aux_sym__interpolated_string_content,
    STATE(2512), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [4961] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2172), 1,
      sym__quotelike_end,
    STATE(2494), 1,
      aux_sym__interpolated_string_content,
    STATE(2513), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5030] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1401), 1,
      sym__quotelike_end,
    STATE(2514), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5099] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1676), 1,
      sym__quotelike_end,
    STATE(2515), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5168] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4118), 1,
      sym__quotelike_end_quote,
    STATE(1262), 1,
      sym__quotelike_end,
    STATE(2516), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5237] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4118), 1,
      sym__quotelike_end_quote,
    STATE(1263), 1,
      sym__quotelike_end,
    STATE(2517), 1,
      sym_heredoc_content,
    STATE(2537), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5306] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1636), 1,
      sym__quotelike_end,
    STATE(2518), 1,
      sym_heredoc_content,
    STATE(2534), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5375] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1657), 1,
      sym__quotelike_end,
    STATE(2515), 1,
      aux_sym__interpolated_string_content,
    STATE(2519), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5444] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1663), 1,
      sym__quotelike_end,
    STATE(2482), 1,
      aux_sym__interpolated_string_content,
    STATE(2520), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5513] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4120), 1,
      sym__quotelike_end_quote,
    STATE(2023), 1,
      sym__quotelike_end,
    STATE(2521), 1,
      sym_heredoc_content,
    STATE(2523), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5582] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4118), 1,
      sym__quotelike_end_quote,
    STATE(1274), 1,
      sym__quotelike_end,
    STATE(2516), 1,
      aux_sym__interpolated_string_content,
    STATE(2522), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5651] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4120), 1,
      sym__quotelike_end_quote,
    STATE(2014), 1,
      sym__quotelike_end,
    STATE(2523), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5720] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4120), 1,
      sym__quotelike_end_quote,
    STATE(2015), 1,
      sym__quotelike_end,
    STATE(2524), 1,
      sym_heredoc_content,
    STATE(2525), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5789] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4120), 1,
      sym__quotelike_end_quote,
    STATE(2004), 1,
      sym__quotelike_end,
    STATE(2525), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5858] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2338), 1,
      sym__quotelike_end,
    STATE(2526), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5927] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2339), 1,
      sym__quotelike_end,
    STATE(2527), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [5996] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2353), 1,
      sym__quotelike_end,
    STATE(2528), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6065] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2355), 1,
      sym__quotelike_end,
    STATE(2529), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6134] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2276), 1,
      sym__quotelike_end,
    STATE(2526), 1,
      aux_sym__interpolated_string_content,
    STATE(2530), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6203] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2277), 1,
      sym__quotelike_end,
    STATE(2527), 1,
      aux_sym__interpolated_string_content,
    STATE(2531), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6272] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1749), 1,
      sym__quotelike_end,
    STATE(2532), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6341] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2281), 1,
      sym__quotelike_end,
    STATE(2533), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6410] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1716), 1,
      sym__quotelike_end,
    STATE(2534), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6479] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2301), 1,
      sym__quotelike_end,
    STATE(2528), 1,
      aux_sym__interpolated_string_content,
    STATE(2535), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6548] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2303), 1,
      sym__quotelike_end,
    STATE(2529), 1,
      aux_sym__interpolated_string_content,
    STATE(2536), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6617] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4118), 1,
      sym__quotelike_end_quote,
    STATE(1235), 1,
      sym__quotelike_end,
    STATE(2537), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6686] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1576), 1,
      sym__quotelike_end,
    STATE(2538), 1,
      sym_heredoc_content,
    STATE(2540), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6755] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1345), 1,
      sym__quotelike_end,
    STATE(2539), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6824] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1559), 1,
      sym__quotelike_end,
    STATE(2540), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6893] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4124), 1,
      sym__quotelike_end_quote,
    STATE(2100), 1,
      sym__quotelike_end,
    STATE(2541), 1,
      sym_heredoc_content,
    STATE(2543), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [6962] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1560), 1,
      sym__quotelike_end,
    STATE(2487), 1,
      aux_sym__interpolated_string_content,
    STATE(2542), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7031] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4124), 1,
      sym__quotelike_end_quote,
    STATE(2113), 1,
      sym__quotelike_end,
    STATE(2543), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7100] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4124), 1,
      sym__quotelike_end_quote,
    STATE(2114), 1,
      sym__quotelike_end,
    STATE(2544), 1,
      sym_heredoc_content,
    STATE(2545), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7169] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4124), 1,
      sym__quotelike_end_quote,
    STATE(2122), 1,
      sym__quotelike_end,
    STATE(2545), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7238] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1991), 1,
      sym__quotelike_end,
    STATE(2546), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7307] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1992), 1,
      sym__quotelike_end,
    STATE(2547), 1,
      sym_heredoc_content,
    STATE(2549), 1,
      aux_sym__interpolated_string_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7376] = 20,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1982), 1,
      sym__quotelike_end,
    STATE(2547), 1,
      aux_sym__interpolated_string_content,
    STATE(2548), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7445] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4129), 1,
      anon_sym_DOLLAR,
    ACTIONS(4132), 1,
      anon_sym_AT,
    ACTIONS(4135), 1,
      sym__quotelike_end_quote,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2549), 2,
      aux_sym__interpolated_string_content,
      sym_heredoc_content,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4126), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4137), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7509] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    STATE(2502), 1,
      aux_sym__interpolated_string_content,
    STATE(2550), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7572] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4142), 1,
      anon_sym_DOLLAR,
    ACTIONS(4144), 1,
      anon_sym_AT,
    ACTIONS(4148), 1,
      sym_heredoc_end,
    STATE(2551), 1,
      sym_heredoc_content,
    STATE(2554), 1,
      aux_sym_heredoc_content_repeat1,
    STATE(2741), 1,
      sym_scalar,
    STATE(2937), 1,
      sym_array,
    STATE(2938), 1,
      sym__subscripted_interpolations,
    STATE(2939), 1,
      sym__array_element_interpolation,
    STATE(2940), 1,
      sym__hash_element_interpolation,
    STATE(3054), 1,
      sym__slice_expression_interpolation,
    STATE(3055), 1,
      sym__array_deref_interpolation,
    STATE(3064), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4146), 2,
      sym_escape_sequence,
      sym__heredoc_middle,
    STATE(3050), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4140), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(3043), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7637] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4153), 1,
      anon_sym_DOLLAR,
    ACTIONS(4156), 1,
      anon_sym_AT,
    ACTIONS(4162), 1,
      sym_heredoc_end,
    STATE(2741), 1,
      sym_scalar,
    STATE(2937), 1,
      sym_array,
    STATE(2938), 1,
      sym__subscripted_interpolations,
    STATE(2939), 1,
      sym__array_element_interpolation,
    STATE(2940), 1,
      sym__hash_element_interpolation,
    STATE(3054), 1,
      sym__slice_expression_interpolation,
    STATE(3055), 1,
      sym__array_deref_interpolation,
    STATE(3064), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      sym__heredoc_middle,
    STATE(2552), 2,
      sym_heredoc_content,
      aux_sym_heredoc_content_repeat1,
    STATE(3050), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4150), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(3043), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7700] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    STATE(2533), 1,
      aux_sym__interpolated_string_content,
    STATE(2553), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7763] = 19,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4142), 1,
      anon_sym_DOLLAR,
    ACTIONS(4144), 1,
      anon_sym_AT,
    ACTIONS(4164), 1,
      sym_heredoc_end,
    STATE(2552), 1,
      aux_sym_heredoc_content_repeat1,
    STATE(2554), 1,
      sym_heredoc_content,
    STATE(2741), 1,
      sym_scalar,
    STATE(2937), 1,
      sym_array,
    STATE(2938), 1,
      sym__subscripted_interpolations,
    STATE(2939), 1,
      sym__array_element_interpolation,
    STATE(2940), 1,
      sym__hash_element_interpolation,
    STATE(3054), 1,
      sym__slice_expression_interpolation,
    STATE(3055), 1,
      sym__array_deref_interpolation,
    STATE(3064), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4146), 2,
      sym_escape_sequence,
      sym__heredoc_middle,
    STATE(3050), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4140), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    STATE(3043), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7828] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    STATE(2488), 1,
      aux_sym__interpolated_string_content,
    STATE(2555), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7891] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    STATE(2514), 1,
      aux_sym__interpolated_string_content,
    STATE(2556), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [7954] = 18,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4074), 1,
      anon_sym_DOLLAR,
    ACTIONS(4076), 1,
      anon_sym_AT,
    STATE(2532), 1,
      aux_sym__interpolated_string_content,
    STATE(2557), 1,
      sym_heredoc_content,
    STATE(2644), 1,
      sym_scalar,
    STATE(2851), 1,
      sym__hash_element_interpolation,
    STATE(2864), 1,
      sym_array,
    STATE(2870), 1,
      sym__subscripted_interpolations,
    STATE(2877), 1,
      sym__array_element_interpolation,
    STATE(2972), 1,
      sym__slice_expression_interpolation,
    STATE(2995), 1,
      sym__array_deref_interpolation,
    STATE(3005), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2987), 2,
      sym__interpolations,
      sym__interpolation_fallbacks,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4080), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
    STATE(3006), 3,
      sym__braced_scalar,
      sym__braced_array,
      sym__scalar_deref_interpolation,
  [8017] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2733), 1,
      anon_sym_for,
    STATE(2558), 1,
      sym_heredoc_content,
    STATE(2559), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2792), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2731), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8056] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2674), 1,
      anon_sym_for,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4166), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(2559), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
    ACTIONS(2672), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8093] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4171), 1,
      anon_sym_RPAREN,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2560), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8142] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4185), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2561), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8191] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4187), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2562), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8240] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4189), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2563), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8289] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4191), 1,
      anon_sym_RBRACE,
    ACTIONS(4193), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2564), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8340] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4196), 1,
      anon_sym_RPAREN,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2565), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8389] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4189), 1,
      anon_sym_RBRACE,
    ACTIONS(4198), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2566), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8440] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4201), 1,
      anon_sym_RBRACE,
    ACTIONS(4203), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2567), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8491] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4201), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2568), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8540] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4191), 1,
      anon_sym_RBRACE,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2569), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8589] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4206), 1,
      anon_sym_RPAREN,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2570), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8638] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4187), 1,
      anon_sym_RBRACE,
    ACTIONS(4208), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2571), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8689] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    ACTIONS(4185), 1,
      anon_sym_RBRACE,
    ACTIONS(4211), 1,
      sym__PERLY_SEMICOLON,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2572), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 5,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8740] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4177), 1,
      anon_sym_for,
    ACTIONS(4179), 1,
      anon_sym_foreach,
    STATE(306), 1,
      sym__conditionals,
    STATE(308), 1,
      sym__loops,
    STATE(2573), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4175), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4181), 2,
      anon_sym_if,
      anon_sym_unless,
    ACTIONS(4183), 2,
      anon_sym_while,
      anon_sym_until,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [8786] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4220), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4226), 1,
      sym__quotelike_end_quote,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2574), 1,
      sym_heredoc_content,
    STATE(2802), 1,
      sym_block,
    STATE(2813), 1,
      sym__indirob,
    STATE(2849), 1,
      sym__var_indirob_autoquote,
    STATE(2962), 1,
      sym__var_indirob,
    STATE(3051), 1,
      sym__quotelike_end,
    ACTIONS(4214), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4224), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2863), 2,
      sym_scalar,
      sym__ident_special,
  [8844] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4230), 1,
      anon_sym_for,
    STATE(2575), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4228), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8876] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4234), 1,
      anon_sym_for,
    STATE(2576), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4232), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8908] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4173), 1,
      anon_sym_and,
    ACTIONS(4238), 1,
      anon_sym_for,
    STATE(2577), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4236), 15,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8942] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4242), 1,
      anon_sym_for,
    STATE(2578), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4240), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [8974] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4246), 1,
      anon_sym_DOLLAR,
    ACTIONS(4248), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4250), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4254), 1,
      sym__quotelike_end_quote,
    STATE(30), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2579), 1,
      sym_heredoc_content,
    STATE(2666), 1,
      sym__indirob,
    STATE(2676), 1,
      sym__var_indirob_autoquote,
    STATE(2678), 1,
      sym_block,
    STATE(2684), 1,
      sym__var_indirob,
    STATE(2923), 1,
      sym__quotelike_end,
    ACTIONS(4244), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4252), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2677), 2,
      sym_scalar,
      sym__ident_special,
  [9032] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4258), 1,
      anon_sym_DOLLAR,
    ACTIONS(4260), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4262), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4266), 1,
      sym__quotelike_end_quote,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2580), 1,
      sym_heredoc_content,
    STATE(2763), 1,
      sym_block,
    STATE(2773), 1,
      sym__var_indirob_autoquote,
    STATE(2782), 1,
      sym__indirob,
    STATE(2844), 1,
      sym__var_indirob,
    STATE(3019), 1,
      sym__quotelike_end,
    ACTIONS(4256), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4264), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2785), 2,
      sym_scalar,
      sym__ident_special,
  [9090] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4238), 1,
      anon_sym_for,
    STATE(2581), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4236), 16,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_foreach,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
      anon_sym_if,
      anon_sym_unless,
      anon_sym_while,
      anon_sym_until,
  [9122] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR,
    ACTIONS(4272), 1,
      aux_sym__interpolation_fallbacks_token1,
    ACTIONS(4274), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4278), 1,
      sym__quotelike_end_quote,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2582), 1,
      sym_heredoc_content,
    STATE(2620), 1,
      sym_block,
    STATE(2621), 1,
      sym__var_indirob_autoquote,
    STATE(2658), 1,
      sym__indirob,
    STATE(2762), 1,
      sym__var_indirob,
    STATE(2899), 1,
      sym__quotelike_end,
    ACTIONS(4268), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(4276), 2,
      sym__quotelike_end_zw,
      sym__no_interp_whitespace_zw,
    STATE(2656), 2,
      sym_scalar,
      sym__ident_special,
  [9180] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2583), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1841), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1843), 11,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9209] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4280), 1,
      sym__NONASSOC,
    STATE(2584), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1863), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9240] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4286), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4288), 1,
      anon_sym_LBRACK2,
    ACTIONS(4290), 1,
      anon_sym_LBRACE2,
    STATE(2585), 1,
      sym_heredoc_content,
    STATE(3381), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4284), 7,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [9277] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4292), 1,
      sym__NONASSOC,
    STATE(2586), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1863), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9308] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4280), 1,
      sym__NONASSOC,
    STATE(2587), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9339] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2588), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1845), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1847), 11,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9368] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4294), 1,
      anon_sym_COLON,
    ACTIONS(4296), 1,
      anon_sym_DOLLAR,
    ACTIONS(4298), 1,
      anon_sym_AT,
    ACTIONS(4300), 1,
      anon_sym_RPAREN,
    ACTIONS(4302), 1,
      anon_sym_PERCENT2,
    STATE(2589), 1,
      sym_heredoc_content,
    STATE(2592), 1,
      aux_sym_signature_repeat1,
    STATE(2997), 1,
      sym__signature_scalar,
    STATE(3265), 1,
      sym__signature_vars,
    STATE(3315), 1,
      sym__signature_array,
    STATE(3334), 1,
      sym__signature_hash,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3303), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [9415] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR,
    ACTIONS(4306), 1,
      anon_sym_AT,
    ACTIONS(4310), 1,
      anon_sym_sub,
    ACTIONS(4312), 1,
      anon_sym_method,
    ACTIONS(4314), 1,
      anon_sym_LPAREN,
    ACTIONS(4316), 1,
      anon_sym_PERCENT2,
    STATE(1246), 1,
      sym__declared_vars,
    STATE(1247), 1,
      sym__decl_variable_list,
    STATE(2590), 1,
      sym_heredoc_content,
    STATE(3352), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
    STATE(1250), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [9462] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4292), 1,
      sym__NONASSOC,
    STATE(2591), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9493] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4318), 1,
      anon_sym_COLON,
    ACTIONS(4321), 1,
      anon_sym_DOLLAR,
    ACTIONS(4324), 1,
      anon_sym_AT,
    ACTIONS(4327), 1,
      anon_sym_RPAREN,
    ACTIONS(4329), 1,
      anon_sym_PERCENT2,
    STATE(2997), 1,
      sym__signature_scalar,
    STATE(3265), 1,
      sym__signature_vars,
    STATE(3315), 1,
      sym__signature_array,
    STATE(3334), 1,
      sym__signature_hash,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2592), 2,
      sym_heredoc_content,
      aux_sym_signature_repeat1,
    STATE(3303), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [9538] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4332), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4334), 1,
      anon_sym_LBRACK2,
    ACTIONS(4336), 1,
      anon_sym_LBRACE2,
    STATE(2593), 1,
      sym_heredoc_content,
    STATE(3382), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4284), 7,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [9575] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4294), 1,
      anon_sym_COLON,
    ACTIONS(4296), 1,
      anon_sym_DOLLAR,
    ACTIONS(4298), 1,
      anon_sym_AT,
    ACTIONS(4302), 1,
      anon_sym_PERCENT2,
    ACTIONS(4338), 1,
      anon_sym_RPAREN,
    STATE(2589), 1,
      aux_sym_signature_repeat1,
    STATE(2594), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym__signature_scalar,
    STATE(3265), 1,
      sym__signature_vars,
    STATE(3315), 1,
      sym__signature_array,
    STATE(3334), 1,
      sym__signature_hash,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3303), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [9622] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR,
    ACTIONS(4306), 1,
      anon_sym_AT,
    ACTIONS(4314), 1,
      anon_sym_LPAREN,
    ACTIONS(4316), 1,
      anon_sym_PERCENT2,
    ACTIONS(4340), 1,
      anon_sym_sub,
    ACTIONS(4342), 1,
      anon_sym_method,
    STATE(1246), 1,
      sym__declared_vars,
    STATE(1247), 1,
      sym__decl_variable_list,
    STATE(2595), 1,
      sym_heredoc_content,
    STATE(3394), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
    STATE(1250), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [9669] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2596), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1707), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1705), 11,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9698] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2597), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1841), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1843), 11,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9727] = 14,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR,
    ACTIONS(4306), 1,
      anon_sym_AT,
    ACTIONS(4314), 1,
      anon_sym_LPAREN,
    ACTIONS(4316), 1,
      anon_sym_PERCENT2,
    ACTIONS(4344), 1,
      anon_sym_sub,
    ACTIONS(4346), 1,
      anon_sym_method,
    STATE(1246), 1,
      sym__declared_vars,
    STATE(1247), 1,
      sym__decl_variable_list,
    STATE(2598), 1,
      sym_heredoc_content,
    STATE(3389), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
    STATE(1250), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [9774] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2599), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1845), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1847), 11,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9803] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2600), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1707), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1705), 11,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4354), 1,
      sym__dollar_ident_zw,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1231), 1,
      sym__var_indirob,
    STATE(2601), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9876] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4358), 1,
      anon_sym_DOLLAR,
    ACTIONS(4360), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4362), 1,
      sym__no_interp_whitespace_zw,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2602), 1,
      sym_heredoc_content,
    STATE(2886), 1,
      sym__var_indirob,
    ACTIONS(4356), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2893), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2892), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9920] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4368), 1,
      anon_sym_STAR,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1516), 1,
      sym__var_indirob,
    STATE(2603), 1,
      sym_heredoc_content,
    ACTIONS(4364), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1514), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1513), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [9964] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2604), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1845), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1847), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [9992] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4378), 1,
      sym__dollar_ident_zw,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1473), 1,
      sym__var_indirob,
    STATE(2605), 1,
      sym_heredoc_content,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1474), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1453), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10036] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4384), 1,
      anon_sym_STAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1693), 1,
      sym__var_indirob,
    STATE(2606), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1674), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1672), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10080] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2607), 1,
      sym_heredoc_content,
    STATE(2611), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2715), 1,
      sym__quotelike_middle,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [10120] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2608), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1853), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1855), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10148] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4396), 1,
      anon_sym_LBRACE,
    ACTIONS(4398), 1,
      anon_sym_DOLLAR,
    ACTIONS(4400), 1,
      anon_sym_AT,
    ACTIONS(4402), 1,
      anon_sym_LPAREN,
    ACTIONS(4404), 1,
      anon_sym_STAR,
    ACTIONS(4406), 1,
      anon_sym_LBRACK,
    ACTIONS(4408), 1,
      anon_sym_PERCENT,
    ACTIONS(4410), 1,
      anon_sym_AMP,
    ACTIONS(4412), 1,
      anon_sym_DOLLAR_POUND,
    STATE(1629), 1,
      sym_scalar,
    STATE(1630), 1,
      sym_method,
    STATE(2609), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4394), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [10196] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2610), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1845), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1847), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10224] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2611), 1,
      sym_heredoc_content,
    STATE(2748), 1,
      sym__quotelike_middle,
    STATE(2836), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [10264] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2612), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1849), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1851), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10292] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4414), 1,
      anon_sym_STAR,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1217), 1,
      sym__var_indirob,
    STATE(2613), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10336] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4416), 1,
      sym__dollar_ident_zw,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1693), 1,
      sym__var_indirob,
    STATE(2614), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1674), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1672), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10380] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4418), 1,
      sym__dollar_ident_zw,
    STATE(31), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2615), 1,
      sym_heredoc_content,
    STATE(2800), 1,
      sym__var_indirob,
    ACTIONS(4214), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2813), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2863), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10424] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4422), 1,
      anon_sym_DOLLAR,
    ACTIONS(4424), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4426), 1,
      sym__dollar_ident_zw,
    STATE(28), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(732), 1,
      sym__var_indirob,
    STATE(2616), 1,
      sym_heredoc_content,
    ACTIONS(4420), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(726), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(728), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10468] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4432), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4434), 1,
      sym__dollar_ident_zw,
    STATE(29), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(691), 1,
      sym__var_indirob,
    STATE(2617), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(685), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(693), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10512] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2618), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1841), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1843), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10540] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4246), 1,
      anon_sym_DOLLAR,
    ACTIONS(4250), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4436), 1,
      sym__dollar_ident_zw,
    STATE(38), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2619), 1,
      sym_heredoc_content,
    STATE(2652), 1,
      sym__var_indirob,
    ACTIONS(4244), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2666), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2677), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10584] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4438), 1,
      sym__NONASSOC,
    STATE(2620), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1863), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10614] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4438), 1,
      sym__NONASSOC,
    STATE(2621), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1826), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10644] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4442), 1,
      anon_sym_DOLLAR,
    ACTIONS(4444), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4446), 1,
      sym__dollar_ident_zw,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(819), 1,
      sym__var_indirob,
    STATE(2622), 1,
      sym_heredoc_content,
    ACTIONS(4440), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(814), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(813), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10688] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2623), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1707), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1705), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10716] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4450), 1,
      anon_sym_DOLLAR,
    ACTIONS(4452), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4454), 1,
      sym__dollar_ident_zw,
    STATE(33), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(804), 1,
      sym__var_indirob,
    STATE(2624), 1,
      sym_heredoc_content,
    ACTIONS(4448), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(796), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(795), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10760] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4456), 1,
      sym__NONASSOC,
    STATE(2625), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1863), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10790] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      anon_sym_DOLLAR,
    ACTIONS(4462), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4464), 1,
      sym__dollar_ident_zw,
    STATE(24), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2626), 1,
      sym_heredoc_content,
    STATE(3511), 1,
      sym__var_indirob,
    ACTIONS(4458), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3529), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(3524), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10834] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR,
    ACTIONS(4470), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4472), 1,
      sym__dollar_ident_zw,
    STATE(34), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(843), 1,
      sym__var_indirob,
    STATE(2627), 1,
      sym_heredoc_content,
    ACTIONS(4466), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(852), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(845), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10878] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4456), 1,
      sym__NONASSOC,
    STATE(2628), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [10908] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4474), 1,
      anon_sym_STAR,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1473), 1,
      sym__var_indirob,
    STATE(2629), 1,
      sym_heredoc_content,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1474), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1453), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10952] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4478), 1,
      anon_sym_DOLLAR,
    ACTIONS(4480), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4482), 1,
      sym__dollar_ident_zw,
    STATE(35), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(829), 1,
      sym__var_indirob,
    STATE(2630), 1,
      sym_heredoc_content,
    ACTIONS(4476), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(825), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(824), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [10996] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4486), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4490), 1,
      sym__dollar_ident_zw,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1891), 1,
      sym__var_indirob,
    STATE(2631), 1,
      sym_heredoc_content,
    ACTIONS(4484), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1885), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1884), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11040] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2632), 1,
      sym_heredoc_content,
    STATE(2661), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2797), 1,
      sym__quotelike_middle,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11080] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR,
    ACTIONS(4274), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4492), 1,
      sym__dollar_ident_zw,
    STATE(43), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2633), 1,
      sym_heredoc_content,
    STATE(2649), 1,
      sym__var_indirob,
    ACTIONS(4268), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2658), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2656), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11124] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4496), 1,
      anon_sym_DOLLAR,
    ACTIONS(4498), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4500), 1,
      sym__dollar_ident_zw,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2634), 1,
      sym_heredoc_content,
    STATE(3039), 1,
      sym__var_indirob,
    ACTIONS(4494), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3058), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(3056), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11168] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_DOLLAR,
    ACTIONS(4506), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4508), 1,
      sym__dollar_ident_zw,
    STATE(40), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2635), 1,
      sym_heredoc_content,
    STATE(3020), 1,
      sym__var_indirob,
    ACTIONS(4502), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2993), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2983), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11212] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4512), 1,
      anon_sym_DOLLAR,
    ACTIONS(4514), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4516), 1,
      sym__dollar_ident_zw,
    STATE(41), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(879), 1,
      sym__var_indirob,
    STATE(2636), 1,
      sym_heredoc_content,
    ACTIONS(4510), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(865), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(864), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11256] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4520), 1,
      anon_sym_DOLLAR,
    ACTIONS(4522), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4524), 1,
      sym__dollar_ident_zw,
    STATE(42), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(851), 1,
      sym__var_indirob,
    STATE(2637), 1,
      sym_heredoc_content,
    ACTIONS(4518), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(848), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(847), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11300] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4496), 1,
      anon_sym_DOLLAR,
    ACTIONS(4498), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4526), 1,
      sym__no_interp_whitespace_zw,
    STATE(39), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2638), 1,
      sym_heredoc_content,
    STATE(3039), 1,
      sym__var_indirob,
    ACTIONS(4494), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3058), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(3056), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11344] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4530), 1,
      anon_sym_DOLLAR,
    ACTIONS(4532), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4534), 1,
      sym__dollar_ident_zw,
    STATE(18), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(783), 1,
      sym__var_indirob,
    STATE(2639), 1,
      sym_heredoc_content,
    ACTIONS(4528), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(788), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(784), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11388] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4542), 1,
      sym__dollar_ident_zw,
    STATE(45), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(772), 1,
      sym__var_indirob,
    STATE(2640), 1,
      sym_heredoc_content,
    ACTIONS(4536), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(770), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(769), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11432] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR,
    ACTIONS(4548), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4550), 1,
      sym__dollar_ident_zw,
    STATE(46), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2641), 1,
      sym_heredoc_content,
    STATE(2884), 1,
      sym__var_indirob,
    ACTIONS(4544), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2888), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2887), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11476] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4552), 1,
      sym__dollar_ident_zw,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1516), 1,
      sym__var_indirob,
    STATE(2642), 1,
      sym_heredoc_content,
    ACTIONS(4364), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1514), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1513), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11520] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4358), 1,
      anon_sym_DOLLAR,
    ACTIONS(4360), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4554), 1,
      sym__dollar_ident_zw,
    STATE(48), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2643), 1,
      sym_heredoc_content,
    STATE(2886), 1,
      sym__var_indirob,
    ACTIONS(4356), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2893), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2892), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11564] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4556), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4558), 1,
      anon_sym_LBRACK2,
    ACTIONS(4560), 1,
      anon_sym_LBRACE2,
    STATE(2644), 1,
      sym_heredoc_content,
    STATE(3385), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4284), 6,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [11600] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4318), 1,
      anon_sym_COLON,
    ACTIONS(4321), 1,
      anon_sym_DOLLAR,
    ACTIONS(4324), 1,
      anon_sym_AT,
    ACTIONS(4327), 1,
      anon_sym_RPAREN,
    ACTIONS(4329), 1,
      anon_sym_PERCENT2,
    STATE(2645), 1,
      sym_heredoc_content,
    STATE(2997), 1,
      sym__signature_scalar,
    STATE(3315), 1,
      sym__signature_array,
    STATE(3334), 1,
      sym__signature_hash,
    STATE(3375), 1,
      sym__signature_vars,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3303), 4,
      sym_mandatory_parameter,
      sym_optional_parameter,
      sym_named_parameter,
      sym_slurpy_parameter,
  [11644] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2646), 1,
      sym_heredoc_content,
    STATE(2650), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2743), 1,
      sym__quotelike_middle,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11684] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4564), 1,
      anon_sym_LBRACE,
    ACTIONS(4566), 1,
      anon_sym_DOLLAR,
    ACTIONS(4568), 1,
      anon_sym_AT,
    ACTIONS(4570), 1,
      anon_sym_LPAREN,
    ACTIONS(4572), 1,
      anon_sym_STAR,
    ACTIONS(4574), 1,
      anon_sym_LBRACK,
    ACTIONS(4576), 1,
      anon_sym_PERCENT,
    ACTIONS(4578), 1,
      anon_sym_AMP,
    ACTIONS(4580), 1,
      anon_sym_DOLLAR_POUND,
    STATE(2025), 1,
      sym_scalar,
    STATE(2030), 1,
      sym_method,
    STATE(2647), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4562), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [11732] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4246), 1,
      anon_sym_DOLLAR,
    ACTIONS(4250), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4582), 1,
      sym__no_interp_whitespace_zw,
    STATE(30), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2586), 1,
      sym_block,
    STATE(2591), 1,
      sym__var_indirob_autoquote,
    STATE(2648), 1,
      sym_heredoc_content,
    STATE(2652), 1,
      sym__var_indirob,
    STATE(2666), 1,
      sym__indirob,
    ACTIONS(4244), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2677), 2,
      sym_scalar,
      sym__ident_special,
  [11780] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2649), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1857), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1859), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [11808] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2650), 1,
      sym_heredoc_content,
    STATE(2779), 1,
      sym__quotelike_middle,
    STATE(2836), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11848] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2651), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1845), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1847), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [11876] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2652), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1857), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1859), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [11904] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4546), 1,
      anon_sym_DOLLAR,
    ACTIONS(4548), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4584), 1,
      sym__no_interp_whitespace_zw,
    STATE(46), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2653), 1,
      sym_heredoc_content,
    STATE(2884), 1,
      sym__var_indirob,
    ACTIONS(4544), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2888), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2887), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [11948] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2654), 1,
      sym_heredoc_content,
    STATE(2667), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2751), 1,
      sym__quotelike_middle,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [11988] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4588), 1,
      anon_sym_LBRACE,
    ACTIONS(4590), 1,
      anon_sym_DOLLAR,
    ACTIONS(4592), 1,
      anon_sym_AT,
    ACTIONS(4594), 1,
      anon_sym_LPAREN,
    ACTIONS(4596), 1,
      anon_sym_STAR,
    ACTIONS(4598), 1,
      anon_sym_LBRACK,
    ACTIONS(4600), 1,
      anon_sym_PERCENT,
    ACTIONS(4602), 1,
      anon_sym_AMP,
    ACTIONS(4604), 1,
      anon_sym_DOLLAR_POUND,
    STATE(1548), 1,
      sym_scalar,
    STATE(1552), 1,
      sym_method,
    STATE(2655), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4586), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [12036] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2656), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1863), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12064] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4486), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4606), 1,
      anon_sym_STAR,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1891), 1,
      sym__var_indirob,
    STATE(2657), 1,
      sym_heredoc_content,
    ACTIONS(4484), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1885), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1884), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12108] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2658), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12136] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2659), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1853), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1855), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12164] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2660), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1849), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1851), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12192] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2661), 1,
      sym_heredoc_content,
    STATE(2724), 1,
      sym__quotelike_middle,
    STATE(2836), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12232] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR,
    ACTIONS(4274), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4608), 1,
      sym__no_interp_whitespace_zw,
    STATE(37), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2584), 1,
      sym_block,
    STATE(2587), 1,
      sym__var_indirob_autoquote,
    STATE(2649), 1,
      sym__var_indirob,
    STATE(2658), 1,
      sym__indirob,
    STATE(2662), 1,
      sym_heredoc_content,
    ACTIONS(4268), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2656), 2,
      sym_scalar,
      sym__ident_special,
  [12280] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2663), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1841), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1843), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12308] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4258), 1,
      anon_sym_DOLLAR,
    ACTIONS(4262), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4610), 1,
      sym__dollar_ident_zw,
    STATE(49), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2664), 1,
      sym_heredoc_content,
    STATE(2783), 1,
      sym__var_indirob,
    ACTIONS(4256), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2782), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2785), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12352] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4612), 1,
      sym__dollar_ident_zw,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1217), 1,
      sym__var_indirob,
    STATE(2665), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12396] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2666), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12424] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2667), 1,
      sym_heredoc_content,
    STATE(2780), 1,
      sym__quotelike_middle,
    STATE(2836), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12464] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4616), 1,
      anon_sym_LBRACE,
    ACTIONS(4618), 1,
      anon_sym_DOLLAR,
    ACTIONS(4620), 1,
      anon_sym_AT,
    ACTIONS(4622), 1,
      anon_sym_LPAREN,
    ACTIONS(4624), 1,
      anon_sym_STAR,
    ACTIONS(4626), 1,
      anon_sym_LBRACK,
    ACTIONS(4628), 1,
      anon_sym_PERCENT,
    ACTIONS(4630), 1,
      anon_sym_AMP,
    ACTIONS(4632), 1,
      anon_sym_DOLLAR_POUND,
    STATE(1242), 1,
      sym_method,
    STATE(1268), 1,
      sym_scalar,
    STATE(2668), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4614), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [12512] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2669), 1,
      sym_heredoc_content,
    STATE(2674), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2725), 1,
      sym__quotelike_middle,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12552] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2670), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1707), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1705), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12580] = 15,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4636), 1,
      anon_sym_LBRACE,
    ACTIONS(4638), 1,
      anon_sym_DOLLAR,
    ACTIONS(4640), 1,
      anon_sym_AT,
    ACTIONS(4642), 1,
      anon_sym_LPAREN,
    ACTIONS(4644), 1,
      anon_sym_STAR,
    ACTIONS(4646), 1,
      anon_sym_LBRACK,
    ACTIONS(4648), 1,
      anon_sym_PERCENT,
    ACTIONS(4650), 1,
      anon_sym_AMP,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR_POUND,
    STATE(2090), 1,
      sym_scalar,
    STATE(2091), 1,
      sym_method,
    STATE(2671), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4634), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [12628] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4504), 1,
      anon_sym_DOLLAR,
    ACTIONS(4506), 1,
      aux_sym__ident_special_token1,
    ACTIONS(4654), 1,
      sym__no_interp_whitespace_zw,
    STATE(40), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2672), 1,
      sym_heredoc_content,
    STATE(3020), 1,
      sym__var_indirob,
    ACTIONS(4502), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2993), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(2983), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12672] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2673), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1841), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1843), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12700] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(2674), 1,
      sym_heredoc_content,
    STATE(2729), 1,
      sym__quotelike_middle,
    STATE(2836), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    STATE(3608), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4390), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4388), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4392), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [12740] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2675), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1707), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1705), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12768] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4656), 1,
      sym__NONASSOC,
    STATE(2676), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1826), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12798] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2677), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1863), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12826] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4656), 1,
      sym__NONASSOC,
    STATE(2678), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1863), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12856] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2679), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1841), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1843), 9,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [12883] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1969), 1,
      sym__var_indirob,
    STATE(2680), 1,
      sym_heredoc_content,
    ACTIONS(4364), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1514), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1513), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12924] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2215), 1,
      sym__var_indirob,
    STATE(2681), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1674), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1672), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [12965] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1554), 1,
      sym__var_indirob,
    STATE(2682), 1,
      sym_heredoc_content,
    ACTIONS(4364), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1514), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1513), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13006] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1583), 1,
      sym__var_indirob,
    STATE(2683), 1,
      sym_heredoc_content,
    ACTIONS(4364), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1514), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1513), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13047] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2684), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2552), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2550), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13074] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2685), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4658), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4660), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13101] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1231), 1,
      sym__var_indirob,
    STATE(2686), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13142] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1846), 1,
      sym__var_indirob,
    STATE(2687), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1674), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1672), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13183] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2039), 1,
      sym__var_indirob,
    STATE(2688), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1674), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1672), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13224] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1611), 1,
      sym__var_indirob,
    STATE(2689), 1,
      sym_heredoc_content,
    ACTIONS(4364), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1514), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1513), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13265] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2020), 1,
      sym__var_indirob,
    STATE(2690), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1674), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1672), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13306] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2691), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4662), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4664), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13333] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4442), 1,
      anon_sym_DOLLAR,
    ACTIONS(4444), 1,
      aux_sym__ident_special_token1,
    STATE(32), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(812), 1,
      sym__var_indirob,
    STATE(2692), 1,
      sym_heredoc_content,
    ACTIONS(4440), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(814), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(813), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13374] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1612), 1,
      sym__var_indirob,
    STATE(2693), 1,
      sym_heredoc_content,
    ACTIONS(4364), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1514), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1513), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13415] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1365), 1,
      sym__var_indirob,
    STATE(2694), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13456] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1516), 1,
      sym__var_indirob,
    STATE(2695), 1,
      sym_heredoc_content,
    ACTIONS(4364), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1514), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1513), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13497] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1217), 1,
      sym__var_indirob,
    STATE(2696), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13538] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1597), 1,
      sym__quotelike_end,
    STATE(2697), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [13575] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1229), 1,
      sym__var_indirob,
    STATE(2698), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13616] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2699), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4658), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4660), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13643] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2700), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1707), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1705), 9,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13670] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1269), 1,
      sym__var_indirob,
    STATE(2701), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13711] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4450), 1,
      anon_sym_DOLLAR,
    ACTIONS(4452), 1,
      aux_sym__ident_special_token1,
    STATE(33), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(801), 1,
      sym__var_indirob,
    STATE(2702), 1,
      sym_heredoc_content,
    ACTIONS(4448), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(796), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(795), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13752] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2703), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4662), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4664), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13779] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4670), 1,
      anon_sym_DOLLAR,
    ACTIONS(4673), 1,
      anon_sym_AT,
    ACTIONS(4676), 1,
      anon_sym_COMMA,
    ACTIONS(4679), 1,
      anon_sym_RPAREN,
    ACTIONS(4681), 1,
      anon_sym_undef,
    ACTIONS(4684), 1,
      anon_sym_PERCENT2,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2704), 2,
      sym_heredoc_content,
      aux_sym__decl_variable_list_repeat1,
    STATE(3971), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [13818] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2705), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4689), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13845] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4697), 1,
      anon_sym_RPAREN,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    STATE(2704), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2706), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3862), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [13886] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2707), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4703), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4705), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [13913] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4486), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1891), 1,
      sym__var_indirob,
    STATE(2708), 1,
      sym_heredoc_content,
    ACTIONS(4484), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1885), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1884), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [13954] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    ACTIONS(4707), 1,
      anon_sym_RPAREN,
    STATE(2709), 1,
      sym_heredoc_content,
    STATE(2721), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3816), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [13995] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2710), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4709), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4711), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14022] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4713), 1,
      sym__NONASSOC,
    STATE(2711), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14051] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2712), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4709), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4711), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14078] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2713), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4717), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14105] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4468), 1,
      anon_sym_DOLLAR,
    ACTIONS(4470), 1,
      aux_sym__ident_special_token1,
    STATE(34), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(840), 1,
      sym__var_indirob,
    STATE(2714), 1,
      sym_heredoc_content,
    ACTIONS(4466), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(852), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(845), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14146] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1644), 1,
      sym__quotelike_end,
    STATE(2715), 1,
      sym_heredoc_content,
    STATE(2727), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14183] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4713), 1,
      sym__NONASSOC,
    STATE(2716), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1863), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14212] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1524), 1,
      sym__var_indirob,
    STATE(2717), 1,
      sym_heredoc_content,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1474), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1453), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14253] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    STATE(2718), 1,
      sym_heredoc_content,
    STATE(2750), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3822), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [14294] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1525), 1,
      sym__var_indirob,
    STATE(2719), 1,
      sym_heredoc_content,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1474), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1453), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14335] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1797), 1,
      sym__var_indirob,
    STATE(2720), 1,
      sym_heredoc_content,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1474), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1453), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14376] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    ACTIONS(4721), 1,
      anon_sym_RPAREN,
    STATE(2704), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2721), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3866), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [14417] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2722), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4717), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14444] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1264), 1,
      sym__quotelike_end,
    STATE(2723), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14481] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1265), 1,
      sym__quotelike_end,
    STATE(2724), 1,
      sym_heredoc_content,
    STATE(2772), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14518] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2101), 1,
      sym__quotelike_end,
    STATE(2725), 1,
      sym_heredoc_content,
    STATE(2728), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14555] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4478), 1,
      anon_sym_DOLLAR,
    ACTIONS(4480), 1,
      aux_sym__ident_special_token1,
    STATE(35), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(823), 1,
      sym__var_indirob,
    STATE(2726), 1,
      sym_heredoc_content,
    ACTIONS(4476), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(825), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(824), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14596] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1660), 1,
      sym__quotelike_end,
    STATE(2727), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14633] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2115), 1,
      sym__quotelike_end,
    STATE(2728), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14670] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2116), 1,
      sym__quotelike_end,
    STATE(2729), 1,
      sym_heredoc_content,
    STATE(2730), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14707] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2123), 1,
      sym__quotelike_end,
    STATE(2730), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [14744] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4422), 1,
      anon_sym_DOLLAR,
    ACTIONS(4424), 1,
      aux_sym__ident_special_token1,
    STATE(28), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(727), 1,
      sym__var_indirob,
    STATE(2731), 1,
      sym_heredoc_content,
    ACTIONS(4420), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(726), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(728), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14785] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    ACTIONS(4723), 1,
      anon_sym_RPAREN,
    STATE(2732), 1,
      sym_heredoc_content,
    STATE(2793), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3868), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [14826] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2733), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1707), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1705), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [14853] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4486), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2031), 1,
      sym__var_indirob,
    STATE(2734), 1,
      sym_heredoc_content,
    ACTIONS(4484), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1885), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1884), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14894] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1473), 1,
      sym__var_indirob,
    STATE(2735), 1,
      sym_heredoc_content,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1474), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1453), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [14935] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4218), 1,
      anon_sym_DOLLAR,
    ACTIONS(4222), 1,
      aux_sym__ident_special_token1,
    STATE(23), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2711), 1,
      sym__var_indirob_autoquote,
    STATE(2716), 1,
      sym_block,
    STATE(2736), 1,
      sym_heredoc_content,
    STATE(2800), 1,
      sym__var_indirob,
    STATE(2813), 1,
      sym__indirob,
    ACTIONS(4214), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2863), 2,
      sym_scalar,
      sym__ident_special,
  [14980] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4486), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2384), 1,
      sym__var_indirob,
    STATE(2737), 1,
      sym_heredoc_content,
    ACTIONS(4484), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1885), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1884), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15021] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2738), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1853), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1855), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15048] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    ACTIONS(4725), 1,
      anon_sym_RPAREN,
    STATE(2706), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2739), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3818), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [15089] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4486), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2022), 1,
      sym__var_indirob,
    STATE(2740), 1,
      sym_heredoc_content,
    ACTIONS(4484), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1885), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1884), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15130] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4727), 1,
      anon_sym_DASH_GT2,
    ACTIONS(4729), 1,
      anon_sym_LBRACK2,
    ACTIONS(4731), 1,
      anon_sym_LBRACE2,
    STATE(2741), 1,
      sym_heredoc_content,
    STATE(3367), 1,
      sym__interp_arrow,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4284), 5,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
  [15165] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4486), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2011), 1,
      sym__var_indirob,
    STATE(2742), 1,
      sym_heredoc_content,
    ACTIONS(4484), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1885), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1884), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15206] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2029), 1,
      sym__quotelike_end,
    STATE(2743), 1,
      sym_heredoc_content,
    STATE(2754), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15243] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4486), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2073), 1,
      sym__var_indirob,
    STATE(2744), 1,
      sym_heredoc_content,
    ACTIONS(4484), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1885), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1884), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15284] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2745), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1849), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1851), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15311] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2746), 1,
      sym_heredoc_content,
    STATE(2769), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3411), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2731), 9,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [15340] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4486), 1,
      anon_sym_DOLLAR,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    STATE(36), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2074), 1,
      sym__var_indirob,
    STATE(2747), 1,
      sym_heredoc_content,
    ACTIONS(4484), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1885), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1884), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15381] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1661), 1,
      sym__quotelike_end,
    STATE(2748), 1,
      sym_heredoc_content,
    STATE(2787), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15418] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1512), 1,
      sym__var_indirob,
    STATE(2749), 1,
      sym_heredoc_content,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1474), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1453), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15459] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    ACTIONS(4733), 1,
      anon_sym_RPAREN,
    STATE(2704), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2750), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3872), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [15500] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1544), 1,
      sym__quotelike_end,
    STATE(2751), 1,
      sym_heredoc_content,
    STATE(2778), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15537] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2752), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1845), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1847), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15564] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1693), 1,
      sym__var_indirob,
    STATE(2753), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1674), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1672), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15605] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2021), 1,
      sym__quotelike_end,
    STATE(2754), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [15642] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4735), 1,
      anon_sym_LBRACK2,
    ACTIONS(4737), 1,
      anon_sym_LBRACE2,
    STATE(2755), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4284), 8,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [15673] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4739), 1,
      anon_sym_LBRACK2,
    ACTIONS(4741), 1,
      anon_sym_LBRACE2,
    STATE(2756), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4284), 8,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [15704] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1278), 1,
      sym__var_indirob,
    STATE(2757), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15745] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2758), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4743), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4745), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15772] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2759), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4747), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4749), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15799] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2760), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4689), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15826] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2761), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4703), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4705), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15853] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2762), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2552), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2550), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15880] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4751), 1,
      sym__NONASSOC,
    STATE(2763), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1863), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [15909] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4512), 1,
      anon_sym_DOLLAR,
    ACTIONS(4514), 1,
      aux_sym__ident_special_token1,
    STATE(41), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(866), 1,
      sym__var_indirob,
    STATE(2764), 1,
      sym_heredoc_content,
    ACTIONS(4510), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(865), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(864), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [15950] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    ACTIONS(4753), 1,
      anon_sym_RPAREN,
    STATE(2765), 1,
      sym_heredoc_content,
    STATE(2788), 1,
      aux_sym__decl_variable_list_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3825), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [15991] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4755), 1,
      anon_sym_LBRACK2,
    ACTIONS(4757), 1,
      anon_sym_LBRACE2,
    STATE(2766), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4284), 8,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [16022] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4759), 1,
      anon_sym_LBRACK2,
    ACTIONS(4761), 1,
      anon_sym_LBRACE2,
    STATE(2767), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4284), 8,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [16053] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2768), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1845), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1847), 9,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      sym__NONASSOC,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16080] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4763), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(2769), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
    ACTIONS(2672), 9,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [16107] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2770), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4743), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4745), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16134] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2771), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4747), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4749), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16161] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1241), 1,
      sym__quotelike_end,
    STATE(2772), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16198] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4751), 1,
      sym__NONASSOC,
    STATE(2773), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1826), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16227] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1572), 1,
      sym__var_indirob,
    STATE(2774), 1,
      sym_heredoc_content,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1474), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1453), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16268] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2775), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1841), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1843), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16295] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4460), 1,
      anon_sym_DOLLAR,
    ACTIONS(4462), 1,
      aux_sym__ident_special_token1,
    STATE(24), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2776), 1,
      sym_heredoc_content,
    STATE(3511), 1,
      sym__var_indirob,
    ACTIONS(4458), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3529), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(3524), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16336] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4374), 1,
      anon_sym_DOLLAR,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    STATE(26), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1547), 1,
      sym__var_indirob,
    STATE(2777), 1,
      sym_heredoc_content,
    ACTIONS(4372), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1474), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1453), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16377] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1563), 1,
      sym__quotelike_end,
    STATE(2778), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16414] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2013), 1,
      sym__quotelike_end,
    STATE(2779), 1,
      sym_heredoc_content,
    STATE(2781), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16451] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1564), 1,
      sym__quotelike_end,
    STATE(2697), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2780), 1,
      sym_heredoc_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16488] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2006), 1,
      sym__quotelike_end,
    STATE(2781), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16525] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2782), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16552] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2783), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1857), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1859), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16579] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4520), 1,
      anon_sym_DOLLAR,
    ACTIONS(4522), 1,
      aux_sym__ident_special_token1,
    STATE(42), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(854), 1,
      sym__var_indirob,
    STATE(2784), 1,
      sym_heredoc_content,
    ACTIONS(4518), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(848), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(847), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16620] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2785), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1863), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [16647] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4350), 1,
      anon_sym_DOLLAR,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    STATE(44), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1230), 1,
      sym__var_indirob,
    STATE(2786), 1,
      sym_heredoc_content,
    ACTIONS(4348), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1208), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1205), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16688] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1666), 1,
      sym__quotelike_end,
    STATE(2787), 1,
      sym_heredoc_content,
    STATE(2846), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [16725] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    ACTIONS(4766), 1,
      anon_sym_RPAREN,
    STATE(2704), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2788), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3828), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [16766] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4430), 1,
      anon_sym_DOLLAR,
    ACTIONS(4432), 1,
      aux_sym__ident_special_token1,
    STATE(29), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(694), 1,
      sym__var_indirob,
    STATE(2789), 1,
      sym_heredoc_content,
    ACTIONS(4428), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(685), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(693), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16807] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4366), 1,
      anon_sym_DOLLAR,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    STATE(47), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1580), 1,
      sym__var_indirob,
    STATE(2790), 1,
      sym_heredoc_content,
    ACTIONS(4364), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1514), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1513), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16848] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1995), 1,
      sym__var_indirob,
    STATE(2791), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1674), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1672), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16889] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4530), 1,
      anon_sym_DOLLAR,
    ACTIONS(4532), 1,
      aux_sym__ident_special_token1,
    STATE(18), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(789), 1,
      sym__var_indirob,
    STATE(2792), 1,
      sym_heredoc_content,
    ACTIONS(4528), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(788), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(784), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [16930] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4691), 1,
      anon_sym_DOLLAR,
    ACTIONS(4693), 1,
      anon_sym_AT,
    ACTIONS(4695), 1,
      anon_sym_COMMA,
    ACTIONS(4699), 1,
      anon_sym_undef,
    ACTIONS(4701), 1,
      anon_sym_PERCENT2,
    ACTIONS(4768), 1,
      anon_sym_RPAREN,
    STATE(2704), 1,
      aux_sym__decl_variable_list_repeat1,
    STATE(2793), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3842), 2,
      sym__declared_vars,
      sym_undef_expression,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [16971] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DOLLAR,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    STATE(27), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1996), 1,
      sym__var_indirob,
    STATE(2794), 1,
      sym_heredoc_content,
    ACTIONS(4380), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1674), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(1672), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [17012] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4538), 1,
      anon_sym_DOLLAR,
    ACTIONS(4540), 1,
      aux_sym__ident_special_token1,
    STATE(45), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(775), 1,
      sym__var_indirob,
    STATE(2795), 1,
      sym_heredoc_content,
    ACTIONS(4536), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(770), 2,
      sym__indirob,
      sym__var_indirob_autoquote,
    STATE(769), 3,
      sym_block,
      sym_scalar,
      sym__ident_special,
  [17053] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4216), 1,
      anon_sym_LBRACE,
    ACTIONS(4258), 1,
      anon_sym_DOLLAR,
    ACTIONS(4262), 1,
      aux_sym__ident_special_token1,
    STATE(25), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2625), 1,
      sym_block,
    STATE(2628), 1,
      sym__var_indirob_autoquote,
    STATE(2782), 1,
      sym__indirob,
    STATE(2783), 1,
      sym__var_indirob,
    STATE(2796), 1,
      sym_heredoc_content,
    ACTIONS(4256), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2785), 2,
      sym_scalar,
      sym__ident_special,
  [17098] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1275), 1,
      sym__quotelike_end,
    STATE(2723), 1,
      aux_sym__interpolated_transliteration_content,
    STATE(2797), 1,
      sym_heredoc_content,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4666), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    ACTIONS(4072), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4668), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [17135] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2798), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3207), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(944), 2,
      sym_block,
      sym__semicolon,
  [17173] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2799), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1845), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1847), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17199] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2800), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1857), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1859), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17225] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2801), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1849), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1851), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17251] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4774), 1,
      sym__NONASSOC,
    STATE(2802), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1863), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17279] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4778), 1,
      sym_prototype,
    ACTIONS(4780), 1,
      sym__signature_start,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(976), 1,
      sym_block,
    STATE(2803), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3325), 1,
      sym_attrlist,
    STATE(3792), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17321] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2804), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3179), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1155), 2,
      sym_block,
      sym__semicolon,
  [17359] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4782), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(977), 1,
      sym_block,
    STATE(2805), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3327), 1,
      sym_attrlist,
    STATE(3798), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17401] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4784), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2148), 1,
      sym_block,
    STATE(2806), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3188), 1,
      sym_attrlist,
    STATE(3660), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17443] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4786), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(952), 1,
      sym_block,
    STATE(2807), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3236), 1,
      sym_attrlist,
    STATE(3664), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17485] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2808), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4689), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17511] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2809), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4703), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4705), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17537] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2810), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1707), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1705), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17563] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4788), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2083), 1,
      sym_block,
    STATE(2811), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3148), 1,
      sym_attrlist,
    STATE(3723), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17605] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4790), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2089), 1,
      sym_block,
    STATE(2812), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3158), 1,
      sym_attrlist,
    STATE(3727), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17647] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2813), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1826), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17673] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4792), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1018), 1,
      sym_block,
    STATE(2814), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3257), 1,
      sym_attrlist,
    STATE(3635), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17715] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4794), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1159), 1,
      sym_block,
    STATE(2815), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3161), 1,
      sym_attrlist,
    STATE(3732), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17757] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4796), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1160), 1,
      sym_block,
    STATE(2816), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3162), 1,
      sym_attrlist,
    STATE(3737), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17799] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2817), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3292), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(962), 2,
      sym_block,
      sym__semicolon,
  [17837] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4798), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(911), 1,
      sym_block,
    STATE(2818), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3304), 1,
      sym_attrlist,
    STATE(3616), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17879] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4800), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(902), 1,
      sym_block,
    STATE(2819), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3228), 1,
      sym_attrlist,
    STATE(3806), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17921] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2820), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4658), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4660), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [17947] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4802), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1019), 1,
      sym_block,
    STATE(2821), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3258), 1,
      sym_attrlist,
    STATE(3639), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [17989] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4804), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1171), 1,
      sym_block,
    STATE(2822), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3177), 1,
      sym_attrlist,
    STATE(3763), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18031] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4806), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1172), 1,
      sym_block,
    STATE(2823), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3178), 1,
      sym_attrlist,
    STATE(3767), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18073] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4808), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1179), 1,
      sym_block,
    STATE(2824), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3183), 1,
      sym_attrlist,
    STATE(3775), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18115] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4810), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1180), 1,
      sym_block,
    STATE(2825), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3184), 1,
      sym_attrlist,
    STATE(3777), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18157] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2826), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4662), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4664), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18183] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2827), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1841), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1843), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18209] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4812), 1,
      sym__identifier,
    STATE(2828), 1,
      sym_heredoc_content,
    STATE(2981), 1,
      sym__signature_varname,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4816), 3,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
    ACTIONS(4814), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [18239] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4818), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1841), 1,
      sym_block,
    STATE(2829), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3166), 1,
      sym_attrlist,
    STATE(3766), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18281] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4820), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1844), 1,
      sym_block,
    STATE(2830), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3167), 1,
      sym_attrlist,
    STATE(3768), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18323] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4822), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1333), 1,
      sym_block,
    STATE(2831), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3279), 1,
      sym_attrlist,
    STATE(3731), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18365] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4824), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(953), 1,
      sym_block,
    STATE(2832), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3239), 1,
      sym_attrlist,
    STATE(3669), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18407] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4826), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2291), 1,
      sym_block,
    STATE(2833), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3316), 1,
      sym_attrlist,
    STATE(3634), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18449] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4828), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1336), 1,
      sym_block,
    STATE(2834), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3282), 1,
      sym_attrlist,
    STATE(3734), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18491] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4830), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2292), 1,
      sym_block,
    STATE(2835), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3318), 1,
      sym_attrlist,
    STATE(3636), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18533] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4838), 1,
      sym__quotelike_middle_close_quote,
    STATE(3003), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4835), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    STATE(2836), 2,
      aux_sym__interpolated_transliteration_content,
      sym_heredoc_content,
    ACTIONS(4832), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4840), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [18565] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2837), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3238), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1140), 2,
      sym_block,
      sym__semicolon,
  [18603] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4843), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1030), 1,
      sym_block,
    STATE(2838), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3281), 1,
      sym_attrlist,
    STATE(3730), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18645] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2839), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3341), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1138), 2,
      sym_block,
      sym__semicolon,
  [18683] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4845), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(964), 1,
      sym_block,
    STATE(2840), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3299), 1,
      sym_attrlist,
    STATE(3753), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18725] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4847), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1865), 1,
      sym_block,
    STATE(2841), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3152), 1,
      sym_attrlist,
    STATE(3735), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18767] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4849), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(965), 1,
      sym_block,
    STATE(2842), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3301), 1,
      sym_attrlist,
    STATE(3758), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18809] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2843), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4709), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4711), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18835] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2844), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2552), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2550), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18861] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4851), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1873), 1,
      sym_block,
    STATE(2845), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3153), 1,
      sym_attrlist,
    STATE(3738), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [18903] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4838), 1,
      sym__quotelike_end_quote,
    STATE(2999), 1,
      sym__nonvar_interpolation_fallbacks,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4856), 2,
      anon_sym_DOLLAR,
      anon_sym_AT,
    STATE(2846), 2,
      aux_sym__interpolated_transliteration_content,
      sym_heredoc_content,
    ACTIONS(4853), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(4859), 3,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [18935] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2847), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1853), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1855), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [18961] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2848), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3186), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1157), 2,
      sym_block,
      sym__semicolon,
  [18999] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4774), 1,
      sym__NONASSOC,
    STATE(2849), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1824), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(1826), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19027] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4862), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1374), 1,
      sym_block,
    STATE(2850), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3271), 1,
      sym_attrlist,
    STATE(3622), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19069] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2851), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4747), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4749), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19095] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4864), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1635), 1,
      sym_block,
    STATE(2852), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3231), 1,
      sym_attrlist,
    STATE(3799), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19137] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4866), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1147), 1,
      sym_block,
    STATE(2853), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3252), 1,
      sym_attrlist,
    STATE(3706), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19179] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4868), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1148), 1,
      sym_block,
    STATE(2854), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3254), 1,
      sym_attrlist,
    STATE(3711), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19221] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4870), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1617), 1,
      sym_block,
    STATE(2855), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3264), 1,
      sym_attrlist,
    STATE(3661), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19263] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4872), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2151), 1,
      sym_block,
    STATE(2856), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3203), 1,
      sym_attrlist,
    STATE(3670), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19305] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4874), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1625), 1,
      sym_block,
    STATE(2857), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3267), 1,
      sym_attrlist,
    STATE(3673), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19347] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2858), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4717), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19373] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2859), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3165), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1008), 2,
      sym_block,
      sym__semicolon,
  [19411] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4876), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1032), 1,
      sym_block,
    STATE(2860), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3269), 1,
      sym_attrlist,
    STATE(3682), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19453] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4878), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1033), 1,
      sym_block,
    STATE(2861), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3270), 1,
      sym_attrlist,
    STATE(3683), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19495] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2862), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3169), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1011), 2,
      sym_block,
      sym__semicolon,
  [19533] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2863), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1861), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
    ACTIONS(1863), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH_GT2,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [19559] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4880), 1,
      anon_sym_LBRACK2,
    ACTIONS(4882), 1,
      anon_sym_LBRACE2,
    STATE(2864), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4284), 7,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [19589] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2865), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3187), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1027), 2,
      sym_block,
      sym__semicolon,
  [19627] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4884), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2347), 1,
      sym_block,
    STATE(2866), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3149), 1,
      sym_attrlist,
    STATE(3675), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19669] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4886), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1351), 1,
      sym_block,
    STATE(2867), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3144), 1,
      sym_attrlist,
    STATE(3619), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19711] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4888), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2349), 1,
      sym_block,
    STATE(2868), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3150), 1,
      sym_attrlist,
    STATE(3679), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19753] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4890), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1633), 1,
      sym_block,
    STATE(2869), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3229), 1,
      sym_attrlist,
    STATE(3794), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19795] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4892), 1,
      anon_sym_LBRACK2,
    ACTIONS(4894), 1,
      anon_sym_LBRACE2,
    STATE(2870), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4284), 7,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [19825] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2871), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3210), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(946), 2,
      sym_block,
      sym__semicolon,
  [19863] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2872), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3266), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(1029), 2,
      sym_block,
      sym__semicolon,
  [19901] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4896), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1076), 1,
      sym_block,
    STATE(2873), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3276), 1,
      sym_attrlist,
    STATE(3716), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19943] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4898), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1079), 1,
      sym_block,
    STATE(2874), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3277), 1,
      sym_attrlist,
    STATE(3719), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [19985] = 11,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2875), 1,
      sym_heredoc_content,
    STATE(3011), 1,
      sym_attribute,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3289), 1,
      sym_attrlist,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(960), 2,
      sym_block,
      sym__semicolon,
  [20023] = 13,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4900), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1020), 1,
      sym_block,
    STATE(2876), 1,
      sym_heredoc_content,
    STATE(3001), 1,
      sym_attribute,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3280), 1,
      sym_attrlist,
    STATE(3728), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [20065] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2877), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4743), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4745), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [20091] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(928), 1,
      sym_block,
    STATE(2878), 1,
      sym_heredoc_content,
    STATE(3048), 1,
      sym_attribute,
    STATE(3180), 1,
      sym_attribute_name,
    STATE(3374), 1,
      sym_attrlist,
    STATE(3796), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4902), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [20130] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2879), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4904), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20153] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2880), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4906), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20176] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2881), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4908), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20199] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2882), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4910), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20222] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2883), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2538), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20245] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2884), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20268] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2885), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4912), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20291] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2886), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20314] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2887), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20337] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2888), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20360] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2889), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1855), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20383] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2890), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4101), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20406] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2891), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1851), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20429] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2892), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20452] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2893), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20475] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2894), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1855), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20498] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2895), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1851), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20521] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2896), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1843), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20544] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2897), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1843), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20567] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2898), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4914), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20590] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2899), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4916), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20613] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2900), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4918), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20636] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2901), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4920), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20659] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2902), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1705), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20682] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2903), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1847), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20705] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2904), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1705), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20728] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2905), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1847), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20751] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2906), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4922), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20774] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2907), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4924), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20797] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4886), 1,
      sym_prototype,
    ACTIONS(4928), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1351), 1,
      sym_block,
    STATE(2908), 1,
      sym_heredoc_content,
    STATE(3089), 1,
      sym_bareword,
    STATE(3619), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [20836] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4930), 1,
      anon_sym_COLON,
    ACTIONS(4932), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1392), 1,
      sym_block,
    STATE(2909), 1,
      sym_heredoc_content,
    STATE(3141), 1,
      sym_bareword,
    STATE(3628), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [20875] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2910), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4914), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20898] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2911), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4918), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20921] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2912), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4920), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20944] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2913), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4284), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [20967] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4862), 1,
      sym_prototype,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1374), 1,
      sym_block,
    STATE(2914), 1,
      sym_heredoc_content,
    STATE(3090), 1,
      sym_bareword,
    STATE(3622), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21006] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4936), 1,
      anon_sym_COLON,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2915), 1,
      sym_heredoc_content,
    STATE(3092), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    STATE(999), 2,
      sym_block,
      sym__semicolon,
  [21041] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4940), 1,
      anon_sym_COLON,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2916), 1,
      sym_heredoc_content,
    STATE(3104), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    STATE(1000), 2,
      sym_block,
      sym__semicolon,
  [21076] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1001), 1,
      sym_block,
    STATE(2917), 1,
      sym_heredoc_content,
    STATE(3048), 1,
      sym_attribute,
    STATE(3180), 1,
      sym_attribute_name,
    STATE(3390), 1,
      sym_attrlist,
    STATE(3764), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4902), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21115] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2918), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4942), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21138] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2919), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4944), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21161] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2920), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4946), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21184] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2921), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4101), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21207] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2922), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4948), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21230] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2923), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4916), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21253] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4930), 1,
      anon_sym_COLON,
    ACTIONS(4932), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1392), 1,
      sym_block,
    STATE(2924), 1,
      sym_heredoc_content,
    STATE(3086), 1,
      sym_bareword,
    STATE(3628), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21292] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4950), 1,
      anon_sym_COLON,
    ACTIONS(4952), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1400), 1,
      sym_block,
    STATE(2925), 1,
      sym_heredoc_content,
    STATE(3087), 1,
      sym_bareword,
    STATE(3613), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21331] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2926), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4954), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21354] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4862), 1,
      sym_prototype,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1374), 1,
      sym_block,
    STATE(2927), 1,
      sym_heredoc_content,
    STATE(3114), 1,
      sym_bareword,
    STATE(3622), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21393] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4950), 1,
      anon_sym_COLON,
    ACTIONS(4952), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1400), 1,
      sym_block,
    STATE(2928), 1,
      sym_heredoc_content,
    STATE(3131), 1,
      sym_bareword,
    STATE(3613), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21432] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2929), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2538), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21455] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2930), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4956), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21478] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4930), 1,
      anon_sym_COLON,
    ACTIONS(4932), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1392), 1,
      sym_block,
    STATE(2931), 1,
      sym_heredoc_content,
    STATE(3139), 1,
      sym_bareword,
    STATE(3628), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21517] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4950), 1,
      anon_sym_COLON,
    ACTIONS(4952), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1400), 1,
      sym_block,
    STATE(2932), 1,
      sym_heredoc_content,
    STATE(3140), 1,
      sym_bareword,
    STATE(3613), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21556] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2933), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4958), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21579] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4886), 1,
      sym_prototype,
    ACTIONS(4928), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1351), 1,
      sym_block,
    STATE(2934), 1,
      sym_heredoc_content,
    STATE(3133), 1,
      sym_bareword,
    STATE(3619), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21618] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4862), 1,
      sym_prototype,
    ACTIONS(4934), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1374), 1,
      sym_block,
    STATE(2935), 1,
      sym_heredoc_content,
    STATE(3138), 1,
      sym_bareword,
    STATE(3622), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [21657] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4960), 1,
      anon_sym_COLON,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2936), 1,
      sym_heredoc_content,
    STATE(3112), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    STATE(925), 2,
      sym_block,
      sym__semicolon,
  [21692] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4962), 1,
      anon_sym_LBRACK2,
    ACTIONS(4964), 1,
      anon_sym_LBRACE2,
    STATE(2937), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4284), 6,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [21721] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4966), 1,
      anon_sym_LBRACK2,
    ACTIONS(4968), 1,
      anon_sym_LBRACE2,
    STATE(2938), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4282), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4284), 6,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
  [21750] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2939), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4743), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4745), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [21775] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2940), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4747), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4749), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [21800] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2941), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4658), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4660), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [21825] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2942), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4662), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4664), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [21850] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2943), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4709), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4711), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [21875] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2944), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4717), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [21900] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2945), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4922), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21923] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2946), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4284), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21946] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2947), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4912), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21969] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2948), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4942), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [21992] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2949), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4944), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22015] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2950), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4946), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22038] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2951), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4948), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22061] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2952), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4954), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22084] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2953), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4904), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22107] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2954), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4906), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22130] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2955), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4908), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22153] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2956), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4910), 10,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22176] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2957), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4956), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22199] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2958), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4689), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [22224] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4970), 1,
      anon_sym_COLON,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2959), 1,
      sym_heredoc_content,
    STATE(3088), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    STATE(1129), 2,
      sym_block,
      sym__semicolon,
  [22259] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4972), 1,
      anon_sym_COLON,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2960), 1,
      sym_heredoc_content,
    STATE(3111), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    STATE(1130), 2,
      sym_block,
      sym__semicolon,
  [22294] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1131), 1,
      sym_block,
    STATE(2961), 1,
      sym_heredoc_content,
    STATE(3048), 1,
      sym_attribute,
    STATE(3180), 1,
      sym_attribute_name,
    STATE(3391), 1,
      sym_attrlist,
    STATE(3655), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4902), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [22333] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2962), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2552), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(2550), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [22358] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2963), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4958), 10,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      sym__dollar_in_regexp,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22381] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2964), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4703), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4705), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACK2,
      anon_sym_LBRACE2,
  [22406] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4974), 1,
      anon_sym_COLON,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2965), 1,
      sym_heredoc_content,
    STATE(3118), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    STATE(926), 2,
      sym_block,
      sym__semicolon,
  [22441] = 12,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4886), 1,
      sym_prototype,
    ACTIONS(4928), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1351), 1,
      sym_block,
    STATE(2966), 1,
      sym_heredoc_content,
    STATE(3113), 1,
      sym_bareword,
    STATE(3619), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [22480] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2967), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4978), 3,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
    ACTIONS(4976), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [22504] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2968), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4922), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22526] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4982), 1,
      anon_sym_and,
    STATE(2969), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4984), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4980), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [22552] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4982), 1,
      anon_sym_and,
    STATE(2970), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4984), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(4986), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [22578] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4990), 1,
      anon_sym_DOLLAR,
    ACTIONS(4992), 1,
      anon_sym_AT,
    ACTIONS(4997), 1,
      aux_sym__interpolation_fallbacks_token2,
    ACTIONS(4999), 1,
      sym__no_interp_whitespace_zw,
    STATE(2954), 1,
      sym_scalar,
    STATE(2971), 1,
      sym_heredoc_content,
    ACTIONS(4988), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4995), 2,
      anon_sym_DOLLAR_STAR,
      anon_sym_AT_STAR,
  [22614] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2972), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4942), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22636] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2973), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4912), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22658] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2974), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4956), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22680] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5001), 1,
      anon_sym_COLON,
    STATE(2975), 1,
      sym_heredoc_content,
    STATE(3009), 1,
      aux_sym_attrlist_repeat1,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2434), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [22712] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5006), 1,
      anon_sym_COLON,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5003), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(2976), 2,
      sym_heredoc_content,
      aux_sym_attrlist_repeat1,
    ACTIONS(2427), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [22742] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2977), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4958), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22764] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2978), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4910), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22786] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5009), 1,
      anon_sym_COLON,
    STATE(2976), 1,
      aux_sym_attrlist_repeat1,
    STATE(2979), 1,
      sym_heredoc_content,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2434), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [22818] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2980), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5011), 9,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [22840] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2981), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5013), 9,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [22862] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2982), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4904), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22884] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2983), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22906] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR,
    ACTIONS(4306), 1,
      anon_sym_AT,
    ACTIONS(4314), 1,
      anon_sym_LPAREN,
    ACTIONS(4316), 1,
      anon_sym_PERCENT2,
    STATE(1451), 1,
      sym__declared_vars,
    STATE(1452), 1,
      sym__decl_variable_list,
    STATE(2984), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1250), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [22940] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5015), 1,
      anon_sym_DOLLAR,
    ACTIONS(5017), 1,
      anon_sym_AT,
    ACTIONS(5020), 1,
      aux_sym__interpolation_fallbacks_token2,
    ACTIONS(5022), 1,
      sym__no_interp_whitespace_zw,
    STATE(2985), 1,
      sym_heredoc_content,
    STATE(2992), 1,
      sym_scalar,
    ACTIONS(4988), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4995), 2,
      anon_sym_DOLLAR_STAR,
      anon_sym_AT_STAR,
  [22976] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2986), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2538), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [22998] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2987), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5024), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23020] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5026), 1,
      anon_sym_DOLLAR,
    ACTIONS(5028), 1,
      anon_sym_AT,
    ACTIONS(5030), 1,
      anon_sym_LPAREN,
    ACTIONS(5032), 1,
      anon_sym_PERCENT2,
    STATE(2394), 1,
      sym__declared_vars,
    STATE(2395), 1,
      sym__decl_variable_list,
    STATE(2988), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2066), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [23054] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4304), 1,
      anon_sym_DOLLAR,
    ACTIONS(4306), 1,
      anon_sym_AT,
    ACTIONS(4314), 1,
      anon_sym_LPAREN,
    ACTIONS(4316), 1,
      anon_sym_PERCENT2,
    STATE(1246), 1,
      sym__declared_vars,
    STATE(1247), 1,
      sym__decl_variable_list,
    STATE(2989), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1250), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [23088] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2990), 1,
      sym_heredoc_content,
    STATE(3223), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    STATE(924), 2,
      sym_block,
      sym__semicolon,
  [23120] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2991), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4838), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23142] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2992), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4906), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23164] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2993), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23186] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2994), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1705), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23208] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2995), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4944), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23230] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2996), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4912), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23252] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2997), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5034), 3,
      anon_sym_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_SLASH_SLASH_EQ,
    ACTIONS(4814), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [23276] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2998), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1847), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23298] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2999), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5036), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23320] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3000), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5038), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23342] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5001), 1,
      anon_sym_COLON,
    STATE(2975), 1,
      aux_sym_attrlist_repeat1,
    STATE(3001), 1,
      sym_heredoc_content,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2418), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [23374] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3002), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1855), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23396] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3003), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5036), 9,
      sym__quotelike_middle_close_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23418] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5040), 1,
      anon_sym_DOLLAR,
    ACTIONS(5042), 1,
      anon_sym_AT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5046), 1,
      anon_sym_PERCENT2,
    STATE(2064), 1,
      sym__declared_vars,
    STATE(2065), 1,
      sym__decl_variable_list,
    STATE(3004), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2202), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [23452] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3005), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4946), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23474] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3006), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4284), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23496] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3007), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1851), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23518] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3008), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5048), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23540] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5053), 1,
      anon_sym_COLON,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5050), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3009), 2,
      sym_heredoc_content,
      aux_sym_attrlist_repeat1,
    ACTIONS(2427), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [23570] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5056), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(3010), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
    ACTIONS(2672), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [23594] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5009), 1,
      anon_sym_COLON,
    STATE(2979), 1,
      aux_sym_attrlist_repeat1,
    STATE(3011), 1,
      sym_heredoc_content,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2418), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [23626] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5059), 1,
      anon_sym_DOLLAR,
    ACTIONS(5061), 1,
      anon_sym_AT,
    ACTIONS(5063), 1,
      anon_sym_LPAREN,
    ACTIONS(5065), 1,
      anon_sym_PERCENT2,
    STATE(1977), 1,
      sym__declared_vars,
    STATE(1978), 1,
      sym__decl_variable_list,
    STATE(3012), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1943), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [23660] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5026), 1,
      anon_sym_DOLLAR,
    ACTIONS(5028), 1,
      anon_sym_AT,
    ACTIONS(5030), 1,
      anon_sym_LPAREN,
    ACTIONS(5032), 1,
      anon_sym_PERCENT2,
    STATE(2200), 1,
      sym__declared_vars,
    STATE(2201), 1,
      sym__decl_variable_list,
    STATE(3013), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(2066), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [23694] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3014), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5067), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23716] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5069), 1,
      anon_sym_DOLLAR,
    ACTIONS(5071), 1,
      anon_sym_AT,
    ACTIONS(5073), 1,
      anon_sym_LPAREN,
    ACTIONS(5075), 1,
      anon_sym_PERCENT2,
    STATE(1577), 1,
      sym__declared_vars,
    STATE(1591), 1,
      sym__decl_variable_list,
    STATE(3015), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(1592), 3,
      sym__declare_scalar,
      sym__declare_array,
      sym__declare_hash,
  [23750] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3010), 1,
      aux_sym__term_rightward_repeat1,
    STATE(3016), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3510), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    ACTIONS(2731), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [23776] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3017), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1843), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23798] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3018), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4922), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23820] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3019), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4916), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23842] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3020), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23864] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4982), 1,
      anon_sym_and,
    STATE(3021), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4236), 8,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym_or,
      anon_sym_xor,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [23888] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3022), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4914), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23910] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3023), 1,
      sym_heredoc_content,
    STATE(3147), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    STATE(1128), 2,
      sym_block,
      sym__semicolon,
  [23942] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3024), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4954), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23964] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3025), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4918), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [23986] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3026), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4920), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24008] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4982), 1,
      anon_sym_and,
    STATE(3027), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4984), 2,
      anon_sym_or,
      anon_sym_xor,
    ACTIONS(5077), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [24034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5079), 1,
      anon_sym_DOLLAR,
    ACTIONS(5081), 1,
      anon_sym_AT,
    ACTIONS(5084), 1,
      aux_sym__interpolation_fallbacks_token2,
    ACTIONS(5086), 1,
      sym__no_interp_whitespace_zw,
    STATE(3028), 1,
      sym_heredoc_content,
    STATE(3040), 1,
      sym_scalar,
    ACTIONS(4988), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4995), 2,
      anon_sym_DOLLAR_STAR,
      anon_sym_AT_STAR,
  [24070] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3029), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4838), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24092] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3030), 1,
      sym_heredoc_content,
    STATE(3225), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    STATE(1085), 2,
      sym_block,
      sym__semicolon,
  [24124] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5088), 1,
      anon_sym_DOLLAR,
    ACTIONS(5090), 1,
      anon_sym_AT,
    ACTIONS(5093), 1,
      aux_sym__interpolation_fallbacks_token2,
    ACTIONS(5095), 1,
      sym__no_interp_whitespace_zw,
    STATE(2880), 1,
      sym_scalar,
    STATE(3031), 1,
      sym_heredoc_content,
    ACTIONS(4988), 2,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
    ACTIONS(4995), 2,
      anon_sym_DOLLAR_STAR,
      anon_sym_AT_STAR,
  [24160] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3032), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4908), 9,
      sym__quotelike_end_quote,
      sym__qq_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24182] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3033), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4956), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24203] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3034), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4904), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24224] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3035), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4922), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24245] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4812), 1,
      sym__identifier,
    STATE(3036), 1,
      sym_heredoc_content,
    STATE(3214), 1,
      sym__signature_varname,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5097), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [24270] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3037), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1843), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24291] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3038), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1855), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24312] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3039), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24333] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3040), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4906), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24354] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3041), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4908), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24375] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5099), 1,
      anon_sym_COLON,
    STATE(3042), 1,
      sym_heredoc_content,
    STATE(3065), 1,
      aux_sym_attrlist_repeat1,
    STATE(3180), 1,
      sym_attribute_name,
    STATE(3386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2434), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(4902), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [24406] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3043), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4284), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24427] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3044), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2538), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24448] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3045), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(5101), 2,
      anon_sym___DATA__,
      anon_sym___END__,
    ACTIONS(5103), 2,
      sym__ctrl_z_hack,
      anon_sym_EOT,
    STATE(1127), 2,
      sym__semicolon,
      sym___DATA__,
  [24475] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3046), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(5105), 2,
      anon_sym___DATA__,
      anon_sym___END__,
    ACTIONS(5107), 2,
      sym__ctrl_z_hack,
      anon_sym_EOT,
    STATE(995), 2,
      sym__semicolon,
      sym___DATA__,
  [24502] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3047), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4910), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24523] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5099), 1,
      anon_sym_COLON,
    STATE(3042), 1,
      aux_sym_attrlist_repeat1,
    STATE(3048), 1,
      sym_heredoc_content,
    STATE(3180), 1,
      sym_attribute_name,
    STATE(3386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2418), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(4902), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [24554] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3049), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(5109), 2,
      anon_sym___DATA__,
      anon_sym___END__,
    ACTIONS(5111), 2,
      sym__ctrl_z_hack,
      anon_sym_EOT,
    STATE(917), 2,
      sym__semicolon,
      sym___DATA__,
  [24581] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3050), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5113), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24602] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3051), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4916), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24623] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3052), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1705), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24644] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3053), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4958), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24665] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3054), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4942), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24686] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3055), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4944), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24707] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3056), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24728] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4812), 1,
      sym__identifier,
    STATE(3057), 1,
      sym_heredoc_content,
    STATE(3215), 1,
      sym__signature_varname,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [24753] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3058), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24774] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3059), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4918), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24795] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3060), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4920), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24816] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3061), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1851), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24837] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3062), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4954), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24858] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3063), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1847), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24879] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3064), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4946), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24900] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5120), 1,
      anon_sym_COLON,
    STATE(3180), 1,
      sym_attribute_name,
    STATE(3386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2427), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(5117), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3065), 2,
      sym_heredoc_content,
      aux_sym_attrlist_repeat1,
  [24929] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3066), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4914), 8,
      sym_escape_sequence,
      sym__heredoc_middle,
      sym_heredoc_end,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_DASH,
  [24950] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3067), 1,
      sym_heredoc_content,
    STATE(3164), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [24978] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3068), 1,
      sym_heredoc_content,
    STATE(3095), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3192), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25006] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5125), 1,
      anon_sym_COLON,
    ACTIONS(5127), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1161), 1,
      sym_block,
    STATE(3069), 1,
      sym_heredoc_content,
    STATE(3740), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25038] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5129), 1,
      anon_sym_COLON,
    ACTIONS(5131), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1162), 1,
      sym_block,
    STATE(3070), 1,
      sym_heredoc_content,
    STATE(3741), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25070] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5133), 1,
      anon_sym_COLON,
    ACTIONS(5135), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1944), 1,
      sym_block,
    STATE(3071), 1,
      sym_heredoc_content,
    STATE(3713), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25102] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5137), 1,
      anon_sym_COLON,
    ACTIONS(5139), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1945), 1,
      sym_block,
    STATE(3072), 1,
      sym_heredoc_content,
    STATE(3714), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25134] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4784), 1,
      sym_prototype,
    ACTIONS(5141), 1,
      anon_sym_COLON,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2148), 1,
      sym_block,
    STATE(3073), 1,
      sym_heredoc_content,
    STATE(3660), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25166] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4872), 1,
      sym_prototype,
    ACTIONS(5143), 1,
      anon_sym_COLON,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2151), 1,
      sym_block,
    STATE(3074), 1,
      sym_heredoc_content,
    STATE(3670), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25198] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3075), 1,
      sym_heredoc_content,
    STATE(3078), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3222), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25226] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4847), 1,
      sym_prototype,
    ACTIONS(5145), 1,
      anon_sym_COLON,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1865), 1,
      sym_block,
    STATE(3076), 1,
      sym_heredoc_content,
    STATE(3735), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25258] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4851), 1,
      sym_prototype,
    ACTIONS(5147), 1,
      anon_sym_COLON,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1873), 1,
      sym_block,
    STATE(3077), 1,
      sym_heredoc_content,
    STATE(3738), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25290] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3078), 1,
      sym_heredoc_content,
    STATE(3230), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25318] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5149), 1,
      anon_sym_COLON,
    ACTIONS(5151), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1145), 1,
      sym_block,
    STATE(3079), 1,
      sym_heredoc_content,
    STATE(3702), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25350] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5155), 1,
      anon_sym_my,
    ACTIONS(5157), 1,
      anon_sym_LPAREN,
    STATE(3080), 1,
      sym_heredoc_content,
    STATE(3904), 1,
      sym__for_initializer,
    STATE(3939), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5159), 2,
      anon_sym_state,
      anon_sym_our,
  [25380] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5161), 1,
      anon_sym_COLON,
    ACTIONS(5163), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1146), 1,
      sym_block,
    STATE(3081), 1,
      sym_heredoc_content,
    STATE(3703), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25412] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5165), 1,
      sym__attribute_value_begin,
    STATE(3082), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2450), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2452), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [25436] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3083), 1,
      sym_heredoc_content,
    STATE(3251), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25464] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5167), 1,
      anon_sym_COLON,
    ACTIONS(5169), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1763), 1,
      sym_block,
    STATE(3084), 1,
      sym_heredoc_content,
    STATE(3620), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25496] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5171), 1,
      anon_sym_COLON,
    ACTIONS(5173), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1764), 1,
      sym_block,
    STATE(3085), 1,
      sym_heredoc_content,
    STATE(3623), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25528] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5175), 1,
      anon_sym_COLON,
    ACTIONS(5177), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1002), 1,
      sym_block,
    STATE(3086), 1,
      sym_heredoc_content,
    STATE(3795), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25560] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5179), 1,
      anon_sym_COLON,
    ACTIONS(5181), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1003), 1,
      sym_block,
    STATE(3087), 1,
      sym_heredoc_content,
    STATE(3801), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25592] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(5183), 1,
      anon_sym_COLON,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3088), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1139), 2,
      sym_block,
      sym__semicolon,
  [25620] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5185), 1,
      anon_sym_COLON,
    ACTIONS(5187), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(957), 1,
      sym_block,
    STATE(3089), 1,
      sym_heredoc_content,
    STATE(3733), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25652] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5189), 1,
      anon_sym_COLON,
    ACTIONS(5191), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(958), 1,
      sym_block,
    STATE(3090), 1,
      sym_heredoc_content,
    STATE(3736), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25684] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4952), 1,
      sym_prototype,
    ACTIONS(5193), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1400), 1,
      sym_block,
    STATE(3091), 1,
      sym_heredoc_content,
    STATE(3613), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25716] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(5195), 1,
      anon_sym_COLON,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3092), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1010), 2,
      sym_block,
      sym__semicolon,
  [25744] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3093), 1,
      sym_heredoc_content,
    STATE(3108), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3256), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25772] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3083), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3094), 1,
      sym_heredoc_content,
    STATE(3146), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25800] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3095), 1,
      sym_heredoc_content,
    STATE(3343), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25828] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4886), 1,
      sym_prototype,
    ACTIONS(5197), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1351), 1,
      sym_block,
    STATE(3096), 1,
      sym_heredoc_content,
    STATE(3619), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25860] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4862), 1,
      sym_prototype,
    ACTIONS(5199), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1374), 1,
      sym_block,
    STATE(3097), 1,
      sym_heredoc_content,
    STATE(3622), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25892] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5201), 1,
      anon_sym_COLON,
    ACTIONS(5203), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(950), 1,
      sym_block,
    STATE(3098), 1,
      sym_heredoc_content,
    STATE(3652), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25924] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3099), 1,
      sym_heredoc_content,
    STATE(3105), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3241), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [25952] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4890), 1,
      sym_prototype,
    ACTIONS(5205), 1,
      anon_sym_COLON,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1633), 1,
      sym_block,
    STATE(3100), 1,
      sym_heredoc_content,
    STATE(3794), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [25984] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4864), 1,
      sym_prototype,
    ACTIONS(5207), 1,
      anon_sym_COLON,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1635), 1,
      sym_block,
    STATE(3101), 1,
      sym_heredoc_content,
    STATE(3799), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26016] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5209), 1,
      anon_sym_COLON,
    ACTIONS(5211), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1016), 1,
      sym_block,
    STATE(3102), 1,
      sym_heredoc_content,
    STATE(3627), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26048] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5213), 1,
      anon_sym_COLON,
    ACTIONS(5215), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1017), 1,
      sym_block,
    STATE(3103), 1,
      sym_heredoc_content,
    STATE(3630), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26080] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(5217), 1,
      anon_sym_COLON,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3104), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1013), 2,
      sym_block,
      sym__semicolon,
  [26108] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3105), 1,
      sym_heredoc_content,
    STATE(3260), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26136] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5219), 1,
      anon_sym_COLON,
    ACTIONS(5221), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(966), 1,
      sym_block,
    STATE(3106), 1,
      sym_heredoc_content,
    STATE(3760), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26168] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5155), 1,
      anon_sym_my,
    ACTIONS(5223), 1,
      anon_sym_LPAREN,
    STATE(3107), 1,
      sym_heredoc_content,
    STATE(3939), 1,
      sym_scalar,
    STATE(4147), 1,
      sym__for_initializer,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5159), 2,
      anon_sym_state,
      anon_sym_our,
  [26198] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3108), 1,
      sym_heredoc_content,
    STATE(3182), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26226] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3109), 1,
      sym_heredoc_content,
    STATE(3307), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26254] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3110), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2446), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2448), 4,
      sym__attribute_value_begin,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [26276] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(5225), 1,
      anon_sym_COLON,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3111), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1141), 2,
      sym_block,
      sym__semicolon,
  [26304] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(5227), 1,
      anon_sym_COLON,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3112), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(945), 2,
      sym_block,
      sym__semicolon,
  [26332] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5229), 1,
      anon_sym_COLON,
    ACTIONS(5231), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1024), 1,
      sym_block,
    STATE(3113), 1,
      sym_heredoc_content,
    STATE(3671), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26364] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5233), 1,
      anon_sym_COLON,
    ACTIONS(5235), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1025), 1,
      sym_block,
    STATE(3114), 1,
      sym_heredoc_content,
    STATE(3680), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26396] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5237), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(951), 1,
      sym_block,
    STATE(3115), 1,
      sym_heredoc_content,
    STATE(3654), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26428] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5241), 1,
      anon_sym_COLON,
    ACTIONS(5243), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1034), 1,
      sym_block,
    STATE(3116), 1,
      sym_heredoc_content,
    STATE(3684), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26460] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5245), 1,
      anon_sym_COLON,
    ACTIONS(5247), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1035), 1,
      sym_block,
    STATE(3117), 1,
      sym_heredoc_content,
    STATE(3687), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26492] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(5249), 1,
      anon_sym_COLON,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3118), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(947), 2,
      sym_block,
      sym__semicolon,
  [26520] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5251), 1,
      anon_sym_COLON,
    ACTIONS(5253), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2313), 1,
      sym_block,
    STATE(3119), 1,
      sym_heredoc_content,
    STATE(3615), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26552] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3120), 1,
      sym_heredoc_content,
    STATE(3123), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3224), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26580] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5255), 1,
      anon_sym_COLON,
    ACTIONS(5257), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2330), 1,
      sym_block,
    STATE(3121), 1,
      sym_heredoc_content,
    STATE(3617), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26612] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3122), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2446), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2448), 4,
      sym__PERLY_SEMICOLON,
      sym__attribute_value_begin,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [26634] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3123), 1,
      sym_heredoc_content,
    STATE(3309), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26662] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3124), 1,
      sym_heredoc_content,
    STATE(3126), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3323), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26690] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3125), 1,
      sym_heredoc_content,
    STATE(3134), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3196), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26718] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3126), 1,
      sym_heredoc_content,
    STATE(3243), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26746] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3067), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3127), 1,
      sym_heredoc_content,
    STATE(3157), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26774] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5259), 1,
      sym__attribute_value_begin,
    STATE(3128), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2450), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2452), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [26798] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3109), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3129), 1,
      sym_heredoc_content,
    STATE(3302), 1,
      sym__quotelike_middle,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26826] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4826), 1,
      sym_prototype,
    ACTIONS(5261), 1,
      anon_sym_COLON,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2291), 1,
      sym_block,
    STATE(3130), 1,
      sym_heredoc_content,
    STATE(3634), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26858] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5263), 1,
      anon_sym_COLON,
    ACTIONS(5265), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(938), 1,
      sym_block,
    STATE(3131), 1,
      sym_heredoc_content,
    STATE(3632), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26890] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4830), 1,
      sym_prototype,
    ACTIONS(5267), 1,
      anon_sym_COLON,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2292), 1,
      sym_block,
    STATE(3132), 1,
      sym_heredoc_content,
    STATE(3636), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26922] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5269), 1,
      anon_sym_COLON,
    ACTIONS(5271), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1152), 1,
      sym_block,
    STATE(3133), 1,
      sym_heredoc_content,
    STATE(3725), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [26954] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4040), 1,
      sym__quotelike_middle_close_quote,
    STATE(3134), 1,
      sym_heredoc_content,
    STATE(3209), 1,
      sym__quotelike_middle,
    STATE(3369), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3645), 1,
      sym__quotelike_middle_close,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5123), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [26982] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5273), 1,
      anon_sym_COLON,
    ACTIONS(5275), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2203), 1,
      sym_block,
    STATE(3135), 1,
      sym_heredoc_content,
    STATE(3624), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27014] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5277), 1,
      anon_sym_COLON,
    ACTIONS(5279), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2204), 1,
      sym_block,
    STATE(3136), 1,
      sym_heredoc_content,
    STATE(3625), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27046] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(4932), 1,
      sym_prototype,
    ACTIONS(5281), 1,
      anon_sym_COLON,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1392), 1,
      sym_block,
    STATE(3137), 1,
      sym_heredoc_content,
    STATE(3628), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27078] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5283), 1,
      anon_sym_COLON,
    ACTIONS(5285), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1153), 1,
      sym_block,
    STATE(3138), 1,
      sym_heredoc_content,
    STATE(3729), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27110] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5287), 1,
      anon_sym_COLON,
    ACTIONS(5289), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1133), 1,
      sym_block,
    STATE(3139), 1,
      sym_heredoc_content,
    STATE(3666), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27142] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5291), 1,
      anon_sym_COLON,
    ACTIONS(5293), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1134), 1,
      sym_block,
    STATE(3140), 1,
      sym_heredoc_content,
    STATE(3672), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27174] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5295), 1,
      anon_sym_COLON,
    ACTIONS(5297), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(937), 1,
      sym_block,
    STATE(3141), 1,
      sym_heredoc_content,
    STATE(3643), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27206] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5155), 1,
      anon_sym_my,
    ACTIONS(5299), 1,
      anon_sym_LPAREN,
    STATE(3142), 1,
      sym_heredoc_content,
    STATE(3939), 1,
      sym_scalar,
    STATE(4142), 1,
      sym__for_initializer,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5159), 2,
      anon_sym_state,
      anon_sym_our,
  [27236] = 10,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5301), 1,
      anon_sym_COLON,
    ACTIONS(5303), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(967), 1,
      sym_block,
    STATE(3143), 1,
      sym_heredoc_content,
    STATE(3761), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27268] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5305), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1334), 1,
      sym_block,
    STATE(3144), 1,
      sym_heredoc_content,
    STATE(3662), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27297] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1624), 1,
      sym__quotelike_end,
    STATE(3145), 1,
      sym_heredoc_content,
    STATE(3156), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27322] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1275), 1,
      sym__quotelike_end,
    STATE(3146), 1,
      sym_heredoc_content,
    STATE(3250), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27347] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3147), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1137), 2,
      sym_block,
      sym__semicolon,
  [27372] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5309), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2167), 1,
      sym_block,
    STATE(3148), 1,
      sym_heredoc_content,
    STATE(3762), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27401] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5311), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2245), 1,
      sym_block,
    STATE(3149), 1,
      sym_heredoc_content,
    STATE(3685), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27430] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5313), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2247), 1,
      sym_block,
    STATE(3150), 1,
      sym_heredoc_content,
    STATE(3686), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27459] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3151), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2446), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2448), 3,
      sym__attribute_value_begin,
      sym__signature_start,
      anon_sym_LBRACE,
  [27480] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5315), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1842), 1,
      sym_block,
    STATE(3152), 1,
      sym_heredoc_content,
    STATE(3755), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27509] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5317), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1848), 1,
      sym_block,
    STATE(3153), 1,
      sym_heredoc_content,
    STATE(3756), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27538] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      sym__quotelike_end_quote,
    STATE(1641), 1,
      sym__quotelike_end,
    STATE(3154), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27563] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1567), 1,
      sym__quotelike_end,
    STATE(3155), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27588] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4056), 1,
      sym__quotelike_end_quote,
    STATE(1642), 1,
      sym__quotelike_end,
    STATE(3156), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27613] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4090), 1,
      sym__quotelike_end_quote,
    STATE(1643), 1,
      sym__quotelike_end,
    STATE(3157), 1,
      sym_heredoc_content,
    STATE(3163), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27638] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5319), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2170), 1,
      sym_block,
    STATE(3158), 1,
      sym_heredoc_content,
    STATE(3765), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27667] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4124), 1,
      sym__quotelike_end_quote,
    STATE(2122), 1,
      sym__quotelike_end,
    STATE(3159), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27692] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5321), 1,
      anon_sym_DOLLAR,
    ACTIONS(5323), 1,
      anon_sym_STAR,
    STATE(1629), 1,
      sym_scalar,
    STATE(1651), 1,
      sym_method,
    STATE(3160), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4394), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [27719] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5325), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1176), 1,
      sym_block,
    STATE(3161), 1,
      sym_heredoc_content,
    STATE(3772), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27748] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5327), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1178), 1,
      sym_block,
    STATE(3162), 1,
      sym_heredoc_content,
    STATE(3774), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27777] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4090), 1,
      sym__quotelike_end_quote,
    STATE(1603), 1,
      sym__quotelike_end,
    STATE(3163), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27802] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4090), 1,
      sym__quotelike_end_quote,
    STATE(1659), 1,
      sym__quotelike_end,
    STATE(3164), 1,
      sym_heredoc_content,
    STATE(3168), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27827] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3165), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1026), 2,
      sym_block,
      sym__semicolon,
  [27852] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5329), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1927), 1,
      sym_block,
    STATE(3166), 1,
      sym_heredoc_content,
    STATE(3778), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27881] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5331), 1,
      sym_prototype,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1934), 1,
      sym_block,
    STATE(3167), 1,
      sym_heredoc_content,
    STATE(3779), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [27910] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4090), 1,
      sym__quotelike_end_quote,
    STATE(1665), 1,
      sym__quotelike_end,
    STATE(3168), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [27935] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3169), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1028), 2,
      sym_block,
      sym__semicolon,
  [27960] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5335), 1,
      anon_sym_GT,
    STATE(3170), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5333), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(4099), 2,
      sym_scalar,
      sym_bareword,
  [27985] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5337), 1,
      anon_sym_COLON,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1072), 1,
      sym_block,
    STATE(3171), 1,
      sym_heredoc_content,
    STATE(3611), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28014] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3172), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2395), 6,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_version,
      sym_number,
  [28033] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1353), 1,
      sym__quotelike_end,
    STATE(3173), 1,
      sym_heredoc_content,
    STATE(3200), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28058] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4120), 1,
      sym__quotelike_end_quote,
    STATE(2004), 1,
      sym__quotelike_end,
    STATE(3174), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28083] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5339), 1,
      anon_sym_DOLLAR,
    ACTIONS(5341), 1,
      anon_sym_STAR,
    STATE(1238), 1,
      sym_method,
    STATE(1268), 1,
      sym_scalar,
    STATE(3175), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4614), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [28110] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1760), 1,
      sym__quotelike_end,
    STATE(3176), 1,
      sym_heredoc_content,
    STATE(3290), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28135] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5343), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1100), 1,
      sym_block,
    STATE(3177), 1,
      sym_heredoc_content,
    STATE(3784), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28164] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5345), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1102), 1,
      sym_block,
    STATE(3178), 1,
      sym_heredoc_content,
    STATE(3785), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28193] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3179), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1173), 2,
      sym_block,
      sym__semicolon,
  [28218] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5347), 1,
      sym__attribute_value_begin,
    STATE(3180), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2452), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2450), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [28241] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1563), 1,
      sym__quotelike_end,
    STATE(3181), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28266] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1564), 1,
      sym__quotelike_end,
    STATE(3182), 1,
      sym_heredoc_content,
    STATE(3253), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28291] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5349), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1106), 1,
      sym_block,
    STATE(3183), 1,
      sym_heredoc_content,
    STATE(3787), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28320] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5351), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1108), 1,
      sym_block,
    STATE(3184), 1,
      sym_heredoc_content,
    STATE(3788), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28349] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2334), 1,
      sym__quotelike_end,
    STATE(3185), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28374] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3186), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1174), 2,
      sym_block,
      sym__semicolon,
  [28399] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3187), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1080), 2,
      sym_block,
      sym__semicolon,
  [28424] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5353), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2084), 1,
      sym_block,
    STATE(3188), 1,
      sym_heredoc_content,
    STATE(3705), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28453] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3189), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2427), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
    ACTIONS(2432), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [28474] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2352), 1,
      sym__quotelike_end,
    STATE(3190), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28499] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3191), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2530), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2532), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [28520] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4118), 1,
      sym__quotelike_end_quote,
    STATE(1274), 1,
      sym__quotelike_end,
    STATE(3192), 1,
      sym_heredoc_content,
    STATE(3246), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28545] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2097), 1,
      sym__quotelike_end,
    STATE(3193), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28570] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2355), 1,
      sym__quotelike_end,
    STATE(3194), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28595] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3195), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4228), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [28614] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2101), 1,
      sym__quotelike_end,
    STATE(3196), 1,
      sym_heredoc_content,
    STATE(3205), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28639] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1656), 1,
      sym__quotelike_end,
    STATE(3197), 1,
      sym_heredoc_content,
    STATE(3249), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28664] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1598), 1,
      sym__quotelike_end,
    STATE(3155), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3198), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28689] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1663), 1,
      sym__quotelike_end,
    STATE(3199), 1,
      sym_heredoc_content,
    STATE(3240), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28714] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1312), 1,
      sym__quotelike_end,
    STATE(3200), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28739] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(1601), 1,
      sym__quotelike_end,
    STATE(3201), 1,
      sym_heredoc_content,
    STATE(3234), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28764] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4068), 1,
      sym__quotelike_end_quote,
    STATE(1546), 1,
      sym__quotelike_end,
    STATE(3202), 1,
      sym_heredoc_content,
    STATE(3237), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28789] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5355), 1,
      sym_prototype,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2092), 1,
      sym_block,
    STATE(3203), 1,
      sym_heredoc_content,
    STATE(3708), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [28818] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1989), 1,
      sym__quotelike_end,
    STATE(3204), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28843] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2115), 1,
      sym__quotelike_end,
    STATE(3205), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28868] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3206), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2534), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2536), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
  [28889] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3207), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(959), 2,
      sym_block,
      sym__semicolon,
  [28914] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3208), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2530), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2532), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [28935] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2116), 1,
      sym__quotelike_end,
    STATE(3209), 1,
      sym_heredoc_content,
    STATE(3213), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [28960] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3210), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(961), 2,
      sym_block,
      sym__semicolon,
  [28985] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1344), 1,
      sym__quotelike_end,
    STATE(3211), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29010] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1851), 1,
      sym__quotelike_end,
    STATE(3212), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29035] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2123), 1,
      sym__quotelike_end,
    STATE(3213), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29060] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3214), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5357), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [29079] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3215), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5359), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [29098] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1640), 1,
      sym__quotelike_end,
    STATE(3216), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29123] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5361), 1,
      anon_sym_GT,
    STATE(3217), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5333), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(3916), 2,
      sym_scalar,
      sym_bareword,
  [29148] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1853), 1,
      sym__quotelike_end,
    STATE(3218), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29173] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4058), 1,
      sym__quotelike_end_quote,
    STATE(2012), 1,
      sym__quotelike_end,
    STATE(3219), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29198] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(191), 1,
      sym_package,
    STATE(3220), 1,
      sym_heredoc_content,
    STATE(3659), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    ACTIONS(5363), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [29223] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(2007), 1,
      sym__quotelike_end,
    STATE(3221), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29248] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1644), 1,
      sym__quotelike_end,
    STATE(3222), 1,
      sym_heredoc_content,
    STATE(3227), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29273] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3223), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(943), 2,
      sym_block,
      sym__semicolon,
  [29298] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4120), 1,
      sym__quotelike_end_quote,
    STATE(2023), 1,
      sym__quotelike_end,
    STATE(3224), 1,
      sym_heredoc_content,
    STATE(3278), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29323] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3225), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1007), 2,
      sym_block,
      sym__semicolon,
  [29348] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3226), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4679), 6,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_undef,
      anon_sym_PERCENT2,
  [29367] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1660), 1,
      sym__quotelike_end,
    STATE(3227), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29392] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5365), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(903), 1,
      sym_block,
    STATE(3228), 1,
      sym_heredoc_content,
    STATE(3721), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29421] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5367), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1619), 1,
      sym_block,
    STATE(3229), 1,
      sym_heredoc_content,
    STATE(3633), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29450] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1661), 1,
      sym__quotelike_end,
    STATE(3230), 1,
      sym_heredoc_content,
    STATE(3233), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29475] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5369), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1639), 1,
      sym_block,
    STATE(3231), 1,
      sym_heredoc_content,
    STATE(3638), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29504] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4124), 1,
      sym__quotelike_end_quote,
    STATE(2113), 1,
      sym__quotelike_end,
    STATE(3232), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29529] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1666), 1,
      sym__quotelike_end,
    STATE(3233), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29554] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4066), 1,
      sym__quotelike_end_quote,
    STATE(1568), 1,
      sym__quotelike_end,
    STATE(3234), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29579] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3235), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4169), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [29598] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5371), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(969), 1,
      sym_block,
    STATE(3236), 1,
      sym_heredoc_content,
    STATE(3603), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29627] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4068), 1,
      sym__quotelike_end_quote,
    STATE(1569), 1,
      sym__quotelike_end,
    STATE(3237), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29652] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3238), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1156), 2,
      sym_block,
      sym__semicolon,
  [29677] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5373), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(971), 1,
      sym_block,
    STATE(3239), 1,
      sym_heredoc_content,
    STATE(3770), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [29706] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1678), 1,
      sym__quotelike_end,
    STATE(3240), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29731] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1576), 1,
      sym__quotelike_end,
    STATE(3241), 1,
      sym_heredoc_content,
    STATE(3259), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29756] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3242), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5375), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [29775] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4124), 1,
      sym__quotelike_end_quote,
    STATE(2114), 1,
      sym__quotelike_end,
    STATE(3159), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3243), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29800] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5377), 1,
      anon_sym_GT,
    STATE(3244), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5333), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(4105), 2,
      sym_scalar,
      sym_bareword,
  [29825] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2263), 1,
      sym__quotelike_end,
    STATE(3185), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3245), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29850] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4118), 1,
      sym__quotelike_end_quote,
    STATE(1262), 1,
      sym__quotelike_end,
    STATE(3246), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29875] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5379), 1,
      anon_sym_GT,
    STATE(3247), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5333), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(4150), 2,
      sym_scalar,
      sym_bareword,
  [29900] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5381), 1,
      anon_sym_DOLLAR,
    ACTIONS(5383), 1,
      anon_sym_STAR,
    STATE(1548), 1,
      sym_scalar,
    STATE(1549), 1,
      sym_method,
    STATE(3248), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4586), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [29927] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1675), 1,
      sym__quotelike_end,
    STATE(3249), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29952] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1264), 1,
      sym__quotelike_end,
    STATE(3250), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [29977] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1265), 1,
      sym__quotelike_end,
    STATE(3251), 1,
      sym_heredoc_content,
    STATE(3317), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30002] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5385), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1164), 1,
      sym_block,
    STATE(3252), 1,
      sym_heredoc_content,
    STATE(3742), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30031] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1597), 1,
      sym__quotelike_end,
    STATE(3253), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30056] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5387), 1,
      sym_prototype,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1166), 1,
      sym_block,
    STATE(3254), 1,
      sym_heredoc_content,
    STATE(3743), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30085] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3255), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5389), 6,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_undef,
      anon_sym_PERCENT2,
  [30104] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1544), 1,
      sym__quotelike_end,
    STATE(3181), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3256), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30129] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5391), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1037), 1,
      sym_block,
    STATE(3257), 1,
      sym_heredoc_content,
    STATE(3688), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30158] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5393), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1042), 1,
      sym_block,
    STATE(3258), 1,
      sym_heredoc_content,
    STATE(3690), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30187] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1559), 1,
      sym__quotelike_end,
    STATE(3259), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30212] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1560), 1,
      sym__quotelike_end,
    STATE(3260), 1,
      sym_heredoc_content,
    STATE(3273), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30237] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1270), 1,
      sym__quotelike_end,
    STATE(3261), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30262] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1975), 1,
      sym__quotelike_end,
    STATE(3204), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3262), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30287] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(172), 1,
      sym_package,
    STATE(3263), 1,
      sym_heredoc_content,
    STATE(3629), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    ACTIONS(5363), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [30312] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5395), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1754), 1,
      sym_block,
    STATE(3264), 1,
      sym_heredoc_content,
    STATE(3715), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30341] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5399), 1,
      anon_sym_COMMA,
    STATE(3265), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5397), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [30362] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3266), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1084), 2,
      sym_block,
      sym__semicolon,
  [30387] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5401), 1,
      sym_prototype,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1756), 1,
      sym_block,
    STATE(3267), 1,
      sym_heredoc_content,
    STATE(3718), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30416] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3268), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2534), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
    ACTIONS(2536), 3,
      sym__PERLY_SEMICOLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [30437] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5403), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(997), 1,
      sym_block,
    STATE(3269), 1,
      sym_heredoc_content,
    STATE(3724), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30466] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5405), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1012), 1,
      sym_block,
    STATE(3270), 1,
      sym_heredoc_content,
    STATE(3726), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30495] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5407), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1337), 1,
      sym_block,
    STATE(3271), 1,
      sym_heredoc_content,
    STATE(3667), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30524] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1286), 1,
      sym__quotelike_end,
    STATE(3211), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3272), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30549] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4084), 1,
      sym__quotelike_end_quote,
    STATE(1596), 1,
      sym__quotelike_end,
    STATE(3273), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30574] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2300), 1,
      sym__quotelike_end,
    STATE(3190), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3274), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30599] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3275), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4232), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [30618] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5409), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1049), 1,
      sym_block,
    STATE(3276), 1,
      sym_heredoc_content,
    STATE(3748), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30647] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5411), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1051), 1,
      sym_block,
    STATE(3277), 1,
      sym_heredoc_content,
    STATE(3749), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30676] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4120), 1,
      sym__quotelike_end_quote,
    STATE(2014), 1,
      sym__quotelike_end,
    STATE(3278), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30701] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5413), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1411), 1,
      sym_block,
    STATE(3279), 1,
      sym_heredoc_content,
    STATE(3791), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30730] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5415), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1057), 1,
      sym_block,
    STATE(3280), 1,
      sym_heredoc_content,
    STATE(3751), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30759] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5417), 1,
      sym_prototype,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1060), 1,
      sym_block,
    STATE(3281), 1,
      sym_heredoc_content,
    STATE(3754), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30788] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5419), 1,
      sym_prototype,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1414), 1,
      sym_block,
    STATE(3282), 1,
      sym_heredoc_content,
    STATE(3797), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [30817] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2086), 1,
      sym__quotelike_end,
    STATE(3193), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3283), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30842] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4122), 1,
      sym__quotelike_end_quote,
    STATE(2303), 1,
      sym__quotelike_end,
    STATE(3194), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3284), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30867] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1243), 1,
      sym__quotelike_end,
    STATE(3261), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3285), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30892] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(2087), 1,
      sym__quotelike_end,
    STATE(3286), 1,
      sym_heredoc_content,
    STATE(3319), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30917] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2088), 1,
      sym__quotelike_end,
    STATE(3287), 1,
      sym_heredoc_content,
    STATE(3321), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30942] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1289), 1,
      sym__quotelike_end,
    STATE(3288), 1,
      sym_heredoc_content,
    STATE(3313), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [30967] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3289), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(978), 2,
      sym_block,
      sym__semicolon,
  [30992] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4078), 1,
      sym__quotelike_end_quote,
    STATE(1713), 1,
      sym__quotelike_end,
    STATE(3290), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31017] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2055), 1,
      sym__quotelike_end,
    STATE(3291), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31042] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3292), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(979), 2,
      sym_block,
      sym__semicolon,
  [31067] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4064), 1,
      sym__quotelike_end_quote,
    STATE(1279), 1,
      sym__quotelike_end,
    STATE(3293), 1,
      sym_heredoc_content,
    STATE(3320), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31092] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3294), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4236), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [31111] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    STATE(3295), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4236), 5,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [31132] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2103), 1,
      sym__quotelike_end,
    STATE(3296), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31157] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5423), 1,
      anon_sym_DOLLAR,
    ACTIONS(5425), 1,
      anon_sym_STAR,
    STATE(2025), 1,
      sym_scalar,
    STATE(2036), 1,
      sym_method,
    STATE(3297), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4562), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [31184] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2009), 1,
      sym__quotelike_end,
    STATE(3298), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31209] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5427), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(981), 1,
      sym_block,
    STATE(3299), 1,
      sym_heredoc_content,
    STATE(3808), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31238] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2106), 1,
      sym__quotelike_end,
    STATE(3300), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31263] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5429), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(983), 1,
      sym_block,
    STATE(3301), 1,
      sym_heredoc_content,
    STATE(3810), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31292] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2029), 1,
      sym__quotelike_end,
    STATE(3302), 1,
      sym_heredoc_content,
    STATE(3306), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31317] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3303), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5431), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [31336] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5433), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(901), 1,
      sym_block,
    STATE(3304), 1,
      sym_heredoc_content,
    STATE(3606), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31365] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(159), 1,
      sym_package,
    STATE(3305), 1,
      sym_heredoc_content,
    STATE(3800), 1,
      sym__version,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4938), 2,
      sym_version,
      sym_number,
    ACTIONS(5363), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [31390] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2021), 1,
      sym__quotelike_end,
    STATE(3306), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31415] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2013), 1,
      sym__quotelike_end,
    STATE(3307), 1,
      sym_heredoc_content,
    STATE(3308), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31440] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2006), 1,
      sym__quotelike_end,
    STATE(3308), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31465] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4120), 1,
      sym__quotelike_end_quote,
    STATE(2015), 1,
      sym__quotelike_end,
    STATE(3174), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3309), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31490] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5435), 1,
      anon_sym_GT,
    STATE(3310), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5333), 2,
      sym__identifier,
      aux_sym__bareword_token1,
    STATE(4081), 2,
      sym_scalar,
      sym_bareword,
  [31515] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5437), 1,
      anon_sym_COLON,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1123), 1,
      sym_block,
    STATE(3311), 1,
      sym_heredoc_content,
    STATE(3621), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31544] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3312), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5439), 6,
      sym__PERLY_SEMICOLON,
      sym__ctrl_z_hack,
      anon_sym_SEMI,
      anon_sym___DATA__,
      anon_sym___END__,
      anon_sym_EOT,
  [31563] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1347), 1,
      sym__quotelike_end,
    STATE(3313), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31588] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4118), 1,
      sym__quotelike_end_quote,
    STATE(1235), 1,
      sym__quotelike_end,
    STATE(3314), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31613] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3315), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5097), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [31632] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5441), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2348), 1,
      sym_block,
    STATE(3316), 1,
      sym_heredoc_content,
    STATE(3663), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31661] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4088), 1,
      sym__quotelike_end_quote,
    STATE(1241), 1,
      sym__quotelike_end,
    STATE(3317), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31686] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5443), 1,
      sym_prototype,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2350), 1,
      sym_block,
    STATE(3318), 1,
      sym_heredoc_content,
    STATE(3665), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31715] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4070), 1,
      sym__quotelike_end_quote,
    STATE(2098), 1,
      sym__quotelike_end,
    STATE(3319), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31740] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4064), 1,
      sym__quotelike_end_quote,
    STATE(1271), 1,
      sym__quotelike_end,
    STATE(3320), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31765] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4054), 1,
      sym__quotelike_end_quote,
    STATE(2099), 1,
      sym__quotelike_end,
    STATE(3321), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31790] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2179), 1,
      sym__quotelike_end,
    STATE(3291), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3322), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31815] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4124), 1,
      sym__quotelike_end_quote,
    STATE(2100), 1,
      sym__quotelike_end,
    STATE(3232), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3323), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31840] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3324), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2427), 3,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2432), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [31861] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5445), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(894), 1,
      sym_block,
    STATE(3325), 1,
      sym_heredoc_content,
    STATE(3647), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31890] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1896), 1,
      sym__quotelike_end,
    STATE(3212), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3326), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31915] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5447), 1,
      sym_prototype,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(896), 1,
      sym_block,
    STATE(3327), 1,
      sym_heredoc_content,
    STATE(3803), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [31944] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1622), 1,
      sym__quotelike_end,
    STATE(3216), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3328), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31969] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4060), 1,
      sym__quotelike_end_quote,
    STATE(1273), 1,
      sym__quotelike_end,
    STATE(3329), 1,
      sym_heredoc_content,
    STATE(3353), 1,
      aux_sym__noninterpolated_string_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [31994] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5449), 1,
      anon_sym_DOLLAR,
    ACTIONS(5451), 1,
      anon_sym_STAR,
    STATE(2090), 1,
      sym_scalar,
    STATE(2108), 1,
      sym_method,
    STATE(3330), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4634), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [32021] = 9,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    ACTIONS(5453), 1,
      anon_sym_COLON,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(933), 1,
      sym_block,
    STATE(3331), 1,
      sym_heredoc_content,
    STATE(3769), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32050] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4060), 1,
      sym__quotelike_end_quote,
    STATE(1254), 1,
      sym__quotelike_end,
    STATE(3329), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3332), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32075] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4082), 1,
      sym__quotelike_end_quote,
    STATE(1915), 1,
      sym__quotelike_end,
    STATE(3218), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3333), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32100] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3334), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5115), 6,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [32119] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4062), 1,
      sym__quotelike_end_quote,
    STATE(1623), 1,
      sym__quotelike_end,
    STATE(3154), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3335), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32144] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3336), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4240), 6,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_RBRACK,
  [32163] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2164), 1,
      sym__quotelike_end,
    STATE(3296), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3337), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32188] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2000), 1,
      sym__quotelike_end,
    STATE(3298), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3338), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32213] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4086), 1,
      sym__quotelike_end_quote,
    STATE(2172), 1,
      sym__quotelike_end,
    STATE(3300), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3339), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32238] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4058), 1,
      sym__quotelike_end_quote,
    STATE(2043), 1,
      sym__quotelike_end,
    STATE(3219), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3340), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32263] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(3341), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    STATE(1154), 2,
      sym_block,
      sym__semicolon,
  [32288] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4050), 1,
      sym__quotelike_end_quote,
    STATE(2019), 1,
      sym__quotelike_end,
    STATE(3221), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3342), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32313] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4118), 1,
      sym__quotelike_end_quote,
    STATE(1263), 1,
      sym__quotelike_end,
    STATE(3314), 1,
      aux_sym__noninterpolated_string_content,
    STATE(3343), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5307), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32338] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4462), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5455), 1,
      sym__identifier,
    ACTIONS(5457), 1,
      anon_sym_DOLLAR,
    STATE(1581), 1,
      sym__ident_special,
    STATE(1582), 1,
      sym_varname,
    STATE(3344), 1,
      sym_heredoc_content,
  [32366] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5459), 2,
      anon_sym_extended,
      anon_sym_async,
    ACTIONS(5462), 2,
      anon_sym_sub,
      anon_sym_method,
    STATE(3345), 2,
      sym_heredoc_content,
      aux_sym_subroutine_declaration_statement_repeat1,
  [32386] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3346), 1,
      sym_heredoc_content,
    STATE(3354), 1,
      aux_sym__term_rightward_repeat1,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2731), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(3859), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
  [32408] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3347), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2536), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2534), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [32428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5464), 1,
      sym__identifier,
    ACTIONS(5466), 1,
      anon_sym_DOLLAR,
    STATE(2078), 1,
      sym__ident_special,
    STATE(2080), 1,
      sym_varname,
    STATE(3348), 1,
      sym_heredoc_content,
  [32456] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5464), 1,
      sym__identifier,
    ACTIONS(5466), 1,
      anon_sym_DOLLAR,
    STATE(2078), 1,
      sym__ident_special,
    STATE(2082), 1,
      sym_varname,
    STATE(3349), 1,
      sym_heredoc_content,
  [32484] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5468), 1,
      anon_sym_COMMA,
    ACTIONS(5470), 1,
      anon_sym_RPAREN,
    STATE(3350), 1,
      sym_heredoc_content,
    STATE(3383), 1,
      aux_sym__for_initializer_repeat1,
    STATE(3815), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32510] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5472), 1,
      anon_sym_sub,
    ACTIONS(5474), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3351), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [32534] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5476), 1,
      anon_sym_sub,
    ACTIONS(5478), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3352), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [32558] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5480), 1,
      sym__quotelike_end_quote,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3353), 2,
      aux_sym__noninterpolated_string_content,
      sym_heredoc_content,
    ACTIONS(5482), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32578] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2672), 2,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
    ACTIONS(5485), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(3354), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
  [32598] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5488), 1,
      sym__identifier,
    ACTIONS(5490), 1,
      anon_sym_DOLLAR,
    STATE(1233), 1,
      sym__ident_special,
    STATE(1240), 1,
      sym_varname,
    STATE(3355), 1,
      sym_heredoc_content,
  [32626] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5492), 1,
      anon_sym_sub,
    ACTIONS(5494), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3356), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [32650] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2672), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(5496), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
    STATE(3357), 2,
      sym_heredoc_content,
      aux_sym__term_rightward_repeat1,
  [32670] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5499), 1,
      sym__identifier,
    ACTIONS(5501), 1,
      anon_sym_DOLLAR,
    STATE(2138), 1,
      sym__ident_special,
    STATE(2140), 1,
      sym_varname,
    STATE(3358), 1,
      sym_heredoc_content,
  [32698] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5499), 1,
      sym__identifier,
    ACTIONS(5501), 1,
      anon_sym_DOLLAR,
    STATE(2138), 1,
      sym__ident_special,
    STATE(2141), 1,
      sym_varname,
    STATE(3359), 1,
      sym_heredoc_content,
  [32726] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3357), 1,
      aux_sym__term_rightward_repeat1,
    STATE(3360), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2731), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
    ACTIONS(3905), 2,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
  [32748] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5503), 1,
      anon_sym_sub,
    ACTIONS(5505), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3361), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [32772] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5507), 1,
      sym__identifier,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR,
    STATE(1857), 1,
      sym__ident_special,
    STATE(1858), 1,
      sym_varname,
    STATE(3362), 1,
      sym_heredoc_content,
  [32800] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5511), 1,
      anon_sym_sub,
    ACTIONS(5513), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3363), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [32824] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5507), 1,
      sym__identifier,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR,
    STATE(1857), 1,
      sym__ident_special,
    STATE(1859), 1,
      sym_varname,
    STATE(3364), 1,
      sym_heredoc_content,
  [32852] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4488), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5499), 1,
      sym__identifier,
    ACTIONS(5501), 1,
      anon_sym_DOLLAR,
    STATE(2138), 1,
      sym__ident_special,
    STATE(2144), 1,
      sym_varname,
    STATE(3365), 1,
      sym_heredoc_content,
  [32880] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4370), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5507), 1,
      sym__identifier,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR,
    STATE(1857), 1,
      sym__ident_special,
    STATE(1862), 1,
      sym_varname,
    STATE(3366), 1,
      sym_heredoc_content,
  [32908] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    ACTIONS(5517), 1,
      anon_sym_AT,
    ACTIONS(5519), 1,
      anon_sym_LBRACK,
    ACTIONS(5521), 1,
      anon_sym_DOLLAR_STAR,
    ACTIONS(5523), 1,
      anon_sym_AT_STAR,
    STATE(3367), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [32934] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4386), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5464), 1,
      sym__identifier,
    ACTIONS(5466), 1,
      anon_sym_DOLLAR,
    STATE(2078), 1,
      sym__ident_special,
    STATE(2079), 1,
      sym_varname,
    STATE(3368), 1,
      sym_heredoc_content,
  [32962] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5480), 1,
      sym__quotelike_middle_close_quote,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3369), 2,
      aux_sym__noninterpolated_string_content,
      sym_heredoc_content,
    ACTIONS(5525), 3,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [32982] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5455), 1,
      sym__identifier,
    ACTIONS(5528), 1,
      anon_sym_DOLLAR,
    STATE(1581), 1,
      sym__ident_special,
    STATE(1582), 1,
      sym_varname,
    STATE(3370), 1,
      sym_heredoc_content,
  [33010] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5455), 1,
      sym__identifier,
    ACTIONS(5528), 1,
      anon_sym_DOLLAR,
    STATE(1581), 1,
      sym__ident_special,
    STATE(1586), 1,
      sym_varname,
    STATE(3371), 1,
      sym_heredoc_content,
  [33038] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4376), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5455), 1,
      sym__identifier,
    ACTIONS(5528), 1,
      anon_sym_DOLLAR,
    STATE(1581), 1,
      sym__ident_special,
    STATE(1588), 1,
      sym_varname,
    STATE(3372), 1,
      sym_heredoc_content,
  [33066] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5488), 1,
      sym__identifier,
    ACTIONS(5490), 1,
      anon_sym_DOLLAR,
    STATE(1233), 1,
      sym__ident_special,
    STATE(1236), 1,
      sym_varname,
    STATE(3373), 1,
      sym_heredoc_content,
  [33094] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(949), 1,
      sym_block,
    STATE(3374), 1,
      sym_heredoc_content,
    STATE(3650), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33120] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3375), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5530), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_AT,
      anon_sym_RPAREN,
      anon_sym_PERCENT2,
  [33138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3376), 1,
      sym_heredoc_content,
    ACTIONS(5532), 5,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      sym__identifier,
      aux_sym__ident_special_token1,
      aux_sym__bareword_token1,
  [33158] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3377), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2427), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2432), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [33178] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5534), 1,
      anon_sym_sub,
    ACTIONS(5536), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3378), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [33202] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4462), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5455), 1,
      sym__identifier,
    ACTIONS(5457), 1,
      anon_sym_DOLLAR,
    STATE(1581), 1,
      sym__ident_special,
    STATE(1588), 1,
      sym_varname,
    STATE(3379), 1,
      sym_heredoc_content,
  [33230] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5468), 1,
      anon_sym_COMMA,
    ACTIONS(5538), 1,
      anon_sym_RPAREN,
    STATE(3350), 1,
      aux_sym__for_initializer_repeat1,
    STATE(3380), 1,
      sym_heredoc_content,
    STATE(3830), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33256] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5540), 1,
      anon_sym_LBRACE,
    ACTIONS(5542), 1,
      anon_sym_AT,
    ACTIONS(5544), 1,
      anon_sym_LBRACK,
    ACTIONS(5546), 1,
      anon_sym_DOLLAR_STAR,
    ACTIONS(5548), 1,
      anon_sym_AT_STAR,
    STATE(3381), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33282] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5550), 1,
      anon_sym_LBRACE,
    ACTIONS(5552), 1,
      anon_sym_AT,
    ACTIONS(5554), 1,
      anon_sym_LBRACK,
    ACTIONS(5556), 1,
      anon_sym_DOLLAR_STAR,
    ACTIONS(5558), 1,
      anon_sym_AT_STAR,
    STATE(3382), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33308] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5560), 1,
      anon_sym_DOLLAR,
    ACTIONS(5563), 1,
      anon_sym_COMMA,
    ACTIONS(5566), 1,
      anon_sym_RPAREN,
    STATE(4031), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    STATE(3383), 2,
      sym_heredoc_content,
      aux_sym__for_initializer_repeat1,
  [33332] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5568), 1,
      anon_sym_sub,
    ACTIONS(5570), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3384), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [33356] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5572), 1,
      anon_sym_LBRACE,
    ACTIONS(5574), 1,
      anon_sym_AT,
    ACTIONS(5576), 1,
      anon_sym_LBRACK,
    ACTIONS(5578), 1,
      anon_sym_DOLLAR_STAR,
    ACTIONS(5580), 1,
      anon_sym_AT_STAR,
    STATE(3385), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33382] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3386), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2532), 2,
      sym__signature_start,
      anon_sym_LBRACE,
    ACTIONS(2530), 3,
      anon_sym_COLON,
      sym__identifier,
      aux_sym__bareword_token1,
  [33402] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3387), 1,
      sym_heredoc_content,
    ACTIONS(5582), 5,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      sym__identifier,
      aux_sym__ident_special_token1,
      aux_sym__bareword_token1,
  [33422] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5584), 1,
      anon_sym_sub,
    ACTIONS(5586), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3388), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [33446] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5588), 1,
      anon_sym_sub,
    ACTIONS(5590), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3389), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [33470] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1015), 1,
      sym_block,
    STATE(3390), 1,
      sym_heredoc_content,
    STATE(3626), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33496] = 8,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(4780), 1,
      sym__signature_start,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1143), 1,
      sym_block,
    STATE(3391), 1,
      sym_heredoc_content,
    STATE(3701), 1,
      sym_signature,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33522] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4352), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5488), 1,
      sym__identifier,
    ACTIONS(5490), 1,
      anon_sym_DOLLAR,
    STATE(1233), 1,
      sym__ident_special,
    STATE(1248), 1,
      sym_varname,
    STATE(3392), 1,
      sym_heredoc_content,
  [33550] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5592), 1,
      anon_sym_sub,
    ACTIONS(5594), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3393), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [33574] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5596), 1,
      anon_sym_sub,
    ACTIONS(5598), 1,
      anon_sym_method,
    STATE(3345), 1,
      aux_sym_subroutine_declaration_statement_repeat1,
    STATE(3394), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4308), 2,
      anon_sym_extended,
      anon_sym_async,
  [33598] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4462), 1,
      aux_sym__ident_special_token1,
    ACTIONS(5455), 1,
      sym__identifier,
    ACTIONS(5457), 1,
      anon_sym_DOLLAR,
    STATE(1581), 1,
      sym__ident_special,
    STATE(1586), 1,
      sym_varname,
    STATE(3395), 1,
      sym_heredoc_content,
  [33626] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5602), 1,
      anon_sym_RBRACK,
    STATE(3396), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [33647] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5604), 1,
      anon_sym_RPAREN,
    STATE(3397), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [33668] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3398), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1881), 4,
      sym_prototype,
      sym__signature_start,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [33685] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2507), 1,
      sym__quotelike_begin,
    STATE(3288), 1,
      sym__apostrophe,
    STATE(3399), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33708] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5608), 1,
      anon_sym_RPAREN,
    STATE(3400), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [33729] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5610), 1,
      anon_sym_RPAREN,
    STATE(3401), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [33750] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5612), 1,
      anon_sym_RPAREN,
    STATE(3402), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [33771] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1168), 1,
      sym_block,
    STATE(1169), 1,
      sym__loop_body,
    STATE(3403), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33794] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5614), 1,
      anon_sym_RBRACK,
    STATE(3404), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [33815] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5616), 1,
      anon_sym_RBRACK,
    STATE(3405), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [33836] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1061), 1,
      sym__loop_body,
    STATE(1075), 1,
      sym_block,
    STATE(3406), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33859] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3407), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4912), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [33876] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3082), 1,
      sym_attribute_name,
    STATE(3324), 1,
      sym_attribute,
    STATE(3408), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4776), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [33897] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5618), 1,
      anon_sym_RBRACK,
    STATE(3409), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [33918] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2513), 1,
      sym__quotelike_begin,
    STATE(3339), 1,
      sym__apostrophe,
    STATE(3410), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33941] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2455), 1,
      sym__quotelike_begin,
    STATE(3340), 1,
      sym__apostrophe,
    STATE(3411), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33964] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2456), 1,
      sym__quotelike_begin,
    STATE(3342), 1,
      sym__apostrophe,
    STATE(3412), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [33987] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5624), 1,
      sym__quotelike_begin_quote,
    STATE(2646), 1,
      sym__quotelike_begin,
    STATE(3129), 1,
      sym__apostrophe,
    STATE(3413), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34010] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5626), 1,
      anon_sym_RPAREN,
    STATE(3414), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34031] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5628), 1,
      anon_sym_RPAREN,
    STATE(3415), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34052] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(905), 1,
      sym__loop_body,
    STATE(973), 1,
      sym_block,
    STATE(3416), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34075] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5630), 1,
      anon_sym_RPAREN,
    STATE(3417), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34096] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3418), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5632), 4,
      sym__quotelike_middle_close_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [34113] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5634), 1,
      anon_sym_RPAREN,
    STATE(3419), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34134] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(973), 1,
      sym_block,
    STATE(974), 1,
      sym__loop_body,
    STATE(3420), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34157] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5636), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34178] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5638), 1,
      anon_sym_RBRACK,
    STATE(3422), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34199] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3423), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5640), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [34216] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5642), 1,
      anon_sym_RBRACK,
    STATE(3424), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34237] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5644), 1,
      anon_sym_RPAREN,
    STATE(3425), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34258] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5646), 1,
      anon_sym_RBRACK,
    STATE(3426), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34279] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5648), 1,
      anon_sym_RPAREN,
    STATE(3427), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34300] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5650), 1,
      anon_sym_RPAREN,
    STATE(3428), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34321] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5652), 1,
      anon_sym_RPAREN,
    STATE(3429), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34342] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1685), 1,
      sym_attribute_name,
    STATE(1831), 1,
      sym_attribute,
    STATE(3430), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3439), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [34363] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5654), 1,
      anon_sym_RBRACK,
    STATE(3431), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34384] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5656), 1,
      anon_sym_RBRACK,
    STATE(3432), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34405] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1044), 1,
      sym__loop_body,
    STATE(1075), 1,
      sym_block,
    STATE(3433), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34428] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5658), 1,
      anon_sym_RPAREN,
    STATE(3434), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34449] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1045), 1,
      sym__loop_body,
    STATE(1075), 1,
      sym_block,
    STATE(3435), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34472] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3436), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1843), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [34489] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5660), 1,
      anon_sym_RBRACK,
    STATE(3437), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34510] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5662), 1,
      anon_sym_RPAREN,
    STATE(3438), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34531] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5664), 1,
      anon_sym_RPAREN,
    STATE(3439), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34552] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5666), 1,
      anon_sym_RBRACK,
    STATE(3440), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34573] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5668), 1,
      anon_sym_RPAREN,
    STATE(3441), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34594] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5670), 1,
      anon_sym_RBRACK,
    STATE(3442), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34615] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5672), 1,
      anon_sym_RBRACK,
    STATE(3443), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34636] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5674), 1,
      anon_sym_RPAREN,
    STATE(3444), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34657] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5676), 1,
      anon_sym_RBRACK,
    STATE(3445), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34678] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5678), 1,
      anon_sym_RPAREN,
    STATE(3446), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34699] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5680), 1,
      anon_sym_RBRACK,
    STATE(3447), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34720] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5682), 1,
      anon_sym_RPAREN,
    STATE(3448), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34741] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5684), 1,
      anon_sym_RBRACK,
    STATE(3449), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34762] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5686), 1,
      anon_sym_RPAREN,
    STATE(3450), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34783] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5688), 1,
      anon_sym_RPAREN,
    STATE(3451), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34804] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5690), 1,
      anon_sym_RPAREN,
    STATE(3452), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34825] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(973), 1,
      sym_block,
    STATE(975), 1,
      sym__loop_body,
    STATE(3453), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34848] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5692), 1,
      anon_sym_RPAREN,
    STATE(3454), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34869] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5694), 1,
      anon_sym_RPAREN,
    STATE(3455), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34890] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5696), 1,
      anon_sym_RBRACK,
    STATE(3456), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [34911] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2536), 1,
      sym__quotelike_begin,
    STATE(3284), 1,
      sym__apostrophe,
    STATE(3457), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34934] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2476), 1,
      sym__quotelike_begin,
    STATE(3286), 1,
      sym__apostrophe,
    STATE(3458), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34957] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2477), 1,
      sym__quotelike_begin,
    STATE(3287), 1,
      sym__apostrophe,
    STATE(3459), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [34980] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5624), 1,
      sym__quotelike_begin_quote,
    STATE(2669), 1,
      sym__quotelike_begin,
    STATE(3125), 1,
      sym__apostrophe,
    STATE(3460), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35003] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5698), 1,
      anon_sym_RPAREN,
    STATE(3461), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35024] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5700), 1,
      anon_sym_RBRACK,
    STATE(3462), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35045] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5702), 1,
      anon_sym_RBRACK,
    STATE(3463), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35066] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5704), 1,
      anon_sym_RBRACK,
    STATE(3464), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35087] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4187), 1,
      anon_sym_RBRACE,
    ACTIONS(5421), 1,
      anon_sym_and,
    STATE(3465), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35108] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5706), 1,
      anon_sym_RBRACK,
    STATE(3466), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35129] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5708), 1,
      anon_sym_RBRACK,
    STATE(3467), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35150] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1062), 1,
      sym__loop_body,
    STATE(1075), 1,
      sym_block,
    STATE(3468), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35173] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5710), 1,
      anon_sym_RPAREN,
    STATE(3469), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35194] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5712), 1,
      anon_sym_RBRACK,
    STATE(3470), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35215] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1168), 1,
      sym_block,
    STATE(1184), 1,
      sym__loop_body,
    STATE(3471), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35238] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5714), 1,
      anon_sym_RBRACK,
    STATE(3472), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35259] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3473), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5067), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [35276] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5716), 1,
      anon_sym_RBRACK,
    STATE(3474), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35297] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    STATE(3475), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35318] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5720), 1,
      anon_sym_RBRACK,
    STATE(3476), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35339] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5722), 1,
      anon_sym_RBRACK,
    STATE(3477), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35360] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5724), 1,
      anon_sym_RBRACK,
    STATE(3478), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35381] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5726), 1,
      anon_sym_RBRACK,
    STATE(3479), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35402] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5728), 1,
      anon_sym_RBRACK,
    STATE(3480), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35423] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5730), 1,
      anon_sym_RPAREN,
    STATE(3481), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35444] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5732), 1,
      anon_sym_RBRACK,
    STATE(3482), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35465] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5734), 1,
      anon_sym_RPAREN,
    STATE(3483), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35486] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5736), 1,
      anon_sym_RBRACK,
    STATE(3484), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35507] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5738), 1,
      anon_sym_RBRACK,
    STATE(3485), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35528] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5740), 1,
      anon_sym_RBRACK,
    STATE(3486), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35549] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5742), 1,
      anon_sym_RBRACK,
    STATE(3487), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35570] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1168), 1,
      sym_block,
    STATE(1185), 1,
      sym__loop_body,
    STATE(3488), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35593] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5744), 1,
      anon_sym_RPAREN,
    STATE(3489), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35614] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5746), 1,
      anon_sym_RBRACK,
    STATE(3490), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35635] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5748), 1,
      anon_sym_RBRACK,
    STATE(3491), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35656] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5750), 1,
      anon_sym_RPAREN,
    STATE(3492), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35677] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2468), 1,
      sym__quotelike_begin,
    STATE(3332), 1,
      sym__apostrophe,
    STATE(3493), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35700] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4185), 1,
      anon_sym_RBRACE,
    ACTIONS(5421), 1,
      anon_sym_and,
    STATE(3494), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35721] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5752), 1,
      anon_sym_RPAREN,
    STATE(3495), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35742] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5754), 1,
      sym__quotelike_begin_quote,
    STATE(2451), 1,
      sym__quotelike_begin,
    STATE(3068), 1,
      sym__apostrophe,
    STATE(3496), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35765] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2491), 1,
      sym__quotelike_begin,
    STATE(3333), 1,
      sym__apostrophe,
    STATE(3497), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35788] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2464), 1,
      sym__quotelike_begin,
    STATE(3335), 1,
      sym__apostrophe,
    STATE(3498), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35811] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2474), 1,
      sym__quotelike_begin,
    STATE(3145), 1,
      sym__apostrophe,
    STATE(3499), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35834] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5624), 1,
      sym__quotelike_begin_quote,
    STATE(2607), 1,
      sym__quotelike_begin,
    STATE(3075), 1,
      sym__apostrophe,
    STATE(3500), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35857] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5756), 1,
      anon_sym_RBRACK,
    STATE(3501), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35878] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5758), 1,
      anon_sym_RBRACK,
    STATE(3502), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35899] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5760), 1,
      anon_sym_RBRACK,
    STATE(3503), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35920] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5762), 1,
      anon_sym_RPAREN,
    STATE(3504), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35941] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5764), 1,
      anon_sym_RPAREN,
    STATE(3505), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [35962] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2465), 1,
      sym__quotelike_begin,
    STATE(3293), 1,
      sym__apostrophe,
    STATE(3506), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [35985] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3507), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1705), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [36002] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5766), 1,
      anon_sym_RPAREN,
    STATE(3508), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36023] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3509), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1847), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [36040] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5768), 1,
      anon_sym_RBRACK,
    STATE(3510), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36061] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3511), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1859), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [36078] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5770), 1,
      anon_sym_RPAREN,
    STATE(3512), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36099] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5772), 1,
      anon_sym_RBRACK,
    STATE(3513), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36120] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5774), 1,
      anon_sym_RBRACK,
    STATE(3514), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36141] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(5776), 1,
      anon_sym_LPAREN,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1095), 1,
      sym_block,
    STATE(3515), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36164] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5778), 1,
      anon_sym_RBRACK,
    STATE(3516), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36185] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5780), 1,
      anon_sym_RPAREN,
    STATE(3517), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36206] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4201), 1,
      anon_sym_RBRACE,
    ACTIONS(5421), 1,
      anon_sym_and,
    STATE(3518), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36227] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3519), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1851), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [36244] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5782), 1,
      anon_sym_RBRACK,
    STATE(3520), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36265] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5784), 1,
      anon_sym_RBRACK,
    STATE(3521), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36286] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5786), 1,
      anon_sym_RPAREN,
    STATE(3522), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36307] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2520), 1,
      sym__quotelike_begin,
    STATE(3199), 1,
      sym__apostrophe,
    STATE(3523), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36330] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3524), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1863), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [36347] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3525), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1855), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [36364] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5788), 1,
      anon_sym_RPAREN,
    STATE(3526), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36385] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(920), 1,
      sym__loop_body,
    STATE(973), 1,
      sym_block,
    STATE(3527), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36408] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5790), 1,
      anon_sym_RPAREN,
    STATE(3528), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36429] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3529), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1826), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN,
      anon_sym_GT,
  [36446] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5792), 1,
      anon_sym_RPAREN,
    STATE(3530), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36467] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(930), 1,
      sym__loop_body,
    STATE(973), 1,
      sym_block,
    STATE(3531), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36490] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2466), 1,
      sym__quotelike_begin,
    STATE(3201), 1,
      sym__apostrophe,
    STATE(3532), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36513] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(131), 1,
      sym__single_quote,
    ACTIONS(5620), 1,
      sym__quotelike_begin_quote,
    STATE(2467), 1,
      sym__quotelike_begin,
    STATE(3202), 1,
      sym__apostrophe,
    STATE(3533), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36536] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5624), 1,
      sym__quotelike_begin_quote,
    STATE(2654), 1,
      sym__quotelike_begin,
    STATE(3093), 1,
      sym__apostrophe,
    STATE(3534), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36559] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5794), 1,
      anon_sym_RPAREN,
    STATE(3535), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36580] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5796), 1,
      anon_sym_RBRACK,
    STATE(3536), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36601] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4191), 1,
      anon_sym_RBRACE,
    ACTIONS(5421), 1,
      anon_sym_and,
    STATE(3537), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36622] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1696), 1,
      sym_attribute_name,
    STATE(1847), 1,
      sym_attribute,
    STATE(3538), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3449), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [36643] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5624), 1,
      sym__quotelike_begin_quote,
    STATE(2632), 1,
      sym__quotelike_begin,
    STATE(3094), 1,
      sym__apostrophe,
    STATE(3539), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36666] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5798), 1,
      anon_sym_RBRACK,
    STATE(3540), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36687] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5800), 1,
      anon_sym_RPAREN,
    STATE(3541), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36708] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4189), 1,
      anon_sym_RBRACE,
    ACTIONS(5421), 1,
      anon_sym_and,
    STATE(3542), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36729] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3180), 1,
      sym_attribute_name,
    STATE(3377), 1,
      sym_attribute,
    STATE(3543), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4902), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [36750] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5802), 1,
      anon_sym_RPAREN,
    STATE(3544), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36771] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5804), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36792] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5806), 1,
      anon_sym_RBRACK,
    STATE(3546), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36813] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5808), 1,
      anon_sym_RPAREN,
    STATE(3547), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36834] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3548), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5640), 4,
      sym__quotelike_middle_close_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [36851] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5810), 1,
      anon_sym_RBRACK,
    STATE(3549), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36872] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1430), 1,
      sym_attribute_name,
    STATE(1434), 1,
      sym_attribute,
    STATE(3550), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3332), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [36893] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5812), 1,
      anon_sym_RBRACK,
    STATE(3551), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36914] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5814), 1,
      anon_sym_RPAREN,
    STATE(3552), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36935] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(5816), 1,
      anon_sym_LPAREN,
    STATE(100), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(892), 1,
      sym_block,
    STATE(3553), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [36958] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5818), 1,
      anon_sym_RPAREN,
    STATE(3554), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [36979] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3555), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5632), 4,
      sym__quotelike_end_quote,
      sym__q_string_content,
      sym_escape_sequence,
      sym_escaped_delimiter,
  [36996] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5820), 1,
      anon_sym_RBRACK,
    STATE(3556), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37017] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1443), 1,
      sym_attribute_name,
    STATE(1469), 1,
      sym_attribute,
    STATE(3557), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3350), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [37038] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5822), 1,
      anon_sym_RBRACK,
    STATE(3558), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37059] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5824), 1,
      anon_sym_RPAREN,
    STATE(3559), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37080] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5754), 1,
      sym__quotelike_begin_quote,
    STATE(2442), 1,
      sym__quotelike_begin,
    STATE(3099), 1,
      sym__apostrophe,
    STATE(3560), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37103] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5826), 1,
      anon_sym_RBRACK,
    STATE(3561), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37124] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5828), 1,
      anon_sym_RPAREN,
    STATE(3562), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37145] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5830), 1,
      anon_sym_RBRACK,
    STATE(3563), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37166] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5832), 1,
      anon_sym_RBRACK,
    STATE(3564), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37187] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5834), 1,
      anon_sym_RPAREN,
    STATE(3565), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37208] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5836), 1,
      anon_sym_RPAREN,
    STATE(3566), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37229] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1201), 1,
      sym_attribute_name,
    STATE(1226), 1,
      sym_attribute,
    STATE(3567), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(2416), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [37250] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5838), 1,
      anon_sym_RBRACK,
    STATE(3568), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37271] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5840), 1,
      anon_sym_RBRACK,
    STATE(3569), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37292] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5842), 1,
      anon_sym_RBRACK,
    STATE(3570), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37313] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5844), 1,
      anon_sym_RBRACK,
    STATE(3571), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37334] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1168), 1,
      sym_block,
    STATE(1170), 1,
      sym__loop_body,
    STATE(3572), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37357] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5846), 1,
      anon_sym_RBRACK,
    STATE(3573), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37378] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5848), 1,
      anon_sym_RBRACK,
    STATE(3574), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37399] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5850), 1,
      anon_sym_RBRACK,
    STATE(3575), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37420] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5852), 1,
      anon_sym_RBRACK,
    STATE(3576), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37441] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5854), 1,
      anon_sym_RBRACK,
    STATE(3577), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37462] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5856), 1,
      anon_sym_RBRACE,
    STATE(3578), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37483] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5858), 1,
      anon_sym_RPAREN,
    STATE(3579), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37504] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5860), 1,
      anon_sym_RBRACK,
    STATE(3580), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37525] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5862), 1,
      anon_sym_RPAREN,
    STATE(3581), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37546] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5864), 1,
      anon_sym_RBRACK,
    STATE(3582), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37567] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5754), 1,
      sym__quotelike_begin_quote,
    STATE(2448), 1,
      sym__quotelike_begin,
    STATE(3120), 1,
      sym__apostrophe,
    STATE(3583), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37590] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5866), 1,
      anon_sym_RBRACK,
    STATE(3584), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37611] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(998), 1,
      sym__loop_body,
    STATE(1075), 1,
      sym_block,
    STATE(3585), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37634] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5868), 1,
      anon_sym_RBRACK,
    STATE(3586), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37655] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1540), 1,
      sym_attribute_name,
    STATE(1593), 1,
      sym_attribute,
    STATE(3587), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(3406), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [37676] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5870), 1,
      anon_sym_RBRACK,
    STATE(3588), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37697] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5872), 1,
      anon_sym_RBRACK,
    STATE(3589), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37718] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5874), 1,
      anon_sym_RPAREN,
    STATE(3590), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37739] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5876), 1,
      anon_sym_RPAREN,
    STATE(3591), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37760] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5878), 1,
      anon_sym_RPAREN,
    STATE(3592), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37781] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5754), 1,
      sym__quotelike_begin_quote,
    STATE(2444), 1,
      sym__quotelike_begin,
    STATE(3124), 1,
      sym__apostrophe,
    STATE(3593), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37804] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5880), 1,
      anon_sym_RBRACK,
    STATE(3594), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37825] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5622), 1,
      sym__single_quote,
    ACTIONS(5754), 1,
      sym__quotelike_begin_quote,
    STATE(2447), 1,
      sym__quotelike_begin,
    STATE(3127), 1,
      sym__apostrophe,
    STATE(3595), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37848] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    ACTIONS(5882), 1,
      anon_sym_LPAREN,
    STATE(108), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(991), 1,
      sym_block,
    STATE(3596), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37871] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3128), 1,
      sym_attribute_name,
    STATE(3189), 1,
      sym_attribute,
    STATE(3597), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4770), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [37892] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5884), 1,
      anon_sym_RPAREN,
    STATE(3598), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37913] = 7,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1109), 1,
      sym__loop_body,
    STATE(1168), 1,
      sym_block,
    STATE(3599), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [37936] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5886), 1,
      anon_sym_RPAREN,
    STATE(3600), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37957] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5421), 1,
      anon_sym_and,
    ACTIONS(5888), 1,
      anon_sym_RBRACK,
    STATE(3601), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_or,
      anon_sym_xor,
  [37978] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3602), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5890), 4,
      anon_sym_extended,
      anon_sym_async,
      anon_sym_sub,
      anon_sym_method,
  [37995] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(935), 1,
      sym_block,
    STATE(3603), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38015] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1125), 1,
      sym_block,
    STATE(3604), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38035] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1022), 1,
      sym__semicolon,
    STATE(3605), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [38053] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(912), 1,
      sym_block,
    STATE(3606), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38073] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3143), 1,
      sym_bareword,
    STATE(3607), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38091] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    ACTIONS(5892), 1,
      sym__quotelike_middle_skip,
    STATE(3014), 1,
      sym__quotelike_begin,
    STATE(3608), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38111] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5894), 1,
      anon_sym_LBRACE,
    ACTIONS(5896), 1,
      anon_sym_STAR,
    ACTIONS(5898), 1,
      anon_sym_LBRACK,
    STATE(3609), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38131] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5900), 1,
      anon_sym_LBRACE,
    ACTIONS(5902), 1,
      anon_sym_STAR,
    ACTIONS(5904), 1,
      anon_sym_LBRACK,
    STATE(3610), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38151] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1001), 1,
      sym_block,
    STATE(3611), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38171] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(914), 1,
      sym_block,
    STATE(3612), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38191] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1374), 1,
      sym_block,
    STATE(3613), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38211] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1167), 1,
      sym__semicolon,
    STATE(3614), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [38229] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2291), 1,
      sym_block,
    STATE(3615), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38249] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(900), 1,
      sym_block,
    STATE(3616), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38269] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2292), 1,
      sym_block,
    STATE(3617), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38289] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1055), 1,
      sym__semicolon,
    STATE(3618), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [38307] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1333), 1,
      sym_block,
    STATE(3619), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38327] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1633), 1,
      sym_block,
    STATE(3620), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38347] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1131), 1,
      sym_block,
    STATE(3621), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38367] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1336), 1,
      sym_block,
    STATE(3622), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38387] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1635), 1,
      sym_block,
    STATE(3623), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38407] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2148), 1,
      sym_block,
    STATE(3624), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38427] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2151), 1,
      sym_block,
    STATE(3625), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38447] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1031), 1,
      sym_block,
    STATE(3626), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38467] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1032), 1,
      sym_block,
    STATE(3627), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38487] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1351), 1,
      sym_block,
    STATE(3628), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38507] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1136), 1,
      sym__semicolon,
    STATE(3629), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [38525] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1033), 1,
      sym_block,
    STATE(3630), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38545] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2990), 1,
      sym_package,
    STATE(3631), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5906), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38563] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(953), 1,
      sym_block,
    STATE(3632), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38583] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1732), 1,
      sym_block,
    STATE(3633), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38603] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2347), 1,
      sym_block,
    STATE(3634), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38623] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1036), 1,
      sym_block,
    STATE(3635), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38643] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2349), 1,
      sym_block,
    STATE(3636), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38663] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2936), 1,
      sym_package,
    STATE(3637), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5906), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38681] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1734), 1,
      sym_block,
    STATE(3638), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38701] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1041), 1,
      sym_block,
    STATE(3639), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38721] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3030), 1,
      sym_package,
    STATE(3640), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5906), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38739] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2915), 1,
      sym_package,
    STATE(3641), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5906), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38757] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2916), 1,
      sym_package,
    STATE(3642), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5906), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38775] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(952), 1,
      sym_block,
    STATE(3643), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38795] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2965), 1,
      sym_package,
    STATE(3644), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5906), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38813] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    ACTIONS(5910), 1,
      sym__quotelike_middle_skip,
    STATE(3473), 1,
      sym__quotelike_begin,
    STATE(3645), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38833] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(907), 1,
      sym_block,
    STATE(3646), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38853] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(909), 1,
      sym_block,
    STATE(3647), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38873] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3102), 1,
      sym_bareword,
    STATE(3648), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38891] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3103), 1,
      sym_bareword,
    STATE(3649), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [38909] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(963), 1,
      sym_block,
    STATE(3650), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38929] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5912), 1,
      anon_sym_LBRACE,
    ACTIONS(5914), 1,
      anon_sym_STAR,
    ACTIONS(5916), 1,
      anon_sym_LBRACK,
    STATE(3651), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38949] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(964), 1,
      sym_block,
    STATE(3652), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38969] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5918), 1,
      anon_sym_LBRACE,
    ACTIONS(5920), 1,
      anon_sym_STAR,
    ACTIONS(5922), 1,
      anon_sym_LBRACK,
    STATE(3653), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [38989] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(965), 1,
      sym_block,
    STATE(3654), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39009] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1142), 1,
      sym_block,
    STATE(3655), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39029] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3116), 1,
      sym_bareword,
    STATE(3656), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39047] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3117), 1,
      sym_bareword,
    STATE(3657), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39065] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(115), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(891), 1,
      sym_block,
    STATE(3658), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39085] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(994), 1,
      sym__semicolon,
    STATE(3659), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1549), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [39103] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2083), 1,
      sym_block,
    STATE(3660), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39123] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1753), 1,
      sym_block,
    STATE(3661), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39143] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1383), 1,
      sym_block,
    STATE(3662), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39163] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2225), 1,
      sym_block,
    STATE(3663), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39183] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(968), 1,
      sym_block,
    STATE(3664), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39203] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2226), 1,
      sym_block,
    STATE(3665), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39223] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1147), 1,
      sym_block,
    STATE(3666), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39243] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1386), 1,
      sym_block,
    STATE(3667), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39263] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(110), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(881), 1,
      sym_block,
    STATE(3668), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39283] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(970), 1,
      sym_block,
    STATE(3669), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39303] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2089), 1,
      sym_block,
    STATE(3670), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39323] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1076), 1,
      sym_block,
    STATE(3671), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39343] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1148), 1,
      sym_block,
    STATE(3672), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39363] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1755), 1,
      sym_block,
    STATE(3673), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39383] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1149), 1,
      sym_block,
    STATE(3674), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39403] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2244), 1,
      sym_block,
    STATE(3675), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39423] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    ACTIONS(5924), 1,
      anon_sym_LPAREN,
    STATE(3676), 1,
      sym_heredoc_content,
    STATE(4111), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39443] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(972), 1,
      sym__semicolon,
    STATE(3677), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [39461] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3678), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5926), 3,
      anon_sym_DOLLAR,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [39477] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2246), 1,
      sym_block,
    STATE(3679), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39497] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1079), 1,
      sym_block,
    STATE(3680), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39517] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(100), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(887), 1,
      sym_block,
    STATE(3681), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39537] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(996), 1,
      sym_block,
    STATE(3682), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39557] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1009), 1,
      sym_block,
    STATE(3683), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39577] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1020), 1,
      sym_block,
    STATE(3684), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39597] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2270), 1,
      sym_block,
    STATE(3685), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39617] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(102), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2271), 1,
      sym_block,
    STATE(3686), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39637] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1030), 1,
      sym_block,
    STATE(3687), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39657] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1038), 1,
      sym_block,
    STATE(3688), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39677] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5928), 1,
      anon_sym_LBRACE,
    ACTIONS(5930), 1,
      anon_sym_STAR,
    ACTIONS(5932), 1,
      anon_sym_LBRACK,
    STATE(3689), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39697] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1039), 1,
      sym_block,
    STATE(3690), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39717] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5934), 1,
      anon_sym_LBRACE,
    ACTIONS(5936), 1,
      anon_sym_STAR,
    ACTIONS(5938), 1,
      anon_sym_LBRACK,
    STATE(3691), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39737] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1040), 1,
      sym_block,
    STATE(3692), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39757] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(897), 1,
      sym_block,
    STATE(3693), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39777] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3098), 1,
      sym_bareword,
    STATE(3694), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39795] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(954), 1,
      sym_block,
    STATE(3695), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39815] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3023), 1,
      sym_package,
    STATE(3696), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5906), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39833] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2959), 1,
      sym_package,
    STATE(3697), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5906), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39851] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(2960), 1,
      sym_package,
    STATE(3698), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5906), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39869] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3079), 1,
      sym_bareword,
    STATE(3699), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39887] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3081), 1,
      sym_bareword,
    STATE(3700), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [39905] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1158), 1,
      sym_block,
    STATE(3701), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39925] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1159), 1,
      sym_block,
    STATE(3702), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39945] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1160), 1,
      sym_block,
    STATE(3703), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [39965] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(955), 1,
      sym__semicolon,
    STATE(3704), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [39983] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2146), 1,
      sym_block,
    STATE(3705), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40003] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1163), 1,
      sym_block,
    STATE(3706), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40023] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3115), 1,
      sym_bareword,
    STATE(3707), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40041] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2147), 1,
      sym_block,
    STATE(3708), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40061] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3069), 1,
      sym_bareword,
    STATE(3709), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40079] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3070), 1,
      sym_bareword,
    STATE(3710), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [40097] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1165), 1,
      sym_block,
    STATE(3711), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40117] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(98), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(988), 1,
      sym_block,
    STATE(3712), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40137] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1865), 1,
      sym_block,
    STATE(3713), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40157] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1873), 1,
      sym_block,
    STATE(3714), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40177] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1785), 1,
      sym_block,
    STATE(3715), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40197] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1048), 1,
      sym_block,
    STATE(3716), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40217] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1077), 1,
      sym_block,
    STATE(3717), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40237] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1787), 1,
      sym_block,
    STATE(3718), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40257] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1050), 1,
      sym_block,
    STATE(3719), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40277] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(908), 1,
      sym_block,
    STATE(3720), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40297] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(913), 1,
      sym_block,
    STATE(3721), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40317] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(110), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(880), 1,
      sym_block,
    STATE(3722), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40337] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2166), 1,
      sym_block,
    STATE(3723), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40357] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1052), 1,
      sym_block,
    STATE(3724), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40377] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1171), 1,
      sym_block,
    STATE(3725), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40397] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1053), 1,
      sym_block,
    STATE(3726), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40417] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2169), 1,
      sym_block,
    STATE(3727), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40437] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1054), 1,
      sym_block,
    STATE(3728), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40457] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1172), 1,
      sym_block,
    STATE(3729), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40477] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1058), 1,
      sym_block,
    STATE(3730), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40497] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1410), 1,
      sym_block,
    STATE(3731), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40517] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1175), 1,
      sym_block,
    STATE(3732), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40537] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(976), 1,
      sym_block,
    STATE(3733), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40557] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1413), 1,
      sym_block,
    STATE(3734), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40577] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1841), 1,
      sym_block,
    STATE(3735), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40597] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(977), 1,
      sym_block,
    STATE(3736), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40617] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1177), 1,
      sym_block,
    STATE(3737), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40637] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1844), 1,
      sym_block,
    STATE(3738), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40657] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(108), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(993), 1,
      sym_block,
    STATE(3739), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40677] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1179), 1,
      sym_block,
    STATE(3740), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40697] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1180), 1,
      sym_block,
    STATE(3741), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40717] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1181), 1,
      sym_block,
    STATE(3742), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40737] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1182), 1,
      sym_block,
    STATE(3743), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40757] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1063), 1,
      sym_block,
    STATE(3744), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40777] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1183), 1,
      sym_block,
    STATE(3745), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40797] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1082), 1,
      sym_block,
    STATE(3746), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40817] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1068), 1,
      sym_block,
    STATE(3747), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40837] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1069), 1,
      sym_block,
    STATE(3748), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40857] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1070), 1,
      sym_block,
    STATE(3749), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40877] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5940), 1,
      anon_sym_LBRACE,
    ACTIONS(5942), 1,
      anon_sym_STAR,
    ACTIONS(5944), 1,
      anon_sym_LBRACK,
    STATE(3750), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40897] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1071), 1,
      sym_block,
    STATE(3751), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40917] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5946), 1,
      anon_sym_LBRACE,
    ACTIONS(5948), 1,
      anon_sym_STAR,
    ACTIONS(5950), 1,
      anon_sym_LBRACK,
    STATE(3752), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40937] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(980), 1,
      sym_block,
    STATE(3753), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40957] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1073), 1,
      sym_block,
    STATE(3754), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40977] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1899), 1,
      sym_block,
    STATE(3755), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [40997] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1900), 1,
      sym_block,
    STATE(3756), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41017] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1074), 1,
      sym_block,
    STATE(3757), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41037] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(982), 1,
      sym_block,
    STATE(3758), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41057] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(115), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(888), 1,
      sym_block,
    STATE(3759), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41077] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(911), 1,
      sym_block,
    STATE(3760), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41097] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(902), 1,
      sym_block,
    STATE(3761), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41117] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2052), 1,
      sym_block,
    STATE(3762), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41137] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1107), 1,
      sym_block,
    STATE(3763), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41157] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1014), 1,
      sym_block,
    STATE(3764), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41177] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(93), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(2046), 1,
      sym_block,
    STATE(3765), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41197] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1926), 1,
      sym_block,
    STATE(3766), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41217] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1101), 1,
      sym_block,
    STATE(3767), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41237] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1933), 1,
      sym_block,
    STATE(3768), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41257] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(928), 1,
      sym_block,
    STATE(3769), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41277] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(904), 1,
      sym_block,
    STATE(3770), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41297] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(915), 1,
      sym_block,
    STATE(3771), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41317] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1103), 1,
      sym_block,
    STATE(3772), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41337] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3773), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(5566), 3,
      anon_sym_DOLLAR,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41353] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1104), 1,
      sym_block,
    STATE(3774), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41373] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1105), 1,
      sym_block,
    STATE(3775), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41393] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(906), 1,
      sym_block,
    STATE(3776), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41413] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1187), 1,
      sym_block,
    STATE(3777), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41433] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1967), 1,
      sym_block,
    STATE(3778), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41453] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1968), 1,
      sym_block,
    STATE(3779), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41473] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1094), 1,
      sym_block,
    STATE(3780), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41493] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1110), 1,
      sym_block,
    STATE(3781), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41513] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1111), 1,
      sym_block,
    STATE(3782), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41533] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5952), 1,
      anon_sym_LBRACE,
    ACTIONS(5954), 1,
      anon_sym_STAR,
    ACTIONS(5956), 1,
      anon_sym_LBRACK,
    STATE(3783), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41553] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1112), 1,
      sym_block,
    STATE(3784), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41573] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1113), 1,
      sym_block,
    STATE(3785), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41593] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(89), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(884), 1,
      sym_block,
    STATE(3786), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41613] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1114), 1,
      sym_block,
    STATE(3787), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41633] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1115), 1,
      sym_block,
    STATE(3788), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41653] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5958), 1,
      anon_sym_LBRACE,
    ACTIONS(5960), 1,
      anon_sym_STAR,
    ACTIONS(5962), 1,
      anon_sym_LBRACK,
    STATE(3789), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41673] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1116), 1,
      sym_block,
    STATE(3790), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41693] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1379), 1,
      sym_block,
    STATE(3791), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41713] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(934), 1,
      sym_block,
    STATE(3792), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41733] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(119), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1087), 1,
      sym_block,
    STATE(3793), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41753] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1617), 1,
      sym_block,
    STATE(3794), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41773] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1018), 1,
      sym_block,
    STATE(3795), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41793] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(948), 1,
      sym_block,
    STATE(3796), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41813] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(143), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1325), 1,
      sym_block,
    STATE(3797), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41833] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(895), 1,
      sym_block,
    STATE(3798), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41853] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(91), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1625), 1,
      sym_block,
    STATE(3799), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41873] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(940), 1,
      sym__semicolon,
    STATE(3800), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1529), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [41891] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1019), 1,
      sym_block,
    STATE(3801), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41911] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(96), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1021), 1,
      sym_block,
    STATE(3802), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41931] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(910), 1,
      sym_block,
    STATE(3803), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [41951] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(1150), 1,
      sym__semicolon,
    STATE(3804), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(1543), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [41969] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3106), 1,
      sym_bareword,
    STATE(3805), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4926), 2,
      sym__identifier,
      aux_sym__bareword_token1,
  [41987] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(893), 1,
      sym_block,
    STATE(3806), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42007] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(106), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1089), 1,
      sym_block,
    STATE(3807), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42027] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(898), 1,
      sym_block,
    STATE(3808), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42047] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(104), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1124), 1,
      sym_block,
    STATE(3809), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42067] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(899), 1,
      sym_block,
    STATE(3810), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42087] = 6,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4772), 1,
      anon_sym_LBRACE,
    STATE(119), 1,
      sym__PERLY_BRACE_OPEN,
    STATE(1086), 1,
      sym_block,
    STATE(3811), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42107] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(5966), 1,
      anon_sym_LBRACK,
    STATE(3812), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42124] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4812), 1,
      sym__identifier,
    STATE(2981), 1,
      sym__signature_varname,
    STATE(3813), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42141] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3814), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4232), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [42156] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5968), 1,
      anon_sym_COMMA,
    ACTIONS(5970), 1,
      anon_sym_RPAREN,
    STATE(3815), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42173] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4721), 1,
      anon_sym_RPAREN,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    STATE(3816), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42190] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5974), 1,
      anon_sym_LBRACE,
    ACTIONS(5976), 1,
      anon_sym_LBRACK,
    STATE(3817), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42207] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4697), 1,
      anon_sym_RPAREN,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    STATE(3818), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42224] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5978), 1,
      anon_sym_DOLLAR,
    STATE(2967), 1,
      sym__signature_scalar,
    STATE(3819), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42241] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5153), 1,
      anon_sym_DOLLAR,
    STATE(3820), 1,
      sym_heredoc_content,
    STATE(4111), 1,
      sym_scalar,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42258] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5980), 1,
      anon_sym_LBRACE,
    ACTIONS(5982), 1,
      anon_sym_STAR,
    STATE(3821), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42275] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4733), 1,
      anon_sym_RPAREN,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    STATE(3822), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42292] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5984), 1,
      anon_sym_LBRACE,
    ACTIONS(5986), 1,
      anon_sym_LBRACK,
    STATE(3823), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42309] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3285), 1,
      sym__quotelike_begin,
    STATE(3824), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42326] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4766), 1,
      anon_sym_RPAREN,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    STATE(3825), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42343] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5988), 1,
      anon_sym_LBRACE,
    ACTIONS(5990), 1,
      anon_sym_STAR,
    STATE(3826), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42360] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5992), 1,
      sym__heredoc_delimiter,
    ACTIONS(5994), 1,
      sym__command_heredoc_delimiter,
    STATE(3827), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42377] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    ACTIONS(5996), 1,
      anon_sym_RPAREN,
    STATE(3828), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42394] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5998), 1,
      anon_sym_LBRACE,
    ACTIONS(6000), 1,
      anon_sym_STAR,
    STATE(3829), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42411] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5470), 1,
      anon_sym_RPAREN,
    ACTIONS(5968), 1,
      anon_sym_COMMA,
    STATE(3830), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42428] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3197), 1,
      sym__quotelike_begin,
    STATE(3831), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42445] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6002), 1,
      anon_sym_LBRACE,
    ACTIONS(6004), 1,
      anon_sym_STAR,
    STATE(3832), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42462] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6006), 1,
      sym__heredoc_delimiter,
    ACTIONS(6008), 1,
      sym__command_heredoc_delimiter,
    STATE(3833), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42479] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6010), 1,
      anon_sym_LBRACE,
    ACTIONS(6012), 1,
      anon_sym_LBRACK,
    STATE(3834), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42496] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3326), 1,
      sym__quotelike_begin,
    STATE(3835), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42513] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2490), 1,
      sym__quotelike_begin,
    STATE(3836), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42530] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3328), 1,
      sym__quotelike_begin,
    STATE(3837), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42547] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6014), 1,
      sym__heredoc_delimiter,
    ACTIONS(6016), 1,
      sym__command_heredoc_delimiter,
    STATE(3838), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42564] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2504), 1,
      sym__quotelike_begin,
    STATE(3839), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42581] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3840), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(4228), 2,
      sym__PERLY_SEMICOLON,
      anon_sym_SEMI,
  [42596] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6018), 1,
      anon_sym_LBRACE,
    ACTIONS(6020), 1,
      anon_sym_LBRACK,
    STATE(3841), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42613] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    ACTIONS(6022), 1,
      anon_sym_RPAREN,
    STATE(3842), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42630] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3337), 1,
      sym__quotelike_begin,
    STATE(3843), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42647] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2512), 1,
      sym__quotelike_begin,
    STATE(3844), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42664] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3338), 1,
      sym__quotelike_begin,
    STATE(3845), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42681] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6024), 1,
      anon_sym_LBRACE,
    ACTIONS(6026), 1,
      anon_sym_LBRACK,
    STATE(3846), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42698] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3274), 1,
      sym__quotelike_begin,
    STATE(3847), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42715] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2535), 1,
      sym__quotelike_begin,
    STATE(3848), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42732] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3283), 1,
      sym__quotelike_begin,
    STATE(3849), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42749] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6028), 1,
      anon_sym_LBRACE,
    ACTIONS(6030), 1,
      anon_sym_STAR,
    STATE(3850), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42766] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5606), 1,
      sym__quotelike_begin_quote,
    STATE(2519), 1,
      sym__quotelike_begin,
    STATE(3851), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42783] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3198), 1,
      sym__quotelike_begin,
    STATE(3852), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42800] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6032), 1,
      anon_sym_LBRACE,
    ACTIONS(6034), 1,
      anon_sym_LBRACK,
    STATE(3853), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42817] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6036), 1,
      sym__heredoc_delimiter,
    ACTIONS(6038), 1,
      sym__command_heredoc_delimiter,
    STATE(3854), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42834] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6040), 1,
      anon_sym_LBRACE,
    ACTIONS(6042), 1,
      anon_sym_LBRACK,
    STATE(3855), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42851] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6044), 1,
      anon_sym_LBRACE,
    ACTIONS(6046), 1,
      anon_sym_LBRACK,
    STATE(3856), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42868] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6048), 1,
      anon_sym_LBRACE,
    ACTIONS(6050), 1,
      anon_sym_LBRACK,
    STATE(3857), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42885] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5908), 1,
      sym__quotelike_begin_quote,
    STATE(3272), 1,
      sym__quotelike_begin,
    STATE(3858), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42902] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6052), 1,
      sym__heredoc_delimiter,
    ACTIONS(6054), 1,
      sym__command_heredoc_delimiter,
    STATE(3859), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42919] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6056), 1,
      anon_sym_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_LBRACK,
    STATE(3860), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42936] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    STATE(3861), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
    ACTIONS(6060), 2,
      sym__quotelike_begin_quote,
      sym__quotelike_middle_skip,
  [42951] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    ACTIONS(6062), 1,
      anon_sym_RPAREN,
    STATE(3862), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42968] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6064), 1,
      anon_sym_LBRACE,
    ACTIONS(6066), 1,
      anon_sym_LBRACK,
    STATE(3863), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [42985] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6068), 1,
      anon_sym_LBRACE,
    ACTIONS(6070), 1,
      anon_sym_LBRACK,
    STATE(3864), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43002] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6072), 1,
      anon_sym_LBRACE,
    ACTIONS(6074), 1,
      anon_sym_LBRACK,
    STATE(3865), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43019] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    ACTIONS(6076), 1,
      anon_sym_RPAREN,
    STATE(3866), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43036] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6078), 1,
      anon_sym_LBRACE,
    ACTIONS(6080), 1,
      anon_sym_LBRACK,
    STATE(3867), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43053] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4768), 1,
      anon_sym_RPAREN,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    STATE(3868), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43070] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6082), 1,
      anon_sym_LBRACE,
    ACTIONS(6084), 1,
      anon_sym_LBRACK,
    STATE(3869), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43087] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6086), 1,
      anon_sym_LBRACE,
    ACTIONS(6088), 1,
      anon_sym_LBRACK,
    STATE(3870), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43104] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6090), 1,
      anon_sym_LBRACE,
    ACTIONS(6092), 1,
      anon_sym_LBRACK,
    STATE(3871), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43121] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    ACTIONS(6094), 1,
      anon_sym_RPAREN,
    STATE(3872), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43138] = 5,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6096), 1,
      anon_sym_LBRACE,
    ACTIONS(6098), 1,
      anon_sym_LBRACK,
    STATE(3873), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43155] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6100), 1,
      sym__gobbled_content,
    STATE(3874), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43169] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6102), 1,
      anon_sym_RBRACE,
    STATE(3875), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43183] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6104), 1,
      anon_sym_RPAREN,
    STATE(3876), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43197] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6106), 1,
      sym__gobbled_content,
    STATE(3877), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43211] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6108), 1,
      sym__ERROR,
    STATE(3878), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43225] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4654), 1,
      sym__no_interp_whitespace_zw,
    STATE(3879), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43239] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6110), 1,
      anon_sym_RPAREN,
    STATE(3880), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43253] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4526), 1,
      sym__no_interp_whitespace_zw,
    STATE(3881), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43267] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6112), 1,
      anon_sym_RBRACE,
    STATE(3882), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43281] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6114), 1,
      anon_sym_RPAREN,
    STATE(3883), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43295] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6116), 1,
      anon_sym_STAR,
    STATE(3884), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43309] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6118), 1,
      anon_sym_RBRACE,
    STATE(3885), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43323] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2147), 1,
      ts_builtin_sym_end,
    STATE(3886), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43337] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6120), 1,
      anon_sym_RBRACE,
    STATE(3887), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43351] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5335), 1,
      anon_sym_GT_GT,
    STATE(3888), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43365] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6122), 1,
      anon_sym_RBRACE,
    STATE(3889), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43379] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6124), 1,
      anon_sym_RBRACE,
    STATE(3890), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43393] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6126), 1,
      sym__gobbled_content,
    STATE(3891), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43407] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6128), 1,
      anon_sym_RBRACE,
    STATE(3892), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43421] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6130), 1,
      anon_sym_RPAREN,
    STATE(3893), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43435] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6132), 1,
      anon_sym_RBRACE,
    STATE(3894), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43449] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6134), 1,
      sym_attribute_value,
    STATE(3895), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43463] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6136), 1,
      anon_sym_RBRACE,
    STATE(3896), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43477] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6138), 1,
      anon_sym_RBRACE,
    STATE(3897), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43491] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6140), 1,
      anon_sym_LPAREN,
    STATE(3898), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43505] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4185), 1,
      anon_sym_RBRACE,
    STATE(3899), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43519] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6142), 1,
      sym_attribute_value,
    STATE(3900), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6144), 1,
      aux_sym___DATA___token1,
    STATE(3901), 1,
      sym_heredoc_content,
  [43549] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6146), 1,
      ts_builtin_sym_end,
    STATE(3902), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43563] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6148), 1,
      anon_sym_LPAREN,
    STATE(3903), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43577] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6150), 1,
      anon_sym_LPAREN,
    STATE(3904), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43591] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6152), 1,
      anon_sym_RBRACE,
    STATE(3905), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43605] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6154), 1,
      anon_sym_RBRACE,
    STATE(3906), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43619] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6156), 1,
      anon_sym_RBRACE,
    STATE(3907), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43633] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6158), 1,
      anon_sym_RBRACE,
    STATE(3908), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43647] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6160), 1,
      sym__gobbled_content,
    STATE(3909), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43661] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6162), 1,
      anon_sym_RBRACE,
    STATE(3910), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43675] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6164), 1,
      anon_sym_COLON,
    STATE(3911), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43689] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6166), 1,
      sym__NONASSOC,
    STATE(3912), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43703] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6168), 1,
      anon_sym_RBRACE,
    STATE(3913), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43717] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6170), 1,
      anon_sym_RBRACE,
    STATE(3914), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43731] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6172), 1,
      anon_sym_RPAREN,
    STATE(3915), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43745] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6174), 1,
      anon_sym_GT,
    STATE(3916), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43759] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2410), 1,
      anon_sym_LPAREN,
    STATE(3917), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43773] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6176), 1,
      anon_sym_RPAREN,
    STATE(3918), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43787] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4191), 1,
      anon_sym_RBRACE,
    STATE(3919), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43801] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6178), 1,
      anon_sym_RBRACE,
    STATE(3920), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6180), 1,
      aux_sym___DATA___token1,
    STATE(3921), 1,
      sym_heredoc_content,
  [43831] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6182), 1,
      anon_sym_LPAREN,
    STATE(3922), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43845] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6184), 1,
      sym__NONASSOC,
    STATE(3923), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43859] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6186), 1,
      anon_sym_RBRACE,
    STATE(3924), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43873] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6188), 1,
      anon_sym_RPAREN,
    STATE(3925), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43887] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6190), 1,
      anon_sym_RBRACE,
    STATE(3926), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43901] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6192), 1,
      anon_sym_RBRACE,
    STATE(3927), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43915] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6194), 1,
      anon_sym_RBRACE,
    STATE(3928), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43929] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6196), 1,
      anon_sym_RPAREN,
    STATE(3929), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43943] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1885), 1,
      sym__brace_end_zw,
    STATE(3930), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43957] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6198), 1,
      anon_sym_RBRACE,
    STATE(3931), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43971] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6200), 1,
      anon_sym_RBRACE,
    STATE(3932), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43985] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6202), 1,
      anon_sym_RPAREN,
    STATE(3933), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [43999] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6204), 1,
      anon_sym_RPAREN,
    STATE(3934), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44013] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6206), 1,
      anon_sym_RBRACE,
    STATE(3935), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44027] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6208), 1,
      anon_sym_RPAREN,
    STATE(3936), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44041] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6210), 1,
      anon_sym_RPAREN,
    STATE(3937), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44055] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6212), 1,
      anon_sym_RBRACE,
    STATE(3938), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44069] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6214), 1,
      anon_sym_LPAREN,
    STATE(3939), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44083] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6216), 1,
      anon_sym_RBRACE,
    STATE(3940), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44097] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6218), 1,
      anon_sym_LPAREN,
    STATE(3941), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44111] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6220), 1,
      anon_sym_RBRACE,
    STATE(3942), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44125] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1855), 1,
      sym__brace_end_zw,
    STATE(3943), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44139] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6222), 1,
      sym__ERROR,
    STATE(3944), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44153] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6224), 1,
      anon_sym_RBRACE,
    STATE(3945), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44167] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6226), 1,
      anon_sym_RBRACE,
    STATE(3946), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44181] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6228), 1,
      anon_sym_RBRACE,
    STATE(3947), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44195] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6230), 1,
      sym__ERROR,
    STATE(3948), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44209] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6232), 1,
      sym_attribute_value,
    STATE(3949), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44223] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6234), 1,
      anon_sym_STAR,
    STATE(3950), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44237] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6236), 1,
      anon_sym_RBRACE,
    STATE(3951), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44251] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6238), 1,
      sym_attribute_value,
    STATE(3952), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44265] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6240), 1,
      anon_sym_RBRACE,
    STATE(3953), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44279] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6242), 1,
      anon_sym_RBRACE,
    STATE(3954), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44293] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6244), 1,
      anon_sym_LBRACE,
    STATE(3955), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44307] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6246), 1,
      anon_sym_RBRACE,
    STATE(3956), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44321] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6248), 1,
      anon_sym_RBRACE,
    STATE(3957), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44335] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6250), 1,
      sym__ERROR,
    STATE(3958), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44349] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6252), 1,
      anon_sym_RBRACE,
    STATE(3959), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44363] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6254), 1,
      anon_sym_RBRACE,
    STATE(3960), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44377] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6256), 1,
      anon_sym_RBRACE,
    STATE(3961), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44391] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6258), 1,
      sym__ERROR,
    STATE(3962), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44405] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6260), 1,
      anon_sym_RBRACE,
    STATE(3963), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44419] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6262), 1,
      anon_sym_RBRACE,
    STATE(3964), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44433] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6264), 1,
      sym__NONASSOC,
    STATE(3965), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44447] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6266), 1,
      anon_sym_RBRACE,
    STATE(3966), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44461] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6268), 1,
      anon_sym_RPAREN,
    STATE(3967), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44475] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1887), 1,
      sym__brace_end_zw,
    STATE(3968), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44489] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6270), 1,
      anon_sym_RPAREN,
    STATE(3969), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44503] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4612), 1,
      sym__dollar_ident_zw,
    STATE(3970), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44517] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5972), 1,
      anon_sym_COMMA,
    STATE(3971), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44531] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6272), 1,
      anon_sym_RPAREN,
    STATE(3972), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44545] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6274), 1,
      sym__ERROR,
    STATE(3973), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44559] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6276), 1,
      sym__ERROR,
    STATE(3974), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44573] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6278), 1,
      anon_sym_RBRACE,
    STATE(3975), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44587] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6280), 1,
      anon_sym_RBRACE,
    STATE(3976), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44601] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1953), 1,
      sym__brace_end_zw,
    STATE(3977), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44615] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6282), 1,
      anon_sym_RBRACE,
    STATE(3978), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44629] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6284), 1,
      anon_sym_RBRACE,
    STATE(3979), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44643] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6286), 1,
      sym__NONASSOC,
    STATE(3980), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44657] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6288), 1,
      anon_sym_RBRACE,
    STATE(3981), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44671] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6290), 1,
      anon_sym_RBRACE,
    STATE(3982), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44685] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6292), 1,
      anon_sym_RBRACE,
    STATE(3983), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44699] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6294), 1,
      anon_sym_RBRACE,
    STATE(3984), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44713] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4490), 1,
      sym__dollar_ident_zw,
    STATE(3985), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44727] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4201), 1,
      anon_sym_RBRACE,
    STATE(3986), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44741] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6296), 1,
      anon_sym_RBRACE,
    STATE(3987), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44755] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1851), 1,
      sym__brace_end_zw,
    STATE(3988), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44769] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6298), 1,
      anon_sym_RBRACE,
    STATE(3989), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44783] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6300), 1,
      anon_sym_RPAREN,
    STATE(3990), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44797] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6302), 1,
      anon_sym_RPAREN,
    STATE(3991), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44811] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6304), 1,
      anon_sym_RBRACE,
    STATE(3992), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44825] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6306), 1,
      anon_sym_RPAREN,
    STATE(3993), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44839] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2414), 1,
      anon_sym_LPAREN,
    STATE(3994), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44853] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6308), 1,
      sym_attribute_value,
    STATE(3995), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44867] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6310), 1,
      anon_sym_RPAREN,
    STATE(3996), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44881] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6312), 1,
      anon_sym_RPAREN,
    STATE(3997), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44895] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1893), 1,
      sym__brace_end_zw,
    STATE(3998), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44909] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6314), 1,
      anon_sym_RBRACE,
    STATE(3999), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44923] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6316), 1,
      anon_sym_STAR,
    STATE(4000), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44937] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6318), 1,
      sym_attribute_value,
    STATE(4001), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44951] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6320), 1,
      anon_sym_LPAREN,
    STATE(4002), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44965] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1897), 1,
      sym__brace_end_zw,
    STATE(4003), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44979] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6322), 1,
      anon_sym_RBRACE,
    STATE(4004), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [44993] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6324), 1,
      sym__ERROR,
    STATE(4005), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45007] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6326), 1,
      sym_attribute_value,
    STATE(4006), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45021] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1899), 1,
      sym__brace_end_zw,
    STATE(4007), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45035] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6328), 1,
      anon_sym_RBRACE,
    STATE(4008), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45049] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6330), 1,
      anon_sym_LPAREN,
    STATE(4009), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45063] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6332), 1,
      sym_attribute_value,
    STATE(4010), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45077] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1901), 1,
      sym__brace_end_zw,
    STATE(4011), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45091] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6334), 1,
      anon_sym_RBRACE,
    STATE(4012), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45105] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6336), 1,
      anon_sym_RBRACE,
    STATE(4013), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45119] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6338), 1,
      sym_attribute_value,
    STATE(4014), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45133] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1903), 1,
      sym__brace_end_zw,
    STATE(4015), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45147] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6340), 1,
      anon_sym_RBRACE,
    STATE(4016), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45161] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6342), 1,
      anon_sym_RPAREN,
    STATE(4017), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45175] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1905), 1,
      sym__brace_end_zw,
    STATE(4018), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45189] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6344), 1,
      anon_sym_RPAREN,
    STATE(4019), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45203] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6346), 1,
      sym__ERROR,
    STATE(4020), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45217] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1883), 1,
      sym__brace_end_zw,
    STATE(4021), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45231] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6348), 1,
      sym__ERROR,
    STATE(4022), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45245] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6350), 1,
      anon_sym_RBRACE,
    STATE(4023), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45259] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1907), 1,
      sym__brace_end_zw,
    STATE(4024), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45273] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6352), 1,
      sym__gobbled_content,
    STATE(4025), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45287] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6354), 1,
      anon_sym_RBRACE,
    STATE(4026), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45301] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1909), 1,
      sym__brace_end_zw,
    STATE(4027), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45315] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6356), 1,
      anon_sym_RPAREN,
    STATE(4028), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45329] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6358), 1,
      anon_sym_RPAREN,
    STATE(4029), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45343] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1911), 1,
      sym__brace_end_zw,
    STATE(4030), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45357] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5968), 1,
      anon_sym_COMMA,
    STATE(4031), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45371] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4189), 1,
      anon_sym_RBRACE,
    STATE(4032), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45385] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1913), 1,
      sym__brace_end_zw,
    STATE(4033), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45399] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6360), 1,
      anon_sym_RPAREN,
    STATE(4034), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45413] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4378), 1,
      sym__dollar_ident_zw,
    STATE(4035), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45427] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1915), 1,
      sym__brace_end_zw,
    STATE(4036), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45441] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4552), 1,
      sym__dollar_ident_zw,
    STATE(4037), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45455] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6362), 1,
      sym__ERROR,
    STATE(4038), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45469] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1917), 1,
      sym__brace_end_zw,
    STATE(4039), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45483] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4584), 1,
      sym__no_interp_whitespace_zw,
    STATE(4040), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45497] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6364), 1,
      anon_sym_RBRACE,
    STATE(4041), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45511] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1955), 1,
      sym__brace_end_zw,
    STATE(4042), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45525] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4464), 1,
      sym__dollar_ident_zw,
    STATE(4043), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45539] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6366), 1,
      anon_sym_RBRACE,
    STATE(4044), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45553] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1921), 1,
      sym__brace_end_zw,
    STATE(4045), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45567] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6368), 1,
      anon_sym_RBRACE,
    STATE(4046), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45581] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6370), 1,
      anon_sym_RBRACE,
    STATE(4047), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45595] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1923), 1,
      sym__brace_end_zw,
    STATE(4048), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45609] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6372), 1,
      anon_sym_RBRACE,
    STATE(4049), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45623] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6374), 1,
      anon_sym_RBRACE,
    STATE(4050), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45637] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1925), 1,
      sym__brace_end_zw,
    STATE(4051), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45651] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(379), 1,
      ts_builtin_sym_end,
    STATE(4052), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6376), 1,
      aux_sym___DATA___token1,
    STATE(4053), 1,
      sym_heredoc_content,
  [45681] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1927), 1,
      sym__brace_end_zw,
    STATE(4054), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45695] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6378), 1,
      anon_sym_RBRACE,
    STATE(4055), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45709] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6380), 1,
      sym__ERROR,
    STATE(4056), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45723] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1929), 1,
      sym__brace_end_zw,
    STATE(4057), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45737] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6382), 1,
      sym__ERROR,
    STATE(4058), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45751] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6384), 1,
      anon_sym_RBRACE,
    STATE(4059), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45765] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1931), 1,
      sym__brace_end_zw,
    STATE(4060), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45779] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6386), 1,
      sym__ERROR,
    STATE(4061), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6388), 1,
      aux_sym___DATA___token1,
    STATE(4062), 1,
      sym_heredoc_content,
  [45809] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1933), 1,
      sym__brace_end_zw,
    STATE(4063), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45823] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6390), 1,
      anon_sym_STAR,
    STATE(4064), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45837] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6392), 1,
      anon_sym_RBRACE,
    STATE(4065), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45851] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1935), 1,
      sym__brace_end_zw,
    STATE(4066), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45865] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6394), 1,
      anon_sym_RBRACE,
    STATE(4067), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45879] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6396), 1,
      anon_sym_RBRACE,
    STATE(4068), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45893] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1937), 1,
      sym__brace_end_zw,
    STATE(4069), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45907] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6398), 1,
      anon_sym_RPAREN,
    STATE(4070), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45921] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6400), 1,
      anon_sym_RBRACE,
    STATE(4071), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45935] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6402), 1,
      anon_sym_RBRACE,
    STATE(4072), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45949] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5856), 1,
      anon_sym_RBRACE,
    STATE(4073), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45963] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5377), 1,
      anon_sym_GT_GT,
    STATE(4074), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45977] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6404), 1,
      anon_sym_RBRACE,
    STATE(4075), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [45991] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(2179), 1,
      ts_builtin_sym_end,
    STATE(4076), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46005] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6406), 1,
      anon_sym_STAR,
    STATE(4077), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46019] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6408), 1,
      anon_sym_LBRACE,
    STATE(4078), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46033] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1895), 1,
      sym__brace_end_zw,
    STATE(4079), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46047] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6410), 1,
      anon_sym_RBRACE,
    STATE(4080), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46061] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6412), 1,
      anon_sym_GT,
    STATE(4081), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46075] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6414), 1,
      anon_sym_RBRACE,
    STATE(4082), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46089] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6416), 1,
      anon_sym_RPAREN,
    STATE(4083), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46103] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6418), 1,
      sym__NONASSOC,
    STATE(4084), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46117] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6420), 1,
      anon_sym_RBRACE,
    STATE(4085), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46131] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6422), 1,
      anon_sym_LPAREN,
    STATE(4086), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46145] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6424), 1,
      anon_sym_LPAREN,
    STATE(4087), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46159] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6426), 1,
      anon_sym_RBRACE,
    STATE(4088), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46173] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4416), 1,
      sym__dollar_ident_zw,
    STATE(4089), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46187] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6428), 1,
      anon_sym_RBRACE,
    STATE(4090), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46201] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6430), 1,
      ts_builtin_sym_end,
    STATE(4091), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46215] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6432), 1,
      anon_sym_COLON,
    STATE(4092), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46229] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6434), 1,
      anon_sym_RBRACE,
    STATE(4093), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46243] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6436), 1,
      anon_sym_RPAREN,
    STATE(4094), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46257] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5379), 1,
      anon_sym_GT_GT,
    STATE(4095), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46271] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4187), 1,
      anon_sym_RBRACE,
    STATE(4096), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46285] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6438), 1,
      anon_sym_RBRACE,
    STATE(4097), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46299] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6440), 1,
      anon_sym_RBRACE,
    STATE(4098), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46313] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6442), 1,
      anon_sym_GT,
    STATE(4099), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46327] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6444), 1,
      sym__gobbled_content,
    STATE(4100), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46341] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6446), 1,
      anon_sym_RBRACE,
    STATE(4101), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46355] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6448), 1,
      anon_sym_RPAREN,
    STATE(4102), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46369] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6450), 1,
      anon_sym_RBRACE,
    STATE(4103), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46383] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6452), 1,
      anon_sym_RBRACE,
    STATE(4104), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46397] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6454), 1,
      anon_sym_GT,
    STATE(4105), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46411] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6456), 1,
      sym__gobbled_content,
    STATE(4106), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46425] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6458), 1,
      anon_sym_RBRACE,
    STATE(4107), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46439] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6460), 1,
      anon_sym_RBRACE,
    STATE(4108), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46453] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6462), 1,
      sym__gobbled_content,
    STATE(4109), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6464), 1,
      aux_sym__interpolated_transliteration_content_token1,
    STATE(4110), 1,
      sym_heredoc_content,
  [46483] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6466), 1,
      anon_sym_LPAREN,
    STATE(4111), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46497] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6468), 1,
      anon_sym_RBRACE,
    STATE(4112), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46511] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6470), 1,
      anon_sym_RBRACE,
    STATE(4113), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46525] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1881), 1,
      anon_sym_GT,
    STATE(4114), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46539] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6472), 1,
      anon_sym_LPAREN,
    STATE(4115), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46553] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6474), 1,
      anon_sym_RPAREN,
    STATE(4116), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46567] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6476), 1,
      anon_sym_RBRACE,
    STATE(4117), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46581] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(4362), 1,
      sym__no_interp_whitespace_zw,
    STATE(4118), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46595] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6478), 1,
      anon_sym_RPAREN,
    STATE(4119), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46609] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6480), 1,
      anon_sym_RBRACE,
    STATE(4120), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46623] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6482), 1,
      anon_sym_RBRACE,
    STATE(4121), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46637] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(1947), 1,
      sym__brace_end_zw,
    STATE(4122), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46651] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6484), 1,
      anon_sym_RBRACE,
    STATE(4123), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46665] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6486), 1,
      anon_sym_RBRACE,
    STATE(4124), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46679] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6488), 1,
      anon_sym_LPAREN,
    STATE(4125), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46693] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6490), 1,
      anon_sym_RPAREN,
    STATE(4126), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46707] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6492), 1,
      anon_sym_RBRACE,
    STATE(4127), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46721] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6494), 1,
      anon_sym_RBRACE,
    STATE(4128), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46735] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6496), 1,
      anon_sym_RBRACE,
    STATE(4129), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46749] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6498), 1,
      anon_sym_RPAREN,
    STATE(4130), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46763] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6500), 1,
      anon_sym_RBRACE,
    STATE(4131), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46777] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6502), 1,
      anon_sym_LPAREN,
    STATE(4132), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_pod,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6504), 1,
      aux_sym__interpolated_transliteration_content_token1,
    STATE(4133), 1,
      sym_heredoc_content,
  [46807] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6506), 1,
      anon_sym_LPAREN,
    STATE(4134), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46821] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6508), 1,
      anon_sym_LPAREN,
    STATE(4135), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46835] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6510), 1,
      anon_sym_LPAREN,
    STATE(4136), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46849] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6512), 1,
      anon_sym_LPAREN,
    STATE(4137), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46863] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5361), 1,
      anon_sym_GT_GT,
    STATE(4138), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46877] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6514), 1,
      anon_sym_LPAREN,
    STATE(4139), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46891] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6516), 1,
      anon_sym_LPAREN,
    STATE(4140), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46905] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(5435), 1,
      anon_sym_GT_GT,
    STATE(4141), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46919] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    STATE(4142), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46933] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6520), 1,
      anon_sym_LPAREN,
    STATE(4143), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46947] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6522), 1,
      anon_sym_LPAREN,
    STATE(4144), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46961] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6524), 1,
      anon_sym_LPAREN,
    STATE(4145), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46975] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6526), 1,
      anon_sym_RBRACE,
    STATE(4146), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [46989] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6528), 1,
      anon_sym_LPAREN,
    STATE(4147), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47003] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6530), 1,
      anon_sym_LPAREN,
    STATE(4148), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47017] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6532), 1,
      sym__ERROR,
    STATE(4149), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47031] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6534), 1,
      anon_sym_GT,
    STATE(4150), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47045] = 4,
    ACTIONS(7), 1,
      sym__heredoc_start,
    ACTIONS(6536), 1,
      anon_sym_RPAREN,
    STATE(4151), 1,
      sym_heredoc_content,
    ACTIONS(5), 2,
      sym_pod,
      sym_comment,
  [47059] = 1,
    ACTIONS(6538), 1,
      ts_builtin_sym_end,
  [47063] = 1,
    ACTIONS(6540), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2442)] = 0,
  [SMALL_STATE(2443)] = 73,
  [SMALL_STATE(2444)] = 146,
  [SMALL_STATE(2445)] = 219,
  [SMALL_STATE(2446)] = 292,
  [SMALL_STATE(2447)] = 365,
  [SMALL_STATE(2448)] = 438,
  [SMALL_STATE(2449)] = 511,
  [SMALL_STATE(2450)] = 584,
  [SMALL_STATE(2451)] = 657,
  [SMALL_STATE(2452)] = 730,
  [SMALL_STATE(2453)] = 800,
  [SMALL_STATE(2454)] = 870,
  [SMALL_STATE(2455)] = 940,
  [SMALL_STATE(2456)] = 1010,
  [SMALL_STATE(2457)] = 1080,
  [SMALL_STATE(2458)] = 1150,
  [SMALL_STATE(2459)] = 1220,
  [SMALL_STATE(2460)] = 1290,
  [SMALL_STATE(2461)] = 1360,
  [SMALL_STATE(2462)] = 1430,
  [SMALL_STATE(2463)] = 1500,
  [SMALL_STATE(2464)] = 1570,
  [SMALL_STATE(2465)] = 1640,
  [SMALL_STATE(2466)] = 1710,
  [SMALL_STATE(2467)] = 1780,
  [SMALL_STATE(2468)] = 1850,
  [SMALL_STATE(2469)] = 1920,
  [SMALL_STATE(2470)] = 1990,
  [SMALL_STATE(2471)] = 2060,
  [SMALL_STATE(2472)] = 2130,
  [SMALL_STATE(2473)] = 2200,
  [SMALL_STATE(2474)] = 2270,
  [SMALL_STATE(2475)] = 2340,
  [SMALL_STATE(2476)] = 2410,
  [SMALL_STATE(2477)] = 2480,
  [SMALL_STATE(2478)] = 2550,
  [SMALL_STATE(2479)] = 2620,
  [SMALL_STATE(2480)] = 2690,
  [SMALL_STATE(2481)] = 2760,
  [SMALL_STATE(2482)] = 2830,
  [SMALL_STATE(2483)] = 2899,
  [SMALL_STATE(2484)] = 2968,
  [SMALL_STATE(2485)] = 3037,
  [SMALL_STATE(2486)] = 3106,
  [SMALL_STATE(2487)] = 3175,
  [SMALL_STATE(2488)] = 3244,
  [SMALL_STATE(2489)] = 3313,
  [SMALL_STATE(2490)] = 3382,
  [SMALL_STATE(2491)] = 3451,
  [SMALL_STATE(2492)] = 3520,
  [SMALL_STATE(2493)] = 3589,
  [SMALL_STATE(2494)] = 3658,
  [SMALL_STATE(2495)] = 3727,
  [SMALL_STATE(2496)] = 3796,
  [SMALL_STATE(2497)] = 3865,
  [SMALL_STATE(2498)] = 3934,
  [SMALL_STATE(2499)] = 4003,
  [SMALL_STATE(2500)] = 4072,
  [SMALL_STATE(2501)] = 4141,
  [SMALL_STATE(2502)] = 4210,
  [SMALL_STATE(2503)] = 4279,
  [SMALL_STATE(2504)] = 4348,
  [SMALL_STATE(2505)] = 4417,
  [SMALL_STATE(2506)] = 4482,
  [SMALL_STATE(2507)] = 4551,
  [SMALL_STATE(2508)] = 4620,
  [SMALL_STATE(2509)] = 4685,
  [SMALL_STATE(2510)] = 4754,
  [SMALL_STATE(2511)] = 4823,
  [SMALL_STATE(2512)] = 4892,
  [SMALL_STATE(2513)] = 4961,
  [SMALL_STATE(2514)] = 5030,
  [SMALL_STATE(2515)] = 5099,
  [SMALL_STATE(2516)] = 5168,
  [SMALL_STATE(2517)] = 5237,
  [SMALL_STATE(2518)] = 5306,
  [SMALL_STATE(2519)] = 5375,
  [SMALL_STATE(2520)] = 5444,
  [SMALL_STATE(2521)] = 5513,
  [SMALL_STATE(2522)] = 5582,
  [SMALL_STATE(2523)] = 5651,
  [SMALL_STATE(2524)] = 5720,
  [SMALL_STATE(2525)] = 5789,
  [SMALL_STATE(2526)] = 5858,
  [SMALL_STATE(2527)] = 5927,
  [SMALL_STATE(2528)] = 5996,
  [SMALL_STATE(2529)] = 6065,
  [SMALL_STATE(2530)] = 6134,
  [SMALL_STATE(2531)] = 6203,
  [SMALL_STATE(2532)] = 6272,
  [SMALL_STATE(2533)] = 6341,
  [SMALL_STATE(2534)] = 6410,
  [SMALL_STATE(2535)] = 6479,
  [SMALL_STATE(2536)] = 6548,
  [SMALL_STATE(2537)] = 6617,
  [SMALL_STATE(2538)] = 6686,
  [SMALL_STATE(2539)] = 6755,
  [SMALL_STATE(2540)] = 6824,
  [SMALL_STATE(2541)] = 6893,
  [SMALL_STATE(2542)] = 6962,
  [SMALL_STATE(2543)] = 7031,
  [SMALL_STATE(2544)] = 7100,
  [SMALL_STATE(2545)] = 7169,
  [SMALL_STATE(2546)] = 7238,
  [SMALL_STATE(2547)] = 7307,
  [SMALL_STATE(2548)] = 7376,
  [SMALL_STATE(2549)] = 7445,
  [SMALL_STATE(2550)] = 7509,
  [SMALL_STATE(2551)] = 7572,
  [SMALL_STATE(2552)] = 7637,
  [SMALL_STATE(2553)] = 7700,
  [SMALL_STATE(2554)] = 7763,
  [SMALL_STATE(2555)] = 7828,
  [SMALL_STATE(2556)] = 7891,
  [SMALL_STATE(2557)] = 7954,
  [SMALL_STATE(2558)] = 8017,
  [SMALL_STATE(2559)] = 8056,
  [SMALL_STATE(2560)] = 8093,
  [SMALL_STATE(2561)] = 8142,
  [SMALL_STATE(2562)] = 8191,
  [SMALL_STATE(2563)] = 8240,
  [SMALL_STATE(2564)] = 8289,
  [SMALL_STATE(2565)] = 8340,
  [SMALL_STATE(2566)] = 8389,
  [SMALL_STATE(2567)] = 8440,
  [SMALL_STATE(2568)] = 8491,
  [SMALL_STATE(2569)] = 8540,
  [SMALL_STATE(2570)] = 8589,
  [SMALL_STATE(2571)] = 8638,
  [SMALL_STATE(2572)] = 8689,
  [SMALL_STATE(2573)] = 8740,
  [SMALL_STATE(2574)] = 8786,
  [SMALL_STATE(2575)] = 8844,
  [SMALL_STATE(2576)] = 8876,
  [SMALL_STATE(2577)] = 8908,
  [SMALL_STATE(2578)] = 8942,
  [SMALL_STATE(2579)] = 8974,
  [SMALL_STATE(2580)] = 9032,
  [SMALL_STATE(2581)] = 9090,
  [SMALL_STATE(2582)] = 9122,
  [SMALL_STATE(2583)] = 9180,
  [SMALL_STATE(2584)] = 9209,
  [SMALL_STATE(2585)] = 9240,
  [SMALL_STATE(2586)] = 9277,
  [SMALL_STATE(2587)] = 9308,
  [SMALL_STATE(2588)] = 9339,
  [SMALL_STATE(2589)] = 9368,
  [SMALL_STATE(2590)] = 9415,
  [SMALL_STATE(2591)] = 9462,
  [SMALL_STATE(2592)] = 9493,
  [SMALL_STATE(2593)] = 9538,
  [SMALL_STATE(2594)] = 9575,
  [SMALL_STATE(2595)] = 9622,
  [SMALL_STATE(2596)] = 9669,
  [SMALL_STATE(2597)] = 9698,
  [SMALL_STATE(2598)] = 9727,
  [SMALL_STATE(2599)] = 9774,
  [SMALL_STATE(2600)] = 9803,
  [SMALL_STATE(2601)] = 9832,
  [SMALL_STATE(2602)] = 9876,
  [SMALL_STATE(2603)] = 9920,
  [SMALL_STATE(2604)] = 9964,
  [SMALL_STATE(2605)] = 9992,
  [SMALL_STATE(2606)] = 10036,
  [SMALL_STATE(2607)] = 10080,
  [SMALL_STATE(2608)] = 10120,
  [SMALL_STATE(2609)] = 10148,
  [SMALL_STATE(2610)] = 10196,
  [SMALL_STATE(2611)] = 10224,
  [SMALL_STATE(2612)] = 10264,
  [SMALL_STATE(2613)] = 10292,
  [SMALL_STATE(2614)] = 10336,
  [SMALL_STATE(2615)] = 10380,
  [SMALL_STATE(2616)] = 10424,
  [SMALL_STATE(2617)] = 10468,
  [SMALL_STATE(2618)] = 10512,
  [SMALL_STATE(2619)] = 10540,
  [SMALL_STATE(2620)] = 10584,
  [SMALL_STATE(2621)] = 10614,
  [SMALL_STATE(2622)] = 10644,
  [SMALL_STATE(2623)] = 10688,
  [SMALL_STATE(2624)] = 10716,
  [SMALL_STATE(2625)] = 10760,
  [SMALL_STATE(2626)] = 10790,
  [SMALL_STATE(2627)] = 10834,
  [SMALL_STATE(2628)] = 10878,
  [SMALL_STATE(2629)] = 10908,
  [SMALL_STATE(2630)] = 10952,
  [SMALL_STATE(2631)] = 10996,
  [SMALL_STATE(2632)] = 11040,
  [SMALL_STATE(2633)] = 11080,
  [SMALL_STATE(2634)] = 11124,
  [SMALL_STATE(2635)] = 11168,
  [SMALL_STATE(2636)] = 11212,
  [SMALL_STATE(2637)] = 11256,
  [SMALL_STATE(2638)] = 11300,
  [SMALL_STATE(2639)] = 11344,
  [SMALL_STATE(2640)] = 11388,
  [SMALL_STATE(2641)] = 11432,
  [SMALL_STATE(2642)] = 11476,
  [SMALL_STATE(2643)] = 11520,
  [SMALL_STATE(2644)] = 11564,
  [SMALL_STATE(2645)] = 11600,
  [SMALL_STATE(2646)] = 11644,
  [SMALL_STATE(2647)] = 11684,
  [SMALL_STATE(2648)] = 11732,
  [SMALL_STATE(2649)] = 11780,
  [SMALL_STATE(2650)] = 11808,
  [SMALL_STATE(2651)] = 11848,
  [SMALL_STATE(2652)] = 11876,
  [SMALL_STATE(2653)] = 11904,
  [SMALL_STATE(2654)] = 11948,
  [SMALL_STATE(2655)] = 11988,
  [SMALL_STATE(2656)] = 12036,
  [SMALL_STATE(2657)] = 12064,
  [SMALL_STATE(2658)] = 12108,
  [SMALL_STATE(2659)] = 12136,
  [SMALL_STATE(2660)] = 12164,
  [SMALL_STATE(2661)] = 12192,
  [SMALL_STATE(2662)] = 12232,
  [SMALL_STATE(2663)] = 12280,
  [SMALL_STATE(2664)] = 12308,
  [SMALL_STATE(2665)] = 12352,
  [SMALL_STATE(2666)] = 12396,
  [SMALL_STATE(2667)] = 12424,
  [SMALL_STATE(2668)] = 12464,
  [SMALL_STATE(2669)] = 12512,
  [SMALL_STATE(2670)] = 12552,
  [SMALL_STATE(2671)] = 12580,
  [SMALL_STATE(2672)] = 12628,
  [SMALL_STATE(2673)] = 12672,
  [SMALL_STATE(2674)] = 12700,
  [SMALL_STATE(2675)] = 12740,
  [SMALL_STATE(2676)] = 12768,
  [SMALL_STATE(2677)] = 12798,
  [SMALL_STATE(2678)] = 12826,
  [SMALL_STATE(2679)] = 12856,
  [SMALL_STATE(2680)] = 12883,
  [SMALL_STATE(2681)] = 12924,
  [SMALL_STATE(2682)] = 12965,
  [SMALL_STATE(2683)] = 13006,
  [SMALL_STATE(2684)] = 13047,
  [SMALL_STATE(2685)] = 13074,
  [SMALL_STATE(2686)] = 13101,
  [SMALL_STATE(2687)] = 13142,
  [SMALL_STATE(2688)] = 13183,
  [SMALL_STATE(2689)] = 13224,
  [SMALL_STATE(2690)] = 13265,
  [SMALL_STATE(2691)] = 13306,
  [SMALL_STATE(2692)] = 13333,
  [SMALL_STATE(2693)] = 13374,
  [SMALL_STATE(2694)] = 13415,
  [SMALL_STATE(2695)] = 13456,
  [SMALL_STATE(2696)] = 13497,
  [SMALL_STATE(2697)] = 13538,
  [SMALL_STATE(2698)] = 13575,
  [SMALL_STATE(2699)] = 13616,
  [SMALL_STATE(2700)] = 13643,
  [SMALL_STATE(2701)] = 13670,
  [SMALL_STATE(2702)] = 13711,
  [SMALL_STATE(2703)] = 13752,
  [SMALL_STATE(2704)] = 13779,
  [SMALL_STATE(2705)] = 13818,
  [SMALL_STATE(2706)] = 13845,
  [SMALL_STATE(2707)] = 13886,
  [SMALL_STATE(2708)] = 13913,
  [SMALL_STATE(2709)] = 13954,
  [SMALL_STATE(2710)] = 13995,
  [SMALL_STATE(2711)] = 14022,
  [SMALL_STATE(2712)] = 14051,
  [SMALL_STATE(2713)] = 14078,
  [SMALL_STATE(2714)] = 14105,
  [SMALL_STATE(2715)] = 14146,
  [SMALL_STATE(2716)] = 14183,
  [SMALL_STATE(2717)] = 14212,
  [SMALL_STATE(2718)] = 14253,
  [SMALL_STATE(2719)] = 14294,
  [SMALL_STATE(2720)] = 14335,
  [SMALL_STATE(2721)] = 14376,
  [SMALL_STATE(2722)] = 14417,
  [SMALL_STATE(2723)] = 14444,
  [SMALL_STATE(2724)] = 14481,
  [SMALL_STATE(2725)] = 14518,
  [SMALL_STATE(2726)] = 14555,
  [SMALL_STATE(2727)] = 14596,
  [SMALL_STATE(2728)] = 14633,
  [SMALL_STATE(2729)] = 14670,
  [SMALL_STATE(2730)] = 14707,
  [SMALL_STATE(2731)] = 14744,
  [SMALL_STATE(2732)] = 14785,
  [SMALL_STATE(2733)] = 14826,
  [SMALL_STATE(2734)] = 14853,
  [SMALL_STATE(2735)] = 14894,
  [SMALL_STATE(2736)] = 14935,
  [SMALL_STATE(2737)] = 14980,
  [SMALL_STATE(2738)] = 15021,
  [SMALL_STATE(2739)] = 15048,
  [SMALL_STATE(2740)] = 15089,
  [SMALL_STATE(2741)] = 15130,
  [SMALL_STATE(2742)] = 15165,
  [SMALL_STATE(2743)] = 15206,
  [SMALL_STATE(2744)] = 15243,
  [SMALL_STATE(2745)] = 15284,
  [SMALL_STATE(2746)] = 15311,
  [SMALL_STATE(2747)] = 15340,
  [SMALL_STATE(2748)] = 15381,
  [SMALL_STATE(2749)] = 15418,
  [SMALL_STATE(2750)] = 15459,
  [SMALL_STATE(2751)] = 15500,
  [SMALL_STATE(2752)] = 15537,
  [SMALL_STATE(2753)] = 15564,
  [SMALL_STATE(2754)] = 15605,
  [SMALL_STATE(2755)] = 15642,
  [SMALL_STATE(2756)] = 15673,
  [SMALL_STATE(2757)] = 15704,
  [SMALL_STATE(2758)] = 15745,
  [SMALL_STATE(2759)] = 15772,
  [SMALL_STATE(2760)] = 15799,
  [SMALL_STATE(2761)] = 15826,
  [SMALL_STATE(2762)] = 15853,
  [SMALL_STATE(2763)] = 15880,
  [SMALL_STATE(2764)] = 15909,
  [SMALL_STATE(2765)] = 15950,
  [SMALL_STATE(2766)] = 15991,
  [SMALL_STATE(2767)] = 16022,
  [SMALL_STATE(2768)] = 16053,
  [SMALL_STATE(2769)] = 16080,
  [SMALL_STATE(2770)] = 16107,
  [SMALL_STATE(2771)] = 16134,
  [SMALL_STATE(2772)] = 16161,
  [SMALL_STATE(2773)] = 16198,
  [SMALL_STATE(2774)] = 16227,
  [SMALL_STATE(2775)] = 16268,
  [SMALL_STATE(2776)] = 16295,
  [SMALL_STATE(2777)] = 16336,
  [SMALL_STATE(2778)] = 16377,
  [SMALL_STATE(2779)] = 16414,
  [SMALL_STATE(2780)] = 16451,
  [SMALL_STATE(2781)] = 16488,
  [SMALL_STATE(2782)] = 16525,
  [SMALL_STATE(2783)] = 16552,
  [SMALL_STATE(2784)] = 16579,
  [SMALL_STATE(2785)] = 16620,
  [SMALL_STATE(2786)] = 16647,
  [SMALL_STATE(2787)] = 16688,
  [SMALL_STATE(2788)] = 16725,
  [SMALL_STATE(2789)] = 16766,
  [SMALL_STATE(2790)] = 16807,
  [SMALL_STATE(2791)] = 16848,
  [SMALL_STATE(2792)] = 16889,
  [SMALL_STATE(2793)] = 16930,
  [SMALL_STATE(2794)] = 16971,
  [SMALL_STATE(2795)] = 17012,
  [SMALL_STATE(2796)] = 17053,
  [SMALL_STATE(2797)] = 17098,
  [SMALL_STATE(2798)] = 17135,
  [SMALL_STATE(2799)] = 17173,
  [SMALL_STATE(2800)] = 17199,
  [SMALL_STATE(2801)] = 17225,
  [SMALL_STATE(2802)] = 17251,
  [SMALL_STATE(2803)] = 17279,
  [SMALL_STATE(2804)] = 17321,
  [SMALL_STATE(2805)] = 17359,
  [SMALL_STATE(2806)] = 17401,
  [SMALL_STATE(2807)] = 17443,
  [SMALL_STATE(2808)] = 17485,
  [SMALL_STATE(2809)] = 17511,
  [SMALL_STATE(2810)] = 17537,
  [SMALL_STATE(2811)] = 17563,
  [SMALL_STATE(2812)] = 17605,
  [SMALL_STATE(2813)] = 17647,
  [SMALL_STATE(2814)] = 17673,
  [SMALL_STATE(2815)] = 17715,
  [SMALL_STATE(2816)] = 17757,
  [SMALL_STATE(2817)] = 17799,
  [SMALL_STATE(2818)] = 17837,
  [SMALL_STATE(2819)] = 17879,
  [SMALL_STATE(2820)] = 17921,
  [SMALL_STATE(2821)] = 17947,
  [SMALL_STATE(2822)] = 17989,
  [SMALL_STATE(2823)] = 18031,
  [SMALL_STATE(2824)] = 18073,
  [SMALL_STATE(2825)] = 18115,
  [SMALL_STATE(2826)] = 18157,
  [SMALL_STATE(2827)] = 18183,
  [SMALL_STATE(2828)] = 18209,
  [SMALL_STATE(2829)] = 18239,
  [SMALL_STATE(2830)] = 18281,
  [SMALL_STATE(2831)] = 18323,
  [SMALL_STATE(2832)] = 18365,
  [SMALL_STATE(2833)] = 18407,
  [SMALL_STATE(2834)] = 18449,
  [SMALL_STATE(2835)] = 18491,
  [SMALL_STATE(2836)] = 18533,
  [SMALL_STATE(2837)] = 18565,
  [SMALL_STATE(2838)] = 18603,
  [SMALL_STATE(2839)] = 18645,
  [SMALL_STATE(2840)] = 18683,
  [SMALL_STATE(2841)] = 18725,
  [SMALL_STATE(2842)] = 18767,
  [SMALL_STATE(2843)] = 18809,
  [SMALL_STATE(2844)] = 18835,
  [SMALL_STATE(2845)] = 18861,
  [SMALL_STATE(2846)] = 18903,
  [SMALL_STATE(2847)] = 18935,
  [SMALL_STATE(2848)] = 18961,
  [SMALL_STATE(2849)] = 18999,
  [SMALL_STATE(2850)] = 19027,
  [SMALL_STATE(2851)] = 19069,
  [SMALL_STATE(2852)] = 19095,
  [SMALL_STATE(2853)] = 19137,
  [SMALL_STATE(2854)] = 19179,
  [SMALL_STATE(2855)] = 19221,
  [SMALL_STATE(2856)] = 19263,
  [SMALL_STATE(2857)] = 19305,
  [SMALL_STATE(2858)] = 19347,
  [SMALL_STATE(2859)] = 19373,
  [SMALL_STATE(2860)] = 19411,
  [SMALL_STATE(2861)] = 19453,
  [SMALL_STATE(2862)] = 19495,
  [SMALL_STATE(2863)] = 19533,
  [SMALL_STATE(2864)] = 19559,
  [SMALL_STATE(2865)] = 19589,
  [SMALL_STATE(2866)] = 19627,
  [SMALL_STATE(2867)] = 19669,
  [SMALL_STATE(2868)] = 19711,
  [SMALL_STATE(2869)] = 19753,
  [SMALL_STATE(2870)] = 19795,
  [SMALL_STATE(2871)] = 19825,
  [SMALL_STATE(2872)] = 19863,
  [SMALL_STATE(2873)] = 19901,
  [SMALL_STATE(2874)] = 19943,
  [SMALL_STATE(2875)] = 19985,
  [SMALL_STATE(2876)] = 20023,
  [SMALL_STATE(2877)] = 20065,
  [SMALL_STATE(2878)] = 20091,
  [SMALL_STATE(2879)] = 20130,
  [SMALL_STATE(2880)] = 20153,
  [SMALL_STATE(2881)] = 20176,
  [SMALL_STATE(2882)] = 20199,
  [SMALL_STATE(2883)] = 20222,
  [SMALL_STATE(2884)] = 20245,
  [SMALL_STATE(2885)] = 20268,
  [SMALL_STATE(2886)] = 20291,
  [SMALL_STATE(2887)] = 20314,
  [SMALL_STATE(2888)] = 20337,
  [SMALL_STATE(2889)] = 20360,
  [SMALL_STATE(2890)] = 20383,
  [SMALL_STATE(2891)] = 20406,
  [SMALL_STATE(2892)] = 20429,
  [SMALL_STATE(2893)] = 20452,
  [SMALL_STATE(2894)] = 20475,
  [SMALL_STATE(2895)] = 20498,
  [SMALL_STATE(2896)] = 20521,
  [SMALL_STATE(2897)] = 20544,
  [SMALL_STATE(2898)] = 20567,
  [SMALL_STATE(2899)] = 20590,
  [SMALL_STATE(2900)] = 20613,
  [SMALL_STATE(2901)] = 20636,
  [SMALL_STATE(2902)] = 20659,
  [SMALL_STATE(2903)] = 20682,
  [SMALL_STATE(2904)] = 20705,
  [SMALL_STATE(2905)] = 20728,
  [SMALL_STATE(2906)] = 20751,
  [SMALL_STATE(2907)] = 20774,
  [SMALL_STATE(2908)] = 20797,
  [SMALL_STATE(2909)] = 20836,
  [SMALL_STATE(2910)] = 20875,
  [SMALL_STATE(2911)] = 20898,
  [SMALL_STATE(2912)] = 20921,
  [SMALL_STATE(2913)] = 20944,
  [SMALL_STATE(2914)] = 20967,
  [SMALL_STATE(2915)] = 21006,
  [SMALL_STATE(2916)] = 21041,
  [SMALL_STATE(2917)] = 21076,
  [SMALL_STATE(2918)] = 21115,
  [SMALL_STATE(2919)] = 21138,
  [SMALL_STATE(2920)] = 21161,
  [SMALL_STATE(2921)] = 21184,
  [SMALL_STATE(2922)] = 21207,
  [SMALL_STATE(2923)] = 21230,
  [SMALL_STATE(2924)] = 21253,
  [SMALL_STATE(2925)] = 21292,
  [SMALL_STATE(2926)] = 21331,
  [SMALL_STATE(2927)] = 21354,
  [SMALL_STATE(2928)] = 21393,
  [SMALL_STATE(2929)] = 21432,
  [SMALL_STATE(2930)] = 21455,
  [SMALL_STATE(2931)] = 21478,
  [SMALL_STATE(2932)] = 21517,
  [SMALL_STATE(2933)] = 21556,
  [SMALL_STATE(2934)] = 21579,
  [SMALL_STATE(2935)] = 21618,
  [SMALL_STATE(2936)] = 21657,
  [SMALL_STATE(2937)] = 21692,
  [SMALL_STATE(2938)] = 21721,
  [SMALL_STATE(2939)] = 21750,
  [SMALL_STATE(2940)] = 21775,
  [SMALL_STATE(2941)] = 21800,
  [SMALL_STATE(2942)] = 21825,
  [SMALL_STATE(2943)] = 21850,
  [SMALL_STATE(2944)] = 21875,
  [SMALL_STATE(2945)] = 21900,
  [SMALL_STATE(2946)] = 21923,
  [SMALL_STATE(2947)] = 21946,
  [SMALL_STATE(2948)] = 21969,
  [SMALL_STATE(2949)] = 21992,
  [SMALL_STATE(2950)] = 22015,
  [SMALL_STATE(2951)] = 22038,
  [SMALL_STATE(2952)] = 22061,
  [SMALL_STATE(2953)] = 22084,
  [SMALL_STATE(2954)] = 22107,
  [SMALL_STATE(2955)] = 22130,
  [SMALL_STATE(2956)] = 22153,
  [SMALL_STATE(2957)] = 22176,
  [SMALL_STATE(2958)] = 22199,
  [SMALL_STATE(2959)] = 22224,
  [SMALL_STATE(2960)] = 22259,
  [SMALL_STATE(2961)] = 22294,
  [SMALL_STATE(2962)] = 22333,
  [SMALL_STATE(2963)] = 22358,
  [SMALL_STATE(2964)] = 22381,
  [SMALL_STATE(2965)] = 22406,
  [SMALL_STATE(2966)] = 22441,
  [SMALL_STATE(2967)] = 22480,
  [SMALL_STATE(2968)] = 22504,
  [SMALL_STATE(2969)] = 22526,
  [SMALL_STATE(2970)] = 22552,
  [SMALL_STATE(2971)] = 22578,
  [SMALL_STATE(2972)] = 22614,
  [SMALL_STATE(2973)] = 22636,
  [SMALL_STATE(2974)] = 22658,
  [SMALL_STATE(2975)] = 22680,
  [SMALL_STATE(2976)] = 22712,
  [SMALL_STATE(2977)] = 22742,
  [SMALL_STATE(2978)] = 22764,
  [SMALL_STATE(2979)] = 22786,
  [SMALL_STATE(2980)] = 22818,
  [SMALL_STATE(2981)] = 22840,
  [SMALL_STATE(2982)] = 22862,
  [SMALL_STATE(2983)] = 22884,
  [SMALL_STATE(2984)] = 22906,
  [SMALL_STATE(2985)] = 22940,
  [SMALL_STATE(2986)] = 22976,
  [SMALL_STATE(2987)] = 22998,
  [SMALL_STATE(2988)] = 23020,
  [SMALL_STATE(2989)] = 23054,
  [SMALL_STATE(2990)] = 23088,
  [SMALL_STATE(2991)] = 23120,
  [SMALL_STATE(2992)] = 23142,
  [SMALL_STATE(2993)] = 23164,
  [SMALL_STATE(2994)] = 23186,
  [SMALL_STATE(2995)] = 23208,
  [SMALL_STATE(2996)] = 23230,
  [SMALL_STATE(2997)] = 23252,
  [SMALL_STATE(2998)] = 23276,
  [SMALL_STATE(2999)] = 23298,
  [SMALL_STATE(3000)] = 23320,
  [SMALL_STATE(3001)] = 23342,
  [SMALL_STATE(3002)] = 23374,
  [SMALL_STATE(3003)] = 23396,
  [SMALL_STATE(3004)] = 23418,
  [SMALL_STATE(3005)] = 23452,
  [SMALL_STATE(3006)] = 23474,
  [SMALL_STATE(3007)] = 23496,
  [SMALL_STATE(3008)] = 23518,
  [SMALL_STATE(3009)] = 23540,
  [SMALL_STATE(3010)] = 23570,
  [SMALL_STATE(3011)] = 23594,
  [SMALL_STATE(3012)] = 23626,
  [SMALL_STATE(3013)] = 23660,
  [SMALL_STATE(3014)] = 23694,
  [SMALL_STATE(3015)] = 23716,
  [SMALL_STATE(3016)] = 23750,
  [SMALL_STATE(3017)] = 23776,
  [SMALL_STATE(3018)] = 23798,
  [SMALL_STATE(3019)] = 23820,
  [SMALL_STATE(3020)] = 23842,
  [SMALL_STATE(3021)] = 23864,
  [SMALL_STATE(3022)] = 23888,
  [SMALL_STATE(3023)] = 23910,
  [SMALL_STATE(3024)] = 23942,
  [SMALL_STATE(3025)] = 23964,
  [SMALL_STATE(3026)] = 23986,
  [SMALL_STATE(3027)] = 24008,
  [SMALL_STATE(3028)] = 24034,
  [SMALL_STATE(3029)] = 24070,
  [SMALL_STATE(3030)] = 24092,
  [SMALL_STATE(3031)] = 24124,
  [SMALL_STATE(3032)] = 24160,
  [SMALL_STATE(3033)] = 24182,
  [SMALL_STATE(3034)] = 24203,
  [SMALL_STATE(3035)] = 24224,
  [SMALL_STATE(3036)] = 24245,
  [SMALL_STATE(3037)] = 24270,
  [SMALL_STATE(3038)] = 24291,
  [SMALL_STATE(3039)] = 24312,
  [SMALL_STATE(3040)] = 24333,
  [SMALL_STATE(3041)] = 24354,
  [SMALL_STATE(3042)] = 24375,
  [SMALL_STATE(3043)] = 24406,
  [SMALL_STATE(3044)] = 24427,
  [SMALL_STATE(3045)] = 24448,
  [SMALL_STATE(3046)] = 24475,
  [SMALL_STATE(3047)] = 24502,
  [SMALL_STATE(3048)] = 24523,
  [SMALL_STATE(3049)] = 24554,
  [SMALL_STATE(3050)] = 24581,
  [SMALL_STATE(3051)] = 24602,
  [SMALL_STATE(3052)] = 24623,
  [SMALL_STATE(3053)] = 24644,
  [SMALL_STATE(3054)] = 24665,
  [SMALL_STATE(3055)] = 24686,
  [SMALL_STATE(3056)] = 24707,
  [SMALL_STATE(3057)] = 24728,
  [SMALL_STATE(3058)] = 24753,
  [SMALL_STATE(3059)] = 24774,
  [SMALL_STATE(3060)] = 24795,
  [SMALL_STATE(3061)] = 24816,
  [SMALL_STATE(3062)] = 24837,
  [SMALL_STATE(3063)] = 24858,
  [SMALL_STATE(3064)] = 24879,
  [SMALL_STATE(3065)] = 24900,
  [SMALL_STATE(3066)] = 24929,
  [SMALL_STATE(3067)] = 24950,
  [SMALL_STATE(3068)] = 24978,
  [SMALL_STATE(3069)] = 25006,
  [SMALL_STATE(3070)] = 25038,
  [SMALL_STATE(3071)] = 25070,
  [SMALL_STATE(3072)] = 25102,
  [SMALL_STATE(3073)] = 25134,
  [SMALL_STATE(3074)] = 25166,
  [SMALL_STATE(3075)] = 25198,
  [SMALL_STATE(3076)] = 25226,
  [SMALL_STATE(3077)] = 25258,
  [SMALL_STATE(3078)] = 25290,
  [SMALL_STATE(3079)] = 25318,
  [SMALL_STATE(3080)] = 25350,
  [SMALL_STATE(3081)] = 25380,
  [SMALL_STATE(3082)] = 25412,
  [SMALL_STATE(3083)] = 25436,
  [SMALL_STATE(3084)] = 25464,
  [SMALL_STATE(3085)] = 25496,
  [SMALL_STATE(3086)] = 25528,
  [SMALL_STATE(3087)] = 25560,
  [SMALL_STATE(3088)] = 25592,
  [SMALL_STATE(3089)] = 25620,
  [SMALL_STATE(3090)] = 25652,
  [SMALL_STATE(3091)] = 25684,
  [SMALL_STATE(3092)] = 25716,
  [SMALL_STATE(3093)] = 25744,
  [SMALL_STATE(3094)] = 25772,
  [SMALL_STATE(3095)] = 25800,
  [SMALL_STATE(3096)] = 25828,
  [SMALL_STATE(3097)] = 25860,
  [SMALL_STATE(3098)] = 25892,
  [SMALL_STATE(3099)] = 25924,
  [SMALL_STATE(3100)] = 25952,
  [SMALL_STATE(3101)] = 25984,
  [SMALL_STATE(3102)] = 26016,
  [SMALL_STATE(3103)] = 26048,
  [SMALL_STATE(3104)] = 26080,
  [SMALL_STATE(3105)] = 26108,
  [SMALL_STATE(3106)] = 26136,
  [SMALL_STATE(3107)] = 26168,
  [SMALL_STATE(3108)] = 26198,
  [SMALL_STATE(3109)] = 26226,
  [SMALL_STATE(3110)] = 26254,
  [SMALL_STATE(3111)] = 26276,
  [SMALL_STATE(3112)] = 26304,
  [SMALL_STATE(3113)] = 26332,
  [SMALL_STATE(3114)] = 26364,
  [SMALL_STATE(3115)] = 26396,
  [SMALL_STATE(3116)] = 26428,
  [SMALL_STATE(3117)] = 26460,
  [SMALL_STATE(3118)] = 26492,
  [SMALL_STATE(3119)] = 26520,
  [SMALL_STATE(3120)] = 26552,
  [SMALL_STATE(3121)] = 26580,
  [SMALL_STATE(3122)] = 26612,
  [SMALL_STATE(3123)] = 26634,
  [SMALL_STATE(3124)] = 26662,
  [SMALL_STATE(3125)] = 26690,
  [SMALL_STATE(3126)] = 26718,
  [SMALL_STATE(3127)] = 26746,
  [SMALL_STATE(3128)] = 26774,
  [SMALL_STATE(3129)] = 26798,
  [SMALL_STATE(3130)] = 26826,
  [SMALL_STATE(3131)] = 26858,
  [SMALL_STATE(3132)] = 26890,
  [SMALL_STATE(3133)] = 26922,
  [SMALL_STATE(3134)] = 26954,
  [SMALL_STATE(3135)] = 26982,
  [SMALL_STATE(3136)] = 27014,
  [SMALL_STATE(3137)] = 27046,
  [SMALL_STATE(3138)] = 27078,
  [SMALL_STATE(3139)] = 27110,
  [SMALL_STATE(3140)] = 27142,
  [SMALL_STATE(3141)] = 27174,
  [SMALL_STATE(3142)] = 27206,
  [SMALL_STATE(3143)] = 27236,
  [SMALL_STATE(3144)] = 27268,
  [SMALL_STATE(3145)] = 27297,
  [SMALL_STATE(3146)] = 27322,
  [SMALL_STATE(3147)] = 27347,
  [SMALL_STATE(3148)] = 27372,
  [SMALL_STATE(3149)] = 27401,
  [SMALL_STATE(3150)] = 27430,
  [SMALL_STATE(3151)] = 27459,
  [SMALL_STATE(3152)] = 27480,
  [SMALL_STATE(3153)] = 27509,
  [SMALL_STATE(3154)] = 27538,
  [SMALL_STATE(3155)] = 27563,
  [SMALL_STATE(3156)] = 27588,
  [SMALL_STATE(3157)] = 27613,
  [SMALL_STATE(3158)] = 27638,
  [SMALL_STATE(3159)] = 27667,
  [SMALL_STATE(3160)] = 27692,
  [SMALL_STATE(3161)] = 27719,
  [SMALL_STATE(3162)] = 27748,
  [SMALL_STATE(3163)] = 27777,
  [SMALL_STATE(3164)] = 27802,
  [SMALL_STATE(3165)] = 27827,
  [SMALL_STATE(3166)] = 27852,
  [SMALL_STATE(3167)] = 27881,
  [SMALL_STATE(3168)] = 27910,
  [SMALL_STATE(3169)] = 27935,
  [SMALL_STATE(3170)] = 27960,
  [SMALL_STATE(3171)] = 27985,
  [SMALL_STATE(3172)] = 28014,
  [SMALL_STATE(3173)] = 28033,
  [SMALL_STATE(3174)] = 28058,
  [SMALL_STATE(3175)] = 28083,
  [SMALL_STATE(3176)] = 28110,
  [SMALL_STATE(3177)] = 28135,
  [SMALL_STATE(3178)] = 28164,
  [SMALL_STATE(3179)] = 28193,
  [SMALL_STATE(3180)] = 28218,
  [SMALL_STATE(3181)] = 28241,
  [SMALL_STATE(3182)] = 28266,
  [SMALL_STATE(3183)] = 28291,
  [SMALL_STATE(3184)] = 28320,
  [SMALL_STATE(3185)] = 28349,
  [SMALL_STATE(3186)] = 28374,
  [SMALL_STATE(3187)] = 28399,
  [SMALL_STATE(3188)] = 28424,
  [SMALL_STATE(3189)] = 28453,
  [SMALL_STATE(3190)] = 28474,
  [SMALL_STATE(3191)] = 28499,
  [SMALL_STATE(3192)] = 28520,
  [SMALL_STATE(3193)] = 28545,
  [SMALL_STATE(3194)] = 28570,
  [SMALL_STATE(3195)] = 28595,
  [SMALL_STATE(3196)] = 28614,
  [SMALL_STATE(3197)] = 28639,
  [SMALL_STATE(3198)] = 28664,
  [SMALL_STATE(3199)] = 28689,
  [SMALL_STATE(3200)] = 28714,
  [SMALL_STATE(3201)] = 28739,
  [SMALL_STATE(3202)] = 28764,
  [SMALL_STATE(3203)] = 28789,
  [SMALL_STATE(3204)] = 28818,
  [SMALL_STATE(3205)] = 28843,
  [SMALL_STATE(3206)] = 28868,
  [SMALL_STATE(3207)] = 28889,
  [SMALL_STATE(3208)] = 28914,
  [SMALL_STATE(3209)] = 28935,
  [SMALL_STATE(3210)] = 28960,
  [SMALL_STATE(3211)] = 28985,
  [SMALL_STATE(3212)] = 29010,
  [SMALL_STATE(3213)] = 29035,
  [SMALL_STATE(3214)] = 29060,
  [SMALL_STATE(3215)] = 29079,
  [SMALL_STATE(3216)] = 29098,
  [SMALL_STATE(3217)] = 29123,
  [SMALL_STATE(3218)] = 29148,
  [SMALL_STATE(3219)] = 29173,
  [SMALL_STATE(3220)] = 29198,
  [SMALL_STATE(3221)] = 29223,
  [SMALL_STATE(3222)] = 29248,
  [SMALL_STATE(3223)] = 29273,
  [SMALL_STATE(3224)] = 29298,
  [SMALL_STATE(3225)] = 29323,
  [SMALL_STATE(3226)] = 29348,
  [SMALL_STATE(3227)] = 29367,
  [SMALL_STATE(3228)] = 29392,
  [SMALL_STATE(3229)] = 29421,
  [SMALL_STATE(3230)] = 29450,
  [SMALL_STATE(3231)] = 29475,
  [SMALL_STATE(3232)] = 29504,
  [SMALL_STATE(3233)] = 29529,
  [SMALL_STATE(3234)] = 29554,
  [SMALL_STATE(3235)] = 29579,
  [SMALL_STATE(3236)] = 29598,
  [SMALL_STATE(3237)] = 29627,
  [SMALL_STATE(3238)] = 29652,
  [SMALL_STATE(3239)] = 29677,
  [SMALL_STATE(3240)] = 29706,
  [SMALL_STATE(3241)] = 29731,
  [SMALL_STATE(3242)] = 29756,
  [SMALL_STATE(3243)] = 29775,
  [SMALL_STATE(3244)] = 29800,
  [SMALL_STATE(3245)] = 29825,
  [SMALL_STATE(3246)] = 29850,
  [SMALL_STATE(3247)] = 29875,
  [SMALL_STATE(3248)] = 29900,
  [SMALL_STATE(3249)] = 29927,
  [SMALL_STATE(3250)] = 29952,
  [SMALL_STATE(3251)] = 29977,
  [SMALL_STATE(3252)] = 30002,
  [SMALL_STATE(3253)] = 30031,
  [SMALL_STATE(3254)] = 30056,
  [SMALL_STATE(3255)] = 30085,
  [SMALL_STATE(3256)] = 30104,
  [SMALL_STATE(3257)] = 30129,
  [SMALL_STATE(3258)] = 30158,
  [SMALL_STATE(3259)] = 30187,
  [SMALL_STATE(3260)] = 30212,
  [SMALL_STATE(3261)] = 30237,
  [SMALL_STATE(3262)] = 30262,
  [SMALL_STATE(3263)] = 30287,
  [SMALL_STATE(3264)] = 30312,
  [SMALL_STATE(3265)] = 30341,
  [SMALL_STATE(3266)] = 30362,
  [SMALL_STATE(3267)] = 30387,
  [SMALL_STATE(3268)] = 30416,
  [SMALL_STATE(3269)] = 30437,
  [SMALL_STATE(3270)] = 30466,
  [SMALL_STATE(3271)] = 30495,
  [SMALL_STATE(3272)] = 30524,
  [SMALL_STATE(3273)] = 30549,
  [SMALL_STATE(3274)] = 30574,
  [SMALL_STATE(3275)] = 30599,
  [SMALL_STATE(3276)] = 30618,
  [SMALL_STATE(3277)] = 30647,
  [SMALL_STATE(3278)] = 30676,
  [SMALL_STATE(3279)] = 30701,
  [SMALL_STATE(3280)] = 30730,
  [SMALL_STATE(3281)] = 30759,
  [SMALL_STATE(3282)] = 30788,
  [SMALL_STATE(3283)] = 30817,
  [SMALL_STATE(3284)] = 30842,
  [SMALL_STATE(3285)] = 30867,
  [SMALL_STATE(3286)] = 30892,
  [SMALL_STATE(3287)] = 30917,
  [SMALL_STATE(3288)] = 30942,
  [SMALL_STATE(3289)] = 30967,
  [SMALL_STATE(3290)] = 30992,
  [SMALL_STATE(3291)] = 31017,
  [SMALL_STATE(3292)] = 31042,
  [SMALL_STATE(3293)] = 31067,
  [SMALL_STATE(3294)] = 31092,
  [SMALL_STATE(3295)] = 31111,
  [SMALL_STATE(3296)] = 31132,
  [SMALL_STATE(3297)] = 31157,
  [SMALL_STATE(3298)] = 31184,
  [SMALL_STATE(3299)] = 31209,
  [SMALL_STATE(3300)] = 31238,
  [SMALL_STATE(3301)] = 31263,
  [SMALL_STATE(3302)] = 31292,
  [SMALL_STATE(3303)] = 31317,
  [SMALL_STATE(3304)] = 31336,
  [SMALL_STATE(3305)] = 31365,
  [SMALL_STATE(3306)] = 31390,
  [SMALL_STATE(3307)] = 31415,
  [SMALL_STATE(3308)] = 31440,
  [SMALL_STATE(3309)] = 31465,
  [SMALL_STATE(3310)] = 31490,
  [SMALL_STATE(3311)] = 31515,
  [SMALL_STATE(3312)] = 31544,
  [SMALL_STATE(3313)] = 31563,
  [SMALL_STATE(3314)] = 31588,
  [SMALL_STATE(3315)] = 31613,
  [SMALL_STATE(3316)] = 31632,
  [SMALL_STATE(3317)] = 31661,
  [SMALL_STATE(3318)] = 31686,
  [SMALL_STATE(3319)] = 31715,
  [SMALL_STATE(3320)] = 31740,
  [SMALL_STATE(3321)] = 31765,
  [SMALL_STATE(3322)] = 31790,
  [SMALL_STATE(3323)] = 31815,
  [SMALL_STATE(3324)] = 31840,
  [SMALL_STATE(3325)] = 31861,
  [SMALL_STATE(3326)] = 31890,
  [SMALL_STATE(3327)] = 31915,
  [SMALL_STATE(3328)] = 31944,
  [SMALL_STATE(3329)] = 31969,
  [SMALL_STATE(3330)] = 31994,
  [SMALL_STATE(3331)] = 32021,
  [SMALL_STATE(3332)] = 32050,
  [SMALL_STATE(3333)] = 32075,
  [SMALL_STATE(3334)] = 32100,
  [SMALL_STATE(3335)] = 32119,
  [SMALL_STATE(3336)] = 32144,
  [SMALL_STATE(3337)] = 32163,
  [SMALL_STATE(3338)] = 32188,
  [SMALL_STATE(3339)] = 32213,
  [SMALL_STATE(3340)] = 32238,
  [SMALL_STATE(3341)] = 32263,
  [SMALL_STATE(3342)] = 32288,
  [SMALL_STATE(3343)] = 32313,
  [SMALL_STATE(3344)] = 32338,
  [SMALL_STATE(3345)] = 32366,
  [SMALL_STATE(3346)] = 32386,
  [SMALL_STATE(3347)] = 32408,
  [SMALL_STATE(3348)] = 32428,
  [SMALL_STATE(3349)] = 32456,
  [SMALL_STATE(3350)] = 32484,
  [SMALL_STATE(3351)] = 32510,
  [SMALL_STATE(3352)] = 32534,
  [SMALL_STATE(3353)] = 32558,
  [SMALL_STATE(3354)] = 32578,
  [SMALL_STATE(3355)] = 32598,
  [SMALL_STATE(3356)] = 32626,
  [SMALL_STATE(3357)] = 32650,
  [SMALL_STATE(3358)] = 32670,
  [SMALL_STATE(3359)] = 32698,
  [SMALL_STATE(3360)] = 32726,
  [SMALL_STATE(3361)] = 32748,
  [SMALL_STATE(3362)] = 32772,
  [SMALL_STATE(3363)] = 32800,
  [SMALL_STATE(3364)] = 32824,
  [SMALL_STATE(3365)] = 32852,
  [SMALL_STATE(3366)] = 32880,
  [SMALL_STATE(3367)] = 32908,
  [SMALL_STATE(3368)] = 32934,
  [SMALL_STATE(3369)] = 32962,
  [SMALL_STATE(3370)] = 32982,
  [SMALL_STATE(3371)] = 33010,
  [SMALL_STATE(3372)] = 33038,
  [SMALL_STATE(3373)] = 33066,
  [SMALL_STATE(3374)] = 33094,
  [SMALL_STATE(3375)] = 33120,
  [SMALL_STATE(3376)] = 33138,
  [SMALL_STATE(3377)] = 33158,
  [SMALL_STATE(3378)] = 33178,
  [SMALL_STATE(3379)] = 33202,
  [SMALL_STATE(3380)] = 33230,
  [SMALL_STATE(3381)] = 33256,
  [SMALL_STATE(3382)] = 33282,
  [SMALL_STATE(3383)] = 33308,
  [SMALL_STATE(3384)] = 33332,
  [SMALL_STATE(3385)] = 33356,
  [SMALL_STATE(3386)] = 33382,
  [SMALL_STATE(3387)] = 33402,
  [SMALL_STATE(3388)] = 33422,
  [SMALL_STATE(3389)] = 33446,
  [SMALL_STATE(3390)] = 33470,
  [SMALL_STATE(3391)] = 33496,
  [SMALL_STATE(3392)] = 33522,
  [SMALL_STATE(3393)] = 33550,
  [SMALL_STATE(3394)] = 33574,
  [SMALL_STATE(3395)] = 33598,
  [SMALL_STATE(3396)] = 33626,
  [SMALL_STATE(3397)] = 33647,
  [SMALL_STATE(3398)] = 33668,
  [SMALL_STATE(3399)] = 33685,
  [SMALL_STATE(3400)] = 33708,
  [SMALL_STATE(3401)] = 33729,
  [SMALL_STATE(3402)] = 33750,
  [SMALL_STATE(3403)] = 33771,
  [SMALL_STATE(3404)] = 33794,
  [SMALL_STATE(3405)] = 33815,
  [SMALL_STATE(3406)] = 33836,
  [SMALL_STATE(3407)] = 33859,
  [SMALL_STATE(3408)] = 33876,
  [SMALL_STATE(3409)] = 33897,
  [SMALL_STATE(3410)] = 33918,
  [SMALL_STATE(3411)] = 33941,
  [SMALL_STATE(3412)] = 33964,
  [SMALL_STATE(3413)] = 33987,
  [SMALL_STATE(3414)] = 34010,
  [SMALL_STATE(3415)] = 34031,
  [SMALL_STATE(3416)] = 34052,
  [SMALL_STATE(3417)] = 34075,
  [SMALL_STATE(3418)] = 34096,
  [SMALL_STATE(3419)] = 34113,
  [SMALL_STATE(3420)] = 34134,
  [SMALL_STATE(3421)] = 34157,
  [SMALL_STATE(3422)] = 34178,
  [SMALL_STATE(3423)] = 34199,
  [SMALL_STATE(3424)] = 34216,
  [SMALL_STATE(3425)] = 34237,
  [SMALL_STATE(3426)] = 34258,
  [SMALL_STATE(3427)] = 34279,
  [SMALL_STATE(3428)] = 34300,
  [SMALL_STATE(3429)] = 34321,
  [SMALL_STATE(3430)] = 34342,
  [SMALL_STATE(3431)] = 34363,
  [SMALL_STATE(3432)] = 34384,
  [SMALL_STATE(3433)] = 34405,
  [SMALL_STATE(3434)] = 34428,
  [SMALL_STATE(3435)] = 34449,
  [SMALL_STATE(3436)] = 34472,
  [SMALL_STATE(3437)] = 34489,
  [SMALL_STATE(3438)] = 34510,
  [SMALL_STATE(3439)] = 34531,
  [SMALL_STATE(3440)] = 34552,
  [SMALL_STATE(3441)] = 34573,
  [SMALL_STATE(3442)] = 34594,
  [SMALL_STATE(3443)] = 34615,
  [SMALL_STATE(3444)] = 34636,
  [SMALL_STATE(3445)] = 34657,
  [SMALL_STATE(3446)] = 34678,
  [SMALL_STATE(3447)] = 34699,
  [SMALL_STATE(3448)] = 34720,
  [SMALL_STATE(3449)] = 34741,
  [SMALL_STATE(3450)] = 34762,
  [SMALL_STATE(3451)] = 34783,
  [SMALL_STATE(3452)] = 34804,
  [SMALL_STATE(3453)] = 34825,
  [SMALL_STATE(3454)] = 34848,
  [SMALL_STATE(3455)] = 34869,
  [SMALL_STATE(3456)] = 34890,
  [SMALL_STATE(3457)] = 34911,
  [SMALL_STATE(3458)] = 34934,
  [SMALL_STATE(3459)] = 34957,
  [SMALL_STATE(3460)] = 34980,
  [SMALL_STATE(3461)] = 35003,
  [SMALL_STATE(3462)] = 35024,
  [SMALL_STATE(3463)] = 35045,
  [SMALL_STATE(3464)] = 35066,
  [SMALL_STATE(3465)] = 35087,
  [SMALL_STATE(3466)] = 35108,
  [SMALL_STATE(3467)] = 35129,
  [SMALL_STATE(3468)] = 35150,
  [SMALL_STATE(3469)] = 35173,
  [SMALL_STATE(3470)] = 35194,
  [SMALL_STATE(3471)] = 35215,
  [SMALL_STATE(3472)] = 35238,
  [SMALL_STATE(3473)] = 35259,
  [SMALL_STATE(3474)] = 35276,
  [SMALL_STATE(3475)] = 35297,
  [SMALL_STATE(3476)] = 35318,
  [SMALL_STATE(3477)] = 35339,
  [SMALL_STATE(3478)] = 35360,
  [SMALL_STATE(3479)] = 35381,
  [SMALL_STATE(3480)] = 35402,
  [SMALL_STATE(3481)] = 35423,
  [SMALL_STATE(3482)] = 35444,
  [SMALL_STATE(3483)] = 35465,
  [SMALL_STATE(3484)] = 35486,
  [SMALL_STATE(3485)] = 35507,
  [SMALL_STATE(3486)] = 35528,
  [SMALL_STATE(3487)] = 35549,
  [SMALL_STATE(3488)] = 35570,
  [SMALL_STATE(3489)] = 35593,
  [SMALL_STATE(3490)] = 35614,
  [SMALL_STATE(3491)] = 35635,
  [SMALL_STATE(3492)] = 35656,
  [SMALL_STATE(3493)] = 35677,
  [SMALL_STATE(3494)] = 35700,
  [SMALL_STATE(3495)] = 35721,
  [SMALL_STATE(3496)] = 35742,
  [SMALL_STATE(3497)] = 35765,
  [SMALL_STATE(3498)] = 35788,
  [SMALL_STATE(3499)] = 35811,
  [SMALL_STATE(3500)] = 35834,
  [SMALL_STATE(3501)] = 35857,
  [SMALL_STATE(3502)] = 35878,
  [SMALL_STATE(3503)] = 35899,
  [SMALL_STATE(3504)] = 35920,
  [SMALL_STATE(3505)] = 35941,
  [SMALL_STATE(3506)] = 35962,
  [SMALL_STATE(3507)] = 35985,
  [SMALL_STATE(3508)] = 36002,
  [SMALL_STATE(3509)] = 36023,
  [SMALL_STATE(3510)] = 36040,
  [SMALL_STATE(3511)] = 36061,
  [SMALL_STATE(3512)] = 36078,
  [SMALL_STATE(3513)] = 36099,
  [SMALL_STATE(3514)] = 36120,
  [SMALL_STATE(3515)] = 36141,
  [SMALL_STATE(3516)] = 36164,
  [SMALL_STATE(3517)] = 36185,
  [SMALL_STATE(3518)] = 36206,
  [SMALL_STATE(3519)] = 36227,
  [SMALL_STATE(3520)] = 36244,
  [SMALL_STATE(3521)] = 36265,
  [SMALL_STATE(3522)] = 36286,
  [SMALL_STATE(3523)] = 36307,
  [SMALL_STATE(3524)] = 36330,
  [SMALL_STATE(3525)] = 36347,
  [SMALL_STATE(3526)] = 36364,
  [SMALL_STATE(3527)] = 36385,
  [SMALL_STATE(3528)] = 36408,
  [SMALL_STATE(3529)] = 36429,
  [SMALL_STATE(3530)] = 36446,
  [SMALL_STATE(3531)] = 36467,
  [SMALL_STATE(3532)] = 36490,
  [SMALL_STATE(3533)] = 36513,
  [SMALL_STATE(3534)] = 36536,
  [SMALL_STATE(3535)] = 36559,
  [SMALL_STATE(3536)] = 36580,
  [SMALL_STATE(3537)] = 36601,
  [SMALL_STATE(3538)] = 36622,
  [SMALL_STATE(3539)] = 36643,
  [SMALL_STATE(3540)] = 36666,
  [SMALL_STATE(3541)] = 36687,
  [SMALL_STATE(3542)] = 36708,
  [SMALL_STATE(3543)] = 36729,
  [SMALL_STATE(3544)] = 36750,
  [SMALL_STATE(3545)] = 36771,
  [SMALL_STATE(3546)] = 36792,
  [SMALL_STATE(3547)] = 36813,
  [SMALL_STATE(3548)] = 36834,
  [SMALL_STATE(3549)] = 36851,
  [SMALL_STATE(3550)] = 36872,
  [SMALL_STATE(3551)] = 36893,
  [SMALL_STATE(3552)] = 36914,
  [SMALL_STATE(3553)] = 36935,
  [SMALL_STATE(3554)] = 36958,
  [SMALL_STATE(3555)] = 36979,
  [SMALL_STATE(3556)] = 36996,
  [SMALL_STATE(3557)] = 37017,
  [SMALL_STATE(3558)] = 37038,
  [SMALL_STATE(3559)] = 37059,
  [SMALL_STATE(3560)] = 37080,
  [SMALL_STATE(3561)] = 37103,
  [SMALL_STATE(3562)] = 37124,
  [SMALL_STATE(3563)] = 37145,
  [SMALL_STATE(3564)] = 37166,
  [SMALL_STATE(3565)] = 37187,
  [SMALL_STATE(3566)] = 37208,
  [SMALL_STATE(3567)] = 37229,
  [SMALL_STATE(3568)] = 37250,
  [SMALL_STATE(3569)] = 37271,
  [SMALL_STATE(3570)] = 37292,
  [SMALL_STATE(3571)] = 37313,
  [SMALL_STATE(3572)] = 37334,
  [SMALL_STATE(3573)] = 37357,
  [SMALL_STATE(3574)] = 37378,
  [SMALL_STATE(3575)] = 37399,
  [SMALL_STATE(3576)] = 37420,
  [SMALL_STATE(3577)] = 37441,
  [SMALL_STATE(3578)] = 37462,
  [SMALL_STATE(3579)] = 37483,
  [SMALL_STATE(3580)] = 37504,
  [SMALL_STATE(3581)] = 37525,
  [SMALL_STATE(3582)] = 37546,
  [SMALL_STATE(3583)] = 37567,
  [SMALL_STATE(3584)] = 37590,
  [SMALL_STATE(3585)] = 37611,
  [SMALL_STATE(3586)] = 37634,
  [SMALL_STATE(3587)] = 37655,
  [SMALL_STATE(3588)] = 37676,
  [SMALL_STATE(3589)] = 37697,
  [SMALL_STATE(3590)] = 37718,
  [SMALL_STATE(3591)] = 37739,
  [SMALL_STATE(3592)] = 37760,
  [SMALL_STATE(3593)] = 37781,
  [SMALL_STATE(3594)] = 37804,
  [SMALL_STATE(3595)] = 37825,
  [SMALL_STATE(3596)] = 37848,
  [SMALL_STATE(3597)] = 37871,
  [SMALL_STATE(3598)] = 37892,
  [SMALL_STATE(3599)] = 37913,
  [SMALL_STATE(3600)] = 37936,
  [SMALL_STATE(3601)] = 37957,
  [SMALL_STATE(3602)] = 37978,
  [SMALL_STATE(3603)] = 37995,
  [SMALL_STATE(3604)] = 38015,
  [SMALL_STATE(3605)] = 38035,
  [SMALL_STATE(3606)] = 38053,
  [SMALL_STATE(3607)] = 38073,
  [SMALL_STATE(3608)] = 38091,
  [SMALL_STATE(3609)] = 38111,
  [SMALL_STATE(3610)] = 38131,
  [SMALL_STATE(3611)] = 38151,
  [SMALL_STATE(3612)] = 38171,
  [SMALL_STATE(3613)] = 38191,
  [SMALL_STATE(3614)] = 38211,
  [SMALL_STATE(3615)] = 38229,
  [SMALL_STATE(3616)] = 38249,
  [SMALL_STATE(3617)] = 38269,
  [SMALL_STATE(3618)] = 38289,
  [SMALL_STATE(3619)] = 38307,
  [SMALL_STATE(3620)] = 38327,
  [SMALL_STATE(3621)] = 38347,
  [SMALL_STATE(3622)] = 38367,
  [SMALL_STATE(3623)] = 38387,
  [SMALL_STATE(3624)] = 38407,
  [SMALL_STATE(3625)] = 38427,
  [SMALL_STATE(3626)] = 38447,
  [SMALL_STATE(3627)] = 38467,
  [SMALL_STATE(3628)] = 38487,
  [SMALL_STATE(3629)] = 38507,
  [SMALL_STATE(3630)] = 38525,
  [SMALL_STATE(3631)] = 38545,
  [SMALL_STATE(3632)] = 38563,
  [SMALL_STATE(3633)] = 38583,
  [SMALL_STATE(3634)] = 38603,
  [SMALL_STATE(3635)] = 38623,
  [SMALL_STATE(3636)] = 38643,
  [SMALL_STATE(3637)] = 38663,
  [SMALL_STATE(3638)] = 38681,
  [SMALL_STATE(3639)] = 38701,
  [SMALL_STATE(3640)] = 38721,
  [SMALL_STATE(3641)] = 38739,
  [SMALL_STATE(3642)] = 38757,
  [SMALL_STATE(3643)] = 38775,
  [SMALL_STATE(3644)] = 38795,
  [SMALL_STATE(3645)] = 38813,
  [SMALL_STATE(3646)] = 38833,
  [SMALL_STATE(3647)] = 38853,
  [SMALL_STATE(3648)] = 38873,
  [SMALL_STATE(3649)] = 38891,
  [SMALL_STATE(3650)] = 38909,
  [SMALL_STATE(3651)] = 38929,
  [SMALL_STATE(3652)] = 38949,
  [SMALL_STATE(3653)] = 38969,
  [SMALL_STATE(3654)] = 38989,
  [SMALL_STATE(3655)] = 39009,
  [SMALL_STATE(3656)] = 39029,
  [SMALL_STATE(3657)] = 39047,
  [SMALL_STATE(3658)] = 39065,
  [SMALL_STATE(3659)] = 39085,
  [SMALL_STATE(3660)] = 39103,
  [SMALL_STATE(3661)] = 39123,
  [SMALL_STATE(3662)] = 39143,
  [SMALL_STATE(3663)] = 39163,
  [SMALL_STATE(3664)] = 39183,
  [SMALL_STATE(3665)] = 39203,
  [SMALL_STATE(3666)] = 39223,
  [SMALL_STATE(3667)] = 39243,
  [SMALL_STATE(3668)] = 39263,
  [SMALL_STATE(3669)] = 39283,
  [SMALL_STATE(3670)] = 39303,
  [SMALL_STATE(3671)] = 39323,
  [SMALL_STATE(3672)] = 39343,
  [SMALL_STATE(3673)] = 39363,
  [SMALL_STATE(3674)] = 39383,
  [SMALL_STATE(3675)] = 39403,
  [SMALL_STATE(3676)] = 39423,
  [SMALL_STATE(3677)] = 39443,
  [SMALL_STATE(3678)] = 39461,
  [SMALL_STATE(3679)] = 39477,
  [SMALL_STATE(3680)] = 39497,
  [SMALL_STATE(3681)] = 39517,
  [SMALL_STATE(3682)] = 39537,
  [SMALL_STATE(3683)] = 39557,
  [SMALL_STATE(3684)] = 39577,
  [SMALL_STATE(3685)] = 39597,
  [SMALL_STATE(3686)] = 39617,
  [SMALL_STATE(3687)] = 39637,
  [SMALL_STATE(3688)] = 39657,
  [SMALL_STATE(3689)] = 39677,
  [SMALL_STATE(3690)] = 39697,
  [SMALL_STATE(3691)] = 39717,
  [SMALL_STATE(3692)] = 39737,
  [SMALL_STATE(3693)] = 39757,
  [SMALL_STATE(3694)] = 39777,
  [SMALL_STATE(3695)] = 39795,
  [SMALL_STATE(3696)] = 39815,
  [SMALL_STATE(3697)] = 39833,
  [SMALL_STATE(3698)] = 39851,
  [SMALL_STATE(3699)] = 39869,
  [SMALL_STATE(3700)] = 39887,
  [SMALL_STATE(3701)] = 39905,
  [SMALL_STATE(3702)] = 39925,
  [SMALL_STATE(3703)] = 39945,
  [SMALL_STATE(3704)] = 39965,
  [SMALL_STATE(3705)] = 39983,
  [SMALL_STATE(3706)] = 40003,
  [SMALL_STATE(3707)] = 40023,
  [SMALL_STATE(3708)] = 40041,
  [SMALL_STATE(3709)] = 40061,
  [SMALL_STATE(3710)] = 40079,
  [SMALL_STATE(3711)] = 40097,
  [SMALL_STATE(3712)] = 40117,
  [SMALL_STATE(3713)] = 40137,
  [SMALL_STATE(3714)] = 40157,
  [SMALL_STATE(3715)] = 40177,
  [SMALL_STATE(3716)] = 40197,
  [SMALL_STATE(3717)] = 40217,
  [SMALL_STATE(3718)] = 40237,
  [SMALL_STATE(3719)] = 40257,
  [SMALL_STATE(3720)] = 40277,
  [SMALL_STATE(3721)] = 40297,
  [SMALL_STATE(3722)] = 40317,
  [SMALL_STATE(3723)] = 40337,
  [SMALL_STATE(3724)] = 40357,
  [SMALL_STATE(3725)] = 40377,
  [SMALL_STATE(3726)] = 40397,
  [SMALL_STATE(3727)] = 40417,
  [SMALL_STATE(3728)] = 40437,
  [SMALL_STATE(3729)] = 40457,
  [SMALL_STATE(3730)] = 40477,
  [SMALL_STATE(3731)] = 40497,
  [SMALL_STATE(3732)] = 40517,
  [SMALL_STATE(3733)] = 40537,
  [SMALL_STATE(3734)] = 40557,
  [SMALL_STATE(3735)] = 40577,
  [SMALL_STATE(3736)] = 40597,
  [SMALL_STATE(3737)] = 40617,
  [SMALL_STATE(3738)] = 40637,
  [SMALL_STATE(3739)] = 40657,
  [SMALL_STATE(3740)] = 40677,
  [SMALL_STATE(3741)] = 40697,
  [SMALL_STATE(3742)] = 40717,
  [SMALL_STATE(3743)] = 40737,
  [SMALL_STATE(3744)] = 40757,
  [SMALL_STATE(3745)] = 40777,
  [SMALL_STATE(3746)] = 40797,
  [SMALL_STATE(3747)] = 40817,
  [SMALL_STATE(3748)] = 40837,
  [SMALL_STATE(3749)] = 40857,
  [SMALL_STATE(3750)] = 40877,
  [SMALL_STATE(3751)] = 40897,
  [SMALL_STATE(3752)] = 40917,
  [SMALL_STATE(3753)] = 40937,
  [SMALL_STATE(3754)] = 40957,
  [SMALL_STATE(3755)] = 40977,
  [SMALL_STATE(3756)] = 40997,
  [SMALL_STATE(3757)] = 41017,
  [SMALL_STATE(3758)] = 41037,
  [SMALL_STATE(3759)] = 41057,
  [SMALL_STATE(3760)] = 41077,
  [SMALL_STATE(3761)] = 41097,
  [SMALL_STATE(3762)] = 41117,
  [SMALL_STATE(3763)] = 41137,
  [SMALL_STATE(3764)] = 41157,
  [SMALL_STATE(3765)] = 41177,
  [SMALL_STATE(3766)] = 41197,
  [SMALL_STATE(3767)] = 41217,
  [SMALL_STATE(3768)] = 41237,
  [SMALL_STATE(3769)] = 41257,
  [SMALL_STATE(3770)] = 41277,
  [SMALL_STATE(3771)] = 41297,
  [SMALL_STATE(3772)] = 41317,
  [SMALL_STATE(3773)] = 41337,
  [SMALL_STATE(3774)] = 41353,
  [SMALL_STATE(3775)] = 41373,
  [SMALL_STATE(3776)] = 41393,
  [SMALL_STATE(3777)] = 41413,
  [SMALL_STATE(3778)] = 41433,
  [SMALL_STATE(3779)] = 41453,
  [SMALL_STATE(3780)] = 41473,
  [SMALL_STATE(3781)] = 41493,
  [SMALL_STATE(3782)] = 41513,
  [SMALL_STATE(3783)] = 41533,
  [SMALL_STATE(3784)] = 41553,
  [SMALL_STATE(3785)] = 41573,
  [SMALL_STATE(3786)] = 41593,
  [SMALL_STATE(3787)] = 41613,
  [SMALL_STATE(3788)] = 41633,
  [SMALL_STATE(3789)] = 41653,
  [SMALL_STATE(3790)] = 41673,
  [SMALL_STATE(3791)] = 41693,
  [SMALL_STATE(3792)] = 41713,
  [SMALL_STATE(3793)] = 41733,
  [SMALL_STATE(3794)] = 41753,
  [SMALL_STATE(3795)] = 41773,
  [SMALL_STATE(3796)] = 41793,
  [SMALL_STATE(3797)] = 41813,
  [SMALL_STATE(3798)] = 41833,
  [SMALL_STATE(3799)] = 41853,
  [SMALL_STATE(3800)] = 41873,
  [SMALL_STATE(3801)] = 41891,
  [SMALL_STATE(3802)] = 41911,
  [SMALL_STATE(3803)] = 41931,
  [SMALL_STATE(3804)] = 41951,
  [SMALL_STATE(3805)] = 41969,
  [SMALL_STATE(3806)] = 41987,
  [SMALL_STATE(3807)] = 42007,
  [SMALL_STATE(3808)] = 42027,
  [SMALL_STATE(3809)] = 42047,
  [SMALL_STATE(3810)] = 42067,
  [SMALL_STATE(3811)] = 42087,
  [SMALL_STATE(3812)] = 42107,
  [SMALL_STATE(3813)] = 42124,
  [SMALL_STATE(3814)] = 42141,
  [SMALL_STATE(3815)] = 42156,
  [SMALL_STATE(3816)] = 42173,
  [SMALL_STATE(3817)] = 42190,
  [SMALL_STATE(3818)] = 42207,
  [SMALL_STATE(3819)] = 42224,
  [SMALL_STATE(3820)] = 42241,
  [SMALL_STATE(3821)] = 42258,
  [SMALL_STATE(3822)] = 42275,
  [SMALL_STATE(3823)] = 42292,
  [SMALL_STATE(3824)] = 42309,
  [SMALL_STATE(3825)] = 42326,
  [SMALL_STATE(3826)] = 42343,
  [SMALL_STATE(3827)] = 42360,
  [SMALL_STATE(3828)] = 42377,
  [SMALL_STATE(3829)] = 42394,
  [SMALL_STATE(3830)] = 42411,
  [SMALL_STATE(3831)] = 42428,
  [SMALL_STATE(3832)] = 42445,
  [SMALL_STATE(3833)] = 42462,
  [SMALL_STATE(3834)] = 42479,
  [SMALL_STATE(3835)] = 42496,
  [SMALL_STATE(3836)] = 42513,
  [SMALL_STATE(3837)] = 42530,
  [SMALL_STATE(3838)] = 42547,
  [SMALL_STATE(3839)] = 42564,
  [SMALL_STATE(3840)] = 42581,
  [SMALL_STATE(3841)] = 42596,
  [SMALL_STATE(3842)] = 42613,
  [SMALL_STATE(3843)] = 42630,
  [SMALL_STATE(3844)] = 42647,
  [SMALL_STATE(3845)] = 42664,
  [SMALL_STATE(3846)] = 42681,
  [SMALL_STATE(3847)] = 42698,
  [SMALL_STATE(3848)] = 42715,
  [SMALL_STATE(3849)] = 42732,
  [SMALL_STATE(3850)] = 42749,
  [SMALL_STATE(3851)] = 42766,
  [SMALL_STATE(3852)] = 42783,
  [SMALL_STATE(3853)] = 42800,
  [SMALL_STATE(3854)] = 42817,
  [SMALL_STATE(3855)] = 42834,
  [SMALL_STATE(3856)] = 42851,
  [SMALL_STATE(3857)] = 42868,
  [SMALL_STATE(3858)] = 42885,
  [SMALL_STATE(3859)] = 42902,
  [SMALL_STATE(3860)] = 42919,
  [SMALL_STATE(3861)] = 42936,
  [SMALL_STATE(3862)] = 42951,
  [SMALL_STATE(3863)] = 42968,
  [SMALL_STATE(3864)] = 42985,
  [SMALL_STATE(3865)] = 43002,
  [SMALL_STATE(3866)] = 43019,
  [SMALL_STATE(3867)] = 43036,
  [SMALL_STATE(3868)] = 43053,
  [SMALL_STATE(3869)] = 43070,
  [SMALL_STATE(3870)] = 43087,
  [SMALL_STATE(3871)] = 43104,
  [SMALL_STATE(3872)] = 43121,
  [SMALL_STATE(3873)] = 43138,
  [SMALL_STATE(3874)] = 43155,
  [SMALL_STATE(3875)] = 43169,
  [SMALL_STATE(3876)] = 43183,
  [SMALL_STATE(3877)] = 43197,
  [SMALL_STATE(3878)] = 43211,
  [SMALL_STATE(3879)] = 43225,
  [SMALL_STATE(3880)] = 43239,
  [SMALL_STATE(3881)] = 43253,
  [SMALL_STATE(3882)] = 43267,
  [SMALL_STATE(3883)] = 43281,
  [SMALL_STATE(3884)] = 43295,
  [SMALL_STATE(3885)] = 43309,
  [SMALL_STATE(3886)] = 43323,
  [SMALL_STATE(3887)] = 43337,
  [SMALL_STATE(3888)] = 43351,
  [SMALL_STATE(3889)] = 43365,
  [SMALL_STATE(3890)] = 43379,
  [SMALL_STATE(3891)] = 43393,
  [SMALL_STATE(3892)] = 43407,
  [SMALL_STATE(3893)] = 43421,
  [SMALL_STATE(3894)] = 43435,
  [SMALL_STATE(3895)] = 43449,
  [SMALL_STATE(3896)] = 43463,
  [SMALL_STATE(3897)] = 43477,
  [SMALL_STATE(3898)] = 43491,
  [SMALL_STATE(3899)] = 43505,
  [SMALL_STATE(3900)] = 43519,
  [SMALL_STATE(3901)] = 43533,
  [SMALL_STATE(3902)] = 43549,
  [SMALL_STATE(3903)] = 43563,
  [SMALL_STATE(3904)] = 43577,
  [SMALL_STATE(3905)] = 43591,
  [SMALL_STATE(3906)] = 43605,
  [SMALL_STATE(3907)] = 43619,
  [SMALL_STATE(3908)] = 43633,
  [SMALL_STATE(3909)] = 43647,
  [SMALL_STATE(3910)] = 43661,
  [SMALL_STATE(3911)] = 43675,
  [SMALL_STATE(3912)] = 43689,
  [SMALL_STATE(3913)] = 43703,
  [SMALL_STATE(3914)] = 43717,
  [SMALL_STATE(3915)] = 43731,
  [SMALL_STATE(3916)] = 43745,
  [SMALL_STATE(3917)] = 43759,
  [SMALL_STATE(3918)] = 43773,
  [SMALL_STATE(3919)] = 43787,
  [SMALL_STATE(3920)] = 43801,
  [SMALL_STATE(3921)] = 43815,
  [SMALL_STATE(3922)] = 43831,
  [SMALL_STATE(3923)] = 43845,
  [SMALL_STATE(3924)] = 43859,
  [SMALL_STATE(3925)] = 43873,
  [SMALL_STATE(3926)] = 43887,
  [SMALL_STATE(3927)] = 43901,
  [SMALL_STATE(3928)] = 43915,
  [SMALL_STATE(3929)] = 43929,
  [SMALL_STATE(3930)] = 43943,
  [SMALL_STATE(3931)] = 43957,
  [SMALL_STATE(3932)] = 43971,
  [SMALL_STATE(3933)] = 43985,
  [SMALL_STATE(3934)] = 43999,
  [SMALL_STATE(3935)] = 44013,
  [SMALL_STATE(3936)] = 44027,
  [SMALL_STATE(3937)] = 44041,
  [SMALL_STATE(3938)] = 44055,
  [SMALL_STATE(3939)] = 44069,
  [SMALL_STATE(3940)] = 44083,
  [SMALL_STATE(3941)] = 44097,
  [SMALL_STATE(3942)] = 44111,
  [SMALL_STATE(3943)] = 44125,
  [SMALL_STATE(3944)] = 44139,
  [SMALL_STATE(3945)] = 44153,
  [SMALL_STATE(3946)] = 44167,
  [SMALL_STATE(3947)] = 44181,
  [SMALL_STATE(3948)] = 44195,
  [SMALL_STATE(3949)] = 44209,
  [SMALL_STATE(3950)] = 44223,
  [SMALL_STATE(3951)] = 44237,
  [SMALL_STATE(3952)] = 44251,
  [SMALL_STATE(3953)] = 44265,
  [SMALL_STATE(3954)] = 44279,
  [SMALL_STATE(3955)] = 44293,
  [SMALL_STATE(3956)] = 44307,
  [SMALL_STATE(3957)] = 44321,
  [SMALL_STATE(3958)] = 44335,
  [SMALL_STATE(3959)] = 44349,
  [SMALL_STATE(3960)] = 44363,
  [SMALL_STATE(3961)] = 44377,
  [SMALL_STATE(3962)] = 44391,
  [SMALL_STATE(3963)] = 44405,
  [SMALL_STATE(3964)] = 44419,
  [SMALL_STATE(3965)] = 44433,
  [SMALL_STATE(3966)] = 44447,
  [SMALL_STATE(3967)] = 44461,
  [SMALL_STATE(3968)] = 44475,
  [SMALL_STATE(3969)] = 44489,
  [SMALL_STATE(3970)] = 44503,
  [SMALL_STATE(3971)] = 44517,
  [SMALL_STATE(3972)] = 44531,
  [SMALL_STATE(3973)] = 44545,
  [SMALL_STATE(3974)] = 44559,
  [SMALL_STATE(3975)] = 44573,
  [SMALL_STATE(3976)] = 44587,
  [SMALL_STATE(3977)] = 44601,
  [SMALL_STATE(3978)] = 44615,
  [SMALL_STATE(3979)] = 44629,
  [SMALL_STATE(3980)] = 44643,
  [SMALL_STATE(3981)] = 44657,
  [SMALL_STATE(3982)] = 44671,
  [SMALL_STATE(3983)] = 44685,
  [SMALL_STATE(3984)] = 44699,
  [SMALL_STATE(3985)] = 44713,
  [SMALL_STATE(3986)] = 44727,
  [SMALL_STATE(3987)] = 44741,
  [SMALL_STATE(3988)] = 44755,
  [SMALL_STATE(3989)] = 44769,
  [SMALL_STATE(3990)] = 44783,
  [SMALL_STATE(3991)] = 44797,
  [SMALL_STATE(3992)] = 44811,
  [SMALL_STATE(3993)] = 44825,
  [SMALL_STATE(3994)] = 44839,
  [SMALL_STATE(3995)] = 44853,
  [SMALL_STATE(3996)] = 44867,
  [SMALL_STATE(3997)] = 44881,
  [SMALL_STATE(3998)] = 44895,
  [SMALL_STATE(3999)] = 44909,
  [SMALL_STATE(4000)] = 44923,
  [SMALL_STATE(4001)] = 44937,
  [SMALL_STATE(4002)] = 44951,
  [SMALL_STATE(4003)] = 44965,
  [SMALL_STATE(4004)] = 44979,
  [SMALL_STATE(4005)] = 44993,
  [SMALL_STATE(4006)] = 45007,
  [SMALL_STATE(4007)] = 45021,
  [SMALL_STATE(4008)] = 45035,
  [SMALL_STATE(4009)] = 45049,
  [SMALL_STATE(4010)] = 45063,
  [SMALL_STATE(4011)] = 45077,
  [SMALL_STATE(4012)] = 45091,
  [SMALL_STATE(4013)] = 45105,
  [SMALL_STATE(4014)] = 45119,
  [SMALL_STATE(4015)] = 45133,
  [SMALL_STATE(4016)] = 45147,
  [SMALL_STATE(4017)] = 45161,
  [SMALL_STATE(4018)] = 45175,
  [SMALL_STATE(4019)] = 45189,
  [SMALL_STATE(4020)] = 45203,
  [SMALL_STATE(4021)] = 45217,
  [SMALL_STATE(4022)] = 45231,
  [SMALL_STATE(4023)] = 45245,
  [SMALL_STATE(4024)] = 45259,
  [SMALL_STATE(4025)] = 45273,
  [SMALL_STATE(4026)] = 45287,
  [SMALL_STATE(4027)] = 45301,
  [SMALL_STATE(4028)] = 45315,
  [SMALL_STATE(4029)] = 45329,
  [SMALL_STATE(4030)] = 45343,
  [SMALL_STATE(4031)] = 45357,
  [SMALL_STATE(4032)] = 45371,
  [SMALL_STATE(4033)] = 45385,
  [SMALL_STATE(4034)] = 45399,
  [SMALL_STATE(4035)] = 45413,
  [SMALL_STATE(4036)] = 45427,
  [SMALL_STATE(4037)] = 45441,
  [SMALL_STATE(4038)] = 45455,
  [SMALL_STATE(4039)] = 45469,
  [SMALL_STATE(4040)] = 45483,
  [SMALL_STATE(4041)] = 45497,
  [SMALL_STATE(4042)] = 45511,
  [SMALL_STATE(4043)] = 45525,
  [SMALL_STATE(4044)] = 45539,
  [SMALL_STATE(4045)] = 45553,
  [SMALL_STATE(4046)] = 45567,
  [SMALL_STATE(4047)] = 45581,
  [SMALL_STATE(4048)] = 45595,
  [SMALL_STATE(4049)] = 45609,
  [SMALL_STATE(4050)] = 45623,
  [SMALL_STATE(4051)] = 45637,
  [SMALL_STATE(4052)] = 45651,
  [SMALL_STATE(4053)] = 45665,
  [SMALL_STATE(4054)] = 45681,
  [SMALL_STATE(4055)] = 45695,
  [SMALL_STATE(4056)] = 45709,
  [SMALL_STATE(4057)] = 45723,
  [SMALL_STATE(4058)] = 45737,
  [SMALL_STATE(4059)] = 45751,
  [SMALL_STATE(4060)] = 45765,
  [SMALL_STATE(4061)] = 45779,
  [SMALL_STATE(4062)] = 45793,
  [SMALL_STATE(4063)] = 45809,
  [SMALL_STATE(4064)] = 45823,
  [SMALL_STATE(4065)] = 45837,
  [SMALL_STATE(4066)] = 45851,
  [SMALL_STATE(4067)] = 45865,
  [SMALL_STATE(4068)] = 45879,
  [SMALL_STATE(4069)] = 45893,
  [SMALL_STATE(4070)] = 45907,
  [SMALL_STATE(4071)] = 45921,
  [SMALL_STATE(4072)] = 45935,
  [SMALL_STATE(4073)] = 45949,
  [SMALL_STATE(4074)] = 45963,
  [SMALL_STATE(4075)] = 45977,
  [SMALL_STATE(4076)] = 45991,
  [SMALL_STATE(4077)] = 46005,
  [SMALL_STATE(4078)] = 46019,
  [SMALL_STATE(4079)] = 46033,
  [SMALL_STATE(4080)] = 46047,
  [SMALL_STATE(4081)] = 46061,
  [SMALL_STATE(4082)] = 46075,
  [SMALL_STATE(4083)] = 46089,
  [SMALL_STATE(4084)] = 46103,
  [SMALL_STATE(4085)] = 46117,
  [SMALL_STATE(4086)] = 46131,
  [SMALL_STATE(4087)] = 46145,
  [SMALL_STATE(4088)] = 46159,
  [SMALL_STATE(4089)] = 46173,
  [SMALL_STATE(4090)] = 46187,
  [SMALL_STATE(4091)] = 46201,
  [SMALL_STATE(4092)] = 46215,
  [SMALL_STATE(4093)] = 46229,
  [SMALL_STATE(4094)] = 46243,
  [SMALL_STATE(4095)] = 46257,
  [SMALL_STATE(4096)] = 46271,
  [SMALL_STATE(4097)] = 46285,
  [SMALL_STATE(4098)] = 46299,
  [SMALL_STATE(4099)] = 46313,
  [SMALL_STATE(4100)] = 46327,
  [SMALL_STATE(4101)] = 46341,
  [SMALL_STATE(4102)] = 46355,
  [SMALL_STATE(4103)] = 46369,
  [SMALL_STATE(4104)] = 46383,
  [SMALL_STATE(4105)] = 46397,
  [SMALL_STATE(4106)] = 46411,
  [SMALL_STATE(4107)] = 46425,
  [SMALL_STATE(4108)] = 46439,
  [SMALL_STATE(4109)] = 46453,
  [SMALL_STATE(4110)] = 46467,
  [SMALL_STATE(4111)] = 46483,
  [SMALL_STATE(4112)] = 46497,
  [SMALL_STATE(4113)] = 46511,
  [SMALL_STATE(4114)] = 46525,
  [SMALL_STATE(4115)] = 46539,
  [SMALL_STATE(4116)] = 46553,
  [SMALL_STATE(4117)] = 46567,
  [SMALL_STATE(4118)] = 46581,
  [SMALL_STATE(4119)] = 46595,
  [SMALL_STATE(4120)] = 46609,
  [SMALL_STATE(4121)] = 46623,
  [SMALL_STATE(4122)] = 46637,
  [SMALL_STATE(4123)] = 46651,
  [SMALL_STATE(4124)] = 46665,
  [SMALL_STATE(4125)] = 46679,
  [SMALL_STATE(4126)] = 46693,
  [SMALL_STATE(4127)] = 46707,
  [SMALL_STATE(4128)] = 46721,
  [SMALL_STATE(4129)] = 46735,
  [SMALL_STATE(4130)] = 46749,
  [SMALL_STATE(4131)] = 46763,
  [SMALL_STATE(4132)] = 46777,
  [SMALL_STATE(4133)] = 46791,
  [SMALL_STATE(4134)] = 46807,
  [SMALL_STATE(4135)] = 46821,
  [SMALL_STATE(4136)] = 46835,
  [SMALL_STATE(4137)] = 46849,
  [SMALL_STATE(4138)] = 46863,
  [SMALL_STATE(4139)] = 46877,
  [SMALL_STATE(4140)] = 46891,
  [SMALL_STATE(4141)] = 46905,
  [SMALL_STATE(4142)] = 46919,
  [SMALL_STATE(4143)] = 46933,
  [SMALL_STATE(4144)] = 46947,
  [SMALL_STATE(4145)] = 46961,
  [SMALL_STATE(4146)] = 46975,
  [SMALL_STATE(4147)] = 46989,
  [SMALL_STATE(4148)] = 47003,
  [SMALL_STATE(4149)] = 47017,
  [SMALL_STATE(4150)] = 47031,
  [SMALL_STATE(4151)] = 47045,
  [SMALL_STATE(4152)] = 47059,
  [SMALL_STATE(4153)] = 47063,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [9] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3631),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3637),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3305),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3539),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loopex_expression, 1, 0, 2),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loopex_expression, 1, 0, 2),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(4095),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1256),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(572),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(600),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(624),
  [180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_undef_expression, 1, 0, 0),
  [184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_undef_expression, 1, 0, 0),
  [186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 1, 0, 1),
  [188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 1, 0, 1),
  [192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(4095),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1256),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(572),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(600),
  [206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(624),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(647),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(648),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(649),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(647),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(648),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(649),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(3888),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1545),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(627),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(629),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(630),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(3888),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1545),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(627),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(629),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(630),
  [379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3848),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3849),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3593),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(737),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1056),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3631),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3637),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3644),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3331),
  [528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2686),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2786),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2590),
  [537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3602),
  [540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2909),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2928),
  [546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(268),
  [549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1234),
  [552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2989),
  [555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3786),
  [558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3693),
  [561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3312),
  [564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4095),
  [570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1256),
  [573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(572),
  [576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(624),
  [582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(643),
  [585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(487),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(468),
  [591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(557),
  [594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(641),
  [597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2694),
  [600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(407),
  [609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(409),
  [612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2698),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3376),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3387),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3305),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3080),
  [633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3720),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3858),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3839),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3824),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3399),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3506),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3493),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3496),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3539),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3917),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3994),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1319),
  [683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3555),
  [686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3000),
  [689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2907),
  [695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3247),
  [698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2556),
  [701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3833),
  [704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1296),
  [707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3843),
  [838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3583),
  [850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4011),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [1004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [1038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4051),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4060),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4018),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [1138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(4138),
  [1141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2219),
  [1144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(543),
  [1147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(544),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(546),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(4141),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2018),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(675),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(676),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(677),
  [1168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2682),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2790),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(4074),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(1746),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(638),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(639),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(666),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(2683),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [1222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(562),
  [1229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(563),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0), SHIFT(564),
  [1235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(4138),
  [1238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2219),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(543),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(544),
  [1247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(546),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2682),
  [1255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2790),
  [1258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(4074),
  [1261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(1746),
  [1264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(638),
  [1267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(639),
  [1270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(666),
  [1273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2683),
  [1276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(4141),
  [1279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(2018),
  [1282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(675),
  [1285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(676),
  [1288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(677),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [1323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(562),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(563),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 1, 0, 0), SHIFT_REPEAT(564),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1059),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3640),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3641),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3642),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3171),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2598),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2924),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2925),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3712),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3717),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3220),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3142),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3746),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2604),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [1423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [1425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [1477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1761),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3471),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2018),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_hash_expression, 2, 0, 0),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_hash_expression, 2, 0, 0),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 30),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 30), SHIFT(2682),
  [1724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 30), SHIFT(2790),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_optional_parameter, 2, 0, 30), SHIFT(2683),
  [1730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [1734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [1782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [1802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [1814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [1818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_indirob, 1, 0, 0),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__var_indirob, 1, 0, 0),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indirect_object, 1, 0, 0),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variables, 1, 0, 0),
  [1832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_indirect_object, 1, 0, 0), REDUCE(sym__variables, 1, 0, 0),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indirect_object, 1, 0, 0),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variables, 1, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__var_indirob_autoquote, 4, 0, 90),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__var_indirob_autoquote, 4, 0, 90),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ident_special, 2, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ident_special, 2, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ident_special, 1, 0, 0),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ident_special, 1, 0, 0),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scalar, 2, 0, 0),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scalar, 2, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indirob, 1, 0, 0),
  [1863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indirob, 1, 0, 0),
  [1865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_container_variable, 2, 0, 0),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 1, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bareword, 1, 1, 0),
  [1873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(3923),
  [1876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), REDUCE(sym_bareword, 1, 1, 0),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 1, 0, 0),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bareword, 1, 1, 0),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sort_routine, 1, 0, 20),
  [1891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sort_routine, 1, 0, 20),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [1939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 25),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 25),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_autoquoted_bareword, 2, 20, 0),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_autoquoted_bareword, 2, 20, 0),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sort_routine, 1, 0, 0),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sort_routine, 1, 0, 0),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [1957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(3980),
  [1960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(4084),
  [1963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(3965),
  [1966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function, 1, 0, 0), SHIFT(3912),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__version, 1, 0, 0),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive, 1, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__version, 1, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_statement, 5, 0, 110),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_statement, 5, 0, 110),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif, 5, 0, 110),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsif, 5, 0, 110),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 14),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 14),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3695),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 142),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 142),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 61),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 61),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 140),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 140),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 137),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 137),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 136),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 136),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 137),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 137),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 15),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2, 0, 15),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 139),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 139),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 139),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 139),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 140),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 140),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 141),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 141),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 119),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 119),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 141),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 141),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 120),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 120),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 7, 0, 144),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 7, 0, 144),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__loop_body, 3, 0, 145),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__loop_body, 3, 0, 145),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else, 2, 0, 15),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else, 2, 0, 15),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_phaser_statement, 2, 0, 10),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_phaser_statement, 2, 0, 10),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 149),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 7, 0, 149),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 7, 0, 149),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 7, 0, 149),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 119),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 119),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 8, 0, 150),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 8, 0, 150),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 8, 0, 150),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 8, 0, 150),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 9, 0, 151),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 9, 0, 151),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 121),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 121),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__semicolon, 1, 0, 0),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__semicolon, 1, 0, 0),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__barestmt, 2, 0, 0),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__barestmt, 2, 0, 0),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__barestmt, 1, 0, 0),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__barestmt, 1, 0, 0),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elsif, 6, 0, 110),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elsif, 6, 0, 110),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cstyle_for_statement, 6, 0, 124),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cstyle_for_statement, 6, 0, 124),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__barestmt, 1, 0, 3),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__barestmt, 1, 0, 3),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__fullstmt, 1, 0, 0),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__fullstmt, 1, 0, 0),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_statement, 3, 0, 29),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_statement, 3, 0, 29),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 3, 0, 29),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 3, 0, 29),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 3, 0, 29),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 3, 0, 29),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___DATA__, 2, 0, 0),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___DATA__, 2, 0, 0),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 3, 0, 10),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 3, 0, 10),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 125),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 125),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_statement, 6, 0, 110),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_statement, 6, 0, 110),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__else, 1, 0, 0),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__else, 1, 0, 0),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 2, 0, 10),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 2, 0, 10),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 136),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 136),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 120),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 120),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym___DATA__, 3, 0, 38),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym___DATA__, 3, 0, 38),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 3, 0, 35),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 3, 0, 35),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 3, 0, 35),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 3, 0, 35),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 3, 0, 37),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 3, 0, 37),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_version_statement, 3, 0, 19),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_version_statement, 3, 0, 19),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_label, 3, 0, 49),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_label, 3, 0, 49),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_statement, 4, 0, 52),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_statement, 4, 0, 52),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 4, 0, 29),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 4, 0, 29),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 4, 0, 52),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 4, 0, 52),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 4, 0, 29),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 4, 0, 29),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 4, 0, 52),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 4, 0, 52),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 4, 0, 10),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 4, 0, 10),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 4, 0, 54),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 4, 0, 54),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 55),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 55),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 4, 0, 55),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 4, 0, 55),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 60),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 60),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 4, 0, 60),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 4, 0, 60),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 62),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 62),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 37),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 4, 0, 37),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 4, 0, 64),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 4, 0, 64),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 83),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 4, 0, 83),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 4, 0, 83),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 4, 0, 83),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 5, 0, 88),
  [2269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 5, 0, 88),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 5, 0, 52),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 5, 0, 52),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 5, 0, 88),
  [2277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 5, 0, 88),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 5, 0, 52),
  [2281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 5, 0, 52),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_phaser_statement, 5, 0, 54),
  [2285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_phaser_statement, 5, 0, 54),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 91),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 91),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 91),
  [2293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 91),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 92),
  [2297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 92),
  [2299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 92),
  [2301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 92),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 94),
  [2305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 94),
  [2307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 95),
  [2309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 95),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 94),
  [2313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 94),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 95),
  [2317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 95),
  [2319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_statement, 5, 0, 64),
  [2321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_statement, 5, 0, 64),
  [2323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__loop_body, 1, 0, 98),
  [2325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 98),
  [2327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 98), SHIFT(3776),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 99),
  [2332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 99),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_statement, 5, 0, 111),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop_statement, 5, 0, 111),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 114),
  [2340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 5, 0, 114),
  [2342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 5, 0, 114),
  [2344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 5, 0, 114),
  [2346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_statement, 6, 0, 115),
  [2348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_statement, 6, 0, 115),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_role_statement, 6, 0, 115),
  [2352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_role_statement, 6, 0, 115),
  [2354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 117),
  [2356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 117),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 118),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subroutine_declaration_statement, 6, 0, 118),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 117),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 117),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration_statement, 6, 0, 118),
  [2368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration_statement, 6, 0, 118),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__PERLY_BRACE_OPEN, 1, 0, 0),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__PERLY_BRACE_OPEN, 1, 0, 0),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [2378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [2382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 98), SHIFT(3744),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package, 1, 0, 0),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package, 1, 0, 0),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__loop_body, 1, 0, 98), SHIFT(3781),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indirect_object, 2, 0, 0),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indirect_object, 2, 0, 0),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__conditionals, 1, 0, 0),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__conditionals, 1, 0, 0),
  [2412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__loops, 1, 0, 0),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__loops, 1, 0, 0),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attrlist, 1, 0, 0),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [2422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attrlist, 1, 0, 0),
  [2424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1199),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0),
  [2429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3567),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attrlist, 2, 0, 0),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attrlist, 2, 0, 0),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 11),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 11),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 12),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 12),
  [2446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_name, 1, 0, 0),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_name, 1, 0, 0),
  [2450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 1, 0, 33),
  [2452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 33),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_element_expression, 4, 0, 75),
  [2458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_element_expression, 4, 0, 75),
  [2460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob_slot_expression, 4, 0, 0),
  [2462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob_slot_expression, 4, 0, 0),
  [2464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob_slot_expression, 6, 0, 0),
  [2466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob_slot_expression, 6, 0, 0),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_element_expression, 4, 0, 72),
  [2470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_element_expression, 4, 0, 72),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term, 1, 0, 0),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term, 1, 0, 0),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscripted, 1, 0, 0),
  [2484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscripted, 1, 0, 0),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_expression, 4, 0, 74),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_expression, 4, 0, 74),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 4, 0, 73),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 4, 0, 73),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_expression, 4, 0, 76),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_expression, 4, 0, 76),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 4, 0, 0),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 4, 0, 0),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_slice_expression, 4, 0, 82),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_slice_expression, 4, 0, 82),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 3, 0, 0),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 3, 0, 0),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_slice_expression, 6, 0, 21),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_slice_expression, 6, 0, 21),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_slice_expression, 5, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_slice_expression, 5, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_element_expression, 5, 0, 106),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_element_expression, 5, 0, 106),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coderef_call_expression, 5, 0, 107),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coderef_call_expression, 5, 0, 107),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_expression, 5, 0, 108),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_element_expression, 5, 0, 108),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 1, 0, 0),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attrlist_repeat1, 1, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 5, 0, 138),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 5, 0, 138),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_end, 1, 0, 0),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__quotelike_end, 1, 0, 0),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_container_variable, 2, 0, 0),
  [2544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash, 2, 0, 0),
  [2546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash, 2, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_container_variable, 2, 0, 0),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_container_variable, 2, 0, 0),
  [2556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term, 3, 0, 0),
  [2558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term, 3, 0, 0),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varname, 1, 0, 0),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varname, 1, 0, 0),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func0op_call_expression, 1, 0, 1),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func0op_call_expression, 1, 0, 1),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 6, 0, 128),
  [2574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 6, 0, 128),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declare_scalar, 2, 0, 0),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declare_scalar, 2, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 4, 0, 79),
  [2586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 4, 0, 79),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declare_array, 2, 0, 0),
  [2592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declare_array, 2, 0, 0),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 6, 0, 130),
  [2596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 6, 0, 130),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 3, 0, 44),
  [2602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 3, 0, 44),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_word_list, 3, 0, 0),
  [2608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_word_list, 3, 0, 0),
  [2610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decl_variable_list, 2, 0, 0),
  [2612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decl_variable_list, 2, 0, 0),
  [2614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decl_variable_list, 3, 0, 0),
  [2616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decl_variable_list, 3, 0, 0),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 11),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 11),
  [2624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 2, 0, 12),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 2, 0, 12),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declare_hash, 2, 0, 0),
  [2632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declare_hash, 2, 0, 0),
  [2634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declared_vars, 1, 0, 0),
  [2636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declared_vars, 1, 0, 0),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decl_variable_list, 4, 0, 0),
  [2640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decl_variable_list, 4, 0, 0),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 1, 0, 1),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 1, 0, 1),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [2648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refgen_expression, 2, 0, 0),
  [2650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refgen_expression, 2, 0, 0),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 3, 0, 39),
  [2654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 3, 0, 39),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 1, 0, 0),
  [2662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 1, 0, 0),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 3, 0, 1),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 3, 0, 1),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0),
  [2674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0),
  [2676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(6),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term_rightward, 1, 0, 0),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [2729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term_rightward, 1, 0, 0),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term_rightward, 2, 0, 0),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term_rightward, 2, 0, 0),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 5, 0, 103),
  [2737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 5, 0, 103),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 5, 0, 70),
  [2743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 5, 0, 70),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 5, 0, 103),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 5, 0, 103),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 5, 0, 104),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 5, 0, 104),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 2, 0, 0),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 2, 0, 0),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 3, 0, 48),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 3, 0, 48),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method, 1, 0, 0),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 1, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_amper_sub, 2, 0, 0),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_amper_sub, 2, 0, 0),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_word_list, 4, 0, 66),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_word_list, 4, 0, 66),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 4, 0, 68),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 4, 0, 68),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [2789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__listexpr, 1, 0, 0), REDUCE(sym__term_rightward, 1, 0, 0),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__listexpr, 1, 0, 0), REDUCE(sym__term_rightward, 1, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 4, 0, 70),
  [2799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 4, 0, 70),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 4, 0, 39),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 4, 0, 39),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 4, 0, 39),
  [2811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 4, 0, 39),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stub_expression, 2, 0, 0),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stub_expression, 2, 0, 0),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 4, 0, 1),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 4, 0, 1),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob, 2, 0, 0),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob, 2, 0, 0),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 3, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 3, 0, 0),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 40),
  [2835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 40),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 6, 0, 79),
  [2843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 6, 0, 79),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 6, 0, 133),
  [2847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 6, 0, 133),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 7, 0, 146),
  [2851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 7, 0, 146),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 3, 0, 0),
  [2859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 3, 0, 0),
  [2861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slices, 1, 0, 0),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slices, 1, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 3, 0, 0),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 3, 0, 0),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_hash_expression, 3, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_hash_expression, 3, 0, 0),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 40),
  [2875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 40),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_token, 2, 0, 0),
  [2879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_token, 2, 0, 0),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_heredoc_token, 2, 0, 0),
  [2883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_heredoc_token, 2, 0, 0),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 7, 0, 147),
  [2887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 7, 0, 147),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0),
  [2891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0),
  [2893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 3, 0, 40),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 3, 0, 40),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expression, 3, 0, 40),
  [2899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expression, 3, 0, 40),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 3, 0, 45),
  [2907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 3, 0, 45),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive, 1, 0, 0),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 46),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 46),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 3, 0, 46),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 3, 0, 46),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 3, 0, 46),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 3, 0, 46),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 3, 0, 47),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 3, 0, 47),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 6, 0, 126),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 6, 0, 126),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postinc_expression, 2, 0, 24),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postinc_expression, 2, 0, 24),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_array_expression, 2, 0, 0),
  [2937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_array_expression, 2, 0, 0),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 2, 0, 16),
  [2945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 2, 0, 16),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 17),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 17),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 6, 0, 134),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 6, 0, 134),
  [2955] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0), REDUCE(sym_autoquoted_bareword, 2, 0, 0),
  [2958] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_autoquoted_bareword, 1, 0, 0), REDUCE(sym_autoquoted_bareword, 2, 0, 0),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 6, 0, 135),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 6, 0, 135),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17),
  [2971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preinc_expression, 2, 0, 17),
  [2973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1317),
  [2976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 26),
  [2978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 2, 0, 26),
  [2980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_expression, 2, 0, 0),
  [2982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_expression, 2, 0, 0),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 6, 0, 127),
  [2986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 6, 0, 127),
  [2988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 56),
  [2990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 56),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 57),
  [2994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 57),
  [2996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 58),
  [2998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 58),
  [3000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 59),
  [3002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 4, 0, 59),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_eval_expression, 2, 0, 18),
  [3006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_eval_expression, 2, 0, 18),
  [3008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 4, 0, 58),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 4, 0, 58),
  [3012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 4, 0, 59),
  [3014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 4, 0, 59),
  [3016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_eval_expression, 2, 0, 0),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_eval_expression, 2, 0, 0),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_expression, 6, 0, 132),
  [3024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equality_expression, 6, 0, 132),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 4, 0, 63),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 4, 0, 63),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func1op_call_expression, 2, 0, 1),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func1op_call_expression, 2, 0, 1),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_expression, 6, 0, 132),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_expression, 6, 0, 132),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 4, 0, 66),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 4, 0, 66),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 4, 0, 66),
  [3044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 4, 0, 66),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 4, 0, 66),
  [3048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 4, 0, 66),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 4, 0, 67),
  [3052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 4, 0, 67),
  [3054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 6, 0, 126),
  [3056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 6, 0, 126),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 4, 0, 69),
  [3060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 4, 0, 69),
  [3062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 3, 0, 34),
  [3064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 3, 0, 34),
  [3066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 6, 0, 122),
  [3068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 6, 0, 122),
  [3070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [3072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 4, 0, 71),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 4, 0, 71),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readline_expression, 2, 0, 9),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readline_expression, 2, 0, 9),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_string, 2, 0, 0),
  [3084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_string, 2, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_localization_expression, 2, 0, 0),
  [3092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_localization_expression, 2, 0, 0),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 77),
  [3096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 77),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 78),
  [3100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 78),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 4, 0, 77),
  [3104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 4, 0, 77),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 4, 0, 78),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 4, 0, 78),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scalar_deref_expression, 4, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scalar_deref_expression, 4, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_deref_expression, 4, 0, 0),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_deref_expression, 4, 0, 0),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arraylen, 2, 0, 0),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arraylen, 2, 0, 0),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glob_deref_expression, 4, 0, 0),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glob_deref_expression, 4, 0, 0),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_deref_expression, 4, 0, 0),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_deref_expression, 4, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_amper_deref_expression, 4, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_amper_deref_expression, 4, 0, 0),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arraylen_deref_expression, 4, 0, 0),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arraylen_deref_expression, 4, 0, 0),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambiguous_function_call_expression, 4, 0, 80),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambiguous_function_call_expression, 4, 0, 80),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 4, 0, 81),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 4, 0, 81),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 7, 0, 148),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 7, 0, 148),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 6, 0, 129),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 6, 0, 129),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 3, 0, 34),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 3, 0, 34),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2, 0, 0),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_require_expression, 2, 0, 0),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_version_expression, 2, 0, 19),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_require_version_expression, 2, 0, 19),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 6, 0, 135),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 6, 0, 135),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 2, 0, 21),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 2, 0, 21),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_arg, 1, 0, 0),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_arg, 1, 0, 0),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_expression, 2, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_expression, 2, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 93),
  [3184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 93),
  [3186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_arg, 1, 0, 22),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_arg, 1, 0, 22),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2, 0, 0),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 5, 0, 93),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 5, 0, 93),
  [3198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loopex_expression, 2, 0, 2),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loopex_expression, 2, 0, 2),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readline_expression, 3, 0, 27),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readline_expression, 3, 0, 27),
  [3206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 5, 0, 96),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 5, 0, 96),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_undef_expression, 2, 0, 0),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_undef_expression, 2, 0, 0),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 2, 0, 13),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 2, 0, 13),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_func0op_call_expression, 3, 0, 1),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_func0op_call_expression, 3, 0, 1),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_regexp, 5, 0, 100),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_regexp, 5, 0, 100),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_regexp, 5, 0, 101),
  [3228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_regexp, 5, 0, 101),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_substitution_regexp, 5, 0, 102),
  [3232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_substitution_regexp, 5, 0, 102),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 6, 0, 131),
  [3236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 6, 0, 131),
  [3238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_array_expression, 3, 0, 0),
  [3240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_array_expression, 3, 0, 0),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transliteration_expression, 5, 0, 102),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transliteration_expression, 5, 0, 102),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 2, 0, 13),
  [3248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 2, 0, 13),
  [3250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fileglob_expression, 3, 0, 28),
  [3252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fileglob_expression, 3, 0, 28),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 5, 0, 105),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 5, 0, 105),
  [3258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 3, 0, 36),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 3, 0, 36),
  [3262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_deref, 1, 0, 0),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_deref, 1, 0, 0),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 6, 0, 122),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 6, 0, 122),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_call_expression, 5, 0, 44),
  [3272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_call_expression, 5, 0, 44),
  [3274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 109),
  [3276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, 0, 109),
  [3278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tricky_indirob_hashref, 4, 0, 0),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tricky_indirob_hashref, 4, 0, 0),
  [3282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 112),
  [3284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 112),
  [3286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 113),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_subroutine_expression, 5, 0, 113),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyval_expression, 6, 0, 51),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyval_expression, 6, 0, 51),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 5, 0, 112),
  [3296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 5, 0, 112),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_method_expression, 5, 0, 113),
  [3300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_method_expression, 5, 0, 113),
  [3302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 6, 0, 132),
  [3304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 6, 0, 132),
  [3306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 133),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 133),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 51),
  [3312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 51),
  [3314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listop, 1, 0, 0),
  [3316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__listop, 1, 0, 0),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_grep_expression, 7, 0, 143),
  [3320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_grep_expression, 7, 0, 143),
  [3322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sort_expression, 3, 0, 36),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sort_expression, 3, 0, 36),
  [3326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolated_string_literal, 2, 0, 0),
  [3328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolated_string_literal, 2, 0, 0),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [3336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1431),
  [3339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3550),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [3344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1442),
  [3347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3557),
  [3350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [3354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1539),
  [3357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3587),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [3408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [3443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1683),
  [3446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3430),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [3453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(1694),
  [3456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3538),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [3493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(16),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [3586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(58),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1667),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(1999),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 89),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter, 4, 0, 116),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [3755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(59),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [3768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [3780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [3798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [3838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(56),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [3911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(2149),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [3920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [3936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(87),
  [3941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_preinc_expression, 2, 0, 17), SHIFT(2239),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [3960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [4092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2945),
  [4095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2648),
  [4098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2579),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0),
  [4103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2922),
  [4106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2906),
  [4109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2662),
  [4112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2582),
  [4115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 2, 0, 0), SHIFT_REPEAT(2951),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [4126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(3018),
  [4129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2796),
  [4132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2580),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0),
  [4137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 2, 0, 0), SHIFT_REPEAT(2987),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [4150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3035),
  [4153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2736),
  [4156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2574),
  [4159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0), SHIFT_REPEAT(3050),
  [4162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 2, 0, 0),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [4166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(154),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [4193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3890),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [4198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(4090),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [4203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3914),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [4208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3889),
  [4211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0), SHIFT(3982),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [4218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [4228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 1, 0, 0),
  [4230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 1, 0, 0),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__listexpr, 1, 0, 0),
  [4234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__listexpr, 1, 0, 0),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lowprec_logical_expression, 3, 0, 40),
  [4238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lowprec_logical_expression, 3, 0, 40),
  [4240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expr, 1, 0, 0),
  [4242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expr, 1, 0, 0),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [4248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [4268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [4272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2899),
  [4274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [4282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interpolations, 1, 0, 0),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolations, 1, 0, 0),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [4318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(3819),
  [4321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(2828),
  [4324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0),
  [4329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2, 0, 0), SHIFT_REPEAT(3057),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [4348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [4350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [4352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [4356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [4360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [4366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [4422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [4440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1712),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [4510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [4514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [4520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [4658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_element_interpolation, 4, 0, 84),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_element_interpolation, 4, 0, 84),
  [4662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_element_interpolation, 4, 0, 85),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_element_interpolation, 4, 0, 85),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [4670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3344),
  [4673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3395),
  [4676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3255),
  [4679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0),
  [4681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3379),
  [4687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_element_interpolation, 5, 0, 106),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_element_interpolation, 5, 0, 106),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [4695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [4701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [4703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_element_interpolation, 5, 0, 108),
  [4705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_element_interpolation, 5, 0, 108),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [4709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_element_interpolation, 4, 0, 74),
  [4711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_element_interpolation, 4, 0, 74),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [4715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__hash_element_interpolation, 4, 0, 72),
  [4717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_element_interpolation, 4, 0, 72),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subscripted_interpolations, 1, 0, 5),
  [4745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subscripted_interpolations, 1, 0, 5),
  [4747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__subscripted_interpolations, 1, 0, 6),
  [4749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__subscripted_interpolations, 1, 0, 6),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [4763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [4794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [4798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [4814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mandatory_parameter, 1, 0, 30),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [4832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2968),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(4133),
  [4838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0),
  [4840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(3003),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [4853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(3018),
  [4856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(4110),
  [4859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 2, 0, 0), SHIFT_REPEAT(2999),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3151),
  [4904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_array, 3, 0, 0),
  [4906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 3, 0, 50),
  [4908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scalar_deref_interpolation, 3, 0, 0),
  [4910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_deref_interpolation, 3, 0, 51),
  [4912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_begin, 1, 0, 0),
  [4914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 4, 0, 50),
  [4916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 2, 0, 0),
  [4918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 4, 0, 86),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 4, 0, 87),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nonvar_interpolation_fallbacks, 1, 0, 4),
  [4924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__search_slash, 1, 0, 0),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [4942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolations, 1, 0, 7),
  [4944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolations, 1, 0, 8),
  [4946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interpolation_fallbacks, 1, 0, 0),
  [4948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_regexp_content, 1, 0, 0),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [4954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__braced_scalar, 3, 0, 0),
  [4956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 6, 0, 133),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__slice_expression_interpolation, 6, 0, 51),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [4976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_parameter, 2, 0, 0),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [4980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_conditional_expression, 3, 0, 42),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_loop_expression, 3, 0, 42),
  [4988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [4992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(4040),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__interp_arrow, 1, 0, 0),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3408),
  [5003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3122),
  [5006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3597),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [5011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_varname, 1, 0, 53),
  [5013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_scalar, 2, 0, 0),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [5017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(3879),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [5024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_string_content, 1, 0, 0),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [5036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__interpolated_transliteration_content, 1, 0, 0),
  [5038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotation_mark, 1, 0, 0),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [5048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__backtick, 1, 0, 0),
  [5050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3110),
  [5053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3408),
  [5056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(165),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [5067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_middle, 2, 0, 0),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [5077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_for_expression, 3, 0, 41),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [5081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(3881),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [5090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__interp_arrow, 1, 0, 0), SHIFT(4118),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [5097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slurpy_parameter, 1, 0, 31),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [5113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_content_repeat1, 1, 0, 0),
  [5115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slurpy_parameter, 1, 0, 32),
  [5117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3151),
  [5120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attrlist_repeat1, 2, 0, 0), SHIFT_REPEAT(3543),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [5173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [5179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [5267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [5357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_array, 2, 0, 0),
  [5359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_hash, 2, 0, 0),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [5373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [5375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postfix_expressions, 1, 0, 0),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [5389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__decl_variable_list_repeat1, 1, 0, 0),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [5393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [5397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 1, 0, 0),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [5431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_vars, 1, 0, 0),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [5439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yadayada, 1, 0, 0),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [5455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [5457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [5459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subroutine_declaration_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3602),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_declaration_statement_repeat1, 2, 0, 0),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4089),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [5480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 2, 0, 0),
  [5482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 2, 0, 0), SHIFT_REPEAT(3423),
  [5485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(389),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [5496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__term_rightward_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [5499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [5507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [5509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [5517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [5525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 2, 0, 0), SHIFT_REPEAT(3548),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 3, 0, 0),
  [5532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__SUB_AMPER, 1, 0, 0),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [5560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(2776),
  [5563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(3678),
  [5566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 2, 0, 0),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [5582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__GLOB_STAR, 1, 0, 0),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [5632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__apostrophe, 1, 0, 0),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__noninterpolated_string_content, 1, 0, 0),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [5644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [5856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__hash_key, 1, 0, 0),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [5890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subroutine_declaration_statement_repeat1, 1, 0, 0),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_initializer_repeat1, 1, 0, 0),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [6060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quotelike_middle_close, 1, 0, 0),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [6144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [6146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [6168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__brace_autoquoted, 1, 0, 43),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [6180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [6182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 3, 0, 65),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [6214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 1, 0, 23),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [6232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [6244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [6250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [6252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [6302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [6320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 4, 0, 97),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [6376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [6388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4100),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [6408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [6420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tricky_list, 3, 0, 0),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [6424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 5, 0, 123),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [6430] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [6458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [6460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [6462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [6464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [6466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_initializer, 2, 0, 11),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [6504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [6520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [6528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [6538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_content, 3, 0, 0),
  [6540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_content, 2, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__single_quote = 0,
  ts_external_token__double_quote = 1,
  ts_external_token__backtick_quote = 2,
  ts_external_token__search_slash_quote = 3,
  ts_external_token__no_search_slash_plz = 4,
  ts_external_token__open_readline_bracket = 5,
  ts_external_token__open_fileglob_bracket = 6,
  ts_external_token__PERLY_SEMICOLON = 7,
  ts_external_token__PERLY_HEREDOC = 8,
  ts_external_token__ctrl_z_hack = 9,
  ts_external_token__quotelike_begin_quote = 10,
  ts_external_token__quotelike_middle_close_quote = 11,
  ts_external_token__quotelike_middle_skip = 12,
  ts_external_token__quotelike_end_zw = 13,
  ts_external_token__quotelike_end_quote = 14,
  ts_external_token__q_string_content = 15,
  ts_external_token__qq_string_content = 16,
  ts_external_token_escape_sequence = 17,
  ts_external_token_escaped_delimiter = 18,
  ts_external_token__dollar_in_regexp = 19,
  ts_external_token_pod = 20,
  ts_external_token__gobbled_content = 21,
  ts_external_token__attribute_value_begin = 22,
  ts_external_token_attribute_value = 23,
  ts_external_token_prototype = 24,
  ts_external_token__signature_start = 25,
  ts_external_token__heredoc_delimiter = 26,
  ts_external_token__command_heredoc_delimiter = 27,
  ts_external_token__heredoc_start = 28,
  ts_external_token__heredoc_middle = 29,
  ts_external_token_heredoc_end = 30,
  ts_external_token__fat_comma_autoquoted = 31,
  ts_external_token__filetest = 32,
  ts_external_token__brace_autoquoted_token = 33,
  ts_external_token__brace_end_zw = 34,
  ts_external_token__dollar_ident_zw = 35,
  ts_external_token__no_interp_whitespace_zw = 36,
  ts_external_token__NONASSOC = 37,
  ts_external_token__ERROR = 38,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__single_quote] = sym__single_quote,
  [ts_external_token__double_quote] = sym__double_quote,
  [ts_external_token__backtick_quote] = sym__backtick_quote,
  [ts_external_token__search_slash_quote] = sym__search_slash_quote,
  [ts_external_token__no_search_slash_plz] = sym__no_search_slash_plz,
  [ts_external_token__open_readline_bracket] = sym__open_readline_bracket,
  [ts_external_token__open_fileglob_bracket] = sym__open_fileglob_bracket,
  [ts_external_token__PERLY_SEMICOLON] = sym__PERLY_SEMICOLON,
  [ts_external_token__PERLY_HEREDOC] = sym__PERLY_HEREDOC,
  [ts_external_token__ctrl_z_hack] = sym__ctrl_z_hack,
  [ts_external_token__quotelike_begin_quote] = sym__quotelike_begin_quote,
  [ts_external_token__quotelike_middle_close_quote] = sym__quotelike_middle_close_quote,
  [ts_external_token__quotelike_middle_skip] = sym__quotelike_middle_skip,
  [ts_external_token__quotelike_end_zw] = sym__quotelike_end_zw,
  [ts_external_token__quotelike_end_quote] = sym__quotelike_end_quote,
  [ts_external_token__q_string_content] = sym__q_string_content,
  [ts_external_token__qq_string_content] = sym__qq_string_content,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_escaped_delimiter] = sym_escaped_delimiter,
  [ts_external_token__dollar_in_regexp] = sym__dollar_in_regexp,
  [ts_external_token_pod] = sym_pod,
  [ts_external_token__gobbled_content] = sym__gobbled_content,
  [ts_external_token__attribute_value_begin] = sym__attribute_value_begin,
  [ts_external_token_attribute_value] = sym_attribute_value,
  [ts_external_token_prototype] = sym_prototype,
  [ts_external_token__signature_start] = sym__signature_start,
  [ts_external_token__heredoc_delimiter] = sym__heredoc_delimiter,
  [ts_external_token__command_heredoc_delimiter] = sym__command_heredoc_delimiter,
  [ts_external_token__heredoc_start] = sym__heredoc_start,
  [ts_external_token__heredoc_middle] = sym__heredoc_middle,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token__fat_comma_autoquoted] = sym__fat_comma_autoquoted,
  [ts_external_token__filetest] = sym__filetest,
  [ts_external_token__brace_autoquoted_token] = sym__brace_autoquoted_token,
  [ts_external_token__brace_end_zw] = sym__brace_end_zw,
  [ts_external_token__dollar_ident_zw] = sym__dollar_ident_zw,
  [ts_external_token__no_interp_whitespace_zw] = sym__no_interp_whitespace_zw,
  [ts_external_token__NONASSOC] = sym__NONASSOC,
  [ts_external_token__ERROR] = sym__ERROR,
};

static const bool ts_external_scanner_states[46][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__quotelike_middle_skip] = true,
    [ts_external_token__quotelike_end_zw] = true,
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__q_string_content] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__gobbled_content] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token_attribute_value] = true,
    [ts_external_token_prototype] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_delimiter] = true,
    [ts_external_token__command_heredoc_delimiter] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__heredoc_middle] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__brace_autoquoted_token] = true,
    [ts_external_token__brace_end_zw] = true,
    [ts_external_token__dollar_ident_zw] = true,
    [ts_external_token__no_interp_whitespace_zw] = true,
    [ts_external_token__NONASSOC] = true,
    [ts_external_token__ERROR] = true,
  },
  [2] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [3] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [4] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [5] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__brace_autoquoted_token] = true,
  },
  [6] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [7] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [8] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [9] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
    [ts_external_token__brace_end_zw] = true,
  },
  [10] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [11] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__double_quote] = true,
    [ts_external_token__backtick_quote] = true,
    [ts_external_token__search_slash_quote] = true,
    [ts_external_token__no_search_slash_plz] = true,
    [ts_external_token__open_readline_bracket] = true,
    [ts_external_token__open_fileglob_bracket] = true,
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__PERLY_HEREDOC] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__fat_comma_autoquoted] = true,
    [ts_external_token__filetest] = true,
  },
  [12] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [13] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token__ctrl_z_hack] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [14] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [15] = {
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [16] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [17] = {
    [ts_external_token__PERLY_SEMICOLON] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [18] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [19] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [20] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [21] = {
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [22] = {
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__heredoc_middle] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [23] = {
    [ts_external_token__quotelike_end_zw] = true,
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__no_interp_whitespace_zw] = true,
  },
  [24] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [25] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token__dollar_in_regexp] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [26] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__dollar_ident_zw] = true,
  },
  [27] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__no_interp_whitespace_zw] = true,
  },
  [28] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [29] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__qq_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [30] = {
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__heredoc_middle] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [31] = {
    [ts_external_token_pod] = true,
    [ts_external_token_prototype] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [32] = {
    [ts_external_token_pod] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [33] = {
    [ts_external_token__quotelike_middle_close_quote] = true,
    [ts_external_token__q_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [34] = {
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token_prototype] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [35] = {
    [ts_external_token__quotelike_end_quote] = true,
    [ts_external_token__q_string_content] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_escaped_delimiter] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [36] = {
    [ts_external_token_pod] = true,
    [ts_external_token__attribute_value_begin] = true,
    [ts_external_token__signature_start] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [37] = {
    [ts_external_token__single_quote] = true,
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [38] = {
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token__quotelike_middle_skip] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [39] = {
    [ts_external_token__quotelike_begin_quote] = true,
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [40] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_delimiter] = true,
    [ts_external_token__command_heredoc_delimiter] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [41] = {
    [ts_external_token_pod] = true,
    [ts_external_token__gobbled_content] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [42] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__ERROR] = true,
  },
  [43] = {
    [ts_external_token_pod] = true,
    [ts_external_token_attribute_value] = true,
    [ts_external_token__heredoc_start] = true,
  },
  [44] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__NONASSOC] = true,
  },
  [45] = {
    [ts_external_token_pod] = true,
    [ts_external_token__heredoc_start] = true,
    [ts_external_token__brace_end_zw] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_perl_external_scanner_create(void);
void tree_sitter_perl_external_scanner_destroy(void *);
bool tree_sitter_perl_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_perl_external_scanner_serialize(void *, char *);
void tree_sitter_perl_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_perl(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_perl_external_scanner_create,
      tree_sitter_perl_external_scanner_destroy,
      tree_sitter_perl_external_scanner_scan,
      tree_sitter_perl_external_scanner_serialize,
      tree_sitter_perl_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
